#include <string_view>
namespace divine::str::dios {
extern const std::string_view arch_divm_stack_cpp( 
"#include <sys/divm.h>\x0a"
"#include <sys/metadata.h>\x0a"
"#include <sys/bitcode.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"__local_invisible __weakmem_direct void __dios_stack_free( _VM_Frame *from, _VM_Frame *to ) noexcept\x0a"
"{\x0a"
"    _VM_Frame *next = nullptr;\x0a"
"\x0a"
"    // clean the frames, drop their allocas, jump\x0a"
"    for ( auto *f = from; f \x26\x26 f \x21= to; f = next )\x0a"
"    {\x0a"
"        auto *meta = __md_get_pc_meta( f->pc );\x0a"
"        auto *inst = meta->inst_table;\x0a"
"        auto base = reinterpret_cast< uint8_t * >( f );\x0a"
"\x0a"
"        for ( int i = 0; i < meta->inst_table_size; ++i, ++inst )\x0a"
"            if ( inst->opcode == OpCode\x3a\x3a""Alloca )\x0a"
"                __dios_safe_free( *reinterpret_cast< void ** >( base + inst->val_offset ) );\x0a"
"\x0a"
"        next = f->parent;\x0a"
"        __vm_obj_free( f );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"/* NOTE\x3a any write directly to a stack frame should bypass weakmem as registers\x0a"
" * and parent pointers are read by the VM */\x0a"
"__local_invisible __weakmem_direct void __dios_stack_cut( _VM_Frame *top, _VM_Frame *bottom ) noexcept\x0a"
"{\x0a"
"    if ( top == bottom )\x0a"
"        return;\x0a"
"\x0a"
"    for ( ; top \x26\x26 top->parent \x21= bottom; top = top->parent ) {}\x0a"
"    top->parent = nullptr;\x0a"
"}\x0a"
"\x0a"
"/* writing to frame must bypass weakmem to make effects visible to VM */\x0a"
"__weakmem_direct void __dios_set_register( _VM_Frame *frame, _VM_CodePointer pc,\x0a"
"                                           unsigned offset, uint64_t value, unsigned lenght )\x0a"
"{\x0a"
"    assert( lenght <= sizeof( uint64_t ) );\x0a"
"    auto *meta = __md_get_pc_meta( pc );\x0a"
"    auto info = __md_get_register_info( frame, pc, meta );\x0a"
"    assert( unsigned( info.width ) >= offset + lenght );\x0a"
"\x0a"
"    memcpy( reinterpret_cast< char * >( info.start ) + offset, \x26value, lenght );\x0a"
"}\x0a"
"\x0a"
"/* no need to bypass weakmem for reading, reading always tries memory */\x0a"
"uint64_t __dios_get_register( _VM_Frame *frame, _VM_CodePointer pc, unsigned offset,\x0a"
"                              unsigned lenght )\x0a"
"{\x0a"
"    assert( lenght <= sizeof( uint64_t ) );\x0a"
"    auto *meta = __md_get_pc_meta( pc );\x0a"
"    auto info = __md_get_register_info( frame, pc, meta );\x0a"
"    assert( unsigned( info.width ) >= offset + lenght );\x0a"
"\x0a"
"    uint64_t value = 0;\x0a"
"    memcpy( reinterpret_cast< char * >( value ),\x0a"
"            reinterpret_cast< char * >( info.start ) + offset, lenght );\x0a"
"    return value;\x0a"
"}\x0a"
"", 2232 ); }