#include <string_view>
namespace divine::str::dios {
extern const std::string_view arch_klee_glue_cpp( 
"#define __vm_trace __vm_trace_proto\x0a"
"#include <sys/divm.h>\x0a"
"#undef __vm_trace\x0a"
"extern \x22""C\x22 void __vm_trace( int t, ... );\x0a"
"\x0a"
"#include <stdint.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"extern \x22""C\x22 /* the klee api */\x0a"
"{\x0a"
"    uint8_t *klee_malloc( int );\x0a"
"    uint8_t *klee_realloc( void *, int );\x0a"
"    void klee_free( uint8_t * );\x0a"
"    void klee_assume( int );\x0a"
"    void klee_print_expr( const char *, uint64_t );\x0a"
"    int klee_get_obj_size( void * );\x0a"
"    void klee_abort();\x0a"
"    void klee_silent_exit( int );\x0a"
"    void klee_make_symbolic( void *, size_t, const char * );\x0a"
"}\x0a"
"\x0a"
"extern \x22""C\x22 /* platform glue */\x0a"
"{\x0a"
"    void *__vm_obj_make( int sz, int )\x0a"
"    {\x0a"
"        int alloc = sz >= 4096 \x3f 2 * sz + 2 * sizeof( int ) \x3a 4096 + 2 * sizeof( int );\x0a"
"        uint8_t *mem = klee_malloc( alloc );\x0a"
"        int *meta = reinterpret_cast< int * >( mem );\x0a"
"        meta\x5b 0 \x5d = alloc;\x0a"
"        meta\x5b 1 \x5d = sz;\x0a"
"        return mem + 2 * sizeof( int );\x0a"
"    }\x0a"
"\x0a"
"    void __vm_obj_free( void *ptr ) { klee_free( static_cast< uint8_t * >( ptr ) - 2 * sizeof( int ) ); }\x0a"
"    void __vm_obj_resize( void *optr, int nsz )\x0a"
"    {\x0a"
"        int *meta = static_cast< int * >( optr );\x0a"
"        meta\x5b -1 \x5d = nsz;\x0a"
"        if ( meta\x5b -1 \x5d > meta\x5b -2 \x5d )\x0a"
"            klee_abort();\x0a"
"    }\x0a"
"\x0a"
"    int __vm_obj_size( const void *ptr )\x0a"
"    {\x0a"
"        return static_cast< const int * >( ptr )\x5b -1 \x5d;\x0a"
"    }\x0a"
"\x0a"
"    static void *vmreg\x5b _VM_CR_Last \x5d;\x0a"
"\x0a"
"    void __vm_ctl_set( enum _VM_ControlRegister reg, void *val, ... )\x0a"
"    {\x0a"
"        vmreg\x5b reg \x5d = val;\x0a"
"\x0a"
"        if ( reg == _VM_CR_Frame \x26\x26 val == 0 )\x0a"
"        {\x0a"
"            uint64_t flags = reinterpret_cast< uint64_t >( vmreg\x5b _VM_CR_Flags \x5d );\x0a"
"            if ( flags \x26 _VM_CF_Error )\x0a"
"                klee_abort();\x0a"
"            else\x0a"
"                klee_silent_exit( 0 );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    void *__vm_ctl_get( enum _VM_ControlRegister reg )\x0a"
"    {\x0a"
"        return vmreg\x5b reg \x5d;\x0a"
"    }\x0a"
"\x0a"
"    uint64_t __vm_ctl_flag( uint64_t clear, uint64_t set )\x0a"
"    {\x0a"
"        uint64_t flags = reinterpret_cast< uint64_t >( vmreg\x5b _VM_CR_Flags \x5d );\x0a"
"        vmreg\x5b _VM_CR_Flags \x5d = reinterpret_cast< void * >( ( flags \x26 \x7e""clear ) \x7c set );\x0a"
"        return flags;\x0a"
"    }\x0a"
"\x0a"
"    void __vm_trace( int t, ... )\x0a"
"    {\x0a"
"        va_list ap;\x0a"
"        va_start( ap, t );\x0a"
"        if ( t == _VM_T_Text )\x0a"
"        {\x0a"
"            const char *txt = va_arg( ap, const char * );\x0a"
"            klee_print_expr( txt, 0 );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    int __vm_choose( int count, ... )\x0a"
"    {\x0a"
"        int rv;\x0a"
"        klee_make_symbolic( \x26rv, sizeof(int), \x22__vm_choose\x22 );\x0a"
"        rv = rv \x25 count;\x0a"
"        klee_print_expr( \x22__vm_choose\x22, rv );\x0a"
"        return rv;\x0a"
"    }\x0a"
"\x0a"
"    __vm_meta_t __vm_peek( int, uint32_t, int, int )\x0a"
"    {\x0a"
"        return { 0, 0, 0 };\x0a"
"    }\x0a"
"\x0a"
"    void __vm_poke( int, uint32_t, int, int, uint32_t ) {}\x0a"
"\x0a"
"}\x0a"
"", 2746 ); }