#include <string_view>
namespace divine::str::dios {
extern const std::string_view arch_native_glue_cpp( 
"#define __vm_trace __vm_trace_proto\x0a"
"#include <sys/divm.h>\x0a"
"#undef __vm_trace\x0a"
"extern \x22""C\x22 void __vm_trace( int t, ... );\x0a"
"\x0a"
"#include <stdint.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"extern \x22""C\x22 void __dios_native_exit( int );\x0a"
"extern \x22""C\x22 void __dios_native_puts( const char * );\x0a"
"static uint8_t memory\x5b""1024 * 1024\x5d __attribute__((aligned(16)));\x0a"
"static int ptr = 16 - sizeof( int );\x0a"
"\x0a"
"extern \x22""C\x22 /* platform glue */\x0a"
"{\x0a"
"    void *__vm_obj_make( int sz, int )\x0a"
"    {\x0a"
"        uint8_t *mem = memory + ptr;\x0a"
"        ptr += 4096;\x0a"
"        reinterpret_cast< int * >( mem )\x5b""0\x5d = sz;\x0a"
"        return mem + sizeof( int );\x0a"
"    }\x0a"
"\x0a"
"    void __vm_obj_free( void * ) { /* munmap( static_cast< uint8_t * >( ptr ) - 4, 4096 ); */ }\x0a"
"    void __vm_obj_resize( void *optr, int nsz )\x0a"
"    {\x0a"
"        static_cast< int * >( optr )\x5b -1 \x5d = nsz;\x0a"
"    }\x0a"
"\x0a"
"    int __vm_obj_size( const void *ptr )\x0a"
"    {\x0a"
"        return static_cast< const int * >( ptr )\x5b -1 \x5d;\x0a"
"    }\x0a"
"\x0a"
"    static void *vmreg\x5b _VM_CR_Last \x5d;\x0a"
"\x0a"
"    void __vm_ctl_set( enum _VM_ControlRegister reg, void *val, ... )\x0a"
"    {\x0a"
"        vmreg\x5b reg \x5d = val;\x0a"
"\x0a"
"        if ( reg == _VM_CR_Frame \x26\x26 val == 0 )\x0a"
"        {\x0a"
"            uint64_t flags = reinterpret_cast< uint64_t >( vmreg\x5b _VM_CR_Flags \x5d );\x0a"
"            if ( flags \x26 _VM_CF_Error )\x0a"
"                __dios_native_exit( 1 );\x0a"
"            else\x0a"
"                __dios_native_exit( 0 );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    void *__vm_ctl_get( enum _VM_ControlRegister reg )\x0a"
"    {\x0a"
"        return vmreg\x5b reg \x5d;\x0a"
"    }\x0a"
"\x0a"
"    uint64_t __vm_ctl_flag( uint64_t clear, uint64_t set )\x0a"
"    {\x0a"
"        uint64_t flags = reinterpret_cast< uint64_t >( vmreg\x5b _VM_CR_Flags \x5d );\x0a"
"        vmreg\x5b _VM_CR_Flags \x5d = reinterpret_cast< void * >( ( flags \x26 \x7e""clear ) \x7c set );\x0a"
"        return flags;\x0a"
"    }\x0a"
"\x0a"
"    void __vm_trace( int t, ... )\x0a"
"    {\x0a"
"        va_list ap;\x0a"
"        va_start( ap, t );\x0a"
"        if ( t == _VM_T_Text \x7c\x7c t == _VM_T_Fault )\x0a"
"        {\x0a"
"            const char *txt = va_arg( ap, const char * );\x0a"
"            __dios_native_puts( txt );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    int __vm_choose( int, ... )\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"\x0a"
"}\x0a"
"", 2052 ); }