#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_cdefs_h( 
"/* Auxiliary PDCLib code <_PDCLIB_aux.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef __PDCLIB_AUX_H\x0a"
"#define __PDCLIB_AUX_H __PDCLIB_AUX_H\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* You should not have to edit anything in this file; if you DO have to, it   */\x0a"
"/* would be considered a bug / missing feature\x3a notify the author(s).         */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Standard Version                                                           */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* Many a compiler gets this wrong, so you might have to hardcode it instead. */\x0a"
"\x0a"
"#if __STDC__ \x21= 1\x0a"
"#error Compiler does not define _ _STDC_ _ to 1 (not standard-compliant)\x21\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_PDCLIB_C_VERSION)\x0a"
"    /* Pass - conditional simplification case */\x0a"
"#elif \x21""defined(__STDC_VERSION__)\x0a"
"    #define _PDCLIB_C_VERSION 1990\x0a"
"#elif __STDC_VERSION__ == 199409L\x0a"
"    #define _PDCLIB_C_VERSION 1995\x0a"
"#elif __STDC_VERSION__ == 199901L\x0a"
"    #define _PDCLIB_C_VERSION 1999\x0a"
"#elif __STDC_VERSION__ == 201112L\x0a"
"    #define _PDCLIB_C_VERSION 2011\x0a"
"#else\x0a"
"    #error Unsupported _ _STDC_VERSION_ _ (__STDC_VERSION__) (supported\x3a ISO/IEC 9899\x3a""1990, 9899/AMD1\x3a""1995, 9899\x3a""1999, 9899\x3a""2011).\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(__cplusplus) \x7c\x7c defined(_PDCLIB_CXX_VERSION)\x0a"
"   #define _PDCLIB_CXX_VERSION 0\x0a"
"#elif __cplusplus >= 201103L \x26\x26 __cplusplus <= 201703L\x0a"
"    #if __cplusplus > 201402L\x0a"
"        #define _PDCLIB_CXX_VERSION 2017\x0a"
"    #elif __cplusplus > 201103L\x0a"
"        #define _PDCLIB_CXX_VERSION 2014\x0a"
"    #else\x0a"
"        #define _PDCLIB_CXX_VERSION 2011\x0a"
"    #endif\x0a"
"    /* TODO\x3a Do we want this\x3f */\x0a"
"    #if _PDCLIB_C_VERSION < 1999\x0a"
"        #undef _PDCLIB_C_VERSION\x0a"
"        #define _PDCLIB_C_VERSION 1999\x0a"
"    #endif\x0a"
"#elif __cplusplus == 199711L\x0a"
"   #define _PDCLIB_CXX_VERSION 1997\x0a"
"#else\x0a"
"#if __cplusplus == 1 \x26\x26 __clang__ \x26\x26 __clang_major__ == 3 \x26\x26 __clang_minor__ == 1\x0a"
"    /* clang 3.1 does not state it is C++98 unless -std=c++98 is given\x0a"
"     * later versions do that by default.\x0a"
"     *\x0a"
"     * This of course breaks build of divine's models if you use clang 3.1\x0a"
"     * so we work-around this here\x0a"
"     *\x0a"
"     * We don't care about older clangs since we don't support them at all in divine.\x0a"
"     */\x0a"
"   #define _PDCLIB_CXX_VERSION 1997\x0a"
"#else\x0a"
"    #if __cplusplus > 201703L\x0a"
"        #warning Unsupported _ _cplusplus (__cplusplus) (too new) (supported\x3a ISO/IEC 14882\x3a""1997, ISO/IEC 14882\x3a""2011).\x0a"
"        #define _PDCLIB_CXX_VERSION 2015\x0a"
"    #else\x0a"
"        #error Unsupported _ _cplusplus (__cplusplus) (supported\x3a ISO/IEC 14882\x3a""1997, ISO/IEC 14882\x3a""2011).\x0a"
"    #endif\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __STDC_HOSTED__\x0a"
"    #error Compiler does not define _ _STDC_HOSTED_ _ (not standard-compliant)\x21\x0a"
"#elif __STDC_HOSTED__ == 0\x0a"
"    #define _PDCLIB_HOSTED 0\x0a"
"#elif __STDC_HOSTED__ == 1\x0a"
"    #define _PDCLIB_HOSTED 1\x0a"
"#else\x0a"
"    #error Compiler does not define _ _STDC_HOSTED_ _ to 0 or 1 (not standard-compliant)\x21\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"    typedef bool _PDCLIB_bool;\x0a"
"#else\x0a"
"    typedef _Bool _PDCLIB_bool;\x0a"
"#endif\x0a"
"\x0a"
"/* Clang style feature detection macros\x0a"
" * Note\x3a It is common to #define __has_feature(0) if undefined so the presence\x0a"
" * of this macro does not guarantee it to be working\x0a"
" */\x0a"
"\x0a"
"#ifdef __has_feature\x0a"
"   #define _PDCLIB_HAS_FEATURE(x) __has_feature(x)\x0a"
"#else\x0a"
"   #define _PDCLIB_HAS_FEATURE(x) (0)\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __has_extension\x0a"
"   #define _PDCLIB_HAS_EXTENSION(x) __has_extension(x)\x0a"
"#else\x0a"
"   // Older versions of Clang use __has_feature instead\x0a"
"   #define _PDCLIB_HAS_EXTENSION(x) _PDCLIB_HAS_FEATURE(x)\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __has_builtin\x0a"
"   #define _PDCLIB_HAS_BUILTIN(x) __has_builtin(x)\x0a"
"#else\x0a"
"   #define _PDCLIB_HAS_BUILTIN(x) (0)\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __has_attribute\x0a"
"   #define _PDCLIB_HAS_ATTRIBUTE(x) __has_attribute(x)\x0a"
"#else\x0a"
"   #define _PDCLIB_HAS_ATTRIBUTE(x) (0)\x0a"
"#endif\x0a"
"\x0a"
"/* GCC feature detection macros */\x0a"
"\x0a"
"#if defined(__GNUC__)\x0a"
"    #define _PDCLIB_GCC_MIN(maj, min) \x5c\x0a"
"        ((__GNUC__ > maj) \x7c\x7c (__GNUC__ == maj \x26\x26 __GNUC_MINOR__ >= min))\x0a"
"#else\x0a"
"    #define _PDCLIB_GCC_MIN(maj, min) (0)\x0a"
"#endif\x0a"
"\x0a"
"/* Hybrid GCC/Clang feature detection macros */\x0a"
"#define _PDCLIB_GCC_FEATURE(x, gccmaj, gccmin) \x5c\x0a"
"        (_PDCLIB_HAS_FEATURE(x) \x7c\x7c _PDCLIB_GCC_MIN(gccmin, gccmaj))\x0a"
"\x0a"
"#define _PDCLIB_GCC_EXTENSION(x, gccmaj, gccmin) \x5c\x0a"
"        (_PDCLIB_HAS_EXTENSION(x) \x7c\x7c _PDCLIB_GCC_MIN(gccmin, gccmaj))\x0a"
"\x0a"
"#define _PDCLIB_GCC_BUILTIN(x, gccmaj, gccmin) \x5c\x0a"
"        (_PDCLIB_HAS_BUILTIN(x) \x7c\x7c _PDCLIB_GCC_MIN(gccmin, gccmaj))\x0a"
"\x0a"
"#define _PDCLIB_GCC_ATTRIBUTE(x, gccmaj, gccmin) \x5c\x0a"
"        (_PDCLIB_HAS_ATTRIBUTE(x) \x7c\x7c _PDCLIB_GCC_MIN(gccmin, gccmaj))\x0a"
"\x0a"
"/* Extension \x26 Language feature detection */\x0a"
"\x0a"
"#if _PDCLIB_C_VERSION >= 1999 \x7c\x7c defined(__cplusplus)\x0a"
"    #ifndef __cplusplus\x0a"
"        #define _PDCLIB_restrict restrict\x0a"
"    #endif\x0a"
"    #define _PDCLIB_inline   inline\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"#define _PDCLIB_EXTERN_C extern \x22""C\x22 {\x0a"
"#define _PDCLIB_EXTERN_END }\x0a"
"#else\x0a"
"#define _PDCLIB_EXTERN_C\x0a"
"#define _PDCLIB_EXTERN_END\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_CXX_VERSION >= 2011\x0a"
"  #define _PDCLIB_nothrow     noexcept\x0a"
"  #define _PDCLIB_noexcept(x) noexcept(x)\x0a"
"#elif _PDCLIB_CXX_VERSION\x0a"
"  #define _PDCLIB_nothrow     throw()\x0a"
"  #define _PDCLIB_noexcept\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_CXX_VERSION >= 2011 \x26\x26 _PDCLIB_GCC_FEATURE(cxx_attributes, 4, 8)\x0a"
"    #define _PDCLIB_noreturn \x5b\x5bnoreturn\x5d\x5d\x0a"
"#elif _PDCLIB_C_VERSION >= 2011 \x26\x26 _PDCLIB_GCC_FEATURE(c_noreturn, 4, 7)\x0a"
"    #define _PDCLIB_noreturn _Noreturn\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _WIN32\x0a"
"   #define _PDCLIB_EXPORT __declspec(dllexport)\x0a"
"   #define _PDCLIB_IMPORT __declspec(dllimport)\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_EXPORT) \x26\x26 _PDCLIB_GCC_ATTRIBUTE(__visibility__, 4, 0)\x0a"
"    #define _PDCLIB_EXPORT __attribute__((__visibility__(\x22protected\x22)))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_HIDDEN) \x26\x26 _PDCLIB_GCC_ATTRIBUTE(__visibility__, 4, 0)\x0a"
"    #define _PDCLIB_HIDDEN __attribute__((__visibility__(\x22hidden\x22)))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_nothrow) \x26\x26 _PDCLIB_GCC_ATTRIBUTE(__nothrow__, 4, 0)\x0a"
"    #define _PDCLIB_nothrow __attribute__((__nothrow__))\x0a"
"    #define _PDCLIB_noexcept\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_restrict) \x26\x26 _PDCLIB_GCC_MIN(3, 0)\x0a"
"    #define _PDCLIB_restrict __restrict\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_inline) \x26\x26 _PDCLIB_GCC_MIN(3, 0)\x0a"
"    #define _PDCLIB_inline __inline\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_noreturn) \x26\x26 _PDCLIB_GCC_ATTRIBUTE(__noreturn__, 3, 0)\x0a"
"    /* If you don't use __noreturn__, then stdnoreturn.h will break things\x21 */\x0a"
"    #define _PDCLIB_noreturn __attribute__((__noreturn__))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_DEPRECATED) \x26\x26 _PDCLIB_GCC_ATTRIBUTE(__deprecated__, 3, 0)\x0a"
"    #define _PDCLIB_DEPRECATED __attribute__ ((__deprecated__))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_UNREACHABLE) \x26\x26 _PDCLIB_GCC_BUILTIN(__builtin_unreachable, 4, 0)\x0a"
"    #define _PDCLIB_UNREACHABLE __builtin_unreachable()\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_PDCLIB_UNDEFINED) \x26\x26 defined(__GNUC__) \x26\x26 \x21""defined(__divine__)\x0a"
"    #define _PDCLIB_UNDEFINED(_var) \x5c\x0a"
"        do { __asm__(\x22\x22 \x3a \x22=X\x22(_var)); } while(0)\x0a"
"#endif\x0a"
"\x0a"
"/* No-op fallbacks */\x0a"
"\x0a"
"#ifndef _PDCLIB_nothrow\x0a"
"  #define _PDCLIB_nothrow\x0a"
"  #define _PDCLIB_noexcept\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_EXPORT\x0a"
"    #define _PDCLIB_EXPORT\x0a"
"#endif\x0a"
"#ifndef _PDCLIB_IMPORT\x0a"
"    #define _PDCLIB_IMPORT\x0a"
"#endif\x0a"
"#ifndef _PDCLIB_HIDDEN\x0a"
"    #define _PDCLIB_HIDDEN\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_PDCLIB_SHARED) \x0a"
"    #if defined(_PDCLIB_BUILD)\x0a"
"        #define _PDCLIB_API _PDCLIB_EXPORT\x0a"
"    #else\x0a"
"        #define _PDCLIB_API _PDCLIB_IMPORT\x0a"
"    #endif\x0a"
"#else\x0a"
"    #define _PDCLIB_API\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_restrict\x0a"
"      #define _PDCLIB_restrict\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_inline\x0a"
"      #define _PDCLIB_inline\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_noreturn\x0a"
"      #define _PDCLIB_noreturn\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_DEPRECATED\x0a"
"    #define _PDCLIB_DEPRECATED\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_UNREACHABLE\x0a"
"    #define _PDCLIB_UNREACHABLE do {} while(0)\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_UNDEFINED\x0a"
"    #define _PDCLIB_UNDEFINED(_var) do {} while(0)\x0a"
"#endif\x0a"
"\x0a"
"/*#if _PDCLIB_C_VERSION \x21= 1999\x0a"
"#error PDCLib might not be fully conforming to either C89 or C95 prior to v2.x.\x0a"
"#endif*/\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Helper macros\x3a                                                             */\x0a"
"/* _PDCLIB_cc( x, y ) concatenates two preprocessor tokens without extending  */\x0a"
"/* _PDCLIB_concat( x, y ) concatenates two preprocessor tokens with extending */\x0a"
"/* _PDCLIB_concat3( x, y, z ) is the same for three tokens                    */\x0a"
"/* _PDCLIB_static_assert( x ) provides a compile-time check mechanism         */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"#define _PDCLIB_cc( x, y )     x ## y\x0a"
"#define _PDCLIB_concat( x, y ) _PDCLIB_cc( x, y )\x0a"
"#define _PDCLIB_concat3( x, y, z ) _PDCLIB_concat( _PDCLIB_concat( x, y ), z )\x0a"
"#if _PDCLIB_C_VERSION >= 2011\x0a"
"#define _PDCLIB_static_assert _Static_assert\x0a"
"#else\x0a"
"#define _PDCLIB_static_assert( e, m ) ;enum { _PDCLIB_concat( _PDCLIB_assert_, __LINE__ ) = 1 / ( \x21\x21( e ) ) }\x0a"
"#endif\x0a"
"\x0a"
"#define _PDCLIB_symbol2value( x ) #x\x0a"
"#define _PDCLIB_symbol2string( x ) _PDCLIB_symbol2value( x )\x0a"
"\x0a"
"/* Feature test macros\x0a"
" *\x0a"
" * All of the feature test macros come in the following forms\x0a"
" *   _PDCLIB_*_MIN(min)\x3a            Available in versions >= min\x0a"
" *   _PDCLIB_*_MINMAX(min, max)\x3a    Available in versions >= min <= max\x0a"
" *   _PDCLIB_*_MAX(max)\x3a            Availabel in versions <= max\x0a"
" *\x0a"
" * The defined tests are\x3a\x0a"
" *   C\x3a     C standard versions \x0a"
" *              1990, 1995, 1999, 2011\x0a"
" *   CXX\x3a   C++ standard versions \x0a"
" *              1997, 2011\x0a"
" *   POSIX\x3a POSIX extension versions.\x0a"
" *              1 (POSIX.2), 2 (POSIX.2), 199309L (POSIX.1b), \x0a"
" *              199506L (POSIX.1c), 200112L (2001), 200809L (2008)\x0a"
" *   XOPEN\x3a X/Open System Interface (XSI)/Single Unix Specification\x0a"
" *              0 (XPG4), 500 (SUSv2/UNIX98), 600 (SUSv3/UNIX03), 700 (SUSv4)\x0a"
" *\x0a"
" *   Additionally, the macros\x0a"
" *     _BSD_SOURCE, _SVID_SOURCE and _GNU_SOURCE\x0a"
" *   are adhered to. If _GNU_SOURCE is defined, _XOPEN_SOURCE and \x0a"
" *   _POSIX_C_SOURCE are defined to their most recent values to match glibc \x0a"
" *   behaviour\x0a"
" *\x0a"
" *   The intention of supporting these feature test macros is to ease \x0a"
" *   application portability from these systems to PDCLib systems; in addition,\x0a"
" *   it eases support for these standards by systems supporting them which are \x0a"
" *   using PDCLib as their default C library.\x0a"
" *\x0a"
" *   Applications targetting purely PDClib/PDCLib based platforms may define \x0a"
" *   just _PDCLIB_EXTENSIONS, which will enable all supported extensions, plus\x0a"
" *   all features from all supported versions of C and C++.\x0a"
" *\x0a"
" */\x0a"
"#define _PDCLIB_C_MIN(min)         _PDCLIB_C_MINMAX(min, 3000)\x0a"
"#define _PDCLIB_CXX_MIN(min)     _PDCLIB_CXX_MINMAX(min, 3000)\x0a"
"#define _PDCLIB_XOPEN_MIN(min) _PDCLIB_XOPEN_MINMAX(min, 30000000)\x0a"
"#define _PDCLIB_POSIX_MIN(min) _PDCLIB_POSIX_MINMAX(min, 30000000)\x0a"
"#define _PDCLIB_C_MAX(max)         _PDCLIB_C_MINMAX(0, max)\x0a"
"#define _PDCLIB_CXX_MAX(max)     _PDCLIB_CXX_MINMAX(0, max)\x0a"
"#define _PDCLIB_XOPEN_MAX(max) _PDCLIB_XOPEN_MINMAX(0, max)\x0a"
"#define _PDCLIB_POSIX_MAX(max) _PDCLIB_POSIX_MINMAX(0, max)\x0a"
"#if defined(_PDCLIB_EXTENSIONS) \x7c\x7c defined(_PDCLIB_BUILD)\x0a"
"    #define _PDCLIB_C_MINMAX(min, max) 1\x0a"
"    #define _PDCLIB_CXX_MINMAX(min, max) 1\x0a"
"    #define _PDCLIB_POSIX_MINMAX(min, max) 1\x0a"
"    #define _PDCLIB_XOPEN_MINMAX(min, max) 1\x0a"
"\x0a"
"    #undef _PDCLIB_EXTENSIONS\x0a"
"    #undef _PDCLIB_BSD_SOURCE \x0a"
"    #undef _PDCLIB_SVID_SOURCE\x0a"
"    #undef _PDCLIB_GNU_SOURCE\x0a"
"\x0a"
"    #define _PDCLIB_EXTENSIONS 1\x0a"
"    #define _PDCLIB_BSD_SOURCE 1\x0a"
"    #define _PDCLIB_SVID_SOURCE 1\x0a"
"    #define _PDCLIB_GNU_SOURCE 1\x0a"
"#else\x0a"
"    #define _PDCLIB_C_MINMAX(min, max) \x5c\x0a"
"        (_PDCLIB_C_VERSION >= (min) \x26\x26 _PDCLIB_C_VERSION <= (max))\x0a"
"    #define _PDCLIB_CXX_MINMAX(min, max) \x5c\x0a"
"        (_PDCLIB_CXX_VERSION >= (min) \x26\x26 _PDCLIB_CXX_VERSION <= (max))\x0a"
"    #define _PDCLIB_XOPEN_MINMAX(min, max) \x5c\x0a"
"        (defined(_XOPEN_SOURCE) \x5c\x0a"
"            \x26\x26 _XOPEN_SOURCE >= (min) \x26\x26 _XOPEN_SOURCE <= (max))\x0a"
"    #define _PDCLIB_POSIX_MINMAX(min, max) \x5c\x0a"
"        (defined(_POSIX_C_SOURCE) \x5c\x0a"
"            \x26\x26 _POSIX_C_SOURCE >= (min) \x26\x26 _POSIX_C_SOURCE <= (max))\x0a"
"\x0a"
"    #if defined(_XOPEN_SOURCE) \x26\x26 (_XOPEN_SOURCE-1 == -1)\x0a"
"        /* If _XOPEN_SOURCE is defined as empty, redefine here as zero */\x0a"
"        #undef _XOPEN_SOURCE\x0a"
"        #define _XOPEN_SOURCE 0\x0a"
"    #endif\x0a"
"\x0a"
"    #if defined(_GNU_SOURCE)\x0a"
"        #define _PDCLIB_GNU_SOURCE 1\x0a"
"        #define _PDCLIB_SVID_SOURCE 1\x0a"
"        #define _PDCLIB_BSD_SOURCE 1\x0a"
"        #undef _XOPEN_SOURCE\x0a"
"        #define _XOPEN_SOURCE 700\x0a"
"    #else\x0a"
"        #define _PDCLIB_GNU_SOURCE 0\x0a"
"    #endif\x0a"
"\x0a"
"    #if defined(_PDCLIB_BSD_SOURCE)\x0a"
"        // pass\x0a"
"    #elif defined(_BSD_SOURCE)\x0a"
"        #define _PDCLIB_BSD_SOURCE 1\x0a"
"    #else\x0a"
"        #define _PDCLIB_BSD_SOURCE 0\x0a"
"    #endif\x0a"
"\x0a"
"    #if defined(_PDCLIB_SVID_SOURCE)\x0a"
"        // pass\x0a"
"    #elif defined(_SVID_SOURCE)\x0a"
"        #define _PDCLIB_SVID_SOURCE 1\x0a"
"    #else\x0a"
"        #define _PDCLIB_SVID_SOURCE 0\x0a"
"    #endif\x0a"
"\x0a"
"    #if _PDCLIB_XOPEN_MIN(700) \x26\x26 \x21_PDCLIB_POSIX_MIN(200809L)\x0a"
"        #undef _POSIX_C_SOURCE\x0a"
"        #define _POSIX_C_SOURCE 200809L\x0a"
"    #elif _PDCLIB_XOPEN_MIN(600) \x26\x26 \x21_PDCLIB_POSIX_MIN(200112L)\x0a"
"        #undef _POSIX_C_SOURCE\x0a"
"        #define _POSIX_C_SOURCE 200112L\x0a"
"    #elif _PDCLIB_XOPEN_MIN(0) \x26\x26 \x21_PDCLIB_POSIX_MIN(2)\x0a"
"        #undef _POSIX_C_SOURCE\x0a"
"        #define _POSIX_C_SOURCE 2\x0a"
"    #endif\x0a"
"\x0a"
"    #if defined(_POSIX_SOURCE) \x26\x26 \x21""defined(_POSIX_C_SOURCE)\x0a"
"        #define _POSIX_C_SOURCE 1\x0a"
"    #endif\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 13546 ); }