#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_config_h( 
"#ifndef _PDCLIB_CONFIG_H\x0a"
"#define _PDCLIB_CONFIG_H\x0a"
"\x0a"
"/* Internal PDCLib configuration <_PDCLIB_config.h>\x0a"
"   (POSIX platform)\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Misc                                                                       */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* The character (sequence) your platform uses as newline.                    */\x0a"
"#define _PDCLIB_endl \x22\x5cn\x22\x0a"
"\x0a"
"/* exit() can signal success to the host environment by the value of zero or  */\x0a"
"/* the constant EXIT_SUCCESS. Failure is signaled by EXIT_FAILURE. Note that  */\x0a"
"/* any other return value is \x22implementation-defined\x22, i.e. your environment  */\x0a"
"/* is not required to handle it gracefully. Set your definitions here.        */\x0a"
"#define _PDCLIB_SUCCESS 0\x0a"
"#define _PDCLIB_FAILURE -1\x0a"
"\x0a"
"/* qsort() in <stdlib.h> requires a function that swaps two memory areas.     */\x0a"
"/* Below is a naive implementation that can be improved significantly for     */\x0a"
"/* specific platforms, e.g. by swapping int instead of char.                  */\x0a"
"#define _PDCLIB_memswp( i, j, size ) char tmp; do { tmp = *i; *i++ = *j; *j++ = tmp; } while ( --size );\x0a"
"\x0a"
"/* The maximum value that errno can be set to. This is used to set the size   */\x0a"
"/* of the array in struct lconv (<locale.h>) holding error messages for the   */\x0a"
"/* strerror() and perror() functions. (If you change this value because you   */\x0a"
"/* are using additional errno values, you *HAVE* to provide appropriate error */\x0a"
"/* messages for *ALL* locales.)                                               */\x0a"
"/* Default is 4 (0, ERANGE, EDOM, EILSEQ).                                    */\x0a"
"#define _PDCLIB_ERRNO_MAX 134\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Integers                                                                   */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Assuming 8-bit char, two's-complement architecture here. 'short' being     */\x0a"
"/* 16 bit, 'int' being either 16, 32 or 64 bit, 'long' being either 32 or 64  */\x0a"
"/* bit (but 64 bit only if 'int' is 32 bit), and 'long long' being 64 bit if  */\x0a"
"/* 'long' is not, 64 or 128 bit otherwise.                                    */\x0a"
"/* Author is quite willing to support other systems but would like to hear of */\x0a"
"/* interest in such support and details on the to-be-supported architecture   */\x0a"
"/* first, before going to lengths about it.                                   */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* Comment out (or delete) the line below if your 'char' type is unsigned.    */\x0a"
"#define _PDCLIB_CHAR_SIGNED 1\x0a"
"\x0a"
"/* Width of the integer types short, int, long, and long long, in bytes.      */\x0a"
"/* SHRT == 2, INT >= SHRT, LONG >= INT >= 4, LLONG >= LONG - check your       */\x0a"
"/* compiler manuals.                                                          */\x0a"
"#if defined(__SIZEOF_SHORT__)\x0a"
"# define _PDCLIB_SHRT_BYTES __SIZEOF_SHORT__\x0a"
"#else\x0a"
"# define _PDCLIB_SHRT_BYTES  2\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__SIZEOF_INT__)\x0a"
"# define _PDCLIB_INT_BYTES __SIZEOF_INT__\x0a"
"#else\x0a"
"# define _PDCLIB_INT_BYTES   4\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__SIZEOF_LONG__)\x0a"
"# define _PDCLIB_LONG_BYTES __SIZEOF_LONG__\x0a"
"#elif defined(_LP64) \x7c\x7c defined(__ILP64__)\x0a"
"# define _PDCLIB_LONG_BYTES 8\x0a"
"#else\x0a"
"# define _PDCLIB_LONG_BYTES 4\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__SIZEOF_LONG_LONG__)\x0a"
"# define _PDCLIB_LLONG_BYTES __SIZEOF_LONG_LONG__\x0a"
"#else\x0a"
"# define _PDCLIB_LLONG_BYTES 8\x0a"
"#endif\x0a"
"\x0a"
"// Match Darwin headers\x0a"
"#define _PDCLIB_INT64_IS_LLONG\x0a"
"\x0a"
"/* <stdlib.h> defines the div() function family that allows taking quotient   */\x0a"
"/* and remainder of an integer division in one operation. Many platforms      */\x0a"
"/* support this in hardware / opcode, and the standard permits ordering of    */\x0a"
"/* the return structure in any way to fit the hardware. That is why those     */\x0a"
"/* structs can be configured here.                                            */\x0a"
"\x0a"
"struct _PDCLIB_div_t\x0a"
"{\x0a"
"    int quot;\x0a"
"    int rem;\x0a"
"};\x0a"
"\x0a"
"struct _PDCLIB_ldiv_t\x0a"
"{\x0a"
"    long int quot;\x0a"
"    long int rem;\x0a"
"};\x0a"
"\x0a"
"struct _PDCLIB_lldiv_t\x0a"
"{\x0a"
"    long long int quot;\x0a"
"    long long int rem;\x0a"
"};\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* <stdint.h> defines a set of integer types that are of a minimum width, and */\x0a"
"/* \x22usually fastest\x22 on the system. (If, for example, accessing a single char */\x0a"
"/* requires the CPU to access a complete int and then mask out the char, the  */\x0a"
"/* \x22usually fastest\x22 type of at least 8 bits would be int, not char.)         */\x0a"
"/* If you do not have information on the relative performance of the types,   */\x0a"
"/* the standard allows you to define any type that meets minimum width and    */\x0a"
"/* signedness requirements.                                                   */\x0a"
"/* The defines below are just configuration for the real typedefs and limit   */\x0a"
"/* definitions done in <_PDCLIB_int.h>. The uppercase define shall be either  */\x0a"
"/* SHRT, INT, LONG, or LLONG (telling which values to use for the *_MIN and   */\x0a"
"/* *_MAX limits); the lowercase define either short, int, long, or long long  */\x0a"
"/* (telling the actual type to use).                                          */\x0a"
"/* The third define is the length modifier used for the type in printf() and  */\x0a"
"/* scanf() functions (used in <inttypes.h>).                                  */\x0a"
"/* If you require a non-standard datatype to define the \x22usually fastest\x22     */\x0a"
"/* types, PDCLib as-is doesn't support that. Please contact the author with   */\x0a"
"/* details on your platform in that case, so support can be added.            */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"#define _PDCLIB_FAST8 INT\x0a"
"#define _PDCLIB_fast8 int\x0a"
"#define _PDCLIB_FAST8_CONV\x0a"
"\x0a"
"#define _PDCLIB_FAST16 INT\x0a"
"#define _PDCLIB_fast16 int\x0a"
"#define _PDCLIB_FAST16_CONV\x0a"
"\x0a"
"#define _PDCLIB_FAST32 INT\x0a"
"#define _PDCLIB_fast32 int\x0a"
"#define _PDCLIB_FAST32_CONV\x0a"
"\x0a"
"#define _PDCLIB_FAST64 LLONG\x0a"
"#define _PDCLIB_fast64 long long\x0a"
"#define _PDCLIB_FAST64_CONV ll\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* What follows are a couple of \x22special\x22 typedefs and their limits. Again,   */\x0a"
"/* the actual definition of the limits is done in <_PDCLIB_int.h>, and the    */\x0a"
"/* defines here are merely \x22""configuration\x22. See above for details.            */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* The result type of substracting two pointers */\x0a"
"#if defined(__PTRDIFF_TYPE__) \x26\x26 defined(__SIZEOF_PTRDIFF_T__)\x0a"
"# define _PDCLIB_ptrdiff __PTRDIFF_TYPE__\x0a"
"# if defined(__SIZEOF_INT__) \x26\x26 __SIZEOF_PTRDIFF_T__ == __SIZEOF_INT__\x0a"
"#  define _PDCLIB_PTRDIFF INT\x0a"
"#  define _PDCLIB_PTR_CONV\x0a"
"# elif defined(__SIZEOF_LONG__) \x26\x26 __SIZEOF_PTRDIFF_T__ == __SIZEOF_LONG__\x0a"
"#  define _PDCLIB_PTRDIFF LONG\x0a"
"#  define _PDCLIB_PTR_CONV l\x0a"
"# elif defined(__SIZEOF_LONG_LONG__) \x26\x26 __SIZEOF_PTRDIFF_T__ == __SIZEOF_LONG_LONG__\x0a"
"#  define _PDCLIB_PTRDIFF LLONG\x0a"
"#  define _PDCLIB_PTR_CONV ll\x0a"
"# else\x0a"
"#  define _PDCLIB_PTR_CONV\x0a"
"# endif\x0a"
"#elif defined (__i386__)\x0a"
"# define _PDCLIB_ptrdiff int\x0a"
"# define _PDCLIB_PTRDIFF INT\x0a"
"# define _PDCLIB_PTR_CONV\x0a"
"#else\x0a"
"# define _PDCLIB_ptrdiff long\x0a"
"# define _PDCLIB_PTRDIFF LONG\x0a"
"# define _PDCLIB_PTR_CONV l\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"/* An integer type that can be accessed as atomic entity (think asynchronous\x0a"
"   interrupts). The type itself is not defined in a freestanding environment,\x0a"
"   but its limits are. (Don't ask.)\x0a"
"*/\x0a"
"#define _PDCLIB_sig_atomic int\x0a"
"#define _PDCLIB_SIG_ATOMIC INT\x0a"
"\x0a"
"/* Result type of the 'sizeof' operator (must be unsigned) */\x0a"
"#if defined(__SIZE_TYPE__) \x26\x26 defined(__SIZEOF_SIZE_T__)\x0a"
"# define _PDCLIB_size __SIZE_TYPE__\x0a"
"# if defined(__SIZEOF_INT__) \x26\x26 __SIZEOF_SIZE_T__ == __SIZEOF_INT__\x0a"
"#  define _PDCLIB_SIZE UINT\x0a"
"# elif defined(__SIZEOF_LONG__) \x26\x26 __SIZEOF_SIZE_T__ == __SIZEOF_LONG__\x0a"
"#  define _PDCLIB_SIZE ULONG\x0a"
"# elif defined(__SIZEOF_LONG_LONG__) \x26\x26 __SIZEOF_SIZE_T__ == __SIZEOF_LONG_LONG__\x0a"
"#  define _PDCLIB_SIZE ULLONG\x0a"
"# else\x0a"
"#  define _PDCLIB_SIZE UINT\x0a"
"# endif\x0a"
"#elif defined (__i386__) // uh-oh\x3f\x0a"
"# define _PDCLIB_size unsigned\x0a"
"# define _PDCLIB_SIZE UINT\x0a"
"#else\x0a"
"# define _PDCLIB_size unsigned long\x0a"
"# define _PDCLIB_SIZE ULONG\x0a"
"#endif\x0a"
"\x0a"
"/* Large enough an integer to hold all character codes of the largest supported\x0a"
"   locale.\x0a"
"*/\x0a"
"#if defined(__WINT_TYPE__) \x26\x26 defined(__WCHAR_TYPE__) \x26\x26 defined(__SIZEOF_WCHAR_T__)\x0a"
"# define _PDCLIB_wint __WINT_TYPE__\x0a"
"# define _PDCLIB_wchar __WCHAR_TYPE__\x0a"
"# if defined(__SIZEOF_SHORT__) \x26\x26 __SIZEOF_WCHAR_T__ == __SIZEOF_SHORT__\x0a"
"#  define _PDCLIB_WCHAR SHRT\x0a"
"# elif defined(__SIZEOF_INT__) \x26\x26 __SIZEOF_WCHAR_T__ == __SIZEOF_INT__\x0a"
"#  define _PDCLIB_WCHAR INT\x0a"
"# elif defined(__SIZEOF_LONG__) \x26\x26 __SIZEOF_WCHAR_T__ == __SIZEOF_LONG__\x0a"
"#  define _PDCLIB_WCHAR LONG\x0a"
"# else\x0a"
"#  define _PDCLIB_WCHAR INT\x0a"
"# endif\x0a"
"#else\x0a"
"# define _PDCLIB_wint  int\x0a"
"# define _PDCLIB_wchar int\x0a"
"# define _PDCLIB_WCHAR INT\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__INTPTR_TYPE__) \x26\x26 defined(__SIZEOF_POINTER__)\x0a"
"# define _PDCLIB_intptr __INTPTR_TYPE__\x0a"
"# if defined(__SIZEOF_INT__) \x26\x26 __SIZEOF_POINTER__ == __SIZEOF_INT__\x0a"
"#  define _PDCLIB_INTPTR INT\x0a"
"# elif defined(__SIZEOF_LONG__) \x26\x26 __SIZEOF_POINTER__ == __SIZEOF_LONG__\x0a"
"#  define _PDCLIB_INTPTR LONG\x0a"
"# elif defined(__SIZEOF_LONG_LONG__) \x26\x26 __SIZEOF_POINTER__ == __SIZEOF_LONG_LONG__\x0a"
"#  define _PDCLIB_INTPTR LLONG\x0a"
"# else\x0a"
"#  define _PDCLIB_INTPTR INT\x0a"
"# endif\x0a"
"#else\x0a"
"# define _PDCLIB_intptr long\x0a"
"# define _PDCLIB_INTPTR LONG\x0a"
"#endif\x0a"
"\x0a"
"/* Largest supported integer type. Implementation note\x3a see _PDCLIB_atomax(). */\x0a"
"#if defined(__INTMAX_TYPE__) \x26\x26 defined(__INTMAX_WIDTH__)\x0a"
"# define _PDCLIB_intmax __INTMAX_TYPE__\x0a"
"# if defined(__SIZEOF_INT__) \x26\x26 __SIZEOF_INT__ == __INTMAX_WIDTH__/__CHAR_BIT__\x0a"
"#  define _PDCLIB_INTMAX INT\x0a"
"#  define _PDCLIB_MAX_CONV \x0a"
"# elif defined(__SIZEOF_LONG__) \x26\x26 __SIZEOF_LONG__ == __INTMAX_WIDTH__/__CHAR_BIT__\x0a"
"#  define _PDCLIB_INTMAX LONG\x0a"
"#  define _PDCLIB_MAX_CONV l\x0a"
"# elif defined(__SIZEOF_LONG_LONG__) \x26\x26 __SIZEOF_LONG_LONG__ == __INTMAX_WIDTH__/__CHAR_BIT__\x0a"
"#  define _PDCLIB_INTMAX LLONG\x0a"
"#  define _PDCLIB_MAX_CONV ll\x0a"
"# else\x0a"
"#  define _PDCLIB_INTMAX INT\x0a"
"#  define _PDCLIB_MAX_CONV \x0a"
"# endif\x0a"
"#else\x0a"
"# define _PDCLIB_intmax long long int\x0a"
"# define _PDCLIB_INTMAX LLONG\x0a"
"# define _PDCLIB_MAX_CONV ll\x0a"
"#endif\x0a"
"/* You are also required to state the literal suffix for the intmax type      */\x0a"
"#define _PDCLIB_INTMAX_LITERAL _PDCLIB_MAX_CONV\x0a"
"\x0a"
"/* <inttypes.h> defines imaxdiv(), which is equivalent to the div() function  */\x0a"
"/* family (see further above) with intmax_t as basis.                         */\x0a"
"\x0a"
"struct _PDCLIB_imaxdiv_t\x0a"
"{\x0a"
"    _PDCLIB_intmax quot;\x0a"
"    _PDCLIB_intmax rem;\x0a"
"};\x0a"
"\x0a"
"/* <time.h>\x3a time_t \x0a"
" * The C standard doesn't define what representation of time is stored in \x0a"
" * time_t when returned by time() , but POSIX defines it to be seconds since the\x0a"
" * UNIX epoch and most appplications expect that. \x0a"
" *\x0a"
" * time_t is also used as the tv_sec member of struct timespec, which *is* \x0a"
" * defined as a linear count of seconds.\x0a"
" *\x0a"
" * time_t is defined as a \x22real type\x22, so may be a floating point type, but with\x0a"
" * the presence of the nanosecond accurate struct timespec, and with the lack of\x0a"
" * any functions for manipulating more accurate values of time_t, this is \x0a"
" * probably not useful.\x0a"
" */\x0a"
"#define _PDCLIB_time  long\x0a"
"\x0a"
"/* <time.h>\x3a clock_t\x0a"
" *\x0a"
" * A count of \x22""clock ticks\x22, where the length of a clock tick is unspecified by\x0a"
" * the standard. The implementation is required to provide a macro, \x0a"
" * CLOCKS_PER_SEC, which is the number of \x22""clock ticks\x22 which corresponds to one\x0a"
" * second.\x0a"
" *\x0a"
" * clock_t may be any real type (i.e. integral or floating), and its type on\x0a"
" * various systems differs. \x0a"
" *\x0a"
" * On XSI systems, CLOCKS_PER_SEC must be defined to 1000000\x0a"
" */\x0a"
"#define _PDCLIB_clock long\x0a"
"#define _PDCLIB_CLOCKS_PER_SEC 1000000\x0a"
"\x0a"
"/* <time.h>\x3a TIME_UTC\x0a"
" *\x0a"
" * The TIME_UTC parameter is passed to the timespec_get function in order to get\x0a"
" * the system time in UTC since an implementation defined epoch (not necessarily\x0a"
" * the same as that used for time_t). That said, on POSIX the obvious \x0a"
" * implementation of timespec_get for TIME_UTC is to wrap \x0a"
" * clock_gettime(CLOCK_REALTIME, ...), which is defined as time in UTC since the\x0a"
" * same epoch.\x0a"
" *\x0a"
" * This may be any non-zero integer value.\x0a"
" */\x0a"
"#define _PDCLIB_TIME_UTC 1\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Floating Point                                                             */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* Whether the implementation rounds toward zero (0), to nearest (1), toward\x0a"
"   positive infinity (2), or toward negative infinity (3). (-1) signifies\x0a"
"   indeterminable rounding, any other value implementation-specific rounding.\x0a"
"*/\x0a"
"#define _PDCLIB_FLT_ROUNDS -1\x0a"
"\x0a"
"/* Whether the implementation uses exact-width precision (0), promotes float\x0a"
"   to double (1), or promotes float and double to long double (2). (-1)\x0a"
"   signifies indeterminable behaviour, any other value implementation-specific\x0a"
"   behaviour.\x0a"
"*/\x0a"
"#define _PDCLIB_FLT_EVAL_METHOD -1\x0a"
"\x0a"
"/* \x22Number of the decimal digits (n), such that any floating-point number in the\x0a"
"   widest supported floating type with p(max) radix (b) digits can be rounded to\x0a"
"   a floating-point number with (n) decimal digits and back again without change\x0a"
"   to the value p(max) log(10)b if (b) is a power of 10, \x5b""1 + p(max) log(10)b\x5d\x0a"
"   otherwise.\x22\x0a"
"   64bit IEC 60559 double format (53bit mantissa) is DECIMAL_DIG 17.\x0a"
"   80bit IEC 60559 double-extended format (64bit mantissa) is DECIMAL_DIG 21.\x0a"
"*/\x0a"
"#define _PDCLIB_DECIMAL_DIG 17\x0a"
"\x0a"
"/* Floating point types\x0a"
" *\x0a"
" * PDCLib (at present) assumes IEEE 754 floating point formats\x0a"
" * The following names are used\x3a\x0a"
" *    SINGLE\x3a   IEEE 754 single precision (32-bit)\x0a"
" *    DOUBLE\x3a   IEEE 754 double precision (64-bit)\x0a"
" *    EXTENDED\x3a IEEE 754 extended precision (80-bit, as x87)\x0a"
" */\x0a"
"#define _PDCLIB_FLOAT_TYPE   SINGLE\x0a"
"#define _PDCLIB_DOUBLE_TYPE  DOUBLE\x0a"
"#define _PDCLIB_LDOUBLE_TYPE EXTENDED\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* Platform-dependent macros defined by the standard headers.                 */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* The offsetof macro\x0a"
"   Contract\x3a Expand to an integer constant expression of type size_t, which\x0a"
"   represents the offset in bytes to the structure member from the beginning\x0a"
"   of the structure. If the specified member is a bitfield, behaviour is\x0a"
"   undefined.\x0a"
"   There is no standard-compliant way to do this.\x0a"
"   This implementation casts an integer zero to 'pointer to type', and then\x0a"
"   takes the address of member. This is undefined behaviour but should work on\x0a"
"   most compilers.\x0a"
"*/\x0a"
"#ifdef __GNUC__\x0a"
"  #define _PDCLIB_offsetof( type, member ) __builtin_offsetof( type, member )\x0a"
"#else\x0a"
"  #define _PDCLIB_offsetof( type, member ) ( (size_t) \x26( ( (type *) 0 )->member ) )\x0a"
"#endif\x0a"
"\x0a"
"/* Variable Length Parameter List Handling (<stdarg.h>)\x0a"
"   The macros defined by <stdarg.h> are highly dependent on the calling\x0a"
"   conventions used, and you probably have to replace them with builtins of\x0a"
"   your compiler.\x0a"
"*/\x0a"
"\x0a"
"#ifdef __GNUC__\x0a"
"  typedef __builtin_va_list _PDCLIB_va_list;\x0a"
"#ifndef __divine__\x0a"
"  #define _PDCLIB_va_arg( ap, type ) (__builtin_va_arg( (ap), type ))\x0a"
"#else\x0a"
"  // this will be replaced by the va_arg instruction using LART\x0a"
"#ifdef __cplusplus\x0a"
"  extern \x22""C\x22 void *__lart_llvm_va_arg( _PDCLIB_va_list va ) throw();\x0a"
"  #define _PDCLIB_va_arg( ap, type ) (static_cast< type >( \x5c\x0a"
"        *reinterpret_cast< type * >(__lart_llvm_va_arg( (ap) ))))\x0a"
"#else\x0a"
"  void *__lart_llvm_va_arg( _PDCLIB_va_list va ) __attribute__((__nothrow__));\x0a"
"  #define _PDCLIB_va_arg( ap, type ) ((type)(*(type *)__lart_llvm_va_arg( (ap) )))\x0a"
"#endif\x0a"
"#endif\x0a"
"  #define _PDCLIB_va_copy( dest, src ) (__builtin_va_copy( (dest), (src) ))\x0a"
"  #define _PDCLIB_va_end( ap ) (__builtin_va_end( ap ) )\x0a"
"  #define _PDCLIB_va_start( ap, parmN ) (__builtin_va_start( (ap), (parmN) ))\x0a"
"#elif (defined(__i386__) \x7c\x7c defined(__i386) \x7c\x7c defined(_M_IX86)) \x26\x26 \x21(defined(__amd64__) \x7c\x7c defined(__x86_64__) \x7c\x7c defined(_M_AMD64))\x0a"
"  /* Internal helper macro. va_round is not part of <stdarg.h>. */\x0a"
"  #define _PDCLIB_va_round( type ) ( (sizeof(type) + sizeof(void *) - 1) \x26 \x7e(sizeof(void *) - 1) )\x0a"
"\x0a"
"  typedef char * _PDCLIB_va_list;\x0a"
"  #define _PDCLIB_va_arg( ap, type ) ( (ap) += (_PDCLIB_va_round(type)), ( *(type*) ( (ap) - (_PDCLIB_va_round(type)) ) ) )\x0a"
"  #define _PDCLIB_va_copy( dest, src ) ( (dest) = (src), (void)0 )\x0a"
"  #define _PDCLIB_va_end( ap ) ( (ap) = (void *)0, (void)0 )\x0a"
"  #define _PDCLIB_va_start( ap, parmN ) ( (ap) = (char *) \x26parmN + ( _PDCLIB_va_round(parmN) ), (void)0 )\x0a"
"#else\x0a"
"  #error Compiler/Architecture support please\x0a"
"#endif\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* OS \x22glue\x22, part 1                                                          */\x0a"
"/* These are values and data type definitions that you would have to adapt to */\x0a"
"/* the capabilities and requirements of your OS.                              */\x0a"
"/* The actual *functions* of the OS interface are declared in _PDCLIB_glue.h. */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* Memory management -------------------------------------------------------- */\x0a"
"\x0a"
"/* Set this to the page size of your OS. If your OS does not support paging, set\x0a"
"   to an appropriate value. (Too small, and malloc() will call the kernel too\x0a"
"   often. Too large, and you will waste memory.)\x0a"
"*/\x0a"
"#define _PDCLIB_MALLOC_PAGESIZE 4096\x0a"
"#define _PDCLIB_MALLOC_ALIGN 16\x0a"
"#define _PDCLIB_MALLOC_GRANULARITY 64*1024\x0a"
"#define _PDCLIB_MALLOC_TRIM_THRESHOLD 2*1024*1024\x0a"
"#define _PDCLIB_MALLOC_MMAP_THRESHOLD 256*1024\x0a"
"#define _PDCLIB_MALLOC_RELEASE_CHECK_RATE 4095\x0a"
"\x0a"
"/* TODO\x3a Better document these */\x0a"
"\x0a"
"/* Locale --------------------------------------------------------------------*/\x0a"
"\x0a"
"/* Locale method. See _PDCLIB_locale.h */\x0a"
"#define _PDCLIB_LOCALE_METHOD _PDCLIB_LOCALE_METHOD_TSS\x0a"
"\x0a"
"/* wchar_t encoding */\x0a"
"#define _PDCLIB_WCHAR_ENCODING _PDCLIB_WCHAR_ENCODING_UCS4\x0a"
"\x0a"
"/* I/O ---------------------------------------------------------------------- */\x0a"
"\x0a"
"/* The default size for file buffers. Must be at least 256. */\x0a"
"#define _PDCLIB_BUFSIZ 256\x0a"
"\x0a"
"/* The minimum number of files the implementation can open simultaneously. Must\x0a"
"   be at least 8. Depends largely on how the bookkeeping is done by fopen() /\x0a"
"   freopen() / fclose(). The example implementation limits the number of open\x0a"
"   files only by available memory.\x0a"
"*/\x0a"
"#define _PDCLIB_FOPEN_MAX 8\x0a"
"\x0a"
"/* Length of the longest filename the implementation guarantees to support. */\x0a"
"#define _PDCLIB_FILENAME_MAX 128\x0a"
"\x0a"
"/* Maximum length of filenames generated by tmpnam(). (See tmpfile.c.) */\x0a"
"#define _PDCLIB_L_tmpnam 128\x0a"
"\x0a"
"/* Number of distinct file names that can be generated by tmpnam(). */\x0a"
"#define _PDCLIB_TMP_MAX 50\x0a"
"\x0a"
"/* The values of SEEK_SET, SEEK_CUR and SEEK_END, used by fseek().\x0a"
"   Since at least one platform (POSIX) uses the same symbols for its own \x22seek\x22\x0a"
"   function, we use whatever the host defines (if it does define them).\x0a"
"*/\x0a"
"#define _PDCLIB_SEEK_SET 0\x0a"
"#define _PDCLIB_SEEK_CUR 1\x0a"
"#define _PDCLIB_SEEK_END 2\x0a"
"\x0a"
"/* Since version 3.1, Linux supports the following additional values for lseek\x3a\x0a"
" */\x0a"
"#define _PDCLIB_SEEK_DATA 3\x0a"
"#define _PDCLIB_SEEK_HOLE 4\x0a"
"\x0a"
"/* The number of characters that can be buffered with ungetc(). The standard\x0a"
"   guarantees only one (1); anything larger would make applications relying on\x0a"
"   this capability dependent on implementation-defined behaviour (not good).\x0a"
"*/\x0a"
"#define _PDCLIB_UNGETCBUFSIZE 1\x0a"
"\x0a"
"#endif\x0a"
"", 19684 ); }