#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_glue_h( 
"/* OS glue functions declaration <_PDCLIB_glue.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef __PDCLIB_GLUE_H\x0a"
"#define __PDCLIB_GLUE_H __PDCLIB_GLUE_H\x0a"
"\x0a"
"#include <_PDCLIB/int.h>\x0a"
"#include <_PDCLIB/io.h>\x0a"
"\x0a"
"#include <stdbool.h>\x0a"
"#include <stddef.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* OS \x22glue\x22, part 2                                                          */\x0a"
"/* These are the functions you will have to touch, as they are where PDCLib   */\x0a"
"/* interfaces with the operating system.                                      */\x0a"
"/* They operate on data types partially defined by _PDCLIB_config.h.          */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"/* stdlib.h */\x0a"
"\x0a"
"/* A system call that terminates the calling process, returning a given status\x0a"
"   to the environment.\x0a"
"*/\x0a"
"_PDCLIB_noreturn void _PDCLIB_Exit( int status );\x0a"
"\x0a"
"/* A system call which allocates n pages of memory and returns a pointer to \x0a"
"   them. On failure, returns NULL\x0a"
"*/\x0a"
"void * _PDCLIB_allocpages( size_t n );\x0a"
"\x0a"
"/* A system call which frees the n pages of memory pointed to by p */\x0a"
"void _PDCLIB_freepages( void * p, size_t n );\x0a"
"\x0a"
"#ifdef _PDCLIB_HAVE_REALLOCPAGES\x0a"
"/* A system call which attempts to reallocate the group of \x5cp on pages starting\x0a"
"   at \x5cp p, resizing the chunk to be \x5cp nn pages long. If \x5cp mayMove is true, \x0a"
"   then then the group of pages may move; otherwise, if the group cannot be \x0a"
"   resized in its current position, failure must be reported.\x0a"
"\x0a"
"   On failure, returns NULL; on success, returns the address of the group of \x0a"
"   pages (if mayMove == false, then this must be equal to \x5cp p)\x0a"
"*/\x0a"
"void * _PDCLIB_reallocpages( void* p, size_t on, size_t nn, bool mayMove);\x0a"
"#endif\x0a"
"\x0a"
"/* stdio.h */\x0a"
"\x0a"
"/* Open the file with the given name and mode. Return the file descriptor in \x0a"
" * *fd and a pointer to the operations structure in **ops on success.\x0a"
" *\x0a"
" * Return true on success and false on failure.\x0a"
" */\x0a"
"bool _PDCLIB_open( \x0a"
"   _PDCLIB_fd_t* fd, const _PDCLIB_fileops_t** ops,\x0a"
"   char const * filename, unsigned int mode );\x0a"
"\x0a"
"/* A system call that renames a file from given old name to given new name.\x0a"
"   Return zero on success, non-zero otherwise. In case of failure, the file\x0a"
"   must still be accessible by old name. Any handling of open files etc. is\x0a"
"   done by standard rename() already.\x0a"
"*/\x0a"
"int _PDCLIB_rename( const char * old, const char * newn);\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 2578 ); }