#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_locale_h( 
"/* PDCLib locale support <_PDCLIB_locale.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef __PDCLIB_LOCALE_H\x0a"
"#define __PDCLIB_LOCALE_H __PDCLIB_LOCALE_H\x0a"
"\x0a"
"#include <_PDCLIB/int.h>\x0a"
"\x0a"
"#include <locale.h>\x0a"
"#include <wctype.h>\x0a"
"#include <threads.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#define _PDCLIB_LOCALE_METHOD_TSS           't'\x0a"
"#define _PDCLIB_LOCALE_METHOD_THREAD_LOCAL  'T'\x0a"
"\x0a"
"#if \x21""defined(__cplusplus)\x0a"
"#if \x21""defined(_PDCLIB_LOCALE_METHOD)\x0a"
"    /* If undefined, no POSIX per thread locales */\x0a"
"    #define _PDCLIB_threadlocale() _PDCLIB_global_locale\x0a"
"#elif _PDCLIB_LOCALE_METHOD == _PDCLIB_LOCALE_METHOD_TSS\x0a"
"    extern tss_t _PDCLIB_locale_tss;\x0a"
"    static inline locale_t _PDCLIB_threadlocale( void )\x0a"
"    {\x0a"
"        _PDCLIB_locale_t l;\x0a"
"        if (_PDCLIB_locale_tss == NULL)\x0a"
"            l = _PDCLIB_global_locale;\x0a"
"        else\x0a"
"            l = tss_get(_PDCLIB_locale_tss);\x0a"
"        if(l == NULL)\x0a"
"            l = _PDCLIB_global_locale;\x0a"
"        return l;\x0a"
"    }\x0a"
"\x0a"
"    static inline void _PDCLIB_setthreadlocale( locale_t l )\x0a"
"    {\x0a"
"        if (_PDCLIB_locale_tss == NULL)\x0a"
"            return; /* do nothing ... */\x0a"
"        if(tss_set(_PDCLIB_locale_tss, l) \x21= thrd_success)\x0a"
"            return; /* likewise */\x0a"
"    }\x0a"
"#elif _PDCLIB_LOCALE_METHOD == _PDCLIB_LOCALE_METHOD_THREAD_LOCAL\x0a"
"    extern thread_local locale_t _PDCLIB_locale_tls;\x0a"
"    #define _PDCLIB_threadlocale() ( _PDCLIB_locale_tls \x7c\x7c _PDCLIB_global_locale )\x0a"
"    static inline locale_t _PDCLIB_threadlocale( void )\x0a"
"    {\x0a"
"        locale_t l = _PDCLIB_locale_tls;\x0a"
"        if(l == NULL)\x0a"
"            l = _PDCLIB_global_locale;\x0a"
"        return l;\x0a"
"    }\x0a"
"\x0a"
"    static inline void _PDCLIB_setthreadlocale( locale_t l )\x0a"
"    {\x0a"
"        _PDCLIB_locale_tls = l;\x0a"
"    }\x0a"
"#else\x0a"
"    #error Locale TSS method unspecified\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"/* <ctype.h> lookup tables                                                    */\x0a"
"/* -------------------------------------------------------------------------- */\x0a"
"\x0a"
"#define _PDCLIB_CTYPE_ALPHA   1\x0a"
"#define _PDCLIB_CTYPE_BLANK   2\x0a"
"#define _PDCLIB_CTYPE_CNTRL   4\x0a"
"#define _PDCLIB_CTYPE_GRAPH   8\x0a"
"#define _PDCLIB_CTYPE_PUNCT  16\x0a"
"#define _PDCLIB_CTYPE_SPACE  32\x0a"
"#define _PDCLIB_CTYPE_LOWER  64\x0a"
"#define _PDCLIB_CTYPE_UPPER 128\x0a"
"#define _PDCLIB_CTYPE_DIGIT 256\x0a"
"#define _PDCLIB_CTYPE_XDIGT 512\x0a"
"\x0a"
"#define _PDCLIB_WCTRANS_TOLOWER 1\x0a"
"#define _PDCLIB_WCTRANS_TOUPPER 2\x0a"
"\x0a"
"typedef struct _PDCLIB_ctype\x0a"
"{\x0a"
"    _PDCLIB_uint16_t flags;\x0a"
"    unsigned char upper;\x0a"
"    unsigned char lower;\x0a"
"    unsigned char collation;\x0a"
"} _PDCLIB_ctype_t;\x0a"
"\x0a"
"typedef struct _PDCLIB_wcinfo\x0a"
"{\x0a"
"    _PDCLIB_wint_t   start;\x0a"
"    _PDCLIB_uint16_t length;\x0a"
"    _PDCLIB_uint16_t flags;\x0a"
"    _PDCLIB_wint_t   lower_delta;\x0a"
"    _PDCLIB_wint_t   upper_delta;\x0a"
"} _PDCLIB_wcinfo_t;\x0a"
"\x0a"
"struct _PDCLIB_locale {\x0a"
"    const struct _PDCLIB_charcodec_t * _Codec;\x0a"
"    struct lconv                       _Conv;\x0a"
"\x0a"
"    /* ctype / wctype */\x0a"
"    /* XXX\x3a Maybe re-evaluate constness of these later on\x3f */\x0a"
"    const _PDCLIB_wcinfo_t      *_WCType;\x0a"
"    _PDCLIB_size_t               _WCTypeSize;\x0a"
"    const _PDCLIB_ctype_t       *_CType;\x0a"
"    _PDCLIB_uint16_t            *_CTypeFlags;\x0a"
"\x0a"
"    /* perror/strerror */\x0a"
"    const char * const           _ErrnoStr\x5b_PDCLIB_ERRNO_MAX\x5d;\x0a"
"};\x0a"
"\x0a"
"extern const _PDCLIB_wcinfo_t * const _PDCLIB_wcinfo;\x0a"
"extern const size_t                   _PDCLIB_wcinfo_size;\x0a"
"\x0a"
"static inline int _PDCLIB_wcinfo_cmp( const void * _key, const void * _obj )\x0a"
"{\x0a"
"    _PDCLIB_int32_t * key = (_PDCLIB_int32_t *) _key;\x0a"
"    _PDCLIB_wcinfo_t * obj = (_PDCLIB_wcinfo_t *) _obj;\x0a"
"    if ( *key < obj->start ) \x0a"
"    {\x0a"
"        return -1;\x0a"
"    } \x0a"
"    else if ( *key >= obj->start + obj->length )\x0a"
"    {\x0a"
"        return 1;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"static inline _PDCLIB_wcinfo_t * _PDCLIB_wcgetinfo( locale_t l, _PDCLIB_int32_t num )\x0a"
"{\x0a"
"    _PDCLIB_wcinfo_t *info = (_PDCLIB_wcinfo_t*) \x0a"
"        bsearch( \x26num, l->_WCType, l->_WCTypeSize, \x0a"
"                 sizeof( l->_WCType\x5b""0\x5d ), _PDCLIB_wcinfo_cmp );\x0a"
"\x0a"
"    return info;\x0a"
"}\x0a"
"\x0a"
"static inline wint_t _PDCLIB_unpackwint( wint_t wc )\x0a"
"{\x0a"
"    if( sizeof(_PDCLIB_wchar_t) == 2 \x26\x26 sizeof(_PDCLIB_wint_t) == 4 ) {\x0a"
"        /* On UTF-16 platforms, as an extension accept a \x22packed surrogate\x22\x0a"
"         * encoding. We accept the surrogate pairs either way\x0a"
"         */\x0a"
"\x0a"
"        wint_t c = (wc \x26 0xF800F800);\x0a"
"        if(c == (_PDCLIB_wint_t) 0xD800DC00) {\x0a"
"            // MSW\x3a Lead, LSW\x3a Trail\x0a"
"            wint_t lead  = wc >> 16 \x26 0x3FF;\x0a"
"            wint_t trail = wc       \x26 0x3FF;\x0a"
"            wc = lead << 10 \x7c trail;\x0a"
"        } else if(c == (_PDCLIB_wint_t) 0xDC00D800) {\x0a"
"            // MSW\x3a Trail, LSW\x3a Lead\x0a"
"            wint_t trail = wc >> 16 \x26 0x3FF;\x0a"
"            wint_t lead  = wc       \x26 0x3FF;\x0a"
"            wc = lead << 10 \x7c trail;\x0a"
"        }\x0a"
"\x0a"
"    }\x0a"
"    return wc;\x0a"
"}\x0a"
"\x0a"
"/* Internal xlocale-style WCType API */\x0a"
"int _PDCLIB_iswalnum_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswalpha_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswblank_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswcntrl_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswdigit_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswgraph_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswlower_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswprint_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswpunct_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswspace_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswupper_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswxdigit_l( wint_t _Wc, locale_t l );\x0a"
"int _PDCLIB_iswctype_l( wint_t _Wc, wctype_t _Desc, locale_t l );\x0a"
"wint_t _PDCLIB_towlower_l( wint_t _Wc, locale_t l );\x0a"
"wint_t _PDCLIB_towupper_l( wint_t _Wc, locale_t l );\x0a"
"wint_t _PDCLIB_towctrans_l( wint_t _Wc, wctrans_t _Desc, locale_t l );\x0a"
"\x0a"
"#endif\x0a"
"", 5748 ); }