#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_bits_types_h( 
"// -*- C++ -*- (c) 2015 Ji\xc5\x99\xc3\xad Weiser\x0a"
"\x0a"
"#ifndef _BITS_TYPES_H\x0a"
"#define _BITS_TYPES_H\x0a"
"\x0a"
"#ifndef __clang__\x0a"
"# error \x22Header file <bits/types.h> must be compiled via clang.\x22\x0a"
"#endif\x0a"
"\x0a"
"/* clang specific macros */\x0a"
"typedef __SIZE_TYPE__               __size_t;\x0a"
"typedef __INT8_TYPE__               __int8_t;\x0a"
"typedef __INT16_TYPE__              __int16_t;\x0a"
"typedef __INT32_TYPE__              __int32_t;\x0a"
"typedef __INT64_TYPE__              __int64_t;\x0a"
"typedef __INTPTR_TYPE__             __intptr_t;\x0a"
"typedef __PTRDIFF_TYPE__            __ptrdiff_t;\x0a"
"typedef __INTMAX_TYPE__             __intmax_t;\x0a"
"\x0a"
"/* unsigned versions of previous types */\x0a"
"#ifdef __UINT8_TYPE__\x0a"
"typedef __UINT8_TYPE__              __uint8_t;\x0a"
"#else\x0a"
"typedef unsigned __INT8_TYPE__      __uint8_t;\x0a"
"#endif\x0a"
"#ifdef __UINT16_TYPE__\x0a"
"typedef __UINT16_TYPE__             __uint16_t;\x0a"
"#else\x0a"
"typedef unsigned __INT16_TYPE__     __uint16_t;\x0a"
"#endif\x0a"
"#ifdef __UINT32_TYPE__\x0a"
"typedef __UINT32_TYPE__             __uint32_t;\x0a"
"#else\x0a"
"typedef unsigned __INT32_TYPE__     __uint32_t;\x0a"
"#endif\x0a"
"#ifdef __UINT64_TYPE__\x0a"
"typedef __UINT64_TYPE__             __uint64_t;\x0a"
"#else\x0a"
"typedef unsigned __INT64_TYPE__     __uint64_t;\x0a"
"#endif\x0a"
"#ifdef __UINTPTR_TYPE__\x0a"
"typedef __UINTPTR_TYPE__            __uintptr_t;\x0a"
"#else\x0a"
"typedef unsigned __INTPTR_TYPE__    __uintptr_t;\x0a"
"#endif\x0a"
"#ifdef __UINTMAX_TYPE__\x0a"
"typedef __UINTMAX_TYPE__            __uintmax_t;\x0a"
"#else\x0a"
"typedef unsigned __INTMAX_TYPE__    __uintmax_t;\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"\x0a"
"/* Convenience types.  */\x0a"
"typedef unsigned char       __u_char;\x0a"
"typedef unsigned short int  __u_short;\x0a"
"typedef unsigned int        __u_int;\x0a"
"typedef unsigned long int   __u_long;\x0a"
"\x0a"
"#define __CHAR_MIN          (-__SCHAR_MAX__-1)\x0a"
"#define __CHAR_MAX          __SCHAR_MAX__\x0a"
"#define __UCHAR_MAX         (2*__SCHAR_MAX__+1)\x0a"
"\x0a"
"#define __SHORT_MIN         (-__SHRT_MAX__-1)\x0a"
"#define __SHORT_MAX         __SHRT_MAX__\x0a"
"#define __USHORT_MAX        (2*__SHRT_MAX__+1)\x0a"
"\x0a"
"#define __INT_MIN           (-__INT_MAX__-1)\x0a"
"#define __INT_MAX           __INT_MAX__\x0a"
"#define __UINT_MAX          (2*__INT_MAX__+1)\x0a"
"\x0a"
"#define __LONG_MIN          (-__LONG_MAX__-1)\x0a"
"#define __LONG_MAX          __LONG_MAX__\x0a"
"#define __ULONG_MAX         (2*__LONG_MAX__+1)\x0a"
"\x0a"
"#define __LONG_LONG_MIN     (-__LONG_LONG_MAX__-1)\x0a"
"#define __LONG_LONG_MAX     __LONG_LONG_MAX__\x0a"
"#define __ULONG_LONG_MAX    (2*__LONG_LONG_MAX__+1)\x0a"
"\x0a"
"\x0a"
"#define __INT8_MIN          __CHAR_MIN\x0a"
"#define __INT8_MAX          __CHAR_MAX\x0a"
"#define __UINT8_MAX         __UCHAR_MAX\x0a"
"\x0a"
"#if __SIZEOF_SHORT__ == 2\x0a"
"# define __INT16_MIN        __SHORT_MIN\x0a"
"# define __INT16_MAX        __SHORT_MAX\x0a"
"# define __UINT16_MAX       __USHORT_MAX\x0a"
"# define __INT16_      2\x0a"
"#elif __SIZEOF_INT__ == 2\x0a"
"# define __INT16_MIN        __INT_MIN\x0a"
"# define __INT16_MAX        __INT_MAX\x0a"
"# define __UINT16_MAX       __UINT_MAX\x0a"
"#else\x0a"
"# error Cannot get limit values for int16_t\x0a"
"#endif\x0a"
"\x0a"
"#if __SIZEOF_SHORT__ == 4\x0a"
"# define __INT32_MIN        __SHORT_MIN\x0a"
"# define __INT32_MAX        __SHORT_MAX\x0a"
"# define __UINT32_MAX       __USHORT_MAX\x0a"
"#elif __SIZEOF_INT__ == 4\x0a"
"# define __INT32_MIN        __INT_MIN\x0a"
"# define __INT32_MAX        __INT_MAX\x0a"
"# define __UINT32_MAX       __UINT_MAX\x0a"
"#elif __SIZEOF_LONG__ == 4\x0a"
"# define __INT32_MIN        __LONG_MIN\x0a"
"# define __INT32_MAX        __LONG_MAX\x0a"
"# define __UINT32_MAX       __ULONG_MAX\x0a"
"#else\x0a"
"# error Cannot get limit values for int32_t\x0a"
"#endif\x0a"
"\x0a"
"#if __SIZEOF_INT__ == 8\x0a"
"# define __INT64_MIN        __INT_MIN\x0a"
"# define __INT64_MAX        __INT_MAX\x0a"
"# define __UINT64_MAX       __UINT_MAX\x0a"
"#elif __SIZEOF_LONG__ == 8\x0a"
"# define __INT64_MIN        __LONG_MIN\x0a"
"# define __INT64_MAX        __LONG_MAX\x0a"
"# define __UINT64_MAX       __LONG_MAX\x0a"
"#elif __SIZEOF_LONG_LONG__ == 8\x0a"
"# define __INT64_MIN        __LONG_LONG_MIN\x0a"
"# define __INT64_MAX        __LONG_LONG_MAX\x0a"
"# define __UINT64_MAX       __LONG_LONG_MAX\x0a"
"#else\x0a"
"# error Cannot get limit values for int64_t\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"#define __INTPTR_MIN        (-__INTMAX_MAX__-1)\x0a"
"#define __INTPTR_MAX        __INTMAX_MAX__\x0a"
"#define __UINTPTR_MAX       (2*__INTMAX_MAX__+1)\x0a"
"\x0a"
"#define __INTMAX_MIN        (-__INTMAX_MAX__-1)\x0a"
"#define __INTMAX_MAX        __INTMAX_MAX__\x0a"
"#define __UINTMAX_MAX       (2*__INTMAX_MAX__+1)\x0a"
"\x0a"
"#define __PTRDIFF_MIN       (-__INTMAX_MAX__-1)\x0a"
"#define __PTRDIFF_MAX       __INTMAX_MAX__\x0a"
"\x0a"
"#define __SIZE_MAX          __SIZE_MAX__\x0a"
"\x0a"
"#define __SIZEOF_SHORT      __SIZEOF_SHORT__\x0a"
"#define __SIZEOF_INT        __SIZEOF_INT__\x0a"
"#define __SIZEOF_LONG       __SIZEOF_LONG__\x0a"
"#define __SIZEOF_LONG_LONG  __SIZEOF_LONG_LONG__\x0a"
"\x0a"
"#endif\x0a"
"", 4384 ); }