#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_dlfcn_h( 
"/*\x09\x24OpenBSD\x3a dlfcn.h,v 1.14 2017/11/28 17\x3a""19\x3a""47 kettenis Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a dlfcn.h,v 1.2 1995/06/05 19\x3a""38\x3a""00 pk Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1995 Paul Kranenburg\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. All advertising materials mentioning features or use of this software\x0a"
" *    must display the following acknowledgement\x3a\x0a"
" *      This product includes software developed by Paul Kranenburg.\x0a"
" * 4. The name of the author may not be used to endorse or promote products\x0a"
" *    derived from this software without specific prior written permission\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR \x60\x60""AS IS'' AND ANY EXPRESS OR\x0a"
" * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\x0a"
" * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\x0a"
" * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\x0a"
" * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\x0a"
" * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\x0a"
" * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\x0a"
" * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\x0a"
" * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\x0a"
" * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#ifndef _DLFCN_H_\x0a"
"#define _DLFCN_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"/* Values for dlopen \x60mode'. */\x0a"
"#define RTLD_LAZY\x09""1\x0a"
"#define RTLD_NOW\x09""2\x0a"
"#define RTLD_GLOBAL\x09""0x100\x0a"
"#define RTLD_LOCAL\x09""0x000\x0a"
"#define RTLD_TRACE\x09""0x200\x0a"
"\x0a"
"/*\x0a"
" * Special handle arguments for dlsym().\x0a"
" */\x0a"
"#define\x09RTLD_NEXT\x09((void *) -1)\x09/* Search subsequent objects. */\x0a"
"#define\x09RTLD_DEFAULT\x09((void *) -2)\x09/* Use default search algorithm. */\x0a"
"#define\x09RTLD_SELF\x09((void *) -3)\x09/* Search the caller itself. */\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"\x0a"
"/*\x0a"
" * Structure filled in by dladdr().\x0a"
" */\x0a"
"typedef\x09struct dl_info {\x0a"
"\x09""const char\x09*dli_fname;\x09/* Pathname of shared object. */\x0a"
"\x09void\x09\x09*dli_fbase;\x09/* Base address of shared object. */\x0a"
"\x09""const char\x09*dli_sname;\x09/* Name of nearest symbol. */\x0a"
"\x09void\x09\x09*dli_saddr;\x09/* Address of nearest symbol. */\x0a"
"} Dl_info;\x0a"
"\x0a"
"/*\x0a"
" * dlctl() commands\x0a"
" */\x0a"
"#define DL_GETERRNO\x09""1\x0a"
"#define DL_SETSRCHPATH\x09x\x0a"
"#define DL_GETLIST\x09x\x0a"
"#define DL_GETREFCNT\x09x\x0a"
"#define DL_GETLOADADDR\x09x\x0a"
"#define DL_SETTHREADLCK\x09""2\x0a"
"#define DL_SETBINDLCK\x09""3\x0a"
"#define DL_REFERENCE\x09""4\x0a"
"\x0a"
"#define\x09""DL_LAZY\x09\x09RTLD_LAZY\x09/* Compat */\x0a"
"\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"\x0a"
"/*\x0a"
" * User interface to the run-time linker.\x0a"
" */\x0a"
"__BEGIN_DECLS\x0a"
"void\x09*dlopen(const char *, int);\x0a"
"int\x09""dlclose(void *);\x0a"
"void\x09*dlsym(void *__restrict, const char *__restrict);\x0a"
"char\x09*dlerror(void);\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09""dladdr(const void *, Dl_info *);\x0a"
"int\x09""dlctl(void *, int, void *);\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* _DLFCN_H_ */\x0a"
"", 3199 ); }