#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_endian_h( 
"/*\x09\x24OpenBSD\x3a endian.h,v 1.25 2014/12/21 04\x3a""49\x3a""00 guenther Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1997 Niklas Hallqvist.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR \x60\x60""AS IS'' AND ANY EXPRESS OR\x0a"
" * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\x0a"
" * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\x0a"
" * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\x0a"
" * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\x0a"
" * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\x0a"
" * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\x0a"
" * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\x0a"
" * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\x0a"
" * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Public definitions for little- and big-endian systems.\x0a"
" * This file should be included as <endian.h> in userspace and as\x0a"
" * <sys/endian.h> in the kernel.\x0a"
" *\x0a"
" * System headers that need endian information but that can't or don't\x0a"
" * want to export the public names here should include <sys/_endian.h>\x0a"
" * and use the internal names\x3a _BYTE_ORDER, _*_ENDIAN, etc.\x0a"
" */\x0a"
"\x0a"
"#ifndef _SYS_ENDIAN_H_\x0a"
"#define _SYS_ENDIAN_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/_endian.h>\x0a"
"\x0a"
"/* Public names */\x0a"
"#define LITTLE_ENDIAN\x09_LITTLE_ENDIAN\x0a"
"#define BIG_ENDIAN\x09_BIG_ENDIAN\x0a"
"#define PDP_ENDIAN\x09_PDP_ENDIAN\x0a"
"#define BYTE_ORDER\x09_BYTE_ORDER\x0a"
"\x0a"
"\x0a"
"/*\x0a"
" * These are specified to be function-like macros to match the spec\x0a"
" */\x0a"
"#define htobe16(x)\x09__htobe16(x)\x0a"
"#define htobe32(x)\x09__htobe32(x)\x0a"
"#define htobe64(x)\x09__htobe64(x)\x0a"
"#define htole16(x)\x09__htole16(x)\x0a"
"#define htole32(x)\x09__htole32(x)\x0a"
"#define htole64(x)\x09__htole64(x)\x0a"
"\x0a"
"/* POSIX names */\x0a"
"#define be16toh(x)\x09__htobe16(x)\x0a"
"#define be32toh(x)\x09__htobe32(x)\x0a"
"#define be64toh(x)\x09__htobe64(x)\x0a"
"#define le16toh(x)\x09__htole16(x)\x0a"
"#define le32toh(x)\x09__htole32(x)\x0a"
"#define le64toh(x)\x09__htole64(x)\x0a"
"\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define swap16(x) __swap16(x)\x0a"
"#define swap32(x) __swap32(x)\x0a"
"#define swap64(x) __swap64(x)\x0a"
"\x0a"
"#define swap16_multi(v, n) do {\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09__size_t __swap16_multi_n = (n);\x09\x09\x09\x09\x5c\x0a"
"\x09__uint16_t *__swap16_multi_v = (v);\x09\x09\x09\x09\x5c\x0a"
"\x09\x09\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09while (__swap16_multi_n) {\x09\x09\x09\x09\x09\x5c\x0a"
"\x09\x09*__swap16_multi_v = swap16(*__swap16_multi_v);\x09\x09\x5c\x0a"
"\x09\x09__swap16_multi_v++;\x09\x09\x09\x09\x09\x5c\x0a"
"\x09\x09__swap16_multi_n--;\x09\x09\x09\x09\x09\x5c\x0a"
"\x09}\x09\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"} while (0)\x0a"
"\x0a"
"/* original BSD names */\x0a"
"#define betoh16(x)\x09__htobe16(x)\x0a"
"#define betoh32(x)\x09__htobe32(x)\x0a"
"#define betoh64(x)\x09__htobe64(x)\x0a"
"#define letoh16(x)\x09__htole16(x)\x0a"
"#define letoh32(x)\x09__htole32(x)\x0a"
"#define letoh64(x)\x09__htole64(x)\x0a"
"\x0a"
"#ifndef htons\x0a"
"/* these were exposed here before */\x0a"
"#define htons(x)\x09__htobe16(x)\x0a"
"#define htonl(x)\x09__htobe32(x)\x0a"
"#define ntohs(x)\x09__htobe16(x)\x0a"
"#define ntohl(x)\x09__htobe32(x)\x0a"
"#endif\x0a"
"\x0a"
"/* ancient stuff */\x0a"
"#define\x09NTOHL(x) (x) = ntohl((u_int32_t)(x))\x0a"
"#define\x09NTOHS(x) (x) = ntohs((u_int16_t)(x))\x0a"
"#define\x09HTONL(x) (x) = htonl((u_int32_t)(x))\x0a"
"#define\x09HTONS(x) (x) = htons((u_int16_t)(x))\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"/* to/from memory conversions */\x0a"
"#define bemtoh16\x09__bemtoh16\x0a"
"#define bemtoh32\x09__bemtoh32\x0a"
"#define bemtoh64\x09__bemtoh64\x0a"
"#define htobem16\x09__htobem16\x0a"
"#define htobem32\x09__htobem32\x0a"
"#define htobem64\x09__htobem64\x0a"
"#define lemtoh16\x09__lemtoh16\x0a"
"#define lemtoh32\x09__lemtoh32\x0a"
"#define lemtoh64\x09__lemtoh64\x0a"
"#define htolem16\x09__htolem16\x0a"
"#define htolem32\x09__htolem32\x0a"
"#define htolem64\x09__htolem64\x0a"
"#endif /* _KERNEL */\x0a"
"\x0a"
"#endif /* _SYS_ENDIAN_H_ */\x0a"
"", 3952 ); }