#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_float_h( 
"/* Characteristics of floating types <float.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef _PDCLIB_FLOAT_H\x0a"
"#define _PDCLIB_FLOAT_H _PDCLIB_FLOAT_H\x0a"
"#include \x22_PDCLIB/float.h\x22\x0a"
"\x0a"
"#define FLT_ROUNDS      _PDCLIB_FLT_ROUNDS\x0a"
"#define FLT_EVAL_METHOD _PDCLIB_FLT_EVAL_METHOD\x0a"
"#define DECIMAL_DIG     _PDCLIB_DECIMAL_DIG\x0a"
"\x0a"
"/* Radix of exponent representation */\x0a"
"#define FLT_RADIX       _PDCLIB_FLT_RADIX\x0a"
"\x0a"
"/* Number of base-FLT_RADIX digits in the significand of a float */\x0a"
"#define FLT_MANT_DIG    _PDCLIB_FLT_MANT_DIG\x0a"
"\x0a"
"/* Number of decimal digits of precision in a float */\x0a"
"#define FLT_DIG         _PDCLIB_FLT_DIG\x0a"
"\x0a"
"/* Difference between 1.0 and the minimum float greater than 1.0 */\x0a"
"#define FLT_EPSILON     _PDCLIB_FLT_EPSILON\x0a"
"\x0a"
"/* Minimum int x such that FLT_RADIX**(x-1) is a normalised float */\x0a"
"#define FLT_MIN_EXP     _PDCLIB_FLT_MIN_EXP\x0a"
"\x0a"
"/* Minimum normalised float */\x0a"
"#define FLT_MIN         _PDCLIB_FLT_MIN\x0a"
"\x0a"
"/* Minimum int x such that 10**x is a normalised float */\x0a"
"#define FLT_MIN_10_EXP  _PDCLIB_FLT_MIN_10_EXP\x0a"
"\x0a"
"/* Maximum int x such that FLT_RADIX**(x-1) is a representable float */\x0a"
"#define FLT_MAX_EXP     _PDCLIB_FLT_MAX_EXP\x0a"
"\x0a"
"/* Maximum float */\x0a"
"#define FLT_MAX         _PDCLIB_FLT_MAX\x0a"
"\x0a"
"/* Maximum int x such that 10**x is a representable float */\x0a"
"#define FLT_MAX_10_EXP  _PDCLIB_FLT_MAX_10_EXP\x0a"
"\x0a"
"\x0a"
"/* Number of base-FLT_RADIX digits in the significand of a double */\x0a"
"#define DBL_MANT_DIG    _PDCLIB_DBL_MANT_DIG\x0a"
"\x0a"
"/* Number of decimal digits of precision in a double */\x0a"
"#define DBL_DIG         _PDCLIB_DBL_DIG\x0a"
"\x0a"
"/* Difference between 1.0 and the minimum double greater than 1.0 */\x0a"
"#define DBL_EPSILON     _PDCLIB_DBL_EPSILON\x0a"
"\x0a"
"/* Minimum int x such that FLT_RADIX**(x-1) is a normalised double */\x0a"
"#define DBL_MIN_EXP     _PDCLIB_DBL_MIN_EXP\x0a"
"\x0a"
"/* Minimum normalised double */\x0a"
"#define DBL_MIN         _PDCLIB_DBL_MIN\x0a"
"\x0a"
"/* Minimum int x such that 10**x is a normalised double */\x0a"
"#define DBL_MIN_10_EXP  _PDCLIB_DBL_MIN_10_EXP\x0a"
"\x0a"
"/* Maximum int x such that FLT_RADIX**(x-1) is a representable double */\x0a"
"#define DBL_MAX_EXP     _PDCLIB_DBL_MAX_EXP\x0a"
"\x0a"
"/* Maximum double */\x0a"
"#define DBL_MAX         _PDCLIB_DBL_MAX\x0a"
"\x0a"
"/* Maximum int x such that 10**x is a representable double */\x0a"
"#define DBL_MAX_10_EXP  _PDCLIB_DBL_MAX_10_EXP\x0a"
"\x0a"
"\x0a"
"/* Number of base-FLT_RADIX digits in the significand of a long double */\x0a"
"#define LDBL_MANT_DIG   _PDCLIB_LDBL_MANT_DIG\x0a"
"\x0a"
"/* Number of decimal digits of precision in a long double */\x0a"
"#define LDBL_DIG        _PDCLIB_LDBL_DIG\x0a"
"\x0a"
"/* Difference between 1.0 and the minimum long double greater than 1.0 */\x0a"
"#define LDBL_EPSILON    _PDCLIB_LDBL_EPSILON\x0a"
"\x0a"
"/* Minimum int x such that FLT_RADIX**(x-1) is a normalised long double */\x0a"
"#define LDBL_MIN_EXP    _PDCLIB_LDBL_MIN_EXP\x0a"
"\x0a"
"/* Minimum normalised long double */\x0a"
"#define LDBL_MIN        _PDCLIB_LDBL_MIN\x0a"
"\x0a"
"/* Minimum int x such that 10**x is a normalised long double */\x0a"
"#define LDBL_MIN_10_EXP _PDCLIB_LDBL_MIN_10_EXP\x0a"
"\x0a"
"/* Maximum int x such that FLT_RADIX**(x-1) is a representable long double */\x0a"
"#define LDBL_MAX_EXP    _PDCLIB_LDBL_MAX_EXP\x0a"
"\x0a"
"/* Maximum long double */\x0a"
"#define LDBL_MAX        _PDCLIB_LDBL_MAX\x0a"
"\x0a"
"/* Maximum int x such that 10**x is a representable long double */\x0a"
"#define LDBL_MAX_10_EXP _PDCLIB_LDBL_MAX_10_EXP\x0a"
"\x0a"
"#endif\x0a"
"", 3283 ); }