#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_getopt_h( 
"/*\x09\x24OpenBSD\x3a getopt.h,v 1.3 2013/11/22 21\x3a""32\x3a""49 millert Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a getopt.h,v 1.4 2000/07/07 10\x3a""43\x3a""54 ad Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 2000 The NetBSD Foundation, Inc.\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * This code is derived from software contributed to The NetBSD Foundation\x0a"
" * by Dieter Baron and Thomas Klausner.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\x0a"
" * \x60\x60""AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\x0a"
" * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\x0a"
" * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS\x0a"
" * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\x0a"
" * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\x0a"
" * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\x0a"
" * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\x0a"
" * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\x0a"
" * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\x0a"
" * POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#ifndef _GETOPT_H_\x0a"
"#define _GETOPT_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"/*\x0a"
" * GNU-like getopt_long()\x0a"
" */\x0a"
"#define no_argument        0\x0a"
"#define required_argument  1\x0a"
"#define optional_argument  2\x0a"
"\x0a"
"struct option {\x0a"
"\x09/* name of long option */\x0a"
"\x09""const char *name;\x0a"
"\x09/*\x0a"
"\x09 * one of no_argument, required_argument, and optional_argument\x3a\x0a"
"\x09 * whether option takes an argument\x0a"
"\x09 */\x0a"
"\x09int has_arg;\x0a"
"\x09/* if not NULL, set *flag to val when option found */\x0a"
"\x09int *flag;\x0a"
"\x09/* if flag not NULL, value to set *flag to; else return value */\x0a"
"\x09int val;\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"int\x09 getopt_long(int, char * const *, const char *,\x0a"
"\x09    const struct option *, int *);\x0a"
"int\x09 getopt_long_only(int, char * const *, const char *,\x0a"
"\x09    const struct option *, int *);\x0a"
"#ifndef _GETOPT_DEFINED_\x0a"
"#define _GETOPT_DEFINED_\x0a"
"int\x09 getopt(int, char * const *, const char *);\x0a"
"\x0a"
"extern   char *optarg;                  /* getopt(3) external variables */\x0a"
"extern   int opterr;\x0a"
"extern   int optind;\x0a"
"extern   int optopt;\x0a"
"extern   int optreset;\x0a"
"#endif\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_GETOPT_H_ */\x0a"
"", 2653 ); }