#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_grp_h( 
"/*\x09\x24OpenBSD\x3a grp.h,v 1.12 2014/08/31 04\x3a""04\x3a""38 guenther Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a grp.h,v 1.7 1995/04/29 05\x3a""30\x3a""40 cgd Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1989, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" * (c) UNIX System Laboratories, Inc.\x0a"
" * All or some portions of this file are derived from material licensed\x0a"
" * to the University of California by American Telephone and Telegraph\x0a"
" * Co. or Unix System Laboratories, Inc. and are reproduced herein with\x0a"
" * the permission of UNIX System Laboratories, Inc.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)grp.h\x09""8.2 (Berkeley) 1/21/94\x0a"
" */\x0a"
"\x0a"
"#ifndef _GRP_H_\x0a"
"#define\x09_GRP_H_\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09_PATH_GROUP\x09\x09\x22/etc/group\x22\x0a"
"#define\x09_GR_BUF_LEN\x09\x09(1024+200*sizeof(char*))\x0a"
"#endif\x0a"
"\x0a"
"struct group {\x0a"
"\x09""char\x09*gr_name;\x09\x09/* group name */\x0a"
"\x09""char\x09*gr_passwd;\x09\x09/* group password */\x0a"
"\x09gid_t\x09gr_gid;\x09\x09\x09/* group id */\x0a"
"\x09""char\x09**gr_mem;\x09\x09/* group members */\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"struct group\x09*getgrgid(gid_t);\x0a"
"struct group\x09*getgrnam(const char *);\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE\x0a"
"struct group\x09*getgrent(void);\x0a"
"void\x09\x09 setgrent(void);\x0a"
"void\x09\x09 endgrent(void);\x0a"
"#endif\x0a"
"#if __BSD_VISIBLE \x7c\x7c __POSIX_VISIBLE >= 199506 \x7c\x7c __XPG_VISIBLE\x0a"
"int\x09\x09 getgrgid_r(gid_t, struct group *, char *,\x0a"
"\x09\x09    size_t, struct group **);\x0a"
"int\x09\x09 getgrnam_r(const char *, struct group *, char *,\x0a"
"\x09\x09    size_t, struct group **);\x0a"
"#endif\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09\x09 setgroupent(int);\x0a"
"char\x09\x09*group_from_gid(gid_t, int);\x0a"
"#endif\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_GRP_H_ */\x0a"
"", 2945 ); }