#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_locale_h( 
"/* Localization <locale.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/hostabi.h>\x0a"
"\x0a"
"#ifndef _PDCLIB_LOCALE_H\x0a"
"#define _PDCLIB_LOCALE_H _PDCLIB_LOCALE_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_NULL_DEFINED\x0a"
"#define _PDCLIB_NULL_DEFINED _PDCLIB_NULL_DEFINED\x0a"
"#define NULL _PDCLIB_NULL\x0a"
"#endif\x0a"
"\x0a"
"/* The structure returned by localeconv().\x0a"
"\x0a"
"   The values for *_sep_by_space\x3a\x0a"
"   0 - no space\x0a"
"   1 - if symbol and sign are adjacent, a space seperates them from the value;\x0a"
"       otherwise a space seperates the symbol from the value\x0a"
"   2 - if symbol and sign are adjacent, a space seperates them; otherwise a\x0a"
"       space seperates the sign from the value\x0a"
"\x0a"
"   The values for *_sign_posn\x3a\x0a"
"   0 - Parentheses surround value and symbol\x0a"
"   1 - sign precedes value and symbol\x0a"
"   2 - sign succeeds value and symbol\x0a"
"   3 - sign immediately precedes symbol\x0a"
"   4 - sign immediately succeeds symbol\x0a"
"*/\x0a"
"struct lconv\x0a"
"{\x0a"
"    char * decimal_point;      /* decimal point character                     */\x0a"
"    char * thousands_sep;      /* character for seperating groups of digits   */\x0a"
"    char * grouping;           /* string indicating the size of digit groups  */\x0a"
"    char * mon_decimal_point;  /* decimal point for monetary quantities       */\x0a"
"    char * mon_thousands_sep;  /* thousands_sep for monetary quantities       */\x0a"
"    char * mon_grouping;       /* grouping for monetary quantities            */\x0a"
"    char * positive_sign;      /* string indicating nonnegative mty. qty.     */\x0a"
"    char * negative_sign;      /* string indicating negative mty. qty.        */\x0a"
"    char * currency_symbol;    /* local currency symbol (e.g. '\x24')            */\x0a"
"    char * int_curr_symbol;    /* international currency symbol (e.g. \x22USD\x22   */\x0a"
"    char frac_digits;          /* fractional digits in local monetary qty.    */\x0a"
"    char p_cs_precedes;        /* if currency_symbol precedes positive qty.   */\x0a"
"    char n_cs_precedes;        /* if currency_symbol precedes negative qty.   */\x0a"
"    char p_sep_by_space;       /* if it is seperated by space from pos. qty.  */\x0a"
"    char n_sep_by_space;       /* if it is seperated by space from neg. qty.  */\x0a"
"    char p_sign_posn;          /* positioning of positive_sign for mon. qty.  */\x0a"
"    char n_sign_posn;          /* positioning of negative_sign for mon. qty.  */\x0a"
"    char int_frac_digits;      /* Same as above, for international format     */\x0a"
"    char int_p_cs_precedes;    /* Same as above, for international format     */\x0a"
"    char int_n_cs_precedes;    /* Same as above, for international format     */\x0a"
"    char int_p_sep_by_space;   /* Same as above, for international format     */\x0a"
"    char int_n_sep_by_space;   /* Same as above, for international format     */\x0a"
"    char int_p_sign_posn;      /* Same as above, for international format     */\x0a"
"    char int_n_sign_posn;      /* Same as above, for international format     */\x0a"
"};\x0a"
"\x0a"
"/* First arguments to setlocale().\x0a"
"   TODO\x3a Beware, values might change before v0.6 is released.\x0a"
"*/\x0a"
"/* Entire locale */\x0a"
"#define LC_ALL      _HOST_LC_ALL\x0a"
"/* Collation (strcoll(), strxfrm()) */\x0a"
"#define LC_COLLATE  _HOST_LC_COLLATE\x0a"
"/* Character types (<ctype.h>) */\x0a"
"#define LC_CTYPE    _HOST_LC_CTYPE\x0a"
"/* Monetary formatting (as returned by localeconv) */\x0a"
"#define LC_MONETARY _HOST_LC_MONETARY\x0a"
"/* Decimal-point character (for printf() / scanf() functions), string\x0a"
"   conversions, nonmonetary formatting as returned by localeconv              */\x0a"
"#define LC_NUMERIC  _HOST_LC_NUMERIC\x0a"
"/* Time formats (strftime(), wcsftime()) */\x0a"
"#define LC_TIME     _HOST_LC_TIME\x0a"
"/* required by libc++ (DIVINE) */\x0a"
"#define LC_MESSAGES _HOST_LC_MESSAGES\x0a"
"\x0a"
"/* The category parameter can be any of the LC_* macros to specify if the call\x0a"
"   to setlocale() shall affect the entire locale or only a portion thereof.\x0a"
"   The category locale specifies which locale should be switched to, with \x22""C\x22\x0a"
"   being the minimal default locale, and \x22\x22 being the locale-specific native\x0a"
"   environment. A NULL pointer makes setlocale() return the *current* setting.\x0a"
"   Otherwise, returns a pointer to a string associated with the specified\x0a"
"   category for the new locale.\x0a"
"*/\x0a"
"char * setlocale( int category, const char * locale ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns a struct lconv initialized to the values appropriate for the current\x0a"
"   locale setting.\x0a"
"*/\x0a"
"struct lconv * localeconv( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"#if __POSIX_VISIBLE >= 2008\x0a"
"#define LC_COLLATE_MASK  (1 << LC_COLLATE)\x0a"
"#define LC_CTYPE_MASK    (1 << LC_CTYPE)\x0a"
"#define LC_MONETARY_MASK (1 << LC_MONETARY)\x0a"
"#define LC_NUMERIC_MASK  (1 << LC_NUMERIC)\x0a"
"#define LC_TIME_MASK     (1 << LC_TIME)\x0a"
"#define LC_MESSAGES_MASK (1 << LC_MESSAGES)\x0a"
"#define LC_ALL_MASK      (LC_COLLATE_MASK \x7c LC_CTYPE_MASK \x7c LC_MONETARY_MASK \x7c \x5c\x0a"
"                          LC_NUMERIC_MASK \x7c LC_TIME_MASK \x7c LC_MESSAGES_MASK)\x0a"
"\x0a"
"\x0a"
"/* POSIX locale type */\x0a"
"typedef _PDCLIB_locale_t locale_t;\x0a"
"\x0a"
"/* Global locale */\x0a"
"extern const struct _PDCLIB_locale * const _PDCLIB_global_locale;\x0a"
"#define LC_GLOBAL_LOCALE _PDCLIB_global_locale\x0a"
"\x0a"
"#ifdef _PDCLIB_LOCALE_METHOD\x0a"
"\x0a"
"locale_t newlocale(int category_mask, const char *locale, locale_t base);\x0a"
"\x0a"
"/* Set the thread locale to newlocale\x0a"
" *\x0a"
" * If newlocale is (locale_t)0, then doesn't change the locale and just returns\x0a"
" * the existing locale.\x0a"
" *\x0a"
" * If newlocale is LC_GLOBAL_LOCALE, resets the thread's locale to use the\x0a"
" * global locale.\x0a"
" *\x0a"
" * Returns the previous thread locale. If the thread had no previous locale,\x0a"
" * returns the global locale.\x0a"
" */\x0a"
"locale_t uselocale( locale_t newlocale );\x0a"
"\x0a"
"/* Returns a copy of loc */\x0a"
"locale_t duplocale( locale_t loc );\x0a"
"\x0a"
"/* Frees the passed locale object */\x0a"
"void freelocale( locale_t loc );\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 5797 ); }