#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_machine_ieee_h( 
"/*\x09\x24OpenBSD\x3a ieee.h,v 1.2 2008/09/07 20\x3a""36\x3a""06 martynas Exp \x24 */\x0a"
"/*\x09\x24NetBSD\x3a ieee.h,v 1.1 1996/09/30 16\x3a""34\x3a""25 ws Exp \x24 */\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1992, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * This software was developed by the Computer Systems Engineering group\x0a"
" * at Lawrence Berkeley Laboratory under DARPA contract BG 91-66 and\x0a"
" * contributed to Berkeley.\x0a"
" *\x0a"
" * All advertising materials mentioning features or use of this software\x0a"
" * must display the following acknowledgement\x3a\x0a"
" *\x09This product includes software developed by the University of\x0a"
" *\x09""California, Lawrence Berkeley Laboratory.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)ieee.h\x09""8.1 (Berkeley) 6/11/93\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ieee.h defines the machine-dependent layout of the machine's IEEE\x0a"
" * floating point.  It does *not* define (yet\x3f) any of the rounding\x0a"
" * mode bits, exceptions, and so forth.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Define the number of bits in each fraction and exponent.\x0a"
" *\x0a"
" *\x09\x09     k\x09         k+1\x0a"
" * Note that  1.0 x 2  == 0.1 x 2      and that denorms are represented\x0a"
" *\x0a"
" *\x09\x09\x09\x09\x09  (-exp_bias+1)\x0a"
" * as fractions that look like 0.fffff x 2             .  This means that\x0a"
" *\x0a"
" *\x09\x09\x09 -126\x0a"
" * the number 0.10000 x 2    , for instance, is the same as the normalized\x0a"
" *\x0a"
" *\x09\x09-127\x09\x09\x09   -128\x0a"
" * float 1.0 x 2    .  Thus, to represent 2    , we need one leading zero\x0a"
" *\x0a"
" *\x09\x09\x09\x09  -129\x0a"
" * in the fraction; to represent 2    , we need two, and so on.  This\x0a"
" *\x0a"
" *\x09\x09\x09\x09\x09\x09     (-exp_bias-fracbits+1)\x0a"
" * implies that the smallest denormalized number is 2\x0a"
" *\x0a"
" * for whichever format we are talking about\x3a for single precision, for\x0a"
" *\x0a"
" *\x09\x09\x09\x09\x09\x09-126\x09\x09-149\x0a"
" * instance, we get .00000000000000000000001 x 2    , or 1.0 x 2    , and\x0a"
" *\x0a"
" * -149 == -127 - 23 + 1.\x0a"
" */\x0a"
"#define\x09SNG_EXPBITS\x09""8\x0a"
"#define\x09SNG_FRACBITS\x09""23\x0a"
"\x0a"
"#define\x09""DBL_EXPBITS\x09""11\x0a"
"#define\x09""DBL_FRACHBITS\x09""20\x0a"
"#define\x09""DBL_FRACLBITS\x09""32\x0a"
"#define\x09""DBL_FRACBITS\x09""52\x0a"
"\x0a"
"#define\x09""EXT_EXPBITS\x09""15\x0a"
"#define\x09""EXT_FRACHBITS\x09""32\x0a"
"#define\x09""EXT_FRACLBITS\x09""32\x0a"
"#define\x09""EXT_FRACBITS\x09""64\x0a"
"\x0a"
"#define\x09""EXT_TO_ARRAY32(p, a) do {\x09\x09\x5c\x0a"
"\x09(a)\x5b""0\x5d = (uint32_t)(p)->ext_fracl;\x09\x5c\x0a"
"\x09(a)\x5b""1\x5d = (uint32_t)(p)->ext_frach;\x09\x5c\x0a"
"} while(0)\x0a"
"\x0a"
"struct ieee_single {\x0a"
"\x09u_int\x09sng_frac\x3a""23;\x0a"
"\x09u_int\x09sng_exp\x3a""8;\x0a"
"\x09u_int\x09sng_sign\x3a""1;\x0a"
"};\x0a"
"\x0a"
"struct ieee_double {\x0a"
"\x09u_int\x09""dbl_fracl;\x0a"
"\x09u_int\x09""dbl_frach\x3a""20;\x0a"
"\x09u_int\x09""dbl_exp\x3a""11;\x0a"
"\x09u_int\x09""dbl_sign\x3a""1;\x0a"
"};\x0a"
"\x0a"
"struct ieee_ext {\x0a"
"\x09u_int\x09""ext_fracl;\x0a"
"\x09u_int\x09""ext_frach;\x0a"
"\x09u_int\x09""ext_exp\x3a""15;\x0a"
"\x09u_int\x09""ext_sign\x3a""1;\x0a"
"\x09u_int\x09""ext_padl\x3a""16;\x0a"
"\x09u_int\x09""ext_padh;\x0a"
"};\x0a"
"\x0a"
"/*\x0a"
" * Floats whose exponent is in \x5b""1..INFNAN) (of whatever type) are\x0a"
" * \x60normal'.  Floats whose exponent is INFNAN are either Inf or NaN.\x0a"
" * Floats whose exponent is zero are either zero (iff all fraction\x0a"
" * bits are zero) or subnormal values.\x0a"
" *\x0a"
" * A NaN is a \x60signalling NaN' if its QUIETNAN bit is clear in its\x0a"
" * high fraction; if the bit is set, it is a \x60quiet NaN'.\x0a"
" */\x0a"
"#define\x09SNG_EXP_INFNAN\x09""255\x0a"
"#define\x09""DBL_EXP_INFNAN\x09""2047\x0a"
"#define\x09""EXT_EXP_INFNAN\x09""32767\x0a"
"\x0a"
"#if 0\x0a"
"#define\x09SNG_QUIETNAN\x09(1 << 22)\x0a"
"#define\x09""DBL_QUIETNAN\x09(1 << 19)\x0a"
"#define\x09""EXT_QUIETNAN\x09(1 << 15)\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Exponent biases.\x0a"
" */\x0a"
"#define\x09SNG_EXP_BIAS\x09""127\x0a"
"#define\x09""DBL_EXP_BIAS\x09""1023\x0a"
"#define\x09""EXT_EXP_BIAS\x09""16383\x0a"
"", 4536 ); }