#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_nl_types_h( 
"/*\x09\x24OpenBSD\x3a nl_types.h,v 1.8 2008/06/26 05\x3a""42\x3a""04 ray Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a nl_types.h,v 1.6 1996/05/13 23\x3a""11\x3a""15 jtc Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1996 The NetBSD Foundation, Inc.\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * This code is derived from software contributed to The NetBSD Foundation\x0a"
" * by J.T. Conklin.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\x0a"
" * \x60\x60""AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\x0a"
" * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\x0a"
" * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE\x0a"
" * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\x0a"
" * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\x0a"
" * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\x0a"
" * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\x0a"
" * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\x0a"
" * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\x0a"
" * POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#ifndef _NL_TYPES_H_\x0a"
"#define _NL_TYPES_H_\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#ifdef _NLS_PRIVATE\x0a"
"/*\x0a"
" * MESSAGE CATALOG FILE FORMAT.\x0a"
" *\x0a"
" * The NetBSD message catalog format is similar to the format used by\x0a"
" * Svr4 systems.  The differences are\x3a\x0a"
" *   * fixed byte order (big endian)\x0a"
" *   * fixed data field sizes\x0a"
" *\x0a"
" * A message catalog contains four data types\x3a a catalog header, one\x0a"
" * or more set headers, one or more message headers, and one or more\x0a"
" * text strings.\x0a"
" */\x0a"
"\x0a"
"#define _NLS_MAGIC\x09""0xff88ff89\x0a"
"\x0a"
"struct _nls_cat_hdr {\x0a"
"\x09int32_t __magic;\x0a"
"\x09int32_t __nsets;\x0a"
"\x09int32_t __mem;\x0a"
"\x09int32_t __msg_hdr_offset;\x0a"
"\x09int32_t __msg_txt_offset;\x0a"
"} ;\x0a"
"\x0a"
"struct _nls_set_hdr {\x0a"
"\x09int32_t __setno;\x09/* set number\x3a 0 < x <= NL_SETMAX */\x0a"
"\x09int32_t __nmsgs;\x09/* number of messages in the set  */\x0a"
"\x09int32_t __index;\x09/* index of first msg_hdr in msg_hdr table */\x0a"
"} ;\x0a"
"\x0a"
"struct _nls_msg_hdr {\x0a"
"\x09int32_t __msgno;\x09/* msg number\x3a 0 < x <= NL_MSGMAX */\x0a"
"\x09int32_t __msglen;\x0a"
"\x09int32_t __offset;\x0a"
"} ;\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#define\x09NL_SETD\x09\x09""1\x0a"
"#define NL_CAT_LOCALE   1\x0a"
"\x0a"
"typedef struct _nl_catd {\x0a"
"\x09void\x09*__data;\x0a"
"\x09int\x09__size;\x0a"
"} *nl_catd;\x0a"
"\x0a"
"typedef long\x09nl_item;\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"extern nl_catd \x09""catopen(const char *, int);\x0a"
"extern char    *catgets(nl_catd, int, int, const char *);\x0a"
"extern int\x09""catclose(nl_catd);\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif\x09/* _NL_TYPES_H_ */\x0a"
"", 2909 ); }