#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_pwd_h( 
"/*\x09\x24OpenBSD\x3a pwd.h,v 1.25 2017/03/09 10\x3a""13\x3a""03 fcambus Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a pwd.h,v 1.9 1996/05/15 21\x3a""36\x3a""45 jtc Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1989, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" * (c) UNIX System Laboratories, Inc.\x0a"
" * All or some portions of this file are derived from material licensed\x0a"
" * to the University of California by American Telephone and Telegraph\x0a"
" * Co. or Unix System Laboratories, Inc. and are reproduced herein with\x0a"
" * the permission of UNIX System Laboratories, Inc.\x0a"
" * Portions Copyright(C) 1995, 1996, Jason Downs.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)pwd.h\x09""8.2 (Berkeley) 1/21/94\x0a"
" */\x0a"
"\x0a"
"#ifndef _PWD_H_\x0a"
"#define\x09_PWD_H_\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <time.h>\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09_PATH_PASSWD\x09\x09\x22/etc/passwd\x22\x0a"
"#define\x09_PATH_MASTERPASSWD\x09\x22/etc/master.passwd\x22\x0a"
"#define\x09_PATH_MASTERPASSWD_LOCK\x09\x22/etc/ptmp\x22\x0a"
"\x0a"
"#define\x09_PATH_MP_DB\x09\x09\x22/etc/pwd.db\x22\x0a"
"#define\x09_PATH_SMP_DB\x09\x09\x22/etc/spwd.db\x22\x0a"
"\x0a"
"#define\x09_PATH_PWD_MKDB\x09\x09\x22/usr/sbin/pwd_mkdb\x22\x0a"
"\x0a"
"#define\x09_PW_KEYBYNAME\x09\x09'1'\x09/* stored by name */\x0a"
"#define\x09_PW_KEYBYNUM\x09\x09'2'\x09/* stored by entry in the \x22""file\x22 */\x0a"
"#define\x09_PW_KEYBYUID\x09\x09'3'\x09/* stored by uid */\x0a"
"\x0a"
"#define _PW_YPTOKEN\x09\x09\x22__YP\x21\x22\x0a"
"\x0a"
"#define\x09_PASSWORD_EFMT1\x09\x09'_'\x09/* extended encryption format */\x0a"
"\x0a"
"#define\x09_PASSWORD_LEN\x09\x09""128\x09/* max length, not counting NUL */\x0a"
"#define\x09_PW_NAME_LEN\x09\x09""31\x09/* max length, not counting NUL */\x0a"
"\x09\x09\x09\x09\x09/* Should be MAXLOGNAME - 1 */\x0a"
"#define _PW_BUF_LEN\x09\x09""1024\x09/* length of getpw*_r buffer */\x0a"
"\x0a"
"#define _PASSWORD_NOUID\x09\x09""0x01\x09/* flag for no specified uid. */\x0a"
"#define _PASSWORD_NOGID\x09\x09""0x02\x09/* flag for no specified gid. */\x0a"
"#define _PASSWORD_NOCHG\x09\x09""0x04\x09/* flag for no specified change. */\x0a"
"#define _PASSWORD_NOEXP\x09\x09""0x08\x09/* flag for no specified expire. */\x0a"
"\x0a"
"/* Flags for pw_mkdb(3) */\x0a"
"#define\x09_PASSWORD_SECUREONLY\x09""0x01\x09/* only generate spwd.db file */\x0a"
"#define\x09_PASSWORD_OMITV7\x09""0x02\x09/* don't generate v7 passwd file */\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"struct passwd {\x0a"
"\x09""char\x09*pw_name;\x09\x09/* user name */\x0a"
"\x09""char\x09*pw_passwd;\x09\x09/* encrypted password */\x0a"
"\x09uid_t\x09pw_uid;\x09\x09\x09/* user uid */\x0a"
"\x09gid_t\x09pw_gid;\x09\x09\x09/* user gid */\x0a"
"\x09time_t\x09pw_change;\x09\x09/* password change time */\x0a"
"\x09""char\x09*pw_class;\x09\x09/* user access class */\x0a"
"\x09""char\x09*pw_gecos;\x09\x09/* Honeywell login info */\x0a"
"\x09""char\x09*pw_dir;\x09\x09/* home directory */\x0a"
"\x09""char\x09*pw_shell;\x09\x09/* default shell */\x0a"
"\x09time_t\x09pw_expire;\x09\x09/* account expiration */\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"struct passwd\x09*getpwuid(uid_t);\x0a"
"struct passwd\x09*getpwnam(const char *);\x0a"
"struct passwd\x09*getpwuid_shadow(uid_t);\x0a"
"struct passwd\x09*getpwnam_shadow(const char *);\x0a"
"int\x09\x09getpwnam_r(const char *, struct passwd *, char *, size_t,\x0a"
"\x09\x09    struct passwd **);\x0a"
"int\x09\x09getpwuid_r(uid_t, struct passwd *, char *, size_t,\x0a"
"\x09\x09    struct passwd **);\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE\x0a"
"struct passwd\x09*getpwent(void);\x0a"
"void\x09\x09 setpwent(void);\x0a"
"void\x09\x09 endpwent(void);\x0a"
"#endif\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09\x09 setpassent(int);\x0a"
"char\x09\x09*user_from_uid(uid_t, int);\x0a"
"char\x09\x09*bcrypt_gensalt(u_int8_t);\x0a"
"char\x09\x09*bcrypt(const char *, const char *);\x0a"
"int\x09\x09""bcrypt_newhash(const char *, int, char *, size_t);\x0a"
"int\x09\x09""bcrypt_checkpass(const char *, const char *);\x0a"
"struct passwd\x09*pw_dup(const struct passwd *);\x0a"
"#endif\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_PWD_H_ */\x0a"
"", 4611 ); }