#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_stdio_h( 
"/* Input/output <stdio.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#ifndef _PDCLIB_STDIO_H\x0a"
"#define _PDCLIB_STDIO_H _PDCLIB_STDIO_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <sys/types.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_SIZE_T_DEFINED\x0a"
"#define _PDCLIB_SIZE_T_DEFINED _PDCLIB_SIZE_T_DEFINED\x0a"
"typedef _PDCLIB_size_t size_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_NULL_DEFINED\x0a"
"#define _PDCLIB_NULL_DEFINED _PDCLIB_NULL_DEFINED\x0a"
"#define NULL _PDCLIB_NULL\x0a"
"#endif\x0a"
"\x0a"
"/* The following are platform-dependant, and defined in _PDCLIB_config.h. */\x0a"
"typedef _PDCLIB_fpos_t fpos_t;\x0a"
"#ifndef __FILE_defined\x0a"
"#define __FILE_defined 1\x0a"
"typedef _PDCLIB_file_t FILE;\x0a"
"#endif\x0a"
"#define BUFSIZ _PDCLIB_BUFSIZ\x0a"
"#define FOPEN_MAX _PDCLIB_FOPEN_MAX\x0a"
"#define FILENAME_MAX _PDCLIB_FILENAME_MAX\x0a"
"#define L_tmpnam _PDCLIB_L_tmpnam\x0a"
"#define TMP_MAX _PDCLIB_TMP_MAX\x0a"
"\x0a"
"/* See fseek(), third argument\x0a"
" *\x0a"
" * Some system headers (e.g. windows) also define the SEEK_* values. Check for\x0a"
" * this and validate that they're the same value\x0a"
" */\x0a"
"#if \x21""defined(SEEK_CUR)\x0a"
"    #define SEEK_CUR _PDCLIB_SEEK_CUR\x0a"
"#elif SEEK_CUR \x21= _PDCLIB_SEEK_CUR\x0a"
"    #error SEEK_CUR \x21= _PDCLIB_SEEK_CUR\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(SEEK_END)\x0a"
"    #define SEEK_END _PDCLIB_SEEK_END\x0a"
"#elif SEEK_END \x21= _PDCLIB_SEEK_END\x0a"
"    #error SEEK_END \x21= _PDCLIB_SEEK_END\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(SEEK_SET)\x0a"
"    #define SEEK_SET _PDCLIB_SEEK_SET\x0a"
"#elif SEEK_SET \x21= _PDCLIB_SEEK_SET\x0a"
"    #error SEEK_SET \x21= _PDCLIB_SEEK_SET\x0a"
"#endif\x0a"
"\x0a"
"/* See lseek(), third argument.\x0a"
" */\x0a"
"\x0a"
"#if \x21""defined(SEEK_DATA)\x0a"
"    #define SEEK_DATA _PDCLIB_SEEK_DATA\x0a"
"#elif SEEK_DATA \x21= _PDCLIB_SEEK_DATA\x0a"
"    #error SEEK_DATA \x21= _PDCLIB_SEEK_DATA\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(SEEK_HOLE)\x0a"
"    #define SEEK_HOLE _PDCLIB_SEEK_HOLE\x0a"
"#elif SEEK_HOLE \x21= _PDCLIB_SEEK_HOLE\x0a"
"    #error SEEK_HOLE \x21= _PDCLIB_SEEK_HOLE\x0a"
"#endif\x0a"
"\x0a"
"extern FILE * stdin;\x0a"
"extern FILE * stdout;\x0a"
"extern FILE * stderr;\x0a"
"\x0a"
"/* Operations on files */\x0a"
"\x0a"
"/* Remove the given file.\x0a"
"   Returns zero if successful, non-zero otherwise.\x0a"
"   This implementation does detect if a file of that name is currently open,\x0a"
"   and fails the remove in this case. This does not detect two distinct names\x0a"
"   that merely result in the same file (e.g. \x22/home/user/foo\x22 vs. \x22\x7e/foo\x22).\x0a"
"*/\x0a"
"int remove( const char * filename ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Rename the given old file to the given new name.\x0a"
"   Returns zero if successful, non-zero otherwise.\x0a"
"   This implementation does detect if the old filename corresponds to an open\x0a"
"   file, and fails the rename in this case.\x0a"
"   If there already is a file with the new filename, behaviour is defined by\x0a"
"   the glue code (see functions/<_PDCLIB/rename.c).\x0a"
"*/\x0a"
"int rename( const char * old, const char * newn ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Open a temporary file with mode \x22wb+\x22, i.e. binary-update. Remove the file\x0a"
"   automatically if it is closed or the program exits normally (by returning\x0a"
"   from main() or calling exit()).\x0a"
"   Returns a pointer to a FILE handle for this file.\x0a"
"   This implementation does not remove temporary files if the process aborts\x0a"
"   abnormally (e.g. abort()).\x0a"
"*/\x0a"
"FILE * tmpfile( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Generate a file name that is not equal to any existing filename AT THE TIME\x0a"
"   OF GENERATION. Generate a different name each time it is called.\x0a"
"   Returns a pointer to an internal static buffer containing the filename if s\x0a"
"   is a NULL pointer. (This is not thread-safe\x21)\x0a"
"   Returns s if it is not a NULL pointer (s is then assumed to point to an array\x0a"
"   of at least L_tmpnam characters).\x0a"
"   Returns NULL if unable to generate a suitable name (because all possible\x0a"
"   names already exist, or the function has been called TMP_MAX times already).\x0a"
"   Note that this implementation cannot guarantee a file of the name generated\x0a"
"   is not generated between the call to this function and a subsequent fopen().\x0a"
"*/\x0a"
"char * tmpnam( char * s ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* File access functions */\x0a"
"\x0a"
"/* Close the file associated with the given stream (after flushing its buffers).\x0a"
"   Returns zero if successful, EOF if any errors occur.\x0a"
"*/\x0a"
"int fclose( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Flush the buffers of the given output stream. If the stream is an input\x0a"
"   stream, or an update stream with the last operation being an input operation,\x0a"
"   behaviour is undefined.\x0a"
"   If stream is a NULL pointer, perform the buffer flushing for all applicable\x0a"
"   streams.\x0a"
"   Returns zero if successful, EOF if a write error occurs.\x0a"
"   Sets the error indicator of the stream if a write error occurs.\x0a"
"*/\x0a"
"int fflush( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Open the file with the given filename in the given mode, and return a stream\x0a"
"   handle for it in which error and end-of-file indicator are cleared. Defined\x0a"
"   values for mode are\x3a\x0a"
"\x0a"
"   READ MODES\x0a"
"                      text files        binary files\x0a"
"   without update     \x22r\x22               \x22rb\x22\x0a"
"   with update        \x22r+\x22              \x22rb+\x22 or \x22r+b\x22\x0a"
"\x0a"
"   Opening in read mode fails if no file with the given filename exists, or if\x0a"
"   cannot be read.\x0a"
"\x0a"
"   WRITE MODES\x0a"
"                      text files        binary files\x0a"
"   without update     \x22w\x22               \x22wb\x22\x0a"
"   with update        \x22w+\x22              \x22wb+\x22 or \x22w+b\x22\x0a"
"\x0a"
"   With write modes, if a file with the given filename already exists, it is\x0a"
"   truncated to zero length.\x0a"
"\x0a"
"   APPEND MODES\x0a"
"                      text files        binary files\x0a"
"   without update     \x22""a\x22               \x22""ab\x22\x0a"
"   with update        \x22""a+\x22              \x22""ab+\x22 or \x22""a+b\x22\x0a"
"\x0a"
"   With update modes, if a file with the given filename already exists, it is\x0a"
"   not truncated to zero length, but all writes are forced to end-of-file (this\x0a"
"   regardless to fseek() calls). Note that binary files opened in append mode\x0a"
"   might have their end-of-file padded with '\x5c""0' characters.\x0a"
"\x0a"
"   Update modes mean that both input and output functions can be performed on\x0a"
"   the stream, but output must be terminated with a call to either fflush(),\x0a"
"   fseek(), fsetpos(), or rewind() before input is performed, and input must\x0a"
"   be terminated with a call to either fseek(), fsetpos(), or rewind() before\x0a"
"   output is performed, unless input encountered end-of-file.\x0a"
"\x0a"
"   If a text file is opened with update mode, the implementation is at liberty\x0a"
"   to open a binary stream instead. This implementation honors the exact mode\x0a"
"   given.\x0a"
"\x0a"
"   The stream is fully buffered if and only if it can be determined not to\x0a"
"   refer to an interactive device.\x0a"
"\x0a"
"   If the mode string begins with but is longer than one of the above sequences\x0a"
"   the implementation is at liberty to ignore the additional characters, or do\x0a"
"   implementation-defined things. This implementation only accepts the exact\x0a"
"   modes above.\x0a"
"\x0a"
"   Returns a pointer to the stream handle if successfull, NULL otherwise.\x0a"
"*/\x0a"
"FILE * fopen( const char * _PDCLIB_restrict filename,\x0a"
"              const char * _PDCLIB_restrict mode ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Creates a stream connected to the file descriptor \x5cp fd with mode \x5cp mode.\x0a"
"   Mode must match the mode with which the file descriptor was opened.\x0a"
"*/\x0a"
"FILE * _PDCLIB_fvopen( _PDCLIB_fd_t fd, const _PDCLIB_fileops_t * ops,\x0a"
"                       int mode, const char * filename ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Close any file currently associated with the given stream. Open the file\x0a"
"   identified by the given filename with the given mode (equivalent to fopen()),\x0a"
"   and associate it with the given stream. If filename is a NULL pointer,\x0a"
"   attempt to change the mode of the given stream.\x0a"
"   This implementation allows any mode changes on \x22real\x22 files, and associating\x0a"
"   of the standard streams with files. It does *not* support mode changes on\x0a"
"   standard streams.\x0a"
"   (Primary use of this function is to redirect stdin, stdout, and stderr.)\x0a"
"*/\x0a"
"FILE * freopen( const char * _PDCLIB_restrict filename, const char * _PDCLIB_restrict mode, FILE * _PDCLIB_restrict stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"FILE * fdopen( int fd,\x0a"
"               const char * _PDCLIB_restrict mode ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* If buf is a NULL pointer, call setvbuf( stream, NULL, _IONBF, BUFSIZ ).\x0a"
"   If buf is not a NULL pointer, call setvbuf( stream, buf, _IOFBF, BUFSIZ ).\x0a"
"*/\x0a"
"void setbuf( FILE * _PDCLIB_restrict stream, char * _PDCLIB_restrict buf ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Set the given stream to the given buffering mode. If buf is not a NULL\x0a"
"   pointer, use buf as file buffer (of given size). If buf is a NULL pointer,\x0a"
"   use a buffer of given size allocated internally. _IONBF causes unbuffered\x0a"
"   behaviour, _IOLBF causes line-buffered behaviour, _IOFBF causes fully\x0a"
"   buffered behaviour. Calling this function is only valid right after a file is\x0a"
"   opened, and before any other operation (except for any unsuccessful calls to\x0a"
"   setvbuf()) has been performed.\x0a"
"   Returns zero if successful, nonzero otherwise.\x0a"
"*/\x0a"
"int setvbuf( FILE * _PDCLIB_restrict stream, char * _PDCLIB_restrict buf, int mode, size_t size ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Formatted input/output functions */\x0a"
"\x0a"
"/*\x0a"
"   Write output to the given stream, as defined by the given format string and\x0a"
"   0..n subsequent arguments (the argument stack).\x0a"
"\x0a"
"   The format string is written to the given stream verbatim, except for any\x0a"
"   conversion specifiers included, which start with the letter '\x25' and are\x0a"
"   documented below. If the given conversion specifiers require more arguments\x0a"
"   from the argument stack than provided, behaviour is undefined. Additional\x0a"
"   arguments not required by conversion specifiers are evaluated but otherwise\x0a"
"   ignored.\x0a"
"\x0a"
"   (The standard specifies the format string is allowed to contain multibyte\x0a"
"   character sequences as long as it starts and ends in initial shift state,\x0a"
"   but this is not yet supported by this implementation, which interprets the\x0a"
"   format string as sequence of char.)\x0a"
"   TODO\x3a Add multibyte support to printf() functions.\x0a"
"\x0a"
"   A conversion specifier consists of\x3a\x0a"
"   - Zero or more flags (one of the characters \x22-+ #0\x22).\x0a"
"   - Optional minimum field width as decimal integer. Default is padding to the\x0a"
"     left, using spaces. Note that 0 is taken as a flag, not the beginning of a\x0a"
"     field width. Note also that a small field width will not result in the\x0a"
"     truncation of a value.\x0a"
"   - Optional precision (given as \x22.#\x22 with # being a decimal integer),\x0a"
"     specifying\x3a\x0a"
"     - the min. number of digits to appear (diouxX),\x0a"
"     - the max. number of digits after the decimal point (aAeEfF),\x0a"
"     - the max. number of significant digits (gG),\x0a"
"     - the max. number of bytes to be written (s).\x0a"
"     - behaviour with other conversion specifiers is undefined.\x0a"
"   - Optional length modifier specifying the size of the argument (one of \x22hh\x22,\x0a"
"     \x22ll\x22, or one of the characters \x22hljztL\x22).\x0a"
"   - Conversion specifier character specifying the type of conversion to be\x0a"
"     applied (and the type of the next argument from the argument stack). One\x0a"
"     of the characters \x22""diouxXfFeEgGaAcspn\x25\x22.\x0a"
"\x0a"
"   Minimum field width and/or precision may be given as asterisk ('*') instead\x0a"
"   of a decimal integer. In this case, the next argument from the argument\x0a"
"   stack is assumed to be an int value specifying the width / precision. A\x0a"
"   negative field width is interpreted as flag '-' followed by a positive field\x0a"
"   width. A negative precision is interpreted as if no precision was given.\x0a"
"\x0a"
"   FLAGS\x0a"
"   -     Left-justify the conversion result within its field width.\x0a"
"   +     Prefix a '+' on positive signed conversion results. Prefix a '-' on\x0a"
"         floating conversions resulting in negative zero, or negative values\x0a"
"         rounding to zero.\x0a"
"   space Prefix a space on positive signed conversion results, or if a signed\x0a"
"         conversion results in no characters. If both '+' and ' ' are given,\x0a"
"         ' ' is ignored.\x0a"
"   #     Use an \x22""alternative form\x22 for\x0a"
"         - 'o' conversion, increasing precision until the first digit of the\x0a"
"           result is a zero;\x0a"
"         - 'x' or 'X' conversion, prefixing \x22""0x\x22 or \x22""0X\x22 to nonzero results;\x0a"
"         - \x22""aAeEfF\x22 conversions, always printing a decimal point even if no\x0a"
"           digits are following;\x0a"
"         - 'g' or 'G' conversions, always printing a decimal point even if no\x0a"
"           digits are following, and not removing trailing zeroes.\x0a"
"         - behaviour for other conversions is unspecified.\x0a"
"   0     Use leading zeroes instead of spaces for field width padding. If both\x0a"
"         '-' and '0' are given, '0' is ignored. If a precision is specified for\x0a"
"         any of the \x22""diouxX\x22 conversions, '0' is ignored. Behaviour is only\x0a"
"         defined for \x22""diouxXaAeEfFgG\x22.\x0a"
"\x0a"
"   LENGTH MODIFIERS\x0a"
"   hh  For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of char width. (It will have been subject to integer\x0a"
"       promotion but will be converted back.) For 'n' conversions, the argument\x0a"
"       is assumed to be a pointer to signed char.\x0a"
"   h   For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of short int width. (It will have been subject to integer\x0a"
"       promotion but will be converted back.) For 'n' conversions, the argument\x0a"
"       is assumed to be a pointer to short int.\x0a"
"   l   For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of long int width. For 'n' conversions, the argument is\x0a"
"       assumed to be a pointer to short int. For 'c' conversions, the argument\x0a"
"       is assumed to be a wint_t. For 's' conversions, the argument is assumed\x0a"
"       to be a pointer to wchar_t. No effect on \x22""aAeEfFgG\x22 conversions.\x0a"
"   ll  For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of long long int width. For 'n' conversions, the argument\x0a"
"       is assumed to be a pointer to long long int.\x0a"
"   j   For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of intmax_t width. For 'n' conversions, the argument is\x0a"
"       assumed to be a pointer to intmax_t.\x0a"
"   z   For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of size_t width. For 'n' conversions, the argument is\x0a"
"       assumed to be a pointer to size_t.\x0a"
"   t   For \x22""diouxX\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be of ptrdiff_t width. For 'n' conversions, the argument is\x0a"
"       assumed to be a pointer to ptrdiff_t.\x0a"
"   L   For \x22""aAeEfFgG\x22 conversions, the argument from the argument stack is\x0a"
"       assumed to be a long double.\x0a"
"   Length modifiers appearing for any conversions not mentioned above will have\x0a"
"   undefined behaviour.\x0a"
"   If a length modifier appears with any conversion specifier other than as\x0a"
"   specified above, the behavior is undefined.\x0a"
"\x0a"
"   CONVERSION SPECIFIERS\x0a"
"   d,i The argument from the argument stack is assumed to be of type int, and\x0a"
"       is converted to a signed decimal value with a minimum number of digits\x0a"
"       as specified by the precision (default 1), padded with leading zeroes.\x0a"
"       A zero value converted with precision zero yields no output.\x0a"
"   o   The argument from the argument stack is assumed to be of type unsigned\x0a"
"       int, and is converted to an unsigned octal value, other behaviour being\x0a"
"       as above.\x0a"
"   u   The argument from the argument stack is assumed to be of type unsigned\x0a"
"       int, and converted to an unsigned decimal value, other behaviour being\x0a"
"       as above.\x0a"
"   x,X The argument from the argument stack is assumed to be of type unsigned\x0a"
"       int, and converted to an unsigned hexadecimal value, using lowercase\x0a"
"       \x22""abcdef\x22 for 'x' and uppercase \x22""ABCDEF\x22 for 'X' conversion, other\x0a"
"       behaviour being as above.\x0a"
"   f,F The argument from the argument stack is assumed to be of type double,\x0a"
"       and converted to a decimal floating point in decimal-point notation,\x0a"
"       with the number of digits after the decimal point as specified by the\x0a"
"       precision (default 6) and the value being rounded appropriately. If\x0a"
"       precision is zero (and the '#' flag is not given), no decimal point is\x0a"
"       printed. At least one digit is always printed before the decimal point.\x0a"
"       For 'f' conversions, an infinity value is printed as either \x5b-\x5dinf or\x0a"
"       \x5b-\x5dinfinity (, depending on the configuration of this implementation. A\x0a"
"       NaN value is printed as \x5b-\x5dnan. For 'F' conversions uppercase characters\x0a"
"       are used for these special values. The flags '-', '+' and ' ' apply as\x0a"
"       usual to these special values, '#' and '0' have no effect.\x0a"
"   e,E The argument from the argument stack is assumed to be of type double,\x0a"
"       and converted to a decimal floating point in normalized exponential\x0a"
"       notation (\x5b\x3f\x5d""d.ddd edd). \x22Normalized\x22 means one nonzero digit before\x0a"
"       the decimal point, unless the value is zero. The number of digits after\x0a"
"       the decimal point is specified by the precision (default 6), the value\x0a"
"       being rounded appropriately. If precision is zero (and the '#' flag is\x0a"
"       not given), no decimal point is printed. The exponent has at least two\x0a"
"       digits, and not more than necessary to represent the exponent. If the\x0a"
"       value is zero, the exponent is zero. The 'e' written to indicate the\x0a"
"       exponend is uppercase for 'E' conversions.\x0a"
"       Infinity or NaN values are represented as for 'f' and 'F' conversions,\x0a"
"       respectively.\x0a"
"   g,G The argument from the argument stack is assumed to be of type double,\x0a"
"       and converted according to either 'f' or 'e' format for 'g' conversions,\x0a"
"       or 'F' or 'E' format for 'G' conversions, respectively, with the actual\x0a"
"       conversion chosen depending on the value. 'e' / 'E' conversion is chosen\x0a"
"       if the resulting exponent is < -4 or >= the precision (default 1).\x0a"
"       Trailing zeroes are removed (unless the '#' flag is given). A decimal\x0a"
"       point appears only if followed by a digit.\x0a"
"       Infinity or NaN values are represented as for 'f' and 'F' conversions,\x0a"
"       respectively.\x0a"
"   a,A The argument from the argument stack is assumed to be of type double,\x0a"
"       and converted to a floating point hexadecimal notation (\x5b\x3f\x5d""0xh.hhhh pd)\x0a"
"       with one hexadecimal digit (being nonzero if the value is normalized,\x0a"
"       and otherwise unspecified) before the decimal point, and the number of\x0a"
"       digits after the decimal point being specified by the precision. If no\x0a"
"       precision is given, the default is to print as many digits as nevessary\x0a"
"       to give an exact representation of the value (if FLT_RADIX is a power of\x0a"
"       2). If no precision is given and FLT_RADIX is not a power of 2, the\x0a"
"       default is to print as many digits to distinguish values of type double\x0a"
"       (possibly omitting trailing zeroes). (A precision p is sufficient to\x0a"
"       distinguish values of the source type if 16^p-1 > b^n where b is\x0a"
"       FLT_RADIX and n is the number of digits in the significand (to base b)\x0a"
"       of the source type. A smaller p might suffice depending on the\x0a"
"       implementation's scheme for determining the digit to the left of the\x0a"
"       decimal point.) The error has the correct sign for the current rounding\x0a"
"       direction.\x0a"
"       Unless the '#' flag is given, no decimal-point is given for zero\x0a"
"       precision.\x0a"
"       The 'a' conversion uses lowercase \x22""abcdef\x22, \x22""0x\x22 and 'p', the 'A'\x0a"
"       conversion uppercase \x22""ABCDEF\x22, \x22""0X\x22 and 'P'.\x0a"
"       The exponent always has at least one digit, and not more than necessary\x0a"
"       to represent the decimal exponent of 2. If the value is zero, the\x0a"
"       exponent is zero.\x0a"
"       Infinity or NaN values are represented as for 'f' and 'F' conversions,\x0a"
"       respectively.\x0a"
"       Binary implementations are at liberty to chose the hexadecimal digit to\x0a"
"       the left of the decimal point so that subsequent digits align to nibble\x0a"
"       boundaries.\x0a"
"   c   The argument from the argument stack is assumed to be of type int, and\x0a"
"       converted to a character after the value has been cast to unsigned char.\x0a"
"       If the 'l' length modifier is given, the argument is assumed to be of\x0a"
"       type wint_t, and converted as by a \x22\x25ls\x22 conversion with no precision\x0a"
"       and a pointer to a two-element wchar_t array, with the first element\x0a"
"       being the wint_t argument and the second a '\x5c""0' wide character.\x0a"
"   s   The argument from the argument stack is assumed to be a char array (i.e.\x0a"
"       pointer to char). Characters from that array are printed until a zero\x0a"
"       byte is encountered or as many bytes as specified by a given precision\x0a"
"       have been written.\x0a"
"       If the l length modifier is given, the argument from the argument stack\x0a"
"       is assumed to be a wchar_t array (i.e. pointer to wchar_t). Wide\x0a"
"       characters from that array are converted to multibyte characters as by\x0a"
"       calls to wcrtomb() (using a mbstate_t object initialized to zero prior\x0a"
"       to the first conversion), up to and including the terminating null wide\x0a"
"       character. The resulting multibyte character sequence is then printed up\x0a"
"       to but not including the terminating null character. If a precision is\x0a"
"       given, it specifies the maximum number of bytes to be written (including\x0a"
"       shift sequences). If the given precision would require access to a wide\x0a"
"       character one past the end of the array, the array shall contain a '\x5c""0'\x0a"
"       wide character. In no case is a partial multibyte character written.\x0a"
"       Redundant shift sequences may result if the multibyte characters have a\x0a"
"       state-dependent encoding.\x0a"
"       TODO\x3a Clarify these statements regarding \x25ls.\x0a"
"   p   The argument from the argument stack is assumed to be a void pointer,\x0a"
"       and converted to a sequence of printing characters in an implementation-\x0a"
"       defined manner.\x0a"
"       This implementation casts the pointer to type intptr_t, and prints the\x0a"
"       value as if a \x25#x conversion specifier was given.\x0a"
"   n   The argument from the argument stack is assumed to be a pointer to a\x0a"
"       signed integer, into which the number of characters written so far by\x0a"
"       this call to fprintf is stored. The behaviour, should any flags, field\x0a"
"       widths, or precisions be given is undefined.\x0a"
"   \x25   A verbatim '\x25' character is written. No argument is taken from the\x0a"
"       argument stack.\x0a"
"\x0a"
"   Returns the number of characters written if successful, a negative value\x0a"
"   otherwise.\x0a"
"*/\x0a"
"int fprintf( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* TODO\x3a fscanf() documentation */\x0a"
"/*\x0a"
"   Read input from a given stream, as defined by the given format string, and\x0a"
"   store converted input in the objects pointed to by 0..n subsequent arguments\x0a"
"   (the argument stack).\x0a"
"\x0a"
"   The format string contains a sequence of directives that are expected to\x0a"
"   match the input. If such a directive fails to match, the function returns\x0a"
"   (matching error). It also returns if an input error occurs (input error).\x0a"
"\x0a"
"   Directives can be\x3a\x0a"
"   - one or more whitespaces, matching any number of whitespaces in the input;\x0a"
"   - printing characters, matching the input verbatim;\x0a"
"   - conversion specifications, which convert an input sequence into a value as\x0a"
"     defined by the individual specifier, and store that value in a memory\x0a"
"     location pointed to by the next pointer on the argument stack. Details are\x0a"
"     documented below. If there is an insufficient number of pointers on the\x0a"
"     argument stack, behaviour is undefined. Additional arguments not required\x0a"
"     by any conversion specifications are evaluated, but otherwise ignored.\x0a"
"\x0a"
"   (The standard specifies the format string is allowed to contain multibyte\x0a"
"   character sequences as long as it starts and ends in initial shift state,\x0a"
"   but this is not yet supported by this implementation, which interprets the\x0a"
"   format string as sequence of char.)\x0a"
"   TODO\x3a Add multibyte support to scanf() functions.\x0a"
"\x0a"
"   A conversion specifier consists of\x3a\x0a"
"   - Optional assignment-suppressing character ('*') that makes the conversion\x0a"
"     read input as usual, but does not assign the conversion result.\x0a"
"   - Optional maximum field width as decimal integer.\x0a"
"   - Optional length modifier specifying the size of the argument (one of \x22hh\x22,\x0a"
"     \x22ll\x22, or one of the characters \x22hljztL\x22).\x0a"
"   - Conversion specifier character specifying the type of conversion to be\x0a"
"     applied (and the type of the next argument from the argument stack). One\x0a"
"     of the characters \x22""diouxXaAeEfFgGcs\x5bpn\x25\x22.\x0a"
"\x0a"
"   LENGTH MODIFIERS\x0a"
"   hh  For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of of char width.\x0a"
"   h   For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of short int width.\x0a"
"   l   For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of long int width.\x0a"
"       For \x22""aAeEfFgG\x22 conversions, it is assumed to point to a variable of type\x0a"
"       double.\x0a"
"       For \x22""cs\x5b\x22 conversions, it is assumed to point to a variable of type\x0a"
"       wchar_t.\x0a"
"   ll  For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of long long int width.\x0a"
"   j   For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of intmax_t width.\x0a"
"   z   For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of size_t width.\x0a"
"   t   For \x22""diouxXn\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of ptrdiff_t width.\x0a"
"   L   For \x22""aAeEfFgG\x22 conversions, the next pointer from the argument stack is\x0a"
"       assumed to point to a variable of type long double.\x0a"
"   Length modifiers appearing for any conversions not mentioned above will have\x0a"
"   undefined behaviour.\x0a"
"   If a length modifier appears with any conversion specifier other than as\x0a"
"   specified above, the behavior is undefined.\x0a"
"\x0a"
"   CONVERSION SPECIFIERS\x0a"
"   d    Matches an (optionally signed) decimal integer of the format expected\x0a"
"        by strtol() with base 10. The next pointer from the argument stack is\x0a"
"        assumed to point to a signed integer.\x0a"
"   i    Matches an (optionally signed) integer of the format expected by\x0a"
"        strtol() with base 0. The next pointer from the argument stack is\x0a"
"        assumed to point to a signed integer.\x0a"
"   o    Matches an (optionally signed) octal integer of the format expected by\x0a"
"        strtoul() with base 8. The next pointer from the argument stack is\x0a"
"        assumed to point to an unsigned integer.\x0a"
"   u    Matches an (optionally signed) decimal integer of the format expected\x0a"
"        by strtoul() with base 10. The next pointer from the argument stack is\x0a"
"        assumed to point to an unsigned integer.\x0a"
"   x    Matches an (optionally signed) hexadecimal integer of the format\x0a"
"        expected by strtoul() with base 16. The next pointer from the argument\x0a"
"        stack is assumed to point to an unsigned integer.\x0a"
"   aefg Matches an (optionally signed) floating point number, infinity, or not-\x0a"
"        a-number-value of the format expected by strtod(). The next pointer\x0a"
"        from the argument stack is assumed to point to a float.\x0a"
"   c    Matches a number of characters as specified by the field width (default\x0a"
"        1). The next pointer from the argument stack is assumed to point to a\x0a"
"        character array large enough to hold that many characters.\x0a"
"        If the 'l' length modifier is given, the input is assumed to match a\x0a"
"        sequence of multibyte characters (starting in the initial shift state),\x0a"
"        which will be converted to a wide character sequence as by successive\x0a"
"        calls to mbrtowc() with a mbstate_t object initialized to zero prior to\x0a"
"        the first conversion. The next pointer from the argument stack is\x0a"
"        assumed to point to a wchar_t array large enough to hold that many\x0a"
"        characters.\x0a"
"        In either case, note that no '\x5c""0' character is added to terminate the\x0a"
"        sequence.\x0a"
"   s    Matches a sequence of non-white-space characters. The next pointer from\x0a"
"        the argument stack is assumed to point to a character array large\x0a"
"        enough to hold the sequence including terminating '\x5c""0' character.\x0a"
"        If the 'l' length modifier is given, the input is assumed to match a\x0a"
"        sequence of multibyte characters (starting in the initial shift state),\x0a"
"        which will be converted to a wide character sequence as by a call to\x0a"
"        mbrtowc() with a mbstate_t object initialized to zero prior to the\x0a"
"        first conversion. The next pointer from the argument stack is assumed\x0a"
"        to point to a wchar_t array large enough to hold the sequence including\x0a"
"        terminating '\x5c""0' character.\x0a"
"   \x5b    Matches a nonempty sequence consisting of any of those characters\x0a"
"        specified between itself and a corresponding closing bracket ('\x5d').\x0a"
"        If the first character in the list is a circumflex ('^'), this matches\x0a"
"        a nonempty sequence consisting of any characters NOT specified. If the\x0a"
"        closing bracket appears as the first character in the scanset (\x22\x5b\x5d\x22 or\x0a"
"        \x22\x5b^\x5d\x22, it is assumed to belong to the scanset, which then ends with the\x0a"
"        NEXT closing bracket.\x0a"
"        If there is a '-' character in the scanset which is not the first after\x0a"
"        the opening bracket (or the circumflex, see above) or the last in the\x0a"
"        scanset, behaviour is implementation-defined. This implementation\x0a"
"        handles this character like any other.\x0a"
"\x0a"
"        The extend of the input field is determined byte-by-byte for the above\x0a"
"        conversions ('c', 's', '\x5b'), with no special provisions being made for\x0a"
"        multibyte characters. The resulting field is nevertheless a multibyte\x0a"
"        sequence begining in intial shift state.\x0a"
"\x0a"
"   p    Matches a sequence of characters as produced by the printf() \x22\x25p\x22\x0a"
"        conversion. The next pointer from the argument stack is assumed to\x0a"
"        point to a void pointer, which will be filled with the same location\x0a"
"        as the pointer used in the printf() statement. Note that behaviour is\x0a"
"        undefined if the input value is not the result of an earlier printf()\x0a"
"        call.\x0a"
"   n    Does not read input. The next pointer from the argument stack is\x0a"
"        assumed to point to a signed integer, into which the number of\x0a"
"        characters read from input so far by this call to fscanf() is stored.\x0a"
"        This does not affect the return value of fscanf(). The behaviour,\x0a"
"        should an assignment-supressing character of field width be given,\x0a"
"        is undefined.\x0a"
"        This can be used to test the success of literal matches and suppressed\x0a"
"        assignments.\x0a"
"   \x25    Matches a single, verbatim '\x25' character.\x0a"
"\x0a"
"   A, E, F, G and X are valid, and equivalent to their lowercase counterparts.\x0a"
"\x0a"
"   All conversions except \x5b, c, or n imply that whitespace characters from the\x0a"
"   input stream are consumed until a non-whitespace character is encountered.\x0a"
"   Such whitespaces do not count against a maximum field width.\x0a"
"\x0a"
"   Conversions push at most one character back into the input stream. That\x0a"
"   implies that some character sequences converted by the strtol() and strtod()\x0a"
"   function families are not converted identically by the scnaf() function\x0a"
"   family.\x0a"
"\x0a"
"   Returns the number of input items successfully assigned. This can be zero if\x0a"
"   an early mismatch occurs. Returns EOF if an input failure occurs before the\x0a"
"   first conversion.\x0a"
"*/\x0a"
"int fscanf( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fprintf( stdout, format, ... ). */\x0a"
"int printf( const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fscanf( stdin, format, ... ). */\x0a"
"int scanf( const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fprintf( stdout, format, ... ), except that the result is\x0a"
"   written into the buffer pointed to by s, instead of stdout, and that any\x0a"
"   characters beyond the (n-1)th are discarded. The (n)th character is\x0a"
"   replaced by a '\x5c""0' character in this case.\x0a"
"   Returns the number of characters that would have been written (not counting\x0a"
"   the terminating '\x5c""0' character) if n had been sufficiently large, if\x0a"
"   successful, and a negative number if an encoding error ocurred.\x0a"
"*/\x0a"
"int snprintf( char * _PDCLIB_restrict s, size_t n, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fprintf( stdout, format, ... ), except that the result is\x0a"
"   written into the buffer pointed to by s, instead of stdout.\x0a"
"*/\x0a"
"int sprintf( char * _PDCLIB_restrict s, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fscanf( stdin, format, ... ), except that the input is read\x0a"
"   from the buffer pointed to by s, instead of stdin.\x0a"
"*/\x0a"
"int sscanf( const char * _PDCLIB_restrict s, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"\x0a"
"#pragma clang diagnostic push\x0a"
"#pragma clang diagnostic ignored \x22-Wincompatible-library-redeclaration\x22\x0a"
"/* Equivalent to fprintf( stream, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vfprintf( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fscanf( stream, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vfscanf( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fprintf( stdout, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vprintf( const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fscanf( stdin, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vscanf( const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to snprintf( s, n, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"   */\x0a"
"int vsnprintf( char * _PDCLIB_restrict s, size_t n, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fprintf( stdout, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter, and the result is written to the buffer\x0a"
"   pointed to by s, instead of stdout. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vsprintf( char * _PDCLIB_restrict s, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fscanf( stdin, format, ... ), except that the argument stack\x0a"
"   is passed as va_list parameter, and the input is read from the buffer\x0a"
"   pointed to by s, instead of stdin. Note that va_list is not declared by\x0a"
"   <stdio.h>.\x0a"
"*/\x0a"
"int vsscanf( const char * _PDCLIB_restrict s, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"#pragma clang diagnostic pop\x0a"
"\x0a"
"/* Character input/output functions */\x0a"
"\x0a"
"/* Retrieve the next character from given stream.\x0a"
"   Returns the character, EOF otherwise.\x0a"
"   If end-of-file is reached, the EOF indicator of the stream is set.\x0a"
"   If a read error occurs, the error indicator of the stream is set.\x0a"
"*/\x0a"
"int fgetc( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Read at most n-1 characters from given stream into the array s, stopping at\x0a"
"   \x5cn or EOF. Terminate the read string with \x5cn. If EOF is encountered before\x0a"
"   any characters are read, leave the contents of s unchanged.\x0a"
"   Returns s if successful, NULL otherwise.\x0a"
"   If a read error occurs, the error indicator of the stream is set. In this\x0a"
"   case, the contents of s are indeterminate.\x0a"
"*/\x0a"
"char * fgets( char * _PDCLIB_restrict s, int n, FILE * _PDCLIB_restrict stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Write the value c (cast to unsigned char) to the given stream.\x0a"
"   Returns c if successful, EOF otherwise.\x0a"
"   If a write error occurs, sets the error indicator of the stream is set.\x0a"
"*/\x0a"
"int fputc( int c, FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Write the string s (not including the terminating \x5c""0) to the given stream.\x0a"
"   Returns a value >=0 if successful, EOF otherwise.\x0a"
"   This implementation does set the error indicator of the stream if a write\x0a"
"   error occurs.\x0a"
"*/\x0a"
"int fputs( const char * _PDCLIB_restrict s, FILE * _PDCLIB_restrict stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fgetc( stream ), but may be overloaded by a macro that\x0a"
"   evaluates its parameter more than once.\x0a"
"*/\x0a"
"int getc( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fgetc( stdin ). */\x0a"
"int getchar( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"char *fgetln(FILE *, size_t *);\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_C_MAX(1999)\x0a"
"/* Read characters from given stream into the array s, stopping at \x5cn or EOF.\x0a"
"   The string read is terminated with \x5c""0. Returns s if successful. If EOF is\x0a"
"   encountered before any characters are read, the contents of s are unchanged,\x0a"
"   and NULL is returned. If a read error occurs, the contents of s are indeter-\x0a"
"   minate, and NULL is returned.\x0a"
"\x0a"
"   This function is dangerous and has been a great source of security\x0a"
"   vulnerabilities. Do not use it. It was removed by C11.\x0a"
"*/\x0a"
"char * gets( char * s ) _PDCLIB_nothrow _PDCLIB_DEPRECATED;\x0a"
"#endif\x0a"
"\x0a"
"/* getline() reads an entire line from stream, storing the address of the buffer\x0a"
"   containing the text into *lineptr. The buffer is null-terminated and includes\x0a"
"   the newline character, if one was found.\x0a"
"\x0a"
"   If *lineptr is NULL, then getline() will allocate a buffer for storing the line,\x0a"
"   which should be freed by the user program.  (In this case, the value in *n is\x0a"
"   ignored.)\x0a"
"\x0a"
"   Alternatively, before calling getline(), *lineptr can contain a pointer to\x0a"
"   a malloc(3)-allocated buffer *n bytes in size.  If the buffer is not large enough\x0a"
"   to hold the line, getline() resizes it with realloc(3), updating *lineptr and *n\x0a"
"   as necessary.\x0a"
"\x0a"
"   In either case, on a successful call, *lineptr and *n will be updated to reflect\x0a"
"   the buffer address and allocated size respectively.\x0a"
"\x0a"
"   On success, getline() return the number of characters read, including the delimiter\x0a"
"   character, but not including the terminating null byte. This value can be used\x0a"
"   to handle embedded null bytes in the line read.\x0a"
"\x0a"
"   The function returns -1 on failure to read a line (including end-of-file condition).\x0a"
"*/\x0a"
"ssize_t getline( char **lineptr, size_t *n, FILE *stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fputc( c, stream ), but may be overloaded by a macro that\x0a"
"   evaluates its parameter more than once.\x0a"
"*/\x0a"
"int putc( int c, FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to fputc( c, stdout ), but may be overloaded by a macro that\x0a"
"   evaluates its parameter more than once.\x0a"
"*/\x0a"
"int putchar( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Write the string s (not including the terminating \x5c""0) to stdout, and append\x0a"
"   a newline to the output. Returns a value >= 0 when successful, EOF if a\x0a"
"   write error occurred.\x0a"
"*/\x0a"
"int puts( const char * s ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Push the value c (cast to unsigned char) back onto the given (input) stream.\x0a"
"   A character pushed back in this way will be delivered by subsequent read\x0a"
"   operations (and skipped by subsequent file positioning operations) as if it\x0a"
"   has not been read. The external representation of the stream is unaffected\x0a"
"   by this pushback (it is a buffer operation). One character of pushback is\x0a"
"   guaranteed, further pushbacks may fail. EOF as value for c does not change\x0a"
"   the input stream and results in failure of the function.\x0a"
"   For text files, the file position indicator is indeterminate until all\x0a"
"   pushed-back characters are read. For binary files, the file position\x0a"
"   indicator is decremented by each successful call of ungetc(). If the file\x0a"
"   position indicator for a binary file was zero before the call of ungetc(),\x0a"
"   behaviour is undefined. (Older versions of the library allowed such a call.)\x0a"
"   Returns the pushed-back character if successful, EOF if it fails.\x0a"
"*/\x0a"
"int ungetc( int c, FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Direct input/output functions */\x0a"
"\x0a"
"/* Read up to nmemb elements of given size from given stream into the buffer\x0a"
"   pointed to by ptr. Returns the number of elements successfully read, which\x0a"
"   may be less than nmemb if a read error or EOF is encountered. If a read\x0a"
"   error is encountered, the value of the file position indicator is\x0a"
"   indeterminate. If a partial element is read, its value is indeterminate.\x0a"
"   If size or nmemb are zero, the function does nothing and returns zero.\x0a"
"*/\x0a"
"size_t fread( void * _PDCLIB_restrict ptr, size_t size, size_t nmemb, FILE * _PDCLIB_restrict stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Write up to nmemb elements of given size from buffer pointed to by ptr to\x0a"
"   the given stream. Returns the number of elements successfully written, which\x0a"
"   will be less than nmemb only if a write error is encountered. If a write\x0a"
"   error is encountered, the value of the file position indicator is\x0a"
"   indeterminate. If size or nmemb are zero, the function does nothing and\x0a"
"   returns zero.\x0a"
"*/\x0a"
"size_t fwrite( const void * _PDCLIB_restrict ptr, size_t size, size_t nmemb, FILE * _PDCLIB_restrict stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* File positioning functions */\x0a"
"\x0a"
"/* Store the current position indicator (and, where appropriate, the current\x0a"
"   mbstate_t status object) for the given stream into the given pos object. The\x0a"
"   actual contents of the object are unspecified, but it can be used as second\x0a"
"   parameter to fsetpos() to reposition the stream to the exact position and\x0a"
"   parse state at the time fgetpos() was called.\x0a"
"   Returns zero if successful, nonzero otherwise.\x0a"
"   TODO\x3a Implementation-defined errno setting for fgetpos().\x0a"
"*/\x0a"
"int fgetpos( FILE * _PDCLIB_restrict stream, fpos_t * _PDCLIB_restrict pos ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Set the position indicator for the given stream to the given offset from\x3a\x0a"
"   - the beginning of the file if whence is SEEK_SET,\x0a"
"   - the current value of the position indicator if whence is SEEK_CUR,\x0a"
"   - end-of-file if whence is SEEK_END.\x0a"
"   On text streams, non-zero offsets are only allowed with SEEK_SET, and must\x0a"
"   have been returned by ftell() for the same file.\x0a"
"   Any characters buffered by ungetc() are dropped, the end-of-file indicator\x0a"
"   for the stream is cleared. If the given stream is an update stream, the next\x0a"
"   operation after a successful fseek() may be either input or output.\x0a"
"   Returns zero if successful, nonzero otherwise. If a read/write error occurs,\x0a"
"   the error indicator for the given stream is set.\x0a"
"*/\x0a"
"int fseek( FILE * stream, long int offset, int whence ) _PDCLIB_nothrow;\x0a"
"int fseeko( FILE *stream, long int offset, int whence ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Set the position indicator (and, where appropriate the mbstate_t status\x0a"
"   object) for the given stream to the given pos object (created by an earlier\x0a"
"   call to fgetpos() on the same file).\x0a"
"   Any characters buffered by ungetc() are dropped, the end-of-file indicator\x0a"
"   for the stream is cleared. If the given stream is an update stream, the next\x0a"
"   operation after a successful fsetpos() may be either input or output.\x0a"
"   Returns zero if successful, nonzero otherwise. If a read/write error occurs,\x0a"
"   the error indicator for the given stream is set.\x0a"
"   TODO\x3a Implementation-defined errno setting for fsetpos().\x0a"
"*/\x0a"
"int fsetpos( FILE * stream, const fpos_t * pos ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Return the current offset of the given stream from the beginning of the\x0a"
"   associated file. For text streams, the exact value returned is unspecified\x0a"
"   (and may not be equal to the number of characters), but may be used in\x0a"
"   subsequent calls to fseek().\x0a"
"   Returns -1L if unsuccessful.\x0a"
"   TODO\x3a Implementation-defined errno setting for ftell().\x0a"
"*/\x0a"
"long int ftell( FILE * stream ) _PDCLIB_nothrow;\x0a"
"off_t ftello( FILE *stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Equivalent to (void)fseek( stream, 0L, SEEK_SET ), except that the error\x0a"
"   indicator for the stream is also cleared.\x0a"
"*/\x0a"
"void rewind( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Error-handling functions */\x0a"
"\x0a"
"/* Clear the end-of-file and error indicators for the given stream. */\x0a"
"void clearerr( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Return zero if the end-of-file indicator for the given stream is not set,\x0a"
"   nonzero otherwise.\x0a"
"*/\x0a"
"int feof( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Return zero if the error indicator for the given stream is not set, nonzero\x0a"
"   otherwise.\x0a"
"*/\x0a"
"int ferror( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* If s is neither a NULL pointer nor an empty string, print the string to\x0a"
"   stderr (with appended colon ('\x3a') and a space) first. In any case, print an\x0a"
"   error message depending on the current value of errno (being the same as if\x0a"
"   strerror( errno ) had been called).\x0a"
"*/\x0a"
"void perror( const char * s ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Unlocked I/O\x0a"
" *\x0a"
" * Since threading was introduced in C11, FILE objects have had implicit locks\x0a"
" * to prevent data races and inconsistent output.\x0a"
" *\x0a"
" * PDCLib provides these functions from POSIX as an extension in order to enable\x0a"
" * users to access the underlying unlocked functions.\x0a"
" *\x0a"
" * For each function defined in C11 where an _unlocked variant is defined below,\x0a"
" * the behaviour of the _unlocked variant is the same except that it will not\x0a"
" * take the lock associated with the stream.\x0a"
" *\x0a"
" * flockfile, ftrylockfile and funlockfile can be used to manually manipulate\x0a"
" * the stream locks. The behaviour of the _unlocked functions if called when the\x0a"
" * stream isn't locked by the calling thread is implementation defined.\x0a"
" */\x0a"
"#if __POSIX_VISIBLE >= 200112L \x7c\x7c _PDCLIB_BSD_SOURCE \x7c\x7c _PDCLIB_SVID_SOURCE\x0a"
"void flockfile(FILE *file) _PDCLIB_nothrow;\x0a"
"int ftrylockfile(FILE *file) _PDCLIB_nothrow;\x0a"
"void funlockfile(FILE *file) _PDCLIB_nothrow;\x0a"
"\x0a"
"int getc_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int getchar_unlocked(void) _PDCLIB_nothrow;\x0a"
"int putc_unlocked(int c, FILE *stream) _PDCLIB_nothrow;\x0a"
"int putchar_unlocked(int c) _PDCLIB_nothrow;\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_BSD_SOURCE \x7c\x7c _PDCLIB_SVID_SOURCE\x0a"
"void clearerr_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int feof_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int ferror_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int fflush_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int fgetc_unlocked(FILE *stream) _PDCLIB_nothrow;\x0a"
"int fputc_unlocked(int c, FILE *stream) _PDCLIB_nothrow;\x0a"
"size_t fread_unlocked(void *ptr, size_t size, size_t n, FILE *stream) _PDCLIB_nothrow;\x0a"
"size_t fwrite_unlocked(const void *ptr, size_t size, size_t n, FILE *stream) _PDCLIB_nothrow;\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_GNU_SOURCE\x0a"
"char *fgets_unlocked(char *s, int n, FILE *stream) _PDCLIB_nothrow;\x0a"
"int fputs_unlocked(const char *s, FILE *stream) _PDCLIB_nothrow;\x0a"
"#endif\x0a"
"\x0a"
"#if _PDCLIB_EXTENSIONS\x0a"
"int _vcbprintf(\x0a"
"    void *p,\x0a"
"    _PDCLIB_size_t ( *cb ) ( void *p, const char *buf, _PDCLIB_size_t size ),\x0a"
"    const char *format,\x0a"
"    _PDCLIB_va_list arg );\x0a"
"\x0a"
"int _cbprintf(\x0a"
"    void *p,\x0a"
"    size_t ( *cb ) ( void *p, const char *buf, size_t size ),\x0a"
"    const char *format,\x0a"
"    ... );\x0a"
"\x0a"
"int fgetpos_unlocked( FILE * _PDCLIB_restrict stream, fpos_t * _PDCLIB_restrict pos ) _PDCLIB_nothrow;\x0a"
"int fsetpos_unlocked( FILE * stream, const fpos_t * pos ) _PDCLIB_nothrow;\x0a"
"long int ftell_unlocked( FILE * stream ) _PDCLIB_nothrow;\x0a"
"int fseek_unlocked( FILE * stream, long int offset, int whence ) _PDCLIB_nothrow;\x0a"
"void rewind_unlocked( FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"int puts_unlocked( const char * s ) _PDCLIB_nothrow;\x0a"
"int ungetc_unlocked( int c, FILE * stream ) _PDCLIB_nothrow;\x0a"
"\x0a"
"int printf_unlocked( const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"int vprintf_unlocked( const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"int fprintf_unlocked( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"int vfprintf_unlocked( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"int scanf_unlocked( const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"int vscanf_unlocked( const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"int fscanf_unlocked( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, ... ) _PDCLIB_nothrow;\x0a"
"int vfscanf_unlocked( FILE * _PDCLIB_restrict stream, const char * _PDCLIB_restrict format, _PDCLIB_va_list arg ) _PDCLIB_nothrow;\x0a"
"\x0a"
"// Todo\x3a remove prefix\x3f\x0a"
"_PDCLIB_uint_fast64_t _PDCLIB_ftell64( FILE * stream ) _PDCLIB_nothrow;\x0a"
"_PDCLIB_uint_fast64_t _PDCLIB_ftell64_unlocked( FILE * stream ) _PDCLIB_nothrow;\x0a"
"#endif\x0a"
"\x0a"
"/* FIXME\x3a divine */\x0a"
"int asprintf(char **strp, const char *fmt, ...);\x0a"
"int vasprintf(char **strp, const char *fmt, _PDCLIB_va_list ap);\x0a"
"int fileno( FILE *f ) _PDCLIB_nothrow;\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 48614 ); }