#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys__endian_h( 
"/*\x09\x24OpenBSD\x3a _endian.h,v 1.8 2018/01/11 23\x3a""13\x3a""37 dlg Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1997 Niklas Hallqvist.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR \x60\x60""AS IS'' AND ANY EXPRESS OR\x0a"
" * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\x0a"
" * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\x0a"
" * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\x0a"
" * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\x0a"
" * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\x0a"
" * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\x0a"
" * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\x0a"
" * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\x0a"
" * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Internal endianness macros.  This pulls in <machine/endian.h> to\x0a"
" * get the correct setting direction for the platform and sets internal\x0a"
" * ('__' prefix) macros appropriately.\x0a"
" */\x0a"
"\x0a"
"#ifndef _SYS__ENDIAN_H_\x0a"
"#define _SYS__ENDIAN_H_\x0a"
"\x0a"
"#include <sys/_types.h>\x0a"
"\x0a"
"#if 1\x0a"
"#define __FROM_SYS__ENDIAN\x0a"
"#include <machine/endian.h>\x0a"
"#undef __FROM_SYS__ENDIAN\x0a"
"#endif\x0a"
"\x0a"
"#define _LITTLE_ENDIAN\x09""1234\x0a"
"#define _BIG_ENDIAN\x09""4321\x0a"
"#define _PDP_ENDIAN\x09""3412\x0a"
"\x0a"
"/* Note that these macros evaluate their arguments several times.  */\x0a"
"\x0a"
"#define __swap16gen(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"    (__uint16_t)(((__uint16_t)(x) \x26 0xffU) << 8 \x7c ((__uint16_t)(x) \x26 0xff00U) >> 8)\x0a"
"\x0a"
"#define __swap32gen(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"    (__uint32_t)(((__uint32_t)(x) \x26 0xff) << 24 \x7c\x09\x09\x09\x5c\x0a"
"    ((__uint32_t)(x) \x26 0xff00) << 8 \x7c ((__uint32_t)(x) \x26 0xff0000) >> 8 \x7c\x5c\x0a"
"    ((__uint32_t)(x) \x26 0xff000000) >> 24)\x0a"
"\x0a"
"#define __swap64gen(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09(__uint64_t)((((__uint64_t)(x) \x26 0xff) << 56) \x7c\x09\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff00ULL) << 40 \x7c\x09\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff0000ULL) << 24 \x7c\x09\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff000000ULL) << 8 \x7c\x09\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff00000000ULL) >> 8 \x7c\x09\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff0000000000ULL) >> 24 \x7c\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff000000000000ULL) >> 40 \x7c\x09\x09\x5c\x0a"
"\x09    ((__uint64_t)(x) \x26 0xff00000000000000ULL) >> 56)\x0a"
"\x0a"
"#ifndef __HAVE_MD_SWAP\x0a"
"static __inline __uint16_t\x0a"
"__swap16md(__uint16_t x)\x0a"
"{\x0a"
"\x09return (__swap16gen(x));\x0a"
"}\x0a"
"\x0a"
"static __inline __uint32_t\x0a"
"__swap32md(__uint32_t x)\x0a"
"{\x0a"
"\x09return (__swap32gen(x));\x0a"
"}\x0a"
"\x0a"
"static __inline __uint64_t\x0a"
"__swap64md(__uint64_t x)\x0a"
"{\x0a"
"\x09return (__swap64gen(x));\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#define __swap16(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09(__uint16_t)(__builtin_constant_p(x) \x3f __swap16gen(x) \x3a __swap16md(x))\x0a"
"#define __swap32(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09(__uint32_t)(__builtin_constant_p(x) \x3f __swap32gen(x) \x3a __swap32md(x))\x0a"
"#define __swap64(x)\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09(__uint64_t)(__builtin_constant_p(x) \x3f __swap64gen(x) \x3a __swap64md(x))\x0a"
"\x0a"
"#if _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"\x0a"
"#define _QUAD_HIGHWORD 1\x0a"
"#define _QUAD_LOWWORD 0\x0a"
"\x0a"
"#define __htobe16\x09__swap16\x0a"
"#define __htobe32\x09__swap32\x0a"
"#define __htobe64\x09__swap64\x0a"
"#define __htole16(x)\x09((__uint16_t)(x))\x0a"
"#define __htole32(x)\x09((__uint32_t)(x))\x0a"
"#define __htole64(x)\x09((__uint64_t)(x))\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"#ifdef __HAVE_MD_SWAPIO\x0a"
"\x0a"
"#define __bemtoh16(_x) __mswap16(_x)\x0a"
"#define __bemtoh32(_x) __mswap32(_x)\x0a"
"#define __bemtoh64(_x) __mswap64(_x)\x0a"
"\x0a"
"#define __htobem16(_x, _v) __swapm16((_x), (_v))\x0a"
"#define __htobem32(_x, _v) __swapm32((_x), (_v))\x0a"
"#define __htobem64(_x, _v) __swapm64((_x), (_v))\x0a"
"\x0a"
"#endif /* __HAVE_MD_SWAPIO */\x0a"
"#endif /* _KERNEL */\x0a"
"#endif /* _BYTE_ORDER == _LITTLE_ENDIAN */\x0a"
"\x0a"
"#if _BYTE_ORDER == _BIG_ENDIAN\x0a"
"\x0a"
"#define _QUAD_HIGHWORD 0\x0a"
"#define _QUAD_LOWWORD 1\x0a"
"\x0a"
"#define __htobe16(x)\x09((__uint16_t)(x))\x0a"
"#define __htobe32(x)\x09((__uint32_t)(x))\x0a"
"#define __htobe64(x)\x09((__uint64_t)(x))\x0a"
"#define __htole16\x09__swap16\x0a"
"#define __htole32\x09__swap32\x0a"
"#define __htole64\x09__swap64\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"#ifdef __HAVE_MD_SWAPIO\x0a"
"\x0a"
"#define __lemtoh16(_x) __mswap16(_x)\x0a"
"#define __lemtoh32(_x) __mswap32(_x)\x0a"
"#define __lemtoh64(_x) __mswap64(_x)\x0a"
"\x0a"
"#define __htolem16(_x, _v) __swapm16((_x), (_v))\x0a"
"#define __htolem32(_x, _v) __swapm32((_x), (_v))\x0a"
"#define __htolem64(_x, _v) __swapm64((_x), (_v))\x0a"
"\x0a"
"#endif /* __HAVE_MD_SWAPIO */\x0a"
"#endif /* _KERNEL */\x0a"
"#endif /* _BYTE_ORDER == _BIG_ENDIAN */\x0a"
"\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"/*\x0a"
" * Fill in the __hto\x5b""bl\x5d""em{16,32,64} and __\x5b""bl\x5d""emtoh{16,32,64} macros\x0a"
" * that haven't been defined yet\x0a"
" */\x0a"
"\x0a"
"#ifndef __bemtoh16\x0a"
"#define __bemtoh16(_x)\x09\x09__htobe16(*(__uint16_t *)(_x))\x0a"
"#define __bemtoh32(_x)\x09\x09__htobe32(*(__uint32_t *)(_x))\x0a"
"#define __bemtoh64(_x)\x09\x09__htobe64(*(__uint64_t *)(_x))\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __htobem16\x0a"
"#define __htobem16(_x, _v)\x09(*(__uint16_t *)(_x) = __htobe16(_v))\x0a"
"#define __htobem32(_x, _v)\x09(*(__uint32_t *)(_x) = __htobe32(_v))\x0a"
"#define __htobem64(_x, _v)\x09(*(__uint64_t *)(_x) = __htobe64(_v))\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __lemtoh16\x0a"
"#define __lemtoh16(_x)\x09\x09__htole16(*(__uint16_t *)(_x))\x0a"
"#define __lemtoh32(_x)\x09\x09__htole32(*(__uint32_t *)(_x))\x0a"
"#define __lemtoh64(_x)\x09\x09__htole64(*(__uint64_t *)(_x))\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __htolem16\x0a"
"#define __htolem16(_x, _v)\x09(*(__uint16_t *)(_x) = __htole16(_v))\x0a"
"#define __htolem32(_x, _v)\x09(*(__uint32_t *)(_x) = __htole32(_v))\x0a"
"#define __htolem64(_x, _v)\x09(*(__uint64_t *)(_x) = __htole64(_v))\x0a"
"#endif\x0a"
"#endif /* _KERNEL */\x0a"
"\x0a"
"#endif /* _SYS__ENDIAN_H_ */\x0a"
"", 5593 ); }