#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_lamp_h( 
"#include <stdint.h>\x0a"
"#include <stdbool.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"typedef struct { void *ptr; } __lamp_ptr;\x0a"
"\x0a"
"typedef   float __lamp_f32;\x0a"
"typedef  double __lamp_f64;\x0a"
"typedef uint8_t __lamp_bw;\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"bool     __lamp_lift_i1 ( bool     v );\x0a"
"uint8_t  __lamp_lift_i8 ( uint8_t  v );\x0a"
"uint16_t __lamp_lift_i16( uint16_t v );\x0a"
"uint32_t __lamp_lift_i32( uint32_t v );\x0a"
"uint64_t __lamp_lift_i64( uint64_t v );\x0a"
"__lamp_f32 __lamp_lift_f32( __lamp_f32 v );\x0a"
"__lamp_f64 __lamp_lift_f64( __lamp_f64 v );\x0a"
"\x0a"
"void *__lamp_lift_arr( void *v, int s );\x0a"
"char *__lamp_lift_str( char *s );\x0a"
"\x0a"
"__lamp_ptr __lamp_wrap_i1 ( bool     v );\x0a"
"__lamp_ptr __lamp_wrap_i8 ( uint8_t  v );\x0a"
"__lamp_ptr __lamp_wrap_i16( uint16_t v );\x0a"
"__lamp_ptr __lamp_wrap_i32( uint32_t v );\x0a"
"__lamp_ptr __lamp_wrap_i64( uint64_t v );\x0a"
"__lamp_ptr __lamp_wrap_f32( __lamp_f32 v );\x0a"
"__lamp_ptr __lamp_wrap_f64( __lamp_f64 v );\x0a"
"\x0a"
"__lamp_ptr   __lamp_wrap_ptr( void *v );\x0a"
"void *__lamp_lift_ptr( void *v );\x0a"
"\x0a"
"uint8_t  __lamp_any_i8();\x0a"
"uint16_t __lamp_any_i16();\x0a"
"uint32_t __lamp_any_i32();\x0a"
"uint64_t __lamp_any_i64();\x0a"
"char    *__lamp_any_array();\x0a"
"\x0a"
"void  __lamp_freeze( void *val, void *addr );\x0a"
"void *__lamp_melt( void *addr_ );\x0a"
"\x0a"
"__lamp_ptr __lamp_add ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_sub ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_mul ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_sdiv( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_udiv( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_srem( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_urem( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_fadd( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fsub( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fmul( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fdiv( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_frem( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_shl ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ashr( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_lshr( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_and ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_or  ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_xor ( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_eq ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ne ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ugt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_uge( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ult( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ule( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_sgt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_sge( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_slt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_sle( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_foeq( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fogt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_foge( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_folt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fole( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ford( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_funo( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fueq( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fugt( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fuge( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fult( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_fule( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_ffalse( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_ftrue ( __lamp_ptr a, __lamp_ptr b );\x0a"
"\x0a"
"__lamp_ptr __lamp_concat ( __lamp_ptr a, __lamp_ptr b );\x0a"
"__lamp_ptr __lamp_trunc  ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_fptrunc( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_sitofp ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_uitofp ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_zext   ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_sext   ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_fpext  ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_fptosi ( __lamp_ptr a, __lamp_bw  b );\x0a"
"__lamp_ptr __lamp_fptoui ( __lamp_ptr a, __lamp_bw  b );\x0a"
"\x0a"
"uint8_t __lamp_to_tristate( __lamp_ptr v );\x0a"
"__lamp_ptr __lamp_assume( __lamp_ptr a, __lamp_ptr b, bool c );\x0a"
"__lamp_ptr __lamp_extract( __lamp_ptr a, __lamp_bw s, __lamp_bw e );\x0a"
"bool __lamp_decide( uint8_t tristate );\x0a"
"\x0a"
"__END_DECLS\x0a"
"", 4234 ); }