#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_mman_h( 
"/*\x09\x24OpenBSD\x3a mman.h,v 1.32 2018/02/11 05\x3a""11\x3a""50 deraadt Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a mman.h,v 1.11 1995/03/26 20\x3a""24\x3a""23 jtc Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1982, 1986, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)mman.h\x09""8.1 (Berkeley) 6/2/93\x0a"
" */\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"#include <sys/cdefs.h>\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Protections are chosen from these bits, or-ed together\x0a"
" */\x0a"
"#define\x09PROT_NONE\x09""0x00\x09/* no permissions */\x0a"
"#define\x09PROT_READ\x09""0x01\x09/* pages can be read */\x0a"
"#define\x09PROT_WRITE\x09""0x02\x09/* pages can be written */\x0a"
"#define\x09PROT_EXEC\x09""0x04\x09/* pages can be executed */\x0a"
"\x0a"
"/*\x0a"
" * Flags contain sharing type and options.\x0a"
" * Sharing types; choose one.\x0a"
" */\x0a"
"#define\x09MAP_SHARED\x09""0x0001\x09/* share changes */\x0a"
"#define\x09MAP_PRIVATE\x09""0x0002\x09/* changes are private */\x0a"
"\x0a"
"/*\x0a"
" * Other flags\x0a"
" */\x0a"
"#define\x09MAP_FIXED\x09""0x0010\x09/* map addr must be exactly as requested */\x0a"
"#define\x09__MAP_NOREPLACE\x09""0x0800\x09/* fail if address not available */\x0a"
"#define\x09MAP_ANON\x09""0x1000\x09/* allocated from memory, swap space */\x0a"
"#define\x09MAP_ANONYMOUS\x09MAP_ANON\x09/* alternate POSIX spelling */\x0a"
"#define\x09__MAP_NOFAULT\x09""0x2000\x0a"
"#define\x09MAP_STACK\x09""0x4000\x09/* mapping is used for a stack */\x0a"
"\x0a"
"#define\x09MAP_FLAGMASK\x09""0x7ff7\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"/*\x0a"
" * Legacy defines for userland source compatibility.\x0a"
" * Can be removed once no longer needed in base and ports.\x0a"
" */\x0a"
"#define\x09MAP_COPY\x09\x09MAP_PRIVATE\x09/* \x22""copy\x22 region at mmap time */\x0a"
"#define\x09MAP_FILE\x09\x09""0\x09/* map from file (default) */\x0a"
"#define\x09MAP_HASSEMAPHORE\x09""0\x09/* region may contain semaphores */\x0a"
"#define\x09MAP_INHERIT\x09\x09""0\x09/* region is retained after exec */\x0a"
"#define\x09MAP_NOEXTEND\x09\x09""0\x09/* for MAP_FILE, don't change file size */\x0a"
"#define\x09MAP_NORESERVE\x09\x09""0\x09/* Sun\x3a don't reserve needed swap area */\x0a"
"#define\x09MAP_RENAME\x09\x09""0\x09/* Sun\x3a rename private pages to file */\x0a"
"#define\x09MAP_TRYFIXED\x09\x09""0\x09/* attempt hint address, even within heap */\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Error return from mmap()\x0a"
" */\x0a"
"#define MAP_FAILED\x09((void *)-1)\x0a"
"\x0a"
"/*\x0a"
" * POSIX memory advisory values.\x0a"
" * Note\x3a keep consistent with the original definitions below.\x0a"
" */\x0a"
"#define\x09POSIX_MADV_NORMAL\x09""0\x09/* no further special treatment */\x0a"
"#define\x09POSIX_MADV_RANDOM\x09""1\x09/* expect random page references */\x0a"
"#define\x09POSIX_MADV_SEQUENTIAL\x09""2\x09/* expect sequential page references */\x0a"
"#define\x09POSIX_MADV_WILLNEED\x09""3\x09/* will need these pages */\x0a"
"#define\x09POSIX_MADV_DONTNEED\x09""4\x09/* don't need these pages */\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"/*\x0a"
" * Original advice values, equivalent to POSIX definitions,\x0a"
" * and few implementation-specific ones.  For in-kernel and historic use.\x0a"
" */\x0a"
"#define\x09MADV_NORMAL\x09\x09POSIX_MADV_NORMAL\x0a"
"#define\x09MADV_RANDOM\x09\x09POSIX_MADV_RANDOM\x0a"
"#define\x09MADV_SEQUENTIAL\x09\x09POSIX_MADV_SEQUENTIAL\x0a"
"#define\x09MADV_WILLNEED\x09\x09POSIX_MADV_WILLNEED\x0a"
"#define\x09MADV_DONTNEED\x09\x09POSIX_MADV_DONTNEED\x0a"
"#define\x09MADV_SPACEAVAIL\x09\x09""5\x09/* insure that resources are reserved */\x0a"
"#define\x09MADV_FREE\x09\x09""6\x09/* pages are empty, free them */\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Flags to minherit\x0a"
" */\x0a"
"#define MAP_INHERIT_SHARE\x09""0\x09/* share with child */\x0a"
"#define MAP_INHERIT_COPY\x09""1\x09/* copy into child */\x0a"
"#define MAP_INHERIT_NONE\x09""2\x09/* absent from child */\x0a"
"#define MAP_INHERIT_ZERO\x09""3\x09/* zero in child */\x0a"
"\x0a"
"/*\x0a"
" * Flags to msync\x0a"
" */\x0a"
"#define\x09MS_ASYNC\x09""0x01\x09/* perform asynchronous writes */\x0a"
"#define\x09MS_SYNC\x09\x09""0x02\x09/* perform synchronous writes */\x0a"
"#define\x09MS_INVALIDATE\x09""0x04\x09/* invalidate cached data */\x0a"
"\x0a"
"/*\x0a"
" * Flags to mlockall\x0a"
" */\x0a"
"#define\x09MCL_CURRENT\x09""0x01\x09/* lock all pages currently mapped */\x0a"
"#define\x09MCL_FUTURE\x09""0x02\x09/* lock all pages mapped in the future */\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"#include <sys/_types.h>\x0a"
"\x0a"
"#ifndef _SIZE_T_DEFINED_\x0a"
"#define _SIZE_T_DEFINED_\x0a"
"typedef __size_t\x09size_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _OFF_T_DEFINED_\x0a"
"#define _OFF_T_DEFINED_\x0a"
"typedef __off_t\x09\x09off_t;\x0a"
"#endif\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"void *\x09mmap(void *, size_t, int, int, int, off_t);\x0a"
"int\x09mprotect(void *, size_t, int);\x0a"
"int\x09munmap(void *, size_t);\x0a"
"int\x09msync(void *, size_t, int);\x0a"
"int\x09mlock(const void *, size_t);\x0a"
"int\x09munlock(const void *, size_t);\x0a"
"int\x09mlockall(int);\x0a"
"int\x09munlockall(void);\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09madvise(void *, size_t, int);\x0a"
"int\x09mincore(void *, size_t, char *);\x0a"
"int\x09minherit(void *, size_t, int);\x0a"
"void *\x09mquery(void *, size_t, int, int, int, off_t);\x0a"
"#endif\x0a"
"int\x09posix_madvise(void *, size_t, int);\x0a"
"int\x09shm_open(const char *, int, __mode_t);\x0a"
"int\x09shm_unlink(const char *);\x0a"
"int\x09shm_mkstemp(char *);\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_KERNEL */\x0a"
"", 5691 ); }