#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_monitor_h( 
"#ifndef _SYS_MONITOR_H_\x0a"
"#define _SYS_MONITOR_H_\x0a"
"\x0a"
"#include <_PDCLIB/cdefs.h>\x0a"
"\x0a"
"/* TODO\x3a add a C-compatible interface (register only 'step', a plain C function */\x0a"
"/* TODO\x3a add helper functions for marking accepting transitions, ignoring/cancelling\x0a"
" *       transitions, non-determinism and so on */\x0a"
"/* TODO\x3a how should this works vis-a-vis processes\x3f */\x0a"
"\x0a"
"_PDCLIB_EXTERN_C\x0a"
"\x0a"
"void monitor_accept();\x0a"
"int monitor_choose(int);\x0a"
"void monitor_cancel();\x0a"
"\x0a"
"_PDCLIB_EXTERN_END\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"namespace __dios {\x0a"
"\x0a"
"/*\x0a"
" * Custom monitors can be created by overriding the step method. This method is\x0a"
" * called everytime an interrupt is triggered and therefore, can e.g. validate a\x0a"
" * global state of the program (and set appropriate flags if neccessary).\x0a"
" */\x0a"
"struct Monitor\x0a"
"{\x0a"
"    virtual void step() = 0;\x0a"
"\x0a"
"    void run()\x0a"
"    {\x0a"
"        step();\x0a"
"        if ( next )\x0a"
"            next->run();\x0a"
"    }\x0a"
"\x0a"
"    Monitor *next;\x0a"
"    Monitor() \x3a next( 0 ) {}\x0a"
"};\x0a"
"\x0a"
"/*\x0a"
" * Register a monitor. The monitor is called after each interrupt. Multiple\x0a"
" * monitors can be registered and they are called in the same order as they\x0a"
" * were added.\x0a"
" */\x0a"
"void register_monitor( Monitor *monitor ) _PDCLIB_nothrow;\x0a"
"\x0a"
"} // namespace __dios\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 1203 ); }