#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_mount_h( 
"#ifndef _SYS_MOUNT_H_\x0a"
"#define _SYS_MOUNT_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/types.h>\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"/*\x0a"
" * file system statistics\x0a"
" */\x0a"
"\x0a"
"#define\x09MFSNAMELEN\x09""16\x09/* length of fs type name, including nul */\x0a"
"#define\x09MNAMELEN\x09""90\x09/* length of buffer for returned name */\x0a"
"\x0a"
"typedef struct { int32_t val\x5b""2\x5d; } fsid_t;\x0a"
"union mount_info { char __align\x5b""160\x5d; };\x0a"
"\x0a"
"/* new statfs structure with mount options and statvfs fields */\x0a"
"struct statfs {\x0a"
"\x09uint32_t\x09""f_flags;\x09/* copy of mount flags */\x0a"
"\x09uint32_t\x09""f_bsize;\x09/* file system block size */\x0a"
"\x09uint32_t\x09""f_iosize;\x09/* optimal transfer block size */\x0a"
"\x0a"
"\x09\x09\x09\x09\x09/* unit is f_bsize */\x0a"
"\x09uint64_t  \x09""f_blocks;\x09/* total data blocks in file system */\x0a"
"\x09uint64_t  \x09""f_bfree;\x09/* free blocks in fs */\x0a"
"\x09int64_t  \x09""f_bavail;\x09/* free blocks avail to non-superuser */\x0a"
"\x0a"
"\x09uint64_t \x09""f_files;\x09/* total file nodes in file system */\x0a"
"\x09uint64_t  \x09""f_ffree;\x09/* free file nodes in fs */\x0a"
"\x09int64_t  \x09""f_favail;\x09/* free file nodes avail to non-root */\x0a"
"\x0a"
"\x09uint64_t  \x09""f_syncwrites;\x09/* count of sync writes since mount */\x0a"
"\x09uint64_t  \x09""f_syncreads;\x09/* count of sync reads since mount */\x0a"
"\x09uint64_t  \x09""f_asyncwrites;\x09/* count of async writes since mount */\x0a"
"\x09uint64_t  \x09""f_asyncreads;\x09/* count of async reads since mount */\x0a"
"\x0a"
"\x09""fsid_t\x09   \x09""f_fsid;\x09\x09/* file system id */\x0a"
"\x09uint32_t\x09""f_namemax;      /* maximum filename length */\x0a"
"\x09uid_t\x09   \x09""f_owner;\x09/* user that mounted the file system */\x0a"
"\x09uint64_t  \x09""f_ctime;\x09/* last mount \x5b-u\x5d time */\x0a"
"\x0a"
"\x09""char f_fstypename\x5bMFSNAMELEN\x5d;\x09/* fs type name */\x0a"
"\x09""char f_mntonname\x5bMNAMELEN\x5d;\x09/* directory on which mounted */\x0a"
"\x09""char f_mntfromname\x5bMNAMELEN\x5d;\x09/* mounted file system */\x0a"
"\x09""char f_mntfromspec\x5bMNAMELEN\x5d;\x09/* special for mount request */\x0a"
"\x09union mount_info mount_info;\x09/* per-filesystem mount options */\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"int\x09""fstatfs(int, struct statfs *) __nothrow;\x0a"
"// int\x09getfh(const char *, fhandle_t *) __nothrow;\x0a"
"int\x09getfsstat(struct statfs *, size_t, int) __nothrow;\x0a"
"int\x09getmntinfo(struct statfs **, int) __nothrow;\x0a"
"int\x09mount(const char *, const char *, int, void *) __nothrow;\x0a"
"int\x09statfs(const char *, struct statfs *) __nothrow;\x0a"
"int\x09unmount(const char *, int) __nothrow;\x0a"
"#if 0 \x26\x26 __BSD_VISIBLE\x0a"
"struct stat;\x0a"
"int\x09""fhopen(const fhandle_t *, int);\x0a"
"int\x09""fhstat(const fhandle_t *, struct stat *);\x0a"
"int\x09""fhstatfs(const fhandle_t *, struct statfs *);\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_SYS_MOUNT_H_ */\x0a"
"", 2330 ); }