#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_socket_h( 
"#ifndef _SYS_SOCKET_H\x0a"
"#define _SYS_SOCKET_H  1\x0a"
"\x0a"
"#include <sys/uio.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <stddef.h>\x0a"
"#include <unistd.h>     /* For ssize_t. */\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"/* Types of sockets.  */\x0a"
"enum __socket_type\x0a"
"{\x0a"
"  SOCK_STREAM = 1,       /* Sequenced, reliable, connection-based byte streams.  */\x0a"
"  SOCK_DGRAM = 2,        /* Connectionless, unreliable datagrams\x0a"
"                            of fixed maximum length.  */\x0a"
"  SOCK_RAW = 3,          /* Raw protocol interface.  */\x0a"
"  SOCK_RDM = 4,          /* Reliably-delivered messages.  */\x0a"
"  SOCK_SEQPACKET = 5,    /* Sequenced, reliable, connection-based,\x0a"
"                            datagrams of fixed maximum length.  */\x0a"
"  SOCK_DCCP = 6,         /* Datagram Congestion Control Protocol.  */\x0a"
"  SOCK_PACKET = 10,      /* Linux specific way of getting packets\x0a"
"                            at the dev level.  For writing rarp and\x0a"
"                            other similar things on the user level. */\x0a"
"\x0a"
"  /* Flags to be ORed into the type parameter of socket and socketpair and\x0a"
"     used for the flags parameter of paccept.  */\x0a"
"\x0a"
"  SOCK_CLOEXEC = 02000000,  /* Atomically set close-on-exec flag for the\x0a"
"                               new descriptor(s).  */\x0a"
"  SOCK_NONBLOCK = 04000,    /* Atomically mark descriptor(s) as\x0a"
"                              non-blocking.  */\x0a"
"  __SOCK_TYPE_MASK = 0777\x0a"
"};\x0a"
"\x0a"
"#define _SOCK_TYPE_BMASK    0xF\x0a"
"#define _SOCK_FLAGS_BMASK   (\x7e_SOCK_TYPE_BMASK)\x0a"
"\x0a"
"#ifndef\x09_SOCKLEN_T_DEFINED_\x0a"
"#define\x09_SOCKLEN_T_DEFINED_\x0a"
"typedef\x09__socklen_t\x09socklen_t;\x09/* length type for network syscalls */\x0a"
"#endif\x0a"
"\x0a"
"#ifndef\x09_SA_FAMILY_T_DEFINED_\x0a"
"#define\x09_SA_FAMILY_T_DEFINED_\x0a"
"typedef\x09__sa_family_t\x09sa_family_t;\x09/* sockaddr address family type */\x0a"
"#endif\x0a"
"\x0a"
"/* Protocol families.  */\x0a"
"#define PF_UNSPEC     0   /* Unspecified.  */\x0a"
"#define PF_LOCAL      1   /* Local to host (pipes and file-domain).  */\x0a"
"#define PF_UNIX       PF_LOCAL /* POSIX name for PF_LOCAL.  */\x0a"
"#define PF_FILE       PF_LOCAL /* Another non-standard name for PF_LOCAL.  */\x0a"
"#define PF_INET       2   /* IP protocol family.  */\x0a"
"#define PF_AX25       3   /* Amateur Radio AX.25.  */\x0a"
"#define PF_IPX        4   /* Novell Internet Protocol.  */\x0a"
"#define PF_APPLETALK  5   /* Appletalk DDP.  */\x0a"
"#define PF_NETROM     6   /* Amateur radio NetROM.  */\x0a"
"#define PF_BRIDGE     7   /* Multiprotocol bridge.  */\x0a"
"#define PF_ATMPVC     8   /* ATM PVCs.  */\x0a"
"#define PF_X25        9   /* Reserved for X.25 project.  */\x0a"
"#define PF_INET6      10  /* IP version 6.  */\x0a"
"#define PF_ROSE       11  /* Amateur Radio X.25 PLP.  */\x0a"
"#define PF_DECnet     12  /* Reserved for DECnet project.  */\x0a"
"#define PF_NETBEUI    13  /* Reserved for 802.2LLC project.  */\x0a"
"#define PF_SECURITY   14  /* Security callback pseudo AF.  */\x0a"
"#define PF_KEY        15  /* PF_KEY key management API.  */\x0a"
"#define PF_NETLINK    16\x0a"
"#define PF_ROUTE      PF_NETLINK /* Alias to emulate 4.4BSD.  */\x0a"
"#define PF_PACKET     17  /* Packet family.  */\x0a"
"#define PF_ASH        18  /* Ash.  */\x0a"
"#define PF_ECONET     19  /* Acorn Econet.  */\x0a"
"#define PF_ATMSVC     20  /* ATM SVCs.  */\x0a"
"#define PF_RDS        21  /* RDS sockets.  */\x0a"
"#define PF_SNA        22  /* Linux SNA Project */\x0a"
"#define PF_IRDA       23  /* IRDA sockets.  */\x0a"
"#define PF_PPPOX      24  /* PPPoX sockets.  */\x0a"
"#define PF_WANPIPE    25  /* Wanpipe API sockets.  */\x0a"
"#define PF_LLC        26  /* Linux LLC.  */\x0a"
"#define PF_CAN        29  /* Controller Area Network.  */\x0a"
"#define PF_TIPC       30  /* TIPC sockets.  */\x0a"
"#define PF_BLUETOOTH  31  /* Bluetooth sockets.  */\x0a"
"#define PF_IUCV       32  /* IUCV sockets.  */\x0a"
"#define PF_RXRPC      33  /* RxRPC sockets.  */\x0a"
"#define PF_ISDN       34  /* mISDN sockets.  */\x0a"
"#define PF_PHONET     35  /* Phonet sockets.  */\x0a"
"#define PF_IEEE802154 36  /* IEEE 802.15.4 sockets.  */\x0a"
"#define PF_CAIF       37  /* CAIF sockets.  */\x0a"
"#define PF_ALG        38  /* Algorithm sockets.  */\x0a"
"#define PF_NFC        39  /* NFC sockets.  */\x0a"
"#define PF_MAX        40  /* For now..  */\x0a"
"\x0a"
"/* Address families.  */\x0a"
"#define AF_UNSPEC      PF_UNSPEC\x0a"
"#define AF_LOCAL       PF_LOCAL\x0a"
"#define AF_UNIX        PF_UNIX\x0a"
"#define AF_FILE        PF_FILE\x0a"
"#define AF_INET        PF_INET\x0a"
"#define AF_AX25        PF_AX25\x0a"
"#define AF_IPX         PF_IPX\x0a"
"#define AF_APPLETALK   PF_APPLETALK\x0a"
"#define AF_NETROM      PF_NETROM\x0a"
"#define AF_BRIDGE      PF_BRIDGE\x0a"
"#define AF_ATMPVC      PF_ATMPVC\x0a"
"#define AF_X25         PF_X25\x0a"
"#define AF_INET6       PF_INET6\x0a"
"#define AF_ROSE        PF_ROSE\x0a"
"#define AF_DECnet      PF_DECnet\x0a"
"#define AF_NETBEUI     PF_NETBEUI\x0a"
"#define AF_SECURITY    PF_SECURITY\x0a"
"#define AF_KEY         PF_KEY\x0a"
"#define AF_NETLINK     PF_NETLINK\x0a"
"#define AF_ROUTE       PF_ROUTE\x0a"
"#define AF_PACKET      PF_PACKET\x0a"
"#define AF_ASH         PF_ASH\x0a"
"#define AF_ECONET      PF_ECONET\x0a"
"#define AF_ATMSVC      PF_ATMSVC\x0a"
"#define AF_RDS         PF_RDS\x0a"
"#define AF_SNA         PF_SNA\x0a"
"#define AF_IRDA        PF_IRDA\x0a"
"#define AF_PPPOX       PF_PPPOX\x0a"
"#define AF_WANPIPE     PF_WANPIPE\x0a"
"#define AF_LLC         PF_LLC\x0a"
"#define AF_CAN         PF_CAN\x0a"
"#define AF_TIPC        PF_TIPC\x0a"
"#define AF_BLUETOOTH   PF_BLUETOOTH\x0a"
"#define AF_IUCV        PF_IUCV\x0a"
"#define AF_RXRPC       PF_RXRPC\x0a"
"#define AF_ISDN        PF_ISDN\x0a"
"#define AF_PHONET      PF_PHONET\x0a"
"#define AF_IEEE802154  PF_IEEE802154\x0a"
"#define AF_CAIF        PF_CAIF\x0a"
"#define AF_ALG         PF_ALG\x0a"
"#define AF_NFC         PF_NFC\x0a"
"#define AF_MAX         PF_MAX\x0a"
"\x0a"
"/* Socket level values.  Others are defined in the appropriate headers.\x0a"
"\x0a"
"   XXX These definitions also should go into the appropriate headers as\x0a"
"   far as they are available.  */\x0a"
"#define SOL_RAW     255\x0a"
"#define SOL_DECNET  261\x0a"
"#define SOL_X25     262\x0a"
"#define SOL_PACKET  263\x0a"
"#define SOL_ATM     264  /* ATM layer (cell level).  */\x0a"
"#define SOL_AAL     265  /* ATM Adaption Layer (packet level).  */\x0a"
"#define SOL_IRDA    266\x0a"
"\x0a"
"/* Maximum queue length specifiable by listen.  */\x0a"
"#define SOMAXCONN  128\x0a"
"\x0a"
"/* Structure describing a generic socket address.  */\x0a"
"struct sockaddr {\x0a"
"    __sa_family_t sa_family;  /* Common data\x3a address family and length.  */\x0a"
"    char sa_data\x5b""14\x5d;         /* Address data.  */\x0a"
"};\x0a"
"\x0a"
"/* Structure large enough to hold any socket address (with the historical\x0a"
"   exception of AF_UNIX).  We reserve 128 bytes.  */\x0a"
"#define __ss_aligntype  unsigned long int\x0a"
"#define _SS_SIZE  128\x0a"
"#define _SS_PADSIZE  (_SS_SIZE - (2 * sizeof (__ss_aligntype)))\x0a"
"\x0a"
"struct sockaddr_storage  {\x0a"
"    __sa_family_t ss_family;    /* Address family, etc.  */\x0a"
"    __ss_aligntype __ss_align;  /* Force desired alignment.  */\x0a"
"    char __ss_padding\x5b_SS_PADSIZE\x5d;\x0a"
"};\x0a"
"\x0a"
"/* Bits in the FLAGS argument to \x60send', \x60recv', et al.  */\x0a"
"enum  {\x0a"
"    MSG_OOB          = 0x01,  /* Process out-of-band data.  */\x0a"
"    MSG_PEEK         = 0x02,  /* Peek at incoming messages.  */\x0a"
"    MSG_DONTROUTE    = 0x04,  /* Don't use local routing.  */\x0a"
"    MSG_TRYHARD      = MSG_DONTROUTE,  /* DECnet uses a different name.  */\x0a"
"    MSG_CTRUNC       = 0x08,  /* Control data lost before delivery.  */\x0a"
"    MSG_PROXY        = 0x10,  /* Supply or ask second address.  */\x0a"
"    MSG_TRUNC        = 0x20,\x0a"
"    MSG_DONTWAIT     = 0x40,  /* Nonblocking IO.  */\x0a"
"    MSG_EOR          = 0x80,  /* End of record.  */\x0a"
"    MSG_WAITALL      = 0x100, /* Wait for a full request.  */\x0a"
"    MSG_FIN          = 0x200,\x0a"
"    MSG_SYN          = 0x400,\x0a"
"    MSG_CONFIRM      = 0x800, /* Confirm path validity.  */\x0a"
"    MSG_RST          = 0x1000,\x0a"
"    MSG_ERRQUEUE     = 0x2000,  /* Fetch message from error queue.  */\x0a"
"    MSG_NOSIGNAL     = 0x4000,  /* Do not generate SIGPIPE.  */\x0a"
"    MSG_MORE         = 0x8000,  /* Sender will send more.  */\x0a"
"    MSG_WAITFORONE   = 0x10000, /* Wait for at least one packet to return.*/\x0a"
"    MSG_CMSG_CLOEXEC = 0x40000000  /* Set close_on_exit for file descriptor\x0a"
"                                      received through SCM_RIGHTS.  */\x0a"
"};\x0a"
"\x0a"
"/* Structure describing messages sent by \x60sendmsg' and received by \x60recvmsg'.  */\x0a"
"struct msghdr {\x0a"
"    void *msg_name;         /* Address to send to/receive from.  */\x0a"
"    socklen_t msg_namelen;  /* Length of address data.  */\x0a"
"\x0a"
"    struct iovec *msg_iov;  /* Vector of data to send/receive into.  */\x0a"
"    size_t msg_iovlen;      /* Number of elements in the vector.  */\x0a"
"\x0a"
"    void *msg_control;      /* Ancillary data (eg BSD filedesc passing). */\x0a"
"    size_t msg_controllen;  /* Ancillary data buffer length. */\x0a"
"    int msg_flags;          /* Flags on received message.  */\x0a"
"};\x0a"
"\x0a"
"/* Structure used for storage of ancillary data object information.  */\x0a"
"struct cmsghdr {\x0a"
"    size_t cmsg_len;    /* Length of data in cmsg_data plus length\x0a"
"                           of cmsghdr structure. */\x0a"
"    int cmsg_level;     /* Originating protocol.  */\x0a"
"    int cmsg_type;      /* Protocol specific type.  */\x0a"
"};\x0a"
"\x0a"
"/* cmsg type */\x0a"
"enum {\x0a"
"#ifdef CVFS_ENABLE_SCM_RIGHTS\x0a"
"    SCM_RIGHTS = 0x01,    /* Transfer file descriptors.  */\x0a"
"#define SCM_RIGHTS SCM_RIGHTS\x0a"
"#endif\x0a"
"    SCM_CREDENTIALS = 0x02  /* Credentials passing.  */\x0a"
"};\x0a"
"\x0a"
"/* User visible structure for SCM_CREDENTIALS message */\x0a"
"struct ucred {\x0a"
"  pid_t pid;      /* PID of sending process.  */\x0a"
"  uid_t uid;      /* UID of sending process.  */\x0a"
"  gid_t gid;      /* GID of sending process.  */\x0a"
"};\x0a"
"\x0a"
"/* Protocol number used to manipulate socket-level options\x0a"
"   with \x60getsockopt' and \x60setsockopt'.  */\x0a"
"#define SOL_SOCKET  0xffff\x0a"
"\x0a"
"/* Socket-level options for \x60getsockopt' and \x60setsockopt'.  */\x0a"
"enum\x0a"
"  {\x0a"
"    SO_DEBUG =       0x0001,  /* Record debugging information.  */\x0a"
"    SO_ACCEPTCONN =  0x0002,  /* Accept connections on socket.  */\x0a"
"    SO_REUSEADDR =   0x0004,  /* Allow reuse of local addresses.  */\x0a"
"    SO_KEEPALIVE =   0x0008,  /* Keep connections alive and send\x0a"
"                                 SIGPIPE when they die.  */\x0a"
"    SO_DONTROUTE =   0x0010,  /* Don't do local routing.  */\x0a"
"    SO_BROADCAST =   0x0020,  /* Allow transmission of\x0a"
"                                 broadcast messages.  */\x0a"
"    SO_USELOOPBACK = 0x0040,  /* Use the software loopback to avoid\x0a"
"                                 hardware use when possible.  */\x0a"
"    SO_LINGER =      0x0080,  /* Block on close of a reliable\x0a"
"                                 socket to transmit pending data.  */\x0a"
"    SO_OOBINLINE =   0x0100,  /* Receive out-of-band data in-band.  */\x0a"
"    SO_REUSEPORT =   0x0200,  /* Allow local address and port reuse.  */\x0a"
"    SO_SNDBUF =      0x1001,  /* Send buffer size.  */\x0a"
"    SO_RCVBUF =      0x1002,  /* Receive buffer.  */\x0a"
"    SO_SNDLOWAT =    0x1003,  /* Send low-water mark.  */\x0a"
"    SO_RCVLOWAT =    0x1004,  /* Receive low-water mark.  */\x0a"
"    SO_SNDTIMEO =    0x1005,  /* Send timeout.  */\x0a"
"    SO_RCVTIMEO =    0x1006,  /* Receive timeout.  */\x0a"
"    SO_ERROR =       0x1007,  /* Get and clear error status.  */\x0a"
"    SO_STYLE =       0x1008,  /* Get socket connection style.  */\x0a"
"    SO_TYPE =        SO_STYLE /* Compatible name for SO_STYLE.  */\x0a"
"  };\x0a"
"\x0a"
"/* Structure used to manipulate the SO_LINGER option.  */\x0a"
"struct linger  {\x0a"
"    int l_onoff;     /* Nonzero to linger on close.  */\x0a"
"    int l_linger;    /* Time to linger.  */\x0a"
"};\x0a"
"\x0a"
"/* The following constants should be used for the second parameter of\x0a"
"   \x60shutdown'.  */\x0a"
"enum {\x0a"
"    SHUT_RD = 0,    /* No more receptions.  */\x0a"
"    SHUT_WR,        /* No more transmissions.  */\x0a"
"    SHUT_RDWR       /* No more receptions or transmissions.  */\x0a"
"};\x0a"
"\x0a"
"/* For \x60recvmmsg' and \x60sendmmsg'. */\x0a"
"struct mmsghdr {\x0a"
"    struct msghdr msg_hdr;  /* Actual message header.  */\x0a"
"    unsigned int msg_len;   /* Number of received or sent bytes for the\x0a"
"                               entry.  */\x0a"
"};\x0a"
"\x0a"
"\x0a"
"/* Create a new socket of type TYPE in domain DOMAIN, using\x0a"
"   protocol PROTOCOL.  If PROTOCOL is zero, one is chosen automatically.\x0a"
"   Returns a file descriptor for the new socket, or -1 for errors.  */\x0a"
"__noinline int socket( int domain, int type, int protocol ) __nothrow;\x0a"
"\x0a"
"/* Create two new sockets, of type TYPE in domain DOMAIN and using\x0a"
"   protocol PROTOCOL, which are connected to each other, and put file\x0a"
"   descriptors for them in FDS\x5b""0\x5d and FDS\x5b""1\x5d.  If PROTOCOL is zero,\x0a"
"   one will be chosen automatically.  Returns 0 on success, -1 for errors.  */\x0a"
"__noinline int socketpair( int domain, int type, int protocol,\x0a"
"                            int fds\x5b""2\x5d ) __nothrow;\x0a"
"\x0a"
"/* Put the local address of FD into *ADDR and its length in *LEN.  */\x0a"
"__noinline int getsockname ( int fd, struct sockaddr *addr, socklen_t *addrlen ) __nothrow;\x0a"
"\x0a"
"/* Give the socket FD the local address ADDR (which is LEN bytes long).  */\x0a"
"__noinline int bind( int fd, const struct sockaddr *addr, socklen_t len ) __nothrow;\x0a"
"\x0a"
"/* Open a connection on socket FD to peer at ADDR (which LEN bytes long).\x0a"
"   For connectionless socket types, just set the default address to send to\x0a"
"   and the only address from which to accept transmissions.\x0a"
"   Return 0 on success, -1 for errors.\x0a"
"*/\x0a"
"__noinline int connect( int fd, const struct sockaddr *addr, socklen_t len ) __nothrow;\x0a"
"\x0a"
"/* Put the address of the peer connected to socket FD into *ADDR\x0a"
"   (which is *LEN bytes long), and its actual length into *LEN.  */\x0a"
"__noinline int getpeername( int fd, struct sockaddr *addr, socklen_t *len ) __nothrow;\x0a"
"\x0a"
"/* Send N bytes of BUF to socket FD.  Returns the number sent or -1. */\x0a"
"__noinline ssize_t send( int fd, const void *buf, size_t n, int flags ) __nothrow;\x0a"
"\x0a"
"/* Send N bytes of BUF on socket FD to peer at address ADDR (which is\x0a"
"   ADDRLEN bytes long).  Returns the number sent, or -1 for errors.\x0a"
"*/\x0a"
"__noinline ssize_t sendto( int fd, const void *buf, size_t n, int flags,\x0a"
"                            const struct sockaddr *addr, socklen_t addrlen ) __nothrow;\x0a"
"\x0a"
"/* Send a message described by MESSAGE on socket FD.\x0a"
"   Returns the number of bytes sent, or -1 for errors.\x0a"
"*/\x0a"
"/*extern ssize_t sendmsg( int fd, const struct msghdr *message,\x0a"
"                        int flags ) CV__noinline;*/\x0a"
"\x0a"
"/* Send a VLEN messages as described by VMESSAGES to socket FD.\x0a"
"   Returns the number of datagrams successfully written or -1 for errors. */\x0a"
"/*extern int sendmmsg( int fd, struct mmsghdr *vmessages, unsigned int vlen,\x0a"
"                     int flags ) CV__noinline;*/\x0a"
"\x0a"
"/* Read N bytes into BUF from socket FD.\x0a"
"   Returns the number read or -1 for errors.\x0a"
"*/\x0a"
"__noinline ssize_t recv( int fd, void *buf, size_t n, int flags ) __nothrow;\x0a"
"\x0a"
"/* Read N bytes into BUF through socket FD.\x0a"
"   If ADDR is not NULL, fill in *ADDRLEN bytes of it with tha address of\x0a"
"   the sender, and store the actual size of the address in *ADDR_LEN.\x0a"
"   Returns the number of bytes read or -1 for errors.\x0a"
"*/\x0a"
"__noinline ssize_t recvfrom( int fd, void *buf, size_t n, int flags,\x0a"
"                         struct sockaddr *addr, socklen_t *addrlen ) __nothrow;\x0a"
"\x0a"
"/* Receive a message as described by MESSAGE from socket FD.\x0a"
"   Returns the number of bytes read or -1 for errors.\x0a"
"*/\x0a"
"/*extern ssize_t recvmsg( int fd, struct msghdr *message, int flags ) CV__noinline;*/\x0a"
"\x0a"
"/* Receive up to VLEN messages as described by VMESSAGES from socket FD.\x0a"
"   Returns the number of bytes read or -1 for errors. */\x0a"
"/*extern int recvmmsg( int fd, struct mmsghdr *vmessages, unsigned int vlen,\x0a"
"                     int flags, const struct timespec *tmo ) CV__noinline;*/\x0a"
"\x0a"
"/* Put the current value for socket FD's option OPTNAME at protocol level LEVEL\x0a"
"   into OPTVAL (which is *OPTLEN bytes long), and set *OPTLEN to the value's\x0a"
"   actual length.  Returns 0 on success, -1 for errors.  */\x0a"
"extern int getsockopt( int fd, int level, int optname,\x0a"
"                       void *optval, socklen_t *optlen );\x0a"
"\x0a"
"/* Set socket FD's option OPTNAME at protocol level LEVEL\x0a"
"   to *OPTVAL (which is OPTLEN bytes long).\x0a"
"   Returns 0 on success, -1 for errors.  */\x0a"
"extern int setsockopt( int fd, int level, int optname,\x0a"
"                       const void *optval, socklen_t optlen );\x0a"
"\x0a"
"/* Prepare to accept connections on socket FD.\x0a"
"   N connection requests will be queued before further requests are refused.\x0a"
"   Returns 0 on success, -1 for errors.  */\x0a"
"__noinline int listen( int fd, int n ) __nothrow;\x0a"
"\x0a"
"/* Await a connection on socket FD.\x0a"
"   When a connection arrives, open a new socket to communicate with it,\x0a"
"   set *ADDR (which is *ADDR_LEN bytes long) to the address of the connecting\x0a"
"   peer and *ADDR_LEN to the address's actual length, and return the\x0a"
"   new socket's descriptor, or -1 for errors.\x0a"
"*/\x0a"
"__noinline int accept( int fd, struct sockaddr * addr,  socklen_t * addr_len ) __nothrow;\x0a"
"\x0a"
"/* Similar to 'accept' but takes an additional parameter to specify flags. */\x0a"
"__noinline int accept4( int fd, struct sockaddr *addr, socklen_t * addr_len,\x0a"
"                         int flags ) __nothrow;\x0a"
"\x0a"
"/* Shut down all or part of the connection open on socket FD.\x0a"
"   HOW determines what to shut down\x3a\x0a"
"     SHUT_RD   = No more receptions;\x0a"
"     SHUT_WR   = No more transmissions;\x0a"
"     SHUT_RDWR = No more receptions or transmissions.\x0a"
"   Returns 0 on success, -1 for errors.  */\x0a"
"/*extern int shutdown( int fd, int how );*/\x0a"
"\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* sys/socket.h */\x0a"
"", 16660 ); }