#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_stack_h( 
"#ifndef _SYS_STACK_H\x0a"
"#define _SYS_STACK_H\x0a"
"\x0a"
"#include <_PDCLIB/cdefs.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/interrupt.h>\x0a"
"\x0a"
"_PDCLIB_EXTERN_C\x0a"
"\x0a"
"__inline static inline struct _VM_Frame *__dios_this_frame() __nothrow\x0a"
"{\x0a"
"    return __CAST( struct _VM_Frame *, __vm_ctl_get( _VM_CR_Frame ) );\x0a"
"}\x0a"
"\x0a"
"__inline static inline struct _VM_Frame *__dios_parent_frame() __nothrow\x0a"
"{\x0a"
"    struct _VM_Frame *f = __dios_this_frame();\x0a"
"    if ( f )\x0a"
"        return f->parent;\x0a"
"    else\x0a"
"        return 0;\x0a"
"}\x0a"
"\x0a"
"static inline void __dios_set_frame( struct _VM_Frame *f ) __nothrow\x0a"
"{\x0a"
"    __vm_ctl_set( _VM_CR_Frame, f );\x0a"
"}\x0a"
"\x0a"
"__inline static inline void __dios_sync_parent_frame() __nothrow\x0a"
"{\x0a"
"    void **f = __CAST( void **, __vm_ctl_get( _VM_CR_User1 ) );\x0a"
"    if ( \x21""f ) return;\x0a"
"    struct _VM_Frame *self = __CAST( struct _VM_Frame *, __vm_ctl_get( _VM_CR_Frame ) );\x0a"
"    *f = self->parent;\x0a"
"}\x0a"
"\x0a"
"__inline static inline void __dios_sync_this_frame() __nothrow\x0a"
"{\x0a"
"    void **f = __CAST( void **, __vm_ctl_get( _VM_CR_User1 ) );\x0a"
"    if ( f )\x0a"
"        *f = __dios_this_frame();\x0a"
"}\x0a"
"\x0a"
"__noinline void __dios_stack_cut( struct _VM_Frame *top, struct _VM_Frame *bottom ) __nothrow;\x0a"
"__noinline void __dios_stack_free( struct _VM_Frame *from, struct _VM_Frame *to ) __nothrow;\x0a"
"\x0a"
"// destroy this frame and transfer control to given frame and program counter,\x0a"
"// if restoreMaskTo is -1 it does not change mask\x0a"
"_PDCLIB_noreturn inline void __dios_jump( struct _VM_Frame *to, void (*pc)( void ),\x0a"
"                                          int restoreMaskTo )\x0a"
"    _PDCLIB_nothrow __attribute__((__always_inline__))\x0a"
"{\x0a"
"    if ( restoreMaskTo == 0 )\x0a"
"        __vm_ctl_flag( _DiOS_CF_Mask, 0 );\x0a"
"    if ( restoreMaskTo == 1 )\x0a"
"        __vm_ctl_flag( 0, _DiOS_CF_Mask );\x0a"
"    __vm_ctl_set( _VM_CR_Frame, to, pc );\x0a"
"    __builtin_unreachable();\x0a"
"}\x0a"
"\x0a"
"// set value of register of instruction identified by 'pc' in frame identified\x0a"
"// by 'frame' 'lenght' bytes of 'value' will be written to offset 'offset' of\x0a"
"// the register\x0a"
"// triggers an assert if it was not able to write the register\x0a"
"void __dios_set_register( struct _VM_Frame *frame, _VM_CodePointer pc,\x0a"
"                         unsigned offset, uint64_t value, unsigned lenght )\x0a"
"                         __attribute__((__noinline__));\x0a"
"\x0a"
"// similar to __dios_set_register except it reads from given (part) of register\x0a"
"// and returns the read value\x0a"
"uint64_t __dios_get_register( struct _VM_Frame *frame, _VM_CodePointer pc,\x0a"
"                         unsigned offset, unsigned lenght );\x0a"
"\x0a"
"_PDCLIB_EXTERN_END\x0a"
"\x0a"
"#endif\x0a"
"", 2490 ); }