#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_syscall_def( 
"#include <sys/hostabi.h>\x0a"
"\x0a"
"#ifndef MEM\x0a"
"#define MEM const char *\x0a"
"#endif\x0a"
"\x0a"
"#if defined(SYSCALL) \x26\x26 \x21""defined(SYSCALL_DIOS)\x0a"
"#define SYSCALL_DIOS(...) SYSCALL(__VA_ARGS__)\x0a"
"#define SYSCALL_DIOS_UNDEF\x0a"
"#endif\x0a"
"\x0a"
"#ifndef VOID\x0a"
"#define VOID void\x0a"
"#define VOID_UNDEF\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"    #define TOP \x3a\x3a\x0a"
"#else\x0a"
"    #define TOP\x0a"
"#endif\x0a"
"\x0a"
"SYSCALL_DIOS( get_process_tasks, CONTINUE,   __dios_task*, ( __dios_task _1 ) )\x0a"
"SYSCALL_DIOS( start_task,        RESCHEDULE, __dios_task,  ( __dios_task_routine _1, void *_2, int _3 ) )\x0a"
"SYSCALL_DIOS( get_fault_config,  CONTINUE,   int, ( int _1 ) )\x0a"
"SYSCALL_DIOS( exit_process,      RESCHEDULE, VOID, ( int _1 ) )\x0a"
"SYSCALL_DIOS( configure_fault,   CONTINUE,   int, ( int _1, int _2 ) )\x0a"
"SYSCALL_DIOS( die,               RESCHEDULE, VOID, () )\x0a"
"SYSCALL_DIOS( kill_task,         RESCHEDULE, VOID, ( __dios_task _1 ) )\x0a"
"SYSCALL_DIOS( kill_process,      RESCHEDULE, VOID, ( int _1 ) )\x0a"
"SYSCALL_DIOS( yield,             RESCHEDULE, VOID, ( ) )\x0a"
"SYSCALL_DIOS( fault_handler,     CONTINUE,   VOID, ( int _1, struct _VM_Frame * _2, int _3 ) )\x0a"
"SYSCALL_DIOS( pipe,              CONTINUE,   int, ( OUT(int*) _1 ) )\x0a"
"SYSCALL_DIOS( open,              CONTINUE,   int, ( MEM _1, int _2, mode_t _3 ) )\x0a"
"SYSCALL_DIOS( fcntl,             CONTINUE,   int,     ( int _1, int _2, va_list *_3 ) )\x0a"
"SYSCALL_DIOS( sysfork,           CONTINUE,   VOID, ( pid_t *_1 ) )\x0a"
"SYSCALL_DIOS( hardware_concurrency, CONTINUE, int, () ) /* TODO\x3a use sysctl for this */\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"SYSCALL_DIOS( register_monitor,  CONTINUE,   VOID, ( __dios\x3a\x3aMonitor *_1 ) )\x0a"
"#else\x0a"
"SYSCALL_DIOS( register_monitor,  CONTINUE,   VOID, ( void *_1 ) )\x0a"
"#endif\x0a"
"\x0a"
"SYSCALL( clock_gettime, CONTINUE, int, ( clockid_t _1, STRUCT(struct TOP timespec *) _2 ) )\x0a"
"SYSCALL( clock_settime, CONTINUE, int, ( clockid_t _1, STRUCT(const struct TOP timespec *) _2 ) )\x0a"
"\x0a"
"SYSCALL( gettimeofday , CONTINUE, int, ( STRUCT(struct TOP timeval *) _1, STRUCT(struct TOP timezone *) _2 ) )\x0a"
"SYSCALL( settimeofday , CONTINUE, int, ( STRUCT(const struct TOP timeval *) _1,\x0a"
"                                         STRUCT(const struct TOP timezone *) _2 ) )\x0a"
"\x0a"
"SYSCALL( rename,      CONTINUE, int,     ( MEM _1, MEM _2 ) )\x0a"
"SYSCALL( lseek,       CONTINUE, off_t,   ( int _1, off_t _2, int _3 ) )\x0a"
"SYSCALL( accept4,     CONTINUE, int,     ( int _1, STRUCT(struct TOP sockaddr *) _2,\x0a"
"                                           OUT(socklen_t *) _3, int _4 ) )\x0a"
"SYSCALL( linkat,      CONTINUE, int,     ( int _1, MEM _2, int _3, MEM _4, int _5 ) )\x0a"
"SYSCALL( mkdir,       CONTINUE, int,     ( MEM _1, mode_t _2 ) )\x0a"
"SYSCALL( sync,        CONTINUE, VOID,    () )\x0a"
"\x0a"
"SYSCALL( chmod,       CONTINUE, int,     ( MEM _1, mode_t _2 ) )\x0a"
"SYSCALL( renameat,    CONTINUE, int,     ( int _1, MEM _2, int _3, MEM _4 ) )\x0a"
"SYSCALL( mknod,       CONTINUE, int,     ( MEM _1, mode_t _2, dev_t _3 ) )\x0a"
"SYSCALL( symlinkat,   CONTINUE, int,     ( MEM _1, int _2, MEM _3 ) )\x0a"
"SYSCALL( kill,      TRAMPOLINE, int,     ( pid_t _1, int _2 ) )\x0a"
"SYSCALL( connect,     CONTINUE, int,     ( int _1, COUNT(const struct TOP sockaddr *) _2, socklen_t _3 ) )\x0a"
"SYSCALL( getsockname, CONTINUE, int,     ( int _1, STRUCT(struct TOP sockaddr *) _2, OUT(socklen_t *) _3 ) )\x0a"
"SYSCALL( close,       CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( recvfrom,    CONTINUE, ssize_t, ( int _1, COUNT(void *) _2, size_t _3, int _4,\x0a"
"                                           STRUCT(struct TOP sockaddr *) _5, OUT(socklen_t *) _6 ) )\x0a"
"SYSCALL( write,       CONTINUE, ssize_t, ( int _1, COUNT(const void *) _2, size_t _3 ) )\x0a"
"SYSCALL( bind,        CONTINUE, int,     ( int _1, COUNT(const struct TOP sockaddr *) _2, socklen_t _3 ) )\x0a"
"SYSCALL( fchmodat,    CONTINUE, int,     ( int _1, MEM _2, mode_t _3, int _4 ) )\x0a"
"SYSCALL( lstat,       CONTINUE, int,     ( MEM _1, STRUCT(struct stat *) _2 ) )\x0a"
"SYSCALL( umask,       CONTINUE, mode_t,  ( mode_t _1 ) )\x0a"
"SYSCALL( access,      CONTINUE, int,     ( MEM _1, int _2 ) )\x0a"
"SYSCALL( faccessat,   CONTINUE, int,     ( int _1, MEM _2 , int _3, int _4 ) )\x0a"
"SYSCALL( fchmod,      CONTINUE, int,     ( int _1, mode_t _2 ) )\x0a"
"SYSCALL( rmdir,       CONTINUE, int,     ( MEM _1 ) )\x0a"
"SYSCALL( accept,      CONTINUE, int,     ( int _1, STRUCT(struct TOP sockaddr *) _2, OUT(socklen_t *) _3 ) )\x0a"
"SYSCALL( dup,         CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( fstat,       CONTINUE, int,     ( int _1, STRUCT(struct stat *) _2 ) )\x0a"
"SYSCALL( getpid,      CONTINUE, pid_t,   () )\x0a"
"SYSCALL( getppid,     CONTINUE, pid_t,   () )\x0a"
"SYSCALL( getsid,      CONTINUE, pid_t,   ( pid_t _1 ) )\x0a"
"SYSCALL( getpgid,     CONTINUE, pid_t,   ( pid_t _1 ) )\x0a"
"SYSCALL( getpgrp,     CONTINUE, pid_t,   () )\x0a"
"SYSCALL( setsid,      CONTINUE, pid_t,   () )\x0a"
"SYSCALL( setpgid,     CONTINUE, int,     ( pid_t _1, pid_t _2 ) )\x0a"
"SYSCALL( stat,        CONTINUE, int,     ( MEM _1, STRUCT(struct stat *) _2 ) )\x0a"
"SYSCALL( truncate,    CONTINUE, int,     ( MEM _1, off_t _2 ) )\x0a"
"SYSCALL( dup2,        CONTINUE, int,     ( int _1, int _2 ) )\x0a"
"SYSCALL( read,        CONTINUE, ssize_t, ( int _1, COUNT(void *) _2, size_t _3 ) )\x0a"
"SYSCALL( openat,      CONTINUE, int,     ( int _1, MEM _2, int _3, mode_t _4 ) )\x0a"
"SYSCALL( sendto,      CONTINUE, ssize_t, ( int _1, COUNT(const void *) _2, size_t _3, int _4,\x0a"
"                                           COUNT(const struct TOP sockaddr *) _5, socklen_t _6 ) )\x0a"
"SYSCALL( symlink,     CONTINUE, int,     ( MEM _1, MEM _2 ) )\x0a"
"SYSCALL( readlink,    CONTINUE, ssize_t, ( MEM _1, COUNT(char *) _2, size_t _3 ) )\x0a"
"SYSCALL( fchdir,      CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( ftruncate,   CONTINUE, int,     ( int _1, off_t _2 ) )\x0a"
"SYSCALL( getpeername, CONTINUE, int,     ( int _1, STRUCT(struct TOP sockaddr *) _2, OUT(socklen_t *) _3 ) )\x0a"
"SYSCALL( unlink,      CONTINUE, int,     ( MEM _1 ) )\x0a"
"SYSCALL( unlinkat,    CONTINUE, int,     ( int _1, MEM _2, int _3 ))\x0a"
"SYSCALL( mknodat,     CONTINUE, int,     ( int _1, MEM _2, mode_t _3, dev_t _4 ) )\x0a"
"SYSCALL( readlinkat,  CONTINUE, ssize_t, ( int _1, MEM _2, COUNT(char *) _3, size_t _4 ) )\x0a"
"SYSCALL( chdir,       CONTINUE, int,     ( MEM _1 ) )\x0a"
"SYSCALL( socket,      CONTINUE, int,     ( int _1, int _2, int _3 ) )\x0a"
"SYSCALL( fsync,       CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( socketpair,  CONTINUE, int,     ( int _1, int _2, int _3, OUT(int *) _4 ) )\x0a"
"SYSCALL( link,        CONTINUE, int,     ( MEM _1, MEM _2 ) )\x0a"
"SYSCALL( listen,      CONTINUE, int,     ( int _1, int _2 ) )\x0a"
"SYSCALL( mkdirat,     CONTINUE, int,     ( int _1, MEM _2, mode_t _3 ) )\x0a"
"SYSCALL( wait4,       CONTINUE, pid_t,   ( pid_t _1, int *_2, int _3, STRUCT(struct TOP rusage *) _4 ) )\x0a"
"SYSCALL( flock,       CONTINUE, int,     ( int _1, int _2 ) )\x0a"
"\x0a"
"#if _HOST_is_linux /* linux-specific syscalls */\x0a"
"SYSCALL( creat,       CONTINUE, int,     ( MEM _1, mode_t _2 ) )\x0a"
"SYSCALL( fdatasync,   CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( syncfs,      CONTINUE, int,     ( int _1 ) )\x0a"
"SYSCALL( uname,       CONTINUE, int,     ( STRUCT(struct TOP utsname *) _1 ) )\x0a"
"SYSCALL( getcwd,      CONTINUE, char*,   ( COUNT(char*) _1, size_t _2 ) )\x0a"
"SYSCALL( rt_sigaction, CONTINUE, int,    ( int _1, const struct TOP sigaction * _2,\x0a"
"                                           struct TOP sigaction * _3, size_t _4 ) )\x0a"
"#endif\x0a"
"\x0a"
"#if _HOST_is_openbsd\x0a"
"SYSCALL( sigaction,   CONTINUE, int,     ( int _1, const struct TOP sigaction * _2,\x0a"
"                                           struct TOP sigaction * _3 ) )\x0a"
"SYSCALL( __getcwd,    CONTINUE, int,     ( COUNT(char*) _1, size_t _2 ) )\x0a"
"#endif\x0a"
"\x0a"
"SYSCALL( fstatfs,     CONTINUE, int,     ( int _1, STRUCT(struct TOP statfs *) _2 ) )\x0a"
"SYSCALL( statfs,      CONTINUE, int,     ( MEM _1, STRUCT(struct TOP statfs *) _2 ) )\x0a"
"\x0a"
"#undef MEM\x0a"
"#undef TOP\x0a"
"\x0a"
"#ifdef SYSCALL_DIOS_UNDEF\x0a"
"#undef SYSCALL_DIOS_UNDEF\x0a"
"#undef SYSCALL_DIOS\x0a"
"#endif\x0a"
"\x0a"
"#ifdef VOID_UNDEF\x0a"
"#undef VOID_UNDEF\x0a"
"#undef VOID\x0a"
"#endif\x0a"
"", 7676 ); }