#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_uio_h( 
"#ifndef _SYS_UIO_H\x0a"
"#define _SYS_UIO_H  1\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"\x0a"
"/* \x60struct iovec' -- Structure describing a section of memory.  */\x0a"
"struct iovec\x0a"
"{\x0a"
"  /* Starting address.  */\x0a"
"  void *iov_base;\x0a"
"  /* Length in bytes.  */\x0a"
"  size_t iov_len;\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"/* Read data from file descriptor FD, and put the result in the\x0a"
"   buffers described by IOVEC, which is a vector of COUNT 'struct iovec's.\x0a"
"   The buffers are filled in the order specified.\x0a"
"   Operates just like 'read' (see <unistd.h>) except that data are\x0a"
"   put in IOVEC instead of a contiguous buffer. */\x0a"
"extern ssize_t readv( int fd, const struct iovec *vector, int count );\x0a"
"\x0a"
"/* Write data pointed by the buffers described by IOVEC, which\x0a"
"   is a vector of COUNT 'struct iovec's, to file descriptor FD.\x0a"
"   The data is written in the order specified.\x0a"
"   Operates just like 'write' (see <unistd.h>) except that the data\x0a"
"   are taken from IOVEC instead of a contiguous buffer. */\x0a"
"extern ssize_t writev( int fd, const struct iovec *iovec, int count );\x0a"
"\x0a"
"/* Read data from file descriptor FD at the given position OFFSET\x0a"
"   without change the file pointer, and put the result in the buffers\x0a"
"   described by IOVEC, which is a vector of COUNT 'struct iovec's.\x0a"
"   The buffers are filled in the order specified.  Operates just like\x0a"
"   'pread' (see <unistd.h>) except that data are put in IOVEC instead\x0a"
"   of a contiguous buffer.*/\x0a"
"extern ssize_t preadv( int fd, const struct iovec *iovec, int count,\x0a"
"                       off_t offset );\x0a"
"\x0a"
"/* Write data pointed by the buffers described by IOVEC, which is a\x0a"
"   vector of COUNT 'struct iovec's, to file descriptor FD at the given\x0a"
"   position OFFSET without change the file pointer.  The data is\x0a"
"   written in the order specified.  Operates just like 'pwrite' (see\x0a"
"   <unistd.h>) except that the data are taken from IOVEC instead of a\x0a"
"   contiguous buffer. */\x0a"
"extern ssize_t pwritev( int fd, const struct iovec *iovec, int count,\x0a"
"                        off_t offset);\x0a"
"\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* sys/uio.h */\x0a"
"", 2027 ); }