#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_vmutil_h( 
"/*\x0a"
" * (c) 2017 Vladim\xc3\xadr \xc5\xa0till <xstill\x40""fi.muni.cz>\x0a"
" *\x0a"
" * Utility functions for DiVM\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#ifdef __divine__\x0a"
"#include <sys/divm.h>\x0a"
"#include <sys/lart.h>\x0a"
"#else\x0a"
"#include <divine/vm/divm.h>\x0a"
"#include <lart/lart.h>\x0a"
"#endif\x0a"
"\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#ifndef _SYS_VMUTIL_H_\x0a"
"#define _SYS_VMUTIL_H_\x0a"
"\x0a"
"#ifndef _VMUTIL_INLINE\x0a"
"#define _VMUTIL_INLINE static inline\x0a"
"#define _VMUTIL_INLINE_UNDEF\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#define _VMUTIL_CAST( T, X ) reinterpret_cast< T >( X )\x0a"
"#else\x0a"
"#define _VMUTIL_CAST( T, X ) ((T)(X))\x0a"
"#endif\x0a"
"\x0a"
"#define DIVM_REG_NAME( X )  case X\x3a return #X + 7\x0a"
"#define DIVM_FLAG_NAME( X ) case X\x3a return #X;\x0a"
"\x0a"
"static const char *__vmutil_reg_name( int id )\x0a"
"{\x0a"
"    switch ( id )\x0a"
"    {\x0a"
"        DIVM_REG_NAME( _VM_CR_Constants );\x0a"
"        DIVM_REG_NAME( _VM_CR_Globals );\x0a"
"        DIVM_REG_NAME( _VM_CR_Frame );\x0a"
"        DIVM_REG_NAME( _VM_CR_PC );\x0a"
"\x0a"
"        DIVM_REG_NAME( _VM_CR_Scheduler );\x0a"
"        DIVM_REG_NAME( _VM_CR_State );\x0a"
"        DIVM_REG_NAME( _VM_CR_Flags );\x0a"
"\x0a"
"        DIVM_REG_NAME( _VM_CR_FaultHandler );\x0a"
"        DIVM_REG_NAME( _VM_CR_ObjIdShuffle );\x0a"
"        DIVM_REG_NAME( _VM_CR_User1 );\x0a"
"        DIVM_REG_NAME( _VM_CR_User2 );\x0a"
"        DIVM_REG_NAME( _VM_CR_User3 );\x0a"
"        DIVM_REG_NAME( _VM_CR_User4 );\x0a"
"    }\x0a"
"    __builtin_unreachable();\x0a"
"}\x0a"
"\x0a"
"static const char *__vmutil_flag_name( uint64_t val )\x0a"
"{\x0a"
"    switch ( val )\x0a"
"    {\x0a"
"        DIVM_FLAG_NAME( _VM_CF_IgnoreLoop );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_IgnoreCrit );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_Accepting );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_Error );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_Cancel );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_KernelMode );\x0a"
"        DIVM_FLAG_NAME( _VM_CF_DebugMode );\x0a"
"\x0a"
"        DIVM_FLAG_NAME( _LART_CF_RelaxedMemRuntime );\x0a"
"    }\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"typedef struct\x0a"
"{\x0a"
"    uint64_t st_dev;\x0a"
"    uint64_t st_ino;\x0a"
"    uint64_t st_mode;\x0a"
"    uint64_t st_nlink;\x0a"
"    uint64_t st_uid;\x0a"
"    uint64_t st_gid;\x0a"
"    uint64_t st_rdev;\x0a"
"    uint64_t st_size;\x0a"
"    uint64_t st_blksize;\x0a"
"    uint64_t st_blocks;\x0a"
"\x0a"
"    uint64_t st_atim_tv_sec;\x0a"
"    uint32_t st_atim_tv_nsec;\x0a"
"\x0a"
"    uint64_t st_mtim_tv_sec;\x0a"
"    uint32_t st_mtim_tv_nsec;\x0a"
"\x0a"
"    uint64_t st_ctim_tv_sec;\x0a"
"    uint32_t st_ctim_tv_nsec;\x0a"
"} __vmutil_stat;\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"} // extern \x22""C\x22\x0a"
"#endif\x0a"
"\x0a"
"#undef DIVM_REG_NAME\x0a"
"#undef DIVM_FLAG_NAME\x0a"
"\x0a"
"#ifdef _VMUTIL_INLINE_UNDEF\x0a"
"#undef _VMUTIL_INLINE_UNDEF\x0a"
"#undef _VMUTIL_INLINE\x0a"
"#endif\x0a"
"\x0a"
"#endif // _SYS_VMUTIL_H_\x0a"
"", 3089 ); }