#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_time_h( 
"/* Date and time <time.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#ifndef _PDCLIB_TIME_H\x0a"
"#define _PDCLIB_TIME_H _PDCLIB_TIME_H\x0a"
"#include \x22_PDCLIB/cdefs.h\x22\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_SIZE_T_DEFINED\x0a"
"#define _PDCLIB_SIZE_T_DEFINED _PDCLIB_SIZE_T_DEFINED\x0a"
"typedef _PDCLIB_size_t size_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_NULL_DEFINED\x0a"
"#define _PDCLIB_NULL_DEFINED _PDCLIB_NULL_DEFINED\x0a"
"#define NULL _PDCLIB_NULL\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _TIME_T_DEFINED_\x0a"
"#define _TIME_T_DEFINED_ 1\x0a"
"typedef _PDCLIB_time_t  time_t;\x0a"
"#endif\x0a"
"\x0a"
"typedef _PDCLIB_clock_t clock_t;\x0a"
"\x0a"
"#define CLOCKS_PER_SEC _PDCLIB_CLOCKS_PER_SEC\x0a"
"#define TIME_UTC _PDCLIB_TIME_UTC\x0a"
"\x0a"
"#ifndef _TIMESPEC_DECLARED\x0a"
"#define _TIMESPEC_DECLARED\x0a"
"struct timespec\x0a"
"{\x0a"
"    time_t tv_sec;\x0a"
"    long tv_nsec;\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"struct tm\x0a"
"{\x0a"
"    int tm_sec;   /* 0-60 */\x0a"
"    int tm_min;   /* 0-59 */\x0a"
"    int tm_hour;  /* 0-23 */\x0a"
"    int tm_mday;  /* 1-31 */\x0a"
"    int tm_mon;   /* 0-11 */\x0a"
"    int tm_year;  /* years since 1900 */\x0a"
"    int tm_wday;  /* 0-6 */\x0a"
"    int tm_yday;  /* 0-365 */\x0a"
"    int tm_isdst; /* >0 DST, 0 no DST, <0 information unavailable */\x0a"
"    long tm_gmtoff; /* offset from UTC in seconds */\x0a"
"    char *tm_zone;  /* abbreviation of timezone name */\x0a"
"};\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"/* Returns the number of \x22""clocks\x22 in processor time since the invocation\x0a"
"   of the program. Divide by CLOCKS_PER_SEC to get the value in seconds.\x0a"
"   Returns -1 if the value cannot be represented in the return type or is\x0a"
"   not available.\x0a"
"*/\x0a"
"clock_t clock( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns the difference between two calendar times in seconds. */\x0a"
"double difftime( time_t time1, time_t time0 ) _PDCLIB_nothrow;\x0a"
"\x0a"
"time_t mktime( struct tm * timeptr ) _PDCLIB_nothrow;\x0a"
"\x0a"
"time_t time( time_t * timer ) _PDCLIB_nothrow;\x0a"
"\x0a"
"int timespec_get( struct timespec * ts, int base ) _PDCLIB_nothrow;\x0a"
"\x0a"
"char * asctime( const struct tm * timeptr ) _PDCLIB_nothrow;\x0a"
"char * asctime_r( const struct tm *timeptr, char *buf ) _PDCLIB_nothrow;\x0a"
"\x0a"
"char * ctime( const time_t * timer ) _PDCLIB_nothrow;\x0a"
"\x0a"
"struct tm * gmtime( const time_t * timer ) _PDCLIB_nothrow;\x0a"
"\x0a"
"struct tm * localtime( const time_t * timer ) _PDCLIB_nothrow;\x0a"
"\x0a"
"size_t strftime( char * _PDCLIB_restrict s, size_t maxsize, const char * _PDCLIB_restrict format, const struct tm * _PDCLIB_restrict timeptr );\x0a"
"\x0a"
"#if __POSIX_VISIBLE\x0a"
"extern char *tzname\x5b""2\x5d;\x0a"
"void tzset( void );\x0a"
"#endif\x0a"
"\x0a"
"#define CLOCK_REALTIME              1\x0a"
"#define CLOCK_MONOTONIC             2\x0a"
"#define CLOCK_PROCESS_CPUTIME_ID    3\x0a"
"#define CLOCK_THREAD_CPUTIME_ID     4\x0a"
"#define CLOCK_BOOTTIME              5\x0a"
"#define CLOCK_UPTIME                6\x0a"
"\x0a"
"typedef unsigned int clockid_t;\x0a"
"\x0a"
"/* added for DIVINE */\x0a"
"int nanosleep(const struct timespec *req, struct timespec *rem);\x0a"
"int clock_gettime(clockid_t clk_id, struct timespec *tp) __nothrow;\x0a"
"int clock_settime(clockid_t clk_id, const struct timespec *tp) __nothrow;\x0a"
"\x0a"
"__END_DECLS\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"#endif\x0a"
"", 3016 ); }