#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_utmp_h( 
"/*\x09\x24OpenBSD\x3a utmp.h,v 1.6 2014/01/08 06\x3a""50\x3a""57 guenther Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a utmp.h,v 1.6 1994/10/26 00\x3a""56\x3a""40 cgd Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1988, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" * (c) UNIX System Laboratories, Inc.\x0a"
" * All or some portions of this file are derived from material licensed\x0a"
" * to the University of California by American Telephone and Telegraph\x0a"
" * Co. or Unix System Laboratories, Inc. and are reproduced herein with\x0a"
" * the permission of UNIX System Laboratories, Inc.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)utmp.h\x09""8.2 (Berkeley) 1/21/94\x0a"
" */\x0a"
" \x0a"
"#include <time.h>\x0a"
"\x0a"
"#ifndef\x09_UTMP_H_\x0a"
"#define\x09_UTMP_H_\x0a"
"\x0a"
"#define\x09_PATH_UTMP\x09\x22/var/run/utmp\x22\x0a"
"#define\x09_PATH_WTMP\x09\x22/var/log/wtmp\x22\x0a"
"#define\x09_PATH_LASTLOG\x09\x22/var/log/lastlog\x22\x0a"
"\x0a"
"#define\x09UT_NAMESIZE\x09""32\x0a"
"#define\x09UT_LINESIZE\x09""8\x0a"
"#define\x09UT_HOSTSIZE\x09""256\x0a"
"\x0a"
"/*\x0a"
" * Note that these are *not* C strings and thus are not\x0a"
" * guaranteed to be NUL-terminated.\x0a"
" */\x0a"
"\x0a"
"struct lastlog {\x0a"
"\x09time_t\x09ll_time;\x0a"
"\x09""char\x09ll_line\x5bUT_LINESIZE\x5d;\x0a"
"\x09""char\x09ll_host\x5bUT_HOSTSIZE\x5d;\x0a"
"};\x0a"
"\x0a"
"struct utmp {\x0a"
"\x09""char\x09ut_line\x5bUT_LINESIZE\x5d;\x0a"
"\x09""char\x09ut_name\x5bUT_NAMESIZE\x5d;\x0a"
"\x09""char\x09ut_host\x5bUT_HOSTSIZE\x5d;\x0a"
"\x09time_t\x09ut_time;\x0a"
"};\x0a"
"\x0a"
"#endif /* \x21_UTMP_H_ */\x0a"
"", 2636 ); }