#include <string_view>
namespace divine::str::dios {
extern const std::string_view lamp_semilattice_hpp( 
"#include <brick-cons>\x0a"
"#include <dios/lava/base.hpp>\x0a"
"#include <dios/lava/tristate.hpp>\x0a"
"\x0a"
"namespace __lamp\x0a"
"{\x0a"
"    using bw = __lava\x3a\x3a""bitwidth_t;\x0a"
"    using tristate = __lava\x3a\x3atristate;\x0a"
"\x0a"
"    template< typename... domains >\x0a"
"    struct domain_list \x3a brq\x3a\x3a""cons_list_t< domains... >\x0a"
"    {\x0a"
"        template< typename type > static constexpr int idx = domain_list\x3a\x3atemplate index_of< type >;\x0a"
"        template< int idx > using type = typename domain_list\x3a\x3atemplate type_at< idx >;\x0a"
"    };\x0a"
"\x0a"
"    template< typename type, typename tag >\x0a"
"    struct tagged \x3a type, tag\x0a"
"    {\x0a"
"        using type\x3a\x3atype;\x0a"
"        using unwrap = type;\x0a"
"    };\x0a"
"\x0a"
"    struct index_tag {};\x0a"
"    struct scalar_tag {};\x0a"
"\x0a"
"    template< typename dom_t > using index_t  = tagged< dom_t, index_tag >;\x0a"
"    template< typename dom_t > using scalar_t = tagged< dom_t, scalar_tag >;\x0a"
"\x0a"
"    template< typename sl >\x0a"
"    struct semilattice \x3a __lava\x3a\x3atagged_array<>, __lava\x3a\x3a""domain_mixin< semilattice< sl > >\x0a"
"    {\x0a"
"        using base = __lava\x3a\x3atagged_array<>;\x0a"
"        using doms = typename sl\x3a\x3a""doms;\x0a"
"        using self = semilattice;\x0a"
"        using sref = const self \x26;\x0a"
"\x0a"
"        template< int idx > using dom_type = typename doms\x3a\x3atemplate type< idx >;\x0a"
"        template< typename type > static constexpr int dom_idx = doms\x3a\x3atemplate idx< type >;\x0a"
"\x0a"
"        semilattice( void *v, __dios\x3a\x3a""construct_shared_t s ) \x3a base( v, s ) {}\x0a"
"\x0a"
"        template< typename dom_t, typename = std\x3a\x3a""enable_if_t< doms\x3a\x3atemplate idx< dom_t > >= 0 > >\x0a"
"        semilattice( dom_t \x26\x26v ) \x3a base( v.disown(), construct_shared )\x0a"
"        {\x0a"
"            tag() = doms\x3a\x3atemplate idx< dom_t >;\x0a"
"        }\x0a"
"\x0a"
"        struct index_w  \x3a self { using self\x3a\x3aself; index_w( const self \x26v ) \x3a self( v ) {} };\x0a"
"        struct scalar_w \x3a self { using self\x3a\x3aself; scalar_w( const self \x26v ) \x3a self( v ) {} };\x0a"
"\x0a"
"        static constexpr int join( int a ) { return a; }\x0a"
"\x0a"
"        template< typename... args_t >\x0a"
"        static constexpr int join( int a, int b, args_t... args )\x0a"
"        {\x0a"
"            if ( a >= 0 \x26\x26 b >= 0 )\x0a"
"                return sl\x3a\x3ajoin( a, join( b, args... ) );\x0a"
"            else\x0a"
"                return join( a >= 0 \x3f a \x3a b, args... );\x0a"
"        }\x0a"
"\x0a"
"        template< typename to, typename from >\x0a"
"        __inline static auto lift_to( const from \x26""f )\x0a"
"        {\x0a"
"            if constexpr ( std\x3a\x3ais_base_of_v< index_tag, from > )\x0a"
"            {\x0a"
"                using orig = typename from\x3a\x3aunwrap;\x0a"
"                constexpr int goal = join( dom_idx< orig >, dom_idx< typename to\x3a\x3aindex_dom > );\x0a"
"                static_assert( goal >= 0 );\x0a"
"                return self\x3a\x3alift_to< dom_type< goal >, orig >( f );\x0a"
"            }\x0a"
"            else if constexpr ( std\x3a\x3ais_base_of_v< scalar_tag, from > )\x0a"
"            {\x0a"
"                using orig = typename from\x3a\x3aunwrap;\x0a"
"                constexpr int orig_idx = dom_idx< orig >;\x0a"
"                ASSERT_EQ( f.tag(), orig_idx );\x0a"
"                constexpr int goal = join( orig_idx, dom_idx< typename to\x3a\x3ascalar_dom > );\x0a"
"                static_assert( goal >= 0 );\x0a"
"                return self\x3a\x3alift_to< dom_type< goal >, orig >( f );\x0a"
"            }\x0a"
"            else if constexpr ( std\x3a\x3ais_same_v< from, to > )\x0a"
"                return f;\x0a"
"            else if constexpr ( std\x3a\x3ais_trivial_v< from > )\x0a"
"                return f;\x0a"
"            else\x0a"
"                return to\x3a\x3alift( f );\x0a"
"        }\x0a"
"\x0a"
"        template< typename op_t, int idx = 0, typename... args_t >\x0a"
"        __inline static self in_domain( int dom, op_t op, const args_t \x26 ... args )\x0a"
"        {\x0a"
"            if constexpr ( idx < doms\x3a\x3asize )\x0a"
"            {\x0a"
"                constexpr int joined = join( idx, doms\x3a\x3atemplate idx< args_t > ... );\x0a"
"                static_assert( joined >= 0 );\x0a"
"                if ( idx == dom )\x0a"
"                    if constexpr ( joined == idx )\x0a"
"                        return op( lift_to< typename doms\x3a\x3atemplate type< idx > >( args ) ... );\x0a"
"\x0a"
"                return in_domain< op_t, idx + 1 >( dom, op, args... );\x0a"
"            }\x0a"
"            else __builtin_unreachable();\x0a"
"        }\x0a"
"\x0a"
"        template< typename op_t, typename sl_t, int idx = 0 >\x0a"
"        __inline static auto cast_one( op_t op, const sl_t \x26v )\x0a"
"        {\x0a"
"            if constexpr ( idx < doms\x3a\x3asize )\x0a"
"            {\x0a"
"                constexpr bool is_idx = std\x3a\x3ais_same_v< sl_t, index_w >;\x0a"
"                constexpr bool is_scl = std\x3a\x3ais_same_v< sl_t, scalar_w >;\x0a"
"\x0a"
"                using to_type = typename doms\x3a\x3atemplate type< idx >;\x0a"
"                using index_type = index_t< to_type >;\x0a"
"                using scalar_type = scalar_t< to_type >;\x0a"
"                using coerce1_t = std\x3a\x3a""conditional_t< is_idx, index_type, to_type >;\x0a"
"                using coerce_t = std\x3a\x3a""conditional_t< is_scl, scalar_type, coerce1_t >;\x0a"
"\x0a"
"                if ( v.tag() == idx )\x0a"
"                {\x0a"
"                    coerce_t coerce( v.unsafe_ptr(), v.construct_shared );\x0a"
"                    auto rv = op( coerce );\x0a"
"                    coerce.disown();\x0a"
"                    return rv;\x0a"
"                }\x0a"
"                else\x0a"
"                    return self\x3a\x3a""cast_one< op_t, sl_t, idx + 1 >( op, v );\x0a"
"            }\x0a"
"            return self\x3a\x3a""cast_one< op_t, sl_t, 0 >( ( __builtin_trap(), op ), v );\x0a"
"        }\x0a"
"\x0a"
"        template< typename op_t >\x0a"
"        __inline static auto cast( op_t op ) { return op(); }\x0a"
"\x0a"
"        template< typename op_t, typename arg_t, typename... args_t >\x0a"
"        __inline static auto cast( op_t op, const arg_t \x26""a, const args_t \x26 ... args )\x0a"
"        {\x0a"
"            auto rec = \x5b\x26\x5d( const auto \x26""c ) __inline\x0a"
"            {\x0a"
"                return cast( \x5b\x26\x5d( const auto \x26 ... cs ) __inline { return op( c, cs... ); }, args... );\x0a"
"            };\x0a"
"\x0a"
"            return cast_one( rec, a );\x0a"
"        }\x0a"
"\x0a"
"        template< typename op_t, typename... args_t >\x0a"
"        __inline static self op( op_t operation, const args_t \x26 ... args )\x0a"
"        {\x0a"
"            int dom = join( args.tag() ... );\x0a"
"\x0a"
"            auto downcasted = \x5b\x26\x5d( const auto \x26 ... args ) __inline\x0a"
"            {\x0a"
"                return in_domain( dom, operation, args... );\x0a"
"            };\x0a"
"\x0a"
"            return cast( downcasted, args... );\x0a"
"        }\x0a"
"\x0a"
"        static constexpr auto add = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_add; };\x0a"
"        static constexpr auto sub = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_sub; };\x0a"
"        static constexpr auto mul = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_mul; };\x0a"
"\x0a"
"        static constexpr auto sdiv = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_sdiv; };\x0a"
"        static constexpr auto udiv = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_udiv; };\x0a"
"        static constexpr auto srem = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_srem; };\x0a"
"        static constexpr auto urem = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_urem; };\x0a"
"\x0a"
"        static constexpr auto zfit  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_zfit; };\x0a"
"        static constexpr auto zext  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_zext; };\x0a"
"        static constexpr auto sext  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_sext; };\x0a"
"        static constexpr auto trunc = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_trunc; };\x0a"
"\x0a"
"        static constexpr auto ne   = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_ne; };\x0a"
"        static constexpr auto eq   = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_eq; };\x0a"
"        static constexpr auto slt  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_slt; };\x0a"
"        static constexpr auto sgt  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_sgt; };\x0a"
"        static constexpr auto ult  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_ult; };\x0a"
"        static constexpr auto ugt  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_ugt; };\x0a"
"\x0a"
"        static constexpr auto shl  = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_shl; };\x0a"
"        static constexpr auto lshr = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_lshr; };\x0a"
"        static constexpr auto ashr = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_ashr; };\x0a"
"\x0a"
"        static constexpr auto load = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3aop_load; };\x0a"
"\x0a"
"        static constexpr auto gep = \x5b\x5d( auto a )\x0a"
"        {\x0a"
"            return \x5b\x5d( const auto \x26 ... x ) { return decltype( a )\x3a\x3aop_gep( x... ); };\x0a"
"        };\x0a"
"\x0a"
"        static constexpr auto store = \x5b\x5d( auto a )\x0a"
"        {\x0a"
"            return \x5b\x5d( const auto \x26 ... x ) { return decltype( a )\x3a\x3aop_store( x... ); };\x0a"
"        };\x0a"
"\x0a"
"        static constexpr auto _assume = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3a""assume; };\x0a"
"        static constexpr auto _tristate = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3ato_tristate; };\x0a"
"\x0a"
"        static constexpr auto strcmp = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3a""fn_strcmp; };\x0a"
"        static constexpr auto strlen = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3a""fn_strlen; };\x0a"
"        static constexpr auto strcat = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3a""fn_strcat; };\x0a"
"        static constexpr auto strcpy = \x5b\x5d( auto a ) { return decltype( a )\x3a\x3a""fn_strcpy; };\x0a"
"\x0a"
"        static constexpr auto strchr = \x5b\x5d( auto a )\x0a"
"        {\x0a"
"            return \x5b\x5d( const auto \x26 ... x ) { return decltype( a )\x3a\x3a""fn_strchr( x... ); };\x0a"
"        };\x0a"
"\x0a"
"        static constexpr auto memcpy = \x5b\x5d( auto a )\x0a"
"        {\x0a"
"            return \x5b\x5d( const auto \x26 ... x ) { return decltype( a )\x3a\x3a""fn_memcpy( x... ); };\x0a"
"        };\x0a"
"\x0a"
"        static constexpr auto run = \x5b\x5d( const auto \x26op, const auto \x26 ... bind  ) __inline\x0a"
"        {\x0a"
"            return \x5b=\x5d( const auto \x26""arg, const auto \x26 ... args ) __inline\x0a"
"            {\x0a"
"                return op( arg )( arg, args..., bind... );\x0a"
"            };\x0a"
"        };\x0a"
"\x0a"
"        static constexpr auto wrap = \x5b\x5d( const auto \x26op, const auto \x26 ... bind  ) __inline\x0a"
"        {\x0a"
"            return \x5b=\x5d( const auto \x26""arg, const auto \x26 ... args ) __inline\x0a"
"            {\x0a"
"                return self( op( arg )( arg, args..., bind... ) );\x0a"
"            };\x0a"
"        };\x0a"
"\x0a"
"        template< typename val_t >\x0a"
"        static self lift( const val_t \x26val ) { return sl\x3a\x3ascalar_lift_dom\x3a\x3alift( val ); }\x0a"
"        static self lift( __lava\x3a\x3a""array_ref arr ) { return sl\x3a\x3a""array_lift_dom\x3a\x3alift( arr ); }\x0a"
"\x0a"
"        template< typename val_t >\x0a"
"        static self any() { return sl\x3a\x3ascalar_any_dom\x3a\x3atemplate any< val_t >(); }\x0a"
"\x0a"
"        static self assume( sref a, sref b, bool c ) { return op( wrap( _assume, c ), a, b ); }\x0a"
"        static tristate to_tristate( sref a )\x0a"
"        {\x0a"
"            return cast( \x5b\x26\x5d( auto v ) { return decltype( v )\x3a\x3ato_tristate( v ); }, a );\x0a"
"        }\x0a"
"\x0a"
"        static self op_add( sref a, sref b ) { return op( wrap( add ), a, b ); }\x0a"
"        static self op_sub( sref a, sref b ) { return op( wrap( sub ), a, b ); }\x0a"
"        static self op_mul( sref a, sref b ) { return op( wrap( mul ), a, b ); }\x0a"
"\x0a"
"        static self op_sdiv( sref a, sref b ) { return op( wrap( sdiv ), a, b ); }\x0a"
"        static self op_udiv( sref a, sref b ) { return op( wrap( udiv ), a, b ); }\x0a"
"        static self op_srem( sref a, sref b ) { return op( wrap( srem ), a, b ); }\x0a"
"        static self op_urem( sref a, sref b ) { return op( wrap( urem ), a, b ); }\x0a"
"\x0a"
"        static self op_zfit ( sref a, bw b ) { return op( wrap( zfit,  b ), a ); }\x0a"
"        static self op_zext ( sref a, bw b ) { return op( wrap( zext,  b ), a ); }\x0a"
"        static self op_sext ( sref a, bw b ) { return op( wrap( sext,  b ), a ); }\x0a"
"        static self op_trunc( sref a, bw b ) { return op( wrap( trunc, b ), a ); }\x0a"
"\x0a"
"        static self op_eq ( sref a, sref b ) { return op( wrap( eq  ), a, b ); }\x0a"
"        static self op_ne ( sref a, sref b ) { return op( wrap( ne  ), a, b ); }\x0a"
"        static self op_slt( sref a, sref b ) { return op( wrap( slt ), a, b ); }\x0a"
"        static self op_sgt( sref a, sref b ) { return op( wrap( sgt ), a, b ); }\x0a"
"        static self op_ult( sref a, sref b ) { return op( wrap( ult ), a, b ); }\x0a"
"        static self op_ugt( sref a, sref b ) { return op( wrap( ugt ), a, b ); }\x0a"
"\x0a"
"        static self op_shl ( sref a, sref b ) { return op( wrap( shl  ), a, b ); }\x0a"
"        static self op_lshr( sref a, sref b ) { return op( wrap( lshr ), a, b ); }\x0a"
"        static self op_ashr( sref a, sref b ) { return op( wrap( ashr ), a, b ); }\x0a"
"\x0a"
"        static self op_gep( sref a, sref b, uint64_t s )\x0a"
"        {\x0a"
"            return op( wrap( gep, s ), a, index_w( b ) );\x0a"
"        }\x0a"
"\x0a"
"        static self op_store( sref a, sref b, bw w )\x0a"
"        {\x0a"
"            return op( wrap( store, w ), a, scalar_w( b ) );\x0a"
"        }\x0a"
"\x0a"
"        static self op_load( sref a, bw w ) { return op( wrap( load, w ), a ); }\x0a"
"\x0a"
"        static self fn_strcmp( sref a, sref b ) { return op( wrap( strcmp ), a, b ); }\x0a"
"        static self fn_strcat( sref a, sref b ) { return op( wrap( strcat ), a, b ); }\x0a"
"        static self fn_strcpy( sref a, sref b ) { return op( wrap( strcpy ), a, b ); }\x0a"
"        static self fn_memcpy( sref a, sref b, sref c )\x0a"
"        {\x0a"
"            return op( wrap( memcpy ), a, b, index_w( c ) );\x0a"
"        }\x0a"
"\x0a"
"        static self fn_strchr( sref a, sref b ) { return op( wrap( strchr ), a, scalar_w( b ) ); }\x0a"
"        static self fn_strlen( sref a ) { return op( wrap( strlen ), a ); }\x0a"
"    };\x0a"
"\x0a"
"}\x0a"
"", 12779 ); }