#include <string_view>
namespace divine::str::dios {
extern const std::string_view lava_unit_hpp( 
"// -*- mode\x3a C++; indent-tabs-mode\x3a nil; c-basic-offset\x3a 4 -*-\x0a"
"\x0a"
"/*\x0a"
" * (c) 2020 Petr Ro\xc4\x8dkai <code\x40""fixp.eu>\x0a"
" * (c) 2019 Henrich Lauko <xlauko\x40mail.muni.cz>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#pragma once\x0a"
"\x0a"
"#include \x22tristate.hpp\x22\x0a"
"#include \x22""base.hpp\x22\x0a"
"\x0a"
"namespace __lava\x0a"
"{\x0a"
"    struct unit;\x0a"
"    // extern unit common_unit;\x0a"
"\x0a"
"    struct unit \x3a tagged_array<>, domain_mixin< unit >\x0a"
"    {\x0a"
"        using tagged_array<>\x3a\x3atagged_array;\x0a"
"\x0a"
"        template< typename type > static unit lift( type ) { return {}; }\x0a"
"        template< typename type > static unit any() { return {}; }\x0a"
"\x0a"
"        static unit lift_any() { return {}; }\x0a"
"        static unit lift_any_ptr() { return {}; }\x0a"
"\x0a"
"        static unit op_thaw( unit, uint8_t ) { return {}; }\x0a"
"        static unit op_load( unit, uint8_t ) { return {}; }\x0a"
"\x0a"
"        template< typename scalar >\x0a"
"        static unit op_store( unit, scalar, uint8_t ) { return {}; }\x0a"
"\x0a"
"        static unit op_insertvalue( unit, unit, uint64_t ) { return {}; }\x0a"
"        static unit op_extractvalue( unit, uint64_t ) { return {}; }\x0a"
"\x0a"
"        template< typename index >\x0a"
"        static unit op_gep( unit, index, uint64_t ) { return {}; }\x0a"
"\x0a"
"        static unit assume( unit, unit, bool ) { return {}; }\x0a"
"\x0a"
"        static tristate to_tristate( unit ) { return { tristate\x3a\x3amaybe }; }\x0a"
"\x0a"
"        /* arithmetic operations */\x0a"
"        static unit op_add ( unit, unit ) { return {}; }\x0a"
"        static unit op_fadd( unit, unit ) { return {}; }\x0a"
"        static unit op_sub ( unit, unit ) { return {}; }\x0a"
"        static unit op_fsub( unit, unit ) { return {}; }\x0a"
"        static unit op_mul ( unit, unit ) { return {}; }\x0a"
"        static unit op_fmul( unit, unit ) { return {}; }\x0a"
"        static unit op_udiv( unit, unit ) { return {}; }\x0a"
"        static unit op_sdiv( unit, unit ) { return {}; }\x0a"
"        static unit op_fdiv( unit, unit ) { return {}; }\x0a"
"        static unit op_urem( unit, unit ) { return {}; }\x0a"
"        static unit op_srem( unit, unit ) { return {}; }\x0a"
"        static unit op_frem( unit, unit ) { return {}; }\x0a"
"\x0a"
"        static unit op_fneg( unit ) { return {}; }\x0a"
"\x0a"
"        /* bitwise operations */\x0a"
"        static unit op_shl ( unit, unit ) { return {}; }\x0a"
"        static unit op_lshr( unit, unit ) { return {}; }\x0a"
"        static unit op_ashr( unit, unit ) { return {}; }\x0a"
"        static unit op_and ( unit, unit ) { return {}; }\x0a"
"        static unit op_or  ( unit, unit ) { return {}; }\x0a"
"        static unit op_xor ( unit, unit ) { return {}; }\x0a"
"\x0a"
"        using bw = uint8_t;\x0a"
"\x0a"
"        /* comparison operations */\x0a"
"        static unit op_foeq( unit, unit ) { return {}; }\x0a"
"        static unit op_fogt( unit, unit ) { return {}; }\x0a"
"        static unit op_foge( unit, unit ) { return {}; }\x0a"
"        static unit op_folt( unit, unit ) { return {}; }\x0a"
"        static unit op_fole( unit, unit ) { return {}; }\x0a"
"        static unit op_fone( unit, unit ) { return {}; }\x0a"
"        static unit op_ford( unit, unit ) { return {}; }\x0a"
"        static unit op_funo( unit, unit ) { return {}; }\x0a"
"        static unit op_fueq( unit, unit ) { return {}; }\x0a"
"        static unit op_fugt( unit, unit ) { return {}; }\x0a"
"        static unit op_fuge( unit, unit ) { return {}; }\x0a"
"        static unit op_fult( unit, unit ) { return {}; }\x0a"
"        static unit op_fule( unit, unit ) { return {}; }\x0a"
"        static unit op_fune( unit, unit ) { return {}; }\x0a"
"\x0a"
"        static unit op_eq ( unit, unit ) { return {}; }\x0a"
"        static unit op_ne ( unit, unit ) { return {}; }\x0a"
"        static unit op_ugt( unit, unit ) { return {}; }\x0a"
"        static unit op_uge( unit, unit ) { return {}; }\x0a"
"        static unit op_ult( unit, unit ) { return {}; }\x0a"
"        static unit op_ule( unit, unit ) { return {}; }\x0a"
"        static unit op_sgt( unit, unit ) { return {}; }\x0a"
"        static unit op_sge( unit, unit ) { return {}; }\x0a"
"        static unit op_slt( unit, unit ) { return {}; }\x0a"
"        static unit op_sle( unit, unit ) { return {}; }\x0a"
"\x0a"
"        static unit op_ffalse( unit, unit ) { return {}; }\x0a"
"        static unit op_ftrue( unit, unit ) { return {}; }\x0a"
"\x0a"
"\x0a"
"        static unit op_fpext( unit, bw ) { return {}; }\x0a"
"        static unit op_fptosi( unit, bw ) { return {}; }\x0a"
"        static unit op_fptoui( unit, bw ) { return {}; }\x0a"
"        static unit op_fptrunc( unit, bw ) { return {}; }\x0a"
"        static unit op_inttoptr( unit, bw ) { return {}; }\x0a"
"        static unit op_ptrtoint( unit, bw ) { return {}; }\x0a"
"        static unit op_sext( unit, bw ) { return {}; }\x0a"
"        static unit op_sitofp( unit, bw ) { return {}; }\x0a"
"        static unit op_trunc( unit, bw ) { return {}; }\x0a"
"        static unit op_uitofp( unit, bw ) { return {}; }\x0a"
"        static unit op_zext( unit, bw ) { return {}; }\x0a"
"        static unit op_zfit( unit, bw ) { return {}; }\x0a"
"\x0a"
"        /* TODO remove, only here to satisfy the vtable generator */\x0a"
"        static unit lift_one_i1( i1 v )   { return lift( v ); }\x0a"
"        static unit lift_one_i8( i8 v )   { return lift( v ); }\x0a"
"        static unit lift_one_i16( i16 v ) { return lift( v ); }\x0a"
"        static unit lift_one_i32( i32 v ) { return lift( v ); }\x0a"
"        static unit lift_one_i64( i64 v ) { return lift( v ); }\x0a"
"        static unit lift_one_f32( f32 v ) { return lift( v ); }\x0a"
"        static unit lift_one_f64( f64 v ) { return lift( v ); }\x0a"
"\x0a"
"        static unit lift_one_ptr( void *v )\x0a"
"        {\x0a"
"            return lift( reinterpret_cast< uintptr_t >( v ) );\x0a"
"        }\x0a"
"    };\x0a"
"\x0a"
"} // namespace __dios\x3a\x3arst\x3a\x3a""abstract\x0a"
"", 6041 ); }