#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_latin1_c( 
"/* Latin-1 codec\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdbool.h>\x0a"
"#ifndef REGTEST\x0a"
"#include <uchar.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"\x0a"
"static bool latin1_mbsinit( const mbstate_t *ps )\x0a"
"{ return 1; }\x0a"
"\x0a"
"static bool latin1toc32(\x0a"
"    char32_t       *restrict *restrict   p_outbuf,\x0a"
"    size_t                   *restrict   p_outsz,\x0a"
"    const char     *restrict *restrict   p_inbuf,\x0a"
"    size_t                   *restrict   p_insz,\x0a"
"    mbstate_t                *restrict   p_ps\x0a"
")\x0a"
"{\x0a"
"    while(*p_outsz \x26\x26 *p_insz) {\x0a"
"        unsigned char c = **p_inbuf;\x0a"
"\x0a"
"        if(p_outbuf) {\x0a"
"            **p_outbuf = c;\x0a"
"            (*p_outbuf)++; \x0a"
"        }\x0a"
"\x0a"
"        (*p_inbuf)++;\x0a"
"        (*p_insz)--; \x0a"
"        (*p_outsz)--;\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"\x0a"
"static bool c32tolatin1(\x0a"
"    char           *restrict *restrict  p_outbuf,\x0a"
"    size_t                   *restrict  p_outsz,\x0a"
"    const char32_t *restrict *restrict  p_inbuf,\x0a"
"    size_t                   *restrict  p_insz,\x0a"
"    mbstate_t                *restrict  p_ps\x0a"
")\x0a"
"{\x0a"
"    while(*p_outsz \x26\x26 *p_insz) {\x0a"
"        char32_t c = **p_inbuf;\x0a"
"        if(c > 255)\x0a"
"            return false;\x0a"
"\x0a"
"        if(p_outbuf) {\x0a"
"            **p_outbuf = c;\x0a"
"            (*p_outbuf)++;\x0a"
"        }\x0a"
"\x0a"
"        (*p_inbuf)++;\x0a"
"        (*p_insz)--; \x0a"
"        (*p_outsz)--;        \x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"\x0a"
"const struct _PDCLIB_charcodec_t _PDCLIB_latin1_codec = {\x0a"
"    .__mbsinit   = latin1_mbsinit,\x0a"
"    .__mbstoc32s = latin1toc32,\x0a"
"    .__c32stombs = c32tolatin1,\x0a"
"    .__mb_max    = 1,\x0a"
"};\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    // Valid conversion \x26 back\x0a"
"\x0a"
"    char32_t c32out\x5b""5\x5d;\x0a"
"\x0a"
"    char32_t *c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    size_t    c32rem = 5;\x0a"
"    char     *chrptr = (char*) \x26""abcde\x5b""0\x5d;\x0a"
"    size_t    chrrem = 5;\x0a"
"    mbstate_t mbs = { 0 };\x0a"
"\x0a"
"    TESTCASE(latin1toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs) == true);\x0a"
"    TESTCASE(c32rem == 0);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""5\x5d);\x0a"
"    TESTCASE(chrptr == \x26""abcde\x5b""5\x5d);\x0a"
"    TESTCASE(c32out\x5b""0\x5d == 'a' \x26\x26 c32out\x5b""1\x5d == 'b' \x26\x26 c32out\x5b""2\x5d == 'c' \x26\x26 \x5c\x0a"
"             c32out\x5b""3\x5d == 'd' \x26\x26 c32out\x5b""4\x5d == 'e');\x0a"
"\x0a"
"    char chrout\x5b""5\x5d;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 5;\x0a"
"    chrptr = \x26""chrout\x5b""0\x5d;\x0a"
"    chrrem = 5;\x0a"
"\x0a"
"\x0a"
"    TESTCASE(c32tolatin1(\x26""chrptr, \x26""chrrem, \x26""c32ptr, \x26""c32rem, \x26mbs) == true);\x0a"
"    TESTCASE(c32rem == 0);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""5\x5d);\x0a"
"    TESTCASE(chrptr == \x26""chrout\x5b""5\x5d);\x0a"
"    TESTCASE(memcmp(chrout, abcde, 5) == 0);\x0a"
"\x0a"
"    // Invalid conversions\x0a"
"    char32_t baduni = 0xFFFE;\x0a"
"    c32ptr = \x26""baduni;\x0a"
"    c32rem = 1;\x0a"
"    chrptr = \x26""chrout\x5b""0\x5d;\x0a"
"    chrrem = 5;\x0a"
"    TESTCASE(c32tolatin1(\x26""chrptr, \x26""chrrem, \x26""c32ptr, \x26""c32rem, \x26mbs) == false);\x0a"
"    TESTCASE(c32ptr == \x26""baduni);\x0a"
"    TESTCASE(c32rem == 1);\x0a"
"    TESTCASE(chrptr == \x26""chrout\x5b""0\x5d);\x0a"
"    TESTCASE(chrrem == 5);\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2949 ); }