#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_rename_c( 
"/* _PDCLIB_rename( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <sys/syswrap.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"\x0a"
"#include <errno.h>\x0a"
"\x0a"
"extern int __libc_unlink( const char * pathname );\x0a"
"extern int __libc_link( const char * old, const char * new );\x0a"
"\x0a"
"int _PDCLIB_rename( const char * old, const char * new )\x0a"
"{\x0a"
"    /* Note that the behaviour if new file exists is implementation-defined.\x0a"
"       There is nothing wrong with either overwriting it or failing the\x0a"
"       operation, but you might want to document whichever you chose.\x0a"
"       This example fails if new file exists.\x0a"
"    */\x0a"
"    if ( __libc_link( old, new ) == 0 )\x0a"
"    {\x0a"
"        if ( __libc_unlink( old ) == EOF )\x0a"
"        {\x0a"
"            return -1;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            return 0;\x0a"
"        }\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return EOF;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    FILE * file;\x0a"
"    remove( testfile1 );\x0a"
"    remove( testfile2 );\x0a"
"    /* check that neither file exists */\x0a"
"    TESTCASE( fopen( testfile1, \x22r\x22 ) == NULL );\x0a"
"    TESTCASE( fopen( testfile2, \x22r\x22 ) == NULL );\x0a"
"    /* rename file 1 to file 2 - expected to fail */\x0a"
"    TESTCASE( _PDCLIB_rename( testfile1, testfile2 ) == -1 );\x0a"
"    /* create file 1 */\x0a"
"    TESTCASE( ( file = fopen( testfile1, \x22w\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fputc( 'x', file ) == 'x' );\x0a"
"    TESTCASE( fclose( file ) == 0 );\x0a"
"    /* check that file 1 exists */\x0a"
"    TESTCASE( ( file = fopen( testfile1, \x22r\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fclose( file ) == 0 );\x0a"
"    /* rename file 1 to file 2 */\x0a"
"    TESTCASE( _PDCLIB_rename( testfile1, testfile2 ) == 0 );\x0a"
"    /* check that file 2 exists, file 1 does not */\x0a"
"    TESTCASE( fopen( testfile1, \x22r\x22 ) == NULL );\x0a"
"    TESTCASE( ( file = fopen( testfile2, \x22r\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fclose( file ) == 0 );\x0a"
"    /* create another file 1 */\x0a"
"    TESTCASE( ( file = fopen( testfile1, \x22w\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fputc( 'x', file ) == 'x' );\x0a"
"    TESTCASE( fclose( file ) == 0 );\x0a"
"    /* check that file 1 exists */\x0a"
"    TESTCASE( ( file = fopen( testfile1, \x22r\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fclose( file ) == 0 );\x0a"
"    /* rename file 1 to file 2 - expected to fail, see comment in\x0a"
"       _PDCLIB_rename() itself.\x0a"
"    */\x0a"
"    TESTCASE( _PDCLIB_rename( testfile1, testfile2 ) == -1 );\x0a"
"    /* remove both files */\x0a"
"    remove( testfile1 );\x0a"
"    remove( testfile2 );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 2581 ); }