#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_strtox_main_c( 
"/* _PDCLIB_strtox_main( const char * *, int, _PDCLIB_uintmax_t, _PDCLIB_uintmax_t, int )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <ctype.h>\x0a"
"#include <errno.h>\x0a"
"#include <string.h>\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"_PDCLIB_uintmax_t _PDCLIB_strtox_main( const char ** p, unsigned int base, uintmax_t error, uintmax_t limval, int limdigit, char * sign )\x0a"
"{\x0a"
"    _PDCLIB_uintmax_t rc = 0;\x0a"
"    int digit = -1;\x0a"
"    const char * x;\x0a"
"    while ( ( x = memchr( _PDCLIB_digits, tolower(**p), base ) ) \x21= NULL )\x0a"
"    {\x0a"
"        digit = x - _PDCLIB_digits;\x0a"
"        if ( ( rc < limval ) \x7c\x7c ( ( rc == limval ) \x26\x26 ( digit <= limdigit ) ) )\x0a"
"        {\x0a"
"            rc = rc * base + (unsigned)digit;\x0a"
"            ++(*p);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            errno = ERANGE;\x0a"
"            /* TODO\x3a Only if endptr \x21= NULL - but do we really want *another* parameter\x3f */\x0a"
"            /* TODO\x3a Earlier version was missing tolower() here but was not caught by tests */\x0a"
"            while ( memchr( _PDCLIB_digits, tolower(**p), base ) \x21= NULL ) ++(*p);\x0a"
"            /* TODO\x3a This is ugly, but keeps caller from negating the error value */\x0a"
"            *sign = '+';\x0a"
"            return error;\x0a"
"        }\x0a"
"    }\x0a"
"    if ( digit == -1 )\x0a"
"    {\x0a"
"        *p = NULL;\x0a"
"        return 0;\x0a"
"    }\x0a"
"    return rc;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <errno.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    const char * p;\x0a"
"    char test\x5b\x5d = \x22""123_\x22;\x0a"
"    char fail\x5b\x5d = \x22xxx\x22;\x0a"
"    char sign = '-';\x0a"
"    /* basic functionality */\x0a"
"    p = test;\x0a"
"    errno = 0;\x0a"
"    TESTCASE( _PDCLIB_strtox_main( \x26p, 10u, (uintmax_t)999, (uintmax_t)12, 3, \x26sign ) == 123 );\x0a"
"    TESTCASE( errno == 0 );\x0a"
"    TESTCASE( p == \x26test\x5b""3\x5d );\x0a"
"    /* proper functioning to smaller base */\x0a"
"    p = test;\x0a"
"    TESTCASE( _PDCLIB_strtox_main( \x26p, 8u, (uintmax_t)999, (uintmax_t)12, 3, \x26sign ) == 0123 );\x0a"
"    TESTCASE( errno == 0 );\x0a"
"    TESTCASE( p == \x26test\x5b""3\x5d );\x0a"
"    /* overflowing subject sequence must still return proper endptr */\x0a"
"    p = test;\x0a"
"    TESTCASE( _PDCLIB_strtox_main( \x26p, 4u, (uintmax_t)999, (uintmax_t)1, 2, \x26sign ) == 999 );\x0a"
"    TESTCASE( errno == ERANGE );\x0a"
"    TESTCASE( p == \x26test\x5b""3\x5d );\x0a"
"    TESTCASE( sign == '+' );\x0a"
"    /* testing conversion failure */\x0a"
"    errno = 0;\x0a"
"    p = fail;\x0a"
"    sign = '-';\x0a"
"    TESTCASE( _PDCLIB_strtox_main( \x26p, 10u, (uintmax_t)999, (uintmax_t)99, 8, \x26sign ) == 0 );\x0a"
"    TESTCASE( p == NULL );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 2541 ); }