#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_strtox_prelim_c( 
"/* _PDCLIB_strtox_prelim( const char *, char *, int * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <ctype.h>\x0a"
"#include <stddef.h>\x0a"
"#include <string.h>\x0a"
"#ifndef REGTEST\x0a"
"const char * _PDCLIB_strtox_prelim( const char * p, char * sign, int * base )\x0a"
"{\x0a"
"    /* skipping leading whitespace */\x0a"
"    while ( isspace( *p ) ) ++p;\x0a"
"    /* determining / skipping sign */\x0a"
"    if ( *p \x21= '+' \x26\x26 *p \x21= '-' ) *sign = '+';\x0a"
"    else *sign = *(p++);\x0a"
"    /* determining base */\x0a"
"    if ( *p == '0' )\x0a"
"    {\x0a"
"        ++p;\x0a"
"        if ( ( *base == 0 \x7c\x7c *base == 16 ) \x26\x26 ( *p == 'x' \x7c\x7c *p == 'X' ) )\x0a"
"        {\x0a"
"            *base = 16;\x0a"
"            ++p;\x0a"
"            /* catching a border case here\x3a \x22""0x\x22 followed by a non-digit should\x0a"
"               be parsed as the unprefixed zero.\x0a"
"               We have to \x22rewind\x22 the parsing; having the base set to 16 if it\x0a"
"               was zero previously does not hurt, as the result is zero anyway.\x0a"
"            */\x0a"
"            if ( memchr( _PDCLIB_digits, tolower(*p), *base ) == NULL )\x0a"
"            {\x0a"
"                p -= 2;\x0a"
"            }\x0a"
"        }\x0a"
"        else if ( *base == 0 )\x0a"
"        {\x0a"
"            *base = 8;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            --p;\x0a"
"        }\x0a"
"    }\x0a"
"    else if ( \x21 *base )\x0a"
"    {\x0a"
"        *base = 10;\x0a"
"    }\x0a"
"    return ( ( *base >= 2 ) \x26\x26 ( *base <= 36 ) ) \x3f p \x3a NULL;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    int base = 0;\x0a"
"    char sign = '\x5c""0';\x0a"
"    char test1\x5b\x5d = \x22  123\x22;\x0a"
"    char test2\x5b\x5d = \x22\x5ct+0123\x22;\x0a"
"    char test3\x5b\x5d = \x22\x5cv-0x123\x22;\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test1, \x26sign, \x26""base ) == \x26test1\x5b""2\x5d );\x0a"
"    TESTCASE( sign == '+' );\x0a"
"    TESTCASE( base == 10 );\x0a"
"    base = 0;\x0a"
"    sign = '\x5c""0';\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test2, \x26sign, \x26""base ) == \x26test2\x5b""3\x5d );\x0a"
"    TESTCASE( sign == '+' );\x0a"
"    TESTCASE( base == 8 );\x0a"
"    base = 0;\x0a"
"    sign = '\x5c""0';\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test3, \x26sign, \x26""base ) == \x26test3\x5b""4\x5d );\x0a"
"    TESTCASE( sign == '-' );\x0a"
"    TESTCASE( base == 16 );\x0a"
"    base = 10;\x0a"
"    sign = '\x5c""0';\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test3, \x26sign, \x26""base ) == \x26test3\x5b""2\x5d );\x0a"
"    TESTCASE( sign == '-' );\x0a"
"    TESTCASE( base == 10 );\x0a"
"    base = 1;\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test3, \x26sign, \x26""base ) == NULL );\x0a"
"    base = 37;\x0a"
"    TESTCASE( _PDCLIB_strtox_prelim( test3, \x26sign, \x26""base ) == NULL );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 2454 ); }