#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB_assert_c( 
"/* _PDCLIB_assert( char const * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdlib.h>\x0a"
"#include <assert.h>\x0a"
"#include <string.h>\x0a"
"#include <sys/trace.h>\x0a"
"#include <sys/fault.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#include <_PDCLIB/cdefs.h>\x0a"
"\x0a"
"void __assert_fail( const char *stmt, const char *file, unsigned line, const char *fun )\x0a"
"{\x0a"
"    int masked = __dios_mask( 1 );\x0a"
"    char buffer\x5b 200 \x5d;\x0a"
"\x0a"
"    const char * prefix = \x22/opt/divine/include\x22;\x0a"
"    const int prefix_len = strlen( prefix );\x0a"
"\x0a"
"    int shift = 0;\x0a"
"    const char * bgn = strstr( file, \x22/dios/\x22 );\x0a"
"    if ( bgn \x21= NULL ) {\x0a"
"        file = bgn;\x0a"
"        strcpy( buffer, prefix );\x0a"
"        shift += prefix_len;\x0a"
"    }\x0a"
"\x0a"
"    snprintf( buffer + shift, 200 - shift,\x0a"
"              \x22\x25s\x3a\x25u\x3a \x25s\x3a assertion '\x25s' failed\x22, file, line, fun, stmt );\x0a"
"    __dios_fault( _VM_F_Assert, buffer );\x0a"
"    __dios_mask( masked );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <signal.h>\x0a"
"\x0a"
"static int EXPECTED_ABORT = 0;\x0a"
"static int UNEXPECTED_ABORT = 1;\x0a"
"\x0a"
"static void aborthandler( int sig )\x0a"
"{\x0a"
"    TESTCASE( \x21 EXPECTED_ABORT );\x0a"
"    exit( (signed int)TEST_RESULTS );\x0a"
"}\x0a"
"\x0a"
"#define NDEBUG\x0a"
"#include <assert.h>\x0a"
"\x0a"
"static int disabled_test( void )\x0a"
"{\x0a"
"    int i = 0;\x0a"
"    assert( i == 0 ); /* NDEBUG set, condition met */\x0a"
"    assert( i == 1 ); /* NDEBUG set, condition fails */\x0a"
"    return i;\x0a"
"}\x0a"
"\x0a"
"#undef NDEBUG\x0a"
"#include <assert.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( signal( SIGABRT, \x26""aborthandler ) \x21= SIG_ERR );\x0a"
"    TESTCASE( disabled_test() == 0 );\x0a"
"    assert( UNEXPECTED_ABORT ); /* NDEBUG not set, condition met */\x0a"
"    assert( EXPECTED_ABORT ); /* NDEBUG not set, condition fails - should abort */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1760 ); }