#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB_stdarg_c( 
"/* stdarg\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdarg.h>\x0a"
"#include <limits.h>\x0a"
"#include <float.h>\x0a"
"#ifdef TEST\x0a"
"\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"typedef int (*intfunc_t)( void );\x0a"
"\x0a"
"enum tag_t\x0a"
"{\x0a"
"    TAG_END,\x0a"
"    TAG_INT,\x0a"
"    TAG_LONG,\x0a"
"    TAG_LLONG,\x0a"
"    TAG_DBL,\x0a"
"    TAG_LDBL,\x0a"
"    TAG_INTPTR,\x0a"
"    TAG_LDBLPTR,\x0a"
"    TAG_FUNCPTR\x0a"
"};\x0a"
"\x0a"
"static int dummy( void )\x0a"
"{\x0a"
"    return INT_MAX;\x0a"
"}\x0a"
"\x0a"
"static int test( enum tag_t s, ... )\x0a"
"{\x0a"
"    enum tag_t tag = s;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, s );\x0a"
"    for (;;)\x0a"
"    {\x0a"
"        switch ( tag )\x0a"
"        {\x0a"
"            case TAG_INT\x3a\x0a"
"            {\x0a"
"                TESTCASE( va_arg( ap, int ) == INT_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_LONG\x3a\x0a"
"            {\x0a"
"                TESTCASE( va_arg( ap, long ) == LONG_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_LLONG\x3a\x0a"
"            {\x0a"
"                TESTCASE( va_arg( ap, long long ) == LLONG_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_DBL\x3a\x0a"
"            {\x0a"
"                TESTCASE( va_arg( ap, double ) == DBL_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"/* FIXME (fails on divine, broken out into a separate test)\x0a"
"            case TAG_LDBL\x3a\x0a"
"            {\x0a"
"                TESTCASE( va_arg( ap, long double ) == LDBL_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"*/\x0a"
"            case TAG_INTPTR\x3a\x0a"
"            {\x0a"
"                TESTCASE( *( va_arg( ap, int * ) ) == INT_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_LDBLPTR\x3a\x0a"
"            {\x0a"
"                TESTCASE( *( va_arg( ap, long double * ) ) == LDBL_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_FUNCPTR\x3a\x0a"
"            {\x0a"
"                intfunc_t function;\x0a"
"                TESTCASE( ( function = va_arg( ap, intfunc_t ) ) == dummy );\x0a"
"                TESTCASE( function() == INT_MAX );\x0a"
"                tag = va_arg( ap, enum tag_t );\x0a"
"                break;\x0a"
"            }\x0a"
"            case TAG_END\x3a\x0a"
"            {\x0a"
"                va_end( ap );\x0a"
"                return 0;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    int x = INT_MAX;\x0a"
"    long double d = LDBL_MAX;\x0a"
"    test( TAG_END );\x0a"
"    test( TAG_INT, INT_MAX, TAG_END );\x0a"
"    test( TAG_LONG, LONG_MAX, TAG_LLONG, LLONG_MAX, TAG_END );\x0a"
"    test( TAG_DBL, DBL_MAX, TAG_LDBL, LDBL_MAX, TAG_END );\x0a"
"    test( TAG_INTPTR, \x26x, TAG_LDBLPTR, \x26""d, TAG_FUNCPTR, dummy, TAG_END );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2817 ); }