#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_libgen_basename_c( 
"/*\x09\x24OpenBSD\x3a basename.c,v 1.16 2019/01/25 00\x3a""19\x3a""25 millert Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1997, 2004 Todd C. Miller <millert\x40openbsd.org>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#include <errno.h>\x0a"
"#include <libgen.h>\x0a"
"#include <limits.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"char *\x0a"
"basename(const char *path)\x0a"
"{\x0a"
"\x09static char bname\x5bPATH_MAX\x5d;\x0a"
"\x09size_t len;\x0a"
"\x09""const char *endp, *startp;\x0a"
"\x0a"
"\x09/* Empty or NULL string gets treated as \x22.\x22 */\x0a"
"\x09if (path == NULL \x7c\x7c *path == '\x5c""0') {\x0a"
"\x09\x09""bname\x5b""0\x5d = '.';\x0a"
"\x09\x09""bname\x5b""1\x5d = '\x5c""0';\x0a"
"\x09\x09return (bname);\x0a"
"\x09}\x0a"
"\x0a"
"\x09/* Strip any trailing slashes */\x0a"
"\x09""endp = path + strlen(path) - 1;\x0a"
"\x09while (endp > path \x26\x26 *endp == '/')\x0a"
"\x09\x09""endp--;\x0a"
"\x0a"
"\x09/* All slashes becomes \x22/\x22 */\x0a"
"\x09if (endp == path \x26\x26 *endp == '/') {\x0a"
"\x09\x09""bname\x5b""0\x5d = '/';\x0a"
"\x09\x09""bname\x5b""1\x5d = '\x5c""0';\x0a"
"\x09\x09return (bname);\x0a"
"\x09}\x0a"
"\x0a"
"\x09/* Find the start of the base */\x0a"
"\x09startp = endp;\x0a"
"\x09while (startp > path \x26\x26 *(startp - 1) \x21= '/')\x0a"
"\x09\x09startp--;\x0a"
"\x0a"
"\x09len = endp - startp + 1;\x0a"
"\x09if (len >= sizeof(bname)) {\x0a"
"\x09\x09""errno = ENAMETOOLONG;\x0a"
"\x09\x09return (NULL);\x0a"
"\x09}\x0a"
"\x09memcpy(bname, startp, len);\x0a"
"\x09""bname\x5blen\x5d = '\x5c""0';\x0a"
"\x09return (bname);\x0a"
"}\x0a"
"", 1723 ); }