#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_net_getservbyname_c( 
"/*\x09\x24OpenBSD\x3a getservbyname.c,v 1.11 2015/09/14 07\x3a""38\x3a""38 guenther Exp \x24 */\x0a"
"/*\x0a"
" * Copyright (c) 1983, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <netdb.h>\x0a"
"#include <stdio.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"int\x0a"
"getservbyname_r(const char *name, const char *proto, struct servent *se,\x0a"
"    struct servent_data *sd)\x0a"
"{\x0a"
"\x09""char **cp;\x0a"
"\x09int error;\x0a"
"\x0a"
"\x09setservent_r(sd->stayopen, sd);\x0a"
"\x09while ((error = getservent_r(se, sd)) == 0) {\x0a"
"\x09\x09if (strcmp(name, se->s_name) == 0)\x0a"
"\x09\x09\x09goto gotname;\x0a"
"\x09\x09""for (cp = se->s_aliases; *cp; cp++)\x0a"
"\x09\x09\x09if (strcmp(name, *cp) == 0)\x0a"
"\x09\x09\x09\x09goto gotname;\x0a"
"\x09\x09""continue;\x0a"
"gotname\x3a\x0a"
"\x09\x09if (proto == 0 \x7c\x7c strcmp(se->s_proto, proto) == 0)\x0a"
"\x09\x09\x09""break;\x0a"
"\x09}\x0a"
"\x09if (\x21sd->stayopen \x26\x26 sd->fp \x21= NULL) {\x0a"
"\x09\x09""fclose(sd->fp);\x0a"
"\x09\x09sd->fp = NULL;\x0a"
"\x09}\x0a"
"\x09return (error);\x0a"
"}\x0a"
"//DEF_WEAK(getservbyname_r);\x0a"
"\x0a"
"struct servent *\x0a"
"getservbyname(const char *name, const char *proto)\x0a"
"{\x0a"
"\x09""extern struct servent_data _servent_data;\x0a"
"\x09static struct servent serv;\x0a"
"\x0a"
"\x09if (getservbyname_r(name, proto, \x26serv, \x26_servent_data) \x21= 0)\x0a"
"\x09\x09return (NULL);\x0a"
"\x09return (\x26serv);\x0a"
"}\x0a"
"//DEF_WEAK(getservbyname);\x0a"
"", 2565 ); }