#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_pthread_pthread_cancel_cpp( 
"// -*- C++ -*- (c) 2013 Milan Lenco <lencomilan\x40gmail.com>\x0a"
"//             (c) 2014-2018 Vladim\xc3\xadr \xc5\xa0till <xstill\x40""fi.muni.cz>\x0a"
"//             (c) 2016 Henrich Lauko <xlauko\x40""fi.muni.cz>\x0a"
"//             (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"\x0a"
"/* Includes */\x0a"
"#include <sys/thread.h>\x0a"
"\x0a"
"using namespace __dios;\x0a"
"\x0a"
"/* Thread cancellation */\x0a"
"int pthread_setcancelstate( int state, int *oldstate ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    if ( state \x26 \x7e""0x1 )\x0a"
"        return EINVAL;\x0a"
"\x0a"
"    _PThread \x26thread = getThread();\x0a"
"    if ( oldstate )\x0a"
"        *oldstate = thread.cancel_state;\x0a"
"    thread.cancel_state = state \x26 1;\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int pthread_setcanceltype( int type, int *oldtype ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    if ( type \x26 \x7e""0x1 )\x0a"
"        return EINVAL;\x0a"
"\x0a"
"    _PThread \x26thread = getThread();\x0a"
"    if ( oldtype )\x0a"
"        *oldtype = thread.cancel_type;\x0a"
"    thread.cancel_type = type \x26 1;\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int pthread_cancel( pthread_t gtid ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    _PThread *thread = nullptr;\x0a"
"    {\x0a"
"        __dios\x3a\x3a""DetectFault f( _VM_F_Memory );\x0a"
"        thread = \x26getThread( gtid );\x0a"
"        if ( f.triggered() )\x0a"
"            return ESRCH;\x0a"
"    }\x0a"
"\x0a"
"    if ( thread->cancel_state == PTHREAD_CANCEL_ENABLE )\x0a"
"        thread->cancelled = true;\x0a"
"\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"void pthread_testcancel( void ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    if ( _canceled() )\x0a"
"        _cancel( mask );\x0a"
"}\x0a"
"\x0a"
"void pthread_cleanup_push( void ( *routine )( void * ), void *arg ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    assert( routine \x21= NULL );\x0a"
"\x0a"
"    _PThread \x26thread = getThread();\x0a"
"    CleanupHandler *handler = reinterpret_cast< CleanupHandler * >(\x0a"
"            __vm_obj_make( sizeof( CleanupHandler ), _VM_PT_Heap ) );\x0a"
"    handler->routine = routine;\x0a"
"    handler->arg = arg;\x0a"
"    handler->next = thread.cleanup_handlers;\x0a"
"    thread.cleanup_handlers = handler;\x0a"
"}\x0a"
"\x0a"
"void pthread_cleanup_pop( int execute ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3a""FencedInterruptMask mask;\x0a"
"\x0a"
"    _PThread \x26thread = getThread();\x0a"
"    CleanupHandler *handler = thread.cleanup_handlers;\x0a"
"    if ( handler \x21= NULL ) {\x0a"
"        thread.cleanup_handlers = handler->next;\x0a"
"        if ( execute ) {\x0a"
"            handler->routine( handler->arg );\x0a"
"        }\x0a"
"        __vm_obj_free( handler );\x0a"
"    }\x0a"
"}\x0a"
"", 2295 ); }