#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_signal_sigsetops_c( 
"/*\x09\x24OpenBSD\x3a sigsetops.c,v 1.7 2015/09/12 16\x3a""46\x3a""12 guenther Exp \x24 */\x0a"
"/*-\x0a"
" * Copyright (c) 1989, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)sigsetops.c\x09""8.1 (Berkeley) 6/4/93\x0a"
" */\x0a"
"\x0a"
"#define _ANSI_LIBRARY\x0a"
"#include <errno.h>\x0a"
"#include <signal.h>\x0a"
"\x0a"
"#undef sigemptyset\x0a"
"#undef sigfillset\x0a"
"#undef sigaddset\x0a"
"#undef sigdelset\x0a"
"#undef sigismember\x0a"
"\x0a"
"int sigaddset(sigset_t *__set, int __signo)\x0a"
"{\x0a"
"\x09if (__signo <= 0 \x7c\x7c __signo >= _NSIG) {\x0a"
"\x09\x09""errno = 22;\x09\x09/* EINVAL */\x0a"
"\x09\x09return -1;\x0a"
"\x09}\x0a"
"\x09*__set \x7c= (1U << ((__signo)-1));\x09/* sigmask(__signo) */\x0a"
"\x09return (0);\x0a"
"}\x0a"
"\x0a"
"int sigdelset(sigset_t *__set, int __signo)\x0a"
"{\x0a"
"\x09if (__signo <= 0 \x7c\x7c __signo >= _NSIG) {\x0a"
"\x09\x09""errno = 22;\x09\x09/* EINVAL */\x0a"
"\x09\x09return -1;\x0a"
"\x09}\x0a"
"\x09*__set \x26= \x7e(1U << ((__signo)-1));\x09/* sigmask(__signo) */\x0a"
"\x09return (0);\x0a"
"}\x0a"
"\x0a"
"int sigismember(const sigset_t *__set, int __signo)\x0a"
"{\x0a"
"\x09if (__signo <= 0 \x7c\x7c __signo >= _NSIG) {\x0a"
"\x09\x09""errno = 22;\x09\x09/* EINVAL */\x0a"
"\x09\x09return -1;\x0a"
"\x09}\x0a"
"\x09return ((*__set \x26 (1U << ((__signo)-1))) \x21= 0);\x0a"
"}\x0a"
"\x0a"
"int sigemptyset(sigset_t *__set)\x0a"
"{\x0a"
"\x09*__set = 0;\x0a"
"\x09return (0);\x0a"
"}\x0a"
"\x0a"
"int sigfillset(sigset_t *__set)\x0a"
"{\x0a"
"\x09*__set = \x7e(sigset_t)0;\x0a"
"\x09return (0);\x0a"
"}\x0a"
"", 2599 ); }