#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__PDCLIB_fileops_c( 
"/* _PDCLIB_fileops\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#define _FILE_OFFSET_BITS 64\x0a"
"#include <stdio.h>\x0a"
"#include <stdint.h>\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"#include <errno.h>\x0a"
"#include <unistd.h>\x0a"
"#include <sys/syswrap.h>\x0a"
"\x0a"
"static bool readf( _PDCLIB_fd_t fd, void * buf, size_t length,\x0a"
"                   size_t * numBytesRead )\x0a"
"{\x0a"
"    ssize_t res = __libc_read(fd.sval, buf, length);\x0a"
"    if(res == -1) {\x0a"
"        *numBytesRead = 0;\x0a"
"        return false;\x0a"
"    } else {\x0a"
"        *numBytesRead = res;\x0a"
"        return true;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"static bool writef( _PDCLIB_fd_t fd, const void * buf, size_t length,\x0a"
"                   size_t * numBytesWritten )\x0a"
"{\x0a"
"    ssize_t res = __libc_write(fd.sval, buf, length);\x0a"
"    if(res == -1) {\x0a"
"        *numBytesWritten = 0;\x0a"
"        return false;\x0a"
"    } else {\x0a"
"        *numBytesWritten = res;\x0a"
"        return true;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"/* Note\x3a Assumes being compiled with an OFF64 programming model */\x0a"
"\x0a"
"static bool seekf( _PDCLIB_fd_t fd, int_fast64_t offset, int whence,\x0a"
"    int_fast64_t* newPos )\x0a"
"{\x0a"
"    off_t npos = __libc_lseek( fd.sval, offset, whence );\x0a"
"    if( npos == -1 ) {\x0a"
"        return false;\x0a"
"    } else {\x0a"
"        *newPos = npos;\x0a"
"        return true;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"static void closef( _PDCLIB_fd_t self )\x0a"
"{\x0a"
"    __libc_close( self.sval );\x0a"
"}\x0a"
"\x0a"
"const _PDCLIB_fileops_t _PDCLIB_fileops = {\x0a"
"    .read  = readf,\x0a"
"    .write = writef,\x0a"
"    .seek  = seekf,\x0a"
"    .close = closef,\x0a"
"};\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    // Tested by stdio test cases\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1631 ); }