#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__PDCLIB_flushbuffer_c( 
"/* _PDCLIB_flushbuffer( struct _PDCLIB_file_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"\x0a"
"static int flushsubbuffer( FILE * stream, size_t length )\x0a"
"{\x0a"
"    size_t justWrote;\x0a"
"    size_t written = 0;\x0a"
"    int rv = 0;\x0a"
"\x0a"
"#if 0\x0a"
"    // Very useful for debugging buffering issues\x0a"
"    char l = '<', r = '>';\x0a"
"    stream->ops->write( stream->handle, \x26l,  1, \x26justWrote );\x0a"
"#endif\x0a"
"\x0a"
"    while( written \x21= length )\x0a"
"    {\x0a"
"        size_t toWrite = length - written;\x0a"
"\x0a"
"        bool res = stream->ops->write( stream->handle, stream->buffer + written,\x0a"
"                              toWrite, \x26justWrote);\x0a"
"        written += justWrote;\x0a"
"        stream->pos.offset += justWrote;\x0a"
"\x0a"
"        if (\x21res)\x0a"
"        {\x0a"
"            stream->status \x7c= _PDCLIB_ERRORFLAG;\x0a"
"            rv = EOF;\x0a"
"            break;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"#if 0\x0a"
"    stream->ops->write( stream->handle, \x26r,  1, \x26justWrote );\x0a"
"#endif\x0a"
"\x0a"
"    stream->bufidx   -= written;\x0a"
"#ifdef _PDCLIB_NEED_EOL_TRANSLATION\x0a"
"    stream->bufnlexp -= written;\x0a"
"#endif\x0a"
"    memmove( stream->buffer, stream->buffer + written, stream->bufidx );\x0a"
"\x0a"
"    return rv;\x0a"
"}\x0a"
"\x0a"
"int _PDCLIB_flushbuffer( FILE * stream )\x0a"
"{\x0a"
"#ifdef _PDCLIB_NEED_EOL_TRANSLATION\x0a"
"    // if a text stream, and this platform needs EOL translation, well...\x0a"
"    if ( \x21 ( stream->status \x26 _PDCLIB_FBIN ) )\x0a"
"    {\x0a"
"        // Special case\x3a buffer is full and we start with a \x5cn\x0a"
"        if ( stream->bufnlexp == 0\x0a"
"            \x26\x26 stream->bufidx == stream->bufend\x0a"
"            \x26\x26 stream->buffer\x5b""0\x5d == '\x5cn' )\x0a"
"        {\x0a"
"            char cr = '\x5cr';\x0a"
"            size_t written = 0;\x0a"
"            bool res = stream->ops->write( stream->handle, \x26""cr, 1, \x26written );\x0a"
"\x0a"
"            if (\x21res) {\x0a"
"                stream->status \x7c= _PDCLIB_ERRORFLAG;\x0a"
"                return EOF;\x0a"
"            }\x0a"
"\x0a"
"        }\x0a"
"\x0a"
"        for ( ; stream->bufnlexp < stream->bufidx; stream->bufnlexp++ )\x0a"
"        {\x0a"
"            if (stream->buffer\x5bstream->bufnlexp\x5d == '\x5cn' ) {\x0a"
"                if ( stream->bufidx == stream->bufend ) {\x0a"
"                    // buffer is full. Need to print out everything up till now\x0a"
"                    if( flushsubbuffer( stream, stream->bufnlexp - 1 ) )\x0a"
"                    {\x0a"
"                        return EOF;\x0a"
"                    }\x0a"
"                }\x0a"
"\x0a"
"                // we have spare space in buffer. Shift everything 1char and\x0a"
"                // insert \x5cr\x0a"
"                memmove( \x26stream->buffer\x5bstream->bufnlexp + 1\x5d,\x0a"
"                         \x26stream->buffer\x5bstream->bufnlexp\x5d,\x0a"
"                         stream->bufidx - stream->bufnlexp );\x0a"
"                stream->buffer\x5bstream->bufnlexp\x5d = '\x5cr';\x0a"
"\x0a"
"                stream->bufnlexp++;\x0a"
"                stream->bufidx++;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"#endif\x0a"
"    return flushsubbuffer( stream, stream->bufidx );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 3053 ); }