#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__vcbprintf_c( 
"/* vsnprintf( char *, size_t, const char *, va_list )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <stdbool.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"/* returns true if callback-based output succeeded; else false */\x0a"
"static inline bool cbout(\x0a"
"    struct _PDCLIB_status_t * status,\x0a"
"    const char *buf,\x0a"
"    size_t size )\x0a"
"{\x0a"
"    size_t rv = status->write( status->ctx, buf, size );\x0a"
"    status->i += rv;\x0a"
"    return rv == size;\x0a"
"}\x0a"
"\x0a"
"int _vcbprintf(\x0a"
"    void *p,\x0a"
"    size_t ( *cb ) ( void *p, const char *buf, size_t size ),\x0a"
"    const char *format,\x0a"
"    va_list arg )\x0a"
"{\x0a"
"    struct _PDCLIB_status_t status;\x0a"
"    status.base     = 0;\x0a"
"    status.flags    = 0;\x0a"
"    status.n        = 0;\x0a"
"    status.i        = 0;\x0a"
"    status.current  = 0;\x0a"
"    status.width    = 0;\x0a"
"    status.prec     = 0;\x0a"
"    status.ctx      = p;\x0a"
"    status.write    = cb;\x0a"
"    va_copy( status.arg, arg );\x0a"
"\x0a"
"    /* Alternate between outputing runs of verbatim text and conversions */\x0a"
"    while ( *format \x21= '\x5c""0' )\x0a"
"    {\x0a"
"        const char *mark = format;\x0a"
"        while ( *format \x21= '\x5c""0' \x26\x26 *format \x21= '\x25')\x0a"
"        {\x0a"
"            format++;\x0a"
"        }\x0a"
"\x0a"
"        if ( mark \x21= format )\x0a"
"        {\x0a"
"            if ( \x21""cbout(\x26status, mark, format - mark) )\x0a"
"                return -1;\x0a"
"        }\x0a"
"\x0a"
"        if ( *format == '\x25' ) {\x0a"
"            int consumed = _PDCLIB_print( format, \x26status );\x0a"
"            if ( consumed > 0 )\x0a"
"            {\x0a"
"                format += consumed;\x0a"
"            }\x0a"
"            else if ( consumed == 0 )\x0a"
"            {\x0a"
"                /* not a conversion specifier, print verbatim */\x0a"
"                if ( \x21""cbout(\x26status, format++, 1) )\x0a"
"                    return -1;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                /* I/O callback error */\x0a"
"                return -1;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    va_end( status.arg );\x0a"
"    return status.i;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/_vcbprintf.c\x22\x0a"
"#define _PDCLIB_STRINGIO\x0a"
"#include <stdint.h>\x0a"
"#include <stddef.h>\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"static size_t testcb( void *p, const char *buf, size_t size )\x0a"
"{\x0a"
"    char **destbuf = p;\x0a"
"    memcpy(*destbuf, buf, size);\x0a"
"    *destbuf += size;\x0a"
"    return size;\x0a"
"}\x0a"
"\x0a"
"static int testprintf( char * s, const char * format, ... )\x0a"
"{\x0a"
"    int i;\x0a"
"    va_list arg;\x0a"
"    va_start( arg, format );\x0a"
"    i = _vcbprintf( \x26s, testcb, format, arg );\x0a"
"    *s = 0;\x0a"
"    va_end( arg );\x0a"
"    return i;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    char target\x5b""100\x5d;\x0a"
"#include \x22printf_testcases.h\x22\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2646 ); }