#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_clearerr_c( 
"/* clearerr( FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"void clearerr_unlocked( FILE * stream )\x0a"
"{\x0a"
"    stream->status \x26= \x7e( _PDCLIB_ERRORFLAG \x7c _PDCLIB_EOFFLAG );\x0a"
"}\x0a"
"\x0a"
"void clearerr( FILE * stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    clearerr_unlocked( stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    /* Flags should be clear */\x0a"
"    TESTCASE( \x21 ferror( fh ) );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    /* Reading from input stream - should provoke error */\x0a"
"    /* FIXME\x3a Apparently glibc disagrees on this assumption. How to provoke error on glibc\x3f */\x0a"
"    TESTCASE( fgetc( fh ) == EOF );\x0a"
"    TESTCASE( ferror( fh ) );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    /* clearerr() should clear flags */\x0a"
"    clearerr( fh );\x0a"
"    TESTCASE( \x21 ferror( fh ) );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    /* Reading from empty stream - should provoke EOF */\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fgetc( fh ) == EOF );\x0a"
"    TESTCASE( \x21 ferror( fh ) );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    /* clearerr() should clear flags */\x0a"
"    clearerr( fh );\x0a"
"    TESTCASE( \x21 ferror( fh ) );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1423 ); }