#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fflush_c( 
"/* fflush( FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <threads.h>\x0a"
"\x0a"
"extern FILE * _PDCLIB_filelist;\x0a"
"extern mtx_t _PDCLIB_filelist_lock;\x0a"
"\x0a"
"int fflush_unlocked( FILE * stream )\x0a"
"{\x0a"
"    if ( stream == NULL )\x0a"
"    {\x0a"
"        mtx_lock( \x26_PDCLIB_filelist_lock );\x0a"
"        stream = _PDCLIB_filelist;\x0a"
"        /* TODO\x3a Check what happens when fflush( NULL ) encounters write errors, in other libs */\x0a"
"        int rc = 0;\x0a"
"        while ( stream \x21= NULL )\x0a"
"        {\x0a"
"            if ( stream->status \x26 _PDCLIB_FWRITE )\x0a"
"            {\x0a"
"                if ( _PDCLIB_flushbuffer( stream ) == EOF )\x0a"
"                {\x0a"
"                    rc = EOF;\x0a"
"                }\x0a"
"            }\x0a"
"            stream = stream->next;\x0a"
"        }\x0a"
"        mtx_unlock( \x26_PDCLIB_filelist_lock );\x0a"
"        return rc;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return _PDCLIB_flushbuffer( stream );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"int fflush( FILE * stream )\x0a"
"{\x0a"
"    if ( stream )\x0a"
"        _PDCLIB_flockfile( stream );\x0a"
"    int res = fflush_unlocked(stream);\x0a"
"    if ( stream )\x0a"
"        _PDCLIB_funlockfile( stream );\x0a"
"    return res;\x0a"
"}\x0a"
"                \x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1367 ); }