#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fopen_c( 
"/* fopen( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"#include <string.h>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"extern FILE * _PDCLIB_filelist;\x0a"
"\x0a"
"FILE * fopen( const char * _PDCLIB_restrict filename, \x0a"
"              const char * _PDCLIB_restrict mode )\x0a"
"{\x0a"
"    int imode = _PDCLIB_filemode( mode );\x0a"
"    \x0a"
"    if( imode == 0 \x7c\x7c filename == NULL )\x0a"
"        return NULL;\x0a"
"\x0a"
"    _PDCLIB_fd_t              fd;\x0a"
"    const _PDCLIB_fileops_t * ops;\x0a"
"    if(\x21_PDCLIB_open( \x26""fd, \x26ops, filename, imode )) {\x0a"
"        return NULL;\x0a"
"    }\x0a"
"\x0a"
"    FILE * f = _PDCLIB_fvopen( fd, ops, imode, filename );\x0a"
"    if(\x21""f) {\x0a"
"        int saveErrno = errno;\x0a"
"        ops->close(fd);\x0a"
"        errno = saveErrno;\x0a"
"    }\x0a"
"    return f;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Some of the tests are not executed for regression tests, as the libc on\x0a"
"       my system is at once less forgiving (segfaults on mode NULL) and more\x0a"
"       forgiving (accepts undefined modes).\x0a"
"    */\x0a"
"    FILE * fh;\x0a"
"    remove( testfile );\x0a"
"    TESTCASE_NOREG( fopen( NULL, NULL ) == NULL );\x0a"
"    TESTCASE( fopen( NULL, \x22w\x22 ) == NULL );\x0a"
"    TESTCASE_NOREG( fopen( \x22\x22, NULL ) == NULL );\x0a"
"    TESTCASE( fopen( \x22\x22, \x22w\x22 ) == NULL );\x0a"
"    TESTCASE( fopen( \x22""foo\x22, \x22\x22 ) == NULL );\x0a"
"    TESTCASE_NOREG( fopen( testfile, \x22wq\x22 ) == NULL ); /* Undefined mode */\x0a"
"    TESTCASE_NOREG( fopen( testfile, \x22wr\x22 ) == NULL ); /* Undefined mode */\x0a"
"    TESTCASE( ( fh = fopen( testfile, \x22w\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1765 ); }