#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fputc_c( 
"/* fputc( int, FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdbool.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"/* Write the value c (cast to unsigned char) to the given stream.\x0a"
"   Returns c if successful, EOF otherwise.\x0a"
"   If a write error occurs, the error indicator of the stream is set.\x0a"
"*/\x0a"
"int fputc_unlocked( int c, FILE * stream )\x0a"
"{\x0a"
"    if ( _PDCLIB_prepwrite( stream ) == EOF )\x0a"
"    {\x0a"
"        return EOF;\x0a"
"    }\x0a"
"\x0a"
"    if ( stream->status \x26 _IONBF )\x0a"
"    {\x0a"
"        size_t justWrote;\x0a"
"        bool res = stream->ops->write( stream->handle, \x26""c, 1, \x26justWrote );\x0a"
"        stream->pos.offset++;\x0a"
"\x0a"
"        if (\x21res)\x0a"
"        {\x0a"
"            stream->status \x7c= _PDCLIB_ERRORFLAG;\x0a"
"            return EOF;\x0a"
"        }\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        stream->buffer\x5bstream->bufidx++\x5d = (char)c;\x0a"
"        if ( ( stream->bufidx == stream->bufsize )                   /* _IOFBF */\x0a"
"            \x7c\x7c ( ( stream->status \x26 _IOLBF ) \x26\x26 ( (char)c == '\x5cn' ) ) /* _IOLBF */\x0a"
"            \x7c\x7c ( stream->status \x26 _IONBF )                        /* _IONBF */\x0a"
"        )\x0a"
"        {\x0a"
"            /* buffer filled, unbuffered stream, or end-of-line. */\x0a"
"            return ( _PDCLIB_flushbuffer( stream ) == 0 ) \x3f c \x3a EOF;\x0a"
"        }\x0a"
"    }\x0a"
"    return c;\x0a"
"}\x0a"
"\x0a"
"int fputc( int c, FILE * stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int r = fputc_unlocked( c, stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1643 ); }