#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fread_c( 
"/* fwrite( void *, size_t, size_t, FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"#include <stdbool.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"size_t fread_unlocked( \x0a"
"    void * _PDCLIB_restrict ptr, \x0a"
"    size_t size, size_t nmemb, \x0a"
"    FILE * _PDCLIB_restrict stream \x0a"
")\x0a"
"{\x0a"
"    if ( _PDCLIB_prepread( stream ) == EOF )\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"    char * dest = (char *)ptr;\x0a"
"    size_t nmemb_i;\x0a"
"    for ( nmemb_i = 0; nmemb_i < nmemb; ++nmemb_i )\x0a"
"    {\x0a"
"        size_t numread = _PDCLIB_getchars( \x26""dest\x5b nmemb_i * size \x5d, size, EOF, \x0a"
"                                           stream );\x0a"
"        if( numread \x21= size )\x0a"
"            break;\x0a"
"    }\x0a"
"    return nmemb_i;\x0a"
"}\x0a"
"\x0a"
"size_t fread( void * _PDCLIB_restrict ptr, \x0a"
"              size_t size, size_t nmemb, \x0a"
"              FILE * _PDCLIB_restrict stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    size_t r = fread_unlocked( ptr, size, nmemb, stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    char const * message = \x22Testing fwrite()...\x5cn\x22;\x0a"
"    char buffer\x5b""21\x5d;\x0a"
"    buffer\x5b""20\x5d = 'x';\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    /* fwrite() / readback */\x0a"
"    TESTCASE( fwrite( message, 1, 20, fh ) == 20 );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fread( buffer, 1, 20, fh ) == 20 );\x0a"
"    TESTCASE( memcmp( buffer, message, 20 ) == 0 );\x0a"
"    TESTCASE( buffer\x5b""20\x5d == 'x' );\x0a"
"    /* same, different nmemb / size settings */\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( memset( buffer, '\x5c""0', 20 ) == buffer );\x0a"
"    TESTCASE( fwrite( message, 5, 4, fh ) == 4 );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fread( buffer, 5, 4, fh ) == 4 );\x0a"
"    TESTCASE( memcmp( buffer, message, 20 ) == 0 );\x0a"
"    TESTCASE( buffer\x5b""20\x5d == 'x' );\x0a"
"    /* same... */\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( memset( buffer, '\x5c""0', 20 ) == buffer );\x0a"
"    TESTCASE( fwrite( message, 20, 1, fh ) == 1 );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fread( buffer, 20, 1, fh ) == 1 );\x0a"
"    TESTCASE( memcmp( buffer, message, 20 ) == 0 );\x0a"
"    TESTCASE( buffer\x5b""20\x5d == 'x' );\x0a"
"    /* Done. */\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2252 ); }