#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fsetpos_c( 
"/* fsetpos( FILE *, const fpos_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int _PDCLIB_fsetpos_unlocked( FILE * stream, \x0a"
"                      const _PDCLIB_fpos_t * pos )\x0a"
"{\x0a"
"    if ( stream->status \x26 _PDCLIB_FWRITE )\x0a"
"    {\x0a"
"        if ( _PDCLIB_flushbuffer( stream ) == EOF )\x0a"
"        {\x0a"
"            return EOF;\x0a"
"        }\x0a"
"    }\x0a"
"    if ( _PDCLIB_seek( stream, pos->offset, SEEK_SET ) == EOF )\x0a"
"    {\x0a"
"        return EOF;\x0a"
"    }\x0a"
"    stream->pos.mbs = pos->mbs;\x0a"
"    \x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int fsetpos( FILE * stream, \x0a"
"             const _PDCLIB_fpos_t * pos )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int res = _PDCLIB_fsetpos_unlocked( stream, pos );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return res;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* fsetpos() tested together with fsetpos(). */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1005 ); }