#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fwrite_c( 
"/* fwrite( const void *, size_t, size_t, FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"\x0a"
"#include <stdbool.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"size_t fwrite_unlocked( const void *restrict vptr,\x0a"
"               size_t size, size_t nmemb,\x0a"
"               FILE * _PDCLIB_restrict stream )\x0a"
"{\x0a"
"    if ( _PDCLIB_prepwrite( stream ) == EOF )\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"\x0a"
"    const char *restrict ptr = vptr;\x0a"
"    size_t nmemb_i;\x0a"
"\x0a"
"    if ( stream->status \x26 _IONBF )\x0a"
"    {\x0a"
"        size_t justWrote;\x0a"
"\x0a"
"        bool res = stream->ops->write( stream->handle, vptr, nmemb, \x26justWrote );\x0a"
"        stream->pos.offset += nmemb;\x0a"
"\x0a"
"        if (\x21res)\x0a"
"        {\x0a"
"            stream->status \x7c= _PDCLIB_ERRORFLAG;\x0a"
"            return justWrote;\x0a"
"        }\x0a"
"        return nmemb;\x0a"
"    }\x0a"
"\x0a"
"    for ( nmemb_i = 0; nmemb_i < nmemb; ++nmemb_i )\x0a"
"    {\x0a"
"        for ( size_t size_i = 0; size_i < size; ++size_i )\x0a"
"        {\x0a"
"            char c = ptr\x5b nmemb_i * size + size_i \x5d;\x0a"
"            stream->buffer\x5b stream->bufidx++ \x5d = c;\x0a"
"\x0a"
"            if ( stream->bufidx == stream->bufsize \x7c\x7c ( c == '\x5cn' \x26\x26 stream->status \x26 _IOLBF ) )\x0a"
"            {\x0a"
"                if ( _PDCLIB_flushbuffer( stream ) == EOF )\x0a"
"                {\x0a"
"                    /* Returning number of objects completely buffered */\x0a"
"                    return nmemb_i;\x0a"
"                }\x0a"
"            }\x0a"
"        }\x0a"
"\x0a"
"        if ( stream->status \x26 _IONBF )\x0a"
"        {\x0a"
"            if ( _PDCLIB_flushbuffer( stream ) == EOF )\x0a"
"            {\x0a"
"                /* Returning number of objects completely buffered */\x0a"
"                return nmemb_i;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return nmemb_i;\x0a"
"}\x0a"
"\x0a"
"size_t fwrite( const void * _PDCLIB_restrict ptr,\x0a"
"               size_t size, size_t nmemb,\x0a"
"               FILE * _PDCLIB_restrict stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    size_t r = fwrite_unlocked( ptr, size, nmemb, stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by fread(). */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2206 ); }