#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_gets_c( 
"/* gets( char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"char * gets( char * s )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stdin );\x0a"
"    if ( _PDCLIB_prepread( stdin ) == EOF )\x0a"
"    {\x0a"
"        _PDCLIB_funlockfile( stdin );\x0a"
"        return NULL;\x0a"
"    }\x0a"
"    char * dest = s;\x0a"
"    \x0a"
"    dest += _PDCLIB_getchars( dest, SIZE_MAX, '\x5cn', stdin );\x0a"
"    _PDCLIB_funlockfile( stdin );\x0a"
"\x0a"
"    if(dest > s \x26\x26 *(dest - 1) == '\x5cn') {\x0a"
"        *(--dest) = '\x5c""0';\x0a"
"    } else {\x0a"
"        *dest = '\x5c""0';\x0a"
"    }\x0a"
"\x0a"
"    return ( dest == s ) \x3f NULL \x3a s;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <string.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    FILE * fh;\x0a"
"    char buffer\x5b""10\x5d;\x0a"
"    char const * gets_test = \x22""foo\x5cnbar\x5c""0baz\x5cnweenie\x22;\x0a"
"    TESTCASE( ( fh = fopen( testfile, \x22wb\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fwrite( gets_test, 1, 18, fh ) == 18 );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( ( fh = freopen( testfile, \x22rb\x22, stdin ) ) \x21= NULL );\x0a"
"    TESTCASE( gets( buffer ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22""foo\x22 ) == 0 );\x0a"
"    TESTCASE( gets( buffer ) == buffer );\x0a"
"    TESTCASE( memcmp( buffer, \x22""bar\x5c""0baz\x5c""0\x22, 8 ) == 0 );\x0a"
"    TESTCASE( gets( buffer ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22weenie\x22 ) == 0 );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    TESTCASE( fseek( fh, -1, SEEK_END ) == 0 );\x0a"
"    TESTCASE( gets( buffer ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22""e\x22 ) == 0 );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    TESTCASE( fseek( fh, 0, SEEK_END ) == 0 );\x0a"
"    TESTCASE( gets( buffer ) == NULL );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1762 ); }