#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_perror_c( 
"/* perror( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <errno.h>\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"/* TODO\x3a Doing this via a static array is not the way to do it. */\x0a"
"void perror( const char * s )\x0a"
"{\x0a"
"    if ( ( s \x21= NULL ) \x26\x26 ( s\x5b""0\x5d \x21= '\x5cn' ) )\x0a"
"    {\x0a"
"        fprintf( stderr, \x22\x25s\x3a \x22, s );\x0a"
"    }\x0a"
"    if ( errno >= _PDCLIB_ERRNO_MAX )\x0a"
"    {\x0a"
"        fprintf( stderr, \x22Unknown error\x5cn\x22 );\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        fprintf( stderr, \x22\x25s\x5cn\x22, _PDCLIB_threadlocale()->_ErrnoStr\x5b""errno\x5d );\x0a"
"    }\x0a"
"    return;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <stdlib.h>\x0a"
"#include <string.h>\x0a"
"#include <limits.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    unsigned long long max = ULLONG_MAX;\x0a"
"    char buffer\x5b""100\x5d;\x0a"
"    sprintf( buffer, \x22\x25llu\x22, max );\x0a"
"    TESTCASE( ( fh = freopen( testfile, \x22wb+\x22, stderr ) ) \x21= NULL );\x0a"
"    TESTCASE( strtol( buffer, NULL, 10 ) == LONG_MAX );\x0a"
"    perror( \x22Test\x22 );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fread( buffer, 1, 7, fh ) == 7 );\x0a"
"    TESTCASE( memcmp( buffer, \x22Test\x3a \x22, 6 ) == 0 );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1268 ); }