#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_printf_c( 
"/* printf( const char *, ... )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int printf( const char * _PDCLIB_restrict format, ... )\x0a"
"{\x0a"
"    int rc;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    rc = vfprintf( stdout, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"int _PDCLIB_printf_unlocked( const char * _PDCLIB_restrict format, ... )\x0a"
"{\x0a"
"    int rc;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    rc = _PDCLIB_vfprintf_unlocked( stdout, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/printf.c\x22\x0a"
"#define _PDCLIB_FILEIO\x0a"
"#include <stdint.h>\x0a"
"#include <stddef.h>\x0a"
"\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#define testprintf( stream, ... ) printf( __VA_ARGS__ )\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * target;\x0a"
"    TESTCASE( ( target = freopen( testfile, \x22wb+\x22, stdout ) ) \x21= NULL );\x0a"
"#include \x22printf_testcases.h\x22\x0a"
"    TESTCASE( fclose( target ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1131 ); }