#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_setbuf_c( 
"/* setbuf( FILE *, char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"void setbuf( FILE * _PDCLIB_restrict stream, char * _PDCLIB_restrict buf )\x0a"
"{\x0a"
"    if ( buf == NULL )\x0a"
"    {\x0a"
"        setvbuf( stream, buf, _IONBF, BUFSIZ );\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        setvbuf( stream, buf, _IOFBF, BUFSIZ );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <stdlib.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#endif\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* TODO\x3a Extend testing once setvbuf() is finished. */\x0a"
"#ifndef REGTEST\x0a"
"    char buffer\x5b BUFSIZ + 1 \x5d;\x0a"
"    FILE * fh;\x0a"
"    /* full buffered */\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    setbuf( fh, buffer );\x0a"
"    TESTCASE( fh->buffer == buffer );\x0a"
"    TESTCASE( fh->bufsize == BUFSIZ );\x0a"
"    TESTCASE( ( fh->status \x26 ( _IOFBF \x7c _IONBF \x7c _IOLBF ) ) == _IOFBF );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    /* not buffered */\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    setbuf( fh, NULL );\x0a"
"    TESTCASE( ( fh->status \x26 ( _IOFBF \x7c _IONBF \x7c _IOLBF ) ) == _IONBF );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"#else\x0a"
"    puts( \x22 NOTEST setbuf() test driver is PDCLib-specific.\x22 );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1280 ); }