#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_snprintf_c( 
"/* snprintf( char *, size_t, const char *, ... )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int snprintf( char * _PDCLIB_restrict s, size_t n, const char * _PDCLIB_restrict format, ...)\x0a"
"{\x0a"
"    int rc;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    rc = vsnprintf( s, n, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/snprintf.c\x22\x0a"
"#define _PDCLIB_STRINGIO\x0a"
"#include <stdint.h>\x0a"
"#include <stddef.h>\x0a"
"\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#define testprintf( s, ... ) snprintf( s, 100, __VA_ARGS__ )\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char target\x5b""100\x5d;\x0a"
"#include \x22printf_testcases.h\x22\x0a"
"    TESTCASE( snprintf( NULL, 0, \x22""foo\x22 ) == 3 );\x0a"
"    TESTCASE( snprintf( NULL, 0, \x22\x25""d\x22, 100 ) == 3 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 898 ); }