#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_ungetc_c( 
"/* ungetc( int, FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int _PDCLIB_ungetc_unlocked( int c, FILE * stream )\x0a"
"{\x0a"
"    if ( c == EOF \x7c\x7c stream->ungetidx == _PDCLIB_UNGETCBUFSIZE )\x0a"
"    {\x0a"
"        return -1;\x0a"
"    }\x0a"
"    return stream->ungetbuf\x5bstream->ungetidx++\x5d = (unsigned char) c;\x0a"
"}\x0a"
"\x0a"
"int ungetc( int c, FILE * stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int r = _PDCLIB_ungetc_unlocked( c, stream );\x0a"
"    _PDCLIB_funlockfile( stream);\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"const char* hellostr = \x22Hello, world\x21\x22;\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    // Also see ftell() for some testing\x0a"
"\x0a"
"    // PDCLIB-18\x3a fread ignores ungetc\x0a"
"    size_t bufsz = strlen( hellostr ) + 1;\x0a"
"    char * buf = malloc( bufsz );\x0a"
"    FILE * fh;\x0a"
"\x0a"
"    // Also fgets\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    TESTCASE( fputs(hellostr, fh) == 0 );\x0a"
"    rewind(fh);\x0a"
"    TESTCASE( fgetc( fh ) == 'H' );\x0a"
"    TESTCASE( ungetc( 'H', fh ) == 'H' );\x0a"
"    TESTCASE( fgets( buf, bufsz, fh ) \x21= NULL );\x0a"
"    TESTCASE( strcmp( buf, hellostr ) == 0 );\x0a"
"\x0a"
"    // fread\x0a"
"    rewind(fh);\x0a"
"    TESTCASE( fgetc( fh ) == 'H' );\x0a"
"    TESTCASE( ungetc( 'H', fh ) == 'H' );\x0a"
"    TESTCASE( fread( buf, bufsz - 1, 1, fh ) == 1 );\x0a"
"    TESTCASE( strncmp( buf, hellostr, bufsz - 1 ) == 0 );\x0a"
"\x0a"
"\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1469 ); }