#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_vsnprintf_c( 
"/* vsnprintf( char *, size_t, const char *, va_list )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <string.h>\x0a"
"\x0a"
"struct state {\x0a"
"    size_t bufrem;\x0a"
"    char *bufp;\x0a"
"};\x0a"
"\x0a"
"static size_t strout( void *p, const char *buf, size_t sz )\x0a"
"{\x0a"
"    struct state *s = p;\x0a"
"    size_t copy = s->bufrem >= sz \x3f sz \x3a s->bufrem;\x0a"
"    memcpy( s->bufp, buf, copy );\x0a"
"    s->bufrem -= copy;\x0a"
"    s->bufp   += copy;\x0a"
"    return sz;\x0a"
"}\x0a"
"\x0a"
"int vsnprintf( char * _PDCLIB_restrict s,\x0a"
"               size_t n,\x0a"
"               const char * _PDCLIB_restrict format,\x0a"
"               _PDCLIB_va_list arg )\x0a"
"{\x0a"
"    struct state st;\x0a"
"    st.bufrem = n;\x0a"
"    st.bufp   = s;\x0a"
"    int r = _vcbprintf( \x26st, strout, format, arg );\x0a"
"    if ( st.bufrem )\x0a"
"    {\x0a"
"        *st.bufp = 0;\x0a"
"    }\x0a"
"\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/vsnprintf.c\x22\x0a"
"#define _PDCLIB_STRINGIO\x0a"
"#include <stdint.h>\x0a"
"#include <stddef.h>\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"static int testprintf( char * s, const char * format, ... )\x0a"
"{\x0a"
"    int i;\x0a"
"    va_list arg;\x0a"
"    va_start( arg, format );\x0a"
"    i = vsnprintf( s, 100, format, arg );\x0a"
"    va_end( arg );\x0a"
"    return i;\x0a"
"}\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char target\x5b""100\x5d;\x0a"
"#include \x22printf_testcases.h\x22\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1387 ); }