#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_vsscanf_c( 
"/* vsscanf( const char *, const char *, va_list )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <ctype.h>\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int vsscanf( const char * _PDCLIB_restrict s, \x0a"
"             const char * _PDCLIB_restrict format, \x0a"
"             va_list arg )\x0a"
"{\x0a"
"    /* TODO\x3a This function should interpret format as multibyte characters.  */\x0a"
"    struct _PDCLIB_status_t status;\x0a"
"    status.base = 0;\x0a"
"    status.flags = 0;\x0a"
"    status.n = 0;\x0a"
"    status.i = 0;\x0a"
"    status.current = 0;\x0a"
"    status.s = (char *) s;\x0a"
"    status.width = 0;\x0a"
"    status.prec = 0;\x0a"
"    status.stream = NULL;\x0a"
"    va_copy( status.arg, arg );\x0a"
"\x0a"
"    while ( *format \x21= '\x5c""0' )\x0a"
"    {\x0a"
"        const char * rc;\x0a"
"        if ( ( *format \x21= '\x25' ) \x7c\x7c ( ( rc = _PDCLIB_scan( format, \x26status ) ) == format ) )\x0a"
"        {\x0a"
"            /* No conversion specifier, match verbatim */\x0a"
"            if ( isspace( *format ) )\x0a"
"            {\x0a"
"                /* Whitespace char in format string\x3a Skip all whitespaces */\x0a"
"                /* No whitespaces in input do not result in matching error */\x0a"
"                while ( isspace( *status.s ) )\x0a"
"                {\x0a"
"                    ++status.s;\x0a"
"                    ++status.i;\x0a"
"                }\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                /* Non-whitespace char in format string\x3a Match verbatim */\x0a"
"                if ( *status.s \x21= *format )\x0a"
"                {\x0a"
"                    if ( *status.s == '\x5c""0' \x26\x26 status.n == 0 )\x0a"
"                    {\x0a"
"                        /* Early input error */\x0a"
"                        return EOF;\x0a"
"                    }\x0a"
"                    /* Matching error */\x0a"
"                    return status.n;\x0a"
"                }\x0a"
"                else\x0a"
"                {\x0a"
"                    ++status.s;\x0a"
"                    ++status.i;\x0a"
"                }\x0a"
"            }\x0a"
"            ++format;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            /* NULL return code indicates error */\x0a"
"            if ( rc == NULL )\x0a"
"            {\x0a"
"                if ( ( *status.s == '\x5cn' ) \x26\x26 ( status.n == 0 ) )\x0a"
"                {\x0a"
"                    status.n = EOF;\x0a"
"                }\x0a"
"                break;\x0a"
"            }\x0a"
"            /* Continue parsing after conversion specifier */\x0a"
"            format = rc;\x0a"
"        }\x0a"
"    }\x0a"
"    va_end( status.arg );\x0a"
"    return status.n;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/vsscanf.c\x22\x0a"
"#define _PDCLIB_STRINGIO\x0a"
"\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"static int testscanf( char const * stream, char const * format, ... )\x0a"
"{\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    int result = vsscanf( stream, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return result;\x0a"
"}\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char source\x5b""100\x5d;\x0a"
"#include \x22scanf_testcases.h\x22\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 2844 ); }