#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_at_quick_exit_c( 
"/* atexit( void (*)( void ) )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"extern void (*_PDCLIB_quickexitstack\x5b\x5d)( void );\x0a"
"extern size_t _PDCLIB_quickexitptr;\x0a"
"\x0a"
"int at_quick_exit( void (*func)( void ) )\x0a"
"{\x0a"
"    if ( _PDCLIB_quickexitptr == 0 )\x0a"
"    {\x0a"
"        return -1;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        _PDCLIB_quickexitstack\x5b --_PDCLIB_quickexitptr \x5d = func;\x0a"
"        return 0;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <assert.h>\x0a"
"\x0a"
"static int flags\x5b 32 \x5d;\x0a"
"\x0a"
"static void counthandler( void )\x0a"
"{\x0a"
"    static int count = 0;\x0a"
"    flags\x5b count \x5d = count;\x0a"
"    ++count;\x0a"
"}\x0a"
"\x0a"
"static void checkhandler( void )\x0a"
"{\x0a"
"    for ( int i = 0; i < 31; ++i )\x0a"
"    {\x0a"
"        assert( flags\x5b i \x5d == i );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( at_quick_exit( \x26""checkhandler ) == 0 );\x0a"
"    for ( int i = 0; i < 31; ++i )\x0a"
"    {\x0a"
"        TESTCASE( at_quick_exit( \x26""counthandler ) == 0 );\x0a"
"    }\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1040 ); }