#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_ldiv_c( 
"/* ldiv( long int, long int )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"ldiv_t ldiv( long int numer, long int denom )\x0a"
"{\x0a"
"    ldiv_t rc;\x0a"
"    rc.quot = numer / denom;\x0a"
"    rc.rem  = numer \x25 denom;\x0a"
"    /* TODO\x3a pre-C99 compilers might require modulus corrections */\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    ldiv_t result;\x0a"
"    result = ldiv( 5, 2 );\x0a"
"    TESTCASE( result.quot == 2 \x26\x26 result.rem == 1 );\x0a"
"    result = ldiv( -5, 2 );\x0a"
"    TESTCASE( result.quot == -2 \x26\x26 result.rem == -1 );\x0a"
"    result = ldiv( 5, -2 );\x0a"
"    TESTCASE( result.quot == -2 \x26\x26 result.rem == 1 );\x0a"
"    TESTCASE( sizeof( result.quot ) == sizeof( long ) );\x0a"
"    TESTCASE( sizeof( result.rem )  == sizeof( long ) );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 893 ); }