#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_quick_exit_c( 
"/* quick_exit( int )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"/* TODO - \x22""except that a function is called after any previously registered\x0a"
"   functions that had already been called at the time it was registered.\x0a"
"*/\x0a"
"\x0a"
"/* TODO\x3a 32 is guaranteed. This should be dynamic but ATM gives problems\x0a"
"   with my malloc.\x0a"
"*/\x0a"
"#define NUMBER_OF_SLOTS 40\x0a"
"\x0a"
"void (*_PDCLIB_quickexitstack\x5b NUMBER_OF_SLOTS \x5d)( void ) = { 0 };\x0a"
"size_t _PDCLIB_quickexitptr = NUMBER_OF_SLOTS;\x0a"
"\x0a"
"void quick_exit( int status )\x0a"
"{\x0a"
"    while ( _PDCLIB_quickexitptr < NUMBER_OF_SLOTS )\x0a"
"    {\x0a"
"        _PDCLIB_quickexitstack\x5b _PDCLIB_quickexitptr++ \x5d();\x0a"
"    }\x0a"
"    _Exit( status );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Unwinding of regstack tested in at_quick_exit(). */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 954 ); }