#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_system_c( 
"/* system( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"/* This is an example implementation of system() fit for use with POSIX kernels.\x0a"
"*/\x0a"
"\x0a"
"extern int fork( void );\x0a"
"extern int execve( const char * filename, char * const argv\x5b\x5d, char * const envp\x5b\x5d );\x0a"
"extern int wait( int * status );\x0a"
"\x0a"
"int system( const char * string )\x0a"
"{\x0a"
"    char const * const argv\x5b\x5d = { \x22sh\x22, \x22-c\x22, (char const * const)string, NULL };\x0a"
"    if ( string \x21= NULL )\x0a"
"    {\x0a"
"        int pid = fork();\x0a"
"        if ( pid == 0 )\x0a"
"        {\x0a"
"            execve( \x22/bin/sh\x22, (char * * const)argv, NULL );\x0a"
"        }\x0a"
"        else if ( pid > 0 )\x0a"
"        {\x0a"
"            while( wait( NULL ) \x21= pid );\x0a"
"        }\x0a"
"    }\x0a"
"    return -1;\x0a"
"}\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#define SHELLCOMMAND \x22""echo 'SUCCESS testing system()'\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    char buffer\x5b""25\x5d;\x0a"
"    buffer\x5b""24\x5d = 'x';\x0a"
"    TESTCASE( ( fh = freopen( testfile, \x22wb+\x22, stdout ) ) \x21= NULL );\x0a"
"    TESTCASE( system( SHELLCOMMAND ) );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fread( buffer, 1, 24, fh ) == 24 );\x0a"
"    TESTCASE( memcmp( buffer, \x22SUCCESS testing system()\x22, 24 ) == 0 );\x0a"
"    TESTCASE( buffer\x5b""24\x5d == 'x' );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1377 ); }