#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_memcmp_c( 
"/* memcmp( const void *, const void *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int memcmp( const void * s1, const void * s2, size_t n )\x0a"
"{\x0a"
"    const unsigned char * p1 = (const unsigned char *) s1;\x0a"
"    const unsigned char * p2 = (const unsigned char *) s2;\x0a"
"    while ( n-- )\x0a"
"    {\x0a"
"        if ( *p1 \x21= *p2 )\x0a"
"        {\x0a"
"            return *p1 - *p2;\x0a"
"        }\x0a"
"        ++p1;\x0a"
"        ++p2;\x0a"
"    }\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char const xxxxx\x5b\x5d = \x22xxxxx\x22;\x0a"
"    TESTCASE( memcmp( abcde, abcdx, 5 ) < 0 );\x0a"
"    TESTCASE( memcmp( abcde, abcdx, 4 ) == 0 );\x0a"
"    TESTCASE( memcmp( abcde, xxxxx, 0 ) == 0 );\x0a"
"    TESTCASE( memcmp( xxxxx, abcde, 1 ) > 0 );\x0a"
"    return 0;\x0a"
"}\x0a"
"#endif\x0a"
"", 866 ); }