#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_mempcpy_c( 
"/* \x24Id\x24 */\x0a"
"\x0a"
"/* mempcpy( void *, const void *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"void * mempcpy( void * _PDCLIB_restrict dest, const void * _PDCLIB_restrict src, size_t n )\x0a"
"{\x0a"
"    memcpy( dest, src, n ); // Call DiVinE builtin for faster execution.\x0a"
"    return dest + n;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include <_PDCLIB_test.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xxxxxxxxxxx\x22;\x0a"
"    TESTCASE( mempcpy( s, abcde, 6 ) == s + 6 );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'e' );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( mempcpy( s + 5, abcde, 5 ) == s + 5 + 5 );\x0a"
"    TESTCASE( s\x5b""9\x5d == 'e' );\x0a"
"    TESTCASE( s\x5b""10\x5d == 'x' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 777 ); }