#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strcasecmp_c( 
"/* \x24Id\x24 */\x0a"
"\x0a"
"/* strcasecmp( const char *s1, const char *s2 )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <ctype.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int strcasecmp( const char *s1, const char *s2 )\x0a"
"{\x0a"
"    const unsigned char *p1 = ( const unsigned char * ) s1;\x0a"
"    const unsigned char *p2 = ( const unsigned char * ) s2;\x0a"
"    int result;\x0a"
"\x0a"
"    if ( p1 == p2 )\x0a"
"      return 0;\x0a"
"\x0a"
"    if ( \x21p1 )\x0a"
"        return -1;\x0a"
"\x0a"
"    if ( \x21p2 )\x0a"
"        return 1;\x0a"
"\x0a"
"    while ( ( result = tolower( *p1 ) - tolower( *p2++ ) ) == 0 )\x0a"
"      if ( *p1++ == '\x5c""0' )\x0a"
"        break;\x0a"
"\x0a"
"    return result;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include <_PDCLIB_test.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char aBcdE\x5b\x5d = \x22""aBcdE\x22;\x0a"
"    char cmpabcde\x5b\x5d = \x22""abcde\x22;\x0a"
"    char cmpabcd_\x5b\x5d = \x22""abcd\x5cxfc\x22;\x0a"
"    char empty\x5b\x5d = \x22\x22;\x0a"
"    TESTCASE( strcasecmp( abcde, cmpabcde ) == 0 );\x0a"
"    TESTCASE( strcasecmp( aBcdE, cmpabcde ) == 0 );\x0a"
"\x0a"
"    TESTCASE( strcasecmp( abcde, abcdx ) < 0 );\x0a"
"    TESTCASE( strcasecmp( aBcdE, abcdx ) < 0 );\x0a"
"\x0a"
"    TESTCASE( strcasecmp( abcdx, abcde ) > 0 );\x0a"
"    TESTCASE( strcasecmp( abcdx, aBcdE ) > 0 );\x0a"
"\x0a"
"    TESTCASE( strcasecmp( empty, abcde ) < 0 );\x0a"
"    TESTCASE( strcasecmp( empty, aBcdE ) < 0 );\x0a"
"\x0a"
"    TESTCASE( strcasecmp( abcde, empty ) > 0 );\x0a"
"    TESTCASE( strcasecmp( aBcdE, empty ) > 0 );\x0a"
"\x0a"
"    TESTCASE( strcasecmp( abcde, cmpabcd_ ) < 0 );\x0a"
"    TESTCASE( strcasecmp( aBcdE, cmpabcd_ ) < 0 );\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1493 ); }