#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strcmp_c( 
"/* strcmp( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"__local_skipcfl int strcmp( const char * s1, const char * s2 )\x0a"
"{\x0a"
"    while ( ( *s1 ) \x26\x26 ( *s1 == *s2 ) )\x0a"
"    {\x0a"
"        ++s1;\x0a"
"        ++s2;\x0a"
"    }\x0a"
"    return ( *(unsigned char *)s1 - *(unsigned char *)s2 );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char cmpabcde\x5b\x5d = \x22""abcde\x22;\x0a"
"    char cmpabcd_\x5b\x5d = \x22""abcd\x5cxfc\x22;\x0a"
"    char empty\x5b\x5d = \x22\x22;\x0a"
"    TESTCASE( strcmp( abcde, cmpabcde ) == 0 );\x0a"
"    TESTCASE( strcmp( abcde, abcdx ) < 0 );\x0a"
"    TESTCASE( strcmp( abcdx, abcde ) > 0 );\x0a"
"    TESTCASE( strcmp( empty, abcde ) < 0 );\x0a"
"    TESTCASE( strcmp( abcde, empty ) > 0 );\x0a"
"    TESTCASE( strcmp( abcde, cmpabcd_ ) < 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 907 ); }