#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strlcat_c( 
"/* strlcat( char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#pragma weak strlcat = _PDCLIB_strlcat\x0a"
"size_t _PDCLIB_strlcat(\x0a"
"   char *restrict dst,\x0a"
"   const char *restrict src,\x0a"
"   size_t dstsize);\x0a"
"\x0a"
"size_t _PDCLIB_strlcat(\x0a"
"   char *restrict dst,\x0a"
"   const char *restrict src,\x0a"
"   size_t dstsize)\x0a"
"{\x0a"
"    size_t needed = 0;\x0a"
"    size_t j = 0;\x0a"
"\x0a"
"    while(dst\x5bneeded\x5d) needed++;\x0a"
"\x0a"
"    while(needed < dstsize \x26\x26 (dst\x5bneeded\x5d = src\x5bj\x5d))\x0a"
"        needed++, j++;\x0a"
"\x0a"
"    while(src\x5bj++\x5d) needed++;\x0a"
"    needed++;\x0a"
"\x0a"
"    if (needed > dstsize \x26\x26 dstsize)\x0a"
"      dst\x5b""dstsize - 1\x5d = 0;\x0a"
"\x0a"
"    return needed;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char dstbuf\x5b""16\x5d;\x0a"
"\x0a"
"    strcpy(dstbuf, \x22hi\x22);\x0a"
"    TESTCASE_NOREG( strlcat(dstbuf, \x22\x22, 16) == 3 );\x0a"
"    TESTCASE_NOREG( strlcat(dstbuf, \x22hi\x22, 16) == 5 );\x0a"
"    TESTCASE_NOREG( strlcat(dstbuf, \x22hello, world\x22, 16) == 17 );\x0a"
"    TESTCASE_NOREG( strlcat(dstbuf, \x22hi\x22, 16) == 18 );\x0a"
"    TESTCASE_NOREG( strcmp(dstbuf, \x22hihihello, worl\x22) == 0);\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1176 ); }