#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strncat_c( 
"/* strncat( char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char * strncat( char * _PDCLIB_restrict s1, const char * _PDCLIB_restrict s2, size_t n )\x0a"
"{\x0a"
"    char * rc = s1;\x0a"
"    while ( *s1 )\x0a"
"    {\x0a"
"        ++s1;\x0a"
"    }\x0a"
"    while ( n \x26\x26 ( *s1++ = *s2++ ) )\x0a"
"    {\x0a"
"        --n;\x0a"
"    }\x0a"
"    if ( n == 0 )\x0a"
"    {\x0a"
"        *s1 = '\x5c""0';\x0a"
"    }\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xx\x5c""0xxxxxx\x22;\x0a"
"    TESTCASE( strncat( s, abcde, 10 ) == s );\x0a"
"    TESTCASE( s\x5b""2\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""6\x5d == 'e' );\x0a"
"    TESTCASE( s\x5b""7\x5d == '\x5c""0' );\x0a"
"    TESTCASE( s\x5b""8\x5d == 'x' );\x0a"
"    s\x5b""0\x5d = '\x5c""0';\x0a"
"    TESTCASE( strncat( s, abcdx, 10 ) == s );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'x' );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strncat( s, \x22\x5c""0\x22, 10 ) == s );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( s\x5b""6\x5d == 'e' );\x0a"
"    TESTCASE( strncat( s, abcde, 0 ) == s );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( s\x5b""6\x5d == 'e' );\x0a"
"    TESTCASE( strncat( s, abcde, 3 ) == s );\x0a"
"    TESTCASE( s\x5b""5\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""7\x5d == 'c' );\x0a"
"    TESTCASE( s\x5b""8\x5d == '\x5c""0' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1260 ); }