#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strncmp_c( 
"/* strncmp( const char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int strncmp( const char * s1, const char * s2, size_t n )\x0a"
"{\x0a"
"    while ( *s1 \x26\x26 n \x26\x26 ( *s1 == *s2 ) )\x0a"
"    {\x0a"
"        ++s1;\x0a"
"        ++s2;\x0a"
"        --n;\x0a"
"    }\x0a"
"    if ( n == 0 )\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return ( *(unsigned char *)s1 - *(unsigned char *)s2 );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char cmpabcde\x5b\x5d = \x22""abcde\x5c""0f\x22;\x0a"
"    char cmpabcd_\x5b\x5d = \x22""abcde\x5cxfc\x22;\x0a"
"    char empty\x5b\x5d = \x22\x22;\x0a"
"    char x\x5b\x5d = \x22x\x22;\x0a"
"    TESTCASE( strncmp( abcde, cmpabcde, 5 ) == 0 );\x0a"
"    TESTCASE( strncmp( abcde, cmpabcde, 10 ) == 0 );\x0a"
"    TESTCASE( strncmp( abcde, abcdx, 5 ) < 0 );\x0a"
"    TESTCASE( strncmp( abcdx, abcde, 5 ) > 0 );\x0a"
"    TESTCASE( strncmp( empty, abcde, 5 ) < 0 );\x0a"
"    TESTCASE( strncmp( abcde, empty, 5 ) > 0 );\x0a"
"    TESTCASE( strncmp( abcde, abcdx, 4 ) == 0 );\x0a"
"    TESTCASE( strncmp( abcde, x, 0 ) == 0 );\x0a"
"    TESTCASE( strncmp( abcde, x, 1 ) < 0 );\x0a"
"    TESTCASE( strncmp( abcde, cmpabcd_, 10 ) < 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1215 ); }