#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strncpy_c( 
"/* strncpy( char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <assert.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char *strncpy( char * _PDCLIB_restrict s1, const char * _PDCLIB_restrict s2, size_t n )\x0a"
"{\x0a"
"    char *rc = s1;\x0a"
"    const char *old = s2;\x0a"
"    int less = s1 < s2;\x0a"
"\x0a"
"    while ( n > 0 )\x0a"
"    {\x0a"
"        --n;\x0a"
"\x0a"
"        if ( ( *s1 = *s2 ) \x26\x26 n > 0 )\x0a"
"            s1 ++, s2 ++;\x0a"
"        else\x0a"
"            break;\x0a"
"    }\x0a"
"\x0a"
"    while ( n > 0 )\x0a"
"    {\x0a"
"        *++s1 = '\x5c""0';\x0a"
"        n --;\x0a"
"    }\x0a"
"\x0a"
"    if ( less )\x0a"
"        assert( s1 < old );\x0a"
"    else\x0a"
"        assert( s2 < rc );\x0a"
"\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xxxxxxx\x22;\x0a"
"    TESTCASE( strncpy( s, \x22\x22, 1 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == '\x5c""0' );\x0a"
"    TESTCASE( s\x5b""1\x5d == 'x' );\x0a"
"    TESTCASE( strncpy( s, abcde, 6 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'e' );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( s\x5b""6\x5d == 'x' );\x0a"
"    TESTCASE( strncpy( s, abcde, 7 ) == s );\x0a"
"    TESTCASE( s\x5b""6\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strncpy( s, \x22xxxx\x22, 3 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == 'x' );\x0a"
"    TESTCASE( s\x5b""2\x5d == 'x' );\x0a"
"    TESTCASE( s\x5b""3\x5d == 'd' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1308 ); }