#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strndup_c( 
"/* \x5bXSI\x5d char * strndup( const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifdef REGTEST\x0a"
"#define _POSIX_C_SOURCE 200809L\x0a"
"#endif\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char *strndup( const char * s, size_t len )\x0a"
"{\x0a"
"    char* ns = NULL;\x0a"
"    if(s) {\x0a"
"        ns = malloc(len + 1);\x0a"
"        if(ns) {\x0a"
"            ns\x5blen\x5d = 0;\x0a"
"            // strncpy to be pedantic about modification in multithreaded \x0a"
"            // applications\x0a"
"            return strncpy(ns, s, len);\x0a"
"        }\x0a"
"    }\x0a"
"    return ns;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    /* Missing on Windows. Maybe use conditionals\x3f */\x0a"
"    const char *teststr  = \x22Hello, world\x22;\x0a"
"    const char *teststr2 = \x22\x5cxFE\x5cx8C\x5cn\x22;\x0a"
"    char *testres, *testres2;\x0a"
"\x0a"
"    TESTCASE((testres  = strndup(teststr, 5)) \x21= NULL);\x0a"
"    TESTCASE((testres2 = strndup(teststr2, 1)) \x21= NULL);\x0a"
"    TESTCASE(strcmp(testres, teststr) \x21= 0);\x0a"
"    TESTCASE(strncmp(testres, teststr, 5) == 0);\x0a"
"    TESTCASE(strcmp(testres2, teststr2) \x21= 0);\x0a"
"    TESTCASE(strncmp(testres2, teststr2, 1) == 0);\x0a"
"    free(testres);\x0a"
"    free(testres2);\x0a"
"    TESTCASE((testres  = strndup(teststr, 20)) \x21= NULL);\x0a"
"    TESTCASE((testres2 = strndup(teststr2, 5)) \x21= NULL);\x0a"
"    TESTCASE(strcmp(testres, teststr) == 0);\x0a"
"    TESTCASE(strcmp(testres2, teststr2) == 0);\x0a"
"    free(testres);\x0a"
"    free(testres2);\x0a"
"#endif\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1511 ); }