#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strpbrk_c( 
"/* strpbrk( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char * strpbrk( const char * s1, const char * s2 )\x0a"
"{\x0a"
"    const char * p1 = s1;\x0a"
"    const char * p2;\x0a"
"    while ( *p1 )\x0a"
"    {\x0a"
"        p2 = s2;\x0a"
"        while ( *p2 )\x0a"
"        {\x0a"
"            if ( *p1 == *p2++ )\x0a"
"            {\x0a"
"                return (char *) p1;\x0a"
"            }\x0a"
"        }\x0a"
"        ++p1;\x0a"
"    }\x0a"
"    return NULL;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( strpbrk( abcde, \x22x\x22 ) == NULL );\x0a"
"    TESTCASE( strpbrk( abcde, \x22xyz\x22 ) == NULL );\x0a"
"    TESTCASE( strpbrk( abcdx, \x22x\x22 ) == \x26""abcdx\x5b""4\x5d );\x0a"
"    TESTCASE( strpbrk( abcdx, \x22xyz\x22 ) == \x26""abcdx\x5b""4\x5d );\x0a"
"    TESTCASE( strpbrk( abcdx, \x22zyx\x22 ) == \x26""abcdx\x5b""4\x5d );\x0a"
"    TESTCASE( strpbrk( abcde, \x22""a\x22 ) == \x26""abcde\x5b""0\x5d );\x0a"
"    TESTCASE( strpbrk( abcde, \x22""abc\x22 ) == \x26""abcde\x5b""0\x5d );\x0a"
"    TESTCASE( strpbrk( abcde, \x22""cba\x22 ) == \x26""abcde\x5b""0\x5d );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1053 ); }