#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strspn_c( 
"/* strspn( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"size_t strspn( const char * s1, const char * s2 )\x0a"
"{\x0a"
"    size_t len = 0;\x0a"
"    const char * p;\x0a"
"    while ( s1\x5b len \x5d )\x0a"
"    {\x0a"
"        p = s2;\x0a"
"        while ( *p )\x0a"
"        {\x0a"
"            if ( s1\x5blen\x5d == *p )\x0a"
"            {\x0a"
"                break;\x0a"
"            }\x0a"
"            ++p;\x0a"
"        }\x0a"
"        if ( \x21 *p )\x0a"
"        {\x0a"
"            return len;\x0a"
"        }\x0a"
"        ++len;\x0a"
"    }\x0a"
"    return len;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( strspn( abcde, \x22""abc\x22 ) == 3 );\x0a"
"    TESTCASE( strspn( abcde, \x22""b\x22 ) == 0 );\x0a"
"    TESTCASE( strspn( abcde, abcde ) == 5 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 834 ); }