#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strxfrm_c( 
"/* strxfrm( char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"size_t strxfrm( char * _PDCLIB_restrict s1, const char * _PDCLIB_restrict s2, size_t n )\x0a"
"{\x0a"
"    const _PDCLIB_ctype_t *ctype = _PDCLIB_threadlocale()->_CType;\x0a"
"    size_t len = strlen( s2 );\x0a"
"    if ( len < n )\x0a"
"    {\x0a"
"        /* Cannot use strncpy() here as the filling of s1 with '\x5c""0' is not part\x0a"
"           of the spec.\x0a"
"        */\x0a"
"        while ( n-- \x26\x26 ( *s1++ = ctype\x5b(unsigned char)*s2++\x5d.collation ) );\x0a"
"    }\x0a"
"    return len;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xxxxxxxxxxx\x22;\x0a"
"    TESTCASE( strxfrm( NULL, \x22""123456789012\x22, 0 ) == 12 );\x0a"
"    TESTCASE( strxfrm( s, \x22""123456789012\x22, 12 ) == 12 );\x0a"
"    /*\x0a"
"    The following test case is true in *this* implementation, but doesn't have to.\x0a"
"    TESTCASE( s\x5b""0\x5d == 'x' );\x0a"
"    */\x0a"
"    TESTCASE( strxfrm( s, \x22""1234567890\x22, 11 ) == 10 );\x0a"
"    TESTCASE( s\x5b""0\x5d == '1' );\x0a"
"    TESTCASE( s\x5b""9\x5d == '0' );\x0a"
"    TESTCASE( s\x5b""10\x5d == '\x5c""0' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"", 1193 ); }