#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_bitcode_cpp( 
"#include <sys/bitcode.h>\x0a"
"#include <sys/metadata.h>\x0a"
"\x0a"
"_VM_CodePointer __dios_get_function_entry( _VM_CodePointer pc )\x0a"
"{\x0a"
"    return __md_get_pc_meta( pc )->entry_point;\x0a"
"}\x0a"
"\x0a"
"_VM_CodePointer __dios_get_landing_block( _VM_CodePointer pc )\x0a"
"{\x0a"
"    auto *meta = __md_get_pc_meta( pc );\x0a"
"    const uintptr_t base = uintptr_t( pc ) \x26 \x7e_VM_PM_Off,\x0a"
"                  offset = uintptr_t( pc ) \x26 _VM_PM_Off;\x0a"
"    return _VM_CodePointer( base \x7c meta->inst_table\x5b offset \x5d.subop );\x0a"
"}\x0a"
"\x0a"
"_VM_CodePointer __dios_find_instruction_in_block( _VM_CodePointer pc, int direction, unsigned opcode )\x0a"
"    __attribute__((__annotate__(\x22lart.interrupt.skipcfl\x22)))\x0a"
"{\x0a"
"    auto *meta = __md_get_pc_meta( pc );\x0a"
"    const uintptr_t base = uintptr_t( pc ) \x26 \x7e_VM_PM_Off;\x0a"
"    uintptr_t offset = uintptr_t( pc ) \x26 _VM_PM_Off;\x0a"
"    unsigned op;\x0a"
"    do {\x0a"
"        offset += direction;\x0a"
"    } while ( (op = meta->inst_table\x5b offset \x5d.opcode) \x21= opcode \x26\x26 op \x21= OpCode\x3a\x3aOpBB );\x0a"
"    return (op == OpCode\x3a\x3aOpBB \x26\x26 opcode \x21= OpCode\x3a\x3aOpBB)\x0a"
"        \x3f nullptr\x0a"
"        \x3a _VM_CodePointer( base \x7c offset );\x0a"
"}\x0a"
"\x0a"
"_DiOS_FunAttrs __dios_get_func_exception_attrs( _VM_CodePointer pc )\x0a"
"{\x0a"
"    auto *meta = __md_get_pc_meta( pc );\x0a"
"    _DiOS_FunAttrs attrs;\x0a"
"    attrs.personality = meta->ehPersonality;\x0a"
"    attrs.is_nounwind = meta->is_nounwind;\x0a"
"    attrs.lsda = meta->ehLSDA;\x0a"
"    return attrs;\x0a"
"}\x0a"
"\x0a"
"unsigned __dios_get_opcode( _VM_CodePointer pc )\x0a"
"{\x0a"
"    return __md_get_pc_meta( pc )->inst_table\x5b uintptr_t( pc ) \x26 _VM_PM_Off \x5d.opcode;\x0a"
"}\x0a"
"", 1466 ); }