#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_fs_cpp( 
"// -*- C++ -*- (c) 2015 Ji\xc5\x99\xc3\xad Weiser\x0a"
"\x0a"
"#include <cerrno>\x0a"
"#include <cstdarg>\x0a"
"#include <cstdlib>\x0a"
"#include <cstring>\x0a"
"#include <string>\x0a"
"\x0a"
"#include <bits/types.h>\x0a"
"#include <sys/stat.h>\x0a"
"#include <unistd.h>\x0a"
"#include <dirent.h>\x0a"
"#include <fcntl.h>\x0a"
"#include <sys/socket.h>\x0a"
"#include <sys/un.h>\x0a"
"#include <dios.h>\x0a"
"\x0a"
"#include <sys/syswrap.h>\x0a"
"\x0a"
"#include <dios/sys/memory.hpp>\x0a"
"\x0a"
"struct DirWrapper\x0a"
"{\x0a"
"    int fd;\x0a"
"    struct dirent readdir_entry;\x0a"
"    char *readdir_entry_raw() { return reinterpret_cast< char * >( \x26readdir_entry ); }\x0a"
"};\x0a"
"\x0a"
"struct _nofail {};\x0a"
"void *operator new( size_t s, _nofail ) { return __vm_obj_make( s, _VM_PT_Heap ); }\x0a"
"void *operator new\x5b\x5d( size_t s, _nofail ) { return __vm_obj_make( s, _VM_PT_Heap ); }\x0a"
"static _nofail nofail;\x0a"
"\x0a"
"extern \x22""C\x22 {\x0a"
"\x0a"
"    void swab( const void *_from, void *_to, ssize_t n ) {\x0a"
"        const char *from = reinterpret_cast< const char * >( _from );\x0a"
"        char *to = reinterpret_cast< char * >( _to );\x0a"
"        for ( ssize_t i = 0; i < n / 2; ++i ) {\x0a"
"            *to = *( from + 1 );\x0a"
"            *( to + 1 ) = *from;\x0a"
"            to += 2;\x0a"
"            from += 2;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    DIR *fdopendir( int fd )\x0a"
"    {\x0a"
"        struct stat fdStat;\x0a"
"\x0a"
"        int result = __libc_fstat( fd, \x26""fdStat );\x0a"
"        if ( result == -1 )\x0a"
"            return nullptr;\x0a"
"\x0a"
"        mode_t fdMode( fdStat.st_mode );\x0a"
"\x0a"
"        if( ( fdMode \x26 S_IFMT ) \x21= S_IFDIR )\x0a"
"        {\x0a"
"            errno = ENOTDIR;\x0a"
"            return nullptr;\x0a"
"        }\x0a"
"\x0a"
"        int newFD = __libc_dup( fd );\x0a"
"        if ( newFD > 0 ) {\x0a"
"            DirWrapper *wrapper = new ( nofail ) DirWrapper;\x0a"
"            wrapper->fd = newFD;\x0a"
"            return wrapper;\x0a"
"        }else {\x0a"
"            errno = EBADF;\x0a"
"            return nullptr;\x0a"
"        }\x0a"
"\x0a"
"    }\x0a"
"\x0a"
"    DIR *opendir( const char *name )\x0a"
"    {\x0a"
"        int fd = open( name, O_DIRECTORY );\x0a"
"        if ( fd >= 0 ) {\x0a"
"            DirWrapper *wrapper = new ( nofail ) DirWrapper;\x0a"
"            wrapper->fd = fd;\x0a"
"            return wrapper;\x0a"
"        } else {\x0a"
"            return nullptr;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    int closedir(DIR *dirp)\x0a"
"    {\x0a"
"        if ( dirp == nullptr )\x0a"
"        {\x0a"
"            errno = EBADF;\x0a"
"            return -1;\x0a"
"        }\x0a"
"\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper* >( dirp );\x0a"
"        int fd = wrapper->fd;\x0a"
"        __vm_obj_free( wrapper );\x0a"
"        return __libc_close( fd );\x0a"
"    }\x0a"
"\x0a"
"    int dirfd( DIR *dirp )\x0a"
"    {\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper* >( dirp );\x0a"
"        return wrapper->fd;\x0a"
"    }\x0a"
"\x0a"
"    struct dirent *readdir( DIR *dirp )\x0a"
"    {\x0a"
"        if ( \x21""dirp ) {\x0a"
"            errno = EBADF;\x0a"
"            return nullptr;\x0a"
"        }\x0a"
"\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper * >( dirp );\x0a"
"\x0a"
"        int res = __libc_read( wrapper->fd, wrapper->readdir_entry_raw(), sizeof( struct dirent ) );\x0a"
"        return res > 0 \x3f \x26wrapper->readdir_entry \x3a nullptr;\x0a"
"    }\x0a"
"\x0a"
"    int readdir_r( DIR *dirp, struct dirent *entry, struct dirent **result )\x0a"
"    {\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper * >( dirp );\x0a"
"        char *dirInfo = reinterpret_cast< char * >(entry);\x0a"
"\x0a"
"        int res = __libc_read(wrapper->fd, dirInfo, sizeof( struct dirent ));\x0a"
"        *result = ( res == sizeof( struct dirent ) ) \x3f entry \x3a nullptr;\x0a"
"        return (res >= 0) \x3f 0 \x3a -1;\x0a"
"    }\x0a"
"\x0a"
"    void rewinddir( DIR *dirp )\x0a"
"    {\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper * >(dirp);\x0a"
"        __libc_lseek( wrapper->fd, 0, SEEK_SET );\x0a"
"    }\x0a"
"\x0a"
"    int scandir( const char *path, struct dirent ***namelist,\x0a"
"              int ( *filter )( const struct dirent * ),\x0a"
"              int ( *compare )( const struct dirent **, const struct dirent ** ) )\x0a"
"    {\x0a"
"\x0a"
"        int length = 0;\x0a"
"        DIR *dirp = opendir( path );\x0a"
"\x0a"
"        if( \x21""dirp ){\x0a"
"            return -1;\x0a"
"        }\x0a"
"\x0a"
"        struct dirent **entries = nullptr;\x0a"
"        struct dirent *workingEntry = new ( nofail ) struct dirent;\x0a"
"\x0a"
"        while ( true ) {\x0a"
"            struct dirent* ent = readdir( dirp );\x0a"
"            if ( \x21""ent )\x0a"
"                break;\x0a"
"\x0a"
"            workingEntry->d_ino = ent->d_ino;\x0a"
"            char *x = std\x3a\x3a""copy( ent->d_name, ent->d_name + strlen(ent->d_name), workingEntry->d_name );\x0a"
"            *x = '\x5c""0';\x0a"
"            if ( filter \x26\x26 \x21""filter( workingEntry ) )\x0a"
"                continue;\x0a"
"\x0a"
"            struct dirent **newEntries = new ( nofail ) struct dirent *\x5b length + 1 \x5d;\x0a"
"            if ( length )\x0a"
"                std\x3a\x3amemcpy( newEntries, entries, length * sizeof( struct dirent * ) );\x0a"
"            std\x3a\x3aswap( entries, newEntries );\x0a"
"            if ( newEntries )\x0a"
"                __vm_obj_free( newEntries );\x0a"
"            entries\x5b length \x5d = workingEntry;\x0a"
"            workingEntry = new ( nofail ) struct dirent;\x0a"
"            ++length;\x0a"
"        }\x0a"
"        __vm_obj_free( workingEntry );\x0a"
"        closedir( dirp );\x0a"
"\x0a"
"        typedef int( *cmp )( const void *, const void * );\x0a"
"        std\x3a\x3aqsort( entries, length, sizeof( struct dirent * ), reinterpret_cast< cmp >( compare ) );\x0a"
"\x0a"
"        *namelist = entries;\x0a"
"        return length;\x0a"
"    }\x0a"
"\x0a"
"    long telldir( DIR *dirp )\x0a"
"    {\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper * >( dirp );\x0a"
"        return __libc_lseek( wrapper->fd, 0, SEEK_CUR );\x0a"
"    }\x0a"
"\x0a"
"    void seekdir( DIR *dirp, long loc )\x0a"
"    {\x0a"
"        DirWrapper *wrapper = reinterpret_cast< DirWrapper * >( dirp );\x0a"
"        __libc_lseek( wrapper->fd, loc, SEEK_SET );\x0a"
"    }\x0a"
"\x0a"
"\x0a"
"    ssize_t send(int sockfd, const void *buf, size_t len, int flags)\x0a"
"    {\x0a"
"        return __libc_sendto(sockfd, buf, len, flags, NULL, 0);\x0a"
"    }\x0a"
"\x0a"
"    ssize_t pwrite(int fd, const void *buf, size_t count, off_t offset)\x0a"
"    {\x0a"
"       int currPos = __libc_lseek( fd, 0, SEEK_CUR );\x0a"
"\x0a"
"        int moved = __libc_lseek( fd, offset, SEEK_SET );\x0a"
"        if ( moved \x21= offset ) \x0a"
"            return -1;\x0a"
"\x0a"
"        int writed = __libc_write( fd, buf, count );\x0a"
"        __libc_lseek( fd, currPos, SEEK_SET );\x0a"
"\x0a"
"        return writed;\x0a"
"    }\x0a"
"\x0a"
"    ssize_t pread(int fd, void *buf, size_t count, off_t offset)\x0a"
"    {\x0a"
"        int currPos = __libc_lseek( fd, 0, SEEK_CUR );\x0a"
"\x0a"
"        int moved = __libc_lseek( fd, offset, SEEK_SET );\x0a"
"        if ( moved \x21= offset ) \x0a"
"            return -1;\x0a"
"\x0a"
"        int readed = __libc_read( fd, buf, count );\x0a"
"        __libc_lseek( fd, currPos, SEEK_SET );\x0a"
"\x0a"
"        return readed;\x0a"
"    }\x0a"
"\x0a"
"    int mkfifoat(int dirfd, const char *pathname, mode_t mode)\x0a"
"    {\x0a"
"        return __libc_mknodat( dirfd, pathname, ( ACCESSPERMS \x26 mode ) \x7c S_IFIFO, 0 );\x0a"
"        \x0a"
"    }\x0a"
"\x0a"
"    int mkfifo(const char *pathname, mode_t mode)\x0a"
"    {\x0a"
"        return __libc_mknod( pathname, ( ACCESSPERMS \x26 mode ) \x7c S_IFIFO, 0 );\x0a"
"    }\x0a"
"\x0a"
"\x0a"
"    ssize_t recv(int sockfd, void *buf, size_t len, int flags)\x0a"
"    {\x0a"
"        return __libc_recvfrom( sockfd, buf, len, flags, nullptr, nullptr );\x0a"
"    }\x0a"
"\x0a"
"    char *ttyname(int fd)\x0a"
"    {\x0a"
"        struct stat fdStat;\x0a"
"\x0a"
"        //just to set errno if fd is not valid file descriptor\x0a"
"        __libc_fstat( fd, \x26""fdStat );\x0a"
"        return nullptr;\x0a"
"    }\x0a"
"\x0a"
"    int ttyname_r(int fd, char *, size_t )\x0a"
"    {\x0a"
"        struct stat fdStat;\x0a"
"\x0a"
"        //just to set errno if fd is not valid file descriptor\x0a"
"        int res = __libc_fstat( fd, \x26""fdStat );\x0a"
"        return res == 0 \x3f ENOTTY \x3a res;\x0a"
"    }\x0a"
"\x0a"
"    int isatty(int /* fd */)\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"\x0a"
"\x0a"
"    #if defined(__divine__)\x0a"
"    int alphasort( const struct dirent **a, const struct dirent **b ) {\x0a"
"        return std\x3a\x3astrcoll( (*a)->d_name, (*b)->d_name );\x0a"
"    }\x0a"
"\x0a"
"    #endif\x0a"
"\x0a"
"}\x0a"
"\x0a"
"", 7345 ); }