#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_threads_thrd_create_c( 
"// (c) 2018 Vladim\xc3\xadr \xc5\xa0till\x0a"
"\x0a"
"#include <threads.h>\x0a"
"\x0a"
"struct WrapThreadArg {\x0a"
"    thrd_start_t start;\x0a"
"    void *arg;\x0a"
"};\x0a"
"\x0a"
"void *__c11_thread_start( void *_arg ) {\x0a"
"    struct WrapThreadArg arg = *(struct WrapThreadArg *)_arg;\x0a"
"    __vm_obj_free( _arg );\x0a"
"    int r = arg.start( arg.arg );\x0a"
"    return (void *)((uintptr_t) r);\x0a"
"}\x0a"
"\x0a"
"int thrd_create( thrd_t *thr, thrd_start_t func, void *arg ) {\x0a"
"    struct WrapThreadArg *wrapArg = __vm_obj_make( sizeof( struct WrapThreadArg ), _VM_PT_Heap );\x0a"
"    wrapArg->start = func;\x0a"
"    wrapArg->arg = arg;\x0a"
"    if ( pthread_create( thr, 0, __c11_thread_start, wrapArg ) == 0 )\x0a"
"        return thrd_success;\x0a"
"    else\x0a"
"        return thrd_error; // todo\x3a it seems pthread does not report OOM\x0a"
"}\x0a"
"", 716 ); }