#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_threads_tss_get_c( 
"#ifndef REGTEST\x0a"
"#include <threads.h>\x0a"
"#include <pthread.h>\x0a"
"\x0a"
"void *tss_get(tss_t key)\x0a"
"{\x0a"
"    return pthread_getspecific(key);\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"static tss_t key;\x0a"
"static char v;\x0a"
"#endif\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    TESTCASE(tss_create(\x26key, NULL) == thrd_success);\x0a"
"    TESTCASE(tss_get(key) == NULL);\x0a"
"    TESTCASE(tss_set(key, \x26v) == thrd_success);\x0a"
"    TESTCASE(tss_get(key) == \x26v);\x0a"
"    tss_delete(key);\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 499 ); }