#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_unistd_syscall_cpp( 
"#define _DIOS_NORM_SYSCALLS\x0a"
"#include <sys/syscall.h>\x0a"
"#include <sys/stat.h>\x0a"
"#include <sys/wait.h>\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/socket.h>\x0a"
"#include <sys/monitor.h>\x0a"
"#include <sys/resource.h>\x0a"
"#include <sys/utsname.h>\x0a"
"#include <sys/mount.h>\x0a"
"#include <sys/argpad.hpp>\x0a"
"#include <fcntl.h>\x0a"
"#include <signal.h>\x0a"
"#include <dios.h>\x0a"
"\x0a"
"#include <brick-tuple>\x0a"
"#include <brick-hlist>\x0a"
"#include <sys/no_memory_tags.def>\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"\x0a"
"    template< typename Todo, typename Done, typename Ret, typename... Args >\x0a"
"    __inline static auto unpack( Done done, Ret (*f)( Args... ), va_list vl,\x0a"
"                                 typename Todo\x3a\x3a""Empty = typename Todo\x3a\x3a""Empty()  )\x0a"
"    {\x0a"
"        return brick\x3a\x3atuple\x3a\x3apass( \x5b\x26\x5d( auto... x ) { return f( x... ); }, done );\x0a"
"    }\x0a"
"\x0a"
"    template< typename Todo, typename Done, typename... Args >\x0a"
"    __inline static long unpack( Done done, void (*f)( Args... ), va_list vl,\x0a"
"                                 typename Todo\x3a\x3a""Empty = typename Todo\x3a\x3a""Empty()  )\x0a"
"    {\x0a"
"        brick\x3a\x3atuple\x3a\x3apass( \x5b\x26\x5d( auto... x ) { f( x... ); }, done );\x0a"
"        return 0;\x0a"
"    }\x0a"
"\x0a"
"    template< typename Todo, typename Done, typename Ret, typename... Args >\x0a"
"    __inline static auto unpack( Done done, Ret (*f)( Args... ), va_list vl,\x0a"
"                                 typename Todo\x3a\x3aHead = typename Todo\x3a\x3aHead()  )\x0a"
"    {\x0a"
"        auto next = std\x3a\x3atuple_cat( done, std\x3a\x3amake_tuple( va_arg( vl, typename Todo\x3a\x3aHead ) ) );\x0a"
"        return unpack< typename Todo\x3a\x3aTail >( next, f, vl );\x0a"
"    }\x0a"
"\x0a"
"    template< typename Ret, typename... Args >\x0a"
"    __inline static auto unpack( Ret (*f)( Args... ), va_list vl )\x0a"
"    {\x0a"
"        return unpack< brick\x3a\x3ahlist\x3a\x3aTypeList< Args... > >( std\x3a\x3amake_tuple(), f, vl );\x0a"
"    }\x0a"
"\x0a"
"    extern \x22""C\x22 long syscall( int id, ... ) noexcept\x0a"
"    {\x0a"
"        va_list ap;\x0a"
"        va_start( ap, id );\x0a"
"        switch ( id )\x0a"
"        {\x0a"
"#define SYSCALL_DIOS( name, schedule, ret, arg ) \x5c\x0a"
"            case SYS_ ## name\x3a return long( unpack( __dios_ ## name, ap ) );\x0a"
"#define SYSCALL( name, schedule, ret, arg ) \x5c\x0a"
"            case SYS_ ## name\x3a return long( unpack( name, ap ) );\x0a"
"#include <sys/syscall.def>\x0a"
"            default\x3a\x0a"
"                __dios_fault( _DiOS_F_Syscall, \x22""bad syscall number\x22 );\x0a"
"                errno = ENOSYS;\x0a"
"                return -1;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"#include <sys/no_memory_tags.undef>\x0a"
"#undef SYSCALL\x0a"
"\x0a"
"}\x0a"
"", 2331 ); }