#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_mbsinit_c( 
"/* mbsinit( mbstate_t * ps )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"static int _PDCLIB_mbsinit_l( const mbstate_t *ps, locale_t l )\x0a"
"{\x0a"
"    if( ps ) {\x0a"
"        return ps->_Surrogate == 0\x0a"
"            \x26\x26 ps->_PendState == 0\x0a"
"            \x26\x26 l->_Codec->__mbsinit(ps);\x0a"
"    } else return 1;\x0a"
"}\x0a"
"\x0a"
"int mbsinit( const mbstate_t * ps )\x0a"
"{\x0a"
"    return _PDCLIB_mbsinit_l(ps, _PDCLIB_threadlocale());\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    mbstate_t mbs;\x0a"
"    memset(\x26mbs, 0, sizeof mbs);\x0a"
"\x0a"
"    TESTCASE(mbsinit(NULL) \x21= 0);\x0a"
"    TESTCASE(mbsinit(\x26mbs) \x21= 0);\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"    // Surrogate pending\x0a"
"    mbs._Surrogate = 0xFEED;\x0a"
"    TESTCASE(mbsinit(\x26mbs) == 0);\x0a"
"\x0a"
"    mbs._Surrogate = 0;\x0a"
"    mbs._PendState = 1;\x0a"
"    TESTCASE(mbsinit(\x26mbs) == 0);\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"\x0a"
"", 996 ); }