#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcscat_c( 
"/* wcscat( wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t * wcscat( wchar_t * _PDCLIB_restrict s1, \x0a"
"                  const wchar_t * _PDCLIB_restrict s2 )\x0a"
"{\x0a"
"    wchar_t * rc = s1;\x0a"
"    if ( *s1 )\x0a"
"    {\x0a"
"        while ( *++s1 );\x0a"
"    }\x0a"
"    while ( (*s1++ = *s2++) );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    wchar_t s\x5b\x5d = L\x22xx\x5c""0xxxxxx\x22;\x0a"
"    TESTCASE( wcscat( s, wabcde ) == s );\x0a"
"    TESTCASE( s\x5b""2\x5d == L'a' );\x0a"
"    TESTCASE( s\x5b""6\x5d == L'e' );\x0a"
"    TESTCASE( s\x5b""7\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( s\x5b""8\x5d == L'x' );\x0a"
"    s\x5b""0\x5d = L'\x5c""0';\x0a"
"    TESTCASE( wcscat( s, wabcdx ) == s );\x0a"
"    TESTCASE( s\x5b""4\x5d == L'x' );\x0a"
"    TESTCASE( s\x5b""5\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( wcscat( s, L\x22\x5c""0\x22 ) == s );\x0a"
"    TESTCASE( s\x5b""5\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( s\x5b""6\x5d == L'e' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 967 ); }