#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcsncmp_c( 
"/* wcsncmp( const wchar_t *, const wchar_t *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int wcsncmp( const wchar_t * s1, const wchar_t * s2, size_t n )\x0a"
"{\x0a"
"    while ( *s1 \x26\x26 n \x26\x26 ( *s1 == *s2 ) )\x0a"
"    {\x0a"
"        ++s1;\x0a"
"        ++s2;\x0a"
"        --n;\x0a"
"    }\x0a"
"    if ( n == 0 )\x0a"
"    {\x0a"
"        return 0;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return ( *(wchar_t *)s1 - *(wchar_t *)s2 );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    wchar_t cmpabcde\x5b\x5d = L\x22""abcde\x5c""0f\x22;\x0a"
"    wchar_t cmpabcd_\x5b\x5d = L\x22""abcde\x5cxfc\x22;\x0a"
"    wchar_t empty\x5b\x5d = L\x22\x22;\x0a"
"    wchar_t x\x5b\x5d = L\x22x\x22;\x0a"
"    TESTCASE( wcsncmp( wabcde, cmpabcde, 5 ) == 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, cmpabcde, 10 ) == 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, wabcdx, 5 ) < 0 );\x0a"
"    TESTCASE( wcsncmp( wabcdx, wabcde, 5 ) > 0 );\x0a"
"    TESTCASE( wcsncmp( empty, wabcde, 5 ) < 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, empty, 5 ) > 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, wabcdx, 4 ) == 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, x, 0 ) == 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, x, 1 ) < 0 );\x0a"
"    TESTCASE( wcsncmp( wabcde, cmpabcd_, 10 ) < 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1243 ); }