#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcsncpy_c( 
"/* wchar_t * wcsncpy( wchar_t *, const wchar_t * , size_t );\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t *wcsncpy( wchar_t * _PDCLIB_restrict s1, \x0a"
"                  const wchar_t * _PDCLIB_restrict s2,\x0a"
"                  size_t n )\x0a"
"{\x0a"
"    wchar_t * rc = s1;\x0a"
"    while ( ( n > 0 ) \x26\x26 ( *s1++ = *s2++ ) )\x0a"
"    {\x0a"
"        /* Cannot do \x22n--\x22 in the conditional as size_t is unsigned and we have\x0a"
"           to check it again for >0 in the next loop below, so we must not risk\x0a"
"           underflow.\x0a"
"        */\x0a"
"        --n;\x0a"
"    }\x0a"
"    /* Checking against 1 as we missed the last --n in the loop above. */\x0a"
"    while ( n-- > 1 )\x0a"
"    {\x0a"
"        *s1++ = '\x5c""0';\x0a"
"    }\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 909 ); }