#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcsspn_c( 
"/* wcsspn( const wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"size_t wcsspn( const wchar_t * s1, const wchar_t * s2 )\x0a"
"{\x0a"
"    size_t len = 0;\x0a"
"    const wchar_t * p;\x0a"
"    while ( s1\x5b len \x5d )\x0a"
"    {\x0a"
"        p = s2;\x0a"
"        while ( *p )\x0a"
"        {\x0a"
"            if ( s1\x5blen\x5d == *p )\x0a"
"            {\x0a"
"                break;\x0a"
"            }\x0a"
"            ++p;\x0a"
"        }\x0a"
"        if ( \x21 *p )\x0a"
"        {\x0a"
"            return len;\x0a"
"        }\x0a"
"        ++len;\x0a"
"    }\x0a"
"    return len;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( wcsspn( wabcde, L\x22""abc\x22 ) == 3 );\x0a"
"    TESTCASE( wcsspn( wabcde, L\x22""b\x22 ) == 0 );\x0a"
"    TESTCASE( wcsspn( wabcde, wabcde ) == 5 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 854 ); }