#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcsstr_c( 
"/* wcsstr( const wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t * wcsstr( const wchar_t * s1, const wchar_t * s2 )\x0a"
"{\x0a"
"    const wchar_t * p1 = s1;\x0a"
"    const wchar_t * p2;\x0a"
"    while ( *s1 )\x0a"
"    {\x0a"
"        p2 = s2;\x0a"
"        while ( *p2 \x26\x26 ( *p1 == *p2 ) )\x0a"
"        {\x0a"
"            ++p1;\x0a"
"            ++p2;\x0a"
"        }\x0a"
"        if ( \x21 *p2 )\x0a"
"        {\x0a"
"            return (wchar_t *) s1;\x0a"
"        }\x0a"
"        ++s1;\x0a"
"        p1 = s1;\x0a"
"    }\x0a"
"    return NULL;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    wchar_t s\x5b\x5d = L\x22""abcabcabcdabcde\x22;\x0a"
"    TESTCASE( wcsstr( s, L\x22x\x22 ) == NULL );\x0a"
"    TESTCASE( wcsstr( s, L\x22xyz\x22 ) == NULL );\x0a"
"    TESTCASE( wcsstr( s, L\x22""a\x22 ) == \x26s\x5b""0\x5d );\x0a"
"    TESTCASE( wcsstr( s, L\x22""abc\x22 ) == \x26s\x5b""0\x5d );\x0a"
"    TESTCASE( wcsstr( s, L\x22""abcd\x22 ) == \x26s\x5b""6\x5d );\x0a"
"    TESTCASE( wcsstr( s, L\x22""abcde\x22 ) == \x26s\x5b""10\x5d );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1018 ); }