#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wctype_iswctype_c( 
"/* iswctype( wint_t, wctype_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wctype.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"int _PDCLIB_iswctype_l( wint_t wc, wctype_t desc, locale_t l )\x0a"
"{\x0a"
"    wc = _PDCLIB_unpackwint( wc );\x0a"
"\x0a"
"    _PDCLIB_wcinfo_t *info = _PDCLIB_wcgetinfo( l, wc );\x0a"
"\x0a"
"    if(\x21info) return 0;\x0a"
"\x0a"
"    return info->flags \x26 desc;\x0a"
"}\x0a"
"\x0a"
"int iswctype( wint_t wc, wctype_t desc )\x0a"
"{\x0a"
"    return _PDCLIB_iswctype_l( wc, desc, _PDCLIB_threadlocale() );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( iswctype(L'a', wctype(\x22""alpha\x22)));\x0a"
"    TESTCASE( iswctype(L'z', wctype(\x22""alpha\x22)));\x0a"
"    TESTCASE( iswctype(L'E', wctype(\x22""alpha\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'3', wctype(\x22""alpha\x22)));\x0a"
"    TESTCASE(\x21iswctype(L';', wctype(\x22""alpha\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'a', wctype(\x22""alnum\x22)));\x0a"
"    TESTCASE( iswctype(L'3', wctype(\x22""alnum\x22)));\x0a"
"    TESTCASE(\x21iswctype(L';', wctype(\x22""alnum\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L' ',  wctype(\x22""blank\x22)));\x0a"
"    TESTCASE( iswctype(L'\x5ct', wctype(\x22""blank\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x5cn', wctype(\x22""blank\x22)));\x0a"
"    TESTCASE(\x21iswctype(L';',  wctype(\x22""blank\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'\x5c""0', wctype(\x22""cntrl\x22)));\x0a"
"    TESTCASE( iswctype(L'\x5cn', wctype(\x22""cntrl\x22)));\x0a"
"    TESTCASE( iswctype(L'\x5cv', wctype(\x22""cntrl\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x5ct', wctype(\x22""cntrl\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'a',  wctype(\x22""cntrl\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'0',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'1',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'2',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'3',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'4',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'5',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'6',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'7',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'8',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE( iswctype(L'9',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'X',  wctype(\x22""digit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x3f',  wctype(\x22""digit\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'a',  wctype(\x22graph\x22)));\x0a"
"    TESTCASE( iswctype(L'z',  wctype(\x22graph\x22)));\x0a"
"    TESTCASE( iswctype(L'E',  wctype(\x22graph\x22)));\x0a"
"    TESTCASE( iswctype(L'E',  wctype(\x22graph\x22)));\x0a"
"    TESTCASE(\x21iswctype(L' ',  wctype(\x22graph\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x5ct', wctype(\x22graph\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x5cn', wctype(\x22graph\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'a',  wctype(\x22lower\x22)));\x0a"
"    TESTCASE( iswctype(L'e',  wctype(\x22lower\x22)));\x0a"
"    TESTCASE( iswctype(L'z',  wctype(\x22lower\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'A',  wctype(\x22lower\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'E',  wctype(\x22lower\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'Z',  wctype(\x22lower\x22)));\x0a"
"\x0a"
"    TESTCASE(\x21iswctype(L'a',  wctype(\x22upper\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'e',  wctype(\x22upper\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'z',  wctype(\x22upper\x22)));\x0a"
"    TESTCASE( iswctype(L'A',  wctype(\x22upper\x22)));\x0a"
"    TESTCASE( iswctype(L'E',  wctype(\x22upper\x22)));\x0a"
"    TESTCASE( iswctype(L'Z',  wctype(\x22upper\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'Z',  wctype(\x22print\x22)));\x0a"
"    TESTCASE( iswctype(L'a',  wctype(\x22print\x22)));\x0a"
"    TESTCASE( iswctype(L';',  wctype(\x22print\x22)));\x0a"
"    TESTCASE( iswctype(L'\x5ct', wctype(\x22print\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'\x5c""0', wctype(\x22print\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L';',  wctype(\x22punct\x22)));\x0a"
"    TESTCASE( iswctype(L'.',  wctype(\x22punct\x22)));\x0a"
"    TESTCASE( iswctype(L'\x3f',  wctype(\x22punct\x22)));\x0a"
"    TESTCASE(\x21iswctype(L' ',  wctype(\x22punct\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'Z',  wctype(\x22punct\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L' ',  wctype(\x22space\x22)));\x0a"
"    TESTCASE( iswctype(L'\x5ct', wctype(\x22space\x22)));\x0a"
"\x0a"
"    TESTCASE( iswctype(L'0',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'1',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'2',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'3',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'4',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'5',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'6',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'7',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'8',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'9',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'a',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'b',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'c',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'd',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'e',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'f',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'A',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'B',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'C',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'D',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'E',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE( iswctype(L'F',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'g',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'G',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'x',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L'X',  wctype(\x22xdigit\x22)));\x0a"
"    TESTCASE(\x21iswctype(L' ',  wctype(\x22xdigit\x22)));\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 4961 ); }