#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wctype_wctype_c( 
"/* wctype( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wctype.h>\x0a"
"#ifndef REGTEST\x0a"
"#include <string.h>\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"wctype_t wctype( const char * property )\x0a"
"{\x0a"
"    if(property) switch(property\x5b""0\x5d)\x0a"
"    {\x0a"
"        case 'a'\x3a\x0a"
"            if(strcmp(property, \x22""alpha\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_ALPHA;\x0a"
"            } else if(strcmp(property, \x22""alnum\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_ALPHA \x7c _PDCLIB_CTYPE_DIGIT;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'b'\x3a\x0a"
"            if(strcmp(property, \x22""blank\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_BLANK;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'c'\x3a\x0a"
"            if(strcmp(property, \x22""cntrl\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_CNTRL;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'd'\x3a\x0a"
"            if(strcmp(property, \x22""digit\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_DIGIT;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'g'\x3a\x0a"
"            if(strcmp(property, \x22graph\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_GRAPH;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'l'\x3a\x0a"
"            if(strcmp(property, \x22lower\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_LOWER;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'p'\x3a\x0a"
"            if(strcmp(property, \x22print\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_GRAPH \x7c _PDCLIB_CTYPE_SPACE;\x0a"
"            } else if(strcmp(property, \x22punct\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_PUNCT;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 's'\x3a\x0a"
"            if(strcmp(property, \x22space\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_SPACE;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'u'\x3a\x0a"
"            if(strcmp(property, \x22upper\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_UPPER;\x0a"
"            } else return 0;\x0a"
"\x0a"
"        case 'x'\x3a\x0a"
"            if(strcmp(property, \x22xdigit\x22) == 0) {\x0a"
"                return _PDCLIB_CTYPE_XDIGT;\x0a"
"            } else return 0;\x0a"
"    }\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE(wctype(\x22\x22)   == 0);\x0a"
"    TESTCASE_NOREG(wctype(NULL) == 0); // mingw libc crashes on this\x0a"
"\x0a"
"    TESTCASE(wctype(\x22""alpha\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22""alnum\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22""blank\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22""cntrl\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22""digit\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22graph\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22lower\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22print\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22punct\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22space\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22upper\x22)  \x21= 0);\x0a"
"    TESTCASE(wctype(\x22xdigit\x22) \x21= 0);\x0a"
"\x0a"
"    TESTCASE_NOREG(wctype(\x22""alpha\x22)  == _PDCLIB_CTYPE_ALPHA);\x0a"
"    TESTCASE_NOREG(wctype(\x22""alnum\x22)  == (_PDCLIB_CTYPE_ALPHA \x7c _PDCLIB_CTYPE_DIGIT));\x0a"
"    TESTCASE_NOREG(wctype(\x22""blank\x22)  == _PDCLIB_CTYPE_BLANK);\x0a"
"    TESTCASE_NOREG(wctype(\x22""cntrl\x22)  == _PDCLIB_CTYPE_CNTRL);\x0a"
"    TESTCASE_NOREG(wctype(\x22""digit\x22)  == _PDCLIB_CTYPE_DIGIT);\x0a"
"    TESTCASE_NOREG(wctype(\x22graph\x22)  == _PDCLIB_CTYPE_GRAPH);\x0a"
"    TESTCASE_NOREG(wctype(\x22lower\x22)  == _PDCLIB_CTYPE_LOWER);\x0a"
"    TESTCASE_NOREG(wctype(\x22print\x22)  == (_PDCLIB_CTYPE_GRAPH \x7c _PDCLIB_CTYPE_SPACE));\x0a"
"    TESTCASE_NOREG(wctype(\x22punct\x22)  == _PDCLIB_CTYPE_PUNCT);\x0a"
"    TESTCASE_NOREG(wctype(\x22space\x22)  == _PDCLIB_CTYPE_SPACE);\x0a"
"    TESTCASE_NOREG(wctype(\x22upper\x22)  == _PDCLIB_CTYPE_UPPER);\x0a"
"    TESTCASE_NOREG(wctype(\x22xdigit\x22) == _PDCLIB_CTYPE_XDIGT);\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 3441 ); }