#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___bit_reference( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP___BIT_REFERENCE\x0a"
"#define _LIBCPP___BIT_REFERENCE\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <bit>\x0a"
"#include <algorithm>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <class _Cp, bool _IsConst, typename _Cp\x3a\x3a__storage_type = 0> class __bit_iterator;\x0a"
"template <class _Cp> class __bit_const_reference;\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __has_storage_type\x0a"
"{\x0a"
"    static const bool value = false;\x0a"
"};\x0a"
"\x0a"
"template <class _Cp, bool = __has_storage_type<_Cp>\x3a\x3avalue>\x0a"
"class __bit_reference\x0a"
"{\x0a"
"    typedef typename _Cp\x3a\x3a__storage_type    __storage_type;\x0a"
"    typedef typename _Cp\x3a\x3a__storage_pointer __storage_pointer;\x0a"
"\x0a"
"    __storage_pointer __seg_;\x0a"
"    __storage_type    __mask_;\x0a"
"\x0a"
"    friend typename _Cp\x3a\x3a__self;\x0a"
"\x0a"
"    friend class __bit_const_reference<_Cp>;\x0a"
"    friend class __bit_iterator<_Cp, false>;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY operator bool() const _NOEXCEPT\x0a"
"        {return static_cast<bool>(*__seg_ \x26 __mask_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY bool operator \x7e() const _NOEXCEPT\x0a"
"        {return \x21static_cast<bool>(*this);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_reference\x26 operator=(bool __x) _NOEXCEPT\x0a"
"    {\x0a"
"        if (__x)\x0a"
"            *__seg_ \x7c= __mask_;\x0a"
"        else\x0a"
"            *__seg_ \x26= \x7e__mask_;\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_reference\x26 operator=(const __bit_reference\x26 __x) _NOEXCEPT\x0a"
"        {return operator=(static_cast<bool>(__x));}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY void flip() _NOEXCEPT {*__seg_ ^= __mask_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator<_Cp, false> operator\x26() const _NOEXCEPT\x0a"
"        {return __bit_iterator<_Cp, false>(__seg_, static_cast<unsigned>(__libcpp_ctz(__mask_)));}\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_reference(__storage_pointer __s, __storage_type __m) _NOEXCEPT\x0a"
"        \x3a __seg_(__s), __mask_(__m) {}\x0a"
"};\x0a"
"\x0a"
"template <class _Cp>\x0a"
"class __bit_reference<_Cp, false>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Cp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(__bit_reference<_Cp> __x, __bit_reference<_Cp> __y) _NOEXCEPT\x0a"
"{\x0a"
"    bool __t = __x;\x0a"
"    __x = __y;\x0a"
"    __y = __t;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, class _Dp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(__bit_reference<_Cp> __x, __bit_reference<_Dp> __y) _NOEXCEPT\x0a"
"{\x0a"
"    bool __t = __x;\x0a"
"    __x = __y;\x0a"
"    __y = __t;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(__bit_reference<_Cp> __x, bool\x26 __y) _NOEXCEPT\x0a"
"{\x0a"
"    bool __t = __x;\x0a"
"    __x = __y;\x0a"
"    __y = __t;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(bool\x26 __x, __bit_reference<_Cp> __y) _NOEXCEPT\x0a"
"{\x0a"
"    bool __t = __x;\x0a"
"    __x = __y;\x0a"
"    __y = __t;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp>\x0a"
"class __bit_const_reference\x0a"
"{\x0a"
"    typedef typename _Cp\x3a\x3a__storage_type          __storage_type;\x0a"
"    typedef typename _Cp\x3a\x3a__const_storage_pointer __storage_pointer;\x0a"
"\x0a"
"    __storage_pointer        __seg_;\x0a"
"    __storage_type __mask_;\x0a"
"\x0a"
"    friend typename _Cp\x3a\x3a__self;\x0a"
"    friend class __bit_iterator<_Cp, true>;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_const_reference(const __bit_reference<_Cp>\x26 __x) _NOEXCEPT\x0a"
"        \x3a __seg_(__x.__seg_), __mask_(__x.__mask_) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR operator bool() const _NOEXCEPT\x0a"
"        {return static_cast<bool>(*__seg_ \x26 __mask_);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator<_Cp, true> operator\x26() const _NOEXCEPT\x0a"
"        {return __bit_iterator<_Cp, true>(__seg_, static_cast<unsigned>(__libcpp_ctz(__mask_)));}\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _LIBCPP_CONSTEXPR\x0a"
"    __bit_const_reference(__storage_pointer __s, __storage_type __m) _NOEXCEPT\x0a"
"        \x3a __seg_(__s), __mask_(__m) {}\x0a"
"\x0a"
"    __bit_const_reference\x26 operator=(const __bit_const_reference\x26 __x);\x0a"
"};\x0a"
"\x0a"
"// find\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, _IsConst>\x0a"
"__find_bool_true(__bit_iterator<_Cp, _IsConst> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    static const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"        if (__b)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(__b)));\x0a"
"        if (__n == __dn)\x0a"
"            return __first + __n;\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    for (; __n >= __bits_per_word; ++__first.__seg_, __n -= __bits_per_word)\x0a"
"        if (*__first.__seg_)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(*__first.__seg_)));\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"        if (__b)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(__b)));\x0a"
"    }\x0a"
"    return _It(__first.__seg_, static_cast<unsigned>(__n));\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, _IsConst>\x0a"
"__find_bool_false(__bit_iterator<_Cp, _IsConst> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        __storage_type __b = \x7e*__first.__seg_ \x26 __m;\x0a"
"        if (__b)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(__b)));\x0a"
"        if (__n == __dn)\x0a"
"            return __first + __n;\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    for (; __n >= __bits_per_word; ++__first.__seg_, __n -= __bits_per_word)\x0a"
"    {\x0a"
"        __storage_type __b = \x7e*__first.__seg_;\x0a"
"        if (__b)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(__b)));\x0a"
"    }\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        __storage_type __b = \x7e*__first.__seg_ \x26 __m;\x0a"
"        if (__b)\x0a"
"            return _It(__first.__seg_, static_cast<unsigned>(_VSTD\x3a\x3a__libcpp_ctz(__b)));\x0a"
"    }\x0a"
"    return _It(__first.__seg_, static_cast<unsigned>(__n));\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst, class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<_Cp, _IsConst>\x0a"
"find(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, const _Tp\x26 __value_)\x0a"
"{\x0a"
"    if (static_cast<bool>(__value_))\x0a"
"        return __find_bool_true(__first, static_cast<typename _Cp\x3a\x3asize_type>(__last - __first));\x0a"
"    return __find_bool_false(__first, static_cast<typename _Cp\x3a\x3asize_type>(__last - __first));\x0a"
"}\x0a"
"\x0a"
"// count\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"typename __bit_iterator<_Cp, _IsConst>\x3a\x3a""difference_type\x0a"
"__count_bool_true(__bit_iterator<_Cp, _IsConst> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    typedef typename _It\x3a\x3a""difference_type difference_type;\x0a"
"    const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    difference_type __r = 0;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        __r = _VSTD\x3a\x3a__libcpp_popcount(*__first.__seg_ \x26 __m);\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    for (; __n >= __bits_per_word; ++__first.__seg_, __n -= __bits_per_word)\x0a"
"        __r += _VSTD\x3a\x3a__libcpp_popcount(*__first.__seg_);\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        __r += _VSTD\x3a\x3a__libcpp_popcount(*__first.__seg_ \x26 __m);\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"typename __bit_iterator<_Cp, _IsConst>\x3a\x3a""difference_type\x0a"
"__count_bool_false(__bit_iterator<_Cp, _IsConst> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    typedef typename _It\x3a\x3a""difference_type difference_type;\x0a"
"    const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    difference_type __r = 0;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        __r = _VSTD\x3a\x3a__libcpp_popcount(\x7e*__first.__seg_ \x26 __m);\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    for (; __n >= __bits_per_word; ++__first.__seg_, __n -= __bits_per_word)\x0a"
"        __r += _VSTD\x3a\x3a__libcpp_popcount(\x7e*__first.__seg_);\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        __r += _VSTD\x3a\x3a__libcpp_popcount(\x7e*__first.__seg_ \x26 __m);\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst, class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __bit_iterator<_Cp, _IsConst>\x3a\x3a""difference_type\x0a"
"count(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, const _Tp\x26 __value_)\x0a"
"{\x0a"
"    if (static_cast<bool>(__value_))\x0a"
"        return __count_bool_true(__first, static_cast<typename _Cp\x3a\x3asize_type>(__last - __first));\x0a"
"    return __count_bool_false(__first, static_cast<typename _Cp\x3a\x3asize_type>(__last - __first));\x0a"
"}\x0a"
"\x0a"
"// fill_n\x0a"
"\x0a"
"template <class _Cp>\x0a"
"void\x0a"
"__fill_n_false(__bit_iterator<_Cp, false> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, false> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        *__first.__seg_ \x26= \x7e__m;\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    __storage_type __nw = __n / __bits_per_word;\x0a"
"    _VSTD\x3a\x3amemset(_VSTD\x3a\x3a__to_raw_pointer(__first.__seg_), 0, __nw * sizeof(__storage_type));\x0a"
"    __n -= __nw * __bits_per_word;\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __first.__seg_ += __nw;\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        *__first.__seg_ \x26= \x7e__m;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Cp>\x0a"
"void\x0a"
"__fill_n_true(__bit_iterator<_Cp, false> __first, typename _Cp\x3a\x3asize_type __n)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, false> _It;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    // do first partial word\x0a"
"    if (__first.__ctz_ \x21= 0)\x0a"
"    {\x0a"
"        __storage_type __clz_f = static_cast<__storage_type>(__bits_per_word - __first.__ctz_);\x0a"
"        __storage_type __dn = _VSTD\x3a\x3amin(__clz_f, __n);\x0a"
"        __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"        *__first.__seg_ \x7c= __m;\x0a"
"        __n -= __dn;\x0a"
"        ++__first.__seg_;\x0a"
"    }\x0a"
"    // do middle whole words\x0a"
"    __storage_type __nw = __n / __bits_per_word;\x0a"
"    _VSTD\x3a\x3amemset(_VSTD\x3a\x3a__to_raw_pointer(__first.__seg_), -1, __nw * sizeof(__storage_type));\x0a"
"    __n -= __nw * __bits_per_word;\x0a"
"    // do last partial word\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        __first.__seg_ += __nw;\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"        *__first.__seg_ \x7c= __m;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Cp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"fill_n(__bit_iterator<_Cp, false> __first, typename _Cp\x3a\x3asize_type __n, bool __value_)\x0a"
"{\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        if (__value_)\x0a"
"            __fill_n_true(__first, __n);\x0a"
"        else\x0a"
"            __fill_n_false(__first, __n);\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"// fill\x0a"
"\x0a"
"template <class _Cp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"fill(__bit_iterator<_Cp, false> __first, __bit_iterator<_Cp, false> __last, bool __value_)\x0a"
"{\x0a"
"    _VSTD\x3a\x3a""fill_n(__first, static_cast<typename _Cp\x3a\x3asize_type>(__last - __first), __value_);\x0a"
"}\x0a"
"\x0a"
"// copy\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, false>\x0a"
"__copy_aligned(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last,\x0a"
"                                                     __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _In;\x0a"
"    typedef  typename _In\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _In\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _In\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz = __bits_per_word - __first.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz - __dn));\x0a"
"            __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b;\x0a"
"            __result.__seg_ += (__dn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__dn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            ++__first.__seg_;\x0a"
"            // __first.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        __storage_type __nw = __n / __bits_per_word;\x0a"
"        _VSTD\x3a\x3amemmove(_VSTD\x3a\x3a__to_raw_pointer(__result.__seg_),\x0a"
"                       _VSTD\x3a\x3a__to_raw_pointer(__first.__seg_),\x0a"
"                       __nw * sizeof(__storage_type));\x0a"
"        __n -= __nw * __bits_per_word;\x0a"
"        __result.__seg_ += __nw;\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __first.__seg_ += __nw;\x0a"
"            __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b;\x0a"
"            __result.__ctz_ = static_cast<unsigned>(__n);\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, false>\x0a"
"__copy_unaligned(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last,\x0a"
"                                                       __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _In;\x0a"
"    typedef  typename _In\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _In\x3a\x3a__storage_type __storage_type;\x0a"
"    static const int __bits_per_word = _In\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz_f = __bits_per_word - __first.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz_f), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"            __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"            unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"            __storage_type __ddn = _VSTD\x3a\x3amin<__storage_type>(__dn, __clz_r);\x0a"
"            __m = (\x7e__storage_type(0) << __result.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __ddn));\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            if (__result.__ctz_ > __first.__ctz_)\x0a"
"                *__result.__seg_ \x7c= __b << (__result.__ctz_ - __first.__ctz_);\x0a"
"            else\x0a"
"                *__result.__seg_ \x7c= __b >> (__first.__ctz_ - __result.__ctz_);\x0a"
"            __result.__seg_ += (__ddn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__ddn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            __dn -= __ddn;\x0a"
"            if (__dn > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __dn);\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                *__result.__seg_ \x7c= __b >> (__first.__ctz_ + __ddn);\x0a"
"                __result.__ctz_ = static_cast<unsigned>(__dn);\x0a"
"            }\x0a"
"            ++__first.__seg_;\x0a"
"            // __first.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"        __storage_type __m = \x7e__storage_type(0) << __result.__ctz_;\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word, ++__first.__seg_)\x0a"
"        {\x0a"
"            __storage_type __b = *__first.__seg_;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b << __result.__ctz_;\x0a"
"            ++__result.__seg_;\x0a"
"            *__result.__seg_ \x26= __m;\x0a"
"            *__result.__seg_ \x7c= __b >> __clz_r;\x0a"
"        }\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            __storage_type __b = *__first.__seg_ \x26 __m;\x0a"
"            __storage_type __dn = _VSTD\x3a\x3amin(__n, static_cast<difference_type>(__clz_r));\x0a"
"            __m = (\x7e__storage_type(0) << __result.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __dn));\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b << __result.__ctz_;\x0a"
"            __result.__seg_ += (__dn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__dn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            __n -= __dn;\x0a"
"            if (__n > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                *__result.__seg_ \x7c= __b >> __dn;\x0a"
"                __result.__ctz_ = static_cast<unsigned>(__n);\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<_Cp, false>\x0a"
"copy(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    if (__first.__ctz_ == __result.__ctz_)\x0a"
"        return __copy_aligned(__first, __last, __result);\x0a"
"    return __copy_unaligned(__first, __last, __result);\x0a"
"}\x0a"
"\x0a"
"// copy_backward\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, false>\x0a"
"__copy_backward_aligned(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last,\x0a"
"                                                     __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _In;\x0a"
"    typedef  typename _In\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _In\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _In\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__last.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__last.__ctz_), __n);\x0a"
"            __n -= __dn;\x0a"
"            unsigned __clz = __bits_per_word - __last.__ctz_;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << (__last.__ctz_ - __dn)) \x26 (\x7e__storage_type(0) >> __clz);\x0a"
"            __storage_type __b = *__last.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b;\x0a"
"            __result.__ctz_ = static_cast<unsigned>(((-__dn \x26 (__bits_per_word - 1)) +\x0a"
"                                                       __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            // __last.__ctz_ = 0\x0a"
"         }\x0a"
"        // __last.__ctz_ == 0 \x7c\x7c __n == 0\x0a"
"        // __result.__ctz_ == 0 \x7c\x7c __n == 0\x0a"
"        // do middle words\x0a"
"        __storage_type __nw = __n / __bits_per_word;\x0a"
"        __result.__seg_ -= __nw;\x0a"
"        __last.__seg_ -= __nw;\x0a"
"        _VSTD\x3a\x3amemmove(_VSTD\x3a\x3a__to_raw_pointer(__result.__seg_),\x0a"
"                       _VSTD\x3a\x3a__to_raw_pointer(__last.__seg_),\x0a"
"                       __nw * sizeof(__storage_type));\x0a"
"        __n -= __nw * __bits_per_word;\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __storage_type __m = \x7e__storage_type(0) << (__bits_per_word - __n);\x0a"
"            __storage_type __b = *--__last.__seg_ \x26 __m;\x0a"
"            *--__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b;\x0a"
"            __result.__ctz_ = static_cast<unsigned>(-__n \x26 (__bits_per_word - 1));\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"__bit_iterator<_Cp, false>\x0a"
"__copy_backward_unaligned(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last,\x0a"
"                                                       __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IsConst> _In;\x0a"
"    typedef  typename _In\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _In\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _In\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__last.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__last.__ctz_), __n);\x0a"
"            __n -= __dn;\x0a"
"            unsigned __clz_l = __bits_per_word - __last.__ctz_;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << (__last.__ctz_ - __dn)) \x26 (\x7e__storage_type(0) >> __clz_l);\x0a"
"            __storage_type __b = *__last.__seg_ \x26 __m;\x0a"
"            unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"            __storage_type __ddn = _VSTD\x3a\x3amin(__dn, static_cast<difference_type>(__result.__ctz_));\x0a"
"            if (__ddn > 0)\x0a"
"            {\x0a"
"                __m = (\x7e__storage_type(0) << (__result.__ctz_ - __ddn)) \x26 (\x7e__storage_type(0) >> __clz_r);\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                if (__result.__ctz_ > __last.__ctz_)\x0a"
"                    *__result.__seg_ \x7c= __b << (__result.__ctz_ - __last.__ctz_);\x0a"
"                else\x0a"
"                    *__result.__seg_ \x7c= __b >> (__last.__ctz_ - __result.__ctz_);\x0a"
"                __result.__ctz_ = static_cast<unsigned>(((-__ddn \x26 (__bits_per_word - 1)) +\x0a"
"                                                         __result.__ctz_)  \x25 __bits_per_word);\x0a"
"                __dn -= __ddn;\x0a"
"            }\x0a"
"            if (__dn > 0)\x0a"
"            {\x0a"
"                // __result.__ctz_ == 0\x0a"
"                --__result.__seg_;\x0a"
"                __result.__ctz_ = static_cast<unsigned>(-__dn \x26 (__bits_per_word - 1));\x0a"
"                __m = \x7e__storage_type(0) << __result.__ctz_;\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                __last.__ctz_ -= __dn + __ddn;\x0a"
"                *__result.__seg_ \x7c= __b << (__result.__ctz_ - __last.__ctz_);\x0a"
"            }\x0a"
"            // __last.__ctz_ = 0\x0a"
"         }\x0a"
"        // __last.__ctz_ == 0 \x7c\x7c __n == 0\x0a"
"        // __result.__ctz_ \x21= 0 \x7c\x7c __n == 0\x0a"
"        // do middle words\x0a"
"        unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"        __storage_type __m = \x7e__storage_type(0) >> __clz_r;\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word)\x0a"
"        {\x0a"
"            __storage_type __b = *--__last.__seg_;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b >> __clz_r;\x0a"
"            *--__result.__seg_ \x26= __m;\x0a"
"            *__result.__seg_ \x7c= __b << __result.__ctz_;\x0a"
"        }\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __m = \x7e__storage_type(0) << (__bits_per_word - __n);\x0a"
"            __storage_type __b = *--__last.__seg_ \x26 __m;\x0a"
"            __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"            __storage_type __dn = _VSTD\x3a\x3amin(__n, static_cast<difference_type>(__result.__ctz_));\x0a"
"            __m = (\x7e__storage_type(0) << (__result.__ctz_ - __dn)) \x26 (\x7e__storage_type(0) >> __clz_r);\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b >> (__bits_per_word - __result.__ctz_);\x0a"
"            __result.__ctz_ = static_cast<unsigned>(((-__dn \x26 (__bits_per_word - 1)) +\x0a"
"                                                     __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            __n -= __dn;\x0a"
"            if (__n > 0)\x0a"
"            {\x0a"
"                // __result.__ctz_ == 0\x0a"
"                --__result.__seg_;\x0a"
"                __result.__ctz_ = static_cast<unsigned>(-__n \x26 (__bits_per_word - 1));\x0a"
"                __m = \x7e__storage_type(0) << __result.__ctz_;\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                *__result.__seg_ \x7c= __b << (__result.__ctz_ - (__bits_per_word - __n - __dn));\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<_Cp, false>\x0a"
"copy_backward(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    if (__last.__ctz_ == __result.__ctz_)\x0a"
"        return __copy_backward_aligned(__first, __last, __result);\x0a"
"    return __copy_backward_unaligned(__first, __last, __result);\x0a"
"}\x0a"
"\x0a"
"// move\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<_Cp, false>\x0a"
"move(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    return _VSTD\x3a\x3a""copy(__first, __last, __result);\x0a"
"}\x0a"
"\x0a"
"// move_backward\x0a"
"\x0a"
"template <class _Cp, bool _IsConst>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<_Cp, false>\x0a"
"move_backward(__bit_iterator<_Cp, _IsConst> __first, __bit_iterator<_Cp, _IsConst> __last, __bit_iterator<_Cp, false> __result)\x0a"
"{\x0a"
"    return _VSTD\x3a\x3a""copy_backward(__first, __last, __result);\x0a"
"}\x0a"
"\x0a"
"// swap_ranges\x0a"
"\x0a"
"template <class __C1, class __C2>\x0a"
"__bit_iterator<__C2, false>\x0a"
"__swap_ranges_aligned(__bit_iterator<__C1, false> __first, __bit_iterator<__C1, false> __last,\x0a"
"                      __bit_iterator<__C2, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<__C1, false> _I1;\x0a"
"    typedef  typename _I1\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _I1\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _I1\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz = __bits_per_word - __first.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz - __dn));\x0a"
"            __storage_type __b1 = *__first.__seg_ \x26 __m;\x0a"
"            *__first.__seg_ \x26= \x7e__m;\x0a"
"            __storage_type __b2 = *__result.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b1;\x0a"
"            *__first.__seg_  \x7c= __b2;\x0a"
"            __result.__seg_ += (__dn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__dn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            ++__first.__seg_;\x0a"
"            // __first.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word, ++__first.__seg_, ++__result.__seg_)\x0a"
"            swap(*__first.__seg_, *__result.__seg_);\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            __storage_type __b1 = *__first.__seg_ \x26 __m;\x0a"
"            *__first.__seg_ \x26= \x7e__m;\x0a"
"            __storage_type __b2 = *__result.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b1;\x0a"
"            *__first.__seg_  \x7c= __b2;\x0a"
"            __result.__ctz_ = static_cast<unsigned>(__n);\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class __C1, class __C2>\x0a"
"__bit_iterator<__C2, false>\x0a"
"__swap_ranges_unaligned(__bit_iterator<__C1, false> __first, __bit_iterator<__C1, false> __last,\x0a"
"                        __bit_iterator<__C2, false> __result)\x0a"
"{\x0a"
"    typedef __bit_iterator<__C1, false> _I1;\x0a"
"    typedef  typename _I1\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _I1\x3a\x3a__storage_type __storage_type;\x0a"
"    const int __bits_per_word = _I1\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last - __first;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz_f = __bits_per_word - __first.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz_f), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"            __storage_type __b1 = *__first.__seg_ \x26 __m;\x0a"
"            *__first.__seg_ \x26= \x7e__m;\x0a"
"            unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"            __storage_type __ddn = _VSTD\x3a\x3amin<__storage_type>(__dn, __clz_r);\x0a"
"            __m = (\x7e__storage_type(0) << __result.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __ddn));\x0a"
"            __storage_type __b2 = *__result.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            if (__result.__ctz_ > __first.__ctz_)\x0a"
"            {\x0a"
"                unsigned __s = __result.__ctz_ - __first.__ctz_;\x0a"
"                *__result.__seg_ \x7c= __b1 << __s;\x0a"
"                *__first.__seg_  \x7c= __b2 >> __s;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                unsigned __s = __first.__ctz_ - __result.__ctz_;\x0a"
"                *__result.__seg_ \x7c= __b1 >> __s;\x0a"
"                *__first.__seg_  \x7c= __b2 << __s;\x0a"
"            }\x0a"
"            __result.__seg_ += (__ddn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__ddn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            __dn -= __ddn;\x0a"
"            if (__dn > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __dn);\x0a"
"                __b2 = *__result.__seg_ \x26 __m;\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                unsigned __s = __first.__ctz_ + __ddn;\x0a"
"                *__result.__seg_ \x7c= __b1 >> __s;\x0a"
"                *__first.__seg_  \x7c= __b2 << __s;\x0a"
"                __result.__ctz_ = static_cast<unsigned>(__dn);\x0a"
"            }\x0a"
"            ++__first.__seg_;\x0a"
"            // __first.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        __storage_type __m = \x7e__storage_type(0) << __result.__ctz_;\x0a"
"        unsigned __clz_r = __bits_per_word - __result.__ctz_;\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word, ++__first.__seg_)\x0a"
"        {\x0a"
"            __storage_type __b1 = *__first.__seg_;\x0a"
"            __storage_type __b2 = *__result.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b1 << __result.__ctz_;\x0a"
"            *__first.__seg_  = __b2 >> __result.__ctz_;\x0a"
"            ++__result.__seg_;\x0a"
"            __b2 = *__result.__seg_ \x26 \x7e__m;\x0a"
"            *__result.__seg_ \x26= __m;\x0a"
"            *__result.__seg_ \x7c= __b1 >> __clz_r;\x0a"
"            *__first.__seg_  \x7c= __b2 << __clz_r;\x0a"
"        }\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            __storage_type __b1 = *__first.__seg_ \x26 __m;\x0a"
"            *__first.__seg_ \x26= \x7e__m;\x0a"
"            __storage_type __dn = _VSTD\x3a\x3amin<__storage_type>(__n, __clz_r);\x0a"
"            __m = (\x7e__storage_type(0) << __result.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __dn));\x0a"
"            __storage_type __b2 = *__result.__seg_ \x26 __m;\x0a"
"            *__result.__seg_ \x26= \x7e__m;\x0a"
"            *__result.__seg_ \x7c= __b1 << __result.__ctz_;\x0a"
"            *__first.__seg_  \x7c= __b2 >> __result.__ctz_;\x0a"
"            __result.__seg_ += (__dn + __result.__ctz_) / __bits_per_word;\x0a"
"            __result.__ctz_ = static_cast<unsigned>((__dn + __result.__ctz_)  \x25 __bits_per_word);\x0a"
"            __n -= __dn;\x0a"
"            if (__n > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"                __b2 = *__result.__seg_ \x26 __m;\x0a"
"                *__result.__seg_ \x26= \x7e__m;\x0a"
"                *__result.__seg_ \x7c= __b1 >> __dn;\x0a"
"                *__first.__seg_  \x7c= __b2 << __dn;\x0a"
"                __result.__ctz_ = static_cast<unsigned>(__n);\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class __C1, class __C2>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__bit_iterator<__C2, false>\x0a"
"swap_ranges(__bit_iterator<__C1, false> __first1, __bit_iterator<__C1, false> __last1,\x0a"
"            __bit_iterator<__C2, false> __first2)\x0a"
"{\x0a"
"    if (__first1.__ctz_ == __first2.__ctz_)\x0a"
"        return __swap_ranges_aligned(__first1, __last1, __first2);\x0a"
"    return __swap_ranges_unaligned(__first1, __last1, __first2);\x0a"
"}\x0a"
"\x0a"
"// rotate\x0a"
"\x0a"
"template <class _Cp>\x0a"
"struct __bit_array\x0a"
"{\x0a"
"    typedef typename _Cp\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _Cp\x3a\x3a__storage_type  __storage_type;\x0a"
"    typedef typename _Cp\x3a\x3a__storage_pointer __storage_pointer;\x0a"
"    typedef typename _Cp\x3a\x3aiterator        iterator;\x0a"
"    static const unsigned __bits_per_word = _Cp\x3a\x3a__bits_per_word;\x0a"
"    static const unsigned _Np = 4;\x0a"
"\x0a"
"    difference_type __size_;\x0a"
"    __storage_type __word_\x5b_Np\x5d;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY static difference_type capacity()\x0a"
"        {return static_cast<difference_type>(_Np * __bits_per_word);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __bit_array(difference_type __s) \x3a __size_(__s) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY iterator begin()\x0a"
"    {\x0a"
"        return iterator(pointer_traits<__storage_pointer>\x3a\x3apointer_to(__word_\x5b""0\x5d), 0);\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY iterator end()\x0a"
"    {\x0a"
"        return iterator(pointer_traits<__storage_pointer>\x3a\x3apointer_to(__word_\x5b""0\x5d) + __size_ / __bits_per_word,\x0a"
"                                                  static_cast<unsigned>(__size_ \x25 __bits_per_word));\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <class _Cp>\x0a"
"__bit_iterator<_Cp, false>\x0a"
"rotate(__bit_iterator<_Cp, false> __first, __bit_iterator<_Cp, false> __middle, __bit_iterator<_Cp, false> __last)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, false> _I1;\x0a"
"    typedef  typename _I1\x3a\x3a""difference_type difference_type;\x0a"
"    difference_type __d1 = __middle - __first;\x0a"
"    difference_type __d2 = __last - __middle;\x0a"
"    _I1 __r = __first + __d2;\x0a"
"    while (__d1 \x21= 0 \x26\x26 __d2 \x21= 0)\x0a"
"    {\x0a"
"        if (__d1 <= __d2)\x0a"
"        {\x0a"
"            if (__d1 <= __bit_array<_Cp>\x3a\x3a""capacity())\x0a"
"            {\x0a"
"                __bit_array<_Cp> __b(__d1);\x0a"
"                _VSTD\x3a\x3a""copy(__first, __middle, __b.begin());\x0a"
"                _VSTD\x3a\x3a""copy(__b.begin(), __b.end(), _VSTD\x3a\x3a""copy(__middle, __last, __first));\x0a"
"                break;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                __bit_iterator<_Cp, false> __mp = _VSTD\x3a\x3aswap_ranges(__first, __middle, __middle);\x0a"
"                __first = __middle;\x0a"
"                __middle = __mp;\x0a"
"                __d2 -= __d1;\x0a"
"            }\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            if (__d2 <= __bit_array<_Cp>\x3a\x3a""capacity())\x0a"
"            {\x0a"
"                __bit_array<_Cp> __b(__d2);\x0a"
"                _VSTD\x3a\x3a""copy(__middle, __last, __b.begin());\x0a"
"                _VSTD\x3a\x3a""copy_backward(__b.begin(), __b.end(), _VSTD\x3a\x3a""copy_backward(__first, __middle, __last));\x0a"
"                break;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                __bit_iterator<_Cp, false> __mp = __first + __d2;\x0a"
"                _VSTD\x3a\x3aswap_ranges(__first, __mp, __middle);\x0a"
"                __first = __mp;\x0a"
"                __d1 -= __d2;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"// equal\x0a"
"\x0a"
"template <class _Cp, bool _IC1, bool _IC2>\x0a"
"bool\x0a"
"__equal_unaligned(__bit_iterator<_Cp, _IC1> __first1, __bit_iterator<_Cp, _IC1> __last1,\x0a"
"                  __bit_iterator<_Cp, _IC2> __first2)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IC1> _It;\x0a"
"    typedef  typename _It\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    static const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last1 - __first1;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first1.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz_f = __bits_per_word - __first1.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz_f), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first1.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_f - __dn));\x0a"
"            __storage_type __b = *__first1.__seg_ \x26 __m;\x0a"
"            unsigned __clz_r = __bits_per_word - __first2.__ctz_;\x0a"
"            __storage_type __ddn = _VSTD\x3a\x3amin<__storage_type>(__dn, __clz_r);\x0a"
"            __m = (\x7e__storage_type(0) << __first2.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __ddn));\x0a"
"            if (__first2.__ctz_ > __first1.__ctz_)\x0a"
"            {\x0a"
"                if ((*__first2.__seg_ \x26 __m) \x21= (__b << (__first2.__ctz_ - __first1.__ctz_)))\x0a"
"                    return false;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                if ((*__first2.__seg_ \x26 __m) \x21= (__b >> (__first1.__ctz_ - __first2.__ctz_)))\x0a"
"                    return false;\x0a"
"            }\x0a"
"            __first2.__seg_ += (__ddn + __first2.__ctz_) / __bits_per_word;\x0a"
"            __first2.__ctz_ = static_cast<unsigned>((__ddn + __first2.__ctz_)  \x25 __bits_per_word);\x0a"
"            __dn -= __ddn;\x0a"
"            if (__dn > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __dn);\x0a"
"                if ((*__first2.__seg_ \x26 __m) \x21= (__b >> (__first1.__ctz_ + __ddn)))\x0a"
"                    return false;\x0a"
"                __first2.__ctz_ = static_cast<unsigned>(__dn);\x0a"
"            }\x0a"
"            ++__first1.__seg_;\x0a"
"            // __first1.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first1.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        unsigned __clz_r = __bits_per_word - __first2.__ctz_;\x0a"
"        __storage_type __m = \x7e__storage_type(0) << __first2.__ctz_;\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word, ++__first1.__seg_)\x0a"
"        {\x0a"
"            __storage_type __b = *__first1.__seg_;\x0a"
"            if ((*__first2.__seg_ \x26 __m) \x21= (__b << __first2.__ctz_))\x0a"
"                return false;\x0a"
"            ++__first2.__seg_;\x0a"
"            if ((*__first2.__seg_ \x26 \x7e__m) \x21= (__b >> __clz_r))\x0a"
"                return false;\x0a"
"        }\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            __storage_type __b = *__first1.__seg_ \x26 __m;\x0a"
"            __storage_type __dn = _VSTD\x3a\x3amin(__n, static_cast<difference_type>(__clz_r));\x0a"
"            __m = (\x7e__storage_type(0) << __first2.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz_r - __dn));\x0a"
"            if ((*__first2.__seg_ \x26 __m) \x21= (__b << __first2.__ctz_))\x0a"
"                return false;\x0a"
"            __first2.__seg_ += (__dn + __first2.__ctz_) / __bits_per_word;\x0a"
"            __first2.__ctz_ = static_cast<unsigned>((__dn + __first2.__ctz_)  \x25 __bits_per_word);\x0a"
"            __n -= __dn;\x0a"
"            if (__n > 0)\x0a"
"            {\x0a"
"                __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"                if ((*__first2.__seg_ \x26 __m) \x21= (__b >> __dn))\x0a"
"                    return false;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IC1, bool _IC2>\x0a"
"bool\x0a"
"__equal_aligned(__bit_iterator<_Cp, _IC1> __first1, __bit_iterator<_Cp, _IC1> __last1,\x0a"
"                __bit_iterator<_Cp, _IC2> __first2)\x0a"
"{\x0a"
"    typedef __bit_iterator<_Cp, _IC1> _It;\x0a"
"    typedef  typename _It\x3a\x3a""difference_type difference_type;\x0a"
"    typedef typename _It\x3a\x3a__storage_type __storage_type;\x0a"
"    static const int __bits_per_word = _It\x3a\x3a__bits_per_word;\x0a"
"    difference_type __n = __last1 - __first1;\x0a"
"    if (__n > 0)\x0a"
"    {\x0a"
"        // do first word\x0a"
"        if (__first1.__ctz_ \x21= 0)\x0a"
"        {\x0a"
"            unsigned __clz = __bits_per_word - __first1.__ctz_;\x0a"
"            difference_type __dn = _VSTD\x3a\x3amin(static_cast<difference_type>(__clz), __n);\x0a"
"            __n -= __dn;\x0a"
"            __storage_type __m = (\x7e__storage_type(0) << __first1.__ctz_) \x26 (\x7e__storage_type(0) >> (__clz - __dn));\x0a"
"            if ((*__first2.__seg_ \x26 __m) \x21= (*__first1.__seg_ \x26 __m))\x0a"
"                return false;\x0a"
"            ++__first2.__seg_;\x0a"
"            ++__first1.__seg_;\x0a"
"            // __first1.__ctz_ = 0;\x0a"
"            // __first2.__ctz_ = 0;\x0a"
"        }\x0a"
"        // __first1.__ctz_ == 0;\x0a"
"        // __first2.__ctz_ == 0;\x0a"
"        // do middle words\x0a"
"        for (; __n >= __bits_per_word; __n -= __bits_per_word, ++__first1.__seg_, ++__first2.__seg_)\x0a"
"            if (*__first2.__seg_ \x21= *__first1.__seg_)\x0a"
"                return false;\x0a"
"        // do last word\x0a"
"        if (__n > 0)\x0a"
"        {\x0a"
"            __storage_type __m = \x7e__storage_type(0) >> (__bits_per_word - __n);\x0a"
"            if ((*__first2.__seg_ \x26 __m) \x21= (*__first1.__seg_ \x26 __m))\x0a"
"                return false;\x0a"
"        }\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IC1, bool _IC2>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"equal(__bit_iterator<_Cp, _IC1> __first1, __bit_iterator<_Cp, _IC1> __last1, __bit_iterator<_Cp, _IC2> __first2)\x0a"
"{\x0a"
"    if (__first1.__ctz_ == __first2.__ctz_)\x0a"
"        return __equal_aligned(__first1, __last1, __first2);\x0a"
"    return __equal_unaligned(__first1, __last1, __first2);\x0a"
"}\x0a"
"\x0a"
"template <class _Cp, bool _IsConst,\x0a"
"          typename _Cp\x3a\x3a__storage_type>\x0a"
"class __bit_iterator\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef typename _Cp\x3a\x3a""difference_type                                                          difference_type;\x0a"
"    typedef bool                                                                                  value_type;\x0a"
"    typedef __bit_iterator                                                                        pointer;\x0a"
"    typedef typename conditional<_IsConst, __bit_const_reference<_Cp>, __bit_reference<_Cp> >\x3a\x3atype reference;\x0a"
"    typedef random_access_iterator_tag                                                            iterator_category;\x0a"
"\x0a"
"private\x3a\x0a"
"    typedef typename _Cp\x3a\x3a__storage_type                                           __storage_type;\x0a"
"    typedef typename conditional<_IsConst, typename _Cp\x3a\x3a__const_storage_pointer,\x0a"
"                                           typename _Cp\x3a\x3a__storage_pointer>\x3a\x3atype  __storage_pointer;\x0a"
"    static const unsigned __bits_per_word = _Cp\x3a\x3a__bits_per_word;\x0a"
"\x0a"
"    __storage_pointer __seg_;\x0a"
"    unsigned          __ctz_;\x0a"
"\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator() _NOEXCEPT\x0a"
"#if _LIBCPP_STD_VER > 11\x0a"
"    \x3a __seg_(nullptr), __ctz_(0)\x0a"
"#endif\x0a"
"    {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_iterator(const __bit_iterator<_Cp, false>\x26 __it) _NOEXCEPT\x0a"
"        \x3a __seg_(__it.__seg_), __ctz_(__it.__ctz_) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY reference operator*() const _NOEXCEPT\x0a"
"        {return reference(__seg_, __storage_type(1) << __ctz_);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator\x26 operator++()\x0a"
"    {\x0a"
"        if (__ctz_ \x21= __bits_per_word-1)\x0a"
"            ++__ctz_;\x0a"
"        else\x0a"
"        {\x0a"
"            __ctz_ = 0;\x0a"
"            ++__seg_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator operator++(int)\x0a"
"    {\x0a"
"        __bit_iterator __tmp = *this;\x0a"
"        ++(*this);\x0a"
"        return __tmp;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator\x26 operator--()\x0a"
"    {\x0a"
"        if (__ctz_ \x21= 0)\x0a"
"            --__ctz_;\x0a"
"        else\x0a"
"        {\x0a"
"            __ctz_ = __bits_per_word - 1;\x0a"
"            --__seg_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator operator--(int)\x0a"
"    {\x0a"
"        __bit_iterator __tmp = *this;\x0a"
"        --(*this);\x0a"
"        return __tmp;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator\x26 operator+=(difference_type __n)\x0a"
"    {\x0a"
"        if (__n >= 0)\x0a"
"            __seg_ += (__n + __ctz_) / __bits_per_word;\x0a"
"        else\x0a"
"            __seg_ += static_cast<difference_type>(__n - __bits_per_word + __ctz_ + 1)\x0a"
"                    / static_cast<difference_type>(__bits_per_word);\x0a"
"        __n \x26= (__bits_per_word - 1);\x0a"
"        __ctz_ = static_cast<unsigned>((__n + __ctz_)  \x25 __bits_per_word);\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator\x26 operator-=(difference_type __n)\x0a"
"    {\x0a"
"        return *this += -__n;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator operator+(difference_type __n) const\x0a"
"    {\x0a"
"        __bit_iterator __t(*this);\x0a"
"        __t += __n;\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __bit_iterator operator-(difference_type __n) const\x0a"
"    {\x0a"
"        __bit_iterator __t(*this);\x0a"
"        __t -= __n;\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    friend __bit_iterator operator+(difference_type __n, const __bit_iterator\x26 __it) {return __it + __n;}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    friend difference_type operator-(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return (__x.__seg_ - __y.__seg_) * __bits_per_word + __x.__ctz_ - __y.__ctz_;}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY reference operator\x5b\x5d(difference_type __n) const {return *(*this + __n);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator==(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return __x.__seg_ == __y.__seg_ \x26\x26 __x.__ctz_ == __y.__ctz_;}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator\x21=(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return \x21(__x == __y);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator<(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return __x.__seg_ < __y.__seg_ \x7c\x7c (__x.__seg_ == __y.__seg_ \x26\x26 __x.__ctz_ < __y.__ctz_);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator>(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return __y < __x;}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator<=(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return \x21(__y < __x);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY friend bool operator>=(const __bit_iterator\x26 __x, const __bit_iterator\x26 __y)\x0a"
"        {return \x21(__x < __y);}\x0a"
"\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bit_iterator(__storage_pointer __s, unsigned __ctz) _NOEXCEPT\x0a"
"        \x3a __seg_(__s), __ctz_(__ctz) {}\x0a"
"\x0a"
"    friend typename _Cp\x3a\x3a__self;\x0a"
"\x0a"
"    friend class __bit_reference<_Cp>;\x0a"
"    friend class __bit_const_reference<_Cp>;\x0a"
"    friend class __bit_iterator<_Cp, true>;\x0a"
"    template <class _Dp> friend struct __bit_array;\x0a"
"    template <class _Dp> friend void __fill_n_false(__bit_iterator<_Dp, false> __first, typename _Dp\x3a\x3asize_type __n);\x0a"
"    template <class _Dp> friend void __fill_n_true(__bit_iterator<_Dp, false> __first, typename _Dp\x3a\x3asize_type __n);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> __copy_aligned(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                                  __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                                  __bit_iterator<_Dp, false> __result);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> __copy_unaligned(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                                    __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                                    __bit_iterator<_Dp, false> __result);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> copy(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                        __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                        __bit_iterator<_Dp, false> __result);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> __copy_backward_aligned(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                                           __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                                           __bit_iterator<_Dp, false> __result);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> __copy_backward_unaligned(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                                             __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                                             __bit_iterator<_Dp, false> __result);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, false> copy_backward(__bit_iterator<_Dp, _IC> __first,\x0a"
"                                                                                 __bit_iterator<_Dp, _IC> __last,\x0a"
"                                                                                 __bit_iterator<_Dp, false> __result);\x0a"
"    template <class __C1, class __C2>friend __bit_iterator<__C2, false> __swap_ranges_aligned(__bit_iterator<__C1, false>,\x0a"
"                                                                                           __bit_iterator<__C1, false>,\x0a"
"                                                                                           __bit_iterator<__C2, false>);\x0a"
"    template <class __C1, class __C2>friend __bit_iterator<__C2, false> __swap_ranges_unaligned(__bit_iterator<__C1, false>,\x0a"
"                                                                                             __bit_iterator<__C1, false>,\x0a"
"                                                                                             __bit_iterator<__C2, false>);\x0a"
"    template <class __C1, class __C2>friend __bit_iterator<__C2, false> swap_ranges(__bit_iterator<__C1, false>,\x0a"
"                                                                                 __bit_iterator<__C1, false>,\x0a"
"                                                                                 __bit_iterator<__C2, false>);\x0a"
"    template <class _Dp> friend __bit_iterator<_Dp, false> rotate(__bit_iterator<_Dp, false>,\x0a"
"                                                                __bit_iterator<_Dp, false>,\x0a"
"                                                                __bit_iterator<_Dp, false>);\x0a"
"    template <class _Dp, bool _IC1, bool _IC2> friend bool __equal_aligned(__bit_iterator<_Dp, _IC1>,\x0a"
"                                                    __bit_iterator<_Dp, _IC1>,\x0a"
"                                                    __bit_iterator<_Dp, _IC2>);\x0a"
"    template <class _Dp, bool _IC1, bool _IC2> friend bool __equal_unaligned(__bit_iterator<_Dp, _IC1>,\x0a"
"                                                      __bit_iterator<_Dp, _IC1>,\x0a"
"                                                      __bit_iterator<_Dp, _IC2>);\x0a"
"    template <class _Dp, bool _IC1, bool _IC2> friend bool equal(__bit_iterator<_Dp, _IC1>,\x0a"
"                                                                __bit_iterator<_Dp, _IC1>,\x0a"
"                                                                __bit_iterator<_Dp, _IC2>);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, _IC> __find_bool_true(__bit_iterator<_Dp, _IC>,\x0a"
"                                                                          typename _Dp\x3a\x3asize_type);\x0a"
"    template <class _Dp, bool _IC> friend __bit_iterator<_Dp, _IC> __find_bool_false(__bit_iterator<_Dp, _IC>,\x0a"
"                                                                           typename _Dp\x3a\x3asize_type);\x0a"
"    template <class _Dp, bool _IC> friend typename __bit_iterator<_Dp, _IC>\x3a\x3a""difference_type\x0a"
"                   __count_bool_true(__bit_iterator<_Dp, _IC>, typename _Dp\x3a\x3asize_type);\x0a"
"    template <class _Dp, bool _IC> friend typename __bit_iterator<_Dp, _IC>\x3a\x3a""difference_type\x0a"
"                   __count_bool_false(__bit_iterator<_Dp, _IC>, typename _Dp\x3a\x3asize_type);\x0a"
"};\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif  // _LIBCPP___BIT_REFERENCE\x0a"
"", 52194 ); }