#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___bsd_locale_defaults_h( 
"// -*- C++ -*-\x0a"
"//===---------------------- __bsd_locale_defaults.h -----------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"// The BSDs have lots of *_l functions.  We don't want to define those symbols\x0a"
"// on other platforms though, for fear of conflicts with user code.  So here,\x0a"
"// we will define the mapping from an internal macro to the real BSD symbol.\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_BSD_LOCALE_DEFAULTS_H\x0a"
"#define _LIBCPP_BSD_LOCALE_DEFAULTS_H\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#define __libcpp_mb_cur_max_l(loc)                          MB_CUR_MAX_L(loc)\x0a"
"#define __libcpp_btowc_l(ch, loc)                           btowc_l(ch, loc)\x0a"
"#define __libcpp_wctob_l(wch, loc)                          wctob_l(wch, loc)\x0a"
"#define __libcpp_wcsnrtombs_l(dst, src, nwc, len, ps, loc)  wcsnrtombs_l(dst, src, nwc, len, ps, loc)\x0a"
"#define __libcpp_wcrtomb_l(src, wc, ps, loc)                wcrtomb_l(src, wc, ps, loc)\x0a"
"#define __libcpp_mbsnrtowcs_l(dst, src, nms, len, ps, loc)  mbsnrtowcs_l(dst, src, nms, len, ps, loc)\x0a"
"#define __libcpp_mbrtowc_l(pwc, s, n, ps, l)                mbrtowc_l(pwc, s, n, ps, l)\x0a"
"#define __libcpp_mbtowc_l(pwc, pmb, max, l)                 mbtowc_l(pwc, pmb, max, l)\x0a"
"#define __libcpp_mbrlen_l(s, n, ps, l)                      mbrlen_l(s, n, ps, l)\x0a"
"#define __libcpp_localeconv_l(l)                            localeconv_l(l)\x0a"
"#define __libcpp_mbsrtowcs_l(dest, src, len, ps, l)         mbsrtowcs_l(dest, src, len, ps, l)\x0a"
"#define __libcpp_snprintf_l(...)                            snprintf_l(__VA_ARGS__)\x0a"
"#define __libcpp_asprintf_l(...)                            asprintf_l(__VA_ARGS__)\x0a"
"#define __libcpp_sscanf_l(...)                              sscanf_l(__VA_ARGS__)\x0a"
"\x0a"
"#endif // _LIBCPP_BSD_LOCALE_DEFAULTS_H\x0a"
"", 2105 ); }