#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___functional_base( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_FUNCTIONAL_BASE\x0a"
"#define _LIBCPP_FUNCTIONAL_BASE\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <type_traits>\x0a"
"#include <typeinfo>\x0a"
"#include <exception>\x0a"
"#include <new>\x0a"
"#include <utility>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <class _Arg1, class _Arg2, class _Result>\x0a"
"struct _LIBCPP_TEMPLATE_VIS binary_function\x0a"
"{\x0a"
"    typedef _Arg1   first_argument_type;\x0a"
"    typedef _Arg2   second_argument_type;\x0a"
"    typedef _Result result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __has_result_type\x0a"
"{\x0a"
"private\x3a\x0a"
"    struct __two {char __lx; char __lxx;};\x0a"
"    template <class _Up> static __two __test(...);\x0a"
"    template <class _Up> static char __test(typename _Up\x3a\x3aresult_type* = 0);\x0a"
"public\x3a\x0a"
"    static const bool value = sizeof(__test<_Tp>(0)) == 1;\x0a"
"};\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 11\x0a"
"template <class _Tp = void>\x0a"
"#else\x0a"
"template <class _Tp>\x0a"
"#endif\x0a"
"struct _LIBCPP_TEMPLATE_VIS less \x3a binary_function<_Tp, _Tp, bool>\x0a"
"{\x0a"
"    _LIBCPP_CONSTEXPR_AFTER_CXX11 _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator()(const _Tp\x26 __x, const _Tp\x26 __y) const\x0a"
"        {return __x < __y;}\x0a"
"};\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 11\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS less<void>\x0a"
"{\x0a"
"    template <class _T1, class _T2>\x0a"
"    _LIBCPP_CONSTEXPR_AFTER_CXX11 _LIBCPP_INLINE_VISIBILITY\x0a"
"    auto operator()(_T1\x26\x26 __t, _T2\x26\x26 __u) const\x0a"
"    _NOEXCEPT_(noexcept(_VSTD\x3a\x3a""forward<_T1>(__t) < _VSTD\x3a\x3a""forward<_T2>(__u)))\x0a"
"    -> decltype        (_VSTD\x3a\x3a""forward<_T1>(__t) < _VSTD\x3a\x3a""forward<_T2>(__u))\x0a"
"        { return        _VSTD\x3a\x3a""forward<_T1>(__t) < _VSTD\x3a\x3a""forward<_T2>(__u); }\x0a"
"    typedef void is_transparent;\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"// __weak_result_type\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __derives_from_unary_function\x0a"
"{\x0a"
"private\x3a\x0a"
"    struct __two {char __lx; char __lxx;};\x0a"
"    static __two __test(...);\x0a"
"    template <class _Ap, class _Rp>\x0a"
"        static unary_function<_Ap, _Rp>\x0a"
"        __test(const volatile unary_function<_Ap, _Rp>*);\x0a"
"public\x3a\x0a"
"    static const bool value = \x21is_same<decltype(__test((_Tp*)0)), __two>\x3a\x3avalue;\x0a"
"    typedef decltype(__test((_Tp*)0)) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __derives_from_binary_function\x0a"
"{\x0a"
"private\x3a\x0a"
"    struct __two {char __lx; char __lxx;};\x0a"
"    static __two __test(...);\x0a"
"    template <class _A1, class _A2, class _Rp>\x0a"
"        static binary_function<_A1, _A2, _Rp>\x0a"
"        __test(const volatile binary_function<_A1, _A2, _Rp>*);\x0a"
"public\x3a\x0a"
"    static const bool value = \x21is_same<decltype(__test((_Tp*)0)), __two>\x3a\x3avalue;\x0a"
"    typedef decltype(__test((_Tp*)0)) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, bool = __derives_from_unary_function<_Tp>\x3a\x3avalue>\x0a"
"struct __maybe_derive_from_unary_function  // bool is true\x0a"
"    \x3a public __derives_from_unary_function<_Tp>\x3a\x3atype\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __maybe_derive_from_unary_function<_Tp, false>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, bool = __derives_from_binary_function<_Tp>\x3a\x3avalue>\x0a"
"struct __maybe_derive_from_binary_function  // bool is true\x0a"
"    \x3a public __derives_from_binary_function<_Tp>\x3a\x3atype\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __maybe_derive_from_binary_function<_Tp, false>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, bool = __has_result_type<_Tp>\x3a\x3avalue>\x0a"
"struct __weak_result_type_imp // bool is true\x0a"
"    \x3a public __maybe_derive_from_unary_function<_Tp>,\x0a"
"      public __maybe_derive_from_binary_function<_Tp>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename _Tp\x3a\x3aresult_type result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __weak_result_type_imp<_Tp, false>\x0a"
"    \x3a public __maybe_derive_from_unary_function<_Tp>,\x0a"
"      public __maybe_derive_from_binary_function<_Tp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __weak_result_type\x0a"
"    \x3a public __weak_result_type_imp<_Tp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"// 0 argument case\x0a"
"\x0a"
"template <class _Rp>\x0a"
"struct __weak_result_type<_Rp ()>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE  _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp>\x0a"
"struct __weak_result_type<_Rp (\x26)()>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE  _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp>\x0a"
"struct __weak_result_type<_Rp (*)()>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE  _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"// 1 argument case\x0a"
"\x0a"
"template <class _Rp, class _A1>\x0a"
"struct __weak_result_type<_Rp (_A1)>\x0a"
"    \x3a public unary_function<_A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1>\x0a"
"struct __weak_result_type<_Rp (\x26)(_A1)>\x0a"
"    \x3a public unary_function<_A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1>\x0a"
"struct __weak_result_type<_Rp (*)(_A1)>\x0a"
"    \x3a public unary_function<_A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)()>\x0a"
"    \x3a public unary_function<_Cp*, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)() const>\x0a"
"    \x3a public unary_function<const _Cp*, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)() volatile>\x0a"
"    \x3a public unary_function<volatile _Cp*, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)() const volatile>\x0a"
"    \x3a public unary_function<const volatile _Cp*, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"// 2 argument case\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2>\x0a"
"struct __weak_result_type<_Rp (_A1, _A2)>\x0a"
"    \x3a public binary_function<_A1, _A2, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2>\x0a"
"struct __weak_result_type<_Rp (*)(_A1, _A2)>\x0a"
"    \x3a public binary_function<_A1, _A2, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2>\x0a"
"struct __weak_result_type<_Rp (\x26)(_A1, _A2)>\x0a"
"    \x3a public binary_function<_A1, _A2, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1)>\x0a"
"    \x3a public binary_function<_Cp*, _A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1) const>\x0a"
"    \x3a public binary_function<const _Cp*, _A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1) volatile>\x0a"
"    \x3a public binary_function<volatile _Cp*, _A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1) const volatile>\x0a"
"    \x3a public binary_function<const volatile _Cp*, _A1, _Rp>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"// 3 or more arguments\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2, class _A3, class ..._A4>\x0a"
"struct __weak_result_type<_Rp (_A1, _A2, _A3, _A4...)>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2, class _A3, class ..._A4>\x0a"
"struct __weak_result_type<_Rp (\x26)(_A1, _A2, _A3, _A4...)>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _A1, class _A2, class _A3, class ..._A4>\x0a"
"struct __weak_result_type<_Rp (*)(_A1, _A2, _A3, _A4...)>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1, class _A2, class ..._A3>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1, _A2, _A3...)>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1, class _A2, class ..._A3>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1, _A2, _A3...) const>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1, class _A2, class ..._A3>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1, _A2, _A3...) volatile>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Cp, class _A1, class _A2, class ..._A3>\x0a"
"struct __weak_result_type<_Rp (_Cp\x3a\x3a*)(_A1, _A2, _A3...) const volatile>\x0a"
"{\x0a"
"    typedef _Rp result_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class ..._Args>\x0a"
"struct __invoke_return\x0a"
"{\x0a"
"    typedef decltype(__invoke(_VSTD\x3a\x3a""declval<_Tp>(), _VSTD\x3a\x3a""declval<_Args>()...)) type;\x0a"
"};\x0a"
"\x0a"
"#else // defined(_LIBCPP_CXX03_LANG)\x0a"
"\x0a"
"#include <__functional_base_03>\x0a"
"\x0a"
"#endif  // \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"\x0a"
"\x0a"
"template <class _Ret>\x0a"
"struct __invoke_void_return_wrapper\x0a"
"{\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    template <class ..._Args>\x0a"
"    static _Ret __call(_Args\x26\x26... __args) {\x0a"
"        return __invoke(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    }\x0a"
"#else\x0a"
"    template <class _Fn>\x0a"
"    static _Ret __call(_Fn __f) {\x0a"
"        return __invoke(__f);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0>\x0a"
"    static _Ret __call(_Fn __f, _A0\x26 __a0) {\x0a"
"        return __invoke(__f, __a0);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0, class _A1>\x0a"
"    static _Ret __call(_Fn __f, _A0\x26 __a0, _A1\x26 __a1) {\x0a"
"        return __invoke(__f, __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0, class _A1, class _A2>\x0a"
"    static _Ret __call(_Fn __f, _A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2){\x0a"
"        return __invoke(__f, __a0, __a1, __a2);\x0a"
"    }\x0a"
"#endif\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct __invoke_void_return_wrapper<void>\x0a"
"{\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    template <class ..._Args>\x0a"
"    static void __call(_Args\x26\x26... __args) {\x0a"
"        __invoke(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    }\x0a"
"#else\x0a"
"    template <class _Fn>\x0a"
"    static void __call(_Fn __f) {\x0a"
"        __invoke(__f);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0>\x0a"
"    static void __call(_Fn __f, _A0\x26 __a0) {\x0a"
"        __invoke(__f, __a0);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0, class _A1>\x0a"
"    static void __call(_Fn __f, _A0\x26 __a0, _A1\x26 __a1) {\x0a"
"        __invoke(__f, __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Fn, class _A0, class _A1, class _A2>\x0a"
"    static void __call(_Fn __f, _A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2) {\x0a"
"        __invoke(__f, __a0, __a1, __a2);\x0a"
"    }\x0a"
"#endif\x0a"
"};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"class _LIBCPP_TEMPLATE_VIS reference_wrapper\x0a"
"    \x3a public __weak_result_type<_Tp>\x0a"
"{\x0a"
"public\x3a\x0a"
"    // types\x0a"
"    typedef _Tp type;\x0a"
"private\x3a\x0a"
"    type* __f_;\x0a"
"\x0a"
"public\x3a\x0a"
"    // construct/copy/destroy\x0a"
"    _LIBCPP_INLINE_VISIBILITY reference_wrapper(type\x26 __f) _NOEXCEPT\x0a"
"        \x3a __f_(_VSTD\x3a\x3a""addressof(__f)) {}\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    private\x3a reference_wrapper(type\x26\x26); public\x3a // = delete; // do not bind to temps\x0a"
"#endif\x0a"
"\x0a"
"    // access\x0a"
"    _LIBCPP_INLINE_VISIBILITY operator type\x26    () const _NOEXCEPT {return *__f_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY          type\x26 get() const _NOEXCEPT {return *__f_;}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    // invoke\x0a"
"    template <class... _ArgTypes>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_of<type\x26, _ArgTypes...>\x3a\x3atype\x0a"
"    operator() (_ArgTypes\x26\x26... __args) const {\x0a"
"        return __invoke(get(), _VSTD\x3a\x3a""forward<_ArgTypes>(__args)...);\x0a"
"    }\x0a"
"#else\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return<type>\x3a\x3atype\x0a"
"    operator() () const {\x0a"
"        return __invoke(get());\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return0<type, _A0>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0) const {\x0a"
"        return __invoke(get(), __a0);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return0<type, _A0 const>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0) const {\x0a"
"        return __invoke(get(), __a0);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return1<type, _A0, _A1>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1\x26 __a1) const {\x0a"
"        return __invoke(get(), __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return1<type, _A0 const, _A1>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1\x26 __a1) const {\x0a"
"        return __invoke(get(), __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return1<type, _A0, _A1 const>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1 const\x26 __a1) const {\x0a"
"        return __invoke(get(), __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return1<type, _A0 const, _A1 const>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1 const\x26 __a1) const {\x0a"
"        return __invoke(get(), __a0, __a1);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0, _A1, _A2>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0 const, _A1, _A2>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1\x26 __a1, _A2\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0, _A1 const, _A2>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1 const\x26 __a1, _A2\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0, _A1, _A2 const>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1\x26 __a1, _A2 const\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0 const, _A1 const, _A2>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1 const\x26 __a1, _A2\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0 const, _A1, _A2 const>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1\x26 __a1, _A2 const\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0, _A1 const, _A2 const>\x3a\x3atype\x0a"
"    operator() (_A0\x26 __a0, _A1 const\x26 __a1, _A2 const\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"\x0a"
"    template <class _A0, class _A1, class _A2>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename __invoke_return2<type, _A0 const, _A1 const, _A2 const>\x3a\x3atype\x0a"
"    operator() (_A0 const\x26 __a0, _A1 const\x26 __a1, _A2 const\x26 __a2) const {\x0a"
"        return __invoke(get(), __a0, __a1, __a2);\x0a"
"    }\x0a"
"#endif // _LIBCPP_CXX03_LANG\x0a"
"};\x0a"
"\x0a"
"\x0a"
"template <class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"reference_wrapper<_Tp>\x0a"
"ref(_Tp\x26 __t) _NOEXCEPT\x0a"
"{\x0a"
"    return reference_wrapper<_Tp>(__t);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"reference_wrapper<_Tp>\x0a"
"ref(reference_wrapper<_Tp> __t) _NOEXCEPT\x0a"
"{\x0a"
"    return ref(__t.get());\x0a"
"}\x0a"
"\x0a"
"template <class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"reference_wrapper<const _Tp>\x0a"
"cref(const _Tp\x26 __t) _NOEXCEPT\x0a"
"{\x0a"
"    return reference_wrapper<const _Tp>(__t);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"reference_wrapper<const _Tp>\x0a"
"cref(reference_wrapper<_Tp> __t) _NOEXCEPT\x0a"
"{\x0a"
"    return cref(__t.get());\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"template <class _Tp> void ref(const _Tp\x26\x26) = delete;\x0a"
"template <class _Tp> void cref(const _Tp\x26\x26) = delete;\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 11\x0a"
"template <class _Tp, class, class = void>\x0a"
"struct __is_transparent \x3a false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Up>\x0a"
"struct __is_transparent<_Tp, _Up,\x0a"
"                        typename __void_t<typename _Tp\x3a\x3ais_transparent>\x3a\x3atype>\x0a"
"   \x3a true_type {};\x0a"
"#endif\x0a"
"\x0a"
"// allocator_arg_t\x0a"
"\x0a"
"struct _LIBCPP_TEMPLATE_VIS allocator_arg_t { };\x0a"
"\x0a"
"#if defined(_LIBCPP_CXX03_LANG) \x7c\x7c defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"extern _LIBCPP_EXPORTED_FROM_ABI const allocator_arg_t allocator_arg;\x0a"
"#else\x0a"
"/* _LIBCPP_INLINE_VAR */ constexpr allocator_arg_t allocator_arg = allocator_arg_t();\x0a"
"#endif\x0a"
"\x0a"
"// uses_allocator\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __has_allocator_type\x0a"
"{\x0a"
"private\x3a\x0a"
"    struct __two {char __lx; char __lxx;};\x0a"
"    template <class _Up> static __two __test(...);\x0a"
"    template <class _Up> static char __test(typename _Up\x3a\x3a""allocator_type* = 0);\x0a"
"public\x3a\x0a"
"    static const bool value = sizeof(__test<_Tp>(0)) == 1;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, bool = __has_allocator_type<_Tp>\x3a\x3avalue>\x0a"
"struct __uses_allocator\x0a"
"    \x3a public integral_constant<bool,\x0a"
"        is_convertible<_Alloc, typename _Tp\x3a\x3a""allocator_type>\x3a\x3avalue>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc>\x0a"
"struct __uses_allocator<_Tp, _Alloc, false>\x0a"
"    \x3a public false_type\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc>\x0a"
"struct _LIBCPP_TEMPLATE_VIS uses_allocator\x0a"
"    \x3a public __uses_allocator<_Tp, _Alloc>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"template <class _Tp, class _Alloc>\x0a"
"_LIBCPP_INLINE_VAR constexpr size_t uses_allocator_v = uses_allocator<_Tp, _Alloc>\x3a\x3avalue;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"// allocator construction\x0a"
"\x0a"
"template <class _Tp, class _Alloc, class ..._Args>\x0a"
"struct __uses_alloc_ctor_imp\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename __uncvref<_Alloc>\x3a\x3atype _RawAlloc;\x0a"
"    static const bool __ua = uses_allocator<_Tp, _RawAlloc>\x3a\x3avalue;\x0a"
"    static const bool __ic =\x0a"
"        is_constructible<_Tp, allocator_arg_t, _Alloc, _Args...>\x3a\x3avalue;\x0a"
"    static const int value = __ua \x3f 2 - __ic \x3a 0;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, class ..._Args>\x0a"
"struct __uses_alloc_ctor\x0a"
"    \x3a integral_constant<int, __uses_alloc_ctor_imp<_Tp, _Alloc, _Args...>\x3a\x3avalue>\x0a"
"    {};\x0a"
"\x0a"
"template <class _Tp, class _Allocator, class... _Args>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void __user_alloc_construct_impl (integral_constant<int, 0>, _Tp *__storage, const _Allocator \x26, _Args \x26\x26... __args )\x0a"
"{\x0a"
"    new (__storage) _Tp (_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"}\x0a"
"\x0a"
"// FIXME\x3a This should have a version which takes a non-const alloc.\x0a"
"template <class _Tp, class _Allocator, class... _Args>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void __user_alloc_construct_impl (integral_constant<int, 1>, _Tp *__storage, const _Allocator \x26__a, _Args \x26\x26... __args )\x0a"
"{\x0a"
"    new (__storage) _Tp (allocator_arg, __a, _VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"}\x0a"
"\x0a"
"// FIXME\x3a This should have a version which takes a non-const alloc.\x0a"
"template <class _Tp, class _Allocator, class... _Args>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void __user_alloc_construct_impl (integral_constant<int, 2>, _Tp *__storage, const _Allocator \x26__a, _Args \x26\x26... __args )\x0a"
"{\x0a"
"    new (__storage) _Tp (_VSTD\x3a\x3a""forward<_Args>(__args)..., __a);\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_FUNCTIONAL_BASE\x0a"
"", 17769 ); }