#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___nullptr( 
"// -*- C++ -*-\x0a"
"//===--------------------------- __nullptr --------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_NULLPTR\x0a"
"#define _LIBCPP_NULLPTR\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_HAS_NO_NULLPTR\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"struct _LIBCPP_TEMPLATE_VIS nullptr_t\x0a"
"{\x0a"
"    void* __lx;\x0a"
"\x0a"
"    struct __nat {int __for_bool_;};\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR nullptr_t() \x3a __lx(0) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR nullptr_t(int __nat\x3a\x3a*) \x3a __lx(0) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR operator int __nat\x3a\x3a*() const {return 0;}\x0a"
"\x0a"
"    template <class _Tp>\x0a"
"        _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR\x0a"
"        operator _Tp* () const {return 0;}\x0a"
"\x0a"
"    template <class _Tp, class _Up>\x0a"
"        _LIBCPP_INLINE_VISIBILITY\x0a"
"        operator _Tp _Up\x3a\x3a* () const {return 0;}\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR bool operator==(nullptr_t, nullptr_t) {return true;}\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR bool operator\x21=(nullptr_t, nullptr_t) {return false;}\x0a"
"};\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR nullptr_t __get_nullptr_t() {return nullptr_t(0);}\x0a"
"\x0a"
"#define nullptr _VSTD\x3a\x3a__get_nullptr_t()\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#else  // _LIBCPP_HAS_NO_NULLPTR\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"    typedef decltype(nullptr) nullptr_t;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_HAS_NO_NULLPTR\x0a"
"\x0a"
"#endif  // _LIBCPP_NULLPTR\x0a"
"", 1734 ); }