#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___sso_allocator( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP___SSO_ALLOCATOR\x0a"
"#define _LIBCPP___SSO_ALLOCATOR\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <type_traits>\x0a"
"#include <new>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <class _Tp, size_t _Np> class _LIBCPP_HIDDEN __sso_allocator;\x0a"
"\x0a"
"template <size_t _Np>\x0a"
"class _LIBCPP_HIDDEN __sso_allocator<void, _Np>\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef const void*       const_pointer;\x0a"
"    typedef void              value_type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, size_t _Np>\x0a"
"class _LIBCPP_HIDDEN __sso_allocator\x0a"
"{\x0a"
"    typename aligned_storage<sizeof(_Tp) * _Np>\x3a\x3atype buf_;\x0a"
"    bool __allocated_;\x0a"
"public\x3a\x0a"
"    typedef size_t            size_type;\x0a"
"    typedef _Tp*              pointer;\x0a"
"    typedef _Tp               value_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __sso_allocator() throw() \x3a __allocated_(false) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY __sso_allocator(const __sso_allocator\x26) throw() \x3a __allocated_(false) {}\x0a"
"    template <class _Up> _LIBCPP_INLINE_VISIBILITY __sso_allocator(const __sso_allocator<_Up, _Np>\x26) throw()\x0a"
"         \x3a __allocated_(false) {}\x0a"
"private\x3a\x0a"
"    __sso_allocator\x26 operator=(const __sso_allocator\x26);\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY pointer allocate(size_type __n, typename __sso_allocator<void, _Np>\x3a\x3a""const_pointer = 0)\x0a"
"    {\x0a"
"        if (\x21__allocated_ \x26\x26 __n <= _Np)\x0a"
"        {\x0a"
"            __allocated_ = true;\x0a"
"            return (pointer)\x26""buf_;\x0a"
"        }\x0a"
"        return static_cast<pointer>(_VSTD\x3a\x3a__libcpp_allocate(__n * sizeof(_Tp), _LIBCPP_ALIGNOF(_Tp)));\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY void deallocate(pointer __p, size_type __n)\x0a"
"    {\x0a"
"        if (__p == (pointer)\x26""buf_)\x0a"
"            __allocated_ = false;\x0a"
"        else\x0a"
"            _VSTD\x3a\x3a__libcpp_deallocate(__p, __n * sizeof(_Tp), _LIBCPP_ALIGNOF(_Tp));\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY size_type max_size() const throw() {return size_type(\x7e""0) / sizeof(_Tp);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(__sso_allocator\x26 __a) const {return \x26""buf_ == \x26__a.buf_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(__sso_allocator\x26 __a) const {return \x26""buf_ \x21= \x26__a.buf_;}\x0a"
"};\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP___SSO_ALLOCATOR\x0a"
"", 2552 ); }