#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cctype( 
"// -*- C++ -*-\x0a"
"//===---------------------------- cctype ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CCTYPE\x0a"
"#define _LIBCPP_CCTYPE\x0a"
"\x0a"
"/*\x0a"
"    cctype synopsis\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"int isalnum(int c);\x0a"
"int isalpha(int c);\x0a"
"int isblank(int c);  // C99\x0a"
"int iscntrl(int c);\x0a"
"int isdigit(int c);\x0a"
"int isgraph(int c);\x0a"
"int islower(int c);\x0a"
"int isprint(int c);\x0a"
"int ispunct(int c);\x0a"
"int isspace(int c);\x0a"
"int isupper(int c);\x0a"
"int isxdigit(int c);\x0a"
"int tolower(int c);\x0a"
"int toupper(int c);\x0a"
"\x0a"
"}  // std\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <ctype.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"#ifdef isalnum\x0a"
"#undef isalnum\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isalpha\x0a"
"#undef isalpha\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isblank\x0a"
"#undef isblank\x0a"
"#endif\x0a"
"\x0a"
"#ifdef iscntrl\x0a"
"#undef iscntrl\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isdigit\x0a"
"#undef isdigit\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isgraph\x0a"
"#undef isgraph\x0a"
"#endif\x0a"
"\x0a"
"#ifdef islower\x0a"
"#undef islower\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isprint\x0a"
"#undef isprint\x0a"
"#endif\x0a"
"\x0a"
"#ifdef ispunct\x0a"
"#undef ispunct\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isspace\x0a"
"#undef isspace\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isupper\x0a"
"#undef isupper\x0a"
"#endif\x0a"
"\x0a"
"#ifdef isxdigit\x0a"
"#undef isxdigit\x0a"
"#endif\x0a"
"\x0a"
"#ifdef tolower\x0a"
"#undef tolower\x0a"
"#endif\x0a"
"\x0a"
"#ifdef toupper\x0a"
"#undef toupper\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"using \x3a\x3aisalnum;\x0a"
"using \x3a\x3aisalpha;\x0a"
"using \x3a\x3aisblank;\x0a"
"using \x3a\x3aiscntrl;\x0a"
"using \x3a\x3aisdigit;\x0a"
"using \x3a\x3aisgraph;\x0a"
"using \x3a\x3aislower;\x0a"
"using \x3a\x3aisprint;\x0a"
"using \x3a\x3aispunct;\x0a"
"using \x3a\x3aisspace;\x0a"
"using \x3a\x3aisupper;\x0a"
"using \x3a\x3aisxdigit;\x0a"
"using \x3a\x3atolower;\x0a"
"using \x3a\x3atoupper;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CCTYPE\x0a"
"", 1758 ); }