#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_clocale( 
"// -*- C++ -*-\x0a"
"//===--------------------------- clocale ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CLOCALE\x0a"
"#define _LIBCPP_CLOCALE\x0a"
"\x0a"
"/*\x0a"
"    clocale synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    LC_ALL\x0a"
"    LC_COLLATE\x0a"
"    LC_CTYPE\x0a"
"    LC_MONETARY\x0a"
"    LC_NUMERIC\x0a"
"    LC_TIME\x0a"
"    NULL\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"struct lconv;\x0a"
"char* setlocale(int category, const char* locale);\x0a"
"lconv* localeconv();\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <locale.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3alconv;\x0a"
"#ifndef _LIBCPP_HAS_NO_THREAD_UNSAFE_C_FUNCTIONS\x0a"
"using \x3a\x3asetlocale;\x0a"
"#endif\x0a"
"using \x3a\x3alocaleconv;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CLOCALE\x0a"
"", 998 ); }