#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_csignal( 
"// -*- C++ -*-\x0a"
"//===--------------------------- csignal ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CSIGNAL\x0a"
"#define _LIBCPP_CSIGNAL\x0a"
"\x0a"
"/*\x0a"
"    csignal synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    SIG_DFL\x0a"
"    SIG_ERR\x0a"
"    SIG_IGN\x0a"
"    SIGABRT\x0a"
"    SIGFPE\x0a"
"    SIGILL\x0a"
"    SIGINT\x0a"
"    SIGSEGV\x0a"
"    SIGTERM\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    sig_atomic_t\x0a"
"\x0a"
"void (*signal(int sig, void (*func)(int)))(int);\x0a"
"int raise(int sig);\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <signal.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3asig_atomic_t;\x0a"
"using \x3a\x3asignal;\x0a"
"using \x3a\x3araise;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CSIGNAL\x0a"
"", 964 ); }