#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cstdarg( 
"// -*- C++ -*-\x0a"
"//===--------------------------- cstdarg ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CSTDARG\x0a"
"#define _LIBCPP_CSTDARG\x0a"
"\x0a"
"/*\x0a"
"    cstdarg synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    type va_arg(va_list ap, type);\x0a"
"    void va_copy(va_list dest, va_list src);  // C99\x0a"
"    void va_end(va_list ap);\x0a"
"    void va_start(va_list ap, parmN);\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    va_list\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3ava_list;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CSTDARG\x0a"
"", 903 ); }