#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cstring( 
"// -*- C++ -*-\x0a"
"//===--------------------------- cstring ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CSTRING\x0a"
"#define _LIBCPP_CSTRING\x0a"
"\x0a"
"/*\x0a"
"    cstring synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    NULL\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    size_t\x0a"
"\x0a"
"void* memcpy(void* restrict s1, const void* restrict s2, size_t n);\x0a"
"void* memmove(void* s1, const void* s2, size_t n);\x0a"
"char* strcpy (char* restrict s1, const char* restrict s2);\x0a"
"char* strncpy(char* restrict s1, const char* restrict s2, size_t n);\x0a"
"char* strcat (char* restrict s1, const char* restrict s2);\x0a"
"char* strncat(char* restrict s1, const char* restrict s2, size_t n);\x0a"
"int memcmp(const void* s1, const void* s2, size_t n);\x0a"
"int strcmp (const char* s1, const char* s2);\x0a"
"int strncmp(const char* s1, const char* s2, size_t n);\x0a"
"int strcoll(const char* s1, const char* s2);\x0a"
"size_t strxfrm(char* restrict s1, const char* restrict s2, size_t n);\x0a"
"const void* memchr(const void* s, int c, size_t n);\x0a"
"      void* memchr(      void* s, int c, size_t n);\x0a"
"const char* strchr(const char* s, int c);\x0a"
"      char* strchr(      char* s, int c);\x0a"
"size_t strcspn(const char* s1, const char* s2);\x0a"
"const char* strpbrk(const char* s1, const char* s2);\x0a"
"      char* strpbrk(      char* s1, const char* s2);\x0a"
"const char* strrchr(const char* s, int c);\x0a"
"      char* strrchr(      char* s, int c);\x0a"
"size_t strspn(const char* s1, const char* s2);\x0a"
"const char* strstr(const char* s1, const char* s2);\x0a"
"      char* strstr(      char* s1, const char* s2);\x0a"
"char* strtok(char* restrict s1, const char* restrict s2);\x0a"
"void* memset(void* s, int c, size_t n);\x0a"
"char* strerror(int errnum);\x0a"
"size_t strlen(const char* s);\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <string.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3asize_t;\x0a"
"using \x3a\x3amemcpy;\x0a"
"using \x3a\x3amemmove;\x0a"
"using \x3a\x3astrcpy;\x0a"
"using \x3a\x3astrncpy;\x0a"
"using \x3a\x3astrcat;\x0a"
"using \x3a\x3astrncat;\x0a"
"using \x3a\x3amemcmp;\x0a"
"using \x3a\x3astrcmp;\x0a"
"using \x3a\x3astrncmp;\x0a"
"using \x3a\x3astrcoll;\x0a"
"using \x3a\x3astrxfrm;\x0a"
"using \x3a\x3amemchr;\x0a"
"using \x3a\x3astrchr;\x0a"
"using \x3a\x3astrcspn;\x0a"
"using \x3a\x3astrpbrk;\x0a"
"using \x3a\x3astrrchr;\x0a"
"using \x3a\x3astrspn;\x0a"
"using \x3a\x3astrstr;\x0a"
"#ifndef _LIBCPP_HAS_NO_THREAD_UNSAFE_C_FUNCTIONS\x0a"
"using \x3a\x3astrtok;\x0a"
"#endif\x0a"
"using \x3a\x3amemset;\x0a"
"using \x3a\x3astrerror;\x0a"
"using \x3a\x3astrlen;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CSTRING\x0a"
"", 2554 ); }