#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_ctype_h( 
"// -*- C++ -*-\x0a"
"//===---------------------------- ctype.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CTYPE_H\x0a"
"#define _LIBCPP_CTYPE_H\x0a"
"\x0a"
"/*\x0a"
"    ctype.h synopsis\x0a"
"\x0a"
"int isalnum(int c);\x0a"
"int isalpha(int c);\x0a"
"int isblank(int c);  // C99\x0a"
"int iscntrl(int c);\x0a"
"int isdigit(int c);\x0a"
"int isgraph(int c);\x0a"
"int islower(int c);\x0a"
"int isprint(int c);\x0a"
"int ispunct(int c);\x0a"
"int isspace(int c);\x0a"
"int isupper(int c);\x0a"
"int isxdigit(int c);\x0a"
"int tolower(int c);\x0a"
"int toupper(int c);\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <ctype.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#undef isalnum\x0a"
"#undef isalpha\x0a"
"#undef isblank\x0a"
"#undef iscntrl\x0a"
"#undef isdigit\x0a"
"#undef isgraph\x0a"
"#undef islower\x0a"
"#undef isprint\x0a"
"#undef ispunct\x0a"
"#undef isspace\x0a"
"#undef isupper\x0a"
"#undef isxdigit\x0a"
"#undef tolower\x0a"
"#undef toupper\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#endif  // _LIBCPP_CTYPE_H\x0a"
"", 1149 ); }