#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cwchar( 
"// -*- C++ -*-\x0a"
"//===--------------------------- cwchar -----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CWCHAR\x0a"
"#define _LIBCPP_CWCHAR\x0a"
"\x0a"
"/*\x0a"
"    cwchar synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    NULL\x0a"
"    WCHAR_MAX\x0a"
"    WCHAR_MIN\x0a"
"    WEOF\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    mbstate_t\x0a"
"    size_t\x0a"
"    tm\x0a"
"    wint_t\x0a"
"\x0a"
"int fwprintf(FILE* restrict stream, const wchar_t* restrict format, ...);\x0a"
"int fwscanf(FILE* restrict stream, const wchar_t* restrict format, ...);\x0a"
"int swprintf(wchar_t* restrict s, size_t n, const wchar_t* restrict format, ...);\x0a"
"int swscanf(const wchar_t* restrict s, const wchar_t* restrict format, ...);\x0a"
"int vfwprintf(FILE* restrict stream, const wchar_t* restrict format, va_list arg);\x0a"
"int vfwscanf(FILE* restrict stream, const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int vswprintf(wchar_t* restrict s, size_t n, const wchar_t* restrict format, va_list arg);\x0a"
"int vswscanf(const wchar_t* restrict s, const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int vwprintf(const wchar_t* restrict format, va_list arg);\x0a"
"int vwscanf(const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int wprintf(const wchar_t* restrict format, ...);\x0a"
"int wscanf(const wchar_t* restrict format, ...);\x0a"
"wint_t fgetwc(FILE* stream);\x0a"
"wchar_t* fgetws(wchar_t* restrict s, int n, FILE* restrict stream);\x0a"
"wint_t fputwc(wchar_t c, FILE* stream);\x0a"
"int fputws(const wchar_t* restrict s, FILE* restrict stream);\x0a"
"int fwide(FILE* stream, int mode);\x0a"
"wint_t getwc(FILE* stream);\x0a"
"wint_t getwchar();\x0a"
"wint_t putwc(wchar_t c, FILE* stream);\x0a"
"wint_t putwchar(wchar_t c);\x0a"
"wint_t ungetwc(wint_t c, FILE* stream);\x0a"
"double wcstod(const wchar_t* restrict nptr, wchar_t** restrict endptr);\x0a"
"float wcstof(const wchar_t* restrict nptr, wchar_t** restrict endptr);         // C99\x0a"
"long double wcstold(const wchar_t* restrict nptr, wchar_t** restrict endptr);  // C99\x0a"
"long wcstol(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"long long wcstoll(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);  // C99\x0a"
"unsigned long wcstoul(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"unsigned long long wcstoull(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);  // C99\x0a"
"wchar_t* wcscpy(wchar_t* restrict s1, const wchar_t* restrict s2);\x0a"
"wchar_t* wcsncpy(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wcscat(wchar_t* restrict s1, const wchar_t* restrict s2);\x0a"
"wchar_t* wcsncat(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"int wcscmp(const wchar_t* s1, const wchar_t* s2);\x0a"
"int wcscoll(const wchar_t* s1, const wchar_t* s2);\x0a"
"int wcsncmp(const wchar_t* s1, const wchar_t* s2, size_t n);\x0a"
"size_t wcsxfrm(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"const wchar_t* wcschr(const wchar_t* s, wchar_t c);\x0a"
"      wchar_t* wcschr(      wchar_t* s, wchar_t c);\x0a"
"size_t wcscspn(const wchar_t* s1, const wchar_t* s2);\x0a"
"size_t wcslen(const wchar_t* s);\x0a"
"const wchar_t* wcspbrk(const wchar_t* s1, const wchar_t* s2);\x0a"
"      wchar_t* wcspbrk(      wchar_t* s1, const wchar_t* s2);\x0a"
"const wchar_t* wcsrchr(const wchar_t* s, wchar_t c);\x0a"
"      wchar_t* wcsrchr(      wchar_t* s, wchar_t c);\x0a"
"size_t wcsspn(const wchar_t* s1, const wchar_t* s2);\x0a"
"const wchar_t* wcsstr(const wchar_t* s1, const wchar_t* s2);\x0a"
"      wchar_t* wcsstr(      wchar_t* s1, const wchar_t* s2);\x0a"
"wchar_t* wcstok(wchar_t* restrict s1, const wchar_t* restrict s2, wchar_t** restrict ptr);\x0a"
"const wchar_t* wmemchr(const wchar_t* s, wchar_t c, size_t n);\x0a"
"      wchar_t* wmemchr(      wchar_t* s, wchar_t c, size_t n);\x0a"
"int wmemcmp(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wmemcpy(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wmemmove(wchar_t* s1, const wchar_t* s2, size_t n);\x0a"
"wchar_t* wmemset(wchar_t* s, wchar_t c, size_t n);\x0a"
"size_t wcsftime(wchar_t* restrict s, size_t maxsize, const wchar_t* restrict format,\x0a"
"                const tm* restrict timeptr);\x0a"
"wint_t btowc(int c);\x0a"
"int wctob(wint_t c);\x0a"
"int mbsinit(const mbstate_t* ps);\x0a"
"size_t mbrlen(const char* restrict s, size_t n, mbstate_t* restrict ps);\x0a"
"size_t mbrtowc(wchar_t* restrict pwc, const char* restrict s, size_t n, mbstate_t* restrict ps);\x0a"
"size_t wcrtomb(char* restrict s, wchar_t wc, mbstate_t* restrict ps);\x0a"
"size_t mbsrtowcs(wchar_t* restrict dst, const char** restrict src, size_t len,\x0a"
"                 mbstate_t* restrict ps);\x0a"
"size_t wcsrtombs(char* restrict dst, const wchar_t** restrict src, size_t len,\x0a"
"                 mbstate_t* restrict ps);\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <cwctype>\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3ambstate_t;\x0a"
"using \x3a\x3asize_t;\x0a"
"using \x3a\x3atm;\x0a"
"using \x3a\x3awint_t;\x0a"
"using \x3a\x3a""FILE;\x0a"
"using \x3a\x3a""fwprintf;\x0a"
"using \x3a\x3a""fwscanf;\x0a"
"using \x3a\x3aswprintf;\x0a"
"using \x3a\x3avfwprintf;\x0a"
"using \x3a\x3avswprintf;\x0a"
"using \x3a\x3aswscanf;\x0a"
"using \x3a\x3avfwscanf;\x0a"
"using \x3a\x3avswscanf;\x0a"
"using \x3a\x3a""fgetwc;\x0a"
"using \x3a\x3a""fgetws;\x0a"
"using \x3a\x3a""fputwc;\x0a"
"using \x3a\x3a""fputws;\x0a"
"using \x3a\x3a""fwide;\x0a"
"using \x3a\x3agetwc;\x0a"
"using \x3a\x3aputwc;\x0a"
"using \x3a\x3aungetwc;\x0a"
"using \x3a\x3awcstod;\x0a"
"using \x3a\x3awcstof;\x0a"
"using \x3a\x3awcstold;\x0a"
"using \x3a\x3awcstol;\x0a"
"#ifndef _LIBCPP_HAS_NO_LONG_LONG\x0a"
"using \x3a\x3awcstoll;\x0a"
"#endif // _LIBCPP_HAS_NO_LONG_LONG\x0a"
"using \x3a\x3awcstoul;\x0a"
"#ifndef _LIBCPP_HAS_NO_LONG_LONG\x0a"
"using \x3a\x3awcstoull;\x0a"
"#endif // _LIBCPP_HAS_NO_LONG_LONG\x0a"
"using \x3a\x3awcscpy;\x0a"
"using \x3a\x3awcsncpy;\x0a"
"using \x3a\x3awcscat;\x0a"
"using \x3a\x3awcsncat;\x0a"
"using \x3a\x3awcscmp;\x0a"
"using \x3a\x3awcscoll;\x0a"
"using \x3a\x3awcsncmp;\x0a"
"using \x3a\x3awcsxfrm;\x0a"
"using \x3a\x3awcschr;\x0a"
"using \x3a\x3awcspbrk;\x0a"
"using \x3a\x3awcsrchr;\x0a"
"using \x3a\x3awcsstr;\x0a"
"using \x3a\x3awmemchr;\x0a"
"using \x3a\x3awcscspn;\x0a"
"using \x3a\x3awcslen;\x0a"
"using \x3a\x3awcsspn;\x0a"
"using \x3a\x3awcstok;\x0a"
"using \x3a\x3awmemcmp;\x0a"
"using \x3a\x3awmemcpy;\x0a"
"using \x3a\x3awmemmove;\x0a"
"using \x3a\x3awmemset;\x0a"
"using \x3a\x3awcsftime;\x0a"
"using \x3a\x3a""btowc;\x0a"
"using \x3a\x3awctob;\x0a"
"using \x3a\x3ambsinit;\x0a"
"using \x3a\x3ambrlen;\x0a"
"using \x3a\x3ambrtowc;\x0a"
"using \x3a\x3awcrtomb;\x0a"
"using \x3a\x3ambsrtowcs;\x0a"
"using \x3a\x3awcsrtombs;\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_STDIN\x0a"
"using \x3a\x3agetwchar;\x0a"
"using \x3a\x3avwscanf;\x0a"
"using \x3a\x3awscanf;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_STDOUT\x0a"
"using \x3a\x3aputwchar;\x0a"
"using \x3a\x3avwprintf;\x0a"
"using \x3a\x3awprintf;\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CWCHAR\x0a"
"", 6285 ); }