#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental___memory( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL___MEMORY\x0a"
"#define _LIBCPP_EXPERIMENTAL___MEMORY\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <experimental/utility> // for erased_type\x0a"
"#include <__functional_base>\x0a"
"#include <type_traits>\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS\x0a"
"\x0a"
"template <\x0a"
"    class _Tp, class _Alloc\x0a"
"  , bool = uses_allocator<_Tp, _Alloc>\x3a\x3avalue\x0a"
"  , bool = __has_allocator_type<_Tp>\x3a\x3avalue\x0a"
"  >\x0a"
"struct __lfts_uses_allocator \x3a public false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Alloc>\x0a"
"struct __lfts_uses_allocator<_Tp, _Alloc, false, false> \x3a public false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, bool HasAlloc>\x0a"
"struct __lfts_uses_allocator<_Tp, _Alloc, true, HasAlloc> \x3a public true_type {};\x0a"
"\x0a"
"template <class _Tp, class _Alloc>\x0a"
"struct __lfts_uses_allocator<_Tp, _Alloc, false, true>\x0a"
"  \x3a public integral_constant<bool\x0a"
"    , is_convertible<_Alloc, typename _Tp\x3a\x3a""allocator_type>\x3a\x3avalue\x0a"
"      \x7c\x7c is_same<erased_type, typename _Tp\x3a\x3a""allocator_type>\x3a\x3avalue\x0a"
"    >\x0a"
"{};\x0a"
"\x0a"
"template <bool _UsesAlloc, class _Tp, class _Alloc, class ..._Args>\x0a"
"struct __lfts_uses_alloc_ctor_imp\x0a"
"{\x0a"
"    static const int value = 0;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, class ..._Args>\x0a"
"struct __lfts_uses_alloc_ctor_imp<true, _Tp, _Alloc, _Args...>\x0a"
"{\x0a"
"    static const bool __ic_first\x0a"
"        = is_constructible<_Tp, allocator_arg_t, _Alloc, _Args...>\x3a\x3avalue;\x0a"
"\x0a"
"    static const bool __ic_second =\x0a"
"        conditional<\x0a"
"            __ic_first,\x0a"
"            false_type,\x0a"
"            is_constructible<_Tp, _Args..., _Alloc>\x0a"
"        >\x3a\x3atype\x3a\x3avalue;\x0a"
"\x0a"
"    static_assert(__ic_first \x7c\x7c __ic_second,\x0a"
"                  \x22Request for uses allocator construction is ill-formed\x22);\x0a"
"\x0a"
"    static const int value = __ic_first \x3f 1 \x3a 2;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, class ..._Args>\x0a"
"struct __lfts_uses_alloc_ctor\x0a"
"  \x3a integral_constant<int,\x0a"
"        __lfts_uses_alloc_ctor_imp<\x0a"
"            __lfts_uses_allocator<_Tp, _Alloc>\x3a\x3avalue\x0a"
"          , _Tp, _Alloc, _Args...\x0a"
"        >\x3a\x3avalue\x0a"
"    >\x0a"
"{};\x0a"
"\x0a"
"template <class _Tp, class _Alloc, class ..._Args>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void __lfts_user_alloc_construct(\x0a"
"    _Tp * __store, const _Alloc \x26 __a, _Args \x26\x26... __args)\x0a"
"{\x0a"
"    _VSTD\x3a\x3a__user_alloc_construct_impl(\x0a"
"        typename __lfts_uses_alloc_ctor<_Tp, _Alloc, _Args...>\x3a\x3atype()\x0a"
"       , __store, __a, _VSTD\x3a\x3a""forward<_Args>(__args)...\x0a"
"       );\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL___MEMORY */\x0a"
"", 2744 ); }