#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_algorithm( 
"// -*- C++ -*-\x0a"
"//===-------------------------- algorithm ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_ALGORITHM\x0a"
"#define _LIBCPP_EXPERIMENTAL_ALGORITHM\x0a"
"\x0a"
"/*\x0a"
"   experimental/algorithm synopsis\x0a"
"\x0a"
"#include <algorithm>\x0a"
"\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"\x0a"
"template <class ForwardIterator, class Searcher>\x0a"
"ForwardIterator search(ForwardIterator first, ForwardIterator last,\x0a"
"                       const Searcher \x26searcher);\x0a"
"\x0a"
"// sample removed because it's now part of C++17\x0a"
"\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <algorithm>\x0a"
"#include <type_traits>\x0a"
"\x0a"
"#include <__debug>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS\x0a"
"\x0a"
"template <class _ForwardIterator, class _Searcher>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"_ForwardIterator search(_ForwardIterator __f, _ForwardIterator __l, const _Searcher \x26__s)\x0a"
"{ return __s(__f, __l).first; }\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_ALGORITHM */\x0a"
"", 1455 ); }