#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_deque( 
"// -*- C++ -*-\x0a"
"//===--------------------------- deque ------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_DEQUE\x0a"
"#define _LIBCPP_EXPERIMENTAL_DEQUE\x0a"
"/*\x0a"
"    experimental/deque synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  template <class T>\x0a"
"  using deque = std\x3a\x3a""deque<T,polymorphic_allocator<T>>;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <deque>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _ValueT>\x0a"
"using deque = _VSTD\x3a\x3a""deque<_ValueT, polymorphic_allocator<_ValueT>>;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_DEQUE */\x0a"
"", 1150 ); }