#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_set( 
"// -*- C++ -*-\x0a"
"//===--------------------------- list ------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_SET\x0a"
"#define _LIBCPP_EXPERIMENTAL_SET\x0a"
"/*\x0a"
"    experimental/set synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  template <class Key, class T, class Compare = less<Key>>\x0a"
"  using set = std\x3a\x3aset<Key, T, Compare,\x0a"
"                       polymorphic_allocator<pair<const Key,T>>>;\x0a"
"\x0a"
"  template <class Key, class T, class Compare = less<Key>>\x0a"
"  using multiset = std\x3a\x3amultiset<Key, T, Compare,\x0a"
"                                 polymorphic_allocator<pair<const Key,T>>>;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <set>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _Value, class  _Compare = less<_Value>>\x0a"
"using set = _VSTD\x3a\x3aset<_Value, _Compare,\x0a"
"                        polymorphic_allocator<_Value>>;\x0a"
"\x0a"
"template <class _Value, class  _Compare = less<_Value>>\x0a"
"using multiset = _VSTD\x3a\x3amultiset<_Value, _Compare,\x0a"
"                        polymorphic_allocator<_Value>>;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_SET */\x0a"
"", 1636 ); }