#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_string( 
"// -*- C++ -*-\x0a"
"//===--------------------------- string ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_STRING\x0a"
"#define _LIBCPP_EXPERIMENTAL_STRING\x0a"
"/*\x0a"
"    experimental/string synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  // basic_string using polymorphic allocator in namespace pmr\x0a"
"  template <class charT, class traits = char_traits<charT>>\x0a"
"   using basic_string =\x0a"
"     std\x3a\x3a""basic_string<charT, traits, polymorphic_allocator<charT>>;\x0a"
"\x0a"
"  // basic_string typedef names using polymorphic allocator in namespace\x0a"
"  // std\x3a\x3a""experimental\x3a\x3apmr\x0a"
"  typedef basic_string<char> string;\x0a"
"  typedef basic_string<char16_t> u16string;\x0a"
"  typedef basic_string<char32_t> u32string;\x0a"
"  typedef basic_string<wchar_t> wstring;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <string>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _CharT, class _Traits = char_traits<_CharT>>\x0a"
"using basic_string =\x0a"
"    _VSTD\x3a\x3a""basic_string<_CharT, _Traits, polymorphic_allocator<_CharT>>;\x0a"
"\x0a"
"typedef basic_string<char> string;\x0a"
"typedef basic_string<char16_t> u16string;\x0a"
"typedef basic_string<char32_t> u32string;\x0a"
"typedef basic_string<wchar_t> wstring;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_STRING */\x0a"
"", 1781 ); }