#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_unordered_map( 
"// -*- C++ -*-\x0a"
"//===------------------------- unordered_map ------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_UNORDERED_MAP\x0a"
"#define _LIBCPP_EXPERIMENTAL_UNORDERED_MAP\x0a"
"/*\x0a"
"    experimental/unordered_map synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  template <class Key, class T,\x0a"
"            class Hash = hash<Key>,\x0a"
"            class Pred = equal_to<Key>>\x0a"
"  using unordered_map =\x0a"
"    std\x3a\x3aunordered_map<Key, T, Hash, Pred,\x0a"
"                       polymorphic_allocator<pair<const Key,T>>>;\x0a"
"\x0a"
"  template <class Key, class T,\x0a"
"            class Hash = hash<Key>,\x0a"
"            class Pred = equal_to<Key>>\x0a"
"  using unordered_multimap =\x0a"
"    std\x3a\x3aunordered_multimap<Key, T, Hash, Pred,\x0a"
"                            polymorphic_allocator<pair<const Key,T>>>;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <unordered_map>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _Key, class _Value,\x0a"
"          class _Hash = hash<_Key>, class _Pred = equal_to<_Key>>\x0a"
"using unordered_map = _VSTD\x3a\x3aunordered_map<_Key, _Value, _Hash, _Pred,\x0a"
"                        polymorphic_allocator<pair<const _Key, _Value>>>;\x0a"
"\x0a"
"template <class _Key, class _Value,\x0a"
"          class _Hash = hash<_Key>, class _Pred = equal_to<_Key>>\x0a"
"using unordered_multimap = _VSTD\x3a\x3aunordered_multimap<_Key, _Value, _Hash, _Pred,\x0a"
"                        polymorphic_allocator<pair<const _Key, _Value>>>;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_UNORDERED_MAP */\x0a"
"", 2022 ); }