#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_ext___hash( 
"// -*- C++ -*-\x0a"
"//===------------------------- hash_set ------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXT_HASH\x0a"
"#define _LIBCPP_EXT_HASH\x0a"
"\x0a"
"#pragma GCC system_header\x0a"
"\x0a"
"#include <string>\x0a"
"#include <cstring>\x0a"
"\x0a"
"namespace __gnu_cxx {\x0a"
"\x0a"
"template <typename _Tp> struct _LIBCPP_TEMPLATE_VIS hash { };\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<const char*>\x0a"
" \x3a public std\x3a\x3aunary_function<const char*, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(const char *__c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return std\x3a\x3a__do_string_hash(__c, __c + strlen(__c));\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<char *>\x0a"
" \x3a public std\x3a\x3aunary_function<char*, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(char *__c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return std\x3a\x3a__do_string_hash<const char *>(__c, __c + strlen(__c));\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<char>\x0a"
" \x3a public std\x3a\x3aunary_function<char, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(char __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<signed char>\x0a"
" \x3a public std\x3a\x3aunary_function<signed char, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(signed char __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<unsigned char>\x0a"
" \x3a public std\x3a\x3aunary_function<unsigned char, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(unsigned char __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<short>\x0a"
" \x3a public std\x3a\x3aunary_function<short, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(short __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<unsigned short>\x0a"
" \x3a public std\x3a\x3aunary_function<unsigned short, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(unsigned short __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<int>\x0a"
"    \x3a public std\x3a\x3aunary_function<int, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(int __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<unsigned int>\x0a"
"    \x3a public std\x3a\x3aunary_function<unsigned int, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(unsigned int __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<long>\x0a"
"    \x3a public std\x3a\x3aunary_function<long, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(long __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <> struct _LIBCPP_TEMPLATE_VIS hash<unsigned long>\x0a"
"    \x3a public std\x3a\x3aunary_function<unsigned long, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(unsigned long __c) const _NOEXCEPT\x0a"
"    {\x0a"
"        return __c;\x0a"
"    }\x0a"
"};\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_EXT_HASH\x0a"
"", 3203 ); }