#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_float_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- float.h ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_FLOAT_H\x0a"
"#define _LIBCPP_FLOAT_H\x0a"
"\x0a"
"/*\x0a"
"    float.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    FLT_ROUNDS\x0a"
"    FLT_EVAL_METHOD     // C99\x0a"
"    FLT_RADIX\x0a"
"\x0a"
"    FLT_MANT_DIG\x0a"
"    DBL_MANT_DIG\x0a"
"    LDBL_MANT_DIG\x0a"
"\x0a"
"    FLT_HAS_SUBNORM     // C11\x0a"
"    DBL_HAS_SUBNORM     // C11\x0a"
"    LDBL_HAS_SUBNORM    // C11\x0a"
"\x0a"
"    DECIMAL_DIG         // C99\x0a"
"    FLT_DECIMAL_DIG     // C11\x0a"
"    DBL_DECIMAL_DIG     // C11\x0a"
"    LDBL_DECIMAL_DIG    // C11\x0a"
"\x0a"
"    FLT_DIG\x0a"
"    DBL_DIG\x0a"
"    LDBL_DIG\x0a"
"\x0a"
"    FLT_MIN_EXP\x0a"
"    DBL_MIN_EXP\x0a"
"    LDBL_MIN_EXP\x0a"
"\x0a"
"    FLT_MIN_10_EXP\x0a"
"    DBL_MIN_10_EXP\x0a"
"    LDBL_MIN_10_EXP\x0a"
"\x0a"
"    FLT_MAX_EXP\x0a"
"    DBL_MAX_EXP\x0a"
"    LDBL_MAX_EXP\x0a"
"\x0a"
"    FLT_MAX_10_EXP\x0a"
"    DBL_MAX_10_EXP\x0a"
"    LDBL_MAX_10_EXP\x0a"
"\x0a"
"    FLT_MAX\x0a"
"    DBL_MAX\x0a"
"    LDBL_MAX\x0a"
"\x0a"
"    FLT_EPSILON\x0a"
"    DBL_EPSILON\x0a"
"    LDBL_EPSILON\x0a"
"\x0a"
"    FLT_MIN\x0a"
"    DBL_MIN\x0a"
"    LDBL_MIN\x0a"
"\x0a"
"    FLT_TRUE_MIN        // C11\x0a"
"    DBL_TRUE_MIN        // C11\x0a"
"    LDBL_TRUE_MIN       // C11\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <float.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#ifndef FLT_EVAL_METHOD\x0a"
"#define FLT_EVAL_METHOD __FLT_EVAL_METHOD__\x0a"
"#endif\x0a"
"\x0a"
"#ifndef DECIMAL_DIG\x0a"
"#define DECIMAL_DIG __DECIMAL_DIG__\x0a"
"#endif\x0a"
"\x0a"
"#endif // __cplusplus\x0a"
"\x0a"
"#endif  // _LIBCPP_FLOAT_H\x0a"
"", 1621 ); }