#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_iostream( 
"// -*- C++ -*-\x0a"
"//===--------------------------- iostream ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_IOSTREAM\x0a"
"#define _LIBCPP_IOSTREAM\x0a"
"\x0a"
"/*\x0a"
"    iostream synopsis\x0a"
"\x0a"
"#include <ios>\x0a"
"#include <streambuf>\x0a"
"#include <istream>\x0a"
"#include <ostream>\x0a"
"\x0a"
"namespace std {\x0a"
"\x0a"
"extern istream cin;\x0a"
"extern ostream cout;\x0a"
"extern ostream cerr;\x0a"
"extern ostream clog;\x0a"
"extern wistream wcin;\x0a"
"extern wostream wcout;\x0a"
"extern wostream wcerr;\x0a"
"extern wostream wclog;\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <ios>\x0a"
"#include <streambuf>\x0a"
"#include <istream>\x0a"
"#include <ostream>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_STDIN\x0a"
"extern _LIBCPP_FUNC_VIS istream cin;\x0a"
"extern _LIBCPP_FUNC_VIS wistream wcin;\x0a"
"#endif\x0a"
"#ifndef _LIBCPP_HAS_NO_STDOUT\x0a"
"extern _LIBCPP_FUNC_VIS ostream cout;\x0a"
"extern _LIBCPP_FUNC_VIS wostream wcout;\x0a"
"#endif\x0a"
"extern _LIBCPP_FUNC_VIS ostream cerr;\x0a"
"extern _LIBCPP_FUNC_VIS wostream wcerr;\x0a"
"extern _LIBCPP_FUNC_VIS ostream clog;\x0a"
"extern _LIBCPP_FUNC_VIS wostream wclog;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_IOSTREAM\x0a"
"", 1391 ); }