#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_module_modulemap( 
"// define the module for __config outside of the top level 'std' module\x0a"
"// since __config may be included from C headers which may create an\x0a"
"// include cycle.\x0a"
"module std_config \x5bsystem\x5d \x5b""extern_c\x5d {\x0a"
"    header \x22__config\x22\x0a"
"}\x0a"
"\x0a"
"module std \x5bsystem\x5d {\x0a"
"  export std_config\x0a"
"  // FIXME\x3a The standard does not require that each of these submodules\x0a"
"  // re-exports its imported modules. We should provide an alternative form of\x0a"
"  // export that issues a warning if a name from the submodule is used, and\x0a"
"  // use that to provide a 'strict mode' for libc++.\x0a"
"\x0a"
"  // Deprecated C-compatibility headers. These can all be included from within\x0a"
"  // an 'extern \x22""C\x22' context.\x0a"
"  module depr \x5b""extern_c\x5d {\x0a"
"    // <assert.h> provided by C library.\x0a"
"    module ctype_h {\x0a"
"      header \x22""ctype.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module errno_h {\x0a"
"      header \x22""errno.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module fenv_h {\x0a"
"      header \x22""fenv.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // <float.h> provided by compiler or C library.\x0a"
"    module inttypes_h {\x0a"
"      header \x22inttypes.h\x22\x0a"
"      export stdint_h\x0a"
"      export *\x0a"
"    }\x0a"
"    // <iso646.h> provided by compiler.\x0a"
"    // <limits.h> provided by compiler or C library.\x0a"
"    module locale_h {\x0a"
"      header \x22locale.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module math_h {\x0a"
"      header \x22math.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module setjmp_h {\x0a"
"      header \x22setjmp.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // FIXME\x3a <stdalign.h> is missing.\x0a"
"    // <signal.h> provided by C library.\x0a"
"    // <stdarg.h> provided by compiler.\x0a"
"    // <stdbool.h> provided by compiler.\x0a"
"    module stddef_h {\x0a"
"      // <stddef.h>'s __need_* macros require textual inclusion.\x0a"
"      textual header \x22stddef.h\x22\x0a"
"    }\x0a"
"    module stdint_h {\x0a"
"      header \x22stdint.h\x22\x0a"
"      export *\x0a"
"      // FIXME\x3a This module only exists on OS X and for some reason the\x0a"
"      // wildcard above doesn't export it.\x0a"
"      export Darwin.C.stdint\x0a"
"    }\x0a"
"    module stdio_h {\x0a"
"      // <stdio.h>'s __need_* macros require textual inclusion.\x0a"
"      textual header \x22stdio.h\x22\x0a"
"      export *\x0a"
"      export Darwin.C.stdio\x0a"
"    }\x0a"
"    module stdlib_h {\x0a"
"      // <stdlib.h>'s __need_* macros require textual inclusion.\x0a"
"      textual header \x22stdlib.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module string_h {\x0a"
"      header \x22string.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // FIXME\x3a <uchar.h> is missing.\x0a"
"    // <time.h> provided by C library.\x0a"
"    module wchar_h {\x0a"
"      // <wchar.h>'s __need_* macros require textual inclusion.\x0a"
"      textual header \x22wchar.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module wctype_h {\x0a"
"      header \x22wctype.h\x22\x0a"
"      export *\x0a"
"    }\x0a"
"  }\x0a"
"\x0a"
"  // <complex.h> and <tgmath.h> are not C headers in any real sense, do not\x0a"
"  // allow their use in extern \x22""C\x22 contexts.\x0a"
"  module complex_h {\x0a"
"    header \x22""complex.h\x22\x0a"
"    export ccomplex\x0a"
"    export *\x0a"
"  }\x0a"
"  module tgmath_h {\x0a"
"    header \x22tgmath.h\x22\x0a"
"    export ccomplex\x0a"
"    export cmath\x0a"
"    export *\x0a"
"  }\x0a"
"\x0a"
"  // C compatibility headers.\x0a"
"  module compat {\x0a"
"    module cassert {\x0a"
"      // <cassert>'s use of NDEBUG requires textual inclusion.\x0a"
"      textual header \x22""cassert\x22\x0a"
"    }\x0a"
"    module ccomplex {\x0a"
"      header \x22""ccomplex\x22\x0a"
"      export complex\x0a"
"      export *\x0a"
"    }\x0a"
"    module cctype {\x0a"
"      header \x22""cctype\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cerrno {\x0a"
"      header \x22""cerrno\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cfenv {\x0a"
"      header \x22""cfenv\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cfloat {\x0a"
"      header \x22""cfloat\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cinttypes {\x0a"
"      header \x22""cinttypes\x22\x0a"
"      export cstdint\x0a"
"      export *\x0a"
"    }\x0a"
"    module ciso646 {\x0a"
"      header \x22""ciso646\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module climits {\x0a"
"      header \x22""climits\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module clocale {\x0a"
"      header \x22""clocale\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cmath {\x0a"
"      header \x22""cmath\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module csetjmp {\x0a"
"      header \x22""csetjmp\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module csignal {\x0a"
"      header \x22""csignal\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // FIXME\x3a <cstdalign> is missing.\x0a"
"    module cstdarg {\x0a"
"      header \x22""cstdarg\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstdbool {\x0a"
"      header \x22""cstdbool\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstddef {\x0a"
"      header \x22""cstddef\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstdint {\x0a"
"      header \x22""cstdint\x22\x0a"
"      export depr.stdint_h\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstdio {\x0a"
"      header \x22""cstdio\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstdlib {\x0a"
"      header \x22""cstdlib\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module cstring {\x0a"
"      header \x22""cstring\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module ctgmath {\x0a"
"      header \x22""ctgmath\x22\x0a"
"      export ccomplex\x0a"
"      export cmath\x0a"
"      export *\x0a"
"    }\x0a"
"    module ctime {\x0a"
"      header \x22""ctime\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // FIXME\x3a <cuchar> is missing.\x0a"
"    module cwchar {\x0a"
"      header \x22""cwchar\x22\x0a"
"      export depr.stdio_h\x0a"
"      export *\x0a"
"    }\x0a"
"    module cwctype {\x0a"
"      header \x22""cwctype\x22\x0a"
"      export *\x0a"
"    }\x0a"
"  }\x0a"
"\x0a"
"  module algorithm {\x0a"
"    header \x22""algorithm\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module any {\x0a"
"    header \x22""any\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module array {\x0a"
"    header \x22""array\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module atomic {\x0a"
"    header \x22""atomic\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module bit {\x0a"
"    header \x22""bit\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module bitset {\x0a"
"    header \x22""bitset\x22\x0a"
"    export string\x0a"
"    export iosfwd\x0a"
"    export *\x0a"
"  }\x0a"
"  // No submodule for cassert. It fundamentally needs repeated, textual inclusion.\x0a"
"  module charconv {\x0a"
"    header \x22""charconv\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module chrono {\x0a"
"    header \x22""chrono\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module codecvt {\x0a"
"    header \x22""codecvt\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module compare {\x0a"
"    header \x22""compare\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module complex {\x0a"
"    header \x22""complex\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module condition_variable {\x0a"
"    header \x22""condition_variable\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module deque {\x0a"
"    header \x22""deque\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module exception {\x0a"
"    header \x22""exception\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module filesystem {\x0a"
"    header \x22""filesystem\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module forward_list {\x0a"
"    header \x22""forward_list\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module fstream {\x0a"
"    header \x22""fstream\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module functional {\x0a"
"    header \x22""functional\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module future {\x0a"
"    header \x22""future\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module initializer_list {\x0a"
"    header \x22initializer_list\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module iomanip {\x0a"
"    header \x22iomanip\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module ios {\x0a"
"    header \x22ios\x22\x0a"
"    export iosfwd\x0a"
"    export *\x0a"
"  }\x0a"
"  module iosfwd {\x0a"
"    header \x22iosfwd\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module iostream {\x0a"
"    header \x22iostream\x22\x0a"
"    export ios\x0a"
"    export streambuf\x0a"
"    export istream\x0a"
"    export ostream\x0a"
"    export *\x0a"
"  }\x0a"
"  module istream {\x0a"
"    header \x22istream\x22\x0a"
"    // FIXME\x3a should re-export ios, streambuf\x3f\x0a"
"    export *\x0a"
"  }\x0a"
"  module iterator {\x0a"
"    header \x22iterator\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module limits {\x0a"
"    header \x22limits\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module list {\x0a"
"    header \x22list\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module locale {\x0a"
"    header \x22locale\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module map {\x0a"
"    header \x22map\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module memory {\x0a"
"    header \x22memory\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module mutex {\x0a"
"    header \x22mutex\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module new {\x0a"
"    header \x22new\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module numeric {\x0a"
"    header \x22numeric\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module optional {\x0a"
"    header \x22optional\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module ostream {\x0a"
"    header \x22ostream\x22\x0a"
"    // FIXME\x3a should re-export ios, streambuf\x3f\x0a"
"    export *\x0a"
"  }\x0a"
"  module queue {\x0a"
"    header \x22queue\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module random {\x0a"
"    header \x22random\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module ratio {\x0a"
"    header \x22ratio\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module regex {\x0a"
"    header \x22regex\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module scoped_allocator {\x0a"
"    header \x22scoped_allocator\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module set {\x0a"
"    header \x22set\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module sstream {\x0a"
"    header \x22sstream\x22\x0a"
"    // FIXME\x3a should re-export istream, ostream, ios, streambuf, string\x3f\x0a"
"    export *\x0a"
"  }\x0a"
"  module stack {\x0a"
"    header \x22stack\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module stdexcept {\x0a"
"    header \x22stdexcept\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module streambuf {\x0a"
"    header \x22streambuf\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module string {\x0a"
"    header \x22string\x22\x0a"
"    export initializer_list\x0a"
"    export string_view\x0a"
"    export __string\x0a"
"    export *\x0a"
"  }\x0a"
"  module string_view {\x0a"
"    header \x22string_view\x22\x0a"
"    export initializer_list\x0a"
"    export __string\x0a"
"    export *\x0a"
"  }\x0a"
"  module strstream {\x0a"
"    header \x22strstream\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module system_error {\x0a"
"    header \x22system_error\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module thread {\x0a"
"    header \x22thread\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module tuple {\x0a"
"    header \x22tuple\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module type_traits {\x0a"
"    header \x22type_traits\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module typeindex {\x0a"
"    header \x22typeindex\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module typeinfo {\x0a"
"    header \x22typeinfo\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module unordered_map {\x0a"
"    header \x22unordered_map\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module unordered_set {\x0a"
"    header \x22unordered_set\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module utility {\x0a"
"    header \x22utility\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module valarray {\x0a"
"    header \x22valarray\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module variant {\x0a"
"    header \x22variant\x22\x0a"
"    export *\x0a"
"  }\x0a"
"  module vector {\x0a"
"    header \x22vector\x22\x0a"
"    export initializer_list\x0a"
"    export *\x0a"
"  }\x0a"
"  module version {\x0a"
"    header \x22version\x22\x0a"
"    export *\x0a"
"  }\x0a"
"\x0a"
"  // FIXME\x3a These should be private.\x0a"
"  module __bit_reference { header \x22__bit_reference\x22 export * }\x0a"
"  module __debug { header \x22__debug\x22 export * }\x0a"
"  module __errc { header \x22__errc\x22 export * }\x0a"
"  module __functional_base { header \x22__functional_base\x22 export * }\x0a"
"  module __hash_table { header \x22__hash_table\x22 export * }\x0a"
"  module __locale { header \x22__locale\x22 export * }\x0a"
"  module __mutex_base { header \x22__mutex_base\x22 export * }\x0a"
"  module __split_buffer { header \x22__split_buffer\x22 export * }\x0a"
"  module __sso_allocator { header \x22__sso_allocator\x22 export * }\x0a"
"  module __std_stream { header \x22__std_stream\x22 export * }\x0a"
"  module __string { header \x22__string\x22 export * }\x0a"
"  module __tree { header \x22__tree\x22 export * }\x0a"
"  module __tuple { header \x22__tuple\x22 export * }\x0a"
"  module __undef_macros { header \x22__undef_macros\x22 export * }\x0a"
"  module __node_handle { header \x22__node_handle\x22 export * }\x0a"
"\x0a"
"  module experimental {\x0a"
"    requires cplusplus11\x0a"
"\x0a"
"    module algorithm {\x0a"
"      header \x22""experimental/algorithm\x22\x0a"
"      export *\x0a"
"    }\x0a"
"     module coroutine {\x0a"
"      requires coroutines\x0a"
"      header \x22""experimental/coroutine\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module deque {\x0a"
"      header \x22""experimental/deque\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module filesystem {\x0a"
"      header \x22""experimental/filesystem\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module forward_list {\x0a"
"      header \x22""experimental/forward_list\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module functional {\x0a"
"      header \x22""experimental/functional\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module iterator {\x0a"
"      header \x22""experimental/iterator\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module list {\x0a"
"      header \x22""experimental/list\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module map {\x0a"
"      header \x22""experimental/map\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module memory_resource {\x0a"
"      header \x22""experimental/memory_resource\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module propagate_const {\x0a"
"      header \x22""experimental/propagate_const\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module regex {\x0a"
"      header \x22""experimental/regex\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module simd {\x0a"
"      header \x22""experimental/simd\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module set {\x0a"
"      header \x22""experimental/set\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module span {\x0a"
"      header \x22span\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module string {\x0a"
"      header \x22""experimental/string\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module type_traits {\x0a"
"      header \x22""experimental/type_traits\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module unordered_map {\x0a"
"      header \x22""experimental/unordered_map\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module unordered_set {\x0a"
"      header \x22""experimental/unordered_set\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module utility {\x0a"
"      header \x22""experimental/utility\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    module vector {\x0a"
"      header \x22""experimental/vector\x22\x0a"
"      export *\x0a"
"    }\x0a"
"    // FIXME these should be private\x0a"
"    module __memory {\x0a"
"      header \x22""experimental/__memory\x22\x0a"
"      export *\x0a"
"    }\x0a"
"  } // end experimental\x0a"
"}\x0a"
"", 11964 ); }