#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_new( 
"// -*- C++ -*-\x0a"
"//===----------------------------- new ------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_NEW\x0a"
"#define _LIBCPP_NEW\x0a"
"\x0a"
"/*\x0a"
"    new synopsis\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"class bad_alloc\x0a"
"    \x3a public exception\x0a"
"{\x0a"
"public\x3a\x0a"
"    bad_alloc() noexcept;\x0a"
"    bad_alloc(const bad_alloc\x26) noexcept;\x0a"
"    bad_alloc\x26 operator=(const bad_alloc\x26) noexcept;\x0a"
"    virtual const char* what() const noexcept;\x0a"
"};\x0a"
"\x0a"
"class bad_array_new_length \x3a public bad_alloc // C++14\x0a"
"{\x0a"
"public\x3a\x0a"
"    bad_array_new_length() noexcept;\x0a"
"};\x0a"
"\x0a"
"enum class align_val_t \x3a size_t {}; // C++17\x0a"
"\x0a"
"struct destroying_delete_t { // C++20\x0a"
"  explicit destroying_delete_t() = default;\x0a"
"};\x0a"
"inline constexpr destroying_delete_t destroying_delete{}; // C++20\x0a"
"\x0a"
"struct nothrow_t {};\x0a"
"extern const nothrow_t nothrow;\x0a"
"typedef void (*new_handler)();\x0a"
"new_handler set_new_handler(new_handler new_p) noexcept;\x0a"
"new_handler get_new_handler() noexcept;\x0a"
"\x0a"
"// 21.6.4, pointer optimization barrier\x0a"
"template <class T> constexpr T* launder(T* p) noexcept; // C++17\x0a"
"}  // std\x0a"
"\x0a"
"void* operator new(std\x3a\x3asize_t size);                                   // replaceable, nodiscard in C++2a\x0a"
"void* operator new(std\x3a\x3asize_t size, std\x3a\x3a""align_val_t alignment);       // replaceable, C++17, nodiscard in C++2a\x0a"
"void* operator new(std\x3a\x3asize_t size, const std\x3a\x3anothrow_t\x26) noexcept;   // replaceable, nodiscard in C++2a\x0a"
"void* operator new(std\x3a\x3asize_t size, std\x3a\x3a""align_val_t alignment,\x0a"
"                   const std\x3a\x3anothrow_t\x26) noexcept;                     // replaceable, C++17, nodiscard in C++2a\x0a"
"void  operator delete(void* ptr) noexcept;                              // replaceable\x0a"
"void  operator delete(void* ptr, std\x3a\x3asize_t size) noexcept;            // replaceable, C++14\x0a"
"void  operator delete(void* ptr, std\x3a\x3a""align_val_t alignment) noexcept;  // replaceable, C++17\x0a"
"void  operator delete(void* ptr, std\x3a\x3asize_t size,\x0a"
"                      std\x3a\x3a""align_val_t alignment) noexcept;             // replaceable, C++17\x0a"
"void  operator delete(void* ptr, const std\x3a\x3anothrow_t\x26) noexcept;       // replaceable\x0a"
"void  operator delete(void* ptr, std\x3a""align_val_t alignment,\x0a"
"                      const std\x3a\x3anothrow_t\x26) noexcept;                  // replaceable, C++17\x0a"
"\x0a"
"void* operator new\x5b\x5d(std\x3a\x3asize_t size);                                 // replaceable, nodiscard in C++2a\x0a"
"void* operator new\x5b\x5d(std\x3a\x3asize_t size,\x0a"
"                     std\x3a\x3a""align_val_t alignment) noexcept;              // replaceable, C++17, nodiscard in C++2a\x0a"
"void* operator new\x5b\x5d(std\x3a\x3asize_t size, const std\x3a\x3anothrow_t\x26) noexcept; // replaceable, nodiscard in C++2a\x0a"
"void* operator new\x5b\x5d(std\x3a\x3asize_t size, std\x3a\x3a""align_val_t alignment,\x0a"
"                     const std\x3a\x3anothrow_t\x26) noexcept;                   // replaceable, C++17, nodiscard in C++2a\x0a"
"void  operator delete\x5b\x5d(void* ptr) noexcept;                            // replaceable\x0a"
"void  operator delete\x5b\x5d(void* ptr, std\x3a\x3asize_t size) noexcept;          // replaceable, C++14\x0a"
"void  operator delete\x5b\x5d(void* ptr,\x0a"
"                        std\x3a\x3a""align_val_t alignment) noexcept;           // replaceable, C++17\x0a"
"void  operator delete\x5b\x5d(void* ptr, std\x3a\x3asize_t size,\x0a"
"                        std\x3a\x3a""align_val_t alignment) noexcept;           // replaceable, C++17\x0a"
"void  operator delete\x5b\x5d(void* ptr, const std\x3a\x3anothrow_t\x26) noexcept;     // replaceable\x0a"
"void  operator delete\x5b\x5d(void* ptr, std\x3a\x3a""align_val_t alignment,\x0a"
"                        const std\x3a\x3anothrow_t\x26) noexcept;                // replaceable, C++17\x0a"
"\x0a"
"void* operator new  (std\x3a\x3asize_t size, void* ptr) noexcept;             // nodiscard in C++2a\x0a"
"void* operator new\x5b\x5d(std\x3a\x3asize_t size, void* ptr) noexcept;             // nodiscard in C++2a\x0a"
"void  operator delete  (void* ptr, void*) noexcept;\x0a"
"void  operator delete\x5b\x5d(void* ptr, void*) noexcept;\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <exception>\x0a"
"#include <type_traits>\x0a"
"#include <cstddef>\x0a"
"#include <version>\x0a"
"#ifdef _LIBCPP_NO_EXCEPTIONS\x0a"
"#include <cstdlib>\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_VCRUNTIME)\x0a"
"#include <new.h>\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(__cpp_sized_deallocation) \x7c\x7c __cpp_sized_deallocation  < 201309L\x0a"
"#define _LIBCPP_HAS_NO_LANGUAGE_SIZED_DEALLOCATION\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_BUILDING_LIBRARY) \x26\x26 _LIBCPP_STD_VER < 14 \x26\x26 \x5c\x0a"
"    defined(_LIBCPP_HAS_NO_LANGUAGE_SIZED_DEALLOCATION)\x0a"
"# define _LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION) \x7c\x7c \x5c\x0a"
"    defined(_LIBCPP_HAS_NO_LANGUAGE_SIZED_DEALLOCATION)\x0a"
"# define _LIBCPP_HAS_NO_SIZED_DEALLOCATION\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__has_builtin(__builtin_operator_new) \x7c\x7c \x5c\x0a"
"   __has_builtin(__builtin_operator_new) < 201802L\x0a"
"#define _LIBCPP_HAS_NO_BUILTIN_OVERLOADED_OPERATOR_NEW_DELETE\x0a"
"#endif\x0a"
"\x0a"
"namespace std  // purposefully not using versioning namespace\x0a"
"{\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_ABI_VCRUNTIME)\x0a"
"struct _LIBCPP_TYPE_VIS nothrow_t {};\x0a"
"extern _LIBCPP_FUNC_VIS const nothrow_t nothrow;\x0a"
"\x0a"
"class _LIBCPP_EXCEPTION_ABI bad_alloc\x0a"
"    \x3a public exception\x0a"
"{\x0a"
"public\x3a\x0a"
"    bad_alloc() _NOEXCEPT;\x0a"
"    virtual \x7e""bad_alloc() _NOEXCEPT;\x0a"
"    virtual const char* what() const _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"class _LIBCPP_EXCEPTION_ABI bad_array_new_length\x0a"
"    \x3a public bad_alloc\x0a"
"{\x0a"
"public\x3a\x0a"
"    bad_array_new_length() _NOEXCEPT;\x0a"
"    virtual \x7e""bad_array_new_length() _NOEXCEPT;\x0a"
"    virtual const char* what() const _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"typedef void (*new_handler)();\x0a"
"_LIBCPP_FUNC_VIS new_handler set_new_handler(new_handler) _NOEXCEPT;\x0a"
"_LIBCPP_FUNC_VIS new_handler get_new_handler() _NOEXCEPT;\x0a"
"\x0a"
"#endif // \x21_LIBCPP_ABI_VCRUNTIME\x0a"
"\x0a"
"_LIBCPP_NORETURN _LIBCPP_FUNC_VIS void __throw_bad_alloc();  // not in C++ spec\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION) \x26\x26 \x5c\x0a"
"    \x21""defined(_LIBCPP_ABI_VCRUNTIME)\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"enum class _LIBCPP_ENUM_VIS align_val_t \x3a size_t { };\x0a"
"#else\x0a"
"enum align_val_t { __zero = 0, __max = (size_t)-1 };\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 17\x0a"
"// Enable the declaration even if the compiler doesn't support the language\x0a"
"// feature.\x0a"
"struct destroying_delete_t {\x0a"
"  explicit destroying_delete_t() = default;\x0a"
"};\x0a"
"_LIBCPP_INLINE_VAR constexpr destroying_delete_t destroying_delete{};\x0a"
"#endif // _LIBCPP_STD_VER > 17\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"#if defined(_LIBCPP_CXX03_LANG)\x0a"
"#define _THROW_BAD_ALLOC throw(std\x3a\x3a""bad_alloc)\x0a"
"#else\x0a"
"#define _THROW_BAD_ALLOC\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_ABI_VCRUNTIME)\x0a"
"\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new(std\x3a\x3asize_t __sz) _THROW_BAD_ALLOC;\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new(std\x3a\x3asize_t __sz, const std\x3a\x3anothrow_t\x26) _NOEXCEPT _LIBCPP_NOALIAS;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete(void* __p) _NOEXCEPT;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete(void* __p, const std\x3a\x3anothrow_t\x26) _NOEXCEPT;\x0a"
"#ifndef _LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE void  operator delete(void* __p, std\x3a\x3asize_t __sz) _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new\x5b\x5d(std\x3a\x3asize_t __sz) _THROW_BAD_ALLOC;\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new\x5b\x5d(std\x3a\x3asize_t __sz, const std\x3a\x3anothrow_t\x26) _NOEXCEPT _LIBCPP_NOALIAS;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete\x5b\x5d(void* __p) _NOEXCEPT;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete\x5b\x5d(void* __p, const std\x3a\x3anothrow_t\x26) _NOEXCEPT;\x0a"
"#ifndef _LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE void  operator delete\x5b\x5d(void* __p, std\x3a\x3asize_t __sz) _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new(std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t) _THROW_BAD_ALLOC;\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new(std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t, const std\x3a\x3anothrow_t\x26) _NOEXCEPT _LIBCPP_NOALIAS;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete(void* __p, std\x3a\x3a""align_val_t) _NOEXCEPT;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete(void* __p, std\x3a\x3a""align_val_t, const std\x3a\x3anothrow_t\x26) _NOEXCEPT;\x0a"
"#ifndef _LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE void  operator delete(void* __p, std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t) _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new\x5b\x5d(std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t) _THROW_BAD_ALLOC;\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_OVERRIDABLE_FUNC_VIS void* operator new\x5b\x5d(std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t, const std\x3a\x3anothrow_t\x26) _NOEXCEPT _LIBCPP_NOALIAS;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete\x5b\x5d(void* __p, std\x3a\x3a""align_val_t) _NOEXCEPT;\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS void  operator delete\x5b\x5d(void* __p, std\x3a\x3a""align_val_t, const std\x3a\x3anothrow_t\x26) _NOEXCEPT;\x0a"
"#ifndef _LIBCPP_HAS_NO_LIBRARY_SIZED_DEALLOCATION\x0a"
"_LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE void  operator delete\x5b\x5d(void* __p, std\x3a\x3asize_t __sz, std\x3a\x3a""align_val_t) _NOEXCEPT;\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 inline _LIBCPP_INLINE_VISIBILITY void* operator new  (std\x3a\x3asize_t, void* __p) _NOEXCEPT {return __p;}\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 inline _LIBCPP_INLINE_VISIBILITY void* operator new\x5b\x5d(std\x3a\x3asize_t, void* __p) _NOEXCEPT {return __p;}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY void  operator delete  (void*, void*) _NOEXCEPT {}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY void  operator delete\x5b\x5d(void*, void*) _NOEXCEPT {}\x0a"
"\x0a"
"#endif // \x21_LIBCPP_ABI_VCRUNTIME\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_CONSTEXPR inline _LIBCPP_INLINE_VISIBILITY bool __is_overaligned_for_new(size_t __align) _NOEXCEPT {\x0a"
"#ifdef __STDCPP_DEFAULT_NEW_ALIGNMENT__\x0a"
"  return __align > __STDCPP_DEFAULT_NEW_ALIGNMENT__;\x0a"
"#else\x0a"
"  return __align > alignment_of<max_align_t>\x3a\x3avalue;\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY void *__libcpp_allocate(size_t __size, size_t __align) {\x0a"
"#ifndef _LIBCPP_HAS_NO_ALIGNED_ALLOCATION\x0a"
"  if (__is_overaligned_for_new(__align)) {\x0a"
"    const align_val_t __align_val = static_cast<align_val_t>(__align);\x0a"
"# ifdef _LIBCPP_HAS_NO_BUILTIN_OVERLOADED_OPERATOR_NEW_DELETE\x0a"
"    return \x3a\x3aoperator new(__size, __align_val);\x0a"
"# else\x0a"
"    return __builtin_operator_new(__size, __align_val);\x0a"
"# endif\x0a"
"  }\x0a"
"#else\x0a"
"  ((void)__align);\x0a"
"#endif\x0a"
"#ifdef _LIBCPP_HAS_NO_BUILTIN_OPERATOR_NEW_DELETE\x0a"
"  return \x3a\x3aoperator new(__size);\x0a"
"#else\x0a"
"  return __builtin_operator_new(__size);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"struct _DeallocateCaller {\x0a"
"  static inline _LIBCPP_INLINE_VISIBILITY\x0a"
"  void __do_deallocate_handle_size_align(void *__ptr, size_t __size, size_t __align) {\x0a"
"#if defined(_LIBCPP_HAS_NO_ALIGNED_ALLOCATION)\x0a"
"    ((void)__align);\x0a"
"    return __do_deallocate_handle_size(__ptr, __size);\x0a"
"#else\x0a"
"    if (__is_overaligned_for_new(__align)) {\x0a"
"      const align_val_t __align_val = static_cast<align_val_t>(__align);\x0a"
"      return __do_deallocate_handle_size(__ptr, __size, __align_val);\x0a"
"    } else {\x0a"
"      return __do_deallocate_handle_size(__ptr, __size);\x0a"
"    }\x0a"
"#endif\x0a"
"  }\x0a"
"\x0a"
"  static inline _LIBCPP_INLINE_VISIBILITY\x0a"
"  void __do_deallocate_handle_align(void *__ptr, size_t __align) {\x0a"
"#if defined(_LIBCPP_HAS_NO_ALIGNED_ALLOCATION)\x0a"
"    ((void)__align);\x0a"
"    return __do_call(__ptr);\x0a"
"#else\x0a"
"    if (__is_overaligned_for_new(__align)) {\x0a"
"      const align_val_t __align_val = static_cast<align_val_t>(__align);\x0a"
"      return __do_call(__ptr, __align_val);\x0a"
"    } else {\x0a"
"      return __do_call(__ptr);\x0a"
"    }\x0a"
"#endif\x0a"
"  }\x0a"
"\x0a"
" private\x3a\x0a"
"  static inline void __do_deallocate_handle_size(void *__ptr, size_t __size) {\x0a"
"#ifdef _LIBCPP_HAS_NO_SIZED_DEALLOCATION\x0a"
"    ((void)__size);\x0a"
"    return __do_call(__ptr);\x0a"
"#else\x0a"
"    return __do_call(__ptr, __size);\x0a"
"#endif\x0a"
"  }\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_ALIGNED_ALLOCATION\x0a"
"  static inline void __do_deallocate_handle_size(void *__ptr, size_t __size, align_val_t __align) {\x0a"
"#ifdef _LIBCPP_HAS_NO_SIZED_DEALLOCATION\x0a"
"    ((void)__size);\x0a"
"    return __do_call(__ptr, __align);\x0a"
"#else\x0a"
"    return __do_call(__ptr, __size, __align);\x0a"
"#endif\x0a"
"  }\x0a"
"#endif\x0a"
"\x0a"
"private\x3a\x0a"
"  template <class _A1, class _A2>\x0a"
"  static inline void __do_call(void *__ptr, _A1 __a1, _A2 __a2) {\x0a"
"#if defined(_LIBCPP_HAS_NO_BUILTIN_OPERATOR_NEW_DELETE) \x7c\x7c \x5c\x0a"
"    defined(_LIBCPP_HAS_NO_BUILTIN_OVERLOADED_OPERATOR_NEW_DELETE)\x0a"
"    return \x3a\x3aoperator delete(__ptr, __a1, __a2);\x0a"
"#else\x0a"
"    return __builtin_operator_delete(__ptr, __a1, __a2);\x0a"
"#endif\x0a"
"  }\x0a"
"\x0a"
"  template <class _A1>\x0a"
"  static inline void __do_call(void *__ptr, _A1 __a1) {\x0a"
"#if defined(_LIBCPP_HAS_NO_BUILTIN_OPERATOR_NEW_DELETE) \x7c\x7c \x5c\x0a"
"    defined(_LIBCPP_HAS_NO_BUILTIN_OVERLOADED_OPERATOR_NEW_DELETE)\x0a"
"    return \x3a\x3aoperator delete(__ptr, __a1);\x0a"
"#else\x0a"
"    return __builtin_operator_delete(__ptr, __a1);\x0a"
"#endif\x0a"
"  }\x0a"
"\x0a"
"  static inline void __do_call(void *__ptr) {\x0a"
"#ifdef _LIBCPP_HAS_NO_BUILTIN_OPERATOR_NEW_DELETE\x0a"
"    return \x3a\x3aoperator delete(__ptr);\x0a"
"#else\x0a"
"    return __builtin_operator_delete(__ptr);\x0a"
"#endif\x0a"
"  }\x0a"
"};\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY void __libcpp_deallocate(void* __ptr, size_t __size, size_t __align) {\x0a"
"  _DeallocateCaller\x3a\x3a__do_deallocate_handle_size_align(__ptr, __size, __align);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY void __libcpp_deallocate_unsized(void* __ptr, size_t __align) {\x0a"
"  _DeallocateCaller\x3a\x3a__do_deallocate_handle_align(__ptr, __align);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp>\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 inline\x0a"
"_LIBCPP_CONSTEXPR _Tp* __launder(_Tp* __p) _NOEXCEPT\x0a"
"{\x0a"
"    static_assert (\x21(is_function<_Tp>\x3a\x3avalue), \x22""can't launder functions\x22 );\x0a"
"    static_assert (\x21(is_same<void, typename remove_cv<_Tp>\x3a\x3atype>\x3a\x3avalue), \x22""can't launder cv-void\x22 );\x0a"
"#ifdef _LIBCPP_COMPILER_HAS_BUILTIN_LAUNDER\x0a"
"    return __builtin_launder(__p);\x0a"
"#else\x0a"
"    return __p;\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"template <class _Tp>\x0a"
"_LIBCPP_NODISCARD_AFTER_CXX17 inline _LIBCPP_INLINE_VISIBILITY\x0a"
"constexpr _Tp* launder(_Tp* __p) noexcept\x0a"
"{\x0a"
"    return _VSTD\x3a\x3a__launder(__p);\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_NEW\x0a"
"", 14056 ); }