#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_stdio_h( 
"// -*- C++ -*-\x0a"
"//===---------------------------- stdio.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#if defined(__need_FILE) \x7c\x7c defined(__need___FILE)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stdio.h>\x0a"
"\x0a"
"#elif \x21""defined(_LIBCPP_STDIO_H)\x0a"
"#define _LIBCPP_STDIO_H\x0a"
"\x0a"
"/*\x0a"
"    stdio.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    BUFSIZ\x0a"
"    EOF\x0a"
"    FILENAME_MAX\x0a"
"    FOPEN_MAX\x0a"
"    L_tmpnam\x0a"
"    NULL\x0a"
"    SEEK_CUR\x0a"
"    SEEK_END\x0a"
"    SEEK_SET\x0a"
"    TMP_MAX\x0a"
"    _IOFBF\x0a"
"    _IOLBF\x0a"
"    _IONBF\x0a"
"    stderr\x0a"
"    stdin\x0a"
"    stdout\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"FILE\x0a"
"fpos_t\x0a"
"size_t\x0a"
"\x0a"
"int remove(const char* filename);\x0a"
"int rename(const char* old, const char* new);\x0a"
"FILE* tmpfile(void);\x0a"
"char* tmpnam(char* s);\x0a"
"int fclose(FILE* stream);\x0a"
"int fflush(FILE* stream);\x0a"
"FILE* fopen(const char* restrict filename, const char* restrict mode);\x0a"
"FILE* freopen(const char* restrict filename, const char * restrict mode,\x0a"
"              FILE * restrict stream);\x0a"
"void setbuf(FILE* restrict stream, char* restrict buf);\x0a"
"int setvbuf(FILE* restrict stream, char* restrict buf, int mode, size_t size);\x0a"
"int fprintf(FILE* restrict stream, const char* restrict format, ...);\x0a"
"int fscanf(FILE* restrict stream, const char * restrict format, ...);\x0a"
"int printf(const char* restrict format, ...);\x0a"
"int scanf(const char* restrict format, ...);\x0a"
"int snprintf(char* restrict s, size_t n, const char* restrict format, ...);    // C99\x0a"
"int sprintf(char* restrict s, const char* restrict format, ...);\x0a"
"int sscanf(const char* restrict s, const char* restrict format, ...);\x0a"
"int vfprintf(FILE* restrict stream, const char* restrict format, va_list arg);\x0a"
"int vfscanf(FILE* restrict stream, const char* restrict format, va_list arg);  // C99\x0a"
"int vprintf(const char* restrict format, va_list arg);\x0a"
"int vscanf(const char* restrict format, va_list arg);                          // C99\x0a"
"int vsnprintf(char* restrict s, size_t n, const char* restrict format,         // C99\x0a"
"              va_list arg);\x0a"
"int vsprintf(char* restrict s, const char* restrict format, va_list arg);\x0a"
"int vsscanf(const char* restrict s, const char* restrict format, va_list arg); // C99\x0a"
"int fgetc(FILE* stream);\x0a"
"char* fgets(char* restrict s, int n, FILE* restrict stream);\x0a"
"int fputc(int c, FILE* stream);\x0a"
"int fputs(const char* restrict s, FILE* restrict stream);\x0a"
"int getc(FILE* stream);\x0a"
"int getchar(void);\x0a"
"char* gets(char* s);  // removed in C++14\x0a"
"int putc(int c, FILE* stream);\x0a"
"int putchar(int c);\x0a"
"int puts(const char* s);\x0a"
"int ungetc(int c, FILE* stream);\x0a"
"size_t fread(void* restrict ptr, size_t size, size_t nmemb,\x0a"
"             FILE* restrict stream);\x0a"
"size_t fwrite(const void* restrict ptr, size_t size, size_t nmemb,\x0a"
"              FILE* restrict stream);\x0a"
"int fgetpos(FILE* restrict stream, fpos_t* restrict pos);\x0a"
"int fseek(FILE* stream, long offset, int whence);\x0a"
"int fsetpos(FILE*stream, const fpos_t* pos);\x0a"
"long ftell(FILE* stream);\x0a"
"void rewind(FILE* stream);\x0a"
"void clearerr(FILE* stream);\x0a"
"int feof(FILE* stream);\x0a"
"int ferror(FILE* stream);\x0a"
"void perror(const char* s);\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stdio.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#undef getc\x0a"
"#undef putc\x0a"
"#undef clearerr\x0a"
"#undef feof\x0a"
"#undef ferror\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#endif  // _LIBCPP_STDIO_H\x0a"
"", 3521 ); }