#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_stdlib_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- stdlib.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#if defined(__need_malloc_and_calloc) \x7c\x7c defined(_LIBCPP_STDLIB_INCLUDE_NEXT)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_STDLIB_INCLUDE_NEXT)\x0a"
"#undef _LIBCPP_STDLIB_INCLUDE_NEXT\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stdlib.h>\x0a"
"\x0a"
"#elif \x21""defined(_LIBCPP_STDLIB_H)\x0a"
"#define _LIBCPP_STDLIB_H\x0a"
"\x0a"
"/*\x0a"
"    stdlib.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    EXIT_FAILURE\x0a"
"    EXIT_SUCCESS\x0a"
"    MB_CUR_MAX\x0a"
"    NULL\x0a"
"    RAND_MAX\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    size_t\x0a"
"    div_t\x0a"
"    ldiv_t\x0a"
"    lldiv_t                                                               // C99\x0a"
"\x0a"
"double    atof (const char* nptr);\x0a"
"int       atoi (const char* nptr);\x0a"
"long      atol (const char* nptr);\x0a"
"long long atoll(const char* nptr);                                        // C99\x0a"
"double             strtod  (const char* restrict nptr, char** restrict endptr);\x0a"
"float              strtof  (const char* restrict nptr, char** restrict endptr); // C99\x0a"
"long double        strtold (const char* restrict nptr, char** restrict endptr); // C99\x0a"
"long               strtol  (const char* restrict nptr, char** restrict endptr, int base);\x0a"
"long long          strtoll (const char* restrict nptr, char** restrict endptr, int base); // C99\x0a"
"unsigned long      strtoul (const char* restrict nptr, char** restrict endptr, int base);\x0a"
"unsigned long long strtoull(const char* restrict nptr, char** restrict endptr, int base); // C99\x0a"
"int rand(void);\x0a"
"void srand(unsigned int seed);\x0a"
"void* calloc(size_t nmemb, size_t size);\x0a"
"void free(void* ptr);\x0a"
"void* malloc(size_t size);\x0a"
"void* realloc(void* ptr, size_t size);\x0a"
"void abort(void);\x0a"
"int atexit(void (*func)(void));\x0a"
"void exit(int status);\x0a"
"void _Exit(int status);\x0a"
"char* getenv(const char* name);\x0a"
"int system(const char* string);\x0a"
"void* bsearch(const void* key, const void* base, size_t nmemb, size_t size,\x0a"
"              int (*compar)(const void *, const void *));\x0a"
"void qsort(void* base, size_t nmemb, size_t size,\x0a"
"           int (*compar)(const void *, const void *));\x0a"
"int         abs(      int j);\x0a"
"long        abs(     long j);\x0a"
"long long   abs(long long j);                                             // C++0X\x0a"
"long       labs(     long j);\x0a"
"long long llabs(long long j);                                             // C99\x0a"
"div_t     div(      int numer,       int denom);\x0a"
"ldiv_t    div(     long numer,      long denom);\x0a"
"lldiv_t   div(long long numer, long long denom);                          // C++0X\x0a"
"ldiv_t   ldiv(     long numer,      long denom);\x0a"
"lldiv_t lldiv(long long numer, long long denom);                          // C99\x0a"
"int mblen(const char* s, size_t n);\x0a"
"int mbtowc(wchar_t* restrict pwc, const char* restrict s, size_t n);\x0a"
"int wctomb(char* s, wchar_t wchar);\x0a"
"size_t mbstowcs(wchar_t* restrict pwcs, const char* restrict s, size_t n);\x0a"
"size_t wcstombs(char* restrict s, const wchar_t* restrict pwcs, size_t n);\x0a"
"int at_quick_exit(void (*func)(void))                                     // C++11\x0a"
"void quick_exit(int status);                                              // C++11\x0a"
"void *aligned_alloc(size_t alignment, size_t size);                       // C11\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stdlib.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"#include <math.h>\x0a"
"#endif  // __cplusplus\x0a"
"\x0a"
"#endif  // _LIBCPP_STDLIB_H\x0a"
"", 3664 ); }