#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_support_xlocale___posix_l_fallback_h( 
"// -*- C++ -*-\x0a"
"//===--------------- support/xlocale/__posix_l_fallback.h -----------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"// These are reimplementations of some extended locale functions ( *_l ) that\x0a"
"// are normally part of POSIX.  This shared implementation provides parts of the\x0a"
"// extended locale support for libc's that normally don't have any (like\x0a"
"// Android's bionic and Newlib).\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_SUPPORT_XLOCALE_POSIX_L_FALLBACK_H\x0a"
"#define _LIBCPP_SUPPORT_XLOCALE_POSIX_L_FALLBACK_H\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isalnum_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisalnum(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isalpha_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisalpha(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isblank_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisblank(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iscntrl_l(int c, locale_t) {\x0a"
"  return \x3a\x3aiscntrl(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isdigit_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisdigit(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isgraph_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisgraph(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int islower_l(int c, locale_t) {\x0a"
"  return \x3a\x3aislower(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isprint_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisprint(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int ispunct_l(int c, locale_t) {\x0a"
"  return \x3a\x3aispunct(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isspace_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisspace(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isupper_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisupper(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int isxdigit_l(int c, locale_t) {\x0a"
"  return \x3a\x3aisxdigit(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswalnum_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswalnum(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswalpha_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswalpha(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswblank_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswblank(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswcntrl_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswcntrl(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswdigit_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswdigit(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswgraph_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswgraph(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswlower_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswlower(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswprint_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswprint(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswpunct_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswpunct(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswspace_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswspace(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswupper_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswupper(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int iswxdigit_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3aiswxdigit(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int toupper_l(int c, locale_t) {\x0a"
"  return \x3a\x3atoupper(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int tolower_l(int c, locale_t) {\x0a"
"  return \x3a\x3atolower(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY wint_t towupper_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3atowupper(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY wint_t towlower_l(wint_t c, locale_t) {\x0a"
"  return \x3a\x3atowlower(c);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int strcoll_l(const char *s1, const char *s2,\x0a"
"                                               locale_t) {\x0a"
"  return \x3a\x3astrcoll(s1, s2);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY size_t strxfrm_l(char *dest, const char *src,\x0a"
"                                                  size_t n, locale_t) {\x0a"
"  return \x3a\x3astrxfrm(dest, src, n);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY size_t strftime_l(char *s, size_t max,\x0a"
"                                                   const char *format,\x0a"
"                                                   const struct tm *tm, locale_t) {\x0a"
"  return \x3a\x3astrftime(s, max, format, tm);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY int wcscoll_l(const wchar_t *ws1,\x0a"
"                                               const wchar_t *ws2, locale_t) {\x0a"
"  return \x3a\x3awcscoll(ws1, ws2);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY size_t wcsxfrm_l(wchar_t *dest, const wchar_t *src,\x0a"
"                                                  size_t n, locale_t) {\x0a"
"  return \x3a\x3awcsxfrm(dest, src, n);\x0a"
"}\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif // _LIBCPP_SUPPORT_XLOCALE_POSIX_L_FALLBACK_H\x0a"
"", 4613 ); }