#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_typeindex( 
"// -*- C++ -*-\x0a"
"//===-------------------------- typeindex ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_TYPEINDEX\x0a"
"#define _LIBCPP_TYPEINDEX\x0a"
"\x0a"
"/*\x0a"
"\x0a"
"    typeindex synopsis\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"class type_index\x0a"
"{\x0a"
"public\x3a\x0a"
"    type_index(const type_info\x26 rhs) noexcept;\x0a"
"\x0a"
"    bool operator==(const type_index\x26 rhs) const noexcept;\x0a"
"    bool operator\x21=(const type_index\x26 rhs) const noexcept;\x0a"
"    bool operator< (const type_index\x26 rhs) const noexcept;\x0a"
"    bool operator<=(const type_index\x26 rhs) const noexcept;\x0a"
"    bool operator> (const type_index\x26 rhs) const noexcept;\x0a"
"    bool operator>=(const type_index\x26 rhs) const noexcept;\x0a"
"\x0a"
"    size_t hash_code() const noexcept;\x0a"
"    const char* name() const noexcept;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct hash<type_index>\x0a"
"    \x3a public unary_function<type_index, size_t>\x0a"
"{\x0a"
"    size_t operator()(type_index index) const noexcept;\x0a"
"};\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <typeinfo>\x0a"
"#include <__functional_base>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"class _LIBCPP_TEMPLATE_VIS type_index\x0a"
"{\x0a"
"    const type_info* __t_;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    type_index(const type_info\x26 __y) _NOEXCEPT \x3a __t_(\x26__y) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return *__t_ == *__y.__t_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return *__t_ \x21= *__y.__t_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator< (const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return  __t_->before(*__y.__t_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator<=(const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return \x21__y.__t_->before(*__t_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator> (const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return  __y.__t_->before(*__t_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator>=(const type_index\x26 __y) const _NOEXCEPT\x0a"
"        {return \x21__t_->before(*__y.__t_);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t hash_code() const _NOEXCEPT {return __t_->hash_code();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char* name() const _NOEXCEPT {return __t_->name();}\x0a"
"};\x0a"
"\x0a"
"template <class _Tp> struct _LIBCPP_TEMPLATE_VIS hash;\x0a"
"\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS hash<type_index>\x0a"
"    \x3a public unary_function<type_index, size_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t operator()(type_index __index) const _NOEXCEPT\x0a"
"        {return __index.hash_code();}\x0a"
"};\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_TYPEINDEX\x0a"
"", 2831 ); }