#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_wchar_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- wchar.h ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#if defined(__need_wint_t) \x7c\x7c defined(__need_mbstate_t)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <wchar.h>\x0a"
"\x0a"
"#elif \x21""defined(_LIBCPP_WCHAR_H)\x0a"
"#define _LIBCPP_WCHAR_H\x0a"
"\x0a"
"/*\x0a"
"    wchar.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    NULL\x0a"
"    WCHAR_MAX\x0a"
"    WCHAR_MIN\x0a"
"    WEOF\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    mbstate_t\x0a"
"    size_t\x0a"
"    tm\x0a"
"    wint_t\x0a"
"\x0a"
"int fwprintf(FILE* restrict stream, const wchar_t* restrict format, ...);\x0a"
"int fwscanf(FILE* restrict stream, const wchar_t* restrict format, ...);\x0a"
"int swprintf(wchar_t* restrict s, size_t n, const wchar_t* restrict format, ...);\x0a"
"int swscanf(const wchar_t* restrict s, const wchar_t* restrict format, ...);\x0a"
"int vfwprintf(FILE* restrict stream, const wchar_t* restrict format, va_list arg);\x0a"
"int vfwscanf(FILE* restrict stream, const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int vswprintf(wchar_t* restrict s, size_t n, const wchar_t* restrict format, va_list arg);\x0a"
"int vswscanf(const wchar_t* restrict s, const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int vwprintf(const wchar_t* restrict format, va_list arg);\x0a"
"int vwscanf(const wchar_t* restrict format, va_list arg);  // C99\x0a"
"int wprintf(const wchar_t* restrict format, ...);\x0a"
"int wscanf(const wchar_t* restrict format, ...);\x0a"
"wint_t fgetwc(FILE* stream);\x0a"
"wchar_t* fgetws(wchar_t* restrict s, int n, FILE* restrict stream);\x0a"
"wint_t fputwc(wchar_t c, FILE* stream);\x0a"
"int fputws(const wchar_t* restrict s, FILE* restrict stream);\x0a"
"int fwide(FILE* stream, int mode);\x0a"
"wint_t getwc(FILE* stream);\x0a"
"wint_t getwchar();\x0a"
"wint_t putwc(wchar_t c, FILE* stream);\x0a"
"wint_t putwchar(wchar_t c);\x0a"
"wint_t ungetwc(wint_t c, FILE* stream);\x0a"
"double wcstod(const wchar_t* restrict nptr, wchar_t** restrict endptr);\x0a"
"float wcstof(const wchar_t* restrict nptr, wchar_t** restrict endptr);         // C99\x0a"
"long double wcstold(const wchar_t* restrict nptr, wchar_t** restrict endptr);  // C99\x0a"
"long wcstol(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"long long wcstoll(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);  // C99\x0a"
"unsigned long wcstoul(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"unsigned long long wcstoull(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);  // C99\x0a"
"wchar_t* wcscpy(wchar_t* restrict s1, const wchar_t* restrict s2);\x0a"
"wchar_t* wcsncpy(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wcscat(wchar_t* restrict s1, const wchar_t* restrict s2);\x0a"
"wchar_t* wcsncat(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"int wcscmp(const wchar_t* s1, const wchar_t* s2);\x0a"
"int wcscoll(const wchar_t* s1, const wchar_t* s2);\x0a"
"int wcsncmp(const wchar_t* s1, const wchar_t* s2, size_t n);\x0a"
"size_t wcsxfrm(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"const wchar_t* wcschr(const wchar_t* s, wchar_t c);\x0a"
"      wchar_t* wcschr(      wchar_t* s, wchar_t c);\x0a"
"size_t wcscspn(const wchar_t* s1, const wchar_t* s2);\x0a"
"size_t wcslen(const wchar_t* s);\x0a"
"const wchar_t* wcspbrk(const wchar_t* s1, const wchar_t* s2);\x0a"
"      wchar_t* wcspbrk(      wchar_t* s1, const wchar_t* s2);\x0a"
"const wchar_t* wcsrchr(const wchar_t* s, wchar_t c);\x0a"
"      wchar_t* wcsrchr(      wchar_t* s, wchar_t c);\x0a"
"size_t wcsspn(const wchar_t* s1, const wchar_t* s2);\x0a"
"const wchar_t* wcsstr(const wchar_t* s1, const wchar_t* s2);\x0a"
"      wchar_t* wcsstr(      wchar_t* s1, const wchar_t* s2);\x0a"
"wchar_t* wcstok(wchar_t* restrict s1, const wchar_t* restrict s2, wchar_t** restrict ptr);\x0a"
"const wchar_t* wmemchr(const wchar_t* s, wchar_t c, size_t n);\x0a"
"      wchar_t* wmemchr(      wchar_t* s, wchar_t c, size_t n);\x0a"
"int wmemcmp(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wmemcpy(wchar_t* restrict s1, const wchar_t* restrict s2, size_t n);\x0a"
"wchar_t* wmemmove(wchar_t* s1, const wchar_t* s2, size_t n);\x0a"
"wchar_t* wmemset(wchar_t* s, wchar_t c, size_t n);\x0a"
"size_t wcsftime(wchar_t* restrict s, size_t maxsize, const wchar_t* restrict format,\x0a"
"                const tm* restrict timeptr);\x0a"
"wint_t btowc(int c);\x0a"
"int wctob(wint_t c);\x0a"
"int mbsinit(const mbstate_t* ps);\x0a"
"size_t mbrlen(const char* restrict s, size_t n, mbstate_t* restrict ps);\x0a"
"size_t mbrtowc(wchar_t* restrict pwc, const char* restrict s, size_t n, mbstate_t* restrict ps);\x0a"
"size_t wcrtomb(char* restrict s, wchar_t wc, mbstate_t* restrict ps);\x0a"
"size_t mbsrtowcs(wchar_t* restrict dst, const char** restrict src, size_t len,\x0a"
"                 mbstate_t* restrict ps);\x0a"
"size_t wcsrtombs(char* restrict dst, const wchar_t** restrict src, size_t len,\x0a"
"                 mbstate_t* restrict ps);\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"#define __CORRECT_ISO_CPP_WCHAR_H_PROTO\x0a"
"#endif\x0a"
"\x0a"
"#include_next <wchar.h>\x0a"
"\x0a"
"// Determine whether we have const-correct overloads for wcschr and friends.\x0a"
"#if defined(_WCHAR_H_CPLUSPLUS_98_CONFORMANCE_)\x0a"
"#  define _LIBCPP_WCHAR_H_HAS_CONST_OVERLOADS 1\x0a"
"#elif defined(__GLIBC_PREREQ)\x0a"
"#  if __GLIBC_PREREQ(2, 10)\x0a"
"#    define _LIBCPP_WCHAR_H_HAS_CONST_OVERLOADS 1\x0a"
"#  endif\x0a"
"#elif defined(_LIBCPP_MSVCRT)\x0a"
"#  if defined(_CRT_CONST_CORRECT_OVERLOADS)\x0a"
"#    define _LIBCPP_WCHAR_H_HAS_CONST_OVERLOADS 1\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__cplusplus) \x26\x26 \x21""defined(_LIBCPP_WCHAR_H_HAS_CONST_OVERLOADS) \x26\x26 defined(_LIBCPP_PREFERRED_OVERLOAD)\x0a"
"extern \x22""C++\x22 {\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"wchar_t* __libcpp_wcschr(const wchar_t* __s, wchar_t __c) {return (wchar_t*)wcschr(__s, __c);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"const wchar_t* wcschr(const wchar_t* __s, wchar_t __c) {return __libcpp_wcschr(__s, __c);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"      wchar_t* wcschr(      wchar_t* __s, wchar_t __c) {return __libcpp_wcschr(__s, __c);}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"wchar_t* __libcpp_wcspbrk(const wchar_t* __s1, const wchar_t* __s2) {return (wchar_t*)wcspbrk(__s1, __s2);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"const wchar_t* wcspbrk(const wchar_t* __s1, const wchar_t* __s2) {return __libcpp_wcspbrk(__s1, __s2);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"      wchar_t* wcspbrk(      wchar_t* __s1, const wchar_t* __s2) {return __libcpp_wcspbrk(__s1, __s2);}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"wchar_t* __libcpp_wcsrchr(const wchar_t* __s, wchar_t __c) {return (wchar_t*)wcsrchr(__s, __c);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"const wchar_t* wcsrchr(const wchar_t* __s, wchar_t __c) {return __libcpp_wcsrchr(__s, __c);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"      wchar_t* wcsrchr(      wchar_t* __s, wchar_t __c) {return __libcpp_wcsrchr(__s, __c);}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"wchar_t* __libcpp_wcsstr(const wchar_t* __s1, const wchar_t* __s2) {return (wchar_t*)wcsstr(__s1, __s2);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"const wchar_t* wcsstr(const wchar_t* __s1, const wchar_t* __s2) {return __libcpp_wcsstr(__s1, __s2);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"      wchar_t* wcsstr(      wchar_t* __s1, const wchar_t* __s2) {return __libcpp_wcsstr(__s1, __s2);}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"wchar_t* __libcpp_wmemchr(const wchar_t* __s, wchar_t __c, size_t __n) {return (wchar_t*)wmemchr(__s, __c, __n);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"const wchar_t* wmemchr(const wchar_t* __s, wchar_t __c, size_t __n) {return __libcpp_wmemchr(__s, __c, __n);}\x0a"
"inline _LIBCPP_INLINE_VISIBILITY _LIBCPP_PREFERRED_OVERLOAD\x0a"
"      wchar_t* wmemchr(      wchar_t* __s, wchar_t __c, size_t __n) {return __libcpp_wmemchr(__s, __c, __n);}\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__cplusplus) \x26\x26 defined(_LIBCPP_MSVCRT_LIKE)\x0a"
"extern \x22""C\x22 {\x0a"
"size_t mbsnrtowcs(wchar_t *__restrict dst, const char **__restrict src,\x0a"
"                  size_t nmc, size_t len, mbstate_t *__restrict ps);\x0a"
"size_t wcsnrtombs(char *__restrict dst, const wchar_t **__restrict src,\x0a"
"                  size_t nwc, size_t len, mbstate_t *__restrict ps);\x0a"
"}  // extern \x22""C++\x22\x0a"
"#endif  // __cplusplus \x26\x26 _LIBCPP_MSVCRT\x0a"
"\x0a"
"#endif  // _LIBCPP_WCHAR_H\x0a"
"", 8421 ); }