#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_src_exception_cpp( 
"//===------------------------ exception.cpp -------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#include \x22""exception\x22\x0a"
"#include \x22new\x22\x0a"
"#include \x22typeinfo\x22\x0a"
"\x0a"
"#if defined(LIBCXXRT) \x7c\x7c defined(LIBCXX_BUILDING_LIBCXXABI)\x0a"
"  #include <cxxabi.h>\x0a"
"  using namespace __cxxabiv1;\x0a"
"  #define HAVE_DEPENDENT_EH_ABI 1\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_MICROSOFT)\x0a"
"#include \x22support/runtime/exception_msvc.ipp\x22\x0a"
"#include \x22support/runtime/exception_pointer_msvc.ipp\x22\x0a"
"#elif defined(_LIBCPPABI_VERSION)\x0a"
"#include \x22support/runtime/exception_libcxxabi.ipp\x22\x0a"
"#include \x22support/runtime/exception_pointer_cxxabi.ipp\x22\x0a"
"#elif defined(LIBCXXRT)\x0a"
"#include \x22support/runtime/exception_libcxxrt.ipp\x22\x0a"
"#include \x22support/runtime/exception_pointer_cxxabi.ipp\x22\x0a"
"#elif defined(__GLIBCXX__)\x0a"
"#include \x22support/runtime/exception_glibcxx.ipp\x22\x0a"
"#include \x22support/runtime/exception_pointer_glibcxx.ipp\x22\x0a"
"#else\x0a"
"#include \x22include/atomic_support.h\x22\x0a"
"#include \x22support/runtime/exception_fallback.ipp\x22\x0a"
"#include \x22support/runtime/exception_pointer_unimplemented.ipp\x22\x0a"
"#endif\x0a"
"", 1282 ); }