#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_src_typeinfo_cpp( 
"//===------------------------- typeinfo.cpp -------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#include \x22typeinfo\x22\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_MICROSOFT) \x26\x26 \x21""defined(_LIBCPP_ABI_VCRUNTIME)\x0a"
"#include <string.h>\x0a"
"\x0a"
"int std\x3a\x3atype_info\x3a\x3a__compare(const type_info \x26__rhs) const _NOEXCEPT {\x0a"
"  if (\x26__data == \x26__rhs.__data)\x0a"
"    return 0;\x0a"
"  return strcmp(\x26__data.__decorated_name\x5b""1\x5d, \x26__rhs.__data.__decorated_name\x5b""1\x5d);\x0a"
"}\x0a"
"\x0a"
"const char *std\x3a\x3atype_info\x3a\x3aname() const _NOEXCEPT {\x0a"
"  // TODO(compnerd) cache demangled \x26__data.__decorated_name\x5b""1\x5d\x0a"
"  return \x26__data.__decorated_name\x5b""1\x5d;\x0a"
"}\x0a"
"\x0a"
"size_t std\x3a\x3atype_info\x3a\x3ahash_code() const _NOEXCEPT {\x0a"
"#if defined(_WIN64)\x0a"
"  constexpr size_t fnv_offset_basis = 14695981039346656037ull;\x0a"
"  constexpr size_t fnv_prime = 10995116282110ull;\x0a"
"#else\x0a"
"  constexpr size_t fnv_offset_basis = 2166136261ull;\x0a"
"  constexpr size_t fnv_prime = 16777619ull;\x0a"
"#endif\x0a"
"\x0a"
"  size_t value = fnv_offset_basis;\x0a"
"  for (const char* c = \x26__data.__decorated_name\x5b""1\x5d; *c; ++c) {\x0a"
"    value ^= static_cast<size_t>(static_cast<unsigned char>(*c));\x0a"
"    value *= fnv_prime;\x0a"
"  }\x0a"
"\x0a"
"#if defined(_WIN64)\x0a"
"  value ^= value >> 32;\x0a"
"#endif\x0a"
"\x0a"
"  return value;\x0a"
"}\x0a"
"#endif // _LIBCPP_ABI_MICROSOFT\x0a"
"\x0a"
"// FIXME\x3a Remove the _LIBCPP_BUILDING_HAS_NO_ABI_LIBRARY configuration.\x0a"
"#if (\x21""defined(LIBCXX_BUILDING_LIBCXXABI) \x26\x26               \x5c\x0a"
"     \x21""defined(LIBCXXRT) \x26\x26                                \x5c\x0a"
"     \x21""defined(__GLIBCXX__) \x26\x26                             \x5c\x0a"
"     \x21""defined(_LIBCPP_ABI_VCRUNTIME)) \x7c\x7c                  \x5c\x0a"
"    defined(_LIBCPP_BUILDING_HAS_NO_ABI_LIBRARY)\x0a"
"std\x3a\x3atype_info\x3a\x3a\x7etype_info()\x0a"
"{\x0a"
"}\x0a"
"#endif\x0a"
"", 1836 ); }