#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_demangle_cpp( 
"//===-------------------------- cxa_demangle.cpp --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"// FIXME\x3a (possibly) incomplete list of features that clang mangles that this\x0a"
"// file does not yet support\x3a\x0a"
"//   - C++ modules TS\x0a"
"\x0a"
"#define _LIBCPP_NO_EXCEPTIONS\x0a"
"\x0a"
"#include \x22__cxxabi_config.h\x22\x0a"
"\x0a"
"#include \x22""demangle/ItaniumDemangle.h\x22\x0a"
"\x0a"
"#include <cassert>\x0a"
"#include <cctype>\x0a"
"#include <cstdio>\x0a"
"#include <cstdlib>\x0a"
"#include <cstring>\x0a"
"#include <functional>\x0a"
"#include <numeric>\x0a"
"#include <utility>\x0a"
"#include <vector>\x0a"
"\x0a"
"using namespace itanium_demangle;\x0a"
"\x0a"
"constexpr const char *itanium_demangle\x3a\x3a""FloatData<float>\x3a\x3aspec;\x0a"
"constexpr const char *itanium_demangle\x3a\x3a""FloatData<double>\x3a\x3aspec;\x0a"
"constexpr const char *itanium_demangle\x3a\x3a""FloatData<long double>\x3a\x3aspec;\x0a"
"\x0a"
"// <discriminator> \x3a= _ <non-negative number>      # when number < 10\x0a"
"//                 \x3a= __ <non-negative number> _   # when number >= 10\x0a"
"//  extension      \x3a= decimal-digit+               # at the end of string\x0a"
"const char *itanium_demangle\x3a\x3aparse_discriminator(const char *first,\x0a"
"                                                  const char *last) {\x0a"
"  // parse but ignore discriminator\x0a"
"  if (first \x21= last) {\x0a"
"    if (*first == '_') {\x0a"
"      const char *t1 = first + 1;\x0a"
"      if (t1 \x21= last) {\x0a"
"        if (std\x3a\x3aisdigit(*t1))\x0a"
"          first = t1 + 1;\x0a"
"        else if (*t1 == '_') {\x0a"
"          for (++t1; t1 \x21= last \x26\x26 std\x3a\x3aisdigit(*t1); ++t1)\x0a"
"            ;\x0a"
"          if (t1 \x21= last \x26\x26 *t1 == '_')\x0a"
"            first = t1 + 1;\x0a"
"        }\x0a"
"      }\x0a"
"    } else if (std\x3a\x3aisdigit(*first)) {\x0a"
"      const char *t1 = first + 1;\x0a"
"      for (; t1 \x21= last \x26\x26 std\x3a\x3aisdigit(*t1); ++t1)\x0a"
"        ;\x0a"
"      if (t1 == last)\x0a"
"        first = last;\x0a"
"    }\x0a"
"  }\x0a"
"  return first;\x0a"
"}\x0a"
"\x0a"
"#ifndef NDEBUG\x0a"
"namespace {\x0a"
"struct DumpVisitor {\x0a"
"  unsigned Depth = 0;\x0a"
"  bool PendingNewline = false;\x0a"
"\x0a"
"  template<typename NodeT> static constexpr bool wantsNewline(const NodeT *) {\x0a"
"    return true;\x0a"
"  }\x0a"
"  static bool wantsNewline(NodeArray A) { return \x21""A.empty(); }\x0a"
"  static constexpr bool wantsNewline(...) { return false; }\x0a"
"\x0a"
"  template<typename ...Ts> static bool anyWantNewline(Ts ...Vs) {\x0a"
"    for (bool B \x3a {wantsNewline(Vs)...})\x0a"
"      if (B)\x0a"
"        return true;\x0a"
"    return false;\x0a"
"  }\x0a"
"\x0a"
"  void printStr(const char *S) { fprintf(stderr, \x22\x25s\x22, S); }\x0a"
"  void print(StringView SV) {\x0a"
"    fprintf(stderr, \x22\x5c\x22\x25.*s\x5c\x22\x22, (int)SV.size(), SV.begin());\x0a"
"  }\x0a"
"  void print(const Node *N) {\x0a"
"    if (N)\x0a"
"      N->visit(std\x3a\x3aref(*this));\x0a"
"    else\x0a"
"      printStr(\x22<null>\x22);\x0a"
"  }\x0a"
"  void print(NodeOrString NS) {\x0a"
"    if (NS.isNode())\x0a"
"      print(NS.asNode());\x0a"
"    else if (NS.isString())\x0a"
"      print(NS.asString());\x0a"
"    else\x0a"
"      printStr(\x22NodeOrString()\x22);\x0a"
"  }\x0a"
"  void print(NodeArray A) {\x0a"
"    ++Depth;\x0a"
"    printStr(\x22{\x22);\x0a"
"    bool First = true;\x0a"
"    for (const Node *N \x3a A) {\x0a"
"      if (First)\x0a"
"        print(N);\x0a"
"      else\x0a"
"        printWithComma(N);\x0a"
"      First = false;\x0a"
"    }\x0a"
"    printStr(\x22}\x22);\x0a"
"    --Depth;\x0a"
"  }\x0a"
"\x0a"
"  // Overload used when T is exactly 'bool', not merely convertible to 'bool'.\x0a"
"  void print(bool B) { printStr(B \x3f \x22true\x22 \x3a \x22""false\x22); }\x0a"
"\x0a"
"  template <class T>\x0a"
"  typename std\x3a\x3a""enable_if<std\x3a\x3ais_unsigned<T>\x3a\x3avalue>\x3a\x3atype print(T N) {\x0a"
"    fprintf(stderr, \x22\x25llu\x22, (unsigned long long)N);\x0a"
"  }\x0a"
"\x0a"
"  template <class T>\x0a"
"  typename std\x3a\x3a""enable_if<std\x3a\x3ais_signed<T>\x3a\x3avalue>\x3a\x3atype print(T N) {\x0a"
"    fprintf(stderr, \x22\x25lld\x22, (long long)N);\x0a"
"  }\x0a"
"\x0a"
"  void print(ReferenceKind RK) {\x0a"
"    switch (RK) {\x0a"
"    case ReferenceKind\x3a\x3aLValue\x3a\x0a"
"      return printStr(\x22ReferenceKind\x3a\x3aLValue\x22);\x0a"
"    case ReferenceKind\x3a\x3aRValue\x3a\x0a"
"      return printStr(\x22ReferenceKind\x3a\x3aRValue\x22);\x0a"
"    }\x0a"
"  }\x0a"
"  void print(FunctionRefQual RQ) {\x0a"
"    switch (RQ) {\x0a"
"    case FunctionRefQual\x3a\x3a""FrefQualNone\x3a\x0a"
"      return printStr(\x22""FunctionRefQual\x3a\x3a""FrefQualNone\x22);\x0a"
"    case FunctionRefQual\x3a\x3a""FrefQualLValue\x3a\x0a"
"      return printStr(\x22""FunctionRefQual\x3a\x3a""FrefQualLValue\x22);\x0a"
"    case FunctionRefQual\x3a\x3a""FrefQualRValue\x3a\x0a"
"      return printStr(\x22""FunctionRefQual\x3a\x3a""FrefQualRValue\x22);\x0a"
"    }\x0a"
"  }\x0a"
"  void print(Qualifiers Qs) {\x0a"
"    if (\x21Qs) return printStr(\x22QualNone\x22);\x0a"
"    struct QualName { Qualifiers Q; const char *Name; } Names\x5b\x5d = {\x0a"
"      {QualConst, \x22QualConst\x22},\x0a"
"      {QualVolatile, \x22QualVolatile\x22},\x0a"
"      {QualRestrict, \x22QualRestrict\x22},\x0a"
"    };\x0a"
"    for (QualName Name \x3a Names) {\x0a"
"      if (Qs \x26 Name.Q) {\x0a"
"        printStr(Name.Name);\x0a"
"        Qs = Qualifiers(Qs \x26 \x7eName.Q);\x0a"
"        if (Qs) printStr(\x22 \x7c \x22);\x0a"
"      }\x0a"
"    }\x0a"
"  }\x0a"
"  void print(SpecialSubKind SSK) {\x0a"
"    switch (SSK) {\x0a"
"    case SpecialSubKind\x3a\x3a""allocator\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3a""allocator\x22);\x0a"
"    case SpecialSubKind\x3a\x3a""basic_string\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3a""basic_string\x22);\x0a"
"    case SpecialSubKind\x3a\x3astring\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3astring\x22);\x0a"
"    case SpecialSubKind\x3a\x3aistream\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3aistream\x22);\x0a"
"    case SpecialSubKind\x3a\x3aostream\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3aostream\x22);\x0a"
"    case SpecialSubKind\x3a\x3aiostream\x3a\x0a"
"      return printStr(\x22SpecialSubKind\x3a\x3aiostream\x22);\x0a"
"    }\x0a"
"  }\x0a"
"\x0a"
"  void newLine() {\x0a"
"    printStr(\x22\x5cn\x22);\x0a"
"    for (unsigned I = 0; I \x21= Depth; ++I)\x0a"
"      printStr(\x22 \x22);\x0a"
"    PendingNewline = false;\x0a"
"  }\x0a"
"\x0a"
"  template<typename T> void printWithPendingNewline(T V) {\x0a"
"    print(V);\x0a"
"    if (wantsNewline(V))\x0a"
"      PendingNewline = true;\x0a"
"  }\x0a"
"\x0a"
"  template<typename T> void printWithComma(T V) {\x0a"
"    if (PendingNewline \x7c\x7c wantsNewline(V)) {\x0a"
"      printStr(\x22,\x22);\x0a"
"      newLine();\x0a"
"    } else {\x0a"
"      printStr(\x22, \x22);\x0a"
"    }\x0a"
"\x0a"
"    printWithPendingNewline(V);\x0a"
"  }\x0a"
"\x0a"
"  struct CtorArgPrinter {\x0a"
"    DumpVisitor \x26Visitor;\x0a"
"\x0a"
"    template<typename T, typename ...Rest> void operator()(T V, Rest ...Vs) {\x0a"
"      if (Visitor.anyWantNewline(V, Vs...))\x0a"
"        Visitor.newLine();\x0a"
"      Visitor.printWithPendingNewline(V);\x0a"
"      int PrintInOrder\x5b\x5d = { (Visitor.printWithComma(Vs), 0)..., 0 };\x0a"
"      (void)PrintInOrder;\x0a"
"    }\x0a"
"  };\x0a"
"\x0a"
"  template<typename NodeT> void operator()(const NodeT *Node) {\x0a"
"    Depth += 2;\x0a"
"    fprintf(stderr, \x22\x25s(\x22, itanium_demangle\x3a\x3aNodeKind<NodeT>\x3a\x3aname());\x0a"
"    Node->match(CtorArgPrinter{*this});\x0a"
"    fprintf(stderr, \x22)\x22);\x0a"
"    Depth -= 2;\x0a"
"  }\x0a"
"\x0a"
"  void operator()(const ForwardTemplateReference *Node) {\x0a"
"    Depth += 2;\x0a"
"    fprintf(stderr, \x22""ForwardTemplateReference(\x22);\x0a"
"    if (Node->Ref \x26\x26 \x21Node->Printing) {\x0a"
"      Node->Printing = true;\x0a"
"      CtorArgPrinter{*this}(Node->Ref);\x0a"
"      Node->Printing = false;\x0a"
"    } else {\x0a"
"      CtorArgPrinter{*this}(Node->Index);\x0a"
"    }\x0a"
"    fprintf(stderr, \x22)\x22);\x0a"
"    Depth -= 2;\x0a"
"  }\x0a"
"};\x0a"
"}\x0a"
"\x0a"
"void itanium_demangle\x3a\x3aNode\x3a\x3a""dump() const {\x0a"
"  DumpVisitor V;\x0a"
"  visit(std\x3a\x3aref(V));\x0a"
"  V.newLine();\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"namespace {\x0a"
"class BumpPointerAllocator {\x0a"
"  struct BlockMeta {\x0a"
"    BlockMeta* Next;\x0a"
"    size_t Current;\x0a"
"  };\x0a"
"\x0a"
"  static constexpr size_t AllocSize = 4096;\x0a"
"  static constexpr size_t UsableAllocSize = AllocSize - sizeof(BlockMeta);\x0a"
"\x0a"
"  alignas(long double) char InitialBuffer\x5b""AllocSize\x5d;\x0a"
"  BlockMeta* BlockList = nullptr;\x0a"
"\x0a"
"  void grow() {\x0a"
"    char* NewMeta = static_cast<char *>(std\x3a\x3amalloc(AllocSize));\x0a"
"    if (NewMeta == nullptr)\x0a"
"      std\x3a\x3aterminate();\x0a"
"    BlockList = new (NewMeta) BlockMeta{BlockList, 0};\x0a"
"  }\x0a"
"\x0a"
"  void* allocateMassive(size_t NBytes) {\x0a"
"    NBytes += sizeof(BlockMeta);\x0a"
"    BlockMeta* NewMeta = reinterpret_cast<BlockMeta*>(std\x3a\x3amalloc(NBytes));\x0a"
"    if (NewMeta == nullptr)\x0a"
"      std\x3a\x3aterminate();\x0a"
"    BlockList->Next = new (NewMeta) BlockMeta{BlockList->Next, 0};\x0a"
"    return static_cast<void*>(NewMeta + 1);\x0a"
"  }\x0a"
"\x0a"
"public\x3a\x0a"
"  BumpPointerAllocator()\x0a"
"      \x3a BlockList(new (InitialBuffer) BlockMeta{nullptr, 0}) {}\x0a"
"\x0a"
"  void* allocate(size_t N) {\x0a"
"    N = (N + 15u) \x26 \x7e""15u;\x0a"
"    if (N + BlockList->Current >= UsableAllocSize) {\x0a"
"      if (N > UsableAllocSize)\x0a"
"        return allocateMassive(N);\x0a"
"      grow();\x0a"
"    }\x0a"
"    BlockList->Current += N;\x0a"
"    return static_cast<void*>(reinterpret_cast<char*>(BlockList + 1) +\x0a"
"                              BlockList->Current - N);\x0a"
"  }\x0a"
"\x0a"
"  void reset() {\x0a"
"    while (BlockList) {\x0a"
"      BlockMeta* Tmp = BlockList;\x0a"
"      BlockList = BlockList->Next;\x0a"
"      if (reinterpret_cast<char*>(Tmp) \x21= InitialBuffer)\x0a"
"        std\x3a\x3a""free(Tmp);\x0a"
"    }\x0a"
"    BlockList = new (InitialBuffer) BlockMeta{nullptr, 0};\x0a"
"  }\x0a"
"\x0a"
"  \x7e""BumpPointerAllocator() { reset(); }\x0a"
"};\x0a"
"\x0a"
"class DefaultAllocator {\x0a"
"  BumpPointerAllocator Alloc;\x0a"
"\x0a"
"public\x3a\x0a"
"  void reset() { Alloc.reset(); }\x0a"
"\x0a"
"  template<typename T, typename ...Args> T *makeNode(Args \x26\x26...args) {\x0a"
"    return new (Alloc.allocate(sizeof(T)))\x0a"
"        T(std\x3a\x3a""forward<Args>(args)...);\x0a"
"  }\x0a"
"\x0a"
"  void *allocateNodeArray(size_t sz) {\x0a"
"    return Alloc.allocate(sizeof(Node *) * sz);\x0a"
"  }\x0a"
"};\x0a"
"}  // unnamed namespace\x0a"
"\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"// Code beyond this point should not be synchronized with LLVM.\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"using Demangler = itanium_demangle\x3a\x3aManglingParser<DefaultAllocator>;\x0a"
"\x0a"
"namespace {\x0a"
"enum \x3a int {\x0a"
"  demangle_invalid_args = -3,\x0a"
"  demangle_invalid_mangled_name = -2,\x0a"
"  demangle_memory_alloc_failure = -1,\x0a"
"  demangle_success = 0,\x0a"
"};\x0a"
"}\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS char *\x0a"
"__cxa_demangle(const char *MangledName, char *Buf, size_t *N, int *Status) {\x0a"
"  if (MangledName == nullptr \x7c\x7c (Buf \x21= nullptr \x26\x26 N == nullptr)) {\x0a"
"    if (Status)\x0a"
"      *Status = demangle_invalid_args;\x0a"
"    return nullptr;\x0a"
"  }\x0a"
"\x0a"
"  int InternalStatus = demangle_success;\x0a"
"  Demangler Parser(MangledName, MangledName + std\x3a\x3astrlen(MangledName));\x0a"
"  OutputStream S;\x0a"
"\x0a"
"  Node *AST = Parser.parse();\x0a"
"\x0a"
"  if (AST == nullptr)\x0a"
"    InternalStatus = demangle_invalid_mangled_name;\x0a"
"  else if (\x21initializeOutputStream(Buf, N, S, 1024))\x0a"
"    InternalStatus = demangle_memory_alloc_failure;\x0a"
"  else {\x0a"
"    assert(Parser.ForwardTemplateRefs.empty());\x0a"
"    AST->print(S);\x0a"
"    S += '\x5c""0';\x0a"
"    if (N \x21= nullptr)\x0a"
"      *N = S.getCurrentPosition();\x0a"
"    Buf = S.getBuffer();\x0a"
"  }\x0a"
"\x0a"
"  if (Status)\x0a"
"    *Status = InternalStatus;\x0a"
"  return InternalStatus == demangle_success \x3f Buf \x3a nullptr;\x0a"
"}\x0a"
"}  // __cxxabiv1\x0a"
"", 10067 ); }