#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_exception_storage_cpp( 
"//===--------------------- cxa_exception_storage.cpp ----------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//  \x0a"
"//  This file implements the storage for the \x22""Caught Exception Stack\x22\x0a"
"//  http\x3a//mentorembedded.github.io/cxx-abi/abi-eh.html (section 2.2.2)\x0a"
"//  \x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#define _LIBCPP_BUILDING_LIBRARY\x0a"
"#include \x22""cxa_exception.hpp\x22\x0a"
"\x0a"
"#include <__threading_support>\x0a"
"\x0a"
"#if defined(_LIBCXXABI_HAS_NO_THREADS)\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"extern \x22""C\x22 {\x0a"
"    static __cxa_eh_globals eh_globals;\x0a"
"    __cxa_eh_globals *__cxa_get_globals() { return \x26""eh_globals; }\x0a"
"    __cxa_eh_globals *__cxa_get_globals_fast() { return \x26""eh_globals; }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#elif defined(HAS_THREAD_LOCAL)\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"\x0a"
"namespace {\x0a"
"    __cxa_eh_globals * __globals () {\x0a"
"        static thread_local __cxa_eh_globals eh_globals;\x0a"
"        return \x26""eh_globals;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"extern \x22""C\x22 {\x0a"
"    __cxa_eh_globals * __cxa_get_globals      () { return __globals (); }\x0a"
"    __cxa_eh_globals * __cxa_get_globals_fast () { return __globals (); }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#else\x0a"
"\x0a"
"#include \x22""abort_message.h\x22\x0a"
"#include \x22""fallback_malloc.h\x22\x0a"
"\x0a"
"//  In general, we treat all threading errors as fatal.\x0a"
"//  We cannot call std\x3a\x3aterminate() because that will in turn\x0a"
"//  call __cxa_get_globals() and cause infinite recursion.\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"namespace {\x0a"
"    std\x3a\x3a__libcpp_tls_key key_;\x0a"
"    std\x3a\x3a__libcpp_exec_once_flag flag_ = _LIBCPP_EXEC_ONCE_INITIALIZER;\x0a"
"\x0a"
"    void _LIBCPP_TLS_DESTRUCTOR_CC destruct_ (void *p) {\x0a"
"        __free_with_fallback ( p );\x0a"
"        if ( 0 \x21= std\x3a\x3a__libcpp_tls_set ( key_, NULL ) )\x0a"
"            abort_message(\x22""cannot zero out thread value for __cxa_get_globals()\x22);\x0a"
"        }\x0a"
"\x0a"
"    void construct_ () {\x0a"
"        if ( 0 \x21= std\x3a\x3a__libcpp_tls_create ( \x26key_, destruct_ ) )\x0a"
"            abort_message(\x22""cannot create thread specific key for __cxa_get_globals()\x22);\x0a"
"        }\x0a"
"}   \x0a"
"\x0a"
"extern \x22""C\x22 {\x0a"
"    __cxa_eh_globals * __cxa_get_globals () {\x0a"
"    //  Try to get the globals for this thread\x0a"
"        __cxa_eh_globals* retVal = __cxa_get_globals_fast ();\x0a"
"    \x0a"
"    //  If this is the first time we've been asked for these globals, create them\x0a"
"        if ( NULL == retVal ) {\x0a"
"            retVal = static_cast<__cxa_eh_globals*>\x0a"
"                        (__calloc_with_fallback (1, sizeof (__cxa_eh_globals)));\x0a"
"            if ( NULL == retVal )\x0a"
"                abort_message(\x22""cannot allocate __cxa_eh_globals\x22);\x0a"
"            if ( 0 \x21= std\x3a\x3a__libcpp_tls_set ( key_, retVal ) )\x0a"
"               abort_message(\x22std\x3a\x3a__libcpp_tls_set failure in __cxa_get_globals()\x22);\x0a"
"           }\x0a"
"        return retVal;\x0a"
"        }\x0a"
"\x0a"
"    // Note that this implementation will reliably return NULL if not\x0a"
"    // preceded by a call to __cxa_get_globals().  This is an extension\x0a"
"    // to the Itanium ABI and is taken advantage of in several places in\x0a"
"    // libc++abi.\x0a"
"    __cxa_eh_globals * __cxa_get_globals_fast () {\x0a"
"    //  First time through, create the key.\x0a"
"        if (0 \x21= std\x3a\x3a__libcpp_execute_once(\x26""flag_, construct_))\x0a"
"            abort_message(\x22""execute once failure in __cxa_get_globals_fast()\x22);\x0a"
"//        static int init = construct_();\x0a"
"        return static_cast<__cxa_eh_globals*>(std\x3a\x3a__libcpp_tls_get(key_));\x0a"
"        }\x0a"
"    \x0a"
"}\x0a"
"}\x0a"
"#endif\x0a"
"", 3399 ); }