#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_handlers_hpp( 
"//===------------------------- cxa_handlers.cpp ---------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//\x0a"
"// This file implements the functionality associated with the terminate_handler,\x0a"
"//   unexpected_handler, and new_handler.\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _CXA_HANDLERS_H\x0a"
"#define _CXA_HANDLERS_H\x0a"
"\x0a"
"#include <__cxxabi_config.h>\x0a"
"\x0a"
"#include <exception>\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"_LIBCXXABI_HIDDEN _LIBCXXABI_NORETURN\x0a"
"void\x0a"
"__unexpected(unexpected_handler func);\x0a"
"\x0a"
"_LIBCXXABI_HIDDEN _LIBCXXABI_NORETURN\x0a"
"void\x0a"
"__terminate(terminate_handler func) _NOEXCEPT;\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"extern \x22""C\x22\x0a"
"{\x0a"
"\x0a"
"_LIBCXXABI_DATA_VIS extern void (*__cxa_terminate_handler)();\x0a"
"_LIBCXXABI_DATA_VIS extern void (*__cxa_unexpected_handler)();\x0a"
"_LIBCXXABI_DATA_VIS extern void (*__cxa_new_handler)();\x0a"
"\x0a"
"/*\x0a"
"\x0a"
"    At some point in the future these three symbols will become\x0a"
"    C++11 atomic variables\x3a\x0a"
"\x0a"
"    extern std\x3a\x3a""atomic<std\x3a\x3aterminate_handler>  __cxa_terminate_handler;\x0a"
"    extern std\x3a\x3a""atomic<std\x3a\x3aunexpected_handler> __cxa_unexpected_handler;\x0a"
"    extern std\x3a\x3a""atomic<std\x3a\x3anew_handler>        __cxa_new_handler;\x0a"
"\x0a"
"    This change will not impact their ABI.  But it will allow for a\x0a"
"    portable performance optimization.\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"} // extern \x22""C\x22\x0a"
"\x0a"
"#endif  // _CXA_HANDLERS_H\x0a"
"", 1450 ); }