#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_noexception_cpp( 
"//===------------------------- cxa_exception.cpp --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//  \x0a"
"//  This file implements the \x22""Exception Handling APIs\x22\x0a"
"//  http\x3a//mentorembedded.github.io/cxx-abi/abi-eh.html\x0a"
"//  \x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"// Support functions for the no-exceptions libc++ library\x0a"
"\x0a"
"#include \x22""cxxabi.h\x22\x0a"
"\x0a"
"#define _LIBCPP_BUILDING_LIBRARY\x0a"
"#include <exception>        // for std\x3a\x3aterminate\x0a"
"#include \x22""cxa_exception.hpp\x22\x0a"
"#include \x22""cxa_handlers.hpp\x22\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"\x0a"
"extern \x22""C\x22 {\x0a"
"\x0a"
"void\x0a"
"__cxa_increment_exception_refcount(void *thrown_object) throw() {\x0a"
"    if (thrown_object \x21= nullptr)\x0a"
"        std\x3a\x3aterminate();\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__cxa_decrement_exception_refcount(void *thrown_object) throw() {\x0a"
"    if (thrown_object \x21= nullptr)\x0a"
"      std\x3a\x3aterminate();\x0a"
"}\x0a"
"\x0a"
"\x0a"
"void *__cxa_current_primary_exception() throw() { return nullptr; }\x0a"
"\x0a"
"void\x0a"
"__cxa_rethrow_primary_exception(void* thrown_object) {\x0a"
"    if (thrown_object \x21= nullptr)\x0a"
"      std\x3a\x3aterminate();\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__cxa_uncaught_exception() throw() { return false; }\x0a"
"\x0a"
"unsigned int\x0a"
"__cxa_uncaught_exceptions() throw() { return 0; }\x0a"
"\x0a"
"}  // extern \x22""C\x22\x0a"
"\x0a"
"// provide dummy implementations for the 'no exceptions' case.\x0a"
"uint64_t __getExceptionClass  (const _Unwind_Exception*)           { return 0; }\x0a"
"void     __setExceptionClass  (      _Unwind_Exception*, uint64_t) {}\x0a"
"bool     __isOurExceptionClass(const _Unwind_Exception*)           { return false; }\x0a"
"\x0a"
"}  // abi\x0a"
"", 1645 ); }