#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_personality_cpp( 
"//===------------------------- cxa_exception.cpp --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//  \x0a"
"//  This file implements the \x22""Exception Handling APIs\x22\x0a"
"//  http\x3a//mentorembedded.github.io/cxx-abi/abi-eh.html\x0a"
"//  http\x3a//www.intel.com/design/itanium/downloads/245358.htm\x0a"
"//  \x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#define _LIBCPP_BUILDING_LIBRARY\x0a"
"#include <assert.h>\x0a"
"#include <stdlib.h>\x0a"
"#include <string.h>\x0a"
"#include <typeinfo>\x0a"
"\x0a"
"#include \x22__cxxabi_config.h\x22\x0a"
"#include \x22""cxa_exception.hpp\x22\x0a"
"#include \x22""cxa_handlers.hpp\x22\x0a"
"#include \x22private_typeinfo.h\x22\x0a"
"#include \x22unwind.h\x22\x0a"
"\x0a"
"#if defined(__SEH__) \x26\x26 \x21""defined(__USING_SJLJ_EXCEPTIONS__)\x0a"
"#include <windows.h>\x0a"
"#include <winnt.h>\x0a"
"\x0a"
"extern \x22""C\x22 EXCEPTION_DISPOSITION _GCC_specific_handler(PEXCEPTION_RECORD,\x0a"
"                                                       void *, PCONTEXT,\x0a"
"                                                       PDISPATCHER_CONTEXT,\x0a"
"                                                       _Unwind_Personality_Fn);\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
"    Exception Header Layout\x3a\x0a"
"\x0a"
"+---------------------------+-----------------------------+---------------+\x0a"
"\x7c __cxa_exception           \x7c _Unwind_Exception CLNGC++\x5c""0 \x7c thrown object \x7c\x0a"
"+---------------------------+-----------------------------+---------------+\x0a"
"                                                          ^\x0a"
"                                                          \x7c\x0a"
"  +-------------------------------------------------------+\x0a"
"  \x7c\x0a"
"+---------------------------+-----------------------------+\x0a"
"\x7c __cxa_dependent_exception \x7c _Unwind_Exception CLNGC++\x5c""1 \x7c\x0a"
"+---------------------------+-----------------------------+\x0a"
"\x0a"
"    Exception Handling Table Layout\x3a\x0a"
"\x0a"
"+-----------------+--------+\x0a"
"\x7c lpStartEncoding \x7c (char) \x7c\x0a"
"+---------+-------+--------+---------------+-----------------------+\x0a"
"\x7c lpStart \x7c (encoded with lpStartEncoding) \x7c defaults to funcStart \x7c\x0a"
"+---------+-----+--------+-----------------+---------------+-------+\x0a"
"\x7c ttypeEncoding \x7c (char) \x7c Encoding of the type_info table \x7c\x0a"
"+---------------+-+------+----+----------------------------+----------------+\x0a"
"\x7c classInfoOffset \x7c (ULEB128) \x7c Offset to type_info table, defaults to null \x7c\x0a"
"+-----------------++--------+-+----------------------------+----------------+\x0a"
"\x7c callSiteEncoding \x7c (char) \x7c Encoding for Call Site Table \x7c\x0a"
"+------------------+--+-----+-----+------------------------+--------------------------+\x0a"
"\x7c callSiteTableLength \x7c (ULEB128) \x7c Call Site Table length, used to find Action table \x7c\x0a"
"+---------------------+-----------+---------------------------------------------------+\x0a"
"#ifndef __USING_SJLJ_EXCEPTIONS__\x0a"
"+---------------------+-----------+------------------------------------------------+\x0a"
"\x7c Beginning of Call Site Table            The current ip lies within the           \x7c\x0a"
"\x7c ...                                     (start, length) range of one of these    \x7c\x0a"
"\x7c                                         call sites. There may be action needed.  \x7c\x0a"
"\x7c +-------------+---------------------------------+------------------------------+ \x7c\x0a"
"\x7c \x7c start       \x7c (encoded with callSiteEncoding) \x7c offset relative to funcStart \x7c \x7c\x0a"
"\x7c \x7c length      \x7c (encoded with callSiteEncoding) \x7c length of code fragment      \x7c \x7c\x0a"
"\x7c \x7c landingPad  \x7c (encoded with callSiteEncoding) \x7c offset relative to lpStart   \x7c \x7c\x0a"
"\x7c \x7c actionEntry \x7c (ULEB128)                       \x7c Action Table Index 1-based   \x7c \x7c\x0a"
"\x7c \x7c             \x7c                                 \x7c actionEntry == 0 -> cleanup  \x7c \x7c\x0a"
"\x7c +-------------+---------------------------------+------------------------------+ \x7c\x0a"
"\x7c ...                                                                              \x7c\x0a"
"+----------------------------------------------------------------------------------+\x0a"
"#else  // __USING_SJLJ_EXCEPTIONS__\x0a"
"+---------------------+-----------+------------------------------------------------+\x0a"
"\x7c Beginning of Call Site Table            The current ip is a 1-based index into   \x7c\x0a"
"\x7c ...                                     this table.  Or it is -1 meaning no      \x7c\x0a"
"\x7c                                         action is needed.  Or it is 0 meaning    \x7c\x0a"
"\x7c                                         terminate.                               \x7c\x0a"
"\x7c +-------------+---------------------------------+------------------------------+ \x7c\x0a"
"\x7c \x7c landingPad  \x7c (ULEB128)                       \x7c offset relative to lpStart   \x7c \x7c\x0a"
"\x7c \x7c actionEntry \x7c (ULEB128)                       \x7c Action Table Index 1-based   \x7c \x7c\x0a"
"\x7c \x7c             \x7c                                 \x7c actionEntry == 0 -> cleanup  \x7c \x7c\x0a"
"\x7c +-------------+---------------------------------+------------------------------+ \x7c\x0a"
"\x7c ...                                                                              \x7c\x0a"
"+----------------------------------------------------------------------------------+\x0a"
"#endif  // __USING_SJLJ_EXCEPTIONS__\x0a"
"+---------------------------------------------------------------------+\x0a"
"\x7c Beginning of Action Table       ttypeIndex == 0 \x3a cleanup           \x7c\x0a"
"\x7c ...                             ttypeIndex  > 0 \x3a catch             \x7c\x0a"
"\x7c                                 ttypeIndex  < 0 \x3a exception spec    \x7c\x0a"
"\x7c +--------------+-----------+--------------------------------------+ \x7c\x0a"
"\x7c \x7c ttypeIndex   \x7c (SLEB128) \x7c Index into type_info Table (1-based) \x7c \x7c\x0a"
"\x7c \x7c actionOffset \x7c (SLEB128) \x7c Offset into next Action Table entry  \x7c \x7c\x0a"
"\x7c +--------------+-----------+--------------------------------------+ \x7c\x0a"
"\x7c ...                                                                 \x7c\x0a"
"+---------------------------------------------------------------------+-----------------+\x0a"
"\x7c type_info Table, but classInfoOffset does *not* point here\x21                           \x7c\x0a"
"\x7c +----------------+------------------------------------------------+-----------------+ \x7c\x0a"
"\x7c \x7c Nth type_info* \x7c Encoded with ttypeEncoding, 0 means catch(...) \x7c ttypeIndex == N \x7c \x7c\x0a"
"\x7c +----------------+------------------------------------------------+-----------------+ \x7c\x0a"
"\x7c ...                                                                                   \x7c\x0a"
"\x7c +----------------+------------------------------------------------+-----------------+ \x7c\x0a"
"\x7c \x7c 1st type_info* \x7c Encoded with ttypeEncoding, 0 means catch(...) \x7c ttypeIndex == 1 \x7c \x7c\x0a"
"\x7c +----------------+------------------------------------------------+-----------------+ \x7c\x0a"
"\x7c +---------------------------------------+-----------+------------------------------+  \x7c\x0a"
"\x7c \x7c 1st ttypeIndex for 1st exception spec \x7c (ULEB128) \x7c classInfoOffset points here\x21 \x7c  \x7c\x0a"
"\x7c \x7c ...                                   \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c \x7c Mth ttypeIndex for 1st exception spec \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c \x7c 0                                     \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c +---------------------------------------+------------------------------------------+  \x7c\x0a"
"\x7c ...                                                                                   \x7c\x0a"
"\x7c +---------------------------------------+------------------------------------------+  \x7c\x0a"
"\x7c \x7c 0                                     \x7c (ULEB128) \x7c throw()                      \x7c  \x7c\x0a"
"\x7c +---------------------------------------+------------------------------------------+  \x7c\x0a"
"\x7c ...                                                                                   \x7c\x0a"
"\x7c +---------------------------------------+------------------------------------------+  \x7c\x0a"
"\x7c \x7c 1st ttypeIndex for Nth exception spec \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c \x7c ...                                   \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c \x7c Mth ttypeIndex for Nth exception spec \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c \x7c 0                                     \x7c (ULEB128) \x7c                              \x7c  \x7c\x0a"
"\x7c +---------------------------------------+------------------------------------------+  \x7c\x0a"
"+---------------------------------------------------------------------------------------+\x0a"
"\x0a"
"Notes\x3a\x0a"
"\x0a"
"*  ttypeIndex in the Action Table, and in the exception spec table, is an index,\x0a"
"     not a byte count, if positive.  It is a negative index offset of\x0a"
"     classInfoOffset and the sizeof entry depends on ttypeEncoding.\x0a"
"   But if ttypeIndex is negative, it is a positive 1-based byte offset into the\x0a"
"     type_info Table.\x0a"
"   And if ttypeIndex is zero, it refers to a catch (...).\x0a"
"\x0a"
"*  landingPad can be 0, this implies there is nothing to be done.\x0a"
"\x0a"
"*  landingPad \x21= 0 and actionEntry == 0 implies a cleanup needs to be done\x0a"
"     \x40landingPad.\x0a"
"\x0a"
"*  A cleanup can also be found under landingPad \x21= 0 and actionEntry \x21= 0 in\x0a"
"     the Action Table with ttypeIndex == 0.\x0a"
"*/\x0a"
"\x0a"
"namespace __cxxabiv1\x0a"
"{\x0a"
"\x0a"
"namespace\x0a"
"{\x0a"
"\x0a"
"template <class AsType>\x0a"
"uintptr_t readPointerHelper(const uint8_t*\x26 p) {\x0a"
"    AsType value;\x0a"
"    memcpy(\x26value, p, sizeof(AsType));\x0a"
"    p += sizeof(AsType);\x0a"
"    return static_cast<uintptr_t>(value);\x0a"
"}\x0a"
"\x0a"
"} // end namespace\x0a"
"\x0a"
"extern \x22""C\x22\x0a"
"{\x0a"
"\x0a"
"// private API\x0a"
"\x0a"
"// Heavily borrowed from llvm/examples/ExceptionDemo/ExceptionDemo.cpp\x0a"
"\x0a"
"// DWARF Constants\x0a"
"enum\x0a"
"{\x0a"
"    DW_EH_PE_absptr   = 0x00,\x0a"
"    DW_EH_PE_uleb128  = 0x01,\x0a"
"    DW_EH_PE_udata2   = 0x02,\x0a"
"    DW_EH_PE_udata4   = 0x03,\x0a"
"    DW_EH_PE_udata8   = 0x04,\x0a"
"    DW_EH_PE_sleb128  = 0x09,\x0a"
"    DW_EH_PE_sdata2   = 0x0A,\x0a"
"    DW_EH_PE_sdata4   = 0x0B,\x0a"
"    DW_EH_PE_sdata8   = 0x0C,\x0a"
"    DW_EH_PE_pcrel    = 0x10,\x0a"
"    DW_EH_PE_textrel  = 0x20,\x0a"
"    DW_EH_PE_datarel  = 0x30,\x0a"
"    DW_EH_PE_funcrel  = 0x40,\x0a"
"    DW_EH_PE_aligned  = 0x50,\x0a"
"    DW_EH_PE_indirect = 0x80,\x0a"
"    DW_EH_PE_omit     = 0xFF\x0a"
"};\x0a"
"\x0a"
"/// Read a uleb128 encoded value and advance pointer \x0a"
"/// See Variable Length Data Appendix C in\x3a \x0a"
"/// \x40link http\x3a//dwarfstd.org/Dwarf4.pdf \x40unlink\x0a"
"/// \x40param data reference variable holding memory pointer to decode from\x0a"
"/// \x40returns decoded value\x0a"
"static\x0a"
"uintptr_t\x0a"
"readULEB128(const uint8_t** data)\x0a"
"{\x0a"
"    uintptr_t result = 0;\x0a"
"    uintptr_t shift = 0;\x0a"
"    unsigned char byte;\x0a"
"    const uint8_t *p = *data;\x0a"
"    do\x0a"
"    {\x0a"
"        byte = *p++;\x0a"
"        result \x7c= static_cast<uintptr_t>(byte \x26 0x7F) << shift;\x0a"
"        shift += 7;\x0a"
"    } while (byte \x26 0x80);\x0a"
"    *data = p;\x0a"
"    return result;\x0a"
"}\x0a"
"\x0a"
"/// Read a sleb128 encoded value and advance pointer \x0a"
"/// See Variable Length Data Appendix C in\x3a \x0a"
"/// \x40link http\x3a//dwarfstd.org/Dwarf4.pdf \x40unlink\x0a"
"/// \x40param data reference variable holding memory pointer to decode from\x0a"
"/// \x40returns decoded value\x0a"
"static\x0a"
"intptr_t\x0a"
"readSLEB128(const uint8_t** data)\x0a"
"{\x0a"
"    uintptr_t result = 0;\x0a"
"    uintptr_t shift = 0;\x0a"
"    unsigned char byte;\x0a"
"    const uint8_t *p = *data;\x0a"
"    do\x0a"
"    {\x0a"
"        byte = *p++;\x0a"
"        result \x7c= static_cast<uintptr_t>(byte \x26 0x7F) << shift;\x0a"
"        shift += 7;\x0a"
"    } while (byte \x26 0x80);\x0a"
"    *data = p;\x0a"
"    if ((byte \x26 0x40) \x26\x26 (shift < (sizeof(result) << 3)))\x0a"
"        result \x7c= static_cast<uintptr_t>(\x7e""0) << shift;\x0a"
"    return static_cast<intptr_t>(result);\x0a"
"}\x0a"
"\x0a"
"/// Read a pointer encoded value and advance pointer \x0a"
"/// See Variable Length Data in\x3a \x0a"
"/// \x40link http\x3a//dwarfstd.org/Dwarf3.pdf \x40unlink\x0a"
"/// \x40param data reference variable holding memory pointer to decode from\x0a"
"/// \x40param encoding dwarf encoding type\x0a"
"/// \x40returns decoded value\x0a"
"static\x0a"
"uintptr_t\x0a"
"readEncodedPointer(const uint8_t** data, uint8_t encoding)\x0a"
"{\x0a"
"    uintptr_t result = 0;\x0a"
"    if (encoding == DW_EH_PE_omit) \x0a"
"        return result;\x0a"
"    const uint8_t* p = *data;\x0a"
"    // first get value \x0a"
"    switch (encoding \x26 0x0F)\x0a"
"    {\x0a"
"    case DW_EH_PE_absptr\x3a\x0a"
"        result = readPointerHelper<uintptr_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_uleb128\x3a\x0a"
"        result = readULEB128(\x26p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_sleb128\x3a\x0a"
"        result = static_cast<uintptr_t>(readSLEB128(\x26p));\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata2\x3a\x0a"
"        result = readPointerHelper<uint16_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata4\x3a\x0a"
"        result = readPointerHelper<uint32_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata8\x3a\x0a"
"        result = readPointerHelper<uint64_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_sdata2\x3a\x0a"
"        result = readPointerHelper<int16_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_sdata4\x3a\x0a"
"        result = readPointerHelper<int32_t>(p);\x0a"
"        break;\x0a"
"    case DW_EH_PE_sdata8\x3a\x0a"
"        result = readPointerHelper<int64_t>(p);\x0a"
"        break;\x0a"
"    default\x3a\x0a"
"        // not supported \x0a"
"        abort();\x0a"
"        break;\x0a"
"    }\x0a"
"    // then add relative offset \x0a"
"    switch (encoding \x26 0x70)\x0a"
"    {\x0a"
"    case DW_EH_PE_absptr\x3a\x0a"
"        // do nothing \x0a"
"        break;\x0a"
"    case DW_EH_PE_pcrel\x3a\x0a"
"        if (result)\x0a"
"            result += (uintptr_t)(*data);\x0a"
"        break;\x0a"
"    case DW_EH_PE_textrel\x3a\x0a"
"    case DW_EH_PE_datarel\x3a\x0a"
"    case DW_EH_PE_funcrel\x3a\x0a"
"    case DW_EH_PE_aligned\x3a\x0a"
"    default\x3a\x0a"
"        // not supported \x0a"
"        abort();\x0a"
"        break;\x0a"
"    }\x0a"
"    // then apply indirection \x0a"
"    if (result \x26\x26 (encoding \x26 DW_EH_PE_indirect))\x0a"
"        result = *((uintptr_t*)result);\x0a"
"    *data = p;\x0a"
"    return result;\x0a"
"}\x0a"
"\x0a"
"static\x0a"
"void\x0a"
"call_terminate(bool native_exception, _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    __cxa_begin_catch(unwind_exception);\x0a"
"    if (native_exception)\x0a"
"    {\x0a"
"        // Use the stored terminate_handler if possible\x0a"
"        __cxa_exception* exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"        std\x3a\x3a__terminate(exception_header->terminateHandler);\x0a"
"    }\x0a"
"    std\x3a\x3aterminate();\x0a"
"}\x0a"
"\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"static const void* read_target2_value(const void* ptr)\x0a"
"{\x0a"
"    uintptr_t offset = *reinterpret_cast<const uintptr_t*>(ptr);\x0a"
"    if (\x21offset)\x0a"
"        return 0;\x0a"
"    // \x22""ARM EABI provides a TARGET2 relocation to describe these typeinfo\x0a"
"    // pointers. The reason being it allows their precise semantics to be\x0a"
"    // deferred to the linker. For bare-metal they turn into absolute\x0a"
"    // relocations. For linux they turn into GOT-REL relocations.\x22\x0a"
"    // https\x3a//gcc.gnu.org/ml/gcc-patches/2009-08/msg00264.html\x0a"
"#if defined(LIBCXXABI_BAREMETAL)\x0a"
"    return reinterpret_cast<const void*>(reinterpret_cast<uintptr_t>(ptr) +\x0a"
"                                         offset);\x0a"
"#else\x0a"
"    return *reinterpret_cast<const void **>(reinterpret_cast<uintptr_t>(ptr) +\x0a"
"                                            offset);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"static const __shim_type_info*\x0a"
"get_shim_type_info(uint64_t ttypeIndex, const uint8_t* classInfo,\x0a"
"                   uint8_t ttypeEncoding, bool native_exception,\x0a"
"                   _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    if (classInfo == 0)\x0a"
"    {\x0a"
"        // this should not happen.  Indicates corrupted eh_table.\x0a"
"        call_terminate(native_exception, unwind_exception);\x0a"
"    }\x0a"
"\x0a"
"    assert(((ttypeEncoding == DW_EH_PE_absptr) \x7c\x7c  // LLVM or GCC 4.6\x0a"
"            (ttypeEncoding == DW_EH_PE_pcrel) \x7c\x7c  // GCC 4.7 baremetal\x0a"
"            (ttypeEncoding == (DW_EH_PE_pcrel \x7c DW_EH_PE_indirect))) \x26\x26  // GCC 4.7 linux\x0a"
"           \x22Unexpected TTypeEncoding\x22);\x0a"
"    (void)ttypeEncoding;\x0a"
"\x0a"
"    const uint8_t* ttypePtr = classInfo - ttypeIndex * sizeof(uintptr_t);\x0a"
"    return reinterpret_cast<const __shim_type_info *>(\x0a"
"        read_target2_value(ttypePtr));\x0a"
"}\x0a"
"#else // \x21""defined(_LIBCXXABI_ARM_EHABI)\x0a"
"static\x0a"
"const __shim_type_info*\x0a"
"get_shim_type_info(uint64_t ttypeIndex, const uint8_t* classInfo,\x0a"
"                   uint8_t ttypeEncoding, bool native_exception,\x0a"
"                   _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    if (classInfo == 0)\x0a"
"    {\x0a"
"        // this should not happen.  Indicates corrupted eh_table.\x0a"
"        call_terminate(native_exception, unwind_exception);\x0a"
"    }\x0a"
"    switch (ttypeEncoding \x26 0x0F)\x0a"
"    {\x0a"
"    case DW_EH_PE_absptr\x3a\x0a"
"        ttypeIndex *= sizeof(void*);\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata2\x3a\x0a"
"    case DW_EH_PE_sdata2\x3a\x0a"
"        ttypeIndex *= 2;\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata4\x3a\x0a"
"    case DW_EH_PE_sdata4\x3a\x0a"
"        ttypeIndex *= 4;\x0a"
"        break;\x0a"
"    case DW_EH_PE_udata8\x3a\x0a"
"    case DW_EH_PE_sdata8\x3a\x0a"
"        ttypeIndex *= 8;\x0a"
"        break;\x0a"
"    default\x3a\x0a"
"        // this should not happen.   Indicates corrupted eh_table.\x0a"
"        call_terminate(native_exception, unwind_exception);\x0a"
"    }\x0a"
"    classInfo -= ttypeIndex;\x0a"
"    return (const __shim_type_info*)readEncodedPointer(\x26""classInfo, ttypeEncoding);\x0a"
"}\x0a"
"#endif // \x21""defined(_LIBCXXABI_ARM_EHABI)\x0a"
"\x0a"
"/*\x0a"
"    This is checking a thrown exception type, excpType, against a possibly empty\x0a"
"    list of catchType's which make up an exception spec.\x0a"
"\x0a"
"    An exception spec acts like a catch handler, but in reverse.  This \x22""catch\x0a"
"    handler\x22 will catch an excpType if and only if none of the catchType's in\x0a"
"    the list will catch a excpType.  If any catchType in the list can catch an\x0a"
"    excpType, then this exception spec does not catch the excpType.\x0a"
"*/\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"static\x0a"
"bool\x0a"
"exception_spec_can_catch(int64_t specIndex, const uint8_t* classInfo,\x0a"
"                         uint8_t ttypeEncoding, const __shim_type_info* excpType,\x0a"
"                         void* adjustedPtr, _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    if (classInfo == 0)\x0a"
"    {\x0a"
"        // this should not happen.   Indicates corrupted eh_table.\x0a"
"        call_terminate(false, unwind_exception);\x0a"
"    }\x0a"
"\x0a"
"    assert(((ttypeEncoding == DW_EH_PE_absptr) \x7c\x7c  // LLVM or GCC 4.6\x0a"
"            (ttypeEncoding == DW_EH_PE_pcrel) \x7c\x7c  // GCC 4.7 baremetal\x0a"
"            (ttypeEncoding == (DW_EH_PE_pcrel \x7c DW_EH_PE_indirect))) \x26\x26  // GCC 4.7 linux\x0a"
"           \x22Unexpected TTypeEncoding\x22);\x0a"
"    (void)ttypeEncoding;\x0a"
"\x0a"
"    // specIndex is negative of 1-based byte offset into classInfo;\x0a"
"    specIndex = -specIndex;\x0a"
"    --specIndex;\x0a"
"    const void** temp = reinterpret_cast<const void**>(\x0a"
"        reinterpret_cast<uintptr_t>(classInfo) +\x0a"
"        static_cast<uintptr_t>(specIndex) * sizeof(uintptr_t));\x0a"
"    // If any type in the spec list can catch excpType, return false, else return true\x0a"
"    //    adjustments to adjustedPtr are ignored.\x0a"
"    while (true)\x0a"
"    {\x0a"
"        // ARM EHABI exception specification table (filter table) consists of\x0a"
"        // several pointers which will directly point to the type info object\x0a"
"        // (instead of ttypeIndex).  The table will be terminated with 0.\x0a"
"        const void** ttypePtr = temp++;\x0a"
"        if (*ttypePtr == 0)\x0a"
"            break;\x0a"
"        // We can get the __shim_type_info simply by performing a\x0a"
"        // R_ARM_TARGET2 relocation, and cast the result to __shim_type_info.\x0a"
"        const __shim_type_info* catchType =\x0a"
"            static_cast<const __shim_type_info*>(read_target2_value(ttypePtr));\x0a"
"        void* tempPtr = adjustedPtr;\x0a"
"        if (catchType->can_catch(excpType, tempPtr))\x0a"
"            return false;\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"#else\x0a"
"static\x0a"
"bool\x0a"
"exception_spec_can_catch(int64_t specIndex, const uint8_t* classInfo,\x0a"
"                         uint8_t ttypeEncoding, const __shim_type_info* excpType,\x0a"
"                         void* adjustedPtr, _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    if (classInfo == 0)\x0a"
"    {\x0a"
"        // this should not happen.   Indicates corrupted eh_table.\x0a"
"        call_terminate(false, unwind_exception);\x0a"
"    }\x0a"
"    // specIndex is negative of 1-based byte offset into classInfo;\x0a"
"    specIndex = -specIndex;\x0a"
"    --specIndex;\x0a"
"    const uint8_t* temp = classInfo + specIndex;\x0a"
"    // If any type in the spec list can catch excpType, return false, else return true\x0a"
"    //    adjustments to adjustedPtr are ignored.\x0a"
"    while (true)\x0a"
"    {\x0a"
"        uint64_t ttypeIndex = readULEB128(\x26temp);\x0a"
"        if (ttypeIndex == 0)\x0a"
"            break;\x0a"
"        const __shim_type_info* catchType = get_shim_type_info(ttypeIndex,\x0a"
"                                                               classInfo,\x0a"
"                                                               ttypeEncoding,\x0a"
"                                                               true,\x0a"
"                                                               unwind_exception);\x0a"
"        void* tempPtr = adjustedPtr;\x0a"
"        if (catchType->can_catch(excpType, tempPtr))\x0a"
"            return false;\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"static\x0a"
"void*\x0a"
"get_thrown_object_ptr(_Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    // Even for foreign exceptions, the exception object is *probably* at unwind_exception + 1\x0a"
"    //    Regardless, this library is prohibited from touching a foreign exception\x0a"
"    void* adjustedPtr = unwind_exception + 1;\x0a"
"    if (__getExceptionClass(unwind_exception) == kOurDependentExceptionClass)\x0a"
"        adjustedPtr = ((__cxa_dependent_exception*)adjustedPtr - 1)->primaryException;\x0a"
"    return adjustedPtr;\x0a"
"}\x0a"
"\x0a"
"namespace\x0a"
"{\x0a"
"\x0a"
"struct scan_results\x0a"
"{\x0a"
"    int64_t        ttypeIndex;   // > 0 catch handler, < 0 exception spec handler, == 0 a cleanup\x0a"
"    const uint8_t* actionRecord;         // Currently unused.  Retained to ease future maintenance.\x0a"
"    const uint8_t* languageSpecificData;  // Needed only for __cxa_call_unexpected\x0a"
"    uintptr_t      landingPad;   // null -> nothing found, else something found\x0a"
"    void*          adjustedPtr;  // Used in cxa_exception.cpp\x0a"
"    _Unwind_Reason_Code reason;  // One of _URC_FATAL_PHASE1_ERROR,\x0a"
"                                 //        _URC_FATAL_PHASE2_ERROR,\x0a"
"                                 //        _URC_CONTINUE_UNWIND,\x0a"
"                                 //        _URC_HANDLER_FOUND\x0a"
"};\x0a"
"\x0a"
"}  // unnamed namespace\x0a"
"\x0a"
"static\x0a"
"void\x0a"
"set_registers(_Unwind_Exception* unwind_exception, _Unwind_Context* context,\x0a"
"              const scan_results\x26 results)\x0a"
"{\x0a"
"#if defined(__USING_SJLJ_EXCEPTIONS__)\x0a"
"#define __builtin_eh_return_data_regno(regno) regno\x0a"
"#endif\x0a"
"  _Unwind_SetGR(context, __builtin_eh_return_data_regno(0),\x0a"
"                reinterpret_cast<uintptr_t>(unwind_exception));\x0a"
"  _Unwind_SetGR(context, __builtin_eh_return_data_regno(1),\x0a"
"                static_cast<uintptr_t>(results.ttypeIndex));\x0a"
"  _Unwind_SetIP(context, results.landingPad);\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
"    There are 3 types of scans needed\x3a\x0a"
"\x0a"
"    1.  Scan for handler with native or foreign exception.  If handler found,\x0a"
"        save state and return _URC_HANDLER_FOUND, else return _URC_CONTINUE_UNWIND.\x0a"
"        May also report an error on invalid input.\x0a"
"        May terminate for invalid exception table.\x0a"
"        _UA_SEARCH_PHASE\x0a"
"\x0a"
"    2.  Scan for handler with foreign exception.  Must return _URC_HANDLER_FOUND,\x0a"
"        or call terminate.\x0a"
"        _UA_CLEANUP_PHASE \x26\x26 _UA_HANDLER_FRAME \x26\x26 \x21native_exception\x0a"
"\x0a"
"    3.  Scan for cleanups.  If a handler is found and this isn't forced unwind,\x0a"
"        then terminate, otherwise ignore the handler and keep looking for cleanup.\x0a"
"        If a cleanup is found, return _URC_HANDLER_FOUND, else return _URC_CONTINUE_UNWIND.\x0a"
"        May also report an error on invalid input.\x0a"
"        May terminate for invalid exception table.\x0a"
"        _UA_CLEANUP_PHASE \x26\x26 \x21_UA_HANDLER_FRAME\x0a"
"*/\x0a"
"\x0a"
"static void scan_eh_tab(scan_results \x26results, _Unwind_Action actions,\x0a"
"                        bool native_exception,\x0a"
"                        _Unwind_Exception *unwind_exception,\x0a"
"                        _Unwind_Context *context) {\x0a"
"    // Initialize results to found nothing but an error\x0a"
"    results.ttypeIndex = 0;\x0a"
"    results.actionRecord = 0;\x0a"
"    results.languageSpecificData = 0;\x0a"
"    results.landingPad = 0;\x0a"
"    results.adjustedPtr = 0;\x0a"
"    results.reason = _URC_FATAL_PHASE1_ERROR;\x0a"
"    // Check for consistent actions\x0a"
"    if (actions \x26 _UA_SEARCH_PHASE)\x0a"
"    {\x0a"
"        // Do Phase 1\x0a"
"        if (actions \x26 (_UA_CLEANUP_PHASE \x7c _UA_HANDLER_FRAME \x7c _UA_FORCE_UNWIND))\x0a"
"        {\x0a"
"            // None of these flags should be set during Phase 1\x0a"
"            //   Client error\x0a"
"            results.reason = _URC_FATAL_PHASE1_ERROR;\x0a"
"            return;\x0a"
"        }\x0a"
"    }\x0a"
"    else if (actions \x26 _UA_CLEANUP_PHASE)\x0a"
"    {\x0a"
"        if ((actions \x26 _UA_HANDLER_FRAME) \x26\x26 (actions \x26 _UA_FORCE_UNWIND))\x0a"
"        {\x0a"
"            // _UA_HANDLER_FRAME should only be set if phase 1 found a handler.\x0a"
"            // If _UA_FORCE_UNWIND is set, phase 1 shouldn't have happened.\x0a"
"            //    Client error\x0a"
"            results.reason = _URC_FATAL_PHASE2_ERROR;\x0a"
"            return;\x0a"
"        }\x0a"
"    }\x0a"
"    else // Neither _UA_SEARCH_PHASE nor _UA_CLEANUP_PHASE is set\x0a"
"    {\x0a"
"        // One of these should be set.\x0a"
"        //   Client error\x0a"
"        results.reason = _URC_FATAL_PHASE1_ERROR;\x0a"
"        return;\x0a"
"    }\x0a"
"    // Start scan by getting exception table address\x0a"
"    const uint8_t *lsda = (const uint8_t *)_Unwind_GetLanguageSpecificData(context);\x0a"
"    if (lsda == 0)\x0a"
"    {\x0a"
"        // There is no exception table\x0a"
"        results.reason = _URC_CONTINUE_UNWIND;\x0a"
"        return;\x0a"
"    }\x0a"
"    results.languageSpecificData = lsda;\x0a"
"    // Get the current instruction pointer and offset it before next\x0a"
"    // instruction in the current frame which threw the exception.\x0a"
"    uintptr_t ip = _Unwind_GetIP(context) - 1;\x0a"
"    // Get beginning current frame's code (as defined by the \x0a"
"    // emitted dwarf code)\x0a"
"    uintptr_t funcStart = _Unwind_GetRegionStart(context);\x0a"
"#ifdef __USING_SJLJ_EXCEPTIONS__\x0a"
"    if (ip == uintptr_t(-1))\x0a"
"    {\x0a"
"        // no action\x0a"
"        results.reason = _URC_CONTINUE_UNWIND;\x0a"
"        return;\x0a"
"    }\x0a"
"    else if (ip == 0)\x0a"
"        call_terminate(native_exception, unwind_exception);\x0a"
"    // ip is 1-based index into call site table\x0a"
"#else  // \x21__USING_SJLJ_EXCEPTIONS__\x0a"
"    uintptr_t ipOffset = ip - funcStart;\x0a"
"#endif  // \x21""defined(_USING_SLJL_EXCEPTIONS__)\x0a"
"    const uint8_t* classInfo = NULL;\x0a"
"    // Note\x3a See JITDwarfEmitter\x3a\x3a""EmitExceptionTable(...) for corresponding\x0a"
"    //       dwarf emission\x0a"
"    // Parse LSDA header.\x0a"
"    uint8_t lpStartEncoding = *lsda++;\x0a"
"    const uint8_t* lpStart = (const uint8_t*)readEncodedPointer(\x26lsda, lpStartEncoding);\x0a"
"    if (lpStart == 0)\x0a"
"        lpStart = (const uint8_t*)funcStart;\x0a"
"    uint8_t ttypeEncoding = *lsda++;\x0a"
"    if (ttypeEncoding \x21= DW_EH_PE_omit)\x0a"
"    {\x0a"
"        // Calculate type info locations in emitted dwarf code which\x0a"
"        // were flagged by type info arguments to llvm.eh.selector\x0a"
"        // intrinsic\x0a"
"        uintptr_t classInfoOffset = readULEB128(\x26lsda);\x0a"
"        classInfo = lsda + classInfoOffset;\x0a"
"    }\x0a"
"    // Walk call-site table looking for range that \x0a"
"    // includes current PC. \x0a"
"    uint8_t callSiteEncoding = *lsda++;\x0a"
"#ifdef __USING_SJLJ_EXCEPTIONS__\x0a"
"    (void)callSiteEncoding;  // When using SjLj exceptions, callSiteEncoding is never used\x0a"
"#endif\x0a"
"    uint32_t callSiteTableLength = static_cast<uint32_t>(readULEB128(\x26lsda));\x0a"
"    const uint8_t* callSiteTableStart = lsda;\x0a"
"    const uint8_t* callSiteTableEnd = callSiteTableStart + callSiteTableLength;\x0a"
"    const uint8_t* actionTableStart = callSiteTableEnd;\x0a"
"    const uint8_t* callSitePtr = callSiteTableStart;\x0a"
"    while (callSitePtr < callSiteTableEnd)\x0a"
"    {\x0a"
"        // There is one entry per call site.\x0a"
"#ifndef __USING_SJLJ_EXCEPTIONS__\x0a"
"        // The call sites are non-overlapping in \x5bstart, start+length)\x0a"
"        // The call sites are ordered in increasing value of start\x0a"
"        uintptr_t start = readEncodedPointer(\x26""callSitePtr, callSiteEncoding);\x0a"
"        uintptr_t length = readEncodedPointer(\x26""callSitePtr, callSiteEncoding);\x0a"
"        uintptr_t landingPad = readEncodedPointer(\x26""callSitePtr, callSiteEncoding);\x0a"
"        uintptr_t actionEntry = readULEB128(\x26""callSitePtr);\x0a"
"        if ((start <= ipOffset) \x26\x26 (ipOffset < (start + length)))\x0a"
"#else  // __USING_SJLJ_EXCEPTIONS__\x0a"
"        // ip is 1-based index into this table\x0a"
"        uintptr_t landingPad = readULEB128(\x26""callSitePtr);\x0a"
"        uintptr_t actionEntry = readULEB128(\x26""callSitePtr);\x0a"
"        if (--ip == 0)\x0a"
"#endif  // __USING_SJLJ_EXCEPTIONS__\x0a"
"        {\x0a"
"            // Found the call site containing ip.\x0a"
"#ifndef __USING_SJLJ_EXCEPTIONS__\x0a"
"            if (landingPad == 0)\x0a"
"            {\x0a"
"                // No handler here\x0a"
"                results.reason = _URC_CONTINUE_UNWIND;\x0a"
"                return;\x0a"
"            }\x0a"
"            landingPad = (uintptr_t)lpStart + landingPad;\x0a"
"#else  // __USING_SJLJ_EXCEPTIONS__\x0a"
"            ++landingPad;\x0a"
"#endif  // __USING_SJLJ_EXCEPTIONS__\x0a"
"            if (actionEntry == 0)\x0a"
"            {\x0a"
"                // Found a cleanup\x0a"
"                // If this is a type 1 or type 2 search, there are no handlers\x0a"
"                // If this is a type 3 search, you want to install the cleanup.\x0a"
"                if ((actions \x26 _UA_CLEANUP_PHASE) \x26\x26 \x21(actions \x26 _UA_HANDLER_FRAME))\x0a"
"                {\x0a"
"                    results.ttypeIndex = 0;  // Redundant but clarifying\x0a"
"                    results.landingPad = landingPad;\x0a"
"                    results.reason = _URC_HANDLER_FOUND;\x0a"
"                    return;\x0a"
"                }\x0a"
"                // No handler here\x0a"
"                results.reason = _URC_CONTINUE_UNWIND;\x0a"
"                return;\x0a"
"            }\x0a"
"            // Convert 1-based byte offset into\x0a"
"            const uint8_t* action = actionTableStart + (actionEntry - 1);\x0a"
"            // Scan action entries until you find a matching handler, cleanup, or the end of action list\x0a"
"            while (true)\x0a"
"            {\x0a"
"                const uint8_t* actionRecord = action;\x0a"
"                int64_t ttypeIndex = readSLEB128(\x26""action);\x0a"
"                if (ttypeIndex > 0)\x0a"
"                {\x0a"
"                    // Found a catch, does it actually catch\x3f\x0a"
"                    // First check for catch (...)\x0a"
"                    const __shim_type_info* catchType =\x0a"
"                        get_shim_type_info(static_cast<uint64_t>(ttypeIndex),\x0a"
"                                           classInfo, ttypeEncoding,\x0a"
"                                           native_exception, unwind_exception);\x0a"
"                    if (catchType == 0)\x0a"
"                    {\x0a"
"                        // Found catch (...) catches everything, including foreign exceptions\x0a"
"                        // If this is a type 1 search save state and return _URC_HANDLER_FOUND\x0a"
"                        // If this is a type 2 search save state and return _URC_HANDLER_FOUND\x0a"
"                        // If this is a type 3 search \x21_UA_FORCE_UNWIND, we should have found this in phase 1\x21\x0a"
"                        // If this is a type 3 search _UA_FORCE_UNWIND, ignore handler and continue scan\x0a"
"                        if ((actions \x26 _UA_SEARCH_PHASE) \x7c\x7c (actions \x26 _UA_HANDLER_FRAME))\x0a"
"                        {\x0a"
"                            // Save state and return _URC_HANDLER_FOUND\x0a"
"                            results.ttypeIndex = ttypeIndex;\x0a"
"                            results.actionRecord = actionRecord;\x0a"
"                            results.landingPad = landingPad;\x0a"
"                            results.adjustedPtr = get_thrown_object_ptr(unwind_exception);\x0a"
"                            results.reason = _URC_HANDLER_FOUND;\x0a"
"                            return;\x0a"
"                        }\x0a"
"                        else if (\x21(actions \x26 _UA_FORCE_UNWIND))\x0a"
"                        {\x0a"
"                            // It looks like the exception table has changed\x0a"
"                            //    on us.  Likely stack corruption\x21\x0a"
"                            call_terminate(native_exception, unwind_exception);\x0a"
"                        }\x0a"
"                    }\x0a"
"                    // Else this is a catch (T) clause and will never\x0a"
"                    //    catch a foreign exception\x0a"
"                    else if (native_exception)\x0a"
"                    {\x0a"
"                        __cxa_exception* exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"                        void* adjustedPtr = get_thrown_object_ptr(unwind_exception);\x0a"
"                        const __shim_type_info* excpType =\x0a"
"                            static_cast<const __shim_type_info*>(exception_header->exceptionType);\x0a"
"                        if (adjustedPtr == 0 \x7c\x7c excpType == 0)\x0a"
"                        {\x0a"
"                            // Something very bad happened\x0a"
"                            call_terminate(native_exception, unwind_exception);\x0a"
"                        }\x0a"
"                        if (catchType->can_catch(excpType, adjustedPtr))\x0a"
"                        {\x0a"
"                            // Found a matching handler\x0a"
"                            // If this is a type 1 search save state and return _URC_HANDLER_FOUND\x0a"
"                            // If this is a type 3 search and \x21_UA_FORCE_UNWIND, we should have found this in phase 1\x21\x0a"
"                            // If this is a type 3 search and _UA_FORCE_UNWIND, ignore handler and continue scan\x0a"
"                            if (actions \x26 _UA_SEARCH_PHASE)\x0a"
"                            {\x0a"
"                                // Save state and return _URC_HANDLER_FOUND\x0a"
"                                results.ttypeIndex = ttypeIndex;\x0a"
"                                results.actionRecord = actionRecord;\x0a"
"                                results.landingPad = landingPad;\x0a"
"                                results.adjustedPtr = adjustedPtr;\x0a"
"                                results.reason = _URC_HANDLER_FOUND;\x0a"
"                                return;\x0a"
"                            }\x0a"
"                            else if (\x21(actions \x26 _UA_FORCE_UNWIND))\x0a"
"                            {\x0a"
"                                // It looks like the exception table has changed\x0a"
"                                //    on us.  Likely stack corruption\x21\x0a"
"                                call_terminate(native_exception, unwind_exception);\x0a"
"                            }\x0a"
"                        }\x0a"
"                    }\x0a"
"                    // Scan next action ...\x0a"
"                }\x0a"
"                else if (ttypeIndex < 0)\x0a"
"                {\x0a"
"                    // Found an exception spec.  If this is a foreign exception,\x0a"
"                    //   it is always caught.\x0a"
"                    if (native_exception)\x0a"
"                    {\x0a"
"                        // Does the exception spec catch this native exception\x3f\x0a"
"                        __cxa_exception* exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"                        void* adjustedPtr = get_thrown_object_ptr(unwind_exception);\x0a"
"                        const __shim_type_info* excpType =\x0a"
"                            static_cast<const __shim_type_info*>(exception_header->exceptionType);\x0a"
"                        if (adjustedPtr == 0 \x7c\x7c excpType == 0)\x0a"
"                        {\x0a"
"                            // Something very bad happened\x0a"
"                            call_terminate(native_exception, unwind_exception);\x0a"
"                        }\x0a"
"                        if (exception_spec_can_catch(ttypeIndex, classInfo,\x0a"
"                                                     ttypeEncoding, excpType,\x0a"
"                                                     adjustedPtr, unwind_exception))\x0a"
"                        {\x0a"
"                            // native exception caught by exception spec\x0a"
"                            // If this is a type 1 search, save state and return _URC_HANDLER_FOUND\x0a"
"                            // If this is a type 3 search \x21_UA_FORCE_UNWIND, we should have found this in phase 1\x21\x0a"
"                            // If this is a type 3 search _UA_FORCE_UNWIND, ignore handler and continue scan\x0a"
"                            if (actions \x26 _UA_SEARCH_PHASE)\x0a"
"                            {\x0a"
"                                // Save state and return _URC_HANDLER_FOUND\x0a"
"                                results.ttypeIndex = ttypeIndex;\x0a"
"                                results.actionRecord = actionRecord;\x0a"
"                                results.landingPad = landingPad;\x0a"
"                                results.adjustedPtr = adjustedPtr;\x0a"
"                                results.reason = _URC_HANDLER_FOUND;\x0a"
"                                return;\x0a"
"                            }\x0a"
"                            else if (\x21(actions \x26 _UA_FORCE_UNWIND))\x0a"
"                            {\x0a"
"                                // It looks like the exception table has changed\x0a"
"                                //    on us.  Likely stack corruption\x21\x0a"
"                                call_terminate(native_exception, unwind_exception);\x0a"
"                            }\x0a"
"                        }\x0a"
"                    }\x0a"
"                    else\x0a"
"                    {\x0a"
"                        // foreign exception caught by exception spec\x0a"
"                        // If this is a type 1 search, save state and return _URC_HANDLER_FOUND\x0a"
"                        // If this is a type 2 search, save state and return _URC_HANDLER_FOUND\x0a"
"                        // If this is a type 3 search \x21_UA_FORCE_UNWIND, we should have found this in phase 1\x21\x0a"
"                        // If this is a type 3 search _UA_FORCE_UNWIND, ignore handler and continue scan\x0a"
"                        if ((actions \x26 _UA_SEARCH_PHASE) \x7c\x7c (actions \x26 _UA_HANDLER_FRAME))\x0a"
"                        {\x0a"
"                            // Save state and return _URC_HANDLER_FOUND\x0a"
"                            results.ttypeIndex = ttypeIndex;\x0a"
"                            results.actionRecord = actionRecord;\x0a"
"                            results.landingPad = landingPad;\x0a"
"                            results.adjustedPtr = get_thrown_object_ptr(unwind_exception);\x0a"
"                            results.reason = _URC_HANDLER_FOUND;\x0a"
"                            return;\x0a"
"                        }\x0a"
"                        else if (\x21(actions \x26 _UA_FORCE_UNWIND))\x0a"
"                        {\x0a"
"                            // It looks like the exception table has changed\x0a"
"                            //    on us.  Likely stack corruption\x21\x0a"
"                            call_terminate(native_exception, unwind_exception);\x0a"
"                        }\x0a"
"                    }\x0a"
"                    // Scan next action ...\x0a"
"                }\x0a"
"                else  // ttypeIndex == 0\x0a"
"                {\x0a"
"                    // Found a cleanup\x0a"
"                    // If this is a type 1 search, ignore it and continue scan\x0a"
"                    // If this is a type 2 search, ignore it and continue scan\x0a"
"                    // If this is a type 3 search, save state and return _URC_HANDLER_FOUND\x0a"
"                    if ((actions \x26 _UA_CLEANUP_PHASE) \x26\x26 \x21(actions \x26 _UA_HANDLER_FRAME))\x0a"
"                    {\x0a"
"                        // Save state and return _URC_HANDLER_FOUND\x0a"
"                        results.ttypeIndex = ttypeIndex;\x0a"
"                        results.actionRecord = actionRecord;\x0a"
"                        results.landingPad = landingPad;\x0a"
"                        results.adjustedPtr = get_thrown_object_ptr(unwind_exception);\x0a"
"                        results.reason = _URC_HANDLER_FOUND;\x0a"
"                        return;\x0a"
"                    }\x0a"
"                }\x0a"
"                const uint8_t* temp = action;\x0a"
"                int64_t actionOffset = readSLEB128(\x26temp);\x0a"
"                if (actionOffset == 0)\x0a"
"                {\x0a"
"                    // End of action list, no matching handler or cleanup found\x0a"
"                    results.reason = _URC_CONTINUE_UNWIND;\x0a"
"                    return;\x0a"
"                }\x0a"
"                // Go to next action\x0a"
"                action += actionOffset;\x0a"
"            }  // there is no break out of this loop, only return\x0a"
"        }\x0a"
"#ifndef __USING_SJLJ_EXCEPTIONS__\x0a"
"        else if (ipOffset < start)\x0a"
"        {\x0a"
"            // There is no call site for this ip\x0a"
"            // Something bad has happened.  We should never get here.\x0a"
"            // Possible stack corruption.\x0a"
"            call_terminate(native_exception, unwind_exception);\x0a"
"        }\x0a"
"#endif  // \x21__USING_SJLJ_EXCEPTIONS__\x0a"
"    }  // there might be some tricky cases which break out of this loop\x0a"
"\x0a"
"    // It is possible that no eh table entry specify how to handle\x0a"
"    // this exception. By spec, terminate it immediately.\x0a"
"    call_terminate(native_exception, unwind_exception);\x0a"
"}\x0a"
"\x0a"
"// public API\x0a"
"\x0a"
"/*\x0a"
"The personality function branches on actions like so\x3a\x0a"
"\x0a"
"_UA_SEARCH_PHASE\x0a"
"\x0a"
"    If _UA_CLEANUP_PHASE or _UA_HANDLER_FRAME or _UA_FORCE_UNWIND there's\x0a"
"      an error from above, return _URC_FATAL_PHASE1_ERROR.\x0a"
"\x0a"
"    Scan for anything that could stop unwinding\x3a\x0a"
"\x0a"
"       1.  A catch clause that will catch this exception\x0a"
"           (will never catch foreign).\x0a"
"       2.  A catch (...) (will always catch foreign).\x0a"
"       3.  An exception spec that will catch this exception\x0a"
"           (will always catch foreign).\x0a"
"    If a handler is found\x0a"
"        If not foreign\x0a"
"            Save state in header\x0a"
"        return _URC_HANDLER_FOUND\x0a"
"    Else a handler not found\x0a"
"        return _URC_CONTINUE_UNWIND\x0a"
"\x0a"
"_UA_CLEANUP_PHASE\x0a"
"\x0a"
"    If _UA_HANDLER_FRAME\x0a"
"        If _UA_FORCE_UNWIND\x0a"
"            How did this happen\x3f  return _URC_FATAL_PHASE2_ERROR\x0a"
"        If foreign\x0a"
"            Do _UA_SEARCH_PHASE to recover state\x0a"
"        else\x0a"
"            Recover state from header\x0a"
"        Transfer control to landing pad.  return _URC_INSTALL_CONTEXT\x0a"
"    \x0a"
"    Else\x0a"
"\x0a"
"        This branch handles both normal C++ non-catching handlers (cleanups)\x0a"
"          and forced unwinding.    \x0a"
"        Scan for anything that can not stop unwinding\x3a\x0a"
"    \x0a"
"            1.  A cleanup.\x0a"
"\x0a"
"        If a cleanup is found\x0a"
"            transfer control to it. return _URC_INSTALL_CONTEXT\x0a"
"        Else a cleanup is not found\x3a return _URC_CONTINUE_UNWIND\x0a"
"*/\x0a"
"\x0a"
"#if \x21""defined(_LIBCXXABI_ARM_EHABI)\x0a"
"#if defined(__SEH__) \x26\x26 \x21""defined(__USING_SJLJ_EXCEPTIONS__)\x0a"
"static _Unwind_Reason_Code __gxx_personality_imp\x0a"
"#else\x0a"
"_LIBCXXABI_FUNC_VIS _Unwind_Reason_Code\x0a"
"#ifdef __USING_SJLJ_EXCEPTIONS__\x0a"
"__gxx_personality_sj0\x0a"
"#else\x0a"
"__gxx_personality_v0\x0a"
"#endif\x0a"
"#endif\x0a"
"                    (int version, _Unwind_Action actions, uint64_t exceptionClass,\x0a"
"                     _Unwind_Exception* unwind_exception, _Unwind_Context* context)\x0a"
"{\x0a"
"    if (version \x21= 1 \x7c\x7c unwind_exception == 0 \x7c\x7c context == 0)\x0a"
"        return _URC_FATAL_PHASE1_ERROR;\x0a"
"\x0a"
"    bool native_exception = (exceptionClass     \x26 get_vendor_and_language) ==\x0a"
"                            (kOurExceptionClass \x26 get_vendor_and_language);\x0a"
"    scan_results results;\x0a"
"    if (actions \x26 _UA_SEARCH_PHASE)\x0a"
"    {\x0a"
"        // Phase 1 search\x3a  All we're looking for in phase 1 is a handler that\x0a"
"        //   halts unwinding\x0a"
"        scan_eh_tab(results, actions, native_exception, unwind_exception, context);\x0a"
"        if (results.reason == _URC_HANDLER_FOUND)\x0a"
"        {\x0a"
"            // Found one.  Can we cache the results somewhere to optimize phase 2\x3f\x0a"
"            if (native_exception)\x0a"
"            {\x0a"
"                __cxa_exception* exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"                exception_header->handlerSwitchValue = static_cast<int>(results.ttypeIndex);\x0a"
"                exception_header->actionRecord = results.actionRecord;\x0a"
"                exception_header->languageSpecificData = results.languageSpecificData;\x0a"
"                exception_header->catchTemp = reinterpret_cast<void*>(results.landingPad);\x0a"
"                exception_header->adjustedPtr = results.adjustedPtr;\x0a"
"            }\x0a"
"            return _URC_HANDLER_FOUND;\x0a"
"        }\x0a"
"        // Did not find a catching-handler.  Return the results of the scan\x0a"
"        //    (normally _URC_CONTINUE_UNWIND, but could have been _URC_FATAL_PHASE1_ERROR\x0a"
"        //     if we were called improperly).\x0a"
"        return results.reason;\x0a"
"    }\x0a"
"    if (actions \x26 _UA_CLEANUP_PHASE)\x0a"
"    {\x0a"
"        // Phase 2 search\x3a\x0a"
"        //  Did we find a catching handler in phase 1\x3f\x0a"
"        if (actions \x26 _UA_HANDLER_FRAME)\x0a"
"        {\x0a"
"            // Yes, phase 1 said we have a catching handler here.\x0a"
"            // Did we cache the results of the scan\x3f\x0a"
"            if (native_exception)\x0a"
"            {\x0a"
"                // Yes, reload the results from the cache.\x0a"
"                __cxa_exception* exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"                results.ttypeIndex = exception_header->handlerSwitchValue;\x0a"
"                results.actionRecord = exception_header->actionRecord;\x0a"
"                results.languageSpecificData = exception_header->languageSpecificData;\x0a"
"                results.landingPad = reinterpret_cast<uintptr_t>(exception_header->catchTemp);\x0a"
"                results.adjustedPtr = exception_header->adjustedPtr;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                // No, do the scan again to reload the results.\x0a"
"                scan_eh_tab(results, actions, native_exception, unwind_exception, context);\x0a"
"                // Phase 1 told us we would find a handler.  Now in Phase 2 we\x0a"
"                //   didn't find a handler.  The eh table should not be changing\x21\x0a"
"                if (results.reason \x21= _URC_HANDLER_FOUND)\x0a"
"                    call_terminate(native_exception, unwind_exception);\x0a"
"            }\x0a"
"            // Jump to the handler\x0a"
"            set_registers(unwind_exception, context, results);\x0a"
"            return _URC_INSTALL_CONTEXT;\x0a"
"        }\x0a"
"        // Either we didn't do a phase 1 search (due to forced unwinding), or\x0a"
"        //   phase 1 reported no catching-handlers.\x0a"
"        // Search for a (non-catching) cleanup\x0a"
"        scan_eh_tab(results, actions, native_exception, unwind_exception, context);\x0a"
"        if (results.reason == _URC_HANDLER_FOUND)\x0a"
"        {\x0a"
"            // Found a non-catching handler.  Jump to it\x3a\x0a"
"            set_registers(unwind_exception, context, results);\x0a"
"            return _URC_INSTALL_CONTEXT;\x0a"
"        }\x0a"
"        // Did not find a cleanup.  Return the results of the scan\x0a"
"        //    (normally _URC_CONTINUE_UNWIND, but could have been _URC_FATAL_PHASE2_ERROR\x0a"
"        //     if we were called improperly).\x0a"
"        return results.reason;\x0a"
"    }\x0a"
"    // We were called improperly\x3a neither a phase 1 or phase 2 search\x0a"
"    return _URC_FATAL_PHASE1_ERROR;\x0a"
"}\x0a"
"\x0a"
"#if defined(__SEH__) \x26\x26 \x21""defined(__USING_SJLJ_EXCEPTIONS__)\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS EXCEPTION_DISPOSITION\x0a"
"__gxx_personality_seh0(PEXCEPTION_RECORD ms_exc, void *this_frame,\x0a"
"                       PCONTEXT ms_orig_context, PDISPATCHER_CONTEXT ms_disp)\x0a"
"{\x0a"
"  return _GCC_specific_handler(ms_exc, this_frame, ms_orig_context, ms_disp,\x0a"
"                               __gxx_personality_imp);\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#else\x0a"
"\x0a"
"extern \x22""C\x22 _Unwind_Reason_Code __gnu_unwind_frame(_Unwind_Exception*,\x0a"
"                                                  _Unwind_Context*);\x0a"
"\x0a"
"// Helper function to unwind one frame.\x0a"
"// ARM EHABI 7.3 and 7.4\x3a If the personality function returns _URC_CONTINUE_UNWIND, the\x0a"
"// personality routine should update the virtual register set (VRS) according to the\x0a"
"// corresponding frame unwinding instructions (ARM EHABI 9.3.)\x0a"
"static _Unwind_Reason_Code continue_unwind(_Unwind_Exception* unwind_exception,\x0a"
"                                           _Unwind_Context* context)\x0a"
"{\x0a"
"    if (__gnu_unwind_frame(unwind_exception, context) \x21= _URC_OK)\x0a"
"        return _URC_FAILURE;\x0a"
"    return _URC_CONTINUE_UNWIND;\x0a"
"}\x0a"
"\x0a"
"// ARM register names\x0a"
"#if \x21""defined(LIBCXXABI_USE_LLVM_UNWINDER)\x0a"
"static const uint32_t REG_UCB = 12;  // Register to save _Unwind_Control_Block\x0a"
"#endif\x0a"
"static const uint32_t REG_SP = 13;\x0a"
"\x0a"
"static void save_results_to_barrier_cache(_Unwind_Exception* unwind_exception,\x0a"
"                                          const scan_results\x26 results)\x0a"
"{\x0a"
"    unwind_exception->barrier_cache.bitpattern\x5b""0\x5d = (uint32_t)results.adjustedPtr;\x0a"
"    unwind_exception->barrier_cache.bitpattern\x5b""1\x5d = (uint32_t)results.actionRecord;\x0a"
"    unwind_exception->barrier_cache.bitpattern\x5b""2\x5d = (uint32_t)results.languageSpecificData;\x0a"
"    unwind_exception->barrier_cache.bitpattern\x5b""3\x5d = (uint32_t)results.landingPad;\x0a"
"    unwind_exception->barrier_cache.bitpattern\x5b""4\x5d = (uint32_t)results.ttypeIndex;\x0a"
"}\x0a"
"\x0a"
"static void load_results_from_barrier_cache(scan_results\x26 results,\x0a"
"                                            const _Unwind_Exception* unwind_exception)\x0a"
"{\x0a"
"    results.adjustedPtr = (void*)unwind_exception->barrier_cache.bitpattern\x5b""0\x5d;\x0a"
"    results.actionRecord = (const uint8_t*)unwind_exception->barrier_cache.bitpattern\x5b""1\x5d;\x0a"
"    results.languageSpecificData = (const uint8_t*)unwind_exception->barrier_cache.bitpattern\x5b""2\x5d;\x0a"
"    results.landingPad = (uintptr_t)unwind_exception->barrier_cache.bitpattern\x5b""3\x5d;\x0a"
"    results.ttypeIndex = (int64_t)(int32_t)unwind_exception->barrier_cache.bitpattern\x5b""4\x5d;\x0a"
"}\x0a"
"\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS _Unwind_Reason_Code\x0a"
"__gxx_personality_v0(_Unwind_State state,\x0a"
"                     _Unwind_Exception* unwind_exception,\x0a"
"                     _Unwind_Context* context)\x0a"
"{\x0a"
"    if (unwind_exception == 0 \x7c\x7c context == 0)\x0a"
"        return _URC_FATAL_PHASE1_ERROR;\x0a"
"\x0a"
"    bool native_exception = __isOurExceptionClass(unwind_exception);\x0a"
"\x0a"
"#if \x21""defined(LIBCXXABI_USE_LLVM_UNWINDER)\x0a"
"    // Copy the address of _Unwind_Control_Block to r12 so that\x0a"
"    // _Unwind_GetLanguageSpecificData() and _Unwind_GetRegionStart() can\x0a"
"    // return correct address.\x0a"
"    _Unwind_SetGR(context, REG_UCB, reinterpret_cast<uint32_t>(unwind_exception));\x0a"
"#endif\x0a"
"\x0a"
"    // Check the undocumented force unwinding behavior\x0a"
"    bool is_force_unwinding = state \x26 _US_FORCE_UNWIND;\x0a"
"    state \x26= \x7e_US_FORCE_UNWIND;\x0a"
"\x0a"
"    scan_results results;\x0a"
"    switch (state) {\x0a"
"    case _US_VIRTUAL_UNWIND_FRAME\x3a\x0a"
"        if (is_force_unwinding)\x0a"
"            return continue_unwind(unwind_exception, context);\x0a"
"\x0a"
"        // Phase 1 search\x3a  All we're looking for in phase 1 is a handler that halts unwinding\x0a"
"        scan_eh_tab(results, _UA_SEARCH_PHASE, native_exception, unwind_exception, context);\x0a"
"        if (results.reason == _URC_HANDLER_FOUND)\x0a"
"        {\x0a"
"            unwind_exception->barrier_cache.sp = _Unwind_GetGR(context, REG_SP);\x0a"
"            if (native_exception)\x0a"
"                save_results_to_barrier_cache(unwind_exception, results);\x0a"
"            return _URC_HANDLER_FOUND;\x0a"
"        }\x0a"
"        // Did not find the catch handler\x0a"
"        if (results.reason == _URC_CONTINUE_UNWIND)\x0a"
"            return continue_unwind(unwind_exception, context);\x0a"
"        return results.reason;\x0a"
"\x0a"
"    case _US_UNWIND_FRAME_STARTING\x3a\x0a"
"        // TODO\x3a Support force unwinding in the phase 2 search.\x0a"
"        // NOTE\x3a In order to call the cleanup functions, _Unwind_ForcedUnwind()\x0a"
"        // will call this personality function with (_US_FORCE_UNWIND \x7c\x0a"
"        // _US_UNWIND_FRAME_STARTING).\x0a"
"\x0a"
"        // Phase 2 search\x0a"
"        if (unwind_exception->barrier_cache.sp == _Unwind_GetGR(context, REG_SP))\x0a"
"        {\x0a"
"            // Found a catching handler in phase 1\x0a"
"            if (native_exception)\x0a"
"            {\x0a"
"                // Load the result from the native exception barrier cache.\x0a"
"                load_results_from_barrier_cache(results, unwind_exception);\x0a"
"                results.reason = _URC_HANDLER_FOUND;\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                // Search for the catching handler again for the foreign exception.\x0a"
"                scan_eh_tab(results, static_cast<_Unwind_Action>(_UA_CLEANUP_PHASE \x7c _UA_HANDLER_FRAME),\x0a"
"                            native_exception, unwind_exception, context);\x0a"
"                if (results.reason \x21= _URC_HANDLER_FOUND)  // phase1 search should guarantee to find one\x0a"
"                    call_terminate(native_exception, unwind_exception);\x0a"
"            }\x0a"
"\x0a"
"            // Install the context for the catching handler\x0a"
"            set_registers(unwind_exception, context, results);\x0a"
"            return _URC_INSTALL_CONTEXT;\x0a"
"        }\x0a"
"\x0a"
"        // Either we didn't do a phase 1 search (due to forced unwinding), or\x0a"
"        //  phase 1 reported no catching-handlers.\x0a"
"        // Search for a (non-catching) cleanup\x0a"
"        scan_eh_tab(results, _UA_CLEANUP_PHASE, native_exception, unwind_exception, context);\x0a"
"        if (results.reason == _URC_HANDLER_FOUND)\x0a"
"        {\x0a"
"            // Found a non-catching handler\x0a"
"\x0a"
"            // ARM EHABI 8.4.2\x3a Before we can jump to the cleanup handler, we have to setup some\x0a"
"            // internal data structures, so that __cxa_end_cleanup() can get unwind_exception from\x0a"
"            // __cxa_get_globals().\x0a"
"            __cxa_begin_cleanup(unwind_exception);\x0a"
"\x0a"
"            // Install the context for the cleanup handler\x0a"
"            set_registers(unwind_exception, context, results);\x0a"
"            return _URC_INSTALL_CONTEXT;\x0a"
"        }\x0a"
"\x0a"
"        // Did not find any handler\x0a"
"        if (results.reason == _URC_CONTINUE_UNWIND)\x0a"
"            return continue_unwind(unwind_exception, context);\x0a"
"        return results.reason;\x0a"
"\x0a"
"    case _US_UNWIND_FRAME_RESUME\x3a\x0a"
"        return continue_unwind(unwind_exception, context);\x0a"
"    }\x0a"
"\x0a"
"    // We were called improperly\x3a neither a phase 1 or phase 2 search\x0a"
"    return _URC_FATAL_PHASE1_ERROR;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"__attribute__((noreturn))\x0a"
"_LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_call_unexpected(void* arg)\x0a"
"{\x0a"
"    _Unwind_Exception* unwind_exception = static_cast<_Unwind_Exception*>(arg);\x0a"
"    if (unwind_exception == 0)\x0a"
"        call_terminate(false, unwind_exception);\x0a"
"    __cxa_begin_catch(unwind_exception);\x0a"
"    bool native_old_exception = __isOurExceptionClass(unwind_exception);\x0a"
"    std\x3a\x3aunexpected_handler u_handler;\x0a"
"    std\x3a\x3aterminate_handler t_handler;\x0a"
"    __cxa_exception* old_exception_header = 0;\x0a"
"    int64_t ttypeIndex;\x0a"
"    const uint8_t* lsda;\x0a"
"    if (native_old_exception)\x0a"
"    {\x0a"
"        old_exception_header = (__cxa_exception*)(unwind_exception+1) - 1;\x0a"
"        t_handler = old_exception_header->terminateHandler;\x0a"
"        u_handler = old_exception_header->unexpectedHandler;\x0a"
"        // If std\x3a\x3a__unexpected(u_handler) rethrows the same exception,\x0a"
"        //   these values get overwritten by the rethrow.  So save them now\x3a\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"        ttypeIndex = (int64_t)(int32_t)unwind_exception->barrier_cache.bitpattern\x5b""4\x5d;\x0a"
"        lsda = (const uint8_t*)unwind_exception->barrier_cache.bitpattern\x5b""2\x5d;\x0a"
"#else\x0a"
"        ttypeIndex = old_exception_header->handlerSwitchValue;\x0a"
"        lsda = old_exception_header->languageSpecificData;\x0a"
"#endif\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        t_handler = std\x3a\x3aget_terminate();\x0a"
"        u_handler = std\x3a\x3aget_unexpected();\x0a"
"    }\x0a"
"    try\x0a"
"    {\x0a"
"        std\x3a\x3a__unexpected(u_handler);\x0a"
"    }\x0a"
"    catch (...)\x0a"
"    {\x0a"
"        // If the old exception is foreign, then all we can do is terminate.\x0a"
"        //   We have no way to recover the needed old exception spec.  There's\x0a"
"        //   no way to pass that information here.  And the personality routine\x0a"
"        //   can't call us directly and do anything but terminate() if we throw\x0a"
"        //   from here.\x0a"
"        if (native_old_exception)\x0a"
"        {\x0a"
"            // Have\x3a\x0a"
"            //   old_exception_header->languageSpecificData\x0a"
"            //   old_exception_header->actionRecord\x0a"
"            // Need\x0a"
"            //   const uint8_t* classInfo\x0a"
"            //   uint8_t ttypeEncoding\x0a"
"            uint8_t lpStartEncoding = *lsda++;\x0a"
"            const uint8_t* lpStart = (const uint8_t*)readEncodedPointer(\x26lsda, lpStartEncoding);\x0a"
"            (void)lpStart;  // purposefully unused.  Just needed to increment lsda.\x0a"
"            uint8_t ttypeEncoding = *lsda++;\x0a"
"            if (ttypeEncoding == DW_EH_PE_omit)\x0a"
"                std\x3a\x3a__terminate(t_handler);\x0a"
"            uintptr_t classInfoOffset = readULEB128(\x26lsda);\x0a"
"            const uint8_t* classInfo = lsda + classInfoOffset;\x0a"
"            // Is this new exception catchable by the exception spec at ttypeIndex\x3f\x0a"
"            // The answer is obviously yes if the new and old exceptions are the same exception\x0a"
"            // If no\x0a"
"            //    throw;\x0a"
"            __cxa_eh_globals* globals = __cxa_get_globals_fast();\x0a"
"            __cxa_exception* new_exception_header = globals->caughtExceptions;\x0a"
"            if (new_exception_header == 0)\x0a"
"                // This shouldn't be able to happen\x21\x0a"
"                std\x3a\x3a__terminate(t_handler);\x0a"
"            bool native_new_exception = __isOurExceptionClass(\x26new_exception_header->unwindHeader);\x0a"
"            void* adjustedPtr;\x0a"
"            if (native_new_exception \x26\x26 (new_exception_header \x21= old_exception_header))\x0a"
"            {\x0a"
"                const __shim_type_info* excpType =\x0a"
"                    static_cast<const __shim_type_info*>(new_exception_header->exceptionType);\x0a"
"                adjustedPtr =\x0a"
"                    __getExceptionClass(\x26new_exception_header->unwindHeader) == kOurDependentExceptionClass \x3f\x0a"
"                        ((__cxa_dependent_exception*)new_exception_header)->primaryException \x3a\x0a"
"                        new_exception_header + 1;\x0a"
"                if (\x21""exception_spec_can_catch(ttypeIndex, classInfo, ttypeEncoding,\x0a"
"                                              excpType, adjustedPtr, unwind_exception))\x0a"
"                {\x0a"
"                    // We need to __cxa_end_catch, but for the old exception,\x0a"
"                    //   not the new one.  This is a little tricky ...\x0a"
"                    // Disguise new_exception_header as a rethrown exception, but\x0a"
"                    //   don't actually rethrow it.  This means you can temporarily\x0a"
"                    //   end the catch clause enclosing new_exception_header without\x0a"
"                    //   __cxa_end_catch destroying new_exception_header.\x0a"
"                    new_exception_header->handlerCount = -new_exception_header->handlerCount;\x0a"
"                    globals->uncaughtExceptions += 1;\x0a"
"                    // Call __cxa_end_catch for new_exception_header\x0a"
"                    __cxa_end_catch();\x0a"
"                    // Call __cxa_end_catch for old_exception_header\x0a"
"                    __cxa_end_catch();\x0a"
"                    // Renter this catch clause with new_exception_header\x0a"
"                    __cxa_begin_catch(\x26new_exception_header->unwindHeader);\x0a"
"                    // Rethrow new_exception_header\x0a"
"                    throw;\x0a"
"                }\x0a"
"            }\x0a"
"            // Will a std\x3a\x3a""bad_exception be catchable by the exception spec at\x0a"
"            //   ttypeIndex\x3f\x0a"
"            // If no\x0a"
"            //    throw std\x3a\x3a""bad_exception();\x0a"
"            const __shim_type_info* excpType =\x0a"
"                static_cast<const __shim_type_info*>(\x26typeid(std\x3a\x3a""bad_exception));\x0a"
"            std\x3a\x3a""bad_exception be;\x0a"
"            adjustedPtr = \x26""be;\x0a"
"            if (\x21""exception_spec_can_catch(ttypeIndex, classInfo, ttypeEncoding,\x0a"
"                                          excpType, adjustedPtr, unwind_exception))\x0a"
"            {\x0a"
"                // We need to __cxa_end_catch for both the old exception and the\x0a"
"                //   new exception.  Technically we should do it in that order.\x0a"
"                //   But it is expedient to do it in the opposite order\x3a\x0a"
"                // Call __cxa_end_catch for new_exception_header\x0a"
"                __cxa_end_catch();\x0a"
"                // Throw std\x3a\x3a""bad_exception will __cxa_end_catch for\x0a"
"                //   old_exception_header\x0a"
"                throw be;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    std\x3a\x3a__terminate(t_handler);\x0a"
"}\x0a"
"\x0a"
"}  // extern \x22""C\x22\x0a"
"\x0a"
"}  // __cxxabiv1\x0a"
"", 57818 ); }