#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_private_typeinfo_h( 
"//===------------------------ private_typeinfo.h --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef __PRIVATE_TYPEINFO_H_\x0a"
"#define __PRIVATE_TYPEINFO_H_\x0a"
"\x0a"
"#include \x22__cxxabi_config.h\x22\x0a"
"\x0a"
"#include <typeinfo>\x0a"
"#include <cstddef>\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __shim_type_info \x3a public std\x3a\x3atype_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__shim_type_info();\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual void noop1() const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void noop2() const;\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *thrown_type,\x0a"
"                                           void *\x26""adjustedPtr) const = 0;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __fundamental_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__fundamental_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __array_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__array_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __function_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__function_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __enum_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__enum_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"};\x0a"
"\x0a"
"enum\x0a"
"{\x0a"
"    unknown = 0,\x0a"
"    public_path,\x0a"
"    not_public_path,\x0a"
"    yes,\x0a"
"    no\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __class_type_info;\x0a"
"\x0a"
"struct _LIBCXXABI_HIDDEN __dynamic_cast_info\x0a"
"{\x0a"
"// const data supplied to the search\x3a\x0a"
"\x0a"
"    const __class_type_info* dst_type;\x0a"
"    const void* static_ptr;\x0a"
"    const __class_type_info* static_type;\x0a"
"    std\x3a\x3aptrdiff_t src2dst_offset;\x0a"
"\x0a"
"// Data that represents the answer\x3a\x0a"
"\x0a"
"    // pointer to a dst_type which has (static_ptr, static_type) above it\x0a"
"    const void* dst_ptr_leading_to_static_ptr;\x0a"
"    // pointer to a dst_type which does not have (static_ptr, static_type) above it\x0a"
"    const void* dst_ptr_not_leading_to_static_ptr;\x0a"
"\x0a"
"    // The following three paths are either unknown, public_path or not_public_path.\x0a"
"    // access of path from dst_ptr_leading_to_static_ptr to (static_ptr, static_type)\x0a"
"    int path_dst_ptr_to_static_ptr;\x0a"
"    // access of path from (dynamic_ptr, dynamic_type) to (static_ptr, static_type)\x0a"
"    //    when there is no dst_type along the path\x0a"
"    int path_dynamic_ptr_to_static_ptr;\x0a"
"    // access of path from (dynamic_ptr, dynamic_type) to dst_type\x0a"
"    //    (not used if there is a (static_ptr, static_type) above a dst_type).\x0a"
"    int path_dynamic_ptr_to_dst_ptr;\x0a"
"\x0a"
"    // Number of dst_types below (static_ptr, static_type)\x0a"
"    int number_to_static_ptr;\x0a"
"    // Number of dst_types not below (static_ptr, static_type)\x0a"
"    int number_to_dst_ptr;\x0a"
"\x0a"
"// Data that helps stop the search before the entire tree is searched\x3a\x0a"
"\x0a"
"    // is_dst_type_derived_from_static_type is either unknown, yes or no.\x0a"
"    int is_dst_type_derived_from_static_type;\x0a"
"    // Number of dst_type in tree.  If 0, then that means unknown.\x0a"
"    int number_of_dst_type;\x0a"
"    // communicates to a dst_type node that (static_ptr, static_type) was found\x0a"
"    //    above it.\x0a"
"    bool found_our_static_ptr;\x0a"
"    // communicates to a dst_type node that a static_type was found\x0a"
"    //    above it, but it wasn't (static_ptr, static_type)\x0a"
"    bool found_any_static_type;\x0a"
"    // Set whenever a search can be stopped\x0a"
"    bool search_done;\x0a"
"};\x0a"
"\x0a"
"// Has no base class\x0a"
"class _LIBCXXABI_TYPE_VIS __class_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__class_type_info();\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN void process_static_type_above_dst(__dynamic_cast_info *,\x0a"
"                                                       const void *,\x0a"
"                                                       const void *, int) const;\x0a"
"  _LIBCXXABI_HIDDEN void process_static_type_below_dst(__dynamic_cast_info *,\x0a"
"                                                       const void *, int) const;\x0a"
"  _LIBCXXABI_HIDDEN void process_found_base_class(__dynamic_cast_info *, void *,\x0a"
"                                                  int) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void search_above_dst(__dynamic_cast_info *,\x0a"
"                                                  const void *, const void *,\x0a"
"                                                  int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  search_below_dst(__dynamic_cast_info *, const void *, int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  has_unambiguous_public_base(__dynamic_cast_info *, void *, int) const;\x0a"
"};\x0a"
"\x0a"
"// Has one non-virtual public base class at offset zero\x0a"
"class _LIBCXXABI_TYPE_VIS __si_class_type_info \x3a public __class_type_info {\x0a"
"public\x3a\x0a"
"  const __class_type_info *__base_type;\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__si_class_type_info();\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual void search_above_dst(__dynamic_cast_info *,\x0a"
"                                                  const void *, const void *,\x0a"
"                                                  int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  search_below_dst(__dynamic_cast_info *, const void *, int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  has_unambiguous_public_base(__dynamic_cast_info *, void *, int) const;\x0a"
"};\x0a"
"\x0a"
"struct _LIBCXXABI_HIDDEN __base_class_type_info\x0a"
"{\x0a"
"public\x3a\x0a"
"    const __class_type_info* __base_type;\x0a"
"    long __offset_flags;\x0a"
"\x0a"
"    enum __offset_flags_masks\x0a"
"    {\x0a"
"        __virtual_mask = 0x1,\x0a"
"        __public_mask  = 0x2, // base is public\x0a"
"        __offset_shift = 8\x0a"
"    };\x0a"
"\x0a"
"    void search_above_dst(__dynamic_cast_info*, const void*, const void*, int, bool) const;\x0a"
"    void search_below_dst(__dynamic_cast_info*, const void*, int, bool) const;\x0a"
"    void has_unambiguous_public_base(__dynamic_cast_info*, void*, int) const;\x0a"
"};\x0a"
"\x0a"
"// Has one or more base classes\x0a"
"class _LIBCXXABI_TYPE_VIS __vmi_class_type_info \x3a public __class_type_info {\x0a"
"public\x3a\x0a"
"  unsigned int __flags;\x0a"
"  unsigned int __base_count;\x0a"
"  __base_class_type_info __base_info\x5b""1\x5d;\x0a"
"\x0a"
"  enum __flags_masks {\x0a"
"    __non_diamond_repeat_mask = 0x1, // has two or more distinct base class\x0a"
"                                     //    objects of the same type\x0a"
"    __diamond_shaped_mask = 0x2      // has base class object with two or\x0a"
"                                     //    more derived objects\x0a"
"  };\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__vmi_class_type_info();\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual void search_above_dst(__dynamic_cast_info *,\x0a"
"                                                  const void *, const void *,\x0a"
"                                                  int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  search_below_dst(__dynamic_cast_info *, const void *, int, bool) const;\x0a"
"  _LIBCXXABI_HIDDEN virtual void\x0a"
"  has_unambiguous_public_base(__dynamic_cast_info *, void *, int) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __pbase_type_info \x3a public __shim_type_info {\x0a"
"public\x3a\x0a"
"  unsigned int __flags;\x0a"
"  const __shim_type_info *__pointee;\x0a"
"\x0a"
"  enum __masks {\x0a"
"    __const_mask = 0x1,\x0a"
"    __volatile_mask = 0x2,\x0a"
"    __restrict_mask = 0x4,\x0a"
"    __incomplete_mask = 0x8,\x0a"
"    __incomplete_class_mask = 0x10,\x0a"
"    __transaction_safe_mask = 0x20,\x0a"
"    // This implements the following proposal from cxx-abi-dev (not yet part of\x0a"
"    // the ABI document)\x3a\x0a"
"    //\x0a"
"    //   http\x3a//sourcerytools.com/pipermail/cxx-abi-dev/2016-October/002986.html\x0a"
"    //\x0a"
"    // This is necessary for support of http\x3a//wg21.link/p0012, which permits\x0a"
"    // throwing noexcept function and member function pointers and catching\x0a"
"    // them as non-noexcept pointers.\x0a"
"    __noexcept_mask = 0x40,\x0a"
"\x0a"
"    // Flags that cannot be removed by a standard conversion.\x0a"
"    __no_remove_flags_mask = __const_mask \x7c __volatile_mask \x7c __restrict_mask,\x0a"
"    // Flags that cannot be added by a standard conversion.\x0a"
"    __no_add_flags_mask = __transaction_safe_mask \x7c __noexcept_mask\x0a"
"  };\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__pbase_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __pointer_type_info \x3a public __pbase_type_info {\x0a"
"public\x3a\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__pointer_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"  _LIBCXXABI_HIDDEN bool can_catch_nested(const __shim_type_info *) const;\x0a"
"};\x0a"
"\x0a"
"class _LIBCXXABI_TYPE_VIS __pointer_to_member_type_info\x0a"
"    \x3a public __pbase_type_info {\x0a"
"public\x3a\x0a"
"  const __class_type_info *__context;\x0a"
"\x0a"
"  _LIBCXXABI_HIDDEN virtual \x7e__pointer_to_member_type_info();\x0a"
"  _LIBCXXABI_HIDDEN virtual bool can_catch(const __shim_type_info *,\x0a"
"                                           void *\x26) const;\x0a"
"  _LIBCXXABI_HIDDEN bool can_catch_nested(const __shim_type_info *) const;\x0a"
"};\x0a"
"\x0a"
"}  // __cxxabiv1\x0a"
"\x0a"
"#endif  // __PRIVATE_TYPEINFO_H_\x0a"
"", 9478 ); }