#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_acoshf_c( 
"/* e_acoshf.c -- float version of e_acosh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float \x0a"
"one\x09= 1.0,\x0a"
"ln2\x09= 6.9314718246e-01;  /* 0x3f317218 */\x0a"
"\x0a"
"float\x0a"
"acoshf(float x)\x0a"
"{\x09\x0a"
"\x09""float t;\x0a"
"\x09int32_t hx;\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09if(hx<0x3f800000) {\x09\x09/* x < 1 */\x0a"
"\x09    return (x-x)/(x-x);\x0a"
"\x09} else if(hx >=0x4d800000) {\x09/* x > 2**28 */\x0a"
"\x09    if(hx >=0x7f800000) {\x09/* x is inf of NaN */\x0a"
"\x09        return x+x;\x0a"
"\x09    } else \x0a"
"\x09\x09return logf(x)+ln2;\x09/* acosh(huge)=log(2x) */\x0a"
"\x09} else if (hx==0x3f800000) {\x0a"
"\x09    return 0.0;\x09\x09\x09/* acosh(1) = 0 */\x0a"
"\x09} else if (hx > 0x40000000) {\x09/* 2**28 > x > 2 */\x0a"
"\x09    t=x*x;\x0a"
"\x09    return logf((float)2.0*x-one/(x+sqrtf(t-one)));\x0a"
"\x09} else {\x09\x09\x09/* 1<x<2 */\x0a"
"\x09    t = x-one;\x0a"
"\x09    return log1pf(t+sqrtf((float)2.0*t+t*t));\x0a"
"\x09}\x0a"
"}\x0a"
"", 1210 ); }