#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_asinl_c( 
"/*\x09\x24OpenBSD\x3a e_asinl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/* \x40(#)e_asin.c 1.3 95/01/18 */\x0a"
"/* FreeBSD\x3a head/lib/msun/src/e_asin.c 176451 2008-02-22 02\x3a""30\x3a""36Z das */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunSoft, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * See comments in e_asin.c.\x0a"
" * Converted to long double by David Schultz <das\x40""FreeBSD.ORG>.\x0a"
" * Adapted for OpenBSD by Martynas Venckus <martynas\x40openbsd.org>.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22invtrig.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef EXT_IMPLICIT_NBIT\x0a"
"#define\x09LDBL_NBIT\x09""0\x0a"
"#else /* EXT_IMPLICIT_NBIT */\x0a"
"#define\x09LDBL_NBIT\x09""0x80000000\x0a"
"#endif /* EXT_IMPLICIT_NBIT */\x0a"
"\x0a"
"static const long double\x0a"
"one =  1.00000000000000000000e+00,\x0a"
"huge = 1.000e+300;\x0a"
"\x0a"
"long double\x0a"
"asinl(long double x)\x0a"
"{\x0a"
"\x09union {\x0a"
"\x09\x09long double e;\x0a"
"\x09\x09struct ieee_ext bits;\x0a"
"\x09} u;\x0a"
"\x09long double t=0.0,w,p,q,c,r,s;\x0a"
"\x09int16_t expsign, expt;\x0a"
"\x09u.e = x;\x0a"
"\x09""expsign = (u.bits.ext_sign << 15) \x7c u.bits.ext_exp;\x0a"
"\x09""expt = expsign \x26 0x7fff;\x0a"
"\x09if(expt >= BIAS) {\x09\x09/* \x7cx\x7c>= 1 */\x0a"
"\x09\x09if(expt==BIAS \x26\x26 ((u.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x7c u.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x09\x7c u.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x09\x7c u.bits.ext_fracl)==0)\x0a"
"\x09\x09    /* asin(1)=+-pi/2 with inexact */\x0a"
"\x09\x09    return x*pio2_hi+x*pio2_lo;\x09\x0a"
"\x09    return (x-x)/(x-x);\x09\x09/* asin(\x7cx\x7c>1) is NaN */   \x0a"
"\x09} else if (expt<BIAS-1) {\x09/* \x7cx\x7c<0.5 */\x0a"
"\x09    if(expt<ASIN_LINEAR) {\x09/* if \x7cx\x7c is small, asinl(x)=x */\x0a"
"\x09\x09if(huge+x>one) return x;/* return x with inexact if x\x21=0*/\x0a"
"\x09    }\x0a"
"\x09    t = x*x;\x0a"
"\x09    p = P(t);\x0a"
"\x09    q = Q(t);\x0a"
"\x09    w = p/q;\x0a"
"\x09    return x+x*w;\x0a"
"\x09}\x0a"
"\x09/* 1> \x7cx\x7c>= 0.5 */\x0a"
"\x09w = one-fabsl(x);\x0a"
"\x09t = w*0.5;\x0a"
"\x09p = P(t);\x0a"
"\x09q = Q(t);\x0a"
"\x09s = sqrtl(t);\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09if((((uint64_t)u.bits.ext_frach << EXT_FRACHMBITS)\x0a"
"\x09\x09\x7c u.bits.ext_frachm) >= THRESH) {\x0a"
"\x09\x09\x09\x09\x09\x09/* if \x7cx\x7c is close to 1 */\x0a"
"#else /* EXT_FRACHMBITS */\x0a"
"\x09if(u.bits.ext_frach>=THRESH) {\x09\x09/* if \x7cx\x7c is close to 1 */\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09    w = p/q;\x0a"
"\x09    t = pio2_hi-(2.0*(s+s*w)-pio2_lo);\x0a"
"\x09} else {\x0a"
"\x09    u.e = s;\x0a"
"\x09    u.bits.ext_fracl = 0;\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09    u.bits.ext_fraclm = 0;\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09    w = u.e;\x0a"
"\x09    c  = (t-w*w)/(s+w);\x0a"
"\x09    r  = p/q;\x0a"
"\x09    p  = 2.0*s*r-(pio2_lo-2.0*c);\x0a"
"\x09    q  = pio4_hi-2.0*w;\x0a"
"\x09    t  = pio4_hi-(p-q);\x0a"
"\x09}    \x0a"
"\x09if(expsign>0) return t; else return -t;    \x0a"
"}\x0a"
"", 2622 ); }