#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_atan2l_c( 
"/*\x09\x24OpenBSD\x3a e_atan2l.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/* \x40(#)e_atan2.c 1.3 95/01/18 */\x0a"
"/* FreeBSD\x3a head/lib/msun/src/e_atan2.c 176451 2008-02-22 02\x3a""30\x3a""36Z das */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunSoft, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" *\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * See comments in e_atan2.c.\x0a"
" * Converted to long double by David Schultz <das\x40""FreeBSD.ORG>.\x0a"
" * Adapted for OpenBSD by Martynas Venckus <martynas\x40openbsd.org>.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22invtrig.h\x22\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef EXT_IMPLICIT_NBIT\x0a"
"#define\x09LDBL_NBIT\x09""0\x0a"
"#else /* EXT_IMPLICIT_NBIT */\x0a"
"#define\x09LDBL_NBIT\x09""0x80000000\x0a"
"#endif /* EXT_IMPLICIT_NBIT */\x0a"
"\x0a"
"static volatile long double\x0a"
"tiny  = 1.0e-300;\x0a"
"static const long double\x0a"
"zero  = 0.0;\x0a"
"\x0a"
"#if defined(__amd64__) \x7c\x7c defined(__i386__)\x0a"
"/* XXX Work around the fact that gcc truncates long double constants on i386 */\x0a"
"static volatile double\x0a"
"pi1 =  3.14159265358979311600e+00,\x09/*  0x1.921fb54442d18p+1  */\x0a"
"pi2 =  1.22514845490862001043e-16;\x09/*  0x1.1a80000000000p-53 */\x0a"
"#define\x09pi\x09((long double)pi1 + pi2)\x0a"
"#else\x0a"
"static const long double\x0a"
"pi =  3.14159265358979323846264338327950280e+00L;\x0a"
"#endif\x0a"
"\x0a"
"long double\x0a"
"atan2l(long double y, long double x)\x0a"
"{\x0a"
"\x09union {\x0a"
"\x09\x09long double e;\x0a"
"\x09\x09struct ieee_ext bits;\x0a"
"\x09} ux, uy;\x0a"
"\x09long double z;\x0a"
"\x09int32_t k,m;\x0a"
"\x09int16_t exptx, expsignx, expty, expsigny;\x0a"
"\x0a"
"\x09uy.e = y;\x0a"
"\x09""expsigny = (uy.bits.ext_sign << 15) \x7c uy.bits.ext_exp;\x0a"
"\x09""expty = expsigny \x26 0x7fff;\x0a"
"\x09ux.e = x;\x0a"
"\x09""expsignx = (ux.bits.ext_sign << 15) \x7c ux.bits.ext_exp;\x0a"
"\x09""exptx = expsignx \x26 0x7fff;\x0a"
"\x0a"
"\x09if ((exptx==BIAS+LDBL_MAX_EXP \x26\x26\x0a"
"\x09     ((ux.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c ux.bits.ext_fracl)\x21=0) \x7c\x7c\x09/* x is NaN */\x0a"
"\x09    (expty==BIAS+LDBL_MAX_EXP \x26\x26\x0a"
"\x09     ((uy.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c uy.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c uy.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c uy.bits.ext_fracl)\x21=0))\x09/* y is NaN */\x0a"
"\x09    return x+y;\x0a"
"\x09if (expsignx==BIAS \x26\x26 ((ux.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c ux.bits.ext_fracl)==0)\x0a"
"\x09    return atanl(y);\x09\x09\x09\x09\x09/* x=1.0 */\x0a"
"\x09m = ((expsigny>>15)\x26""1)\x7c((expsignx>>14)\x26""2);\x09/* 2*sign(x)+sign(y) */\x0a"
"\x0a"
"    /* when y = 0 */\x0a"
"\x09if(expty==0 \x26\x26 ((uy.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c uy.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c uy.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c uy.bits.ext_fracl)==0) {\x0a"
"\x09    switch(m) {\x0a"
"\x09\x09""case 0\x3a \x0a"
"\x09\x09""case 1\x3a return y; \x09/* atan(+-0,+anything)=+-0 */\x0a"
"\x09\x09""case 2\x3a return  pi+tiny;/* atan(+0,-anything) = pi */\x0a"
"\x09\x09""case 3\x3a return -pi-tiny;/* atan(-0,-anything) =-pi */\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"    /* when x = 0 */\x0a"
"\x09if(exptx==0 \x26\x26 ((ux.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c ux.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c ux.bits.ext_fracl)==0)\x0a"
"\x09    return (expsigny<0)\x3f  -pio2_hi-tiny\x3a pio2_hi+tiny;\x0a"
"\x0a"
"    /* when x is INF */\x0a"
"\x09if(exptx==BIAS+LDBL_MAX_EXP) {\x0a"
"\x09    if(expty==BIAS+LDBL_MAX_EXP) {\x0a"
"\x09\x09switch(m) {\x0a"
"\x09\x09    case 0\x3a return  pio2_hi*0.5+tiny;/* atan(+INF,+INF) */\x0a"
"\x09\x09    case 1\x3a return -pio2_hi*0.5-tiny;/* atan(-INF,+INF) */\x0a"
"\x09\x09    case 2\x3a return  1.5*pio2_hi+tiny;/*atan(+INF,-INF)*/\x0a"
"\x09\x09    case 3\x3a return -1.5*pio2_hi-tiny;/*atan(-INF,-INF)*/\x0a"
"\x09\x09}\x0a"
"\x09    } else {\x0a"
"\x09\x09switch(m) {\x0a"
"\x09\x09    case 0\x3a return  zero  ;\x09/* atan(+...,+INF) */\x0a"
"\x09\x09    case 1\x3a return -zero  ;\x09/* atan(-...,+INF) */\x0a"
"\x09\x09    case 2\x3a return  pi+tiny  ;\x09/* atan(+...,-INF) */\x0a"
"\x09\x09    case 3\x3a return -pi-tiny  ;\x09/* atan(-...,-INF) */\x0a"
"\x09\x09}\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"    /* when y is INF */\x0a"
"\x09if(expty==BIAS+LDBL_MAX_EXP)\x0a"
"\x09    return (expsigny<0)\x3f -pio2_hi-tiny\x3a pio2_hi+tiny;\x0a"
"\x0a"
"    /* compute y/x */\x0a"
"\x09k = expty-exptx;\x0a"
"\x09if(k > LDBL_MANT_DIG+2) {\x09\x09\x09/* \x7cy/x\x7c huge */\x0a"
"\x09    z=pio2_hi+pio2_lo;\x0a"
"\x09    m\x26=1;\x0a"
"\x09}\x0a"
"\x09""else if(expsignx<0\x26\x26k<-LDBL_MANT_DIG-2) z=0.0; \x09/* \x7cy/x\x7c tiny, x<0 */\x0a"
"\x09""else z=atanl(fabsl(y/x));\x09\x09/* safe to do y/x */\x0a"
"\x09switch (m) {\x0a"
"\x09    case 0\x3a return       z  ;\x09/* atan(+,+) */\x0a"
"\x09    case 1\x3a return      -z  ;\x09/* atan(-,+) */\x0a"
"\x09    case 2\x3a return  pi-(z-pi_lo);/* atan(+,-) */\x0a"
"\x09    default\x3a /* case 3 */\x0a"
"\x09    \x09    return  (z-pi_lo)-pi;/* atan(-,-) */\x0a"
"\x09}\x0a"
"}\x0a"
"", 4650 ); }