#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_atanhf_c( 
"/* e_atanhf.c -- float version of e_atanh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float one = 1.0, huge = 1e30;\x0a"
"static const float zero = 0.0;\x0a"
"\x0a"
"float\x0a"
"atanhf(float x)\x0a"
"{\x0a"
"\x09""float t;\x0a"
"\x09int32_t hx,ix;\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09ix = hx\x26""0x7fffffff;\x0a"
"\x09if (ix>0x3f800000) \x09\x09/* \x7cx\x7c>1 */\x0a"
"\x09    return (x-x)/(x-x);\x0a"
"\x09if(ix==0x3f800000) \x0a"
"\x09    return x/zero;\x0a"
"\x09if(ix<0x31800000\x26\x26(huge+x)>zero) return x;\x09/* x<2**-28 */\x0a"
"\x09SET_FLOAT_WORD(x,ix);\x0a"
"\x09if(ix<0x3f000000) {\x09\x09/* x < 0.5 */\x0a"
"\x09    t = x+x;\x0a"
"\x09    t = (float)0.5*log1pf(t+t*x/(one-x));\x0a"
"\x09} else \x0a"
"\x09    t = (float)0.5*log1pf((x+x)/(one-x));\x0a"
"\x09if(hx>=0) return t; else return -t;\x0a"
"}\x0a"
"", 1088 ); }