#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_coshf_c( 
"/* e_coshf.c -- float version of e_cosh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const volatile float huge = 1.0e30;\x0a"
"static const float one = 1.0, half=0.5;\x0a"
"\x0a"
"float\x0a"
"coshf(float x)\x0a"
"{\x09\x0a"
"\x09""float t,w;\x0a"
"\x09int32_t ix;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x09ix \x26= 0x7fffffff;\x0a"
"\x0a"
"    /* x is INF or NaN */\x0a"
"\x09if(ix>=0x7f800000) return x*x;\x09\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5b""0,0.5*ln2\x5d, return 1+expm1(\x7cx\x7c)^2/(2*exp(\x7cx\x7c)) */\x0a"
"\x09if(ix<0x3eb17218) {\x0a"
"\x09    t = expm1f(fabsf(x));\x0a"
"\x09    w = one+t;\x0a"
"\x09    if (ix<0x24000000) return w;\x09/* cosh(tiny) = 1 */\x0a"
"\x09    return one+(t*t)/(w+w);\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5b""0.5*ln2,22\x5d, return (exp(\x7cx\x7c)+1/exp(\x7cx\x7c)/2; */\x0a"
"\x09if (ix < 0x41b00000) {\x0a"
"\x09\x09t = expf(fabsf(x));\x0a"
"\x09\x09return half*t+half/t;\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5b""22, log(maxdouble)\x5d return half*exp(\x7cx\x7c) */\x0a"
"\x09if (ix < 0x42b17180)  return half*expf(fabsf(x));\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5blog(maxdouble), overflowthresold\x5d */\x0a"
"\x09if (ix<=0x42b2d4fc) {\x0a"
"\x09    w = expf(half*fabsf(x));\x0a"
"\x09    t = half*w;\x0a"
"\x09    return t*w;\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c > overflowthresold, cosh(x) overflow */\x0a"
"\x09return huge*huge;\x0a"
"}\x0a"
"", 1467 ); }