#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_hypotf_c( 
"/* e_hypotf.c -- float version of e_hypot.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"float\x0a"
"hypotf(float x, float y)\x0a"
"{\x0a"
"\x09""float a=x,b=y,t1,t2,yy1,y2,w;\x0a"
"\x09int32_t j,k,ha,hb;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(ha,x);\x0a"
"\x09ha \x26= 0x7fffffff;\x0a"
"\x09GET_FLOAT_WORD(hb,y);\x0a"
"\x09hb \x26= 0x7fffffff;\x0a"
"\x09if(hb > ha) {a=y;b=x;j=ha; ha=hb;hb=j;} else {a=x;b=y;}\x0a"
"\x09SET_FLOAT_WORD(a,ha);\x09/* a <- \x7c""a\x7c */\x0a"
"\x09SET_FLOAT_WORD(b,hb);\x09/* b <- \x7c""b\x7c */\x0a"
"\x09if((ha-hb)>0xf000000) {return a+b;} /* x/y > 2**30 */\x0a"
"\x09k=0;\x0a"
"\x09if(ha > 0x58800000) {\x09/* a>2**50 */\x0a"
"\x09   if(ha >= 0x7f800000) {\x09/* Inf or NaN */\x0a"
"\x09       w = a+b;\x09\x09\x09/* for sNaN */\x0a"
"\x09       if(ha == 0x7f800000) w = a;\x0a"
"\x09       if(hb == 0x7f800000) w = b;\x0a"
"\x09       return w;\x0a"
"\x09   }\x0a"
"\x09   /* scale a and b by 2**-68 */\x0a"
"\x09   ha -= 0x22000000; hb -= 0x22000000;\x09k += 68;\x0a"
"\x09   SET_FLOAT_WORD(a,ha);\x0a"
"\x09   SET_FLOAT_WORD(b,hb);\x0a"
"\x09}\x0a"
"\x09if(hb < 0x26800000) {\x09/* b < 2**-50 */\x0a"
"\x09    if(hb <= 0x007fffff) {\x09/* subnormal b or 0 */\x09\x0a"
"\x09        if(hb==0) return a;\x0a"
"\x09\x09SET_FLOAT_WORD(t1,0x7e800000);\x09/* t1=2^126 */\x0a"
"\x09\x09""b *= t1;\x0a"
"\x09\x09""a *= t1;\x0a"
"\x09\x09k -= 126;\x0a"
"\x09    } else {\x09\x09/* scale a and b by 2^68 */\x0a"
"\x09        ha += 0x22000000; \x09/* a *= 2^68 */\x0a"
"\x09\x09hb += 0x22000000;\x09/* b *= 2^68 */\x0a"
"\x09\x09k -= 68;\x0a"
"\x09\x09SET_FLOAT_WORD(a,ha);\x0a"
"\x09\x09SET_FLOAT_WORD(b,hb);\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"    /* medium size a and b */\x0a"
"\x09w = a-b;\x0a"
"\x09if (w>b) {\x0a"
"\x09    SET_FLOAT_WORD(t1,ha\x26""0xfffff000);\x0a"
"\x09    t2 = a-t1;\x0a"
"\x09    w  = sqrtf(t1*t1-(b*(-b)-t2*(a+t1)));\x0a"
"\x09} else {\x0a"
"\x09    a  = a+a;\x0a"
"\x09    SET_FLOAT_WORD(yy1,hb\x26""0xfffff000);\x0a"
"\x09    y2 = b - yy1;\x0a"
"\x09    SET_FLOAT_WORD(t1,ha+0x00800000);\x0a"
"\x09    t2 = a - t1;\x0a"
"\x09    w  = sqrtf(t1*yy1-(w*(-w)-(t1*y2+t2*b)));\x0a"
"\x09}\x0a"
"\x09if(k\x21=0) {\x0a"
"\x09    SET_FLOAT_WORD(t1,0x3f800000+(k<<23));\x0a"
"\x09    return t1*w;\x0a"
"\x09} else return w;\x0a"
"}\x0a"
"", 2095 ); }