#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_log10f_c( 
"/* e_log10f.c -- float version of e_log10.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float\x0a"
"two25      =  3.3554432000e+07, /* 0x4c000000 */\x0a"
"ivln10     =  4.3429449201e-01, /* 0x3ede5bd9 */\x0a"
"log10_2hi  =  3.0102920532e-01, /* 0x3e9a2080 */\x0a"
"log10_2lo  =  7.9034151668e-07; /* 0x355427db */\x0a"
"\x0a"
"static const float zero   =  0.0;\x0a"
"\x0a"
"float\x0a"
"log10f(float x)\x0a"
"{\x0a"
"\x09""float y,z;\x0a"
"\x09int32_t i,k,hx;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x0a"
"        k=0;\x0a"
"        if (hx < 0x00800000) {                  /* x < 2**-126  */\x0a"
"            if ((hx\x26""0x7fffffff)==0)\x0a"
"                return -two25/zero;             /* log(+-0)=-inf */\x0a"
"            if (hx<0) return (x-x)/zero;        /* log(-#) = NaN */\x0a"
"            k -= 25; x *= two25; /* subnormal number, scale up x */\x0a"
"\x09    GET_FLOAT_WORD(hx,x);\x0a"
"        }\x0a"
"\x09if (hx >= 0x7f800000) return x+x;\x0a"
"\x09k += (hx>>23)-127;\x0a"
"\x09i  = ((u_int32_t)k\x26""0x80000000)>>31;\x0a"
"        hx = (hx\x26""0x007fffff)\x7c((0x7f-i)<<23);\x0a"
"        y  = (float)(k+i);\x0a"
"\x09SET_FLOAT_WORD(x,hx);\x0a"
"\x09z  = y*log10_2lo + ivln10*logf(x);\x0a"
"\x09return  z+y*log10_2hi;\x0a"
"}\x0a"
"", 1488 ); }