#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_log2f_c( 
"/* e_logf.c -- float version of e_log.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float\x0a"
"ln2 = 0.6931471805599452862268, \x0a"
"two25 =    3.355443200e+07,\x09/* 0x4c000000 */\x0a"
"Lg1 = 6.6666668653e-01,\x09/* 3F2AAAAB */\x0a"
"Lg2 = 4.0000000596e-01,\x09/* 3ECCCCCD */\x0a"
"Lg3 = 2.8571429849e-01, /* 3E924925 */\x0a"
"Lg4 = 2.2222198546e-01, /* 3E638E29 */\x0a"
"Lg5 = 1.8183572590e-01, /* 3E3A3325 */\x0a"
"Lg6 = 1.5313838422e-01, /* 3E1CD04F */\x0a"
"Lg7 = 1.4798198640e-01; /* 3E178897 */\x0a"
"\x0a"
"static const float zero   =  0.0;\x0a"
"\x0a"
"__link_always float\x0a"
"log2f(float x)\x0a"
"{\x0a"
"\x09""float hfsq,f,s,z,R,w,t1,t2,dk;\x0a"
"\x09int32_t k,ix,i,j;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x0a"
"\x09k=0;\x0a"
"\x09if (ix < 0x00800000) {\x09\x09\x09/* x < 2**-126  */\x0a"
"\x09    if ((ix\x26""0x7fffffff)==0)\x0a"
"\x09\x09return -two25/zero;\x09\x09/* log(+-0)=-inf */\x0a"
"\x09    if (ix<0) return (x-x)/zero;\x09/* log(-#) = NaN */\x0a"
"\x09    k -= 25; x *= two25; /* subnormal number, scale up x */\x0a"
"\x09    GET_FLOAT_WORD(ix,x);\x0a"
"\x09}\x0a"
"\x09if (ix >= 0x7f800000) return x+x;\x0a"
"\x09k += (ix>>23)-127;\x0a"
"\x09ix \x26= 0x007fffff;\x0a"
"\x09i = (ix+(0x95f64<<3))\x26""0x800000;\x0a"
"\x09SET_FLOAT_WORD(x,ix\x7c(i^0x3f800000));\x09/* normalize x or x/2 */\x0a"
"\x09k += (i>>23);\x0a"
"\x09""dk = (float)k;\x0a"
"\x09""f = x-(float)1.0;\x0a"
"\x09if((0x007fffff\x26(15+ix))<16) {\x09/* \x7c""f\x7c < 2**-20 */\x0a"
"\x09    if (f==zero) \x0a"
"\x09\x09    return (dk);\x0a"
"\x09    R = f*f*((float)0.5-(float)0.33333333333333333*f);\x0a"
"\x09    return (dk-(R-f)/ln2);\x0a"
"\x09}\x0a"
" \x09s = f/((float)2.0+f);\x0a"
"\x09z = s*s;\x0a"
"\x09i = ix-(0x6147a<<3);\x0a"
"\x09w = z*z;\x0a"
"\x09j = (0x6b851<<3)-ix;\x0a"
"\x09t1= w*(Lg2+w*(Lg4+w*Lg6));\x0a"
"\x09t2= z*(Lg1+w*(Lg3+w*(Lg5+w*Lg7)));\x0a"
"\x09i \x7c= j;\x0a"
"\x09R = t2+t1;\x0a"
"\x09if(i>0) {\x0a"
"\x09    hfsq=(float)0.5*f*f;\x0a"
"\x09    return (dk-(hfsq-s*(hfsq+R)-f)/ln2);\x0a"
"\x09} else\x0a"
"\x09\x09return (dk-((s*(f-R))-f)/ln2);\x0a"
"}\x0a"
"", 2025 ); }