#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_scalb_c( 
"/* \x40(#)e_scalb.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * scalb(x, fn) is provide for\x0a"
" * passing various standard test suite. One \x0a"
" * should use scalbn() instead.\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef _SCALB_INT\x0a"
"double\x0a"
"scalb(double x, int fn)\x0a"
"{\x0a"
"\x09return scalbn(x, fn);\x0a"
"}\x0a"
"\x0a"
"#else\x0a"
"\x0a"
"double\x0a"
"scalb(double x, double fn)\x0a"
"{\x0a"
"\x09if (isnan(x)\x7c\x7cisnan(fn)) return x*fn;\x0a"
"\x09if (\x21""finite(fn)) {\x0a"
"\x09    if(fn>0.0) return x*fn;\x0a"
"\x09    else       return x/(-fn);\x0a"
"\x09}\x0a"
"\x09if (rint(fn)\x21=fn) return (fn-fn)/(fn-fn);\x0a"
"\x09if ( fn > 65000.0) return scalbn(x, 65000);\x0a"
"\x09if (-fn > 65000.0) return scalbn(x,-65000);\x0a"
"\x09return scalbn(x,(int)fn);\x0a"
"}\x0a"
"#endif\x0a"
"", 988 ); }