#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_scalbf_c( 
"/* e_scalbf.c -- float version of e_scalb.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef _SCALB_INT\x0a"
"float\x0a"
"scalbf(float x, int fn)\x0a"
"{\x0a"
"\x09return scalbnf(x,fn);\x0a"
"}\x0a"
"\x0a"
"#else\x0a"
"\x0a"
"float\x0a"
"scalbf(float x, float fn)\x0a"
"{\x0a"
"\x09if (isnanf(x)\x7c\x7cisnanf(fn)) return x*fn;\x0a"
"\x09if (\x21""finitef(fn)) {\x0a"
"\x09    if(fn>(float)0.0) return x*fn;\x0a"
"\x09    else       return x/(-fn);\x0a"
"\x09}\x0a"
"\x09if (rintf(fn)\x21=fn) return (fn-fn)/(fn-fn);\x0a"
"\x09if ( fn > (float)65000.0) return scalbnf(x, 65000);\x0a"
"\x09if (-fn > (float)65000.0) return scalbnf(x,-65000);\x0a"
"\x09return scalbnf(x,(int)fn);\x0a"
"}\x0a"
"#endif\x0a"
"", 990 ); }