#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_sinhf_c( 
"/* e_sinhf.c -- float version of e_sinh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float one = 1.0, shuge = 1.0e37;\x0a"
"\x0a"
"float\x0a"
"sinhf(float x)\x0a"
"{\x09\x0a"
"\x09""float t,w,h;\x0a"
"\x09int32_t ix,jx;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(jx,x);\x0a"
"\x09ix = jx\x26""0x7fffffff;\x0a"
"\x0a"
"    /* x is INF or NaN */\x0a"
"\x09if(ix>=0x7f800000) return x+x;\x09\x0a"
"\x0a"
"\x09h = 0.5;\x0a"
"\x09if (jx<0) h = -h;\x0a"
"    /* \x7cx\x7c in \x5b""0,22\x5d, return sign(x)*0.5*(E+E/(E+1))) */\x0a"
"\x09if (ix < 0x41b00000) {\x09\x09/* \x7cx\x7c<22 */\x0a"
"\x09    if (ix<0x31800000) \x09\x09/* \x7cx\x7c<2**-28 */\x0a"
"\x09\x09if(shuge+x>one) return x;/* sinh(tiny) = tiny with inexact */\x0a"
"\x09    t = expm1f(fabsf(x));\x0a"
"\x09    if(ix<0x3f800000) return h*((float)2.0*t-t*t/(t+one));\x0a"
"\x09    return h*(t+t/(t+one));\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5b""22, log(maxdouble)\x5d return 0.5*exp(\x7cx\x7c) */\x0a"
"\x09if (ix < 0x42b17180)  return h*expf(fabsf(x));\x0a"
"\x0a"
"    /* \x7cx\x7c in \x5blog(maxdouble), overflowthresold\x5d */\x0a"
"\x09if (ix<=0x42b2d4fc) {\x0a"
"\x09    w = expf((float)0.5*fabsf(x));\x0a"
"\x09    t = h*w;\x0a"
"\x09    return t*w;\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c > overflowthresold, sinh(x) overflow */\x0a"
"\x09return x*shuge;\x0a"
"}\x0a"
"", 1432 ); }