#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_frexp_c( 
"/*\x09\x24OpenBSD\x3a frexp.c,v 1.10 2013/07/03 04\x3a""46\x3a""36 espie Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 2004 David Schultz <das\x40""FreeBSD.ORG>\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" * \x24""FreeBSD\x3a frexp.c,v 1.1 2004/07/18 21\x3a""23\x3a""39 das Exp \x24\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"double\x0a"
"frexp(double v, int *ex)\x0a"
"{\x0a"
"\x09union  {\x0a"
"\x09\x09""double v;\x0a"
"\x09\x09struct ieee_double s;\x0a"
"\x09} u;\x0a"
"\x0a"
"\x09u.v = v;\x0a"
"\x09switch (u.s.dbl_exp) {\x0a"
"\x09""case 0\x3a\x09\x09/* 0 or subnormal */\x0a"
"\x09\x09if ((u.s.dbl_fracl \x7c u.s.dbl_frach) == 0) {\x0a"
"\x09\x09\x09*ex = 0;\x0a"
"\x09\x09} else {\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09 * The power of 2 is arbitrary, any value from 54 to\x0a"
"\x09\x09\x09 * 1024 will do.\x0a"
"\x09\x09\x09 */\x0a"
"\x09\x09\x09u.v *= 0x1.0p514;\x0a"
"\x09\x09\x09*ex = u.s.dbl_exp - (DBL_EXP_BIAS - 1 + 514);\x0a"
"\x09\x09\x09u.s.dbl_exp = DBL_EXP_BIAS - 1;\x0a"
"\x09\x09}\x0a"
"\x09\x09""break;\x0a"
"\x09""case DBL_EXP_INFNAN\x3a\x09/* Inf or NaN; value of *ex is unspecified */\x0a"
"\x09\x09""break;\x0a"
"\x09""default\x3a\x09/* normal */\x0a"
"\x09\x09*ex = u.s.dbl_exp - (DBL_EXP_BIAS - 1);\x0a"
"\x09\x09u.s.dbl_exp = DBL_EXP_BIAS - 1;\x0a"
"\x09\x09""break;\x0a"
"\x09}\x0a"
"\x09return (u.v);\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(frexpl, frexp);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 2327 ); }