#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_k_cosf_c( 
"/* k_cosf.c -- float version of k_cos.c\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float \x0a"
"one =  1.0000000000e+00, /* 0x3f800000 */\x0a"
"C1  =  4.1666667908e-02, /* 0x3d2aaaab */\x0a"
"C2  = -1.3888889225e-03, /* 0xbab60b61 */\x0a"
"C3  =  2.4801587642e-05, /* 0x37d00d01 */\x0a"
"C4  = -2.7557314297e-07, /* 0xb493f27c */\x0a"
"C5  =  2.0875723372e-09, /* 0x310f74f6 */\x0a"
"C6  = -1.1359647598e-11; /* 0xad47d74e */\x0a"
"\x0a"
"float\x0a"
"__kernel_cosf(float x, float y)\x0a"
"{\x0a"
"\x09""float a,hz,z,r,qx;\x0a"
"\x09int32_t ix;\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x09ix \x26= 0x7fffffff;\x09\x09\x09/* ix = \x7cx\x7c's high word*/\x0a"
"\x09if(ix<0x32000000) {\x09\x09\x09/* if x < 2**27 */\x0a"
"\x09    if(((int)x)==0) return one;\x09\x09/* generate inexact */\x0a"
"\x09}\x0a"
"\x09z  = x*x;\x0a"
"\x09r  = z*(C1+z*(C2+z*(C3+z*(C4+z*(C5+z*C6)))));\x0a"
"\x09if(ix < 0x3e99999a) \x09\x09\x09/* if \x7cx\x7c < 0.3 */ \x0a"
"\x09    return one - ((float)0.5*z - (z*r - x*y));\x0a"
"\x09""else {\x0a"
"\x09    if(ix > 0x3f480000) {\x09\x09/* x > 0.78125 */\x0a"
"\x09\x09qx = (float)0.28125;\x0a"
"\x09    } else {\x0a"
"\x09        SET_FLOAT_WORD(qx,ix-0x01000000);\x09/* x/4 */\x0a"
"\x09    }\x0a"
"\x09    hz = (float)0.5*z-qx;\x0a"
"\x09    a  = one-qx;\x0a"
"\x09    return a - (hz - (z*r-x*y));\x0a"
"\x09}\x0a"
"}\x0a"
"", 1493 ); }