#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ldexp_c( 
"/*\x09\x24OpenBSD\x3a ldexp.c,v 1.10 2015/10/27 05\x3a""54\x3a""49 guenther Exp \x24\x09*/\x0a"
"/* \x40(#)s_scalbn.c 5.1 93/09/24 */\x0a"
"/* \x40(#)fdlibm.h 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <endian.h>\x0a"
"#include <stdint.h>\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"/* Bit fiddling routines copied from msun/src/math_private.h,v 1.15 */\x0a"
"\x0a"
"#if (BYTE_ORDER == BIG_ENDIAN) \x7c\x7c (defined(__arm__) \x26\x26 \x21""defined(__VFP_FP__))\x0a"
"\x0a"
"typedef union\x0a"
"{\x0a"
"  double value;\x0a"
"  struct\x0a"
"  {\x0a"
"    u_int32_t msw;\x0a"
"    u_int32_t lsw;\x0a"
"  } parts;\x0a"
"} ieee_double_shape_type;\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#if (BYTE_ORDER == LITTLE_ENDIAN) \x26\x26 \x21(defined(__arm__) \x26\x26 \x21""defined(__VFP_FP__))\x0a"
"\x0a"
"typedef union\x0a"
"{\x0a"
"  double value;\x0a"
"  struct\x0a"
"  {\x0a"
"    u_int32_t lsw;\x0a"
"    u_int32_t msw;\x0a"
"  } parts;\x0a"
"} ieee_double_shape_type;\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"/* Get two 32 bit ints from a double.  */\x0a"
"\x0a"
"#define EXTRACT_WORDS(ix0,ix1,d)\x09\x09\x09\x09\x5c\x0a"
"do {\x09\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  ieee_double_shape_type ew_u;\x09\x09\x09\x09\x09\x5c\x0a"
"  ew_u.value = (d);\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  (ix0) = ew_u.parts.msw;\x09\x09\x09\x09\x09\x5c\x0a"
"  (ix1) = ew_u.parts.lsw;\x09\x09\x09\x09\x09\x5c\x0a"
"} while (0)\x0a"
"\x0a"
"/* Get the more significant 32 bit int from a double.  */\x0a"
"\x0a"
"#define GET_HIGH_WORD(i,d)\x09\x09\x09\x09\x09\x5c\x0a"
"do {\x09\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  ieee_double_shape_type gh_u;\x09\x09\x09\x09\x09\x5c\x0a"
"  gh_u.value = (d);\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  (i) = gh_u.parts.msw;\x09\x09\x09\x09\x09\x09\x5c\x0a"
"} while (0)\x0a"
"\x0a"
"/* Set the more significant 32 bits of a double from an int.  */\x0a"
"\x0a"
"#define SET_HIGH_WORD(d,v)\x09\x09\x09\x09\x09\x5c\x0a"
"do {\x09\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  ieee_double_shape_type sh_u;\x09\x09\x09\x09\x09\x5c\x0a"
"  sh_u.value = (d);\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  sh_u.parts.msw = (v);\x09\x09\x09\x09\x09\x09\x5c\x0a"
"  (d) = sh_u.value;\x09\x09\x09\x09\x09\x09\x5c\x0a"
"} while (0)\x0a"
"\x0a"
"\x0a"
"static const double\x0a"
"two54   =  1.80143985094819840000e+16, /* 0x43500000, 0x00000000 */\x0a"
"twom54  =  5.55111512312578270212e-17, /* 0x3C900000, 0x00000000 */\x0a"
"huge   = 1.0e+300,\x0a"
"tiny   = 1.0e-300;\x0a"
"\x0a"
"static double\x0a"
"_copysign(double x, double y)\x0a"
"{\x0a"
"\x09u_int32_t hx,hy;\x0a"
"\x09GET_HIGH_WORD(hx,x);\x0a"
"\x09GET_HIGH_WORD(hy,y);\x0a"
"\x09SET_HIGH_WORD(x,(hx\x26""0x7fffffff)\x7c(hy\x26""0x80000000));\x0a"
"\x09return x;\x0a"
"}\x0a"
"\x0a"
"double\x0a"
"ldexp(double x, int n)\x0a"
"{\x0a"
"\x09int32_t k,hx,lx;\x0a"
"\x09""EXTRACT_WORDS(hx,lx,x);\x0a"
"        k = (hx\x26""0x7ff00000)>>20;\x09\x09/* extract exponent */\x0a"
"        if (k==0) {\x09\x09\x09\x09/* 0 or subnormal x */\x0a"
"            if ((lx\x7c(hx\x26""0x7fffffff))==0) return x; /* +-0 */\x0a"
"\x09    x *= two54;\x0a"
"\x09    GET_HIGH_WORD(hx,x);\x0a"
"\x09    k = ((hx\x26""0x7ff00000)>>20) - 54;\x0a"
"            if (n< -50000) return tiny*x; \x09/*underflow*/\x0a"
"\x09    }\x0a"
"        if (k==0x7ff) return x+x;\x09\x09/* NaN or Inf */\x0a"
"        k = k+n;\x0a"
"        if (k >  0x7fe) return huge*_copysign(huge,x); /* overflow  */\x0a"
"        if (k > 0) \x09\x09\x09\x09/* normal result */\x0a"
"\x09    {SET_HIGH_WORD(x,(hx\x26""0x800fffff)\x7c(k<<20)); return x;}\x0a"
"        if (k <= -54) {\x0a"
"            if (n > 50000) \x09/* in case integer overflow in n+k */\x0a"
"\x09\x09return huge*_copysign(huge,x);\x09/*overflow*/\x0a"
"\x09    else return tiny*_copysign(tiny,x); \x09/*underflow*/\x0a"
"\x09}\x0a"
"        k += 54;\x09\x09\x09\x09/* subnormal result */\x0a"
"\x09SET_HIGH_WORD(x,(hx\x26""0x800fffff)\x7c(k<<20));\x0a"
"        return x*twom54;\x0a"
"}\x0a"
"// DEF_STRONG(ldexp);\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(ldexpl, ldexp);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 3235 ); }