#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_asinhf_c( 
"/* s_asinhf.c -- float version of s_asinh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float \x0a"
"one =  1.0000000000e+00, /* 0x3F800000 */\x0a"
"ln2 =  6.9314718246e-01, /* 0x3f317218 */\x0a"
"huge=  1.0000000000e+30; \x0a"
"\x0a"
"float\x0a"
"asinhf(float x)\x0a"
"{\x09\x0a"
"\x09""float t,w;\x0a"
"\x09int32_t hx,ix;\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09ix = hx\x26""0x7fffffff;\x0a"
"\x09if(ix>=0x7f800000) return x+x;\x09/* x is inf or NaN */\x0a"
"\x09if(ix< 0x31800000) {\x09/* \x7cx\x7c<2**-28 */\x0a"
"\x09    if(huge+x>one) return x;\x09/* return x inexact except 0 */\x0a"
"\x09} \x0a"
"\x09if(ix>0x4d800000) {\x09/* \x7cx\x7c > 2**28 */\x0a"
"\x09    w = logf(fabsf(x))+ln2;\x0a"
"\x09} else if (ix>0x40000000) {\x09/* 2**28 > \x7cx\x7c > 2.0 */\x0a"
"\x09    t = fabsf(x);\x0a"
"\x09    w = logf((float)2.0*t+one/(sqrtf(x*x+one)+t));\x0a"
"\x09} else {\x09\x09/* 2.0 > \x7cx\x7c > 2**-28 */\x0a"
"\x09    t = x*x;\x0a"
"\x09    w =log1pf(fabsf(x)+t/(one+sqrtf(one+t)));\x0a"
"\x09}\x0a"
"\x09if(hx>0) return w; else return -w;\x0a"
"}\x0a"
"", 1270 ); }