#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_ceilf_c( 
"/* s_ceilf.c -- float version of s_ceil.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float huge = 1.0e30;\x0a"
"\x0a"
"__link_always float\x0a"
"ceilf(float x)\x0a"
"{\x0a"
"\x09int32_t i0,jj0;\x0a"
"\x09u_int32_t i;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(i0,x);\x0a"
"\x09jj0 = ((i0>>23)\x26""0xff)-0x7f;\x0a"
"\x09if(jj0<23) {\x0a"
"\x09    if(jj0<0) { \x09/* raise inexact if x \x21= 0 */\x0a"
"\x09\x09if(huge+x>(float)0.0) {/* return 0*sign(x) if \x7cx\x7c<1 */\x0a"
"\x09\x09    if(i0<0) {i0=0x80000000;} \x0a"
"\x09\x09    else if(i0\x21=0) { i0=0x3f800000;}\x0a"
"\x09\x09}\x0a"
"\x09    } else {\x0a"
"\x09\x09i = (0x007fffff)>>jj0;\x0a"
"\x09\x09if((i0\x26i)==0) return x; /* x is integral */\x0a"
"\x09\x09if(huge+x>(float)0.0) {\x09/* raise inexact flag */\x0a"
"\x09\x09    if(i0>0) i0 += (0x00800000)>>jj0;\x0a"
"\x09\x09    i0 \x26= (\x7ei);\x0a"
"\x09\x09}\x0a"
"\x09    }\x0a"
"\x09} else {\x0a"
"\x09    if(jj0==0x80) return x+x;\x09/* inf or NaN */\x0a"
"\x09    else return x;\x09\x09/* x is integral */\x0a"
"\x09}\x0a"
"\x09SET_FLOAT_WORD(x,i0);\x0a"
"\x09return x;\x0a"
"}\x0a"
"", 1245 ); }