#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_cexpf_c( 
"/*\x09\x24OpenBSD\x3a s_cexpf.c,v 1.2 2010/07/18 18\x3a""42\x3a""26 guenther Exp \x24\x09*/\x0a"
"/*\x0a"
" * Copyright (c) 2008 Stephen L. Moshier <steve\x40moshier.net>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"/*\x09\x09\x09\x09\x09\x09\x09""cexpf()\x0a"
" *\x0a"
" *\x09""Complex exponential function\x0a"
" *\x0a"
" *\x0a"
" *\x0a"
" * SYNOPSIS\x3a\x0a"
" *\x0a"
" * void cexpf();\x0a"
" * cmplxf z, w;\x0a"
" *\x0a"
" * cexpf( \x26z, \x26w );\x0a"
" *\x0a"
" *\x0a"
" *\x0a"
" * DESCRIPTION\x3a\x0a"
" *\x0a"
" * Returns the exponential of the complex argument z\x0a"
" * into the complex result w.\x0a"
" *\x0a"
" * If\x0a"
" *     z = x + iy,\x0a"
" *     r = exp(x),\x0a"
" *\x0a"
" * then\x0a"
" *\x0a"
" *     w = r cos y + i r sin y.\x0a"
" *\x0a"
" *\x0a"
" * ACCURACY\x3a\x0a"
" *\x0a"
" *                      Relative error\x3a\x0a"
" * arithmetic   domain     # trials      peak         rms\x0a"
" *    IEEE      -10,+10     30000       1.4e-7      4.5e-8\x0a"
" *\x0a"
" */\x0a"
"\x0a"
"#include <complex.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"float complex\x0a"
"cexpf(float complex z)\x0a"
"{\x0a"
"\x09""float complex w;\x0a"
"\x09""float r;\x0a"
"\x0a"
"\x09r = expf( crealf(z) );\x0a"
"\x09w = r * cosf( cimagf(z) ) +  r * sinf( cimagf(z) ) * I;\x0a"
"\x09return (w);\x0a"
"}\x0a"
"", 1593 ); }