#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_copysign_c( 
"/* \x40(#)s_copysign.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * copysign(double x, double y)\x0a"
" * copysign(x,y) returns a value with the magnitude of x and\x0a"
" * with the sign bit of y.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"__link_always double\x0a"
"copysign(double x, double y)\x0a"
"{\x0a"
"\x09u_int32_t hx,hy;\x0a"
"\x09GET_HIGH_WORD(hx,x);\x0a"
"\x09GET_HIGH_WORD(hy,y);\x0a"
"\x09SET_HIGH_WORD(x,(hx\x26""0x7fffffff)\x7c(hy\x26""0x80000000));\x0a"
"        return x;\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(copysignl, copysign);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 911 ); }