#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_copysignf_c( 
"/* s_copysignf.c -- float version of s_copysign.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * copysignf(float x, float y)\x0a"
" * copysignf(x,y) returns a value with the magnitude of x and\x0a"
" * with the sign bit of y.\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"__link_always float\x0a"
"copysignf(float x, float y)\x0a"
"{\x0a"
"\x09u_int32_t ix,iy;\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x09GET_FLOAT_WORD(iy,y);\x0a"
"\x09SET_FLOAT_WORD(x,(ix\x26""0x7fffffff)\x7c(iy\x26""0x80000000));\x0a"
"        return x;\x0a"
"}\x0a"
"", 873 ); }