#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_frexpl_c( 
"/*\x09\x24OpenBSD\x3a s_frexpl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/*-\x0a"
" * Copyright (c) 2004-2005 David Schultz <das\x40""FreeBSD.ORG>\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" * \x24""FreeBSD\x3a src/lib/msun/src/s_frexpl.c,v 1.1 2005/03/07 04\x3a""54\x3a""51 das Exp \x24\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#if LDBL_MAX_EXP \x21= 0x4000\x0a"
"#error \x22Unsupported long double format\x22\x0a"
"#endif\x0a"
"\x0a"
"long double\x0a"
"frexpl(long double x, int *ex)\x0a"
"{\x0a"
"\x09struct ieee_ext *p = (struct ieee_ext *)\x26x;\x0a"
"\x0a"
"\x09switch (p->ext_exp) {\x0a"
"\x09""case 0\x3a\x09\x09/* 0 or subnormal */\x0a"
"\x09\x09if ((p->ext_fracl\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x09\x7c p->ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x7c p->ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09\x09\x7c p->ext_frach) == 0) {\x0a"
"\x09\x09\x09*ex = 0;\x0a"
"\x09\x09} else {\x0a"
"\x09\x09\x09x *= 0x1.0p514;\x0a"
"\x09\x09\x09*ex = p->ext_exp - 0x4200;\x0a"
"\x09\x09\x09p->ext_exp = 0x3ffe;\x0a"
"\x09\x09}\x0a"
"\x09\x09""break;\x0a"
"\x09""case 0x7fff\x3a\x09/* infinity or NaN; value of *ex is unspecified */\x0a"
"\x09\x09""break;\x0a"
"\x09""default\x3a\x09/* normal */\x0a"
"\x09\x09*ex = p->ext_exp - 0x3ffe;\x0a"
"\x09\x09p->ext_exp = 0x3ffe;\x0a"
"\x09\x09""break;\x0a"
"\x09}\x0a"
"\x0a"
"\x09return x;\x0a"
"}\x0a"
"", 2303 ); }