#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_logbf_c( 
"/* s_logbf.c -- float version of s_logb.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"float\x0a"
"logbf(float x)\x0a"
"{\x0a"
"\x09int32_t ix;\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x09ix \x26= 0x7fffffff;\x09\x09\x09/* high \x7cx\x7c */\x0a"
"\x09if(ix==0) return (float)-1.0/fabsf(x);\x0a"
"\x09if(ix>=0x7f800000) return x*x;\x0a"
"\x09if((ix>>=23)==0) \x09\x09\x09/* IEEE 754 logb */\x0a"
"\x09\x09return -126.0; \x0a"
"\x09""else\x0a"
"\x09\x09return (float) (ix-127); \x0a"
"}\x0a"
"", 813 ); }