#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_logbl_c( 
"/*\x09\x24OpenBSD\x3a s_logbl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/*\x0a"
" * From\x3a \x40(#)s_ilogb.c 5.1 93/09/24\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"#include <float.h>\x0a"
"#include <limits.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"long double\x0a"
"logbl(long double x)\x0a"
"{\x0a"
"\x09union {\x0a"
"\x09\x09long double e;\x0a"
"\x09\x09struct ieee_ext bits;\x0a"
"\x09} u;\x0a"
"\x09unsigned long m;\x0a"
"\x09int b;\x0a"
"\x0a"
"\x09u.e = x;\x0a"
"\x09if (u.bits.ext_exp == 0) {\x0a"
"\x09\x09if ((u.bits.ext_fracl\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x09\x7c u.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x7c u.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09\x09\x7c u.bits.ext_frach) == 0) {\x09/* x == 0 */\x0a"
"\x09\x09\x09u.bits.ext_sign = 1;\x0a"
"\x09\x09\x09return (1.0L / u.e);\x0a"
"\x09\x09}\x0a"
"\x09\x09/* denormalized */\x0a"
"\x09\x09if (u.bits.ext_frach == 0\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x26\x26 u.bits.ext_frachm == 0\x0a"
"#endif\x0a"
"\x09\x09\x09) {\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACLBITS - 1);\x0a"
"\x09\x09\x09""for (b = EXT_FRACHBITS; \x21(u.bits.ext_fracl \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#if defined(EXT_FRACHMBITS) \x26\x26 defined(EXT_FRACLMBITS)\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACLMBITS - 1);\x0a"
"\x09\x09\x09""for (b += EXT_FRACHMBITS; \x21(u.bits.ext_fraclm \x26 m);\x0a"
"\x09\x09\x09\x09m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#endif /* defined(EXT_FRACHMBITS) \x26\x26 defined(EXT_FRACLMBITS) */\x0a"
"\x09\x09} else {\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACHBITS - 1);\x0a"
"\x09\x09\x09""for (b = 0; \x21(u.bits.ext_frach \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACHMBITS - 1);\x0a"
"\x09\x09\x09""for (; \x21(u.bits.ext_frachm \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09}\x0a"
"#ifdef EXT_IMPLICIT_NBIT\x0a"
"\x09\x09""b++;\x0a"
"#endif\x0a"
"\x09\x09return ((long double)(LDBL_MIN_EXP - b - 1));\x0a"
"\x09}\x0a"
"\x09if (u.bits.ext_exp < (LDBL_MAX_EXP << 1) - 1)\x09/* normal */\x0a"
"\x09\x09return ((long double)(u.bits.ext_exp - LDBL_MAX_EXP + 1));\x0a"
"\x09""else\x09\x09\x09\x09\x09\x09/* +/- inf or nan */\x0a"
"\x09\x09return (x * x);\x0a"
"}\x0a"
"", 1975 ); }