#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_lroundl_c( 
"/*\x09\x24OpenBSD\x3a s_lroundl.c,v 1.2 2012/12/05 23\x3a""20\x3a""04 deraadt Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 2005 David Schultz <das\x40""FreeBSD.ORG>\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <sys/limits.h>\x0a"
"#include <fenv.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#ifndef type\x0a"
"#if 0\x0a"
"__FBSDID(\x22\x24""FreeBSD\x3a src/lib/msun/src/s_lround.c,v 1.2 2005/04/08 00\x3a""52\x3a""16 das Exp \x24\x22);\x0a"
"#endif\x0a"
"#define type\x09\x09long double\x0a"
"#define\x09roundit\x09\x09roundl\x0a"
"#define dtype\x09\x09long\x0a"
"#define\x09""DTYPE_MIN\x09LONG_MIN\x0a"
"#define\x09""DTYPE_MAX\x09LONG_MAX\x0a"
"#define\x09""fn\x09\x09lroundl\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * If type has more precision than dtype, the endpoints dtype_(min\x7cmax) are\x0a"
" * of the form xxx.5; they are \x22out of range\x22 because lround() rounds away\x0a"
" * from 0.  On the other hand, if type has less precision than dtype, then\x0a"
" * all values that are out of range are integral, so we might as well assume\x0a"
" * that everything is in range.  At compile time, INRANGE(x) should reduce to\x0a"
" * two floating-point comparisons in the former case, or TRUE otherwise.\x0a"
" */\x0a"
"static const type dtype_min = DTYPE_MIN - 0.5;\x0a"
"static const type dtype_max = DTYPE_MAX + 0.5;\x0a"
"#define\x09INRANGE(x)\x09(dtype_max - DTYPE_MAX \x21= 0.5 \x7c\x7c \x5c\x0a"
"\x09\x09\x09 ((x) > dtype_min \x26\x26 (x) < dtype_max))\x0a"
"\x0a"
"dtype\x0a"
"fn(type x)\x0a"
"{\x0a"
"\x0a"
"\x09if (INRANGE(x)) {\x0a"
"\x09\x09x = roundit(x);\x0a"
"\x09\x09return ((dtype)x);\x0a"
"\x09} else {\x0a"
"\x09\x09""feraiseexcept(FE_INVALID);\x0a"
"\x09\x09return (DTYPE_MAX);\x0a"
"\x09}\x0a"
"}\x0a"
"", 2565 ); }