#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_modff_c( 
"/* s_modff.c -- float version of s_modf.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float one = 1.0;\x0a"
"\x0a"
"__link_always float\x0a"
"modff(float x, float *iptr)\x0a"
"{\x0a"
"\x09int32_t i0,jj0;\x0a"
"\x09u_int32_t i;\x0a"
"\x09GET_FLOAT_WORD(i0,x);\x0a"
"\x09jj0 = ((i0>>23)\x26""0xff)-0x7f;\x09/* exponent of x */\x0a"
"\x09if(jj0<23) {\x09\x09\x09/* integer part in x */\x0a"
"\x09    if(jj0<0) {\x09\x09\x09/* \x7cx\x7c<1 */\x0a"
"\x09        SET_FLOAT_WORD(*iptr,i0\x26""0x80000000);\x09/* *iptr = +-0 */\x0a"
"\x09\x09return x;\x0a"
"\x09    } else {\x0a"
"\x09\x09i = (0x007fffff)>>jj0;\x0a"
"\x09\x09if((i0\x26i)==0) {\x09\x09\x09/* x is integral */\x0a"
"\x09\x09    u_int32_t ix;\x0a"
"\x09\x09    *iptr = x;\x0a"
"\x09\x09    GET_FLOAT_WORD(ix,x);\x0a"
"\x09\x09    SET_FLOAT_WORD(x,ix\x26""0x80000000);\x09/* return +-0 */\x0a"
"\x09\x09    return x;\x0a"
"\x09\x09} else {\x0a"
"\x09\x09    SET_FLOAT_WORD(*iptr,i0\x26(\x7ei));\x0a"
"\x09\x09    return x - *iptr;\x0a"
"\x09\x09}\x0a"
"\x09    }\x0a"
"\x09} else {\x09\x09\x09/* no fraction part */\x0a"
"\x09    u_int32_t ix;\x0a"
"\x09    *iptr = x*one;\x0a"
"\x09    GET_FLOAT_WORD(ix,x);\x0a"
"\x09    SET_FLOAT_WORD(x,ix\x26""0x80000000);\x09/* return +-0 */\x0a"
"\x09    return x;\x0a"
"\x09}\x0a"
"}\x0a"
"", 1357 ); }