#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_nextafterf_c( 
"/* s_nextafterf.c -- float version of s_nextafter.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"float\x0a"
"nextafterf(float x, float y)\x0a"
"{\x0a"
"\x09int32_t hx,hy,ix,iy;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09GET_FLOAT_WORD(hy,y);\x0a"
"\x09ix = hx\x26""0x7fffffff;\x09\x09/* \x7cx\x7c */\x0a"
"\x09iy = hy\x26""0x7fffffff;\x09\x09/* \x7cy\x7c */\x0a"
"\x0a"
"\x09if((ix>0x7f800000) \x7c\x7c   /* x is nan */ \x0a"
"\x09   (iy>0x7f800000))     /* y is nan */ \x0a"
"\x09   return x+y;\x09\x09\x09\x09\x0a"
"\x09if(x==y) return y;\x09\x09/* x=y, return y */\x0a"
"\x09if(ix==0) {\x09\x09\x09\x09/* x == 0 */\x0a"
"\x09    SET_FLOAT_WORD(x,(hy\x26""0x80000000)\x7c""1);/* return +-minsubnormal */\x0a"
"\x09    y = x*x;\x0a"
"\x09    if(y==x) return y; else return x;\x09/* raise underflow flag */\x0a"
"\x09} \x0a"
"\x09if(hx>=0) {\x09\x09\x09\x09/* x > 0 */\x0a"
"\x09    if(hx>hy) {\x09\x09\x09\x09/* x > y, x -= ulp */\x0a"
"\x09\x09hx -= 1;\x0a"
"\x09    } else {\x09\x09\x09\x09/* x < y, x += ulp */\x0a"
"\x09\x09hx += 1;\x0a"
"\x09    }\x0a"
"\x09} else {\x09\x09\x09\x09/* x < 0 */\x0a"
"\x09    if(hy>=0\x7c\x7chx>hy){\x09\x09\x09/* x < y, x -= ulp */\x0a"
"\x09\x09hx -= 1;\x0a"
"\x09    } else {\x09\x09\x09\x09/* x > y, x += ulp */\x0a"
"\x09\x09hx += 1;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"\x09hy = hx\x26""0x7f800000;\x0a"
"\x09if(hy>=0x7f800000) return x+x;\x09/* overflow  */\x0a"
"\x09if(hy<0x00800000) {\x09\x09/* underflow */\x0a"
"\x09    y = x*x;\x0a"
"\x09    if(y\x21=x) {\x09\x09/* raise underflow flag */\x0a"
"\x09        SET_FLOAT_WORD(y,hx);\x0a"
"\x09\x09return y;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"\x09SET_FLOAT_WORD(x,hx);\x0a"
"\x09return x;\x0a"
"}\x0a"
"", 1592 ); }