#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_rintf_c( 
"/* s_rintf.c -- float version of s_rint.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float\x0a"
"TWO23\x5b""2\x5d={\x0a"
"  8.3886080000e+06, /* 0x4b000000 */\x0a"
" -8.3886080000e+06, /* 0xcb000000 */\x0a"
"};\x0a"
"\x0a"
"__link_always float\x0a"
"rintf(float x)\x0a"
"{\x0a"
"\x09int32_t i0,jj0,sx;\x0a"
"\x09u_int32_t i,i1;\x0a"
"\x09""float t;\x0a"
"\x09volatile float w;\x09/* clip extra precision */\x0a"
"\x09GET_FLOAT_WORD(i0,x);\x0a"
"\x09sx = (i0>>31)\x26""1;\x0a"
"\x09jj0 = ((i0>>23)\x26""0xff)-0x7f;\x0a"
"\x09if(jj0<23) {\x0a"
"\x09    if(jj0<0) { \x09\x0a"
"\x09\x09if((i0\x26""0x7fffffff)==0) return x;\x0a"
"\x09\x09i1 = (i0\x26""0x07fffff);\x0a"
"\x09\x09i0 \x26= 0xfff00000;\x0a"
"\x09\x09i0 \x7c= ((i1\x7c-i1)>>9)\x26""0x400000;\x0a"
"\x09\x09SET_FLOAT_WORD(x,i0);\x0a"
"\x09        w = TWO23\x5bsx\x5d+x;\x0a"
"\x09        t =  w-TWO23\x5bsx\x5d;\x0a"
"\x09\x09GET_FLOAT_WORD(i0,t);\x0a"
"\x09\x09SET_FLOAT_WORD(t,(i0\x26""0x7fffffff)\x7c(sx<<31));\x0a"
"\x09        return t;\x0a"
"\x09    } else {\x0a"
"\x09\x09i = (0x007fffff)>>jj0;\x0a"
"\x09\x09if((i0\x26i)==0) return x; /* x is integral */\x0a"
"\x09\x09i>>=1;\x0a"
"\x09\x09if((i0\x26i)\x21=0) i0 = (i0\x26(\x7ei))\x7c((0x100000)>>jj0);\x0a"
"\x09    }\x0a"
"\x09} else {\x0a"
"\x09    if(jj0==0x80) return x+x;\x09/* inf or NaN */\x0a"
"\x09    else return x;\x09\x09/* x is integral */\x0a"
"\x09}\x0a"
"\x09SET_FLOAT_WORD(x,i0);\x0a"
"\x09w = TWO23\x5bsx\x5d+x;\x0a"
"\x09return w-TWO23\x5bsx\x5d;\x0a"
"}\x0a"
"", 1485 ); }