#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_scalbn_c( 
"/* \x40(#)s_scalbn.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* \x0a"
" * scalbn (double x, int n)\x0a"
" * scalbn(x,n) returns x* 2**n  computed by  exponent  \x0a"
" * manipulation rather than by actually performing an \x0a"
" * exponentiation or a multiplication.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"double\x0a"
"scalbn (double x, int n)\x0a"
"{\x0a"
"\x09return ldexp(x, n);\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(scalbnl, scalbn);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 809 ); }