#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_tanf_c( 
"/* s_tanf.c -- float version of s_tan.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"float\x0a"
"tanf(float x)\x0a"
"{\x0a"
"\x09""float y\x5b""2\x5d,z=0.0;\x0a"
"\x09int32_t n, ix;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x0a"
"    /* \x7cx\x7c \x7e< pi/4 */\x0a"
"\x09ix \x26= 0x7fffffff;\x0a"
"\x09if(ix <= 0x3f490fda) return __kernel_tanf(x,z,1);\x0a"
"\x0a"
"    /* tan(Inf or NaN) is NaN */\x0a"
"\x09""else if (ix>=0x7f800000) return x-x;\x09\x09/* NaN */\x0a"
"\x0a"
"    /* argument reduction needed */\x0a"
"\x09""else {\x0a"
"\x09    n = __ieee754_rem_pio2f(x,y);\x0a"
"\x09    return __kernel_tanf(y\x5b""0\x5d,y\x5b""1\x5d,1-((n\x26""1)<<1)); /*   1 -- n even\x0a"
"\x09\x09\x09\x09\x09\x09\x09      -1 -- n odd */\x0a"
"\x09}\x0a"
"}\x0a"
"", 987 ); }