#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_tanhf_c( 
"/* s_tanhf.c -- float version of s_tanh.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float one=1.0, two=2.0, tiny = 1.0e-30;\x0a"
"\x0a"
"float\x0a"
"tanhf(float x)\x0a"
"{\x0a"
"\x09""float t,z;\x0a"
"\x09int32_t jx,ix;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(jx,x);\x0a"
"\x09ix = jx\x26""0x7fffffff;\x0a"
"\x0a"
"    /* x is INF or NaN */\x0a"
"\x09if(ix>=0x7f800000) { \x0a"
"\x09    if (jx>=0) return one/x+one;    /* tanh(+-inf)=+-1 */\x0a"
"\x09    else       return one/x-one;    /* tanh(NaN) = NaN */\x0a"
"\x09}\x0a"
"\x0a"
"    /* \x7cx\x7c < 22 */\x0a"
"\x09if (ix < 0x41b00000) {\x09\x09/* \x7cx\x7c<22 */\x0a"
"\x09    if (ix == 0)\x0a"
"\x09\x09return x;\x09\x09/* x == +-0 */\x0a"
"\x09    if (ix<0x24000000) \x09\x09/* \x7cx\x7c<2**-55 */\x0a"
"\x09\x09return x*(one+x);    \x09/* tanh(small) = small */\x0a"
"\x09    if (ix>=0x3f800000) {\x09/* \x7cx\x7c>=1  */\x0a"
"\x09\x09t = expm1f(two*fabsf(x));\x0a"
"\x09\x09z = one - two/(t+two);\x0a"
"\x09    } else {\x0a"
"\x09        t = expm1f(-two*fabsf(x));\x0a"
"\x09        z= -t/(t+two);\x0a"
"\x09    }\x0a"
"    /* \x7cx\x7c > 22, return +-1 */\x0a"
"\x09} else {\x0a"
"\x09    z = one - tiny;\x09\x09/* raised inexact flag */\x0a"
"\x09}\x0a"
"\x09return (jx>=0)\x3f z\x3a -z;\x0a"
"}\x0a"
"", 1362 ); }