#include <string_view>
namespace divine::str::dios {
extern const std::string_view rst_term_cpp( 
"// -*- C++ -*- (c) 2019 Henrich Lauko <xlauko\x40mail.muni.cz>\x0a"
"#include <dios/lava/term.hpp>\x0a"
"#include <util/array.hpp>\x0a"
"#include <util/map.hpp>\x0a"
"\x0a"
"#include <cassert>\x0a"
"\x0a"
"namespace __lava\x0a"
"{\x0a"
"    term_state_t * __term_state;\x0a"
"\x0a"
"    void update_rpns( brq\x3a\x3asmt_varid_t old, brq\x3a\x3asmt_varid_t new_ )\x0a"
"    {\x0a"
"        auto \x26""decomp = __term_state->decomp;\x0a"
"\x0a"
"        if ( old == new_ )\x0a"
"            return;\x0a"
"\x0a"
"        if ( auto old_it = decomp.find( old ); old_it \x21= decomp.end() )\x0a"
"        {\x0a"
"            if ( auto new_it = decomp.find( new_ ); new_it \x21= decomp.end() )\x0a"
"            {\x0a"
"                new_it->second.apply( old_it->second, brq\x3a\x3asmt_op\x3a\x3a""bool_and );\x0a"
"                __vm_trace( _VM_T_Assume, new_it->second.begin() );\x0a"
"            }\x0a"
"            else\x0a"
"            {\x0a"
"                decomp.emplace( new_, old_it->second );\x0a"
"                __vm_trace( _VM_T_Assume, decomp.find( new_ )->second.begin() );\x0a"
"            }\x0a"
"\x0a"
"            decomp.erase( old_it );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    template< typename T > using stack_t = __dios\x3a\x3a""Array< T >;\x0a"
"\x0a"
"    /* Add a constraint to the term. A constraint is again a term_t, e.g. a > 7.\x0a"
"     * \x21\x60""expect\x60 is for when an else branch was taken, in which case the tested\x0a"
"     * condition had to be false. */\x0a"
"    __flatten term term\x3a\x3a""assume( const term \x26t, const term \x26""c, bool expect )\x0a"
"    {\x0a"
"        auto \x26""decomp = __term_state->decomp;\x0a"
"        auto \x26uf = __term_state->uf;\x0a"
"\x0a"
"        int id = 0;\x0a"
"        auto it = decomp.begin();\x0a"
"        auto at = c.begin();\x0a"
"\x0a"
"        for ( ; at \x21= c.end(); ++at )\x0a"
"            if ( auto x = at->varid() )\x0a"
"            {\x0a"
"                id = uf.make_set( x );\x0a"
"                if ( auto ex = decomp.find( id ); ex \x21= decomp.end() )\x0a"
"                {\x0a"
"                    it = ex;\x0a"
"                    if ( expect )\x0a"
"                        ex->second.apply( c, brq\x3a\x3asmt_op\x3a\x3a""bool_and );\x0a"
"                    else\x0a"
"                        ex->second.apply( c, brq\x3a\x3asmt_op\x3a\x3a""bool_not, brq\x3a\x3asmt_op\x3a\x3a""bool_and );\x0a"
"                }\x0a"
"                else\x0a"
"                {\x0a"
"                    it = decomp.emplace( id, c ).first;\x0a"
"                    if ( \x21""expect )\x0a"
"                        it->second.apply( brq\x3a\x3asmt_op\x3a\x3a""bool_not );\x0a"
"                }\x0a"
"                break;\x0a"
"            }\x0a"
"\x0a"
"        for ( ; at \x21= c.end(); ++at )\x0a"
"            if ( auto x = at->varid() )\x0a"
"            {\x0a"
"                int x_id = uf.make_set( x );\x0a"
"                if ( id == x_id )\x0a"
"                    continue;\x0a"
"                uf.join( id, x_id );\x0a"
"                if ( auto ex = decomp.find( x_id ); ex \x21= decomp.end() )\x0a"
"                {\x0a"
"                    it->second.apply( ex->second, brq\x3a\x3asmt_op\x3a\x3a""bool_and );\x0a"
"                    decomp.erase( ex ); /* might invalidate 'it' */\x0a"
"                    it = decomp.find( id );\x0a"
"                }\x0a"
"            }\x0a"
"\x0a"
"        if ( id )\x0a"
"            __vm_trace( _VM_T_Assume, it->second.unsafe_ptr() );\x0a"
"        else\x0a"
"        {\x0a"
"            auto trace = expect \x3f term( c ) \x3a term( c, brq\x3a\x3asmt_op\x3a\x3a""bool_not );\x0a"
"            __vm_trace( _VM_T_Assume, trace.disown() ); /* FIXME leak */\x0a"
"        }\x0a"
"\x0a"
"        return t;\x0a"
"    }\x0a"
"\x0a"
"}\x0a"
"\x0a"
"void *__dios_term_init()\x0a"
"{\x0a"
"    using namespace __lava;\x0a"
"    auto true_term = term\x3a\x3alift_i1( true );\x0a"
"    __term_state = static_cast< term_state_t * >( __vm_obj_make( sizeof( term_state_t ), _VM_PT_Heap ) );\x0a"
"    new ( __term_state ) term_state_t;\x0a"
"    __term_state->uf.make_set( 0 );\x0a"
"    __term_state->decomp\x5b 0 \x5d = true_term;\x0a"
"    return __term_state->decomp._container._data;\x0a"
"    return nullptr;\x0a"
"}\x0a"
"\x0a"
"extern \x22""C\x22 __invisible void __dios_term_fini()\x0a"
"{\x0a"
"    using namespace __lava;\x0a"
"    __term_state->decomp.clear();\x0a"
"    __term_state->uf.clear();\x0a"
"    __vm_obj_free( __term_state );\x0a"
"}\x0a"
"", 3627 ); }