#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_machineparams_hpp( 
"// -*- C++ -*- (c) 2017 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"\x0a"
"#pragma once\x0a"
"\x0a"
"#include <dios/sys/options.hpp>\x0a"
"#include <sys/utsname.h>\x0a"
"\x0a"
"namespace __dios {\x0a"
"\x0a"
"template < typename Next >\x0a"
"struct MachineParams \x3a Next\x0a"
"{\x0a"
"    int hardwareConcurrency;\x0a"
"\x0a"
"    template< typename Setup >\x0a"
"    void setup( Setup s )\x0a"
"    {\x0a"
"        traceAlias< MachineParams >( \x22{MachineParams}\x22 );\x0a"
"        hardwareConcurrency = 0;\x0a"
"        readHardwareConcurrency( s.opts );\x0a"
"        if ( extract_opt( \x22""debug\x22, \x22machineparams\x22, s.opts ) )\x0a"
"        {\x0a"
"            traceConfig( 1 );\x0a"
"            __vm_ctl_flag( 0, _VM_CF_Error );\x0a"
"        }\x0a"
"\x0a"
"        Next\x3a\x3asetup( s );\x0a"
"    }\x0a"
"\x0a"
"    void getHelp( ArrayMap< std\x3a\x3astring_view, HelpOption >\x26 options )\x0a"
"    {\x0a"
"        const char *opt = \x22ncpus\x22;\x0a"
"        if ( options.find( opt ) \x21= options.end() ) {\x0a"
"            __dios_trace_f( \x22Option \x25s already present\x22, opt );\x0a"
"            __dios_fault( _DiOS_F_Config, \x22Option conflict\x22 );\x0a"
"        };\x0a"
"\x0a"
"        options\x5b { opt } \x5d = { \x22specify number of cpu units (default 0)\x22,\x0a"
"            { \x22<num>\x22 } };\x0a"
"        Next\x3a\x3agetHelp( options );\x0a"
"    }\x0a"
"\x0a"
"    void readHardwareConcurrency( SysOpts\x26 opts )\x0a"
"    {\x0a"
"        std\x3a\x3astring_view ncpus = extract_opt( \x22ncpus\x22, opts );\x0a"
"        if ( \x21ncpus.empty() )\x0a"
"        {\x0a"
"            char *end;\x0a"
"            hardwareConcurrency = _DIVINE_strtol( ncpus.begin(), ncpus.size(), \x26""end );\x0a"
"            if ( ncpus.begin() == end \x7c\x7c end - 1 \x21= \x26ncpus.back() )\x0a"
"                __dios_fault( _DiOS_F_Config,\x0a"
"                    \x22""DiOS boot configuration\x3a invalid ncpus specified\x22 );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    void traceConfig( int indent )\x0a"
"    {\x0a"
"        __dios_trace_i( indent, \x22machine parameters\x3a\x22 );\x0a"
"        __dios_trace_i( indent + 1, \x22ncpus\x3a \x25""d\x22, hardwareConcurrency );\x0a"
"    }\x0a"
"\x0a"
"    int hardware_concurrency()\x0a"
"    {\x0a"
"        return hardwareConcurrency;\x0a"
"    }\x0a"
"\x0a"
"    int uname( struct \x3a\x3autsname * name )\x0a"
"    {\x0a"
"        strcpy( name->sysname, \x22""DiOS\x22 );\x0a"
"        strcpy( name->nodename, \x22\x22 );\x0a"
"        strcpy( name->release, \x22""0.1\x22 );\x0a"
"        strcpy( name->version, \x22""0\x22 );\x0a"
"        strcpy( name->machine, \x22""DIVINE 4 VM\x22 );\x0a"
"        return 0;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"} // namespace __dios\x0a"
"", 2108 ); }