#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_monitor_hpp( 
"#ifndef _DIVINE_MONITOR_HPP_\x0a"
"#define _DIVINE_MONITOR_HPP_\x0a"
"\x0a"
"#include <sys/monitor.h>\x0a"
"#include <dios/sys/memory.hpp>\x0a"
"\x0a"
"namespace __dios {\x0a"
"\x0a"
"template < typename Next >\x0a"
"struct MonitorManager \x3a Next\x0a"
"{\x0a"
"    MonitorManager() \x3a first( nullptr ) {}\x0a"
"\x0a"
"    template< typename Setup >\x0a"
"    void setup( Setup s )\x0a"
"    {\x0a"
"        traceAlias< MonitorManager >( \x22{Monitor}\x22 );\x0a"
"        Next\x3a\x3asetup( s );\x0a"
"    }\x0a"
"\x0a"
"    void runMonitors()\x0a"
"    {\x0a"
"        if ( first )\x0a"
"            first->run();\x0a"
"    }\x0a"
"\x0a"
"    void register_monitor( __dios\x3a\x3aMonitor *m )\x0a"
"    {\x0a"
"        m->next = nullptr;\x0a"
"        if ( \x21""first ) {\x0a"
"            first = m;\x0a"
"            return;\x0a"
"        }\x0a"
"\x0a"
"        auto *last = first;\x0a"
"        while ( last->next )\x0a"
"            last = last->next;\x0a"
"        last->next = m;\x0a"
"    }\x0a"
"\x0a"
"    Monitor* first;\x0a"
"};\x0a"
"\x0a"
"} // namespace __dios\x0a"
"\x0a"
"#endif // _DIVINE_MONITOR_HPP\x0a"
"", 825 ); }