#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_sched_null_hpp( 
"// -*- mode\x3a C++; indent-tabs-mode\x3a nil; c-basic-offset\x3a 4 -*-\x0a"
"\x0a"
"/*\x0a"
" * (c) 2019 Petr Ro\xc4\x8dkai <code\x40""fixp.eu>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#pragma once\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"\x0a"
"    struct main_args \x3a KObject\x0a"
"    {\x0a"
"        int l, argc;\x0a"
"        char **argv, **envp;\x0a"
"    };\x0a"
"\x0a"
"    template < typename next >\x0a"
"    struct sched_null \x3a public next\x0a"
"    {\x0a"
"        using task = __dios\x3a\x3atask< typename next\x3a\x3aProcess >;\x0a"
"        using Task = task; /* compat */\x0a"
"        using process = typename next\x3a\x3aProcess;\x0a"
"\x0a"
"        sched_null() \x3a\x0a"
"            debug( new Debug() ),\x0a"
"            sighandlers( nullptr )\x0a"
"        {}\x0a"
"\x0a"
"        \x7esched_null()\x0a"
"        {\x0a"
"            delete_object( debug );\x0a"
"        }\x0a"
"\x0a"
"        template< typename Setup >\x0a"
"        void setup( Setup s )\x0a"
"        {\x0a"
"            traceAlias< sched_null >( \x22{Scheduler}\x22 );\x0a"
"\x0a"
"            auto ma = new main_args;\x0a"
"            ma->l = __md_get_pc_meta( reinterpret_cast< _VM_CodePointer >( main ) )->arg_count;\x0a"
"            std\x3a\x3atie( ma->argc, ma->argv ) = construct_main_arg( \x22""arg.\x22, s.env, true );\x0a"
"            ma->envp = construct_main_arg( \x22""env.\x22, s.env ).second;\x0a"
"            _task._frame = reinterpret_cast< _VM_Frame * >( ma );\x0a"
"            _task._proc = s.proc1;\x0a"
"\x0a"
"            __vm_ctl_set( _VM_CR_Scheduler,\x0a"
"                          reinterpret_cast< void * >( run_scheduler< typename Setup\x3a\x3a""Context > ) );\x0a"
"\x0a"
"            next\x3a\x3asetup( s );\x0a"
"        }\x0a"
"\x0a"
"        pid_t getpid() { return 1; }\x0a"
"\x0a"
"        void exit_process( int code ) { kill_process( 0 ); }\x0a"
"        process *current_process() { return _task._proc; }\x0a"
"        task *current_task() { return \x26_task; }\x0a"
"        bool check_final() { return false; }\x0a"
"\x0a"
"        void kill_task( __dios_task id )\x0a"
"        {\x0a"
"            __vm_suspend();\x0a"
"        }\x0a"
"\x0a"
"        void kill_process( pid_t id )\x0a"
"        {\x0a"
"            __vm_suspend();\x0a"
"        }\x0a"
"\x0a"
"        __dios_task *get_process_tasks( __dios_task tid )\x0a"
"        {\x0a"
"            process *proc;\x0a"
"            auto mem = __vm_obj_make( sizeof( __dios_task ), _VM_PT_Heap );\x0a"
"            auto ret = static_cast< __dios_task * >( mem );\x0a"
"            ret\x5b""0\x5d = _task._tls;\x0a"
"            return ret;\x0a"
"        }\x0a"
"\x0a"
"        int kill( pid_t pid, int sig )\x0a"
"        {\x0a"
"            return _kill( pid, sig, \x5b\x5d( auto ){} );\x0a"
"        }\x0a"
"\x0a"
"        template < typename F >\x0a"
"        int _kill( pid_t pid, int sig, F func )\x0a"
"        {\x0a"
"            sighandler_t handler;\x0a"
"            bool found = false;\x0a"
"\x0a"
"            if ( pid \x21= 1 \x26\x26 pid \x21= -1 )\x0a"
"            {\x0a"
"                *__dios_errno() = ESRCH;\x0a"
"                return -1;\x0a"
"            }\x0a"
"\x0a"
"            if ( sighandlers )\x0a"
"                handler = sighandlers\x5bsig\x5d;\x0a"
"            else\x0a"
"                handler = defhandlers\x5bsig\x5d;\x0a"
"\x0a"
"            if ( handler.f == sig_ign )\x0a"
"                return 0;\x0a"
"\x0a"
"            if ( handler.f == sig_die )\x0a"
"            {\x0a"
"                func( _task._proc );\x0a"
"                kill_process( pid );\x0a"
"            }\x0a"
"            else if ( handler.f == sig_fault )\x0a"
"                __dios_fault( _VM_F_Control, \x22uncaught signal\x22 );\x0a"
"            else\x0a"
"                handler.f( sig );\x0a"
"\x0a"
"            return 0;\x0a"
"        }\x0a"
"\x0a"
"        void die() noexcept\x0a"
"        {\x0a"
"            kill_process( 0 );\x0a"
"        }\x0a"
"\x0a"
"        __inline void prepare( task \x26t )\x0a"
"        {\x0a"
"            __vm_ctl_set( _VM_CR_User1, nullptr );\x0a"
"            __vm_ctl_set( _VM_CR_User2, t.get_id() );\x0a"
"            __vm_ctl_set( _VM_CR_User3, debug );\x0a"
"        }\x0a"
"\x0a"
"        __inline void run( task \x26t )\x0a"
"        {\x0a"
"            prepare( t );\x0a"
"            auto f = reinterpret_cast< main_args * >( t._frame );\x0a"
"            t._frame = nullptr;\x0a"
"            /* switch to user mode */\x0a"
"            __vm_ctl_flag( _VM_CF_KernelMode \x7c _VM_CF_IgnoreCrit \x7c _VM_CF_IgnoreLoop, 0 );\x0a"
"            /* call the entry point */\x0a"
"            __dios_start( f->l, f->argc, f->argv, f->envp );\x0a"
"        }\x0a"
"\x0a"
"        template < typename Context >\x0a"
"        static void run_scheduler() noexcept\x0a"
"        {\x0a"
"            auto\x26 scheduler = get_state< Context >();\x0a"
"\x0a"
"            task *t = \x26scheduler._task;\x0a"
"            __vm_trace( _VM_T_TaskID, t );\x0a"
"\x0a"
"            if ( t->_frame )\x0a"
"                scheduler.run( *t ); /* does not return */\x0a"
"\x0a"
"            __vm_cancel();\x0a"
"        }\x0a"
"\x0a"
"        task _task;\x0a"
"        Debug *debug;\x0a"
"        sighandler_t *sighandlers;\x0a"
"    };\x0a"
"\x0a"
"}\x0a"
"", 4915 ); }