#include <string_view>
#include <string>
namespace divine::str::cc
{
extern const std::string_view float_h;
extern const std::string_view limits_h;
extern const std::string_view stdarg_h;
extern const std::string_view stdbool_h;
extern const std::string_view stddef_h;
}

namespace divine::str
{
struct stringtable { std::string n; std::string_view c; };
stringtable cc_list[] = { 
  { "float.h", cc::float_h },
  { "limits.h", cc::limits_h },
  { "stdarg.h", cc::stdarg_h },
  { "stdbool.h", cc::stdbool_h },
  { "stddef.h", cc::stddef_h },
  { "", "" }
};
}
