#include <string_view>
#include <string>
namespace divine::str::dios_native
{
extern const std::string_view libdios_host_a;
extern const std::string_view libc___a;
extern const std::string_view libc__abi_a;
}

namespace divine::str
{
struct stringtable { std::string n; std::string_view c; };
stringtable dios_native_list[] = { 
  { "libdios-host.a", dios_native::libdios_host_a },
  { "libc++.a", dios_native::libc___a },
  { "libc++abi.a", dios_native::libc__abi_a },
  { "", "" }
};
}
