#include <string_view>
namespace divine::str::dios {
extern const std::string_view arch_divm_unwind_cpp( 
"// -*- C++ -*- (c) 2016-2017 Vladim\xc3\xadr \xc5\xa0till <xstill\x40""fi.muni.cz>\x0a"
"\x0a"
"// based on documentation at https\x3a//mentorembedded.github.io/cxx-abi/abi-eh.html\x0a"
"\x0a"
"#include <unwind.h>\x0a"
"#include <sys/divm.h>\x0a"
"#include <sys/start.h>\x0a"
"#include <sys/interrupt.h>\x0a"
"#include <sys/fault.h>\x0a"
"#include <sys/metadata.h>\x0a"
"#include <sys/bitcode.h>\x0a"
"#include <dios.h>\x0a"
"#include <limits.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"struct _Unwind_Context\x0a"
"{\x0a"
"    _Unwind_Context() = default;\x0a"
"    _Unwind_Context( _VM_Frame *f ) \x3a frame( f ) { }\x0a"
"    _Unwind_Context( _Unwind_Exception *exc ) \x3a\x0a"
"        frame( reinterpret_cast< _VM_Frame * >( exc->private_1 ) ), jumpPC( exc->private_2 )\x0a"
"    { }\x0a"
"\x0a"
"    void fill( _Unwind_Exception *exc ) {\x0a"
"        exc->private_1 = uintptr_t( frame );\x0a"
"        exc->private_2 = jumpPC;\x0a"
"    }\x0a"
"\x0a"
"    _VM_CodePointer pc() const { return frame->pc; }\x0a"
"\x0a"
"    void next() {\x0a"
"        frame = frame->parent;\x0a"
"        jumpPC = 0;\x0a"
"    }\x0a"
"\x0a"
"    bool valid() const { return frame; }\x0a"
"    explicit operator bool() const { return valid(); }\x0a"
"\x0a"
"    _VM_Frame *frame = nullptr;\x0a"
"    uintptr_t jumpPC = 0; // PC to jump to when unwinding (landing block)\x0a"
"};\x0a"
"\x0a"
"static const int unwindVersion = 1;\x0a"
"\x0a"
"static _VM_CodePointer getLandingPad( _VM_CodePointer pc ) {\x0a"
"    auto lb = __dios_get_landing_block( pc );\x0a"
"    return __dios_find_instruction_in_block( lb, 1, OpCode\x3a\x3aLandingPad );\x0a"
"}\x0a"
"\x0a"
"//  This function sets the 64-bit value of the given register, identified by\x0a"
"//  its index as for _Unwind_GetGR. The NAT bit of the given register is reset.\x0a"
"//\x0a"
"//  The behaviour is guaranteed only if the function is called during phase 2\x0a"
"//  of unwinding, and applied to an unwind context representing a handler\x0a"
"//  frame, for which the personality routine will return _URC_INSTALL_CONTEXT.\x0a"
"//  In that case, only registers GR15, GR16, GR17, GR18 should be used. These\x0a"
"//  scratch registers are reserved for passing arguments between the\x0a"
"//  personality routine and the landing pads.\x0a"
"void _Unwind_SetGR( _Unwind_Context *ctx, int index, uintptr_t value ) {\x0a"
"    __dios\x3a\x3aInterruptMask _;\x0a"
"    __dios_assert_v( index >= 0, \x22Register index cannot be negative\x22 );\x0a"
"    __dios_assert_v( index <= 1, \x22Unsupported register\x22 );\x0a"
"    // reg 0 - exception object\x0a"
"    // reg 1 - type ID\x0a"
"    // landingpad { i8*, i32 }\x0a"
"\x0a"
"    auto lp = getLandingPad( ctx->pc() );\x0a"
"\x0a"
"    if ( index == 0 )\x0a"
"        __dios_set_register( ctx->frame, lp, 0, value, sizeof( uintptr_t ) );\x0a"
"    else if ( index == 1 ) {\x0a"
"        __dios_assert_v( intptr_t( value ) >= intptr_t( INT_MIN ), \x22Overflow in exception type index\x22 );\x0a"
"        __dios_assert_v( intptr_t( value ) <= intptr_t( INT_MAX ), \x22Underflow in exception type index\x22 );\x0a"
"        __dios_set_register( ctx->frame, lp, sizeof( uintptr_t ), int( value ), sizeof( int ) );\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"//  This function sets the value of the instruction pointer (IP) for the\x0a"
"//  routine identified by the unwind context.\x0a"
"//\x0a"
"//  The behaviour is guaranteed only when this function is called for an unwind\x0a"
"//  context representing a handler frame, for which the personality routine\x0a"
"//  will return _URC_INSTALL_CONTEXT. In this case, control will be transferred\x0a"
"//  to the given address, which should be the address of a landing pad.\x0a"
"void _Unwind_SetIP( _Unwind_Context *ctx, uintptr_t value ) {\x0a"
"    ctx->jumpPC = value;\x0a"
"}\x0a"
"\x0a"
"//  This function returns the 64-bit value of the given general register. The\x0a"
"//  register is identified by its index\x3a 0 to 31 are for the fixed registers,\x0a"
"//  and 32 to 127 are for the stacked registers.\x0a"
"//\x0a"
"//  During the two phases of unwinding, only GR1 has a guaranteed value, which\x0a"
"//  is the Global Pointer (GP) of the frame referenced by the unwind context.\x0a"
"//  If the register has its NAT bit set, the behaviour is unspecified.\x0a"
"uintptr_t _Unwind_GetGR( _Unwind_Context *ctx, int index ) {\x0a"
"    // from doc\x3a only GR1 has a guaranteed value, which the Global Pointer (GP)\x0a"
"    // of the frame referenced by the unwind context\x0a"
"\x0a"
"    __dios\x3a\x3aInterruptMask _;\x0a"
"    __dios_assert_v( index >= 0, \x22Register index cannot be negative\x22 );\x0a"
"    __dios_assert_v( index <= 1, \x22Unsupported register\x22 );\x0a"
"    // reg 0 - exception object\x0a"
"    // reg 1 - type ID\x0a"
"    // landingpad { i8*, i32 }\x0a"
"\x0a"
"    auto lp = getLandingPad( ctx->pc() );\x0a"
"\x0a"
"    if ( index >= 0 \x26\x26 index <= 1 )\x0a"
"        return __dios_get_register( ctx->frame, lp, index == 0 \x3f 0 \x3a sizeof( uintptr_t ),\x0a"
"                                    index == 0 \x3f sizeof( uintptr_t ) \x3a sizeof( int ) );\x0a"
"    __dios_fault( _VM_F_NotImplemented, \x22invalid register\x22 );\x0a"
"    __builtin_trap();\x0a"
"}\x0a"
"\x0a"
"//  This function returns the 64-bit value of the instruction pointer (IP).\x0a"
"//\x0a"
"//  During unwinding, the value is guaranteed to be the address of the bundle\x0a"
"//  immediately following the call site in the function identified by the\x0a"
"//  unwind context. This value may be outside of the procedure fragment for a\x0a"
"//  function call that is known to not return (such as _Unwind_Resume).\x0a"
"uintptr_t _Unwind_GetIP( _Unwind_Context *ctx ) {\x0a"
"    __dios\x3a\x3aInterruptMask _;\x0a"
"    // should point immediatelly AFTER the call site\x0a"
"    return 1 + uintptr_t( __dios_find_instruction_in_block( ctx->pc(), -1, OpCode\x3a\x3aOpBB ) );\x0a"
"}\x0a"
"\x0a"
"static inline bool shouldCallPersonality( _DiOS_FunAttrs \x26""attrs, _Unwind_Context \x26""ctx ) {\x0a"
"    return attrs.personality\x0a"
"            // we must not call personality if there is not active invoke in\x0a"
"            // the targert, it could overflow the EH table\x0a"
"            \x26\x26 __dios_get_opcode( ctx.pc() ) == OpCode\x3a\x3aInvoke;\x0a"
"}\x0a"
"\x0a"
"// internal, used in _Unwind_RaiseException and _Unwind_Resume for the actual\x0a"
"// stack unwinding\x0a"
"static _Unwind_Reason_Code _Unwind_Phase2( _VM_Frame *topFrame, _Unwind_Context \x26""foundCtx,\x0a"
"                                   _Unwind_Exception *exception, __dios\x3a\x3aInterruptMask \x26mask )\x0a"
"    __attribute__((__annotate__(\x22lart.interrupt.skipcfl\x22)))\x0a"
"{\x0a"
"    for ( _Unwind_Context ctx( topFrame ); ctx; ctx.next() )\x0a"
"    {\x0a"
"        auto attrs = __dios_get_func_exception_attrs( ctx.pc() );\x0a"
"        if ( \x21shouldCallPersonality( attrs, ctx ) )\x0a"
"            continue;\x0a"
"        auto pers = reinterpret_cast< __personality_routine >( attrs.personality );\x0a"
"        int flags = _UA_CLEANUP_PHASE;\x0a"
"        if ( ctx.frame == foundCtx.frame )\x0a"
"            flags \x7c= _UA_HANDLER_FRAME;\x0a"
"        auto r = mask.without( \x5b\x26\x5d {\x0a"
"            return pers( unwindVersion, _Unwind_Action( flags ), exception->exception_class, exception, \x26""ctx );\x0a"
"        } );\x0a"
"        if ( (flags \x26 _UA_HANDLER_FRAME) \x26\x26 r \x21= _URC_INSTALL_CONTEXT ) {\x0a"
"            __dios_trace( 0, \x22Unwinder Fatal Error\x3a Frame which indicated handler in phase 1 refused in phase 2\x22 );\x0a"
"            return _URC_FATAL_PHASE2_ERROR;\x0a"
"        }\x0a"
"        if ( r == _URC_INSTALL_CONTEXT ) {\x0a"
"            // save mask state before it is removed from the stack\x0a"
"            auto maskState = mask._origState();\x0a"
"            // kill the part of stack which will be jumped over\x0a"
"            __dios_stack_free( __dios_parent_frame(), ctx.frame );\x0a"
"            __dios_assert( ctx.jumpPC \x21= 0 );\x0a"
"            // unwinder has to put the mask to the same state as it was before throw/resume\x0a"
"            __dios_jump( ctx.frame, reinterpret_cast< void (*)() >( ctx.jumpPC ), maskState );\x0a"
"        }\x0a"
"    }\x0a"
"    return _URC_END_OF_STACK;\x0a"
"}\x0a"
"\x0a"
"//  Raise an exception, passing along the given exception object, which should\x0a"
"//  have its exception_class and exception_cleanup fields set. The exception\x0a"
"//  object has been allocated by the language-specific runtime, and has a\x0a"
"//  language-specific format, except that it must contain an _Unwind_Exception\x0a"
"//  struct (see Exception Header above). _Unwind_RaiseException does not\x0a"
"//  return, unless an error condition is found (such as no handler for the\x0a"
"//  exception, bad stack format, etc.). In such a case, an _Unwind_Reason_Code\x0a"
"//  value is returned. Possibilities are\x3a\x0a"
"//\x0a"
"//      _URC_END_OF_STACK\x3a The unwinder encountered the end of the stack during\x0a"
"//      phase 1, without finding a handler. The unwind runtime will not have\x0a"
"//      modified the stack. The C++ runtime will normally call\x0a"
"//      uncaught_exception() in this case.\x0a"
"//\x0a"
"//      _URC_FATAL_PHASE1_ERROR\x3a The unwinder encountered an unexpected error\x0a"
"//      during phase 1, e.g. stack corruption. The unwind runtime will not have\x0a"
"//      modified the stack. The C++ runtime will normally call terminate() in\x0a"
"//      this case.\x0a"
"//\x0a"
"//  If the unwinder encounters an unexpected error during phase 2, it should\x0a"
"//  return _URC_FATAL_PHASE2_ERROR to its caller. In C++, this will usually be\x0a"
"//  __cxa_throw, which will call terminate().\x0a"
"_Unwind_Reason_Code _Unwind_RaiseException( _Unwind_Exception *exception )\x0a"
"    __attribute__((__annotate__(\x22lart.interrupt.skipcfl\x22)))\x0a"
"{\x0a"
"    __dios\x3a\x3aInterruptMask mask;\x0a"
"\x0a"
"    auto *topFrame = __dios_this_frame()->parent;\x0a"
"    _Unwind_Context foundCtx;\x0a"
"\x0a"
"    for ( _Unwind_Context ctx( topFrame ); ctx; ctx.next() )\x0a"
"    {\x0a"
"        auto attrs = __dios_get_func_exception_attrs( ctx.pc() );\x0a"
"        if ( shouldCallPersonality( attrs, ctx ) )\x0a"
"        {\x0a"
"            auto pers = reinterpret_cast< __personality_routine >( attrs.personality );\x0a"
"            // personality in not part of the unwinder and therefore should be\x0a"
"            // allowed to interleave with other threads\x0a"
"            auto r = mask.without( \x5b\x26\x5d {\x0a"
"                return pers( unwindVersion, _UA_SEARCH_PHASE, exception->exception_class, exception, \x26""ctx );\x0a"
"            } );\x0a"
"            if ( r == _URC_HANDLER_FOUND ) {\x0a"
"                foundCtx = ctx;\x0a"
"                break;\x0a"
"            }\x0a"
"        }\x0a"
"\x0a"
"        if ( attrs.is_nounwind )\x0a"
"        {\x0a"
"            auto meta = __md_get_pc_meta( ctx.pc() );\x0a"
"            auto entry = meta->entry_point;\x0a"
"            if ( entry \x21= reinterpret_cast< void (*)() >( \x26__dios_start ) \x26\x26\x0a"
"                 entry \x21= reinterpret_cast< void (*)() >( \x26__pthread_entry ) \x26\x26\x0a"
"                 entry \x21= reinterpret_cast< void (*)() >( \x26__pthread_start ) )\x0a"
"            {\x0a"
"                /* TODO demangle the name\x3f */\x0a"
"                __dios_trace_f( \x22unexpected nounwind function\x3a \x25s\x22, meta->name );\x0a"
"                __dios_fault( _VM_F_Control, \x22""Exception thrown out of nounwind function\x22 );\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    if ( \x21""foundCtx )\x0a"
"        return _URC_END_OF_STACK;\x0a"
"\x0a"
"    foundCtx.fill( exception );\x0a"
"\x0a"
"    _Unwind_Reason_Code r = _Unwind_Phase2( topFrame, foundCtx, exception, mask );\x0a"
"\x0a"
"    // Phase2 des not return unless there was an error\x0a"
"    __dios_trace( 0, \x22Unwinder Fatal Error\x3a handler not found in phase 2\x22 );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"//  Resume propagation of an existing exception e.g. after executing cleanup\x0a"
"//  code in a partially unwound stack. A call to this routine is inserted at\x0a"
"//  the end of a landing pad that performed cleanup, but did not resume normal\x0a"
"//  execution. It causes unwinding to proceed further.\x0a"
"void _Unwind_Resume( _Unwind_Exception *exception ) {\x0a"
"    __dios\x3a\x3aInterruptMask mask;\x0a"
"    auto topFrame = __dios_this_frame()->parent;\x0a"
"    _Unwind_Context foundCtx( exception );\x0a"
"    _Unwind_Phase2( topFrame, foundCtx, exception, mask );\x0a"
"    __dios_fault( _VM_F_Control,\x0a"
"                  \x22Unwinder Fatal Error\x3a resume did not found any exception handler\x22 );\x0a"
"    __builtin_trap();\x0a"
"}\x0a"
"\x0a"
"// Deletes the given exception object. If a given runtime resumes normal\x0a"
"// execution after catching a foreign exception, it will not know how to delete\x0a"
"// that exception. Such an exception will be deleted by calling\x0a"
"// _Unwind_DeleteException. This is a convenience function that calls the\x0a"
"// function pointed to by the exception_cleanup field of the exception header.\x0a"
"void _Unwind_DeleteException( _Unwind_Exception *exception ) {\x0a"
"    if ( exception->exception_cleanup \x21= nullptr )\x0a"
"        (*exception->exception_cleanup)( _URC_FOREIGN_EXCEPTION_CAUGHT,\x0a"
"                                                exception );\x0a"
"}\x0a"
"\x0a"
"// This routine returns the address of the language-specific data area for the\x0a"
"// current stack frame.\x0a"
"uintptr_t _Unwind_GetLanguageSpecificData( _Unwind_Context *ctx ) {\x0a"
"    __dios\x3a\x3aInterruptMask _;\x0a"
"    return uintptr_t( __dios_get_func_exception_attrs( ctx->pc() ).lsda );\x0a"
"}\x0a"
"\x0a"
"//  This routine returns the address of the beginning of the procedure or code\x0a"
"//  fragment described by the current unwind descriptor block.\x0a"
"//\x0a"
"//  This information is required to access any data stored relative to the\x0a"
"//  beginning of the procedure fragment. For instance, a call site table might\x0a"
"//  be stored relative to the beginning of the procedure fragment that contains\x0a"
"//  the calls. During unwinding, the function returns the start of the\x0a"
"//  procedure fragment containing the call site in the current stack frame.\x0a"
"uintptr_t _Unwind_GetRegionStart( _Unwind_Context *ctx ) {\x0a"
"    return uintptr_t( __dios_get_function_entry( ctx->pc() ) );\x0a"
"}\x0a"
"", 12573 ); }