#include <string_view>
namespace divine::str::dios {
extern const std::string_view config_static_cpp( 
"/*\x0a"
" * This is a DiOS configuration used in the static checking (SHOOP) mode.\x0a"
" * At the moment, it is derived from the null configuration (i.e. it traps on every syscall)\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/syscall.h>\x0a"
"#include <sys/no_memory_tags.def>\x0a"
"\x0a"
"#define SYSCALL( name, schedule, ret, arg ) ret SysProxy\x3a\x3aname arg noexcept { __builtin_trap(); }\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"    #include <sys/syscall.def>\x0a"
"}\x0a"
"\x0a"
"#undef SYSCALL\x0a"
"#include <sys/no_memory_tags.undef>\x0a"
"\x0a"
"#include <sys/divm.h>\x0a"
"#include <sys/task.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#include <dios.h>\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"// This is the hook point for the currently tested function\x0a"
"void __tester();\x0a"
"\x0a"
"void __fault_handler( _VM_Fault, _VM_Frame *, void (*)() )\x0a"
"{\x0a"
"    __vm_ctl_flag( 0, _VM_CF_Error );\x0a"
"\x0a"
"    __vm_suspend();\x0a"
"}\x0a"
"\x0a"
"void __scheduler()\x0a"
"{\x0a"
"    __dios_task task = __CAST( __dios_task, __vm_obj_make( sizeof( struct __dios_tls ), _VM_PT_Heap ) );\x0a"
"    __vm_ctl_set( _VM_CR_User2, task );\x0a"
"\x0a"
"    __tester();\x0a"
"\x0a"
"    __vm_suspend();\x0a"
"}\x0a"
"\x0a"
"void __dios_boot( const _VM_Env * )\x0a"
"{\x0a"
"    __vm_ctl_set( _VM_CR_FaultHandler, reinterpret_cast< void * >( __fault_handler ) );\x0a"
"    __vm_ctl_set( _VM_CR_Scheduler, reinterpret_cast< void * >( __scheduler ) );\x0a"
"\x0a"
"    __vm_ctl_set( _VM_CR_State, __vm_obj_make( 4, _VM_PT_Heap ) );\x0a"
"\x0a"
"    __vm_suspend();\x0a"
"}\x0a"
"\x0a"
"void __boot( const _VM_Env *env )\x0a"
"{\x0a"
"    __dios_boot( env );\x0a"
"    __vm_suspend();\x0a"
"}\x0a"
"\x0a"
"__END_DECLS\x0a"
"", 1366 ); }