#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_errno_h( 
"#ifndef _ASM_GENERIC_ERRNO_H\x0a"
"#define _ASM_GENERIC_ERRNO_H\x0a"
"\x0a"
"#define\x09""EPERM\x09\x09 1\x09/* Operation not permitted */\x0a"
"#define\x09""ENOENT\x09\x09 2\x09/* No such file or directory */\x0a"
"#define\x09""ESRCH\x09\x09 3\x09/* No such process */\x0a"
"#define\x09""EINTR\x09\x09 4\x09/* Interrupted system call */\x0a"
"#define\x09""EIO\x09\x09 5\x09/* I/O error */\x0a"
"#define\x09""ENXIO\x09\x09 6\x09/* No such device or address */\x0a"
"#define\x09""E2BIG\x09\x09 7\x09/* Argument list too long */\x0a"
"#define\x09""ENOEXEC\x09\x09 8\x09/* Exec format error */\x0a"
"#define\x09""EBADF\x09\x09 9\x09/* Bad file number */\x0a"
"#define\x09""ECHILD\x09\x09""10\x09/* No child processes */\x0a"
"#define\x09""EAGAIN\x09\x09""11\x09/* Try again */\x0a"
"#define\x09""ENOMEM\x09\x09""12\x09/* Out of memory */\x0a"
"#define\x09""EACCES\x09\x09""13\x09/* Permission denied */\x0a"
"#define\x09""EFAULT\x09\x09""14\x09/* Bad address */\x0a"
"#define\x09""ENOTBLK\x09\x09""15\x09/* Block device required */\x0a"
"#define\x09""EBUSY\x09\x09""16\x09/* Device or resource busy */\x0a"
"#define\x09""EEXIST\x09\x09""17\x09/* File exists */\x0a"
"#define\x09""EXDEV\x09\x09""18\x09/* Cross-device link */\x0a"
"#define\x09""ENODEV\x09\x09""19\x09/* No such device */\x0a"
"#define\x09""ENOTDIR\x09\x09""20\x09/* Not a directory */\x0a"
"#define\x09""EISDIR\x09\x09""21\x09/* Is a directory */\x0a"
"#define\x09""EINVAL\x09\x09""22\x09/* Invalid argument */\x0a"
"#define\x09""ENFILE\x09\x09""23\x09/* File table overflow */\x0a"
"#define\x09""EMFILE\x09\x09""24\x09/* Too many open files */\x0a"
"#define\x09""ENOTTY\x09\x09""25\x09/* Not a typewriter */\x0a"
"#define\x09""ETXTBSY\x09\x09""26\x09/* Text file busy */\x0a"
"#define\x09""EFBIG\x09\x09""27\x09/* File too large */\x0a"
"#define\x09""ENOSPC\x09\x09""28\x09/* No space left on device */\x0a"
"#define\x09""ESPIPE\x09\x09""29\x09/* Illegal seek */\x0a"
"#define\x09""EROFS\x09\x09""30\x09/* Read-only file system */\x0a"
"#define\x09""EMLINK\x09\x09""31\x09/* Too many links */\x0a"
"#define\x09""EPIPE\x09\x09""32\x09/* Broken pipe */\x0a"
"#define\x09""EDOM\x09\x09""33\x09/* Math argument out of domain of func */\x0a"
"#define\x09""ERANGE\x09\x09""34\x09/* Math result not representable */\x0a"
"\x0a"
"#define\x09""EDEADLK\x09\x09""35\x09/* Resource deadlock would occur */\x0a"
"#define\x09""ENAMETOOLONG\x09""36\x09/* File name too long */\x0a"
"#define\x09""ENOLCK\x09\x09""37\x09/* No record locks available */\x0a"
"#define\x09""ENOSYS\x09\x09""38\x09/* Function not implemented */\x0a"
"#define\x09""ENOTEMPTY\x09""39\x09/* Directory not empty */\x0a"
"#define\x09""ELOOP\x09\x09""40\x09/* Too many symbolic links encountered */\x0a"
"#define\x09""EWOULDBLOCK\x09""EAGAIN\x09/* Operation would block */\x0a"
"#define\x09""ENOMSG\x09\x09""42\x09/* No message of desired type */\x0a"
"#define\x09""EIDRM\x09\x09""43\x09/* Identifier removed */\x0a"
"#define\x09""ECHRNG\x09\x09""44\x09/* Channel number out of range */\x0a"
"#define\x09""EL2NSYNC\x09""45\x09/* Level 2 not synchronized */\x0a"
"#define\x09""EL3HLT\x09\x09""46\x09/* Level 3 halted */\x0a"
"#define\x09""EL3RST\x09\x09""47\x09/* Level 3 reset */\x0a"
"#define\x09""ELNRNG\x09\x09""48\x09/* Link number out of range */\x0a"
"#define\x09""EUNATCH\x09\x09""49\x09/* Protocol driver not attached */\x0a"
"#define\x09""ENOCSI\x09\x09""50\x09/* No CSI structure available */\x0a"
"#define\x09""EL2HLT\x09\x09""51\x09/* Level 2 halted */\x0a"
"#define\x09""EBADE\x09\x09""52\x09/* Invalid exchange */\x0a"
"#define\x09""EBADR\x09\x09""53\x09/* Invalid request descriptor */\x0a"
"#define\x09""EXFULL\x09\x09""54\x09/* Exchange full */\x0a"
"#define\x09""ENOANO\x09\x09""55\x09/* No anode */\x0a"
"#define\x09""EBADRQC\x09\x09""56\x09/* Invalid request code */\x0a"
"#define\x09""EBADSLT\x09\x09""57\x09/* Invalid slot */\x0a"
"\x0a"
"#define\x09""EDEADLOCK\x09""EDEADLK\x0a"
"\x0a"
"#define\x09""EBFONT\x09\x09""59\x09/* Bad font file format */\x0a"
"#define\x09""ENOSTR\x09\x09""60\x09/* Device not a stream */\x0a"
"#define\x09""ENODATA\x09\x09""61\x09/* No data available */\x0a"
"#define\x09""ETIME\x09\x09""62\x09/* Timer expired */\x0a"
"#define\x09""ENOSR\x09\x09""63\x09/* Out of streams resources */\x0a"
"#define\x09""ENONET\x09\x09""64\x09/* Machine is not on the network */\x0a"
"#define\x09""ENOPKG\x09\x09""65\x09/* Package not installed */\x0a"
"#define\x09""EREMOTE\x09\x09""66\x09/* Object is remote */\x0a"
"#define\x09""ENOLINK\x09\x09""67\x09/* Link has been severed */\x0a"
"#define\x09""EADV\x09\x09""68\x09/* Advertise error */\x0a"
"#define\x09""ESRMNT\x09\x09""69\x09/* Srmount error */\x0a"
"#define\x09""ECOMM\x09\x09""70\x09/* Communication error on send */\x0a"
"#define\x09""EPROTO\x09\x09""71\x09/* Protocol error */\x0a"
"#define\x09""EMULTIHOP\x09""72\x09/* Multihop attempted */\x0a"
"#define\x09""EDOTDOT\x09\x09""73\x09/* RFS specific error */\x0a"
"#define\x09""EBADMSG\x09\x09""74\x09/* Not a data message */\x0a"
"#define\x09""EOVERFLOW\x09""75\x09/* Value too large for defined data type */\x0a"
"#define\x09""ENOTUNIQ\x09""76\x09/* Name not unique on network */\x0a"
"#define\x09""EBADFD\x09\x09""77\x09/* File descriptor in bad state */\x0a"
"#define\x09""EREMCHG\x09\x09""78\x09/* Remote address changed */\x0a"
"#define\x09""ELIBACC\x09\x09""79\x09/* Can not access a needed shared library */\x0a"
"#define\x09""ELIBBAD\x09\x09""80\x09/* Accessing a corrupted shared library */\x0a"
"#define\x09""ELIBSCN\x09\x09""81\x09/* .lib section in a.out corrupted */\x0a"
"#define\x09""ELIBMAX\x09\x09""82\x09/* Attempting to link in too many shared libraries */\x0a"
"#define\x09""ELIBEXEC\x09""83\x09/* Cannot exec a shared library directly */\x0a"
"#define\x09""EILSEQ\x09\x09""84\x09/* Illegal byte sequence */\x0a"
"#define\x09""ERESTART\x09""85\x09/* Interrupted system call should be restarted */\x0a"
"#define\x09""ESTRPIPE\x09""86\x09/* Streams pipe error */\x0a"
"#define\x09""EUSERS\x09\x09""87\x09/* Too many users */\x0a"
"#define\x09""ENOTSOCK\x09""88\x09/* Socket operation on non-socket */\x0a"
"#define\x09""EDESTADDRREQ\x09""89\x09/* Destination address required */\x0a"
"#define\x09""EMSGSIZE\x09""90\x09/* Message too long */\x0a"
"#define\x09""EPROTOTYPE\x09""91\x09/* Protocol wrong type for socket */\x0a"
"#define\x09""ENOPROTOOPT\x09""92\x09/* Protocol not available */\x0a"
"#define\x09""EPROTONOSUPPORT\x09""93\x09/* Protocol not supported */\x0a"
"#define\x09""ESOCKTNOSUPPORT\x09""94\x09/* Socket type not supported */\x0a"
"#define\x09""EOPNOTSUPP\x09""95\x09/* Operation not supported on transport endpoint */\x0a"
"#define\x09""EPFNOSUPPORT\x09""96\x09/* Protocol family not supported */\x0a"
"#define\x09""EAFNOSUPPORT\x09""97\x09/* Address family not supported by protocol */\x0a"
"#define\x09""EADDRINUSE\x09""98\x09/* Address already in use */\x0a"
"#define\x09""EADDRNOTAVAIL\x09""99\x09/* Cannot assign requested address */\x0a"
"#define\x09""ENETDOWN\x09""100\x09/* Network is down */\x0a"
"#define\x09""ENETUNREACH\x09""101\x09/* Network is unreachable */\x0a"
"#define\x09""ENETRESET\x09""102\x09/* Network dropped connection because of reset */\x0a"
"#define\x09""ECONNABORTED\x09""103\x09/* Software caused connection abort */\x0a"
"#define\x09""ECONNRESET\x09""104\x09/* Connection reset by peer */\x0a"
"#define\x09""ENOBUFS\x09\x09""105\x09/* No buffer space available */\x0a"
"#define\x09""EISCONN\x09\x09""106\x09/* Transport endpoint is already connected */\x0a"
"#define\x09""ENOTCONN\x09""107\x09/* Transport endpoint is not connected */\x0a"
"#define\x09""ESHUTDOWN\x09""108\x09/* Cannot send after transport endpoint shutdown */\x0a"
"#define\x09""ETOOMANYREFS\x09""109\x09/* Too many references\x3a cannot splice */\x0a"
"#define\x09""ETIMEDOUT\x09""110\x09/* Connection timed out */\x0a"
"#define\x09""ECONNREFUSED\x09""111\x09/* Connection refused */\x0a"
"#define\x09""EHOSTDOWN\x09""112\x09/* Host is down */\x0a"
"#define\x09""EHOSTUNREACH\x09""113\x09/* No route to host */\x0a"
"#define\x09""EALREADY\x09""114\x09/* Operation already in progress */\x0a"
"#define\x09""EINPROGRESS\x09""115\x09/* Operation now in progress */\x0a"
"#define\x09""ESTALE\x09\x09""116\x09/* Stale NFS file handle */\x0a"
"#define\x09""EUCLEAN\x09\x09""117\x09/* Structure needs cleaning */\x0a"
"#define\x09""ENOTNAM\x09\x09""118\x09/* Not a XENIX named type file */\x0a"
"#define\x09""ENAVAIL\x09\x09""119\x09/* No XENIX semaphores available */\x0a"
"#define\x09""EISNAM\x09\x09""120\x09/* Is a named type file */\x0a"
"#define\x09""EREMOTEIO\x09""121\x09/* Remote I/O error */\x0a"
"#define\x09""EDQUOT\x09\x09""122\x09/* Quota exceeded */\x0a"
"\x0a"
"#define\x09""ENOMEDIUM\x09""123\x09/* No medium found */\x0a"
"#define\x09""EMEDIUMTYPE\x09""124\x09/* Wrong medium type */\x0a"
"#define\x09""ECANCELED\x09""125\x09/* Operation Canceled */\x0a"
"#define\x09""ENOKEY\x09\x09""126\x09/* Required key not available */\x0a"
"#define\x09""EKEYEXPIRED\x09""127\x09/* Key has expired */\x0a"
"#define\x09""EKEYREVOKED\x09""128\x09/* Key has been revoked */\x0a"
"#define\x09""EKEYREJECTED\x09""129\x09/* Key was rejected by service */\x0a"
"\x0a"
"/* for robust mutexes */\x0a"
"#define\x09""EOWNERDEAD\x09""130\x09/* Owner died */\x0a"
"#define\x09""ENOTRECOVERABLE\x09""131\x09/* State not recoverable */\x0a"
"\x0a"
"#define ERFKILL\x09\x09""132\x09/* Operation not possible due to RF-kill */\x0a"
"\x0a"
"#define EHWPOISON\x09""133\x09/* Memory page has hardware error */\x0a"
"\x0a"
"#define ENOTSUP     134 /* Operation not supported (POSIX.1) */\x0a"
"#define EOPNOTSUPP  135 /* Operation not supported on socket (POSIX.1) */\x0a"
"\x0a"
"#define ELAST       EOPNOTSUPP\x0a"
"\x0a"
"#endif\x0a"
"", 6857 ); }