#include <string_view>
namespace divine::str::dios {
extern const std::string_view include__PDCLIB_float_h( 
"/* PDCLib internal floating point logic <_PDCLIB_float.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef __PDCLIB_PDCLIB_FLOAT_H\x0a"
"#define __PDCLIB_PDCLIB_FLOAT_H __PDCLIB_PDCLIB_FLOAT_H\x0a"
"\x0a"
"/* IEEE 754 single precision */\x0a"
"#define _PDCLIB_FP_SINGLE_MIN 1.17549435082228750797e-38\x0a"
"#define _PDCLIB_FP_SINGLE_EPSILON 1.19209289550781250000e-7\x0a"
"#define _PDCLIB_FP_SINGLE_HAS_DENORM 1\x0a"
"#define _PDCLIB_FP_SINGLE_MIN_EXP -125\x0a"
"#define _PDCLIB_FP_SINGLE_MANT_DIG 24\x0a"
"#define _PDCLIB_FP_SINGLE_RADIX 2\x0a"
"#define _PDCLIB_FP_SINGLE_HAS_QUIET_NAN 1\x0a"
"#define _PDCLIB_FP_SINGLE_MAX_10_EXP 38\x0a"
"#define _PDCLIB_FP_SINGLE_HAS_INFINITY 1\x0a"
"#define _PDCLIB_FP_SINGLE_DIG 6\x0a"
"#define _PDCLIB_FP_SINGLE_MAX_EXP 128\x0a"
"#define _PDCLIB_FP_SINGLE_DENORM_MIN 1.40129846432481707092e-45\x0a"
"#define _PDCLIB_FP_SINGLE_MAX 3.40282346638528859812e+38\x0a"
"#define _PDCLIB_FP_SINGLE_MIN_10_EXP -37\x0a"
"\x0a"
"/* IEEE 754 double precision */\x0a"
"#define _PDCLIB_FP_DOUBLE_MIN_EXP -1021\x0a"
"#define _PDCLIB_FP_DOUBLE_DENORM_MIN 4.94065645841246544177e-324\x0a"
"#define _PDCLIB_FP_DOUBLE_MIN_10_EXP -307\x0a"
"#define _PDCLIB_FP_DOUBLE_DIG 15\x0a"
"#define _PDCLIB_FP_DOUBLE_MAX 1.79769313486231570815e+308\x0a"
"#define _PDCLIB_FP_DOUBLE_HAS_INFINITY 1\x0a"
"#define _PDCLIB_FP_DOUBLE_MAX_EXP 1024\x0a"
"#define _PDCLIB_FP_DOUBLE_MIN 2.22507385850720138309e-308\x0a"
"#define _PDCLIB_FP_DOUBLE_HAS_DENORM 1\x0a"
"#define _PDCLIB_FP_DOUBLE_HAS_QUIET_NAN 1\x0a"
"#define _PDCLIB_FP_DOUBLE_MANT_DIG 53\x0a"
"#define _PDCLIB_FP_DOUBLE_EPSILON 2.22044604925031308085e-16\x0a"
"#define _PDCLIB_FP_DOUBLE_MAX_10_EXP 308\x0a"
"\x0a"
"/* IEEE 754 80-bit extended precision */\x0a"
"#define _PDCLIB_FP_EXTENDED_MAX 1.18973149535723176502e+4932\x0a"
"#define _PDCLIB_FP_EXTENDED_MAX_EXP 16384\x0a"
"#define _PDCLIB_FP_EXTENDED_HAS_INFINITY 1\x0a"
"#define _PDCLIB_FP_EXTENDED_MIN 3.36210314311209350626e-4932\x0a"
"#define _PDCLIB_FP_EXTENDED_HAS_QUIET_NAN 1\x0a"
"#define _PDCLIB_FP_EXTENDED_HAS_DENORM 1\x0a"
"#define _PDCLIB_FP_EXTENDED_EPSILON 1.08420217248550443401e-19\x0a"
"#define _PDCLIB_FP_EXTENDED_MANT_DIG 64\x0a"
"#define _PDCLIB_FP_EXTENDED_MIN_EXP (-16381)\x0a"
"#define _PDCLIB_FP_EXTENDED_MAX_10_EXP 4932\x0a"
"#define _PDCLIB_FP_EXTENDED_DENORM_MIN 3.64519953188247460253e-4951\x0a"
"#define _PDCLIB_FP_EXTENDED_MIN_10_EXP (-4931)\x0a"
"#define _PDCLIB_FP_EXTENDED_DIG 18\x0a"
"\x0a"
"/* TODO\x3a IEEE754 quadruple precision (_PDCLIB_FP_QUADRUPLE_*) and\x0a"
"         \x22""double-double\x22 math\x0a"
" */\x0a"
"\x0a"
"#define _PDCLIB_FLT_RADIX       _PDCLIB_FP_SINGLE_RADIX\x0a"
"#define _PDCLIB_FLT_MANT_DIG    _PDCLIB_FP_SINGLE_MANT_DIG\x0a"
"#define _PDCLIB_FLT_DIG         _PDCLIB_FP_SINGLE_DIG\x0a"
"#define _PDCLIB_FLT_EPSILON     _PDCLIB_concat( _PDCLIB_FP_SINGLE_EPSILON, f )\x0a"
"#define _PDCLIB_FLT_MIN_EXP     _PDCLIB_FP_SINGLE_MIN_EXP\x0a"
"#define _PDCLIB_FLT_MIN         _PDCLIB_concat( _PDCLIB_FP_SINGLE_MIN, f )\x0a"
"#define _PDCLIB_FLT_MIN_10_EXP  _PDCLIB_FP_SINGLE_MIN_10_EXP\x0a"
"#define _PDCLIB_FLT_MAX_EXP     _PDCLIB_FP_SINGLE_MAX_EXP\x0a"
"#define _PDCLIB_FLT_MAX         _PDCLIB_concat( _PDCLIB_FP_SINGLE_MAX, f )\x0a"
"#define _PDCLIB_FLT_MAX_10_EXP  _PDCLIB_FP_SINGLE_MAX_10_EXP\x0a"
"\x0a"
"#define _PDCLIB_DBL_RADIX       _PDCLIB_FP_DOUBLE_RADIX\x0a"
"#define _PDCLIB_DBL_MANT_DIG    _PDCLIB_FP_DOUBLE_MANT_DIG\x0a"
"#define _PDCLIB_DBL_DIG         _PDCLIB_FP_DOUBLE_DIG\x0a"
"#define _PDCLIB_DBL_EPSILON     _PDCLIB_FP_DOUBLE_EPSILON\x0a"
"#define _PDCLIB_DBL_MIN_EXP     _PDCLIB_FP_DOUBLE_MIN_EXP\x0a"
"#define _PDCLIB_DBL_MIN         _PDCLIB_FP_DOUBLE_MIN\x0a"
"#define _PDCLIB_DBL_MIN_10_EXP  _PDCLIB_FP_DOUBLE_MIN_10_EXP\x0a"
"#define _PDCLIB_DBL_MAX_EXP     _PDCLIB_FP_DOUBLE_MAX_EXP\x0a"
"#define _PDCLIB_DBL_MAX         _PDCLIB_FP_DOUBLE_MAX\x0a"
"#define _PDCLIB_DBL_MAX_10_EXP  _PDCLIB_FP_DOUBLE_MAX_10_EXP\x0a"
"\x0a"
"#define _PDCLIB_LDBL_RADIX       _PDCLIB_FP_EXTENDED_RADIX\x0a"
"#define _PDCLIB_LDBL_MANT_DIG    _PDCLIB_FP_EXTENDED_MANT_DIG\x0a"
"#define _PDCLIB_LDBL_DIG         _PDCLIB_FP_EXTENDED_DIG\x0a"
"#define _PDCLIB_LDBL_EPSILON     _PDCLIB_concat( _PDCLIB_FP_EXTENDED_EPSILON, l )\x0a"
"#define _PDCLIB_LDBL_MIN_EXP     _PDCLIB_FP_EXTENDED_MIN_EXP\x0a"
"#define _PDCLIB_LDBL_MIN         _PDCLIB_concat( _PDCLIB_FP_EXTENDED_MIN, l )\x0a"
"#define _PDCLIB_LDBL_MIN_10_EXP  _PDCLIB_FP_EXTENDED_MIN_10_EXP\x0a"
"#define _PDCLIB_LDBL_MAX_EXP     _PDCLIB_FP_EXTENDED_MAX_EXP\x0a"
"#define _PDCLIB_LDBL_MAX         _PDCLIB_concat( _PDCLIB_FP_EXTENDED_MAX, l )\x0a"
"#define _PDCLIB_LDBL_MAX_10_EXP  _PDCLIB_FP_EXTENDED_MAX_10_EXP\x0a"
"\x0a"
"#endif\x0a"
"", 4233 ); }