#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_arpa_inet_h( 
"/*\x09\x24OpenBSD\x3a inet.h,v 1.21 2017/02/04 19\x3a""16\x3a""25 guenther Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * ++Copyright++ 1983, 1993\x0a"
" * -\x0a"
" * Copyright (c) 1983, 1993\x0a"
" *    The Regents of the University of California.  All rights reserved.\x0a"
" * \x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" * \x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" * -\x0a"
" * Portions Copyright (c) 1993 by Digital Equipment Corporation.\x0a"
" * \x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies, and that\x0a"
" * the name of Digital Equipment Corporation not be used in advertising or\x0a"
" * publicity pertaining to distribution of the document or software without\x0a"
" * specific, written prior permission.\x0a"
" * \x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL\x0a"
" * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES\x0a"
" * OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT\x0a"
" * CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL\x0a"
" * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR\x0a"
" * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS\x0a"
" * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS\x0a"
" * SOFTWARE.\x0a"
" * -\x0a"
" * --Copyright--\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" *\x09\x40(#)inet.h\x09""8.1 (Berkeley) 6/2/93\x0a"
" *\x09\x24""From\x3a inet.h,v 8.6 1996/08/08 06\x3a""54\x3a""29 vixie Exp \x24\x0a"
" */\x0a"
"\x0a"
"#ifndef _INET_H_\x0a"
"#define\x09_INET_H_\x0a"
"\x0a"
"/* External definitions for functions in inet(3) */\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/_endian.h>\x0a"
"\x0a"
"#ifndef htons\x0a"
"#define htons(x)\x09__htobe16(x)\x0a"
"#define htonl(x)\x09__htobe32(x)\x0a"
"#define ntohs(x)\x09__htobe16(x)\x0a"
"#define ntohl(x)\x09__htobe32(x)\x0a"
"#endif\x0a"
"\x0a"
"#ifndef\x09_UINT16_T_DEFINED_\x0a"
"#define\x09_UINT16_T_DEFINED_\x0a"
"typedef\x09__uint16_t\x09uint16_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef\x09_UINT32_T_DEFINED_\x0a"
"#define\x09_UINT32_T_DEFINED_\x0a"
"typedef\x09__uint32_t\x09uint32_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef\x09_SOCKLEN_T_DEFINED_\x0a"
"#define\x09_SOCKLEN_T_DEFINED_\x0a"
"typedef\x09__socklen_t\x09socklen_t;\x09/* length type for network syscalls */\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _IN_TYPES_DEFINED_\x0a"
"#define _IN_TYPES_DEFINED_\x0a"
"typedef __in_addr_t\x09in_addr_t;\x09/* base type for internet address */\x0a"
"typedef __in_port_t\x09in_port_t;\x09/* IP port type */\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Buffer lengths for strings containing printable IP addresses\x0a"
" */\x0a"
"#ifndef INET_ADDRSTRLEN\x0a"
"#define INET_ADDRSTRLEN\x09\x09""16\x0a"
"#endif\x0a"
"#ifndef INET6_ADDRSTRLEN\x0a"
"#define INET6_ADDRSTRLEN\x09""46\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _IN_ADDR_DECLARED\x0a"
"#define _IN_ADDR_DECLARED\x0a"
"/*\x0a"
" * IP Version 4 Internet address (a structure for historical reasons)\x0a"
" */\x0a"
"struct in_addr {\x0a"
"\x09in_addr_t s_addr;\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"/* need this for the non-standard stuff */\x0a"
"#ifndef _SIZE_T_DEFINED_\x0a"
"#define _SIZE_T_DEFINED_\x0a"
"typedef __size_t\x09size_t;\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"in_addr_t\x09 inet_addr(const char *);\x0a"
"char\x09\x09*inet_ntoa(struct in_addr);\x0a"
"const char\x09*inet_ntop(int, const void *__restrict, char *__restrict,\x0a"
"\x09\x09    socklen_t) __attribute__ ((__bounded__(__string__,3,4)));\x0a"
"int\x09\x09 inet_pton(int, const char *__restrict, void *__restrict);\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09\x09 inet_aton(const char *, struct in_addr *);\x0a"
"in_addr_t\x09 inet_lnaof(struct in_addr);\x0a"
"struct in_addr\x09 inet_makeaddr(in_addr_t , in_addr_t);\x0a"
"char *\x09\x09 inet_neta(in_addr_t, char *, size_t)\x0a"
"\x09\x09\x09__attribute__((__bounded__(__string__,2,3)));\x0a"
"in_addr_t\x09 inet_netof(struct in_addr);\x0a"
"in_addr_t\x09 inet_network(const char *);\x0a"
"char\x09\x09*inet_net_ntop(int, const void *, int, char *, size_t)\x0a"
"\x09\x09\x09__attribute__((__bounded__(__string__,4,5)));\x0a"
"int\x09\x09 inet_net_pton(int, const char *, void *, size_t)\x0a"
"\x09\x09\x09__attribute__((__bounded__(__string__,3,4)));\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_INET_H_ */\x0a"
"", 5045 ); }