#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_bits_confname_h( 
"#ifndef CONFNAME_H\x0a"
"#define CONFNAME_H\x0a"
"\x0a"
"/* Values for the argument to \x60sysconf'.  */\x0a"
"enum\x0a"
"  {\x0a"
"    _SC_ARG_MAX,\x0a"
"#define\x09_SC_ARG_MAX                     _SC_ARG_MAX\x0a"
"    _SC_CHILD_MAX,\x0a"
"#define\x09_SC_CHILD_MAX                   _SC_CHILD_MAX\x0a"
"    _SC_CLK_TCK,\x0a"
"#define\x09_SC_CLK_TCK                     _SC_CLK_TCK\x0a"
"    _SC_NGROUPS_MAX,\x0a"
"#define\x09_SC_NGROUPS_MAX                 _SC_NGROUPS_MAX\x0a"
"    _SC_OPEN_MAX,\x0a"
"#define\x09_SC_OPEN_MAX                    _SC_OPEN_MAX\x0a"
"    _SC_STREAM_MAX,\x0a"
"#define\x09_SC_STREAM_MAX                  _SC_STREAM_MAX\x0a"
"    _SC_TZNAME_MAX,\x0a"
"#define\x09_SC_TZNAME_MAX                  _SC_TZNAME_MAX\x0a"
"    _SC_JOB_CONTROL,\x0a"
"#define\x09_SC_JOB_CONTROL                 _SC_JOB_CONTROL\x0a"
"    _SC_SAVED_IDS,\x0a"
"#define\x09_SC_SAVED_IDS                   _SC_SAVED_IDS\x0a"
"    _SC_REALTIME_SIGNALS,\x0a"
"#define\x09_SC_REALTIME_SIGNALS            _SC_REALTIME_SIGNALS\x0a"
"    _SC_PRIORITY_SCHEDULING,\x0a"
"#define\x09_SC_PRIORITY_SCHEDULING         _SC_PRIORITY_SCHEDULING\x0a"
"    _SC_TIMERS,\x0a"
"#define\x09_SC_TIMERS                      _SC_TIMERS\x0a"
"    _SC_ASYNCHRONOUS_IO,\x0a"
"#define\x09_SC_ASYNCHRONOUS_IO             _SC_ASYNCHRONOUS_IO\x0a"
"    _SC_PRIORITIZED_IO,\x0a"
"#define\x09_SC_PRIORITIZED_IO              _SC_PRIORITIZED_IO\x0a"
"    _SC_SYNCHRONIZED_IO,\x0a"
"#define\x09_SC_SYNCHRONIZED_IO             _SC_SYNCHRONIZED_IO\x0a"
"    _SC_FSYNC,\x0a"
"#define\x09_SC_FSYNC                       _SC_FSYNC\x0a"
"    _SC_MAPPED_FILES,\x0a"
"#define\x09_SC_MAPPED_FILES                _SC_MAPPED_FILES\x0a"
"    _SC_MEMLOCK,\x0a"
"#define\x09_SC_MEMLOCK                     _SC_MEMLOCK\x0a"
"    _SC_MEMLOCK_RANGE,\x0a"
"#define\x09_SC_MEMLOCK_RANGE               _SC_MEMLOCK_RANGE\x0a"
"    _SC_MEMORY_PROTECTION,\x0a"
"#define\x09_SC_MEMORY_PROTECTION           _SC_MEMORY_PROTECTION\x0a"
"    _SC_MESSAGE_PASSING,\x0a"
"#define\x09_SC_MESSAGE_PASSING             _SC_MESSAGE_PASSING\x0a"
"    _SC_SEMAPHORES,\x0a"
"#define\x09_SC_SEMAPHORES                  _SC_SEMAPHORES\x0a"
"    _SC_SHARED_MEMORY_OBJECTS,\x0a"
"#define\x09_SC_SHARED_MEMORY_OBJECTS       _SC_SHARED_MEMORY_OBJECTS\x0a"
"    _SC_AIO_LISTIO_MAX,\x0a"
"#define\x09_SC_AIO_LISTIO_MAX              _SC_AIO_LISTIO_MAX\x0a"
"    _SC_AIO_MAX,\x0a"
"#define\x09_SC_AIO_MAX                     _SC_AIO_MAX\x0a"
"    _SC_AIO_PRIO_DELTA_MAX,\x0a"
"#define\x09_SC_AIO_PRIO_DELTA_MAX          _SC_AIO_PRIO_DELTA_MAX\x0a"
"    _SC_DELAYTIMER_MAX,\x0a"
"#define\x09_SC_DELAYTIMER_MAX              _SC_DELAYTIMER_MAX\x0a"
"    _SC_MQ_OPEN_MAX,\x0a"
"#define\x09_SC_MQ_OPEN_MAX                 _SC_MQ_OPEN_MAX\x0a"
"    _SC_MQ_PRIO_MAX,\x0a"
"#define\x09_SC_MQ_PRIO_MAX                 _SC_MQ_PRIO_MAX\x0a"
"    _SC_VERSION,\x0a"
"#define\x09_SC_VERSION                     _SC_VERSION\x0a"
"    _SC_PAGESIZE,\x0a"
"#define\x09_SC_PAGESIZE                    _SC_PAGESIZE\x0a"
"#define\x09_SC_PAGE_SIZE                   _SC_PAGESIZE\x0a"
"    _SC_RTSIG_MAX,\x0a"
"#define\x09_SC_RTSIG_MAX                   _SC_RTSIG_MAX\x0a"
"    _SC_SEM_NSEMS_MAX,\x0a"
"#define\x09_SC_SEM_NSEMS_MAX               _SC_SEM_NSEMS_MAX\x0a"
"    _SC_SEM_VALUE_MAX,\x0a"
"#define\x09_SC_SEM_VALUE_MAX               _SC_SEM_VALUE_MAX\x0a"
"    _SC_SIGQUEUE_MAX,\x0a"
"#define\x09_SC_SIGQUEUE_MAX                _SC_SIGQUEUE_MAX\x0a"
"    _SC_TIMER_MAX,\x0a"
"#define\x09_SC_TIMER_MAX                   _SC_TIMER_MAX\x0a"
"\x0a"
"    /* Values for the argument to \x60sysconf'\x0a"
"       corresponding to _POSIX2_* symbols.  */\x0a"
"    _SC_BC_BASE_MAX,\x0a"
"#define\x09_SC_BC_BASE_MAX                 _SC_BC_BASE_MAX\x0a"
"    _SC_BC_DIM_MAX,\x0a"
"#define\x09_SC_BC_DIM_MAX                  _SC_BC_DIM_MAX\x0a"
"    _SC_BC_SCALE_MAX,\x0a"
"#define\x09_SC_BC_SCALE_MAX                _SC_BC_SCALE_MAX\x0a"
"    _SC_BC_STRING_MAX,\x0a"
"#define\x09_SC_BC_STRING_MAX               _SC_BC_STRING_MAX\x0a"
"    _SC_COLL_WEIGHTS_MAX,\x0a"
"#define\x09_SC_COLL_WEIGHTS_MAX            _SC_COLL_WEIGHTS_MAX\x0a"
"    _SC_EQUIV_CLASS_MAX,\x0a"
"#define\x09_SC_EQUIV_CLASS_MAX             _SC_EQUIV_CLASS_MAX\x0a"
"    _SC_EXPR_NEST_MAX,\x0a"
"#define\x09_SC_EXPR_NEST_MAX               _SC_EXPR_NEST_MAX\x0a"
"    _SC_LINE_MAX,\x0a"
"#define\x09_SC_LINE_MAX                    _SC_LINE_MAX\x0a"
"    _SC_RE_DUP_MAX,\x0a"
"#define\x09_SC_RE_DUP_MAX                  _SC_RE_DUP_MAX\x0a"
"    _SC_CHARCLASS_NAME_MAX,\x0a"
"#define\x09_SC_CHARCLASS_NAME_MAX          _SC_CHARCLASS_NAME_MAX\x0a"
"    _SC_2_VERSION,\x0a"
"#define\x09_SC_2_VERSION                   _SC_2_VERSION\x0a"
"    _SC_2_C_BIND,\x0a"
"#define\x09_SC_2_C_BIND                    _SC_2_C_BIND\x0a"
"    _SC_2_C_DEV,\x0a"
"#define\x09_SC_2_C_DEV                     _SC_2_C_DEV\x0a"
"    _SC_2_FORT_DEV,\x0a"
"#define\x09_SC_2_FORT_DEV                  _SC_2_FORT_DEV\x0a"
"    _SC_2_FORT_RUN,\x0a"
"#define\x09_SC_2_FORT_RUN                  _SC_2_FORT_RUN\x0a"
"    _SC_2_SW_DEV,\x0a"
"#define\x09_SC_2_SW_DEV                    _SC_2_SW_DEV\x0a"
"    _SC_2_LOCALEDEF,\x0a"
"#define\x09_SC_2_LOCALEDEF                 _SC_2_LOCALEDEF\x0a"
"\x0a"
"    _SC_PII,\x0a"
"#define\x09_SC_PII                         _SC_PII\x0a"
"    _SC_PII_XTI,\x0a"
"#define\x09_SC_PII_XTI                     _SC_PII_XTI\x0a"
"    _SC_PII_SOCKET,\x0a"
"#define\x09_SC_PII_SOCKET                  _SC_PII_SOCKET\x0a"
"    _SC_PII_INTERNET,\x0a"
"#define\x09_SC_PII_INTERNET                _SC_PII_INTERNET\x0a"
"    _SC_PII_OSI,\x0a"
"#define\x09_SC_PII_OSI                     _SC_PII_OSI\x0a"
"    _SC_POLL,\x0a"
"#define\x09_SC_POLL                        _SC_POLL\x0a"
"    _SC_SELECT,\x0a"
"#define\x09_SC_SELECT                      _SC_SELECT\x0a"
"    _SC_UIO_MAXIOV,\x0a"
"#define\x09_SC_UIO_MAXIOV                  _SC_UIO_MAXIOV\x0a"
"    _SC_IOV_MAX = _SC_UIO_MAXIOV,\x0a"
"#define _SC_IOV_MAX                     _SC_IOV_MAX\x0a"
"    _SC_PII_INTERNET_STREAM,\x0a"
"#define\x09_SC_PII_INTERNET_STREAM         _SC_PII_INTERNET_STREAM\x0a"
"    _SC_PII_INTERNET_DGRAM,\x0a"
"#define\x09_SC_PII_INTERNET_DGRAM          _SC_PII_INTERNET_DGRAM\x0a"
"    _SC_PII_OSI_COTS,\x0a"
"#define\x09_SC_PII_OSI_COTS                _SC_PII_OSI_COTS\x0a"
"    _SC_PII_OSI_CLTS,\x0a"
"#define\x09_SC_PII_OSI_CLTS                _SC_PII_OSI_CLTS\x0a"
"    _SC_PII_OSI_M,\x0a"
"#define\x09_SC_PII_OSI_M                   _SC_PII_OSI_M\x0a"
"    _SC_T_IOV_MAX,\x0a"
"#define\x09_SC_T_IOV_MAX                   _SC_T_IOV_MAX\x0a"
"\x0a"
"    /* Values according to POSIX 1003.1c (POSIX threads).  */\x0a"
"    _SC_THREADS,\x0a"
"#define\x09_SC_THREADS                     _SC_THREADS\x0a"
"    _SC_THREAD_SAFE_FUNCTIONS,\x0a"
"#define _SC_THREAD_SAFE_FUNCTIONS       _SC_THREAD_SAFE_FUNCTIONS\x0a"
"    _SC_GETGR_R_SIZE_MAX,\x0a"
"#define\x09_SC_GETGR_R_SIZE_MAX            _SC_GETGR_R_SIZE_MAX\x0a"
"    _SC_GETPW_R_SIZE_MAX,\x0a"
"#define\x09_SC_GETPW_R_SIZE_MAX            _SC_GETPW_R_SIZE_MAX\x0a"
"    _SC_LOGIN_NAME_MAX,\x0a"
"#define\x09_SC_LOGIN_NAME_MAX              _SC_LOGIN_NAME_MAX\x0a"
"    _SC_TTY_NAME_MAX,\x0a"
"#define\x09_SC_TTY_NAME_MAX                _SC_TTY_NAME_MAX\x0a"
"    _SC_THREAD_DESTRUCTOR_ITERATIONS,\x0a"
"#define\x09_SC_THREAD_DESTRUCTOR_ITERATIONS _SC_THREAD_DESTRUCTOR_ITERATIONS\x0a"
"    _SC_THREAD_KEYS_MAX,\x0a"
"#define\x09_SC_THREAD_KEYS_MAX             _SC_THREAD_KEYS_MAX\x0a"
"    _SC_THREAD_STACK_MIN,\x0a"
"#define\x09_SC_THREAD_STACK_MIN            _SC_THREAD_STACK_MIN\x0a"
"    _SC_THREAD_THREADS_MAX,\x0a"
"#define\x09_SC_THREAD_THREADS_MAX          _SC_THREAD_THREADS_MAX\x0a"
"    _SC_THREAD_ATTR_STACKADDR,\x0a"
"#define\x09_SC_THREAD_ATTR_STACKADDR       _SC_THREAD_ATTR_STACKADDR\x0a"
"    _SC_THREAD_ATTR_STACKSIZE,\x0a"
"#define\x09_SC_THREAD_ATTR_STACKSIZE       _SC_THREAD_ATTR_STACKSIZE\x0a"
"    _SC_THREAD_PRIORITY_SCHEDULING,\x0a"
"#define\x09_SC_THREAD_PRIORITY_SCHEDULING\x09_SC_THREAD_PRIORITY_SCHEDULING\x0a"
"    _SC_THREAD_PRIO_INHERIT,\x0a"
"#define\x09_SC_THREAD_PRIO_INHERIT         _SC_THREAD_PRIO_INHERIT\x0a"
"    _SC_THREAD_PRIO_PROTECT,\x0a"
"#define\x09_SC_THREAD_PRIO_PROTECT         _SC_THREAD_PRIO_PROTECT\x0a"
"    _SC_THREAD_PROCESS_SHARED,\x0a"
"#define\x09_SC_THREAD_PROCESS_SHARED       _SC_THREAD_PROCESS_SHARED\x0a"
"\x0a"
"    _SC_NPROCESSORS_CONF,\x0a"
"#define _SC_NPROCESSORS_CONF            _SC_NPROCESSORS_CONF\x0a"
"    _SC_NPROCESSORS_ONLN,\x0a"
"#define _SC_NPROCESSORS_ONLN            _SC_NPROCESSORS_ONLN\x0a"
"    _SC_PHYS_PAGES,\x0a"
"#define _SC_PHYS_PAGES                  _SC_PHYS_PAGES\x0a"
"    _SC_AVPHYS_PAGES,\x0a"
"#define _SC_AVPHYS_PAGES                _SC_AVPHYS_PAGES\x0a"
"    _SC_ATEXIT_MAX,\x0a"
"#define _SC_ATEXIT_MAX                  _SC_ATEXIT_MAX\x0a"
"    _SC_PASS_MAX,\x0a"
"#define _SC_PASS_MAX                    _SC_PASS_MAX\x0a"
"\x0a"
"    _SC_XOPEN_VERSION,\x0a"
"#define _SC_XOPEN_VERSION               _SC_XOPEN_VERSION\x0a"
"    _SC_XOPEN_XCU_VERSION,\x0a"
"#define _SC_XOPEN_XCU_VERSION           _SC_XOPEN_XCU_VERSION\x0a"
"    _SC_XOPEN_UNIX,\x0a"
"#define _SC_XOPEN_UNIX                  _SC_XOPEN_UNIX\x0a"
"    _SC_XOPEN_CRYPT,\x0a"
"#define _SC_XOPEN_CRYPT                 _SC_XOPEN_CRYPT\x0a"
"    _SC_XOPEN_ENH_I18N,\x0a"
"#define _SC_XOPEN_ENH_I18N              _SC_XOPEN_ENH_I18N\x0a"
"    _SC_XOPEN_SHM,\x0a"
"#define _SC_XOPEN_SHM                   _SC_XOPEN_SHM\x0a"
"\x0a"
"    _SC_2_CHAR_TERM,\x0a"
"#define _SC_2_CHAR_TERM                 _SC_2_CHAR_TERM\x0a"
"    _SC_2_C_VERSION,\x0a"
"#define _SC_2_C_VERSION                 _SC_2_C_VERSION\x0a"
"    _SC_2_UPE,\x0a"
"#define _SC_2_UPE                       _SC_2_UPE\x0a"
"\x0a"
"    _SC_XOPEN_XPG2,\x0a"
"#define _SC_XOPEN_XPG2                  _SC_XOPEN_XPG2\x0a"
"    _SC_XOPEN_XPG3,\x0a"
"#define _SC_XOPEN_XPG3                  _SC_XOPEN_XPG3\x0a"
"    _SC_XOPEN_XPG4,\x0a"
"#define _SC_XOPEN_XPG4                  _SC_XOPEN_XPG4\x0a"
"\x0a"
"    _SC_CHAR_BIT,\x0a"
"#define\x09_SC_CHAR_BIT                    _SC_CHAR_BIT\x0a"
"    _SC_CHAR_MAX,\x0a"
"#define\x09_SC_CHAR_MAX                    _SC_CHAR_MAX\x0a"
"    _SC_CHAR_MIN,\x0a"
"#define\x09_SC_CHAR_MIN                    _SC_CHAR_MIN\x0a"
"    _SC_INT_MAX,\x0a"
"#define\x09_SC_INT_MAX                     _SC_INT_MAX\x0a"
"    _SC_INT_MIN,\x0a"
"#define\x09_SC_INT_MIN                     _SC_INT_MIN\x0a"
"    _SC_LONG_BIT,\x0a"
"#define\x09_SC_LONG_BIT                    _SC_LONG_BIT\x0a"
"    _SC_WORD_BIT,\x0a"
"#define\x09_SC_WORD_BIT                    _SC_WORD_BIT\x0a"
"    _SC_MB_LEN_MAX,\x0a"
"#define\x09_SC_MB_LEN_MAX                  _SC_MB_LEN_MAX\x0a"
"    _SC_NZERO,\x0a"
"#define\x09_SC_NZERO                       _SC_NZERO\x0a"
"    _SC_SSIZE_MAX,\x0a"
"#define\x09_SC_SSIZE_MAX                   _SC_SSIZE_MAX\x0a"
"    _SC_SCHAR_MAX,\x0a"
"#define\x09_SC_SCHAR_MAX                   _SC_SCHAR_MAX\x0a"
"    _SC_SCHAR_MIN,\x0a"
"#define\x09_SC_SCHAR_MIN                   _SC_SCHAR_MIN\x0a"
"    _SC_SHRT_MAX,\x0a"
"#define\x09_SC_SHRT_MAX                    _SC_SHRT_MAX\x0a"
"    _SC_SHRT_MIN,\x0a"
"#define\x09_SC_SHRT_MIN                    _SC_SHRT_MIN\x0a"
"    _SC_UCHAR_MAX,\x0a"
"#define\x09_SC_UCHAR_MAX                   _SC_UCHAR_MAX\x0a"
"    _SC_UINT_MAX,\x0a"
"#define\x09_SC_UINT_MAX                    _SC_UINT_MAX\x0a"
"    _SC_ULONG_MAX,\x0a"
"#define\x09_SC_ULONG_MAX                   _SC_ULONG_MAX\x0a"
"    _SC_USHRT_MAX,\x0a"
"#define\x09_SC_USHRT_MAX                   _SC_USHRT_MAX\x0a"
"\x0a"
"    _SC_NL_ARGMAX,\x0a"
"#define\x09_SC_NL_ARGMAX                   _SC_NL_ARGMAX\x0a"
"    _SC_NL_LANGMAX,\x0a"
"#define\x09_SC_NL_LANGMAX                  _SC_NL_LANGMAX\x0a"
"    _SC_NL_MSGMAX,\x0a"
"#define\x09_SC_NL_MSGMAX                   _SC_NL_MSGMAX\x0a"
"    _SC_NL_NMAX,\x0a"
"#define\x09_SC_NL_NMAX                     _SC_NL_NMAX\x0a"
"    _SC_NL_SETMAX,\x0a"
"#define\x09_SC_NL_SETMAX                   _SC_NL_SETMAX\x0a"
"    _SC_NL_TEXTMAX,\x0a"
"#define\x09_SC_NL_TEXTMAX                  _SC_NL_TEXTMAX\x0a"
"\x0a"
"    _SC_XBS5_ILP32_OFF32,\x0a"
"#define _SC_XBS5_ILP32_OFF32            _SC_XBS5_ILP32_OFF32\x0a"
"    _SC_XBS5_ILP32_OFFBIG,\x0a"
"#define _SC_XBS5_ILP32_OFFBIG           _SC_XBS5_ILP32_OFFBIG\x0a"
"    _SC_XBS5_LP64_OFF64,\x0a"
"#define _SC_XBS5_LP64_OFF64             _SC_XBS5_LP64_OFF64\x0a"
"    _SC_XBS5_LPBIG_OFFBIG,\x0a"
"#define _SC_XBS5_LPBIG_OFFBIG           _SC_XBS5_LPBIG_OFFBIG\x0a"
"\x0a"
"    _SC_XOPEN_LEGACY,\x0a"
"#define _SC_XOPEN_LEGACY                _SC_XOPEN_LEGACY\x0a"
"    _SC_XOPEN_REALTIME,\x0a"
"#define _SC_XOPEN_REALTIME              _SC_XOPEN_REALTIME\x0a"
"    _SC_XOPEN_REALTIME_THREADS,\x0a"
"#define _SC_XOPEN_REALTIME_THREADS      _SC_XOPEN_REALTIME_THREADS\x0a"
"\x0a"
"    _SC_ADVISORY_INFO,\x0a"
"#define _SC_ADVISORY_INFO               _SC_ADVISORY_INFO\x0a"
"    _SC_BARRIERS,\x0a"
"#define _SC_BARRIERS                    _SC_BARRIERS\x0a"
"    _SC_BASE,\x0a"
"#define _SC_BASE                        _SC_BASE\x0a"
"    _SC_C_LANG_SUPPORT,\x0a"
"#define _SC_C_LANG_SUPPORT              _SC_C_LANG_SUPPORT\x0a"
"    _SC_C_LANG_SUPPORT_R,\x0a"
"#define _SC_C_LANG_SUPPORT_R            _SC_C_LANG_SUPPORT_R\x0a"
"    _SC_CLOCK_SELECTION,\x0a"
"#define _SC_CLOCK_SELECTION             _SC_CLOCK_SELECTION\x0a"
"    _SC_CPUTIME,\x0a"
"#define _SC_CPUTIME                     _SC_CPUTIME\x0a"
"    _SC_THREAD_CPUTIME,\x0a"
"#define _SC_THREAD_CPUTIME              _SC_THREAD_CPUTIME\x0a"
"    _SC_DEVICE_IO,\x0a"
"#define _SC_DEVICE_IO                   _SC_DEVICE_IO\x0a"
"    _SC_DEVICE_SPECIFIC,\x0a"
"#define _SC_DEVICE_SPECIFIC             _SC_DEVICE_SPECIFIC\x0a"
"    _SC_DEVICE_SPECIFIC_R,\x0a"
"#define _SC_DEVICE_SPECIFIC_R           _SC_DEVICE_SPECIFIC_R\x0a"
"    _SC_FD_MGMT,\x0a"
"#define _SC_FD_MGMT                     _SC_FD_MGMT\x0a"
"    _SC_FIFO,\x0a"
"#define _SC_FIFO                        _SC_FIFO\x0a"
"    _SC_PIPE,\x0a"
"#define _SC_PIPE                        _SC_PIPE\x0a"
"    _SC_FILE_ATTRIBUTES,\x0a"
"#define _SC_FILE_ATTRIBUTES             _SC_FILE_ATTRIBUTES\x0a"
"    _SC_FILE_LOCKING,\x0a"
"#define _SC_FILE_LOCKING                _SC_FILE_LOCKING\x0a"
"    _SC_FILE_SYSTEM,\x0a"
"#define _SC_FILE_SYSTEM                 _SC_FILE_SYSTEM\x0a"
"    _SC_MONOTONIC_CLOCK,\x0a"
"#define _SC_MONOTONIC_CLOCK             _SC_MONOTONIC_CLOCK\x0a"
"    _SC_MULTI_PROCESS,\x0a"
"#define _SC_MULTI_PROCESS               _SC_MULTI_PROCESS\x0a"
"    _SC_SINGLE_PROCESS,\x0a"
"#define _SC_SINGLE_PROCESS              _SC_SINGLE_PROCESS\x0a"
"    _SC_NETWORKING,\x0a"
"#define _SC_NETWORKING                  _SC_NETWORKING\x0a"
"    _SC_READER_WRITER_LOCKS,\x0a"
"#define _SC_READER_WRITER_LOCKS         _SC_READER_WRITER_LOCKS\x0a"
"    _SC_SPIN_LOCKS,\x0a"
"#define _SC_SPIN_LOCKS                  _SC_SPIN_LOCKS\x0a"
"    _SC_REGEXP,\x0a"
"#define _SC_REGEXP                      _SC_REGEXP\x0a"
"    _SC_REGEX_VERSION,\x0a"
"#define _SC_REGEX_VERSION               _SC_REGEX_VERSION\x0a"
"    _SC_SHELL,\x0a"
"#define _SC_SHELL                       _SC_SHELL\x0a"
"    _SC_SIGNALS,\x0a"
"#define _SC_SIGNALS                     _SC_SIGNALS\x0a"
"    _SC_SPAWN,\x0a"
"#define _SC_SPAWN                       _SC_SPAWN\x0a"
"    _SC_SPORADIC_SERVER,\x0a"
"#define _SC_SPORADIC_SERVER             _SC_SPORADIC_SERVER\x0a"
"    _SC_THREAD_SPORADIC_SERVER,\x0a"
"#define _SC_THREAD_SPORADIC_SERVER      _SC_THREAD_SPORADIC_SERVER\x0a"
"    _SC_SYSTEM_DATABASE,\x0a"
"#define _SC_SYSTEM_DATABASE             _SC_SYSTEM_DATABASE\x0a"
"    _SC_SYSTEM_DATABASE_R,\x0a"
"#define _SC_SYSTEM_DATABASE_R           _SC_SYSTEM_DATABASE_R\x0a"
"    _SC_TIMEOUTS,\x0a"
"#define _SC_TIMEOUTS                    _SC_TIMEOUTS\x0a"
"    _SC_TYPED_MEMORY_OBJECTS,\x0a"
"#define _SC_TYPED_MEMORY_OBJECTS        _SC_TYPED_MEMORY_OBJECTS\x0a"
"    _SC_USER_GROUPS,\x0a"
"#define _SC_USER_GROUPS                 _SC_USER_GROUPS\x0a"
"    _SC_USER_GROUPS_R,\x0a"
"#define _SC_USER_GROUPS_R               _SC_USER_GROUPS_R\x0a"
"    _SC_2_PBS,\x0a"
"#define _SC_2_PBS                       _SC_2_PBS\x0a"
"    _SC_2_PBS_ACCOUNTING,\x0a"
"#define _SC_2_PBS_ACCOUNTING            _SC_2_PBS_ACCOUNTING\x0a"
"    _SC_2_PBS_LOCATE,\x0a"
"#define _SC_2_PBS_LOCATE                _SC_2_PBS_LOCATE\x0a"
"    _SC_2_PBS_MESSAGE,\x0a"
"#define _SC_2_PBS_MESSAGE               _SC_2_PBS_MESSAGE\x0a"
"    _SC_2_PBS_TRACK,\x0a"
"#define _SC_2_PBS_TRACK                 _SC_2_PBS_TRACK\x0a"
"    _SC_SYMLOOP_MAX,\x0a"
"#define _SC_SYMLOOP_MAX                 _SC_SYMLOOP_MAX\x0a"
"    _SC_STREAMS,\x0a"
"#define _SC_STREAMS                     _SC_STREAMS\x0a"
"    _SC_2_PBS_CHECKPOINT,\x0a"
"#define _SC_2_PBS_CHECKPOINT            _SC_2_PBS_CHECKPOINT\x0a"
"\x0a"
"    _SC_V6_ILP32_OFF32,\x0a"
"#define _SC_V6_ILP32_OFF32              _SC_V6_ILP32_OFF32\x0a"
"    _SC_V6_ILP32_OFFBIG,\x0a"
"#define _SC_V6_ILP32_OFFBIG             _SC_V6_ILP32_OFFBIG\x0a"
"    _SC_V6_LP64_OFF64,\x0a"
"#define _SC_V6_LP64_OFF64               _SC_V6_LP64_OFF64\x0a"
"    _SC_V6_LPBIG_OFFBIG,\x0a"
"#define _SC_V6_LPBIG_OFFBIG             _SC_V6_LPBIG_OFFBIG\x0a"
"\x0a"
"    _SC_HOST_NAME_MAX,\x0a"
"#define _SC_HOST_NAME_MAX               _SC_HOST_NAME_MAX\x0a"
"    _SC_TRACE,\x0a"
"#define _SC_TRACE                       _SC_TRACE\x0a"
"    _SC_TRACE_EVENT_FILTER,\x0a"
"#define _SC_TRACE_EVENT_FILTER          _SC_TRACE_EVENT_FILTER\x0a"
"    _SC_TRACE_INHERIT,\x0a"
"#define _SC_TRACE_INHERIT               _SC_TRACE_INHERIT\x0a"
"    _SC_TRACE_LOG,\x0a"
"#define _SC_TRACE_LOG                   _SC_TRACE_LOG\x0a"
"\x0a"
"    _SC_LEVEL1_ICACHE_SIZE,\x0a"
"#define _SC_LEVEL1_ICACHE_SIZE          _SC_LEVEL1_ICACHE_SIZE\x0a"
"    _SC_LEVEL1_ICACHE_ASSOC,\x0a"
"#define _SC_LEVEL1_ICACHE_ASSOC         _SC_LEVEL1_ICACHE_ASSOC\x0a"
"    _SC_LEVEL1_ICACHE_LINESIZE,\x0a"
"#define _SC_LEVEL1_ICACHE_LINESIZE      _SC_LEVEL1_ICACHE_LINESIZE\x0a"
"    _SC_LEVEL1_DCACHE_SIZE,\x0a"
"#define _SC_LEVEL1_DCACHE_SIZE          _SC_LEVEL1_DCACHE_SIZE\x0a"
"    _SC_LEVEL1_DCACHE_ASSOC,\x0a"
"#define _SC_LEVEL1_DCACHE_ASSOC         _SC_LEVEL1_DCACHE_ASSOC\x0a"
"    _SC_LEVEL1_DCACHE_LINESIZE,\x0a"
"#define _SC_LEVEL1_DCACHE_LINESIZE      _SC_LEVEL1_DCACHE_LINESIZE\x0a"
"    _SC_LEVEL2_CACHE_SIZE,\x0a"
"#define _SC_LEVEL2_CACHE_SIZE           _SC_LEVEL2_CACHE_SIZE\x0a"
"    _SC_LEVEL2_CACHE_ASSOC,\x0a"
"#define _SC_LEVEL2_CACHE_ASSOC          _SC_LEVEL2_CACHE_ASSOC\x0a"
"    _SC_LEVEL2_CACHE_LINESIZE,\x0a"
"#define _SC_LEVEL2_CACHE_LINESIZE       _SC_LEVEL2_CACHE_LINESIZE\x0a"
"    _SC_LEVEL3_CACHE_SIZE,\x0a"
"#define _SC_LEVEL3_CACHE_SIZE           _SC_LEVEL3_CACHE_SIZE\x0a"
"    _SC_LEVEL3_CACHE_ASSOC,\x0a"
"#define _SC_LEVEL3_CACHE_ASSOC          _SC_LEVEL3_CACHE_ASSOC\x0a"
"    _SC_LEVEL3_CACHE_LINESIZE,\x0a"
"#define _SC_LEVEL3_CACHE_LINESIZE       _SC_LEVEL3_CACHE_LINESIZE\x0a"
"    _SC_LEVEL4_CACHE_SIZE,\x0a"
"#define _SC_LEVEL4_CACHE_SIZE           _SC_LEVEL4_CACHE_SIZE\x0a"
"    _SC_LEVEL4_CACHE_ASSOC,\x0a"
"#define _SC_LEVEL4_CACHE_ASSOC          _SC_LEVEL4_CACHE_ASSOC\x0a"
"    _SC_LEVEL4_CACHE_LINESIZE,\x0a"
"#define _SC_LEVEL4_CACHE_LINESIZE       _SC_LEVEL4_CACHE_LINESIZE\x0a"
"    /* Leave room here, maybe we need a few more cache levels some day.  */\x0a"
"\x0a"
"    _SC_IPV6 = _SC_LEVEL1_ICACHE_SIZE + 50,\x0a"
"#define _SC_IPV6                        _SC_IPV6\x0a"
"    _SC_RAW_SOCKETS,\x0a"
"#define _SC_RAW_SOCKETS                 _SC_RAW_SOCKETS\x0a"
"\x0a"
"    _SC_V7_ILP32_OFF32,\x0a"
"#define _SC_V7_ILP32_OFF32              _SC_V7_ILP32_OFF32\x0a"
"    _SC_V7_ILP32_OFFBIG,\x0a"
"#define _SC_V7_ILP32_OFFBIG             _SC_V7_ILP32_OFFBIG\x0a"
"    _SC_V7_LP64_OFF64,\x0a"
"#define _SC_V7_LP64_OFF64               _SC_V7_LP64_OFF64\x0a"
"    _SC_V7_LPBIG_OFFBIG,\x0a"
"#define _SC_V7_LPBIG_OFFBIG             _SC_V7_LPBIG_OFFBIG\x0a"
"\x0a"
"    _SC_SS_REPL_MAX,\x0a"
"#define _SC_SS_REPL_MAX                 _SC_SS_REPL_MAX\x0a"
"\x0a"
"    _SC_TRACE_EVENT_NAME_MAX,\x0a"
"#define _SC_TRACE_EVENT_NAME_MAX        _SC_TRACE_EVENT_NAME_MAX\x0a"
"    _SC_TRACE_NAME_MAX,\x0a"
"#define _SC_TRACE_NAME_MAX              _SC_TRACE_NAME_MAX\x0a"
"    _SC_TRACE_SYS_MAX,\x0a"
"#define _SC_TRACE_SYS_MAX               _SC_TRACE_SYS_MAX\x0a"
"    _SC_TRACE_USER_EVENT_MAX,\x0a"
"#define _SC_TRACE_USER_EVENT_MAX        _SC_TRACE_USER_EVENT_MAX\x0a"
"\x0a"
"    _SC_XOPEN_STREAMS,\x0a"
"#define _SC_XOPEN_STREAMS               _SC_XOPEN_STREAMS\x0a"
"\x0a"
"    _SC_THREAD_ROBUST_PRIO_INHERIT,\x0a"
"#define _SC_THREAD_ROBUST_PRIO_INHERIT  _SC_THREAD_ROBUST_PRIO_INHERIT\x0a"
"    _SC_THREAD_ROBUST_PRIO_PROTECT\x0a"
"#define _SC_THREAD_ROBUST_PRIO_PROTECT  _SC_THREAD_ROBUST_PRIO_PROTECT\x0a"
"  };\x0a"
"\x0a"
"#endif // CONFNAME_H\x0a"
"", 17662 ); }