#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_complex_h( 
"/*\x09\x24OpenBSD\x3a complex.h,v 1.5 2014/03/16 18\x3a""38\x3a""30 guenther Exp \x24\x09*/\x0a"
"/*\x0a"
" * Copyright (c) 2008 Martynas Venckus <martynas\x40openbsd.org>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#ifndef _COMPLEX_H_\x0a"
"#define\x09_COMPLEX_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"/*\x0a"
" * C99\x0a"
" */\x0a"
"#ifdef __GNUC__\x0a"
"#if __STDC_VERSION__ < 199901\x0a"
"#define _Complex\x09__complex__\x0a"
"#endif\x0a"
"#define _Complex_I\x09""1.0fi\x0a"
"#endif\x0a"
"\x0a"
"#define complex\x09\x09_Complex\x0a"
"\x0a"
"/* XXX switch to _Imaginary_I */\x0a"
"#undef I\x0a"
"#define I\x09\x09_Complex_I\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"/* \x0a"
" * Double versions of C99 functions\x0a"
" */\x0a"
"double complex cacos(double complex);\x0a"
"double complex casin(double complex);\x0a"
"double complex catan(double complex);\x0a"
"double complex ccos(double complex);\x0a"
"double complex csin(double complex);\x0a"
"double complex ctan(double complex);\x0a"
"double complex cacosh(double complex);\x0a"
"double complex casinh(double complex);\x0a"
"double complex catanh(double complex);\x0a"
"double complex ccosh(double complex);\x0a"
"double complex csinh(double complex);\x0a"
"double complex ctanh(double complex);\x0a"
"double complex cexp(double complex);\x0a"
"double complex clog(double complex);\x0a"
"double cabs(double complex);\x0a"
"double complex cpow(double complex, double complex);\x0a"
"double complex csqrt(double complex);\x0a"
"double carg(double complex);\x0a"
"double cimag(double complex);\x0a"
"double complex conj(double complex);\x0a"
"double complex cproj(double complex);\x0a"
"double creal(double complex);\x0a"
"\x0a"
"/* \x0a"
" * Float versions of C99 functions\x0a"
" */\x0a"
"float complex cacosf(float complex);\x0a"
"float complex casinf(float complex);\x0a"
"float complex catanf(float complex);\x0a"
"float complex ccosf(float complex);\x0a"
"float complex csinf(float complex);\x0a"
"float complex ctanf(float complex);\x0a"
"float complex cacoshf(float complex);\x0a"
"float complex casinhf(float complex);\x0a"
"float complex catanhf(float complex);\x0a"
"float complex ccoshf(float complex);\x0a"
"float complex csinhf(float complex);\x0a"
"float complex ctanhf(float complex);\x0a"
"float complex cexpf(float complex);\x0a"
"float complex clogf(float complex);\x0a"
"float cabsf(float complex);\x0a"
"float complex cpowf(float complex, float complex);\x0a"
"float complex csqrtf(float complex);\x0a"
"float cargf(float complex);\x0a"
"float cimagf(float complex);\x0a"
"float complex conjf(float complex);\x0a"
"float complex cprojf(float complex);\x0a"
"float crealf(float complex);\x0a"
"\x0a"
"/* \x0a"
" * Long double versions of C99 functions\x0a"
" */\x0a"
"long double complex cacosl(long double complex);\x0a"
"long double complex casinl(long double complex);\x0a"
"long double complex catanl(long double complex);\x0a"
"long double complex ccosl(long double complex);\x0a"
"long double complex csinl(long double complex);\x0a"
"long double complex ctanl(long double complex);\x0a"
"long double complex cacoshl(long double complex);\x0a"
"long double complex casinhl(long double complex);\x0a"
"long double complex catanhl(long double complex);\x0a"
"long double complex ccoshl(long double complex);\x0a"
"long double complex csinhl(long double complex);\x0a"
"long double complex ctanhl(long double complex);\x0a"
"long double complex cexpl(long double complex);\x0a"
"long double complex clogl(long double complex);\x0a"
"long double cabsl(long double complex);\x0a"
"long double complex cpowl(long double complex,\x0a"
"\x09long double complex);\x0a"
"long double complex csqrtl(long double complex);\x0a"
"long double cargl(long double complex);\x0a"
"long double cimagl(long double complex);\x0a"
"long double complex conjl(long double complex);\x0a"
"long double complex cprojl(long double complex);\x0a"
"long double creall(long double complex);\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_COMPLEX_H_ */\x0a"
"", 4010 ); }