#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_ctype_h( 
"/* Character handling <ctype.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef _PDCLIB_CTYPE_H\x0a"
"#define _PDCLIB_CTYPE_H _PDCLIB_CTYPE_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"/* Character classification functions */\x0a"
"\x0a"
"/* Note that there is a difference between \x22whitespace\x22 (any printing, non-\x0a"
"   graph character, like horizontal and vertical tab), and \x22""blank\x22 (the literal\x0a"
"   ' ' space character).\x0a"
"\x0a"
"   There will be masking macros for each of these later on, but right now I\x0a"
"   focus on the functions only.\x0a"
"*/\x0a"
"\x0a"
"/* Returns isalpha( c ) \x7c\x7c isdigit( c ) */\x0a"
"int isalnum( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns isupper( c ) \x7c\x7c islower( c ) in the \x22""C\x22 locale.\x0a"
"   In any other locale, also returns true for a locale-specific set of\x0a"
"   alphabetic characters which are neither control characters, digits,\x0a"
"   punctation, or whitespace.\x0a"
"*/\x0a"
"int isalpha( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true if the character isspace() and used for seperating words within\x0a"
"   a line of text. In the \x22""C\x22 locale, only ' ' and '\x5ct' are considered blanks.\x0a"
"*/\x0a"
"int isblank( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true if the character is a control character. */\x0a"
"int iscntrl( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true if the character is a decimal digit. Locale-independent. */\x0a"
"int isdigit( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for every printing character except space (' '). */\x0a"
"int isgraph( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for lowercase letters in the \x22""C\x22 locale.\x0a"
"   In any other locale, also returns true for a locale-specific set of\x0a"
"   characters which are neither control characters, digits, punctation, or\x0a"
"   space (' '). In a locale other than the \x22""C\x22 locale, a character might test\x0a"
"   true for both islower() and isupper().\x0a"
"*/\x0a"
"int islower( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for every printing character including space (' '). */\x0a"
"int isprint( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for every printing character that is neither whitespace\x0a"
"   nor alphanumeric in the \x22""C\x22 locale. In any other locale, there might be\x0a"
"   characters that are printing characters, but neither whitespace nor\x0a"
"   alphanumeric.\x0a"
"*/\x0a"
"int ispunct( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for every standard whitespace character (' ', '\x5c""f', '\x5cn', '\x5cr',\x0a"
"   '\x5ct', '\x5cv') in the \x22""C\x22 locale. In any other locale, also returns true for a\x0a"
"   locale-specific set of characters for which isalnum() is false.\x0a"
"*/ \x0a"
"int isspace( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for uppercase letters in the \x22""C\x22 locale.\x0a"
"   In any other locale, also returns true for a locale-specific set of\x0a"
"   characters which are neither control characters, digits, punctation, or\x0a"
"   space (' '). In a locale other than the \x22""C\x22 locale, a character might test\x0a"
"   true for both islower() and isupper().\x0a"
"*/\x0a"
"int isupper( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Returns true for any hexadecimal-digit character. Locale-independent. */\x0a"
"int isxdigit( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* The isascii() function shall test whether c is a 7-bit US-ASCII character\x0a"
"   code.\x0a"
"*/\x0a"
"int isascii( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Character case mapping functions */\x0a"
"\x0a"
"/* Converts an uppercase letter to a corresponding lowercase letter. Input that\x0a"
"   is not an uppercase letter remains unchanged.\x0a"
"*/\x0a"
"int tolower( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Converts a lowercase letter to a corresponding uppercase letter. Input that\x0a"
"   is not a lowercase letter remains unchanged.\x0a"
"*/\x0a"
"int toupper( int c ) _PDCLIB_nothrow;\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 3560 ); }