#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_fcntl_h( 
"// -*- C++ -*- (c) 2015 Ji\xc5\x99\xc3\xad Weiser\x0a"
"\x0a"
"#ifndef _FCNTL_H_\x0a"
"#define _FCNTL_H_\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/hostabi.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#define O_RDONLY   _HOST_O_RDONLY\x0a"
"#define O_WRONLY   _HOST_O_WRONLY\x0a"
"#define O_RDWR     _HOST_O_RDWR\x0a"
"#define O_CREAT    _HOST_O_CREAT\x0a"
"#define O_EXCL     _HOST_O_EXCL\x0a"
"#define O_NOCTTY   _HOST_O_NOCTTY\x0a"
"#define O_TRUNC    _HOST_O_TRUNC\x0a"
"#define O_APPEND   _HOST_O_APPEND\x0a"
"#define O_NONBLOCK _HOST_O_NONBLOCK\x0a"
"#define O_NDELAY   O_NONBLOCK\x0a"
"\x0a"
"#define O_DSYNC        010000  /* Synchronize data.  */\x0a"
"#define O_ASYNC        020000\x0a"
"#define O_SYNC       04010000\x0a"
"#define O_FSYNC        O_SYNC\x0a"
"\x0a"
"#define O_RSYNC        O_SYNC  /* Synchronize read operations.   */\x0a"
"\x0a"
"#define O_DIRECT       040000  /* Direct disk access.  */\x0a"
"#define O_DIRECTORY _HOST_O_DIRECTORY /* Must be a directory.   */\x0a"
"#define O_NOFOLLOW  _HOST_O_NOFOLLOW    /* Do not follow links.   */\x0a"
"#define O_NOATIME    01000000  /* Do not set atime.  */\x0a"
"#define O_CLOEXEC    02000000  /* Set close_on_exec.  */\x0a"
"#define O_PATH      010000000  /* Resolve pathname but do not open file.  */\x0a"
"\x0a"
"#define O_LARGEFILE   0100000\x0a"
"\x0a"
"/* Bits in the file status flags returned by F_GETFL.\x0a"
"   These are all the O_* flags, plus FREAD and FWRITE, which are\x0a"
"   independent bits set by which of O_RDONLY, O_WRONLY, and O_RDWR, was\x0a"
"   given to \x60open'.  */\x0a"
"#define FREAD     1\x0a"
"#define FWRITE    2\x0a"
"\x0a"
"/* Traditional BSD names the O_* bits.  */\x0a"
"#define FASYNC    O_ASYNC\x0a"
"#define FFSYNC    O_FSYNC\x0a"
"#define FSYNC     O_SYNC\x0a"
"#define FAPPEND   O_APPEND\x0a"
"#define FNDELAY   O_NDELAY\x0a"
"\x0a"
"/* Mask for file access modes.  This is system-dependent in case\x0a"
"   some system ever wants to define some other flavor of access.  */\x0a"
"#define O_ACCMODE  (O_RDONLY\x7cO_WRONLY\x7cO_RDWR)\x0a"
"\x0a"
"/* Values for the second argument to \x60""fcntl'.  */\x0a"
"#define F_DUPFD         _HOST_F_DUPFD   /* Duplicate file descriptor.  */\x0a"
"#define F_GETFD         _HOST_F_GETFD   /* Get file descriptor flags.  */\x0a"
"#define F_SETFD         _HOST_F_SETFD   /* Set file descriptor flags.  */\x0a"
"#define F_GETFL         _HOST_F_GETFL   /* Get file status flags.  */\x0a"
"#define F_SETFL         _HOST_F_SETFL   /* Set file status flags.  */\x0a"
"#define F_GETOWN        _HOST_F_GETOWN  /* Get owner (receiver of SIGIO).  */\x0a"
"#define F_SETOWN        _HOST_F_SETOWN  /* Set owner (receiver of SIGIO).  */\x0a"
"#define F_GETLK         _HOST_F_GETLK   /* Get record locking info.  */\x0a"
"#define F_SETLK         _HOST_F_SETLK   /* Set record locking info (non-blocking).  */\x0a"
"#define F_SETLKW        _HOST_F_SETLKW  /* Set record locking info (blocking).  */\x0a"
"/* Not necessary, we always have 64-bit offsets.  */\x0a"
"#define F_GETLK64       F_GETLK  /* Get record locking info.  */\x0a"
"#define F_SETLK64       F_SETLK  /* Set record locking info (non-blocking).  */\x0a"
"#define F_SETLKW64      F_SETLKW/* Set record locking info (blocking).  */\x0a"
"#define F_DUPFD_CLOEXEC _HOST_F_DUPFD_CLOEXEC /* Duplicate file descriptor with close-on-exit set.  */\x0a"
"\x0a"
"#define F_RDLCK 1\x0a"
"#define F_UNLCK 2\x0a"
"#define F_WRLCK 3\x0a"
"\x0a"
"/* File descriptor flags used with F_GETFD and F_SETFD.  */\x0a"
"#define FD_CLOEXEC  1  /* Close on exec.  */\x0a"
"\x0a"
"#ifndef R_OK      /* Verbatim from <unistd.h>.  Ugh.  */\x0a"
"/* Values for the second argument to access.\x0a"
"   These may be OR'd together.  */\x0a"
"# define F_OK   0       /* Test for existence.  */\x0a"
"# define X_OK   1       /* Test for execute permission.  */\x0a"
"# define W_OK   2       /* Test for write permission.  */\x0a"
"# define R_OK   4       /* Test for read permission.  */\x0a"
"#endif\x0a"
"\x0a"
"#define AT_FDCWD              -100   /* Special value used to indicate\x0a"
"                                        the *at functions should use the\x0a"
"                                        current working directory. */\x0a"
"#define AT_SYMLINK_NOFOLLOW   0x100  /* Do not follow symbolic links.  */\x0a"
"#define AT_REMOVEDIR          0x200  /* Remove directory instead of\x0a"
"                                        unlinking file.  */\x0a"
"#define AT_SYMLINK_FOLLOW     0x400  /* Follow symbolic links.  */\x0a"
"#define AT_NO_AUTOMOUNT       0x800  /* Suppress terminal automount traversal.  */\x0a"
"#define AT_EMPTY_PATH        0x1000  /* Allow empty relative pathname.  */\x0a"
"#define AT_EACCESS            0x200  /* Test access permitted for\x0a"
"                                        effective IDs, not real IDs.  */\x0a"
"\x0a"
"\x0a"
"struct flock\x0a"
"{\x0a"
"        off_t   l_start;\x0a"
"        off_t   l_len;\x0a"
"        pid_t   l_pid;\x0a"
"        short   l_type;\x0a"
"        short   l_whence;\x0a"
"};\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#define FS_NOINLINE __attribute__((noinline))\x0a"
"\x0a"
"FS_NOINLINE int creat( const char *path, mode_t mode ) __nothrow;\x0a"
"FS_NOINLINE int open( const char *path, int flags, ... ) __nothrow;\x0a"
"#ifdef _DIOS_NORM_SYSCALLS\x0a"
"FS_NOINLINE int openat( int dirfd, const char *path, int flags, mode_t mode ) __nothrow;\x0a"
"#else\x0a"
"FS_NOINLINE int openat( int dirfd, const char *path, int flags, ... ) __nothrow;\x0a"
"#endif\x0a"
"\x0a"
"FS_NOINLINE int fcntl( int fd, int cmd, ... ) __nothrow;\x0a"
"FS_NOINLINE int flock( int fd, int cmd ) __nothrow;\x0a"
"\x0a"
"#undef FS_NOINLINE\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"#endif\x0a"
"", 4965 ); }