#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_limits_h( 
"/* Sizes of integer types <limits.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef _PDCLIB_LIMITS_H\x0a"
"#define _PDCLIB_LIMITS_H _PDCLIB_LIMITS_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"\x0a"
"/* MSVC 2010 defines this to 5, which is enough for UTF-8 but might rule out\x0a"
"   stateful encodings (like ISO/IEC 2022). GCC 5.3 defines this to 16, which\x0a"
"   is meant to ensure future compatibility. For the same reason, we go along\x0a"
"   with GCC's definition.\x0a"
"   http\x3a//lists.gnu.org/archive/html/bug-gnulib/2015-05/msg00001.html\x0a"
"*/\x0a"
"#define MB_LEN_MAX 16\x0a"
"#define PATH_MAX   1024\x0a"
"\x0a"
"#define LLONG_MIN  _PDCLIB_LLONG_MIN\x0a"
"#define LLONG_MAX  _PDCLIB_LLONG_MAX\x0a"
"#define ULLONG_MAX _PDCLIB_ULLONG_MAX\x0a"
"\x0a"
"#define CHAR_BIT   _PDCLIB_CHAR_BIT\x0a"
"#define CHAR_MAX   _PDCLIB_CHAR_MAX\x0a"
"#define CHAR_MIN   _PDCLIB_CHAR_MIN\x0a"
"#define SCHAR_MAX  _PDCLIB_SCHAR_MAX\x0a"
"#define SCHAR_MIN  _PDCLIB_SCHAR_MIN\x0a"
"#define UCHAR_MAX  _PDCLIB_UCHAR_MAX\x0a"
"#define SHRT_MAX   _PDCLIB_SHRT_MAX\x0a"
"#define SHRT_MIN   _PDCLIB_SHRT_MIN\x0a"
"#define INT_MAX    _PDCLIB_INT_MAX\x0a"
"#define INT_MIN    _PDCLIB_INT_MIN\x0a"
"#define LONG_MAX   _PDCLIB_LONG_MAX\x0a"
"#define LONG_MIN   _PDCLIB_LONG_MIN\x0a"
"#define USHRT_MAX  _PDCLIB_USHRT_MAX\x0a"
"#define UINT_MAX   _PDCLIB_UINT_MAX\x0a"
"#define ULONG_MAX  _PDCLIB_ULONG_MAX\x0a"
"#define SSIZE_MAX  _PDCLIB_INT_MAX\x0a"
"\x0a"
"#endif\x0a"
"", 1345 ); }