#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_math_h( 
"/*\x09\x24OpenBSD\x3a math.h,v 1.35 2016/03/17 20\x3a""55\x3a""35 jca Exp \x24\x09*/\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * from\x3a \x40(#)fdlibm.h 5.1 93/09/24\x0a"
" */\x0a"
"\x0a"
"#ifndef _MATH_H_\x0a"
"#define _MATH_H_\x0a"
"\x0a"
"#include <sys/_types.h>\x0a"
"#include <sys/limits.h>\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"/*\x0a"
" * ANSI/POSIX\x0a"
" */\x0a"
"extern char __infinity\x5b\x5d;\x0a"
"#if __GNUC_PREREQ__(3, 3)\x0a"
"#define HUGE_VAL\x09__builtin_huge_val()\x0a"
"#else /* __GNUC_PREREQ__(3, 3) */\x0a"
"#define HUGE_VAL\x09(*(double *)(void *)__infinity)\x0a"
"#endif /* __GNUC_PREREQ__(3, 3) */\x0a"
"\x0a"
"/*\x0a"
" * C99\x0a"
" */\x0a"
"#if __ISO_C_VISIBLE >= 1999\x0a"
"typedef\x09__double_t\x09""double_t;\x0a"
"typedef\x09__float_t\x09""float_t;\x0a"
"\x0a"
"#if __GNUC_PREREQ__(3, 3)\x0a"
"#define\x09HUGE_VALF\x09__builtin_huge_valf()\x0a"
"#define\x09HUGE_VALL\x09__builtin_huge_vall()\x0a"
"#define\x09INFINITY\x09__builtin_inff()\x0a"
"#define\x09NAN\x09\x09__builtin_nanf(\x22\x22)\x0a"
"#else /* __GNUC_PREREQ__(3, 3) */\x0a"
"#define\x09HUGE_VALF\x09((float)HUGE_VAL)\x0a"
"#define\x09HUGE_VALL\x09((long double)HUGE_VAL)\x0a"
"#define\x09INFINITY\x09HUGE_VALF\x0a"
"extern char __nan\x5b\x5d;\x0a"
"#define\x09NAN\x09\x09(*(float *)(void *)__nan)\x0a"
"#endif /* __GNUC_PREREQ__(3, 3) */\x0a"
"\x0a"
"#define\x09""FP_INFINITE\x09""0x01\x0a"
"#define\x09""FP_NAN\x09\x09""0x02\x0a"
"#define\x09""FP_NORMAL\x09""0x04\x0a"
"#define\x09""FP_SUBNORMAL\x09""0x08\x0a"
"#define\x09""FP_ZERO\x09\x09""0x10\x0a"
"\x0a"
"#define FP_ILOGB0\x09(-INT_MAX)\x0a"
"#define FP_ILOGBNAN\x09INT_MAX\x0a"
"\x0a"
"#ifdef\x09__FP_FAST_FMA\x0a"
"#define\x09""FP_FAST_FMA\x09""1\x0a"
"#endif\x09/* __FP_FAST_FMA */\x0a"
"\x0a"
"#ifdef\x09__FP_FAST_FMAF\x0a"
"#define\x09""FP_FAST_FMAF\x09""1\x0a"
"#endif\x09/* __FP_FAST_FMAF */\x0a"
"\x0a"
"#ifdef\x09__FP_FAST_FMAL\x0a"
"#define\x09""FP_FAST_FMAL\x09""1\x0a"
"#endif\x09/* __FP_FAST_FMAL */\x0a"
"\x0a"
"#define\x09MATH_ERRNO\x09""1\x0a"
"#define\x09MATH_ERREXCEPT\x09""2\x0a"
"#define\x09math_errhandling\x09MATH_ERREXCEPT\x0a"
"\x0a"
"#define fpclassify(x) __builtin_fpclassify(x)\x0a"
"#define isfinite(x) __builtin_isfinite(x)\x0a"
"#define isnormal(x) __builtin_isnormal(x)\x0a"
"#define signbit(x) __builtin_signbit(x)\x0a"
"\x0a"
"#define\x09isgreater(x, y)\x09\x09(\x21isunordered((x), (y)) \x26\x26 (x) > (y))\x0a"
"#define\x09isgreaterequal(x, y)\x09(\x21isunordered((x), (y)) \x26\x26 (x) >= (y))\x0a"
"#define\x09isless(x, y)\x09\x09(\x21isunordered((x), (y)) \x26\x26 (x) < (y))\x0a"
"#define\x09islessequal(x, y)\x09(\x21isunordered((x), (y)) \x26\x26 (x) <= (y))\x0a"
"#define\x09islessgreater(x, y)\x09(\x21isunordered((x), (y)) \x26\x26 \x5c\x0a"
"\x09\x09\x09\x09\x09((x) > (y) \x7c\x7c (y) > (x)))\x0a"
"#define\x09isunordered(x, y)\x09(isnan(x) \x7c\x7c isnan(y))\x0a"
"#endif /* __ISO_C_VISIBLE >= 1999 */\x0a"
"\x0a"
"#define isinf(x) __builtin_isinf(x)\x0a"
"#define isnan(x) __builtin_isnan(x)\x0a"
"\x0a"
"/*\x0a"
" * XOPEN/SVID\x0a"
" */\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE\x0a"
"#define\x09M_E\x09\x09((double)2.7182818284590452354)  /* e */\x0a"
"#define\x09M_LOG2E\x09\x09((double)1.4426950408889634074)  /* log 2e */\x0a"
"#define\x09M_LOG10E\x09((double)0.43429448190325182765) /* log 10e */\x0a"
"#define\x09M_LN2\x09\x09((double)0.69314718055994530942) /* log e2 */\x0a"
"#define\x09M_LN10\x09\x09((double)2.30258509299404568402) /* log e10 */\x0a"
"#define\x09M_PI\x09\x09((double)3.14159265358979323846) /* pi */\x0a"
"#define\x09M_PI_2\x09\x09((double)1.57079632679489661923) /* pi/2 */\x0a"
"#define\x09M_PI_4\x09\x09((double)0.78539816339744830962) /* pi/4 */\x0a"
"#define\x09M_1_PI\x09\x09((double)0.31830988618379067154) /* 1/pi */\x0a"
"#define\x09M_2_PI\x09\x09((double)0.63661977236758134308) /* 2/pi */\x0a"
"#define\x09M_2_SQRTPI\x09((double)1.12837916709551257390) /* 2/sqrt(pi) */\x0a"
"#define\x09M_SQRT2\x09\x09((double)1.41421356237309504880) /* sqrt(2) */\x0a"
"#define\x09M_SQRT1_2\x09((double)0.70710678118654752440) /* 1/sqrt(2) */\x0a"
"\x0a"
"#define\x09MAXFLOAT\x09((float)3.40282346638528860e+38)\x0a"
"\x0a"
"extern int signgam;\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE */\x0a"
"\x0a"
"#if __POSIX_VISIBLE >= 201403\x0a"
"#define\x09M_El\x09\x09""2.718281828459045235360287471352662498L /* e */\x0a"
"#define\x09M_LOG2El\x09""1.442695040888963407359924681001892137L /* log 2e */\x0a"
"#define\x09M_LOG10El\x09""0.434294481903251827651128918916605082L /* log 10e */\x0a"
"#define\x09M_LN2l\x09\x09""0.693147180559945309417232121458176568L /* log e2 */\x0a"
"#define\x09M_LN10l\x09\x09""2.302585092994045684017991454684364208L /* log e10 */\x0a"
"#define\x09M_PIl\x09\x09""3.141592653589793238462643383279502884L /* pi */\x0a"
"#define\x09M_PI_2l\x09\x09""1.570796326794896619231321691639751442L /* pi/2 */\x0a"
"#define\x09M_PI_4l\x09\x09""0.785398163397448309615660845819875721L /* pi/4 */\x0a"
"#define\x09M_1_PIl\x09\x09""0.318309886183790671537767526745028724L /* 1/pi */\x0a"
"#define\x09M_2_PIl\x09\x09""0.636619772367581343075535053490057448L /* 2/pi */\x0a"
"#define\x09M_2_SQRTPIl\x09""1.128379167095512573896158903121545172L /* 2/sqrt(pi) */\x0a"
"#define\x09M_SQRT2l\x09""1.414213562373095048801688724209698079L /* sqrt(2) */\x0a"
"#define\x09M_SQRT1_2l\x09""0.707106781186547524400844362104849039L /* 1/sqrt(2) */\x0a"
"#endif /* __POSIX_VISIBLE >= 201403 */\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09HUGE\x09\x09MAXFLOAT\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"/*\x0a"
" * ANSI/POSIX\x0a"
" */\x0a"
"double acos(double);\x0a"
"double asin(double);\x0a"
"double atan(double);\x0a"
"double atan2(double, double);\x0a"
"double cos(double);\x0a"
"double sin(double);\x0a"
"double tan(double);\x0a"
"\x0a"
"double cosh(double);\x0a"
"double sinh(double);\x0a"
"double tanh(double);\x0a"
"\x0a"
"double exp(double);\x0a"
"double frexp(double, int *);\x0a"
"double ldexp(double, int);\x0a"
"double log(double);\x0a"
"double log10(double);\x0a"
"double modf(double, double *);\x0a"
"\x0a"
"double pow(double, double);\x0a"
"double sqrt(double);\x0a"
"\x0a"
"double ceil(double);\x0a"
"double fabs(double);\x0a"
"double floor(double);\x0a"
"double fmod(double, double);\x0a"
"\x0a"
"/*\x0a"
" * C99\x0a"
" */\x0a"
"#if __BSD_VISIBLE \x7c\x7c __ISO_C_VISIBLE >= 1999 \x7c\x7c __XPG_VISIBLE\x0a"
"double acosh(double);\x0a"
"double asinh(double);\x0a"
"double atanh(double);\x0a"
"\x0a"
"double exp2(double);\x0a"
"double expm1(double);\x0a"
"int ilogb(double);\x0a"
"double log1p(double);\x0a"
"double log2(double);\x0a"
"double logb(double);\x0a"
"double scalbn(double, int);\x0a"
"double scalbln(double, long int);\x0a"
"\x0a"
"double cbrt(double);\x0a"
"double hypot(double, double);\x0a"
"\x0a"
"double erf(double);\x0a"
"double erfc(double);\x0a"
"double lgamma(double);\x0a"
"double tgamma(double);\x0a"
"\x0a"
"double nearbyint(double);\x0a"
"double rint(double);\x0a"
"long int lrint(double);\x0a"
"long long int llrint(double);\x0a"
"double round(double);\x0a"
"long int lround(double);\x0a"
"long long int llround(double);\x0a"
"double trunc(double);\x0a"
"\x0a"
"double remainder(double, double);\x0a"
"double remquo(double, double, int *);\x0a"
"\x0a"
"double copysign(double, double);\x0a"
"double nan(const char *);\x0a"
"double nextafter(double, double);\x0a"
"double nexttoward(double, long double);\x0a"
"\x0a"
"double fdim(double, double);\x0a"
"double fmax(double, double);\x0a"
"double fmin(double, double);\x0a"
"\x0a"
"double fma(double, double, double);\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __ISO_C_VISIBLE >= 1999 \x7c\x7c __XPG_VISIBLE */\x0a"
"\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE\x0a"
"double j0(double);\x0a"
"double j1(double);\x0a"
"double jn(int, double);\x0a"
"double scalb(double, double);\x0a"
"double y0(double);\x0a"
"double y1(double);\x0a"
"double yn(int, double);\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE */\x0a"
"\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE <= 500\x0a"
"double gamma(double);\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE <= 500 */\x0a"
"\x0a"
"/*\x0a"
" * BSD math library entry points\x0a"
" */\x0a"
"#if __BSD_VISIBLE\x0a"
"double drem(double, double);\x0a"
"int finite(double);\x0a"
"\x0a"
"/*\x0a"
" * Reentrant version of gamma \x26 lgamma; passes signgam back by reference\x0a"
" * as the second argument; user must allocate space for signgam.\x0a"
" */\x0a"
"double gamma_r(double, int *);\x0a"
"double lgamma_r(double, int *);\x0a"
"\x0a"
"/*\x0a"
" * IEEE Test Vector\x0a"
" */\x0a"
"double significand(double);\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"/*\x0a"
" * Float versions of C99 functions\x0a"
" */\x0a"
"#if __ISO_C_VISIBLE >= 1999\x0a"
"float acosf(float);\x0a"
"float asinf(float);\x0a"
"float atanf(float);\x0a"
"float atan2f(float, float);\x0a"
"float cosf(float);\x0a"
"float sinf(float);\x0a"
"float tanf(float);\x0a"
"\x0a"
"float acoshf(float);\x0a"
"float asinhf(float);\x0a"
"float atanhf(float);\x0a"
"float coshf(float);\x0a"
"float sinhf(float);\x0a"
"float tanhf(float);\x0a"
"\x0a"
"float expf(float);\x0a"
"float exp2f(float);\x0a"
"float expm1f(float);\x0a"
"float frexpf(float, int *);\x0a"
"int ilogbf(float);\x0a"
"float ldexpf(float, int);\x0a"
"float logf(float);\x0a"
"float log10f(float);\x0a"
"float log1pf(float);\x0a"
"float log2f(float);\x0a"
"float logbf(float);\x0a"
"float modff(float, float *);\x0a"
"float scalbnf(float, int);\x0a"
"float scalblnf(float, long int);\x0a"
"\x0a"
"float cbrtf(float);\x0a"
"float fabsf(float);\x0a"
"float hypotf(float, float);\x0a"
"float powf(float, float);\x0a"
"float sqrtf(float);\x0a"
"\x0a"
"float erff(float);\x0a"
"float erfcf(float);\x0a"
"float lgammaf(float);\x0a"
"float tgammaf(float);\x0a"
"\x0a"
"float ceilf(float);\x0a"
"float floorf(float);\x0a"
"float nearbyintf(float);\x0a"
"float rintf(float);\x0a"
"long int lrintf(float);\x0a"
"long long int llrintf(float);\x0a"
"float roundf(float);\x0a"
"long int lroundf(float);\x0a"
"long long int llroundf(float);\x0a"
"float truncf(float);\x0a"
"\x0a"
"float fmodf(float, float);\x0a"
"float remainderf(float, float);\x0a"
"float remquof(float, float, int *);\x0a"
"\x0a"
"float copysignf(float, float);\x0a"
"float nanf(const char *);\x0a"
"float nextafterf(float, float);\x0a"
"float nexttowardf(float, long double);\x0a"
"\x0a"
"float fdimf(float, float);\x0a"
"float fmaxf(float, float);\x0a"
"float fminf(float, float);\x0a"
"\x0a"
"float fmaf(float, float, float);\x0a"
"#endif /* __ISO_C_VISIBLE >= 1999 */\x0a"
"\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE\x0a"
"float j0f(float);\x0a"
"float j1f(float);\x0a"
"float jnf(int, float);\x0a"
"float scalbf(float, float);\x0a"
"float y0f(float);\x0a"
"float y1f(float);\x0a"
"float ynf(int, float);\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE */\x0a"
"\x0a"
"#if __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE <= 500\x0a"
"float gammaf(float);\x0a"
"#endif /* __BSD_VISIBLE \x7c\x7c __XPG_VISIBLE <= 500 */\x0a"
"\x0a"
"/*\x0a"
" * Float versions of BSD math library entry points\x0a"
" */\x0a"
"#if __BSD_VISIBLE\x0a"
"float dremf(float, float);\x0a"
"int finitef(float);\x0a"
"int isinff(float);\x0a"
"int isnanf(float);\x0a"
"\x0a"
"/*\x0a"
" * Float versions of reentrant version of gamma \x26 lgamma; passes\x0a"
" * signgam back by reference as the second argument; user must\x0a"
" * allocate space for signgam.\x0a"
" */\x0a"
"float gammaf_r(float, int *);\x0a"
"float lgammaf_r(float, int *);\x0a"
"\x0a"
"/*\x0a"
" * Float version of IEEE Test Vector\x0a"
" */\x0a"
"float significandf(float);\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"/*\x0a"
" * Long double versions of C99 functions\x0a"
" */\x0a"
"#if __ISO_C_VISIBLE >= 1999\x0a"
"long double acosl(long double);\x0a"
"long double asinl(long double);\x0a"
"long double atanl(long double);\x0a"
"long double atan2l(long double, long double);\x0a"
"long double cosl(long double);\x0a"
"long double sinl(long double);\x0a"
"long double tanl(long double);\x0a"
"\x0a"
"long double acoshl(long double);\x0a"
"long double asinhl(long double);\x0a"
"long double atanhl(long double);\x0a"
"long double coshl(long double);\x0a"
"long double sinhl(long double);\x0a"
"long double tanhl(long double);\x0a"
"\x0a"
"long double expl(long double);\x0a"
"long double exp2l(long double);\x0a"
"long double expm1l(long double);\x0a"
"long double frexpl(long double, int *);\x0a"
"int ilogbl(long double);\x0a"
"long double ldexpl(long double, int);\x0a"
"long double logl(long double);\x0a"
"long double log10l(long double);\x0a"
"long double log1pl(long double);\x0a"
"long double log2l(long double);\x0a"
"long double logbl(long double);\x0a"
"long double modfl(long double, long double *);\x0a"
"long double scalbnl(long double, int);\x0a"
"long double scalblnl(long double, long int);\x0a"
"\x0a"
"long double cbrtl(long double);\x0a"
"long double fabsl(long double);\x0a"
"long double hypotl(long double, long double);\x0a"
"long double powl(long double, long double);\x0a"
"long double sqrtl(long double);\x0a"
"\x0a"
"long double erfl(long double);\x0a"
"long double erfcl(long double);\x0a"
"long double lgammal(long double);\x0a"
"long double tgammal(long double);\x0a"
"\x0a"
"long double ceill(long double);\x0a"
"long double floorl(long double);\x0a"
"long double nearbyintl(long double);\x0a"
"long double rintl(long double);\x0a"
"long int lrintl(long double);\x0a"
"long long int llrintl(long double);\x0a"
"long double roundl(long double);\x0a"
"long int lroundl(long double);\x0a"
"long long int llroundl(long double);\x0a"
"long double truncl(long double);\x0a"
"\x0a"
"long double fmodl(long double, long double);\x0a"
"long double remainderl(long double, long double);\x0a"
"long double remquol(long double, long double, int *);\x0a"
"\x0a"
"long double copysignl(long double, long double);\x0a"
"long double nanl(const char *);\x0a"
"long double nextafterl(long double, long double);\x0a"
"long double nexttowardl(long double, long double);\x0a"
"\x0a"
"long double fdiml(long double, long double);\x0a"
"long double fmaxl(long double, long double);\x0a"
"long double fminl(long double, long double);\x0a"
"\x0a"
"long double fmal(long double, long double, long double);\x0a"
"#endif /* __ISO_C_VISIBLE >= 1999 */\x0a"
"\x0a"
"/*\x0a"
" * Library implementation\x0a"
" */\x0a"
"int __fpclassify(double);\x0a"
"int __fpclassifyf(float);\x0a"
"int __fpclassifyl(long double);\x0a"
"int __isfinite(double);\x0a"
"int __isfinitef(float);\x0a"
"int __isfinitel(long double);\x0a"
"int __isinf(double);\x0a"
"int __isinff(float);\x0a"
"int __isinfl(long double);\x0a"
"int __isnan(double);\x0a"
"int __isnanf(float);\x0a"
"int __isnanl(long double);\x0a"
"int __isnormal(double);\x0a"
"int __isnormalf(float);\x0a"
"int __isnormall(long double);\x0a"
"int __signbit(double);\x0a"
"int __signbitf(float);\x0a"
"int __signbitl(long double);\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif /* \x21_MATH_H_ */\x0a"
"", 11902 ); }