#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_mntent_h( 
"#ifndef _MNTENT_H\x0a"
"#define _MNTENT_H\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"/* Structure describing a mount table entry.  */\x0a"
"struct mntent\x0a"
"{\x0a"
"    char *mnt_fsname;\x09\x09/* Device or server for filesystem.  */\x0a"
"    char *mnt_dir;\x09\x09/* Directory mounted on.  */\x0a"
"    char *mnt_type;\x09\x09/* Type of filesystem\x3a ufs, nfs, etc.  */\x0a"
"    char *mnt_opts;\x09\x09/* Comma-separated options for fs.  */\x0a"
"    int mnt_freq;\x09\x09/* Dump frequency (in days).  */\x0a"
"    int mnt_passno;\x09\x09/* Pass number for \x60""fsck'.  */\x0a"
"};\x0a"
"\x0a"
"#define MOUNTED \x22/etc/mtab\x22\x0a"
"\x0a"
"FILE *setmntent (const char *__file, const char *__mode) __nothrow;\x0a"
"struct mntent *getmntent (FILE *__stream) __nothrow;\x0a"
"int addmntent (FILE *__restrict __stream, const struct mntent *__restrict __mnt) __nothrow;\x0a"
"int endmntent (FILE *__stream) __nothrow;\x0a"
"char *hasmntopt (const struct mntent *__mnt, const char *__opt) __nothrow;\x0a"
"\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif\x0a"
"", 860 ); }