#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_netinet_in_h( 
"/*\x09\x24OpenBSD\x3a in.h,v 1.127 2017/11/20 10\x3a""35\x3a""24 mpi Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a in.h,v 1.20 1996/02/13 23\x3a""41\x3a""47 christos Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1982, 1986, 1990, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Constants and structures defined by the internet system,\x0a"
" * Per RFC 790, September 1981, and numerous additions.\x0a"
" */\x0a"
"\x0a"
"#ifndef _NETINET_IN_H_\x0a"
"#define\x09_NETINET_IN_H_\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"#include <sys/types.h>\x0a"
"\x0a"
"/* <sys/_endian.h> is pulled in by <sys/types.h> */\x0a"
"#ifndef htons\x0a"
"#define htons(x)\x09__htobe16(x)\x0a"
"#define htonl(x)\x09__htobe32(x)\x0a"
"#define ntohs(x)\x09__htobe16(x)\x0a"
"#define ntohl(x)\x09__htobe32(x)\x0a"
"#endif\x0a"
"\x0a"
"#endif /* _KERNEL */\x0a"
"\x0a"
"#if 1 // i changed dis, sa_family_t already defined in include/bits/sockaddr.h\x0a"
"#ifndef\x09_SA_FAMILY_T_DEFINED_\x0a"
"#define\x09_SA_FAMILY_T_DEFINED_\x0a"
"typedef\x09__sa_family_t\x09sa_family_t;\x09/* sockaddr address family type */\x0a"
"#endif /* _SA_FAMILY_T_DEFINED_ */\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _IN_TYPES_DEFINED_\x0a"
"#define _IN_TYPES_DEFINED_\x0a"
"typedef __in_addr_t\x09in_addr_t;\x09/* base type for internet address */\x0a"
"typedef __in_port_t\x09in_port_t;\x09/* IP port type */\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Protocols\x0a"
" */\x0a"
"#define\x09IPPROTO_IP\x09\x09""0\x09\x09/* dummy for IP */\x0a"
"#define IPPROTO_HOPOPTS\x09\x09IPPROTO_IP\x09/* Hop-by-hop option header */\x0a"
"#define\x09IPPROTO_ICMP\x09\x09""1\x09\x09/* control message protocol */\x0a"
"#define\x09IPPROTO_IGMP\x09\x09""2\x09\x09/* group mgmt protocol */\x0a"
"#define\x09IPPROTO_GGP\x09\x09""3\x09\x09/* gateway^2 (deprecated) */\x0a"
"#define\x09IPPROTO_IPIP\x09\x09""4\x09\x09/* IP inside IP */\x0a"
"#define\x09IPPROTO_IPV4\x09\x09IPPROTO_IPIP\x09/* IP inside IP */\x0a"
"#define\x09IPPROTO_TCP\x09\x09""6\x09\x09/* tcp */\x0a"
"#define\x09IPPROTO_EGP\x09\x09""8\x09\x09/* exterior gateway protocol */\x0a"
"#define\x09IPPROTO_PUP\x09\x09""12\x09\x09/* pup */\x0a"
"#define\x09IPPROTO_UDP\x09\x09""17\x09\x09/* user datagram protocol */\x0a"
"#define\x09IPPROTO_IDP\x09\x09""22\x09\x09/* xns idp */\x0a"
"#define\x09IPPROTO_TP\x09\x09""29 \x09\x09/* tp-4 w/ class negotiation */\x0a"
"#define IPPROTO_IPV6\x09\x09""41\x09\x09/* IPv6 in IPv6 */\x0a"
"#define IPPROTO_ROUTING\x09\x09""43\x09\x09/* Routing header */\x0a"
"#define IPPROTO_FRAGMENT\x09""44\x09\x09/* Fragmentation/reassembly header */\x0a"
"#define IPPROTO_RSVP\x09\x09""46\x09\x09/* resource reservation */\x0a"
"#define\x09IPPROTO_GRE\x09\x09""47\x09\x09/* GRE encap, RFCs 1701/1702 */\x0a"
"#define\x09IPPROTO_ESP\x09\x09""50\x09\x09/* Encap. Security Payload */\x0a"
"#define\x09IPPROTO_AH\x09\x09""51\x09\x09/* Authentication header */\x0a"
"#define\x09IPPROTO_MOBILE\x09\x09""55\x09\x09/* IP Mobility, RFC 2004 */\x0a"
"#define IPPROTO_ICMPV6\x09\x09""58\x09\x09/* ICMP for IPv6 */\x0a"
"#define IPPROTO_NONE\x09\x09""59\x09\x09/* No next header */\x0a"
"#define IPPROTO_DSTOPTS\x09\x09""60\x09\x09/* Destination options header */\x0a"
"#define\x09IPPROTO_EON\x09\x09""80\x09\x09/* ISO cnlp */\x0a"
"#define IPPROTO_ETHERIP\x09\x09""97\x09\x09/* Ethernet in IPv4 */\x0a"
"#define\x09IPPROTO_ENCAP\x09\x09""98\x09\x09/* encapsulation header */\x0a"
"#define IPPROTO_PIM\x09\x09""103\x09\x09/* Protocol indep. multicast */\x0a"
"#define IPPROTO_IPCOMP\x09\x09""108\x09\x09/* IP Payload Comp. Protocol */\x0a"
"#define\x09IPPROTO_CARP\x09\x09""112\x09\x09/* CARP */\x0a"
"#define\x09IPPROTO_MPLS\x09\x09""137\x09\x09/* unicast MPLS packet */\x0a"
"#define\x09IPPROTO_PFSYNC\x09\x09""240\x09\x09/* PFSYNC */\x0a"
"#define\x09IPPROTO_RAW\x09\x09""255\x09\x09/* raw IP packet */\x0a"
"\x0a"
"#define\x09IPPROTO_MAX\x09\x09""256\x0a"
"\x0a"
"/* Only used internally, so it can be outside the range of valid IP protocols */\x0a"
"#define\x09IPPROTO_DIVERT\x09\x09""258\x09\x09/* Divert sockets */\x0a"
"\x0a"
"/*\x0a"
" * From FreeBSD\x3a\x0a"
" *\x0a"
" * Local port number conventions\x3a\x0a"
" *\x0a"
" * When a user does a bind(2) or connect(2) with a port number of zero,\x0a"
" * a non-conflicting local port address is chosen.\x0a"
" * The default range is IPPORT_RESERVED through\x0a"
" * IPPORT_USERRESERVED, although that is settable by sysctl.\x0a"
" *\x0a"
" * A user may set the IPPROTO_IP option IP_PORTRANGE to change this\x0a"
" * default assignment range.\x0a"
" *\x0a"
" * The value IP_PORTRANGE_DEFAULT causes the default behavior.\x0a"
" *\x0a"
" * The value IP_PORTRANGE_HIGH changes the range of candidate port numbers\x0a"
" * into the \x22high\x22 range.  These are reserved for client outbound connections\x0a"
" * which do not want to be filtered by any firewalls.\x0a"
" *\x0a"
" * The value IP_PORTRANGE_LOW changes the range to the \x22low\x22 are\x0a"
" * that is (by convention) restricted to privileged processes.  This\x0a"
" * convention is based on \x22vouchsafe\x22 principles only.  It is only secure\x0a"
" * if you trust the remote host to restrict these ports.\x0a"
" *\x0a"
" * The default range of ports and the high range can be changed by\x0a"
" * sysctl(3).  (net.inet.ip.port{hi}{first,last})\x0a"
" *\x0a"
" * Changing those values has bad security implications if you are\x0a"
" * using a a stateless firewall that is allowing packets outside of that\x0a"
" * range in order to allow transparent outgoing connections.\x0a"
" *\x0a"
" * Such a firewall configuration will generally depend on the use of these\x0a"
" * default values.  If you change them, you may find your Security\x0a"
" * Administrator looking for you with a heavy object.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Ports < IPPORT_RESERVED are reserved for\x0a"
" * privileged processes (e.g. root).\x0a"
" * Ports > IPPORT_USERRESERVED are reserved\x0a"
" * for servers, not necessarily privileged.\x0a"
" */\x0a"
"#define\x09IPPORT_RESERVED\x09\x09""1024\x0a"
"#define\x09IPPORT_USERRESERVED\x09""49151\x0a"
"\x0a"
"/*\x0a"
" * Default local port range to use by setting IP_PORTRANGE_HIGH\x0a"
" */\x0a"
"#define IPPORT_HIFIRSTAUTO\x09""49152\x0a"
"#define IPPORT_HILASTAUTO\x09""65535\x0a"
"\x0a"
"#ifndef _IN_ADDR_DECLARED\x0a"
"#define _IN_ADDR_DECLARED\x0a"
"/*\x0a"
" * IP Version 4 Internet address (a structure for historical reasons)\x0a"
" */\x0a"
"struct in_addr {\x0a"
"\x09in_addr_t s_addr;\x0a"
"};\x0a"
"#endif /* _IN_ADDR_DECLARED */\x0a"
"\x0a"
"/* last return value of *_input(), meaning \x22""all job for this pkt is done\x22.  */\x0a"
"#define\x09IPPROTO_DONE\x09\x09""257\x0a"
"\x0a"
"/*\x0a"
" * Definitions of bits in internet address integers.\x0a"
" * On subnets, the decomposition of addresses to host and net parts\x0a"
" * is done according to subnet mask, not the masks here.\x0a"
" *\x0a"
" * By byte-swapping the constants, we avoid ever having to byte-swap IP\x0a"
" * addresses inside the kernel.  Unfortunately, user-level programs rely\x0a"
" * on these macros not doing byte-swapping.\x0a"
" */\x0a"
"#ifdef _KERNEL\x0a"
"#define\x09__IPADDR(x)\x09((u_int32_t) htonl((u_int32_t)(x)))\x0a"
"#else\x0a"
"#define\x09__IPADDR(x)\x09((u_int32_t)(x))\x0a"
"#endif /* _KERNEL */\x0a"
"\x0a"
"#define\x09IN_CLASSA(i)\x09\x09(((u_int32_t)(i) \x26 __IPADDR(0x80000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0x00000000))\x0a"
"#define\x09IN_CLASSA_NET\x09\x09__IPADDR(0xff000000)\x0a"
"#define\x09IN_CLASSA_NSHIFT\x09""24\x0a"
"#define\x09IN_CLASSA_HOST\x09\x09__IPADDR(0x00ffffff)\x0a"
"#define\x09IN_CLASSA_MAX\x09\x09""128\x0a"
"\x0a"
"#define\x09IN_CLASSB(i)\x09\x09(((u_int32_t)(i) \x26 __IPADDR(0xc0000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0x80000000))\x0a"
"#define\x09IN_CLASSB_NET\x09\x09__IPADDR(0xffff0000)\x0a"
"#define\x09IN_CLASSB_NSHIFT\x09""16\x0a"
"#define\x09IN_CLASSB_HOST\x09\x09__IPADDR(0x0000ffff)\x0a"
"#define\x09IN_CLASSB_MAX\x09\x09""65536\x0a"
"\x0a"
"#define\x09IN_CLASSC(i)\x09\x09(((u_int32_t)(i) \x26 __IPADDR(0xe0000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0xc0000000))\x0a"
"#define\x09IN_CLASSC_NET\x09\x09__IPADDR(0xffffff00)\x0a"
"#define\x09IN_CLASSC_NSHIFT\x09""8\x0a"
"#define\x09IN_CLASSC_HOST\x09\x09__IPADDR(0x000000ff)\x0a"
"\x0a"
"#define\x09IN_CLASSD(i)\x09\x09(((u_int32_t)(i) \x26 __IPADDR(0xf0000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0xe0000000))\x0a"
"/* These ones aren't really net and host fields, but routing needn't know. */\x0a"
"#define\x09IN_CLASSD_NET\x09\x09__IPADDR(0xf0000000)\x0a"
"#define\x09IN_CLASSD_NSHIFT\x09""28\x0a"
"#define\x09IN_CLASSD_HOST\x09\x09__IPADDR(0x0fffffff)\x0a"
"#define\x09IN_MULTICAST(i)\x09\x09IN_CLASSD(i)\x0a"
"\x0a"
"#define\x09IN_RFC3021_NET\x09\x09__IPADDR(0xfffffffe)\x0a"
"#define\x09IN_RFC3021_NSHIFT\x09""31\x0a"
"#define\x09IN_RFC3021_HOST\x09\x09__IPADDR(0x00000001)\x0a"
"#define\x09IN_RFC3021_SUBNET(n)\x09(((u_int32_t)(n) \x26 IN_RFC3021_NET) == \x5c\x0a"
"\x09\x09\x09\x09 IN_RFC3021_NET)\x0a"
"\x0a"
"#define\x09IN_EXPERIMENTAL(i)\x09(((u_int32_t)(i) \x26 __IPADDR(0xf0000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0xf0000000))\x0a"
"#define\x09IN_BADCLASS(i)\x09\x09(((u_int32_t)(i) \x26 __IPADDR(0xf0000000)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0xf0000000))\x0a"
"\x0a"
"#define\x09IN_LOCAL_GROUP(i)\x09(((u_int32_t)(i) \x26 __IPADDR(0xffffff00)) == \x5c\x0a"
"\x09\x09\x09\x09 __IPADDR(0xe0000000))\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"#define IN_CLASSFULBROADCAST(i, b) \x5c\x0a"
"\x09\x09\x09\x09((IN_CLASSC(b) \x26\x26 (b \x7c IN_CLASSC_HOST) == i) \x7c\x7c\x09\x5c\x0a"
"\x09\x09\x09\x09 (IN_CLASSB(b) \x26\x26 (b \x7c IN_CLASSB_HOST) == i) \x7c\x7c\x09\x5c\x0a"
"\x09\x09\x09\x09 (IN_CLASSA(b) \x26\x26 (b \x7c IN_CLASSA_HOST) == i))\x0a"
"#endif\x09/* _KERNEL */\x0a"
"\x0a"
"#define\x09INADDR_ANY\x09\x09__IPADDR(0x00000000)\x0a"
"#define\x09INADDR_LOOPBACK\x09\x09__IPADDR(0x7f000001)\x0a"
"#define\x09INADDR_BROADCAST\x09__IPADDR(0xffffffff)\x09/* must be masked */\x0a"
"#ifndef _KERNEL\x0a"
"#define\x09INADDR_NONE\x09\x09__IPADDR(0xffffffff)\x09/* -1 return */\x0a"
"#endif /* _KERNEL */\x0a"
"\x0a"
"#define\x09INADDR_UNSPEC_GROUP\x09__IPADDR(0xe0000000)\x09/* 224.0.0.0 */\x0a"
"#define\x09INADDR_ALLHOSTS_GROUP\x09__IPADDR(0xe0000001)\x09/* 224.0.0.1 */\x0a"
"#define\x09INADDR_ALLROUTERS_GROUP __IPADDR(0xe0000002)\x09/* 224.0.0.2 */\x0a"
"#define\x09INADDR_CARP_GROUP\x09__IPADDR(0xe0000012)\x09/* 224.0.0.18 */\x0a"
"#define\x09INADDR_PFSYNC_GROUP\x09__IPADDR(0xe00000f0)\x09/* 224.0.0.240 */\x0a"
"#define INADDR_MAX_LOCAL_GROUP\x09__IPADDR(0xe00000ff)\x09/* 224.0.0.255 */\x0a"
"\x0a"
"#define\x09IN_LOOPBACKNET\x09\x09""127\x09\x09\x09/* official\x21 */\x0a"
"\x0a"
"/*\x0a"
" * IP Version 4 socket address.\x0a"
" */\x0a"
"struct sockaddr_in {\x0a"
"\x09u_int8_t    sin_len;\x0a"
"\x09sa_family_t sin_family;\x0a"
"\x09in_port_t   sin_port;\x0a"
"\x09struct\x09    in_addr sin_addr;\x0a"
"\x09int8_t\x09    sin_zero\x5b""8\x5d;\x0a"
"};\x0a"
"\x0a"
"/*\x0a"
" * Structure used to describe IP options.\x0a"
" * Used to store options internally, to pass them to a process,\x0a"
" * or to restore options retrieved earlier.\x0a"
" * The ip_dst is used for the first-hop gateway when using a source route\x0a"
" * (this gets put into the header proper).\x0a"
" */\x0a"
"struct ip_opts {\x0a"
"\x09struct in_addr\x09ip_dst;\x09\x09/* first hop, 0 w/o src rt */\x0a"
"#if defined(__cplusplus)\x0a"
"\x09int8_t\x09\x09Ip_opts\x5b""40\x5d;\x09/* cannot have same name as class */\x0a"
"#else\x0a"
"\x09int8_t\x09\x09ip_opts\x5b""40\x5d;\x09/* actually variable in size */\x0a"
"#endif /* defined(__cplusplus) */\x0a"
"};\x0a"
"\x0a"
"/*\x0a"
" * Options for use with \x5bgs\x5d""etsockopt at the IP level.\x0a"
" * First word of comment is data type; bool is stored in int.\x0a"
" */\x0a"
"#define\x09IP_OPTIONS\x09\x09""1    /* buf/ip_opts; set/get IP options */\x0a"
"#define\x09IP_HDRINCL\x09\x09""2    /* int; header is included with data */\x0a"
"#define\x09IP_TOS\x09\x09\x09""3    /* int; IP type of service and preced. */\x0a"
"#define\x09IP_TTL\x09\x09\x09""4    /* int; IP time to live */\x0a"
"#define\x09IP_RECVOPTS\x09\x09""5    /* bool; receive all IP opts w/dgram */\x0a"
"#define\x09IP_RECVRETOPTS\x09\x09""6    /* bool; receive IP opts for response */\x0a"
"#define\x09IP_RECVDSTADDR\x09\x09""7    /* bool; receive IP dst addr w/dgram */\x0a"
"#define\x09IP_RETOPTS\x09\x09""8    /* ip_opts; set/get IP options */\x0a"
"#define\x09IP_MULTICAST_IF\x09\x09""9    /* in_addr; set/get IP multicast i/f  */\x0a"
"#define\x09IP_MULTICAST_TTL\x09""10   /* u_char; set/get IP multicast ttl */\x0a"
"#define\x09IP_MULTICAST_LOOP\x09""11   /* u_char; set/get IP multicast loopback */\x0a"
"#define\x09IP_ADD_MEMBERSHIP\x09""12   /* ip_mreq; add an IP group membership */\x0a"
"#define\x09IP_DROP_MEMBERSHIP\x09""13   /* ip_mreq; drop an IP group membership */\x0a"
"#define IP_PORTRANGE\x09\x09""19   /* int; range to choose for unspec port */\x0a"
"#define IP_AUTH_LEVEL\x09\x09""20   /* int; authentication used */\x0a"
"#define IP_ESP_TRANS_LEVEL\x09""21   /* int; transport encryption */\x0a"
"#define IP_ESP_NETWORK_LEVEL\x09""22   /* int; full-packet encryption */\x0a"
"#define IP_IPSEC_LOCAL_ID\x09""23   /* buf; IPsec local ID */\x0a"
"#define IP_IPSEC_REMOTE_ID\x09""24   /* buf; IPsec remote ID */\x0a"
"#define IP_IPSEC_LOCAL_CRED\x09""25   /* buf; was\x3a IPsec local credentials */\x0a"
"#define IP_IPSEC_REMOTE_CRED\x09""26   /* buf; was\x3a IPsec remote credentials */\x0a"
"#define IP_IPSEC_LOCAL_AUTH\x09""27   /* buf; was\x3a IPsec local auth material */\x0a"
"#define IP_IPSEC_REMOTE_AUTH\x09""28   /* buf; was\x3a IPsec remote auth material */\x0a"
"#define IP_IPCOMP_LEVEL\x09\x09""29   /* int; compression used */\x0a"
"#define IP_RECVIF\x09\x09""30   /* bool; receive reception if w/dgram */\x0a"
"#define IP_RECVTTL\x09\x09""31   /* bool; receive IP TTL w/dgram */\x0a"
"#define IP_MINTTL\x09\x09""32   /* minimum TTL for packet or drop */\x0a"
"#define IP_RECVDSTPORT\x09\x09""33   /* bool; receive IP dst port w/dgram */\x0a"
"#define IP_PIPEX\x09\x09""34   /* bool; using PIPEX */\x0a"
"#define IP_RECVRTABLE\x09\x09""35   /* bool; receive rdomain w/dgram */\x0a"
"#define IP_IPSECFLOWINFO\x09""36   /* bool; IPsec flow info for dgram */\x0a"
"#define IP_IPDEFTTL\x09\x09""37   /* int; IP TTL system default */\x0a"
"#define IP_SENDSRCADDR\x09\x09IP_RECVDSTADDR  /* struct in_addr; */\x0a"
"\x09\x09\x09\x09\x09\x09/* source address to use */\x0a"
"\x0a"
"#define IP_RTABLE\x09\x09""0x1021\x09/* int; routing table, see SO_RTABLE */\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"/*\x0a"
" * Security levels - IPsec, not IPSO\x0a"
" */\x0a"
"\x0a"
"#define IPSEC_LEVEL_BYPASS      0x00    /* Bypass policy altogether */\x0a"
"#define IPSEC_LEVEL_NONE        0x00    /* Send clear, accept any */\x0a"
"#define IPSEC_LEVEL_AVAIL       0x01    /* Send secure if SA available */\x0a"
"#define IPSEC_LEVEL_USE         0x02    /* Send secure, accept any */\x0a"
"#define IPSEC_LEVEL_REQUIRE     0x03    /* Require secure inbound, also use */\x0a"
"#define IPSEC_LEVEL_UNIQUE      0x04    /* Use outbound SA that is unique */\x0a"
"#define IPSEC_LEVEL_DEFAULT     IPSEC_LEVEL_AVAIL\x0a"
"\x0a"
"#define IPSEC_AUTH_LEVEL_DEFAULT IPSEC_LEVEL_DEFAULT\x0a"
"#define IPSEC_ESP_TRANS_LEVEL_DEFAULT IPSEC_LEVEL_DEFAULT\x0a"
"#define IPSEC_ESP_NETWORK_LEVEL_DEFAULT IPSEC_LEVEL_DEFAULT\x0a"
"#define IPSEC_IPCOMP_LEVEL_DEFAULT IPSEC_LEVEL_DEFAULT\x0a"
"\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"/*\x0a"
" * Defaults and limits for options\x0a"
" */\x0a"
"#define\x09IP_DEFAULT_MULTICAST_TTL  1\x09/* normally limit m'casts to 1 hop  */\x0a"
"#define\x09IP_DEFAULT_MULTICAST_LOOP 1\x09/* normally hear sends if a member  */\x0a"
"/*\x0a"
" * The imo_membership vector for each socket starts at IP_MIN_MEMBERSHIPS\x0a"
" * and is dynamically allocated at run-time, bounded by IP_MAX_MEMBERSHIPS,\x0a"
" * and is reallocated when needed, sized according to a power-of-two increment.\x0a"
" */\x0a"
"#define\x09IP_MIN_MEMBERSHIPS\x09""15\x0a"
"#define\x09IP_MAX_MEMBERSHIPS\x09""4095\x0a"
"\x0a"
"/*\x0a"
" * Argument structure for IP_ADD_MEMBERSHIP and IP_DROP_MEMBERSHIP.\x0a"
" */\x0a"
"struct ip_mreq {\x0a"
"\x09struct\x09in_addr imr_multiaddr;\x09/* IP multicast address of group */\x0a"
"\x09struct\x09in_addr imr_interface;\x09/* local IP address of interface */\x0a"
"};\x0a"
"\x0a"
"/*\x0a"
" * Argument for IP_PORTRANGE\x3a\x0a"
" * - which range to search when port is unspecified at bind() or connect()\x0a"
" */\x0a"
"#define IP_PORTRANGE_DEFAULT\x09""0\x09/* default range */\x0a"
"#define IP_PORTRANGE_HIGH\x09""1\x09/* \x22high\x22 - request firewall bypass */\x0a"
"#define IP_PORTRANGE_LOW\x09""2\x09/* \x22low\x22 - vouchsafe security */\x0a"
"\x0a"
"/*\x0a"
" * Buffer lengths for strings containing printable IP addresses\x0a"
" */\x0a"
"#ifndef INET_ADDRSTRLEN\x0a"
"#define INET_ADDRSTRLEN\x09\x09""16\x0a"
"#endif /* INET_ADDRSTRLEN */\x0a"
"\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"/*\x0a"
" * Definitions for inet sysctl operations.\x0a"
" *\x0a"
" * Third level is protocol number.\x0a"
" * Fourth level is desired variable within that protocol.\x0a"
" */\x0a"
"#define\x09IPPROTO_MAXID\x09(IPPROTO_DIVERT + 1)\x09/* don't list to IPPROTO_MAX */\x0a"
"\x0a"
"#define\x09""CTL_IPPROTO_NAMES { \x5c\x0a"
"\x09{ \x22ip\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22icmp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22igmp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22ggp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22ipip\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22tcp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""egp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22pup\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22udp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22gre\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""esp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22""ah\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22mobileip\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""etherip\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22ipcomp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""carp\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22pfsync\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""divert\x22, CTLTYPE_NODE }, \x5c\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * Names for IP sysctl objects\x0a"
" */\x0a"
"#define\x09IPCTL_FORWARDING\x09""1\x09/* act as router */\x0a"
"#define\x09IPCTL_SENDREDIRECTS\x09""2\x09/* may send redirects when forwarding */\x0a"
"#define\x09IPCTL_DEFTTL\x09\x09""3\x09/* default TTL */\x0a"
"#define\x09IPCTL_SOURCEROUTE\x09""5\x09/* may perform source routes */\x0a"
"#define\x09IPCTL_DIRECTEDBCAST\x09""6\x09/* default broadcast behavior */\x0a"
"#define IPCTL_IPPORT_FIRSTAUTO\x09""7\x0a"
"#define IPCTL_IPPORT_LASTAUTO\x09""8\x0a"
"#define IPCTL_IPPORT_HIFIRSTAUTO 9\x0a"
"#define IPCTL_IPPORT_HILASTAUTO\x09""10\x0a"
"#define\x09IPCTL_IPPORT_MAXQUEUE\x09""11\x0a"
"#define\x09IPCTL_ENCDEBUG\x09\x09""12\x0a"
"#define IPCTL_IPSEC_EXPIRE_ACQUIRE 14   /* How long to wait for key mgmt. */\x0a"
"#define IPCTL_IPSEC_EMBRYONIC_SA_TIMEOUT\x09""15 /* new SA lifetime */\x0a"
"#define IPCTL_IPSEC_REQUIRE_PFS 16\x0a"
"#define IPCTL_IPSEC_SOFT_ALLOCATIONS            17\x0a"
"#define IPCTL_IPSEC_ALLOCATIONS 18\x0a"
"#define IPCTL_IPSEC_SOFT_BYTES  19\x0a"
"#define IPCTL_IPSEC_BYTES       20\x0a"
"#define IPCTL_IPSEC_TIMEOUT     21\x0a"
"#define IPCTL_IPSEC_SOFT_TIMEOUT 22\x0a"
"#define IPCTL_IPSEC_SOFT_FIRSTUSE 23\x0a"
"#define IPCTL_IPSEC_FIRSTUSE    24\x0a"
"#define IPCTL_IPSEC_ENC_ALGORITHM 25\x0a"
"#define IPCTL_IPSEC_AUTH_ALGORITHM 26\x0a"
"#define\x09IPCTL_MTUDISC\x09\x09""27\x09/* allow path MTU discovery */\x0a"
"#define\x09IPCTL_MTUDISCTIMEOUT\x09""28\x09/* allow path MTU discovery */\x0a"
"#define\x09IPCTL_IPSEC_IPCOMP_ALGORITHM\x09""29\x0a"
"#define\x09IPCTL_IFQUEUE\x09\x09""30\x0a"
"#define\x09IPCTL_MFORWARDING\x09""31\x0a"
"#define\x09IPCTL_MULTIPATH\x09\x09""32\x0a"
"#define\x09IPCTL_STATS\x09\x09""33\x09/* IP statistics */\x0a"
"#define\x09IPCTL_MRTPROTO\x09\x09""34\x09/* type of multicast */\x0a"
"#define\x09IPCTL_MRTSTATS\x09\x09""35\x0a"
"#define\x09IPCTL_ARPQUEUED\x09\x09""36\x0a"
"#define\x09IPCTL_MRTMFC\x09\x09""37\x0a"
"#define\x09IPCTL_MRTVIF\x09\x09""38\x0a"
"#define\x09IPCTL_ARPTIMEOUT\x09""39\x0a"
"#define\x09IPCTL_ARPDOWN\x09\x09""40\x0a"
"#define\x09IPCTL_MAXID\x09\x09""41\x0a"
"\x0a"
"#define\x09IPCTL_NAMES { \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22""forwarding\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22redirect\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ttl\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09/* { \x22mtu\x22, CTLTYPE_INT }, */ { 0, 0 }, \x5c\x0a"
"\x09{ \x22sourceroute\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22""directed-broadcast\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22portfirst\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22portlast\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22porthifirst\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22porthilast\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22maxqueue\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22""encdebug\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ 0, 0 }, \x5c\x0a"
"\x09{ \x22ipsec-expire-acquire\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-invalid-life\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-pfs\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-soft-allocs\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-allocs\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-soft-bytes\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-bytes\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-timeout\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-soft-timeout\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-soft-firstuse\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-firstuse\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-enc-alg\x22, CTLTYPE_STRING }, \x5c\x0a"
"\x09{ \x22ipsec-auth-alg\x22, CTLTYPE_STRING }, \x5c\x0a"
"\x09{ \x22mtudisc\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22mtudisctimeout\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22ipsec-comp-alg\x22, CTLTYPE_STRING }, \x5c\x0a"
"\x09{ \x22ifq\x22, CTLTYPE_NODE }, \x5c\x0a"
"\x09{ \x22mforwarding\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22multipath\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22stats\x22, CTLTYPE_STRUCT }, \x5c\x0a"
"\x09{ \x22mrtproto\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22mrtstats\x22, CTLTYPE_STRUCT }, \x5c\x0a"
"\x09{ \x22""arpqueued\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22mrtmfc\x22, CTLTYPE_STRUCT }, \x5c\x0a"
"\x09{ \x22mrtvif\x22, CTLTYPE_STRUCT }, \x5c\x0a"
"\x09{ \x22""arptimeout\x22, CTLTYPE_INT }, \x5c\x0a"
"\x09{ \x22""arpdown\x22, CTLTYPE_INT }, \x5c\x0a"
"}\x0a"
"#define\x09IPCTL_VARS { \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09\x26ipforwarding, \x5c\x0a"
"\x09\x26ipsendredirects, \x5c\x0a"
"\x09\x26ip_defttl, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09\x26ip_directedbcast, \x5c\x0a"
"\x09\x26ipport_firstauto, \x5c\x0a"
"\x09\x26ipport_lastauto, \x5c\x0a"
"\x09\x26ipport_hifirstauto, \x5c\x0a"
"\x09\x26ipport_hilastauto, \x5c\x0a"
"\x09\x26ip_maxqueue, \x5c\x0a"
"\x09NULL /* encdebug */, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL /* ipsec_expire_acquire */, \x5c\x0a"
"\x09NULL /* ipsec_keep_invalid */, \x5c\x0a"
"\x09NULL /* ipsec_require_pfs */, \x5c\x0a"
"\x09NULL /* ipsec_soft_allocations */, \x5c\x0a"
"\x09NULL /* ipsec_exp_allocations */, \x5c\x0a"
"\x09NULL /* ipsec_soft_bytes */, \x5c\x0a"
"\x09NULL /* ipsec_exp_bytes */, \x5c\x0a"
"\x09NULL /* ipsec_exp_timeout */, \x5c\x0a"
"\x09NULL /* ipsec_soft_timeout */, \x5c\x0a"
"\x09NULL /* ipsec_soft_first_use */, \x5c\x0a"
"\x09NULL /* ipsec_exp_first_use */, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09\x26ipmforwarding, \x5c\x0a"
"\x09\x26ipmultipath, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09\x26la_hold_total, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09NULL, \x5c\x0a"
"\x09\x26""arpt_keep, \x5c\x0a"
"\x09\x26""arpt_down, \x5c\x0a"
"}\x0a"
"\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"#if 0\x0a"
"/* INET6 stuff */\x0a"
"#define __KAME_NETINET_IN_H_INCLUDED_\x0a"
"#include <netinet6/in6.h>\x0a"
"#undef __KAME_NETINET_IN_H_INCLUDED_\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"#if __BSD_VISIBLE\x0a"
"__BEGIN_DECLS\x0a"
"int\x09   bindresvport(int, struct sockaddr_in *);\x0a"
"struct sockaddr;\x0a"
"int\x09   bindresvport_sa(int, struct sockaddr *);\x0a"
"__END_DECLS\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"#endif /* \x21_KERNEL */\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"extern\x09   const int inetctlerrmap\x5b\x5d;\x0a"
"extern\x09   struct in_addr zeroin_addr;\x0a"
"\x0a"
"struct mbuf;\x0a"
"struct sockaddr;\x0a"
"struct sockaddr_in;\x0a"
"struct ifaddr;\x0a"
"struct in_ifaddr;\x0a"
"\x0a"
"void\x09   ipv4_input(struct ifnet *, struct mbuf *);\x0a"
"\x0a"
"int\x09   in_broadcast(struct in_addr, u_int);\x0a"
"int\x09   in_canforward(struct in_addr);\x0a"
"int\x09   in_cksum(struct mbuf *, int);\x0a"
"int\x09   in4_cksum(struct mbuf *, u_int8_t, int, int);\x0a"
"void\x09   in_proto_cksum_out(struct mbuf *, struct ifnet *);\x0a"
"void\x09   in_ifdetach(struct ifnet *);\x0a"
"int\x09   in_mask2len(struct in_addr *);\x0a"
"void\x09   in_len2mask(struct in_addr *, int);\x0a"
"int\x09   in_nam2sin(const struct mbuf *, struct sockaddr_in **);\x0a"
"\x0a"
"char\x09  *inet_ntoa(struct in_addr);\x0a"
"int\x09   inet_nat64(int, const void *, void *, const void *, u_int8_t);\x0a"
"int\x09   inet_nat46(int, const void *, void *, const void *, u_int8_t);\x0a"
"\x0a"
"const char *inet_ntop(int, const void *, char *, socklen_t);\x0a"
"const char *sockaddr_ntop(struct sockaddr *, char *, size_t);\x0a"
"\x0a"
"#define\x09in_hosteq(s,t)\x09((s).s_addr == (t).s_addr)\x0a"
"#define\x09in_nullhost(x)\x09((x).s_addr == INADDR_ANY)\x0a"
"\x0a"
"/*\x0a"
" * Convert between address family specific and general structs.\x0a"
" * Inline functions check the source type and are stricter than\x0a"
" * casts or defines.\x0a"
" */\x0a"
"\x0a"
"static inline struct sockaddr_in *\x0a"
"satosin(struct sockaddr *sa)\x0a"
"{\x0a"
"\x09return ((struct sockaddr_in *)(sa));\x0a"
"}\x0a"
"\x0a"
"static inline struct sockaddr *\x0a"
"sintosa(struct sockaddr_in *sin)\x0a"
"{\x0a"
"\x09return ((struct sockaddr *)(sin));\x0a"
"}\x0a"
"\x0a"
"static inline struct in_ifaddr *\x0a"
"ifatoia(struct ifaddr *ifa)\x0a"
"{\x0a"
"\x09return ((struct in_ifaddr *)(ifa));\x0a"
"}\x0a"
"#endif /* _KERNEL */\x0a"
"#endif /* _NETINET_IN_H_ */\x0a"
"", 24413 ); }