#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_rst_common_hpp( 
"#pragma once\x0a"
"\x0a"
"#include <cstdint>\x0a"
"#include <dios.h>\x0a"
"\x0a"
"#include <rst/lart.h>\x0a"
"#include <util/array.hpp>\x0a"
"\x0a"
"#include <experimental/type_traits>\x0a"
"\x0a"
"#define _NOTHROW __attribute__((__nothrow__))\x0a"
"\x0a"
"#define _UNREACHABLE_F(...) do { \x5c\x0a"
"        __dios_trace_f( __VA_ARGS__ ); \x5c\x0a"
"        __dios_fault( _VM_F_Assert, \x22unreachable called\x22 ); \x5c\x0a"
"        __builtin_unreachable(); \x5c\x0a"
"    } while ( false )\x0a"
"\x0a"
"#define _EXPECT(expr,...) \x5c\x0a"
"    if (\x21(expr)) \x5c\x0a"
"        _UNREACHABLE_F( __VA_ARGS__ );\x0a"
"\x0a"
"#define _LART_INLINE \x5c\x0a"
"    __attribute__((__always_inline__, __flatten__))\x0a"
"\x0a"
"#define _LART_NOINLINE \x5c\x0a"
"    __attribute__((__noinline__))\x0a"
"\x0a"
"#define _LART_NOINLINE_WEAK \x5c\x0a"
"    __attribute__((__noinline__,__weak__))\x0a"
"\x0a"
"#define _LART_INTERFACE \x5c\x0a"
"    __attribute__((__used__,__nothrow__, __noinline__, __flatten__)) __invisible\x0a"
"\x0a"
"#define _LART_OPTNONE \x5c\x0a"
"    __attribute__((optnone))\x0a"
"\x0a"
"#define _LART_SCALAR __attribute__((__annotate__(\x22lart.abstract.return.scalar\x22)))\x0a"
"#define _LART_AGGREGATE __attribute__((__annotate__(\x22lart.abstract.return.aggregate\x22)))\x0a"
"\x0a"
"extern uint64_t __tainted;\x0a"
"\x0a"
"extern \x22""C\x22 bool __vm_test_taint_addr( bool (*tainted) ( bool, void * addr ), bool, void * addr );\x0a"
"\x0a"
"extern \x22""C\x22 bool __vm_test_taint_byte( bool (*tainted) ( bool, char val ), bool, char val );\x0a"
"\x0a"
"namespace __dios\x3a\x3arst\x3a\x3a""abstract {\x0a"
"\x0a"
"    template< typename It >\x0a"
"    struct Range {\x0a"
"        using iterator = It;\x0a"
"        using const_iterator = It;\x0a"
"\x0a"
"        Range( It begin, It end ) noexcept \x3a _begin( begin ), _end( end ) { }\x0a"
"        Range( const Range \x26 ) noexcept = default;\x0a"
"\x0a"
"        _LART_INLINE\x0a"
"        iterator begin() const noexcept { return _begin; }\x0a"
"\x0a"
"        _LART_INLINE\x0a"
"        iterator end() const noexcept { return _end; }\x0a"
"\x0a"
"      private\x3a\x0a"
"        It _begin, _end;\x0a"
"    };\x0a"
"\x0a"
"    template< typename It >\x0a"
"    _LART_INLINE\x0a"
"    static Range< It > range( It begin, It end ) noexcept { return Range< It >( begin, end ); }\x0a"
"\x0a"
"    static constexpr bool PointerBase = true;\x0a"
"\x0a"
"    template< typename T >\x0a"
"    _LART_INLINE T taint() noexcept\x0a"
"    {\x0a"
"        static_assert( std\x3a\x3ais_arithmetic_v< T > \x7c\x7c std\x3a\x3ais_pointer_v< T >,\x0a"
"                       \x22""Cannot taint a non-arithmetic or non-pointer value.\x22 );\x0a"
"        if constexpr ( std\x3a\x3ais_arithmetic_v< T > )\x0a"
"            return static_cast< T >( __tainted );\x0a"
"        else\x0a"
"            return reinterpret_cast< T >( __tainted );\x0a"
"    }\x0a"
"\x0a"
"    template< typename T >\x0a"
"    _LART_INLINE T taint( T val ) noexcept\x0a"
"    {\x0a"
"        static_assert( std\x3a\x3ais_arithmetic_v< T > \x7c\x7c std\x3a\x3ais_pointer_v< T >,\x0a"
"                       \x22""Cannot taint a non-arithmetic or non-pointer value.\x22 );\x0a"
"        if constexpr ( std\x3a\x3ais_arithmetic_v< T > )\x0a"
"            return val + static_cast< T >( __tainted );\x0a"
"        else\x0a"
"            return  reinterpret_cast< T >( reinterpret_cast< uintptr_t >( val ) + __tainted );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static bool tainted( void * addr ) noexcept\x0a"
"    {\x0a"
"        return __vm_test_taint_addr( \x5b\x5d ( bool, void * ) { return true; }, false, addr );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static bool tainted( char val ) noexcept\x0a"
"    {\x0a"
"        return __vm_test_taint_byte( \x5b\x5d ( bool, char ) { return true; }, false, val );\x0a"
"    }\x0a"
"\x0a"
"    template< typename T, _VM_PointerType PT = _VM_PT_Heap, typename ... Args >\x0a"
"    _LART_INLINE T *__new( Args \x26\x26...args )\x0a"
"    {\x0a"
"        void *ptr = __vm_obj_make( sizeof( T ), PT );\x0a"
"        new ( ptr ) T( std\x3a\x3a""forward< Args >( args )... );\x0a"
"        return static_cast< T * >( ptr );\x0a"
"    }\x0a"
"\x0a"
"    template< typename concrete_t, typename abstract_t >\x0a"
"    _LART_INLINE concrete_t stash_abstract_value( abstract_t \x26\x26value )\x0a"
"    {\x0a"
"        __lart_stash( value.disown() );\x0a"
"        return taint< concrete_t >();\x0a"
"    }\x0a"
"\x0a"
"    template< typename concrete_t, typename abstract_t, typename ...args_t >\x0a"
"    _LART_INLINE auto make_abstract( args_t \x26\x26 ...args ) noexcept\x0a"
"    {\x0a"
"        return stash_abstract_value< concrete_t >( abstract_t\x3a\x3alift_any( std\x3a\x3a""forward< args_t >( args )... ) );\x0a"
"    }\x0a"
"\x0a"
"    template< typename abstract_t, typename concrete_t >\x0a"
"    _LART_INLINE auto lift_one( concrete_t c ) noexcept\x0a"
"    {\x0a"
"        static_assert( std\x3a\x3ais_integral_v< concrete_t > \x7c\x7c std\x3a\x3ais_pointer_v< concrete_t >,\x0a"
"                       \x22""Cannot lift a non-arithmetic or non-pointer value.\x22 );\x0a"
"        if constexpr ( sizeof( concrete_t ) == 8 )\x0a"
"            return abstract_t\x3a\x3alift_one_i64( c );\x0a"
"        if constexpr ( sizeof( concrete_t ) == 4 )\x0a"
"            return abstract_t\x3a\x3alift_one_i32( c );\x0a"
"        if constexpr ( sizeof( concrete_t ) == 2 )\x0a"
"            return abstract_t\x3a\x3alift_one_i16( c );\x0a"
"        if constexpr ( sizeof( concrete_t ) == 1 )\x0a"
"            return abstract_t\x3a\x3alift_one_i8( c );\x0a"
"    }\x0a"
"\x0a"
"    template< typename T >\x0a"
"    _LART_INLINE T * peek_object( void * addr_ ) noexcept\x0a"
"    {\x0a"
"        __vm_pointer_t addr = __vm_pointer_split( addr_ );\x0a"
"        auto m = __vm_peek( _VM_ML_User, addr.obj, addr.off, 1 );\x0a"
"        return static_cast< T * >( __vm_pointer_make( m.value, 0 ) );\x0a"
"    }\x0a"
"\x0a"
"    template< typename T >\x0a"
"    _LART_INLINE void poke_object( T obj, void * addr_ ) noexcept\x0a"
"    {\x0a"
"        __vm_pointer_t addr = __vm_pointer_split( addr_ ),\x0a"
"                       ptr  = __vm_pointer_split( static_cast< void * >( obj ) );\x0a"
"        __vm_poke( _VM_ML_User, addr.obj, addr.off, 1, ptr.obj );\x0a"
"    }\x0a"
"\x0a"
"    struct object_t\x0a"
"    {\x0a"
"        using ptr_t = void *;\x0a"
"\x0a"
"        uint32_t off = 0;\x0a"
"        uint32_t obj = 0;\x0a"
"\x0a"
"        ptr_t pointer() const noexcept\x0a"
"        {\x0a"
"            ptr_t ptr;\x0a"
"            memcpy( \x26ptr, this, sizeof( ptr_t ) );\x0a"
"            return ptr;\x0a"
"        }\x0a"
"    };\x0a"
"\x0a"
"    template< typename T  = void >\x0a"
"    _LART_INLINE T * object( T * ptr ) noexcept\x0a"
"    {\x0a"
"        return reinterpret_cast< T * >( reinterpret_cast< uintptr_t >( ptr ) \x26 _VM_PM_Obj );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE\x0a"
"    static void * object_pointer( uint32_t objid ) noexcept\x0a"
"    {\x0a"
"        object_t object;\x0a"
"        object.obj = objid;\x0a"
"        return object.pointer();\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE\x0a"
"    static uint32_t objid( void * ptr ) noexcept\x0a"
"    {\x0a"
"        object_t res;\x0a"
"        memcpy( \x26res, \x26ptr, sizeof( void * ) );\x0a"
"        return res.obj;\x0a"
"    }\x0a"
"\x0a"
"    template< typename T >\x0a"
"    _LART_INLINE uint32_t offset( T * ptr ) noexcept\x0a"
"    {\x0a"
"        object_t res;\x0a"
"        memcpy( \x26res, \x26ptr, sizeof( void * ) );\x0a"
"        return res.off;\x0a"
"    }\x0a"
"\x0a"
"    template< typename Object, typename Offset >\x0a"
"    struct abstract_object \x3a object_t\x0a"
"    {\x0a"
"        operator ptr_t() noexcept\x0a"
"        {\x0a"
"            ptr_t ptr;\x0a"
"            memcpy( \x26ptr, this, sizeof( ptr_t ) );\x0a"
"            return ptr;\x0a"
"        }\x0a"
"\x0a"
"        Offset offset() const noexcept\x0a"
"        {\x0a"
"            return static_cast< Offset >( object_pointer( this->off ) );\x0a"
"        }\x0a"
"\x0a"
"        Object objid() const noexcept\x0a"
"        {\x0a"
"            return static_cast< Object >( object_pointer( this->obj ) );\x0a"
"        }\x0a"
"    };\x0a"
"\x0a"
"    _LART_INLINE static uint64_t ignore_fault() noexcept\x0a"
"    {\x0a"
"        return __vm_ctl_flag( 0, _DiOS_CF_IgnoreFault );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static void restore_fault( uint64_t flags ) noexcept\x0a"
"    {\x0a"
"        if ( ( flags \x26 _DiOS_CF_IgnoreFault ) == 0 )\x0a"
"            __vm_ctl_flag( _DiOS_CF_IgnoreFault, 0 );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static bool marked( void * addr ) noexcept\x0a"
"    {\x0a"
"        return __dios_pointer_get_type( addr ) == _VM_PT_Marked;\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static bool weak( void * addr ) noexcept\x0a"
"    {\x0a"
"        return __dios_pointer_get_type( addr ) == _VM_PT_Weak;\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static void fault_idiv_by_zero() noexcept\x0a"
"    {\x0a"
"        __dios_fault( _VM_Fault\x3a\x3a_VM_F_Integer, \x22""division by zero\x22 );\x0a"
"    }\x0a"
"\x0a"
"    _LART_INLINE static void fault_fdiv_by_zero() noexcept\x0a"
"    {\x0a"
"        __dios_fault( _VM_Fault\x3a\x3a_VM_F_Float, \x22""division by zero\x22 );\x0a"
"    }\x0a"
"} // namespace __dios\x3a\x3arst\x3a\x3a""abstract\x0a"
"", 7589 ); }