#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_stdlib_h( 
"/* General utilities <stdlib.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef _PDCLIB_STDLIB_H\x0a"
"#define _PDCLIB_STDLIB_H _PDCLIB_STDLIB_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <rst/lart.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_SIZE_T_DEFINED\x0a"
"#define _PDCLIB_SIZE_T_DEFINED _PDCLIB_SIZE_T_DEFINED\x0a"
"typedef _PDCLIB_size_t size_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_NULL_DEFINED\x0a"
"#define _PDCLIB_NULL_DEFINED _PDCLIB_NULL_DEFINED\x0a"
"#define NULL _PDCLIB_NULL\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __cplusplus\x0a"
"\x0a"
"#ifndef _PDCLIB_WCHAR_T_DEFINED\x0a"
"#define _PDCLIB_WCHAR_T_DEFINED _PDCLIB_WCHAR_T_DEFINED\x0a"
"typedef _PDCLIB_wchar_t wchar_t;\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"void *reallocarray( void *optr, size_t nmemb, size_t size );\x0a"
"\x0a"
"const char *getprogname( void );\x0a"
"void setprogname( const char *name );\x0a"
"#endif\x0a"
"\x0a"
"int putenv( char * );\x0a"
"\x0a"
"/* Maximum length of a multibyte character in the current locale. */\x0a"
"#define\x09MB_CUR_MAX\x09(__ctype_get_mb_cur_max ())     // 1 on most systems\x0a"
"extern size_t __ctype_get_mb_cur_max (void); //__THROW;\x0a"
"\x0a"
"/* Numeric conversion functions */\x0a"
"\x0a"
"/* TODO\x3a atof(), strtof(), strtod(), strtold() */\x0a"
"\x0a"
"double atof( const char * nptr ) _PDCLIB_nothrow;\x0a"
"double strtod( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr ) _PDCLIB_nothrow;\x0a"
"float strtof( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr ) _PDCLIB_nothrow;\x0a"
"long double strtold( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Seperate the character array nptr into three parts\x3a A (possibly empty)\x0a"
"   sequence of whitespace characters, a character representation of an integer\x0a"
"   to the given base, and trailing invalid characters (including the terminating\x0a"
"   null character). If base is 0, assume it to be 10, unless the integer\x0a"
"   representation starts with 0x / 0X (setting base to 16) or 0 (setting base to\x0a"
"   8). If given, base can be anything from 0 to 36, using the 26 letters of the\x0a"
"   base alphabet (both lowercase and uppercase) as digits 10 through 35.\x0a"
"   The integer representation is then converted into the return type of the\x0a"
"   function. It can start with a '+' or '-' sign. If the sign is '-', the result\x0a"
"   of the conversion is negated.\x0a"
"   If the conversion is successful, the converted value is returned. If endptr\x0a"
"   is not a NULL pointer, a pointer to the first trailing invalid character is\x0a"
"   returned in *endptr.\x0a"
"   If no conversion could be performed, zero is returned (and nptr in *endptr,\x0a"
"   if endptr is not a NULL pointer). If the converted value does not fit into\x0a"
"   the return type, the functions return LONG_MIN, LONG_MAX, ULONG_MAX,\x0a"
"   LLONG_MIN, LLONG_MAX, or ULLONG_MAX respectively, depending on the sign of\x0a"
"   the integer representation and the return type, and errno is set to ERANGE.\x0a"
"*/\x0a"
"/* There is strtoimax() and strtoumax() in <inttypes.h> operating on intmax_t /\x0a"
"   uintmax_t, if the long long versions do not suit your needs.\x0a"
"*/\x0a"
"long int strtol( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr, int base ) _PDCLIB_nothrow;\x0a"
"long long int strtoll( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr, int base ) _PDCLIB_nothrow;\x0a"
"unsigned long int strtoul( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr, int base ) _PDCLIB_nothrow;\x0a"
"unsigned long long int strtoull( const char * _PDCLIB_restrict nptr, char * * _PDCLIB_restrict endptr, int base ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* These functions are the equivalent of (int)strtol( nptr, NULL, 10 ),\x0a"
"   strtol( nptr, NULL, 10 ) and strtoll(nptr, NULL, 10 ) respectively, with the\x0a"
"   exception that they do not have to handle overflow situations in any defined\x0a"
"   way.\x0a"
"   (PDCLib does not simply forward these to their strtox() equivalents, but\x0a"
"   provides a simpler atox() function that saves a couple of tests and simply\x0a"
"   continues with the conversion in case of overflow.)\x0a"
"*/\x0a"
"int atoi( const char * nptr ) _PDCLIB_nothrow;\x0a"
"long int atol( const char * nptr ) _PDCLIB_nothrow;\x0a"
"long long int atoll( const char * nptr ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Pseudo-random sequence generation functions */\x0a"
"\x0a"
"extern unsigned long int _PDCLIB_seed;\x0a"
"\x0a"
"#define RAND_MAX 32767\x0a"
"\x0a"
"/* Returns the next number in a pseudo-random sequence, which is between 0 and\x0a"
"   RAND_MAX.\x0a"
"   (PDCLib uses the implementation suggested by the standard document, which is\x0a"
"   next = next * 1103515245 + 12345; return (unsigned int)(next/65536) \x25 32768;)\x0a"
"*/\x0a"
"int rand( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Initialize a new pseudo-random sequence with the starting seed. Same seeds\x0a"
"   result in the same pseudo-random sequence. The default seed is 1.\x0a"
"*/\x0a"
"void srand( unsigned int seed ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Memory management functions */\x0a"
"\x0a"
"/* Allocate a chunk of memory of given size. If request could not be\x0a"
"   satisfied, return NULL. Otherwise, return a pointer to the allocated\x0a"
"   memory. Memory contents are undefined.\x0a"
"*/\x0a"
"void * malloc( size_t size ) _PDCLIB_nothrow _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"\x0a"
"/* Allocate a chunk of memory that is large enough to hold nmemb elements of\x0a"
"   the given size, and zero-initialize that memory. If request could not be\x0a"
"   satisfied, return NULL. Otherwise, return a pointer to the allocated\x0a"
"   memory.\x0a"
"*/\x0a"
"void * calloc( size_t nmemb, size_t size ) _PDCLIB_nothrow _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"\x0a"
"/* Allocate a chunk of memory of given size, with specified alignment (which\x0a"
"   must be a power of two; if it is not, the next greater power of two is\x0a"
"   used). If request could not be satisfied, return NULL. Otherwise, return\x0a"
"   a pointer to the allocated memory.\x0a"
"*/\x0a"
"void * aligned_alloc( size_t alignment, size_t size ) _PDCLIB_nothrow _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"\x0a"
"#if __BSD_VISIBLE \x7c\x7c __POSIX_VISIBLE >= 200112\x0a"
"int posix_memalign( void **ptr, size_t alignment, size_t size ) __nothrow\x0a"
"    _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"#endif\x0a"
"\x0a"
"/* De-allocate a chunk of heap memory previously allocated using malloc(),\x0a"
"   calloc(), or realloc(), and pointed to by ptr. If ptr does not match a\x0a"
"   pointer previously returned by the mentioned allocation functions, or\x0a"
"   free() has already been called for this ptr, behaviour is undefined.\x0a"
"*/\x0a"
"void free( void * ptr ) _PDCLIB_nothrow _LART_IGNORE_ARG;\x0a"
"\x0a"
"/* Resize a chunk of memory previously allocated with malloc() and pointed to\x0a"
"   by ptr to the given size (which might be larger or smaller than the original\x0a"
"   size). Returns a pointer to the reallocated memory, or NULL if the request\x0a"
"   could not be satisfied. Note that the resizing might include a memcpy()\x0a"
"   from the original location to a different one, so the return value might or\x0a"
"   might not equal ptr. If size is larger than the original size, the value of\x0a"
"   memory beyond the original size is undefined. If ptr is NULL, realloc()\x0a"
"   behaves like malloc().\x0a"
"*/\x0a"
"void * realloc( void * ptr, size_t size ) _PDCLIB_nothrow _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"\x0a"
"/*\x0a"
" * CLang generates a builtin (intrinsic) for alloca calls, but we still need a\x0a"
" * prototype.\x0a"
" */\x0a"
"void *alloca( size_t ) _PDCLIB_nothrow _LART_FORBIDDEN _LART_IGNORE_RET;\x0a"
"\x0a"
"\x0a"
"/* Communication with the environment */\x0a"
"\x0a"
"/* These two can be passed to exit() or _Exit() as status values, to signal\x0a"
"   successful and unsuccessful program termination, respectively. EXIT_SUCCESS\x0a"
"   can be replaced by 0. How successful or unsuccessful program termination are\x0a"
"   signaled to the environment, and what happens if exit() or _Exit() are being\x0a"
"   called with a value that is neither of the three, is defined by the hosting\x0a"
"   OS and its glue function.\x0a"
"*/\x0a"
"#define EXIT_SUCCESS _PDCLIB_SUCCESS\x0a"
"#define EXIT_FAILURE _PDCLIB_FAILURE\x0a"
"\x0a"
"/* Initiate abnormal process termination, unless programm catches SIGABRT and\x0a"
"   does not return from the signal handler.\x0a"
"   This implementantion flushes all streams, closes all files, and removes any\x0a"
"   temporary files before exiting with EXIT_FAILURE.\x0a"
"   abort() does not return.\x0a"
"*/\x0a"
"_PDCLIB_noreturn void abort( void ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Register a function that will be called on exit(), or when main() returns.\x0a"
"   At least 32 functions can be registered this way, and will be called in\x0a"
"   reverse order of registration (last-in, first-out).\x0a"
"   Returns zero if registration is successfull, nonzero if it failed.\x0a"
"*/\x0a"
"int atexit( void (*func)( void ) ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Register a function that will be called on quick_exit(), or when main() returns.\x0a"
"   At least 32 functions can be registered this way, and will be called in\x0a"
"   reverse order of registration (last-in, first-out).\x0a"
"   Returns zero if registration is successfull, nonzero if it failed.\x0a"
"*/\x0a"
"int at_quick_exit( void (*func)( void ) ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Normal process termination. Functions registered by atexit() (see above) are\x0a"
"   called, streams flushed, files closed and temporary files removed before the\x0a"
"   program is terminated with the given status. (See comment for EXIT_SUCCESS\x0a"
"   and EXIT_FAILURE above.)\x0a"
"   exit() does not return.\x0a"
"*/\x0a"
"_PDCLIB_noreturn void exit( int status ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Normal process termination. Functions registered by atexit() (see above) are\x0a"
"   NOT CALLED. This implementation DOES flush streams, close files and removes\x0a"
"   temporary files before the program is teminated with the given status. (See\x0a"
"   comment for EXIT_SUCCESS and EXIT_FAILURE above.)\x0a"
"   _Exit() does not return.\x0a"
"*/\x0a"
"_PDCLIB_noreturn void _Exit( int status ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Quick process termination. Functions registered by at_quick_exit() (see\x0a"
"   above) are called, and the process terminated. No functions registered\x0a"
"   with atexit() (see above) or signal handlers are called.\x0a"
"   quick_exit() does not return.\x0a"
"*/\x0a"
"_PDCLIB_noreturn void quick_exit( int status );\x0a"
"\x0a"
"/* Search an environment-provided key-value map for the given key name, and\x0a"
"   return a pointer to the associated value string (or NULL if key name cannot\x0a"
"   be found). The value string pointed to might be overwritten by a subsequent\x0a"
"   call to getenv(). The library never calls getenv() itself.\x0a"
"   Details on the provided keys and how to set / change them are determined by\x0a"
"   the hosting OS and its glue function.\x0a"
"*/\x0a"
"char * getenv( const char * name ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* If string is a NULL pointer, system() returns nonzero if a command processor\x0a"
"   is available, and zero otherwise. If string is not a NULL pointer, it is\x0a"
"   passed to the command processor. If system() returns, it does so with a\x0a"
"   value that is determined by the hosting OS and its glue function.\x0a"
"*/\x0a"
"int system( const char * string ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* Searching and sorting */\x0a"
"\x0a"
"/* Do a binary search for a given key in the array with a given base pointer,\x0a"
"   which consists of nmemb elements that are of the given size each. To compare\x0a"
"   the given key with an element from the array, the given function compar is\x0a"
"   called (with key as first parameter and a pointer to the array member as\x0a"
"   second parameter); the function should return a value less than, equal to,\x0a"
"   or greater than 0 if the key is considered to be less than, equal to, or\x0a"
"   greater than the array element, respectively.\x0a"
"   The function returns a pointer to the first matching element found, or NULL\x0a"
"   if no match is found.\x0a"
"\x0a"
"   ** May throw **\x0a"
"*/\x0a"
"void * bsearch( const void * key, const void * base, size_t nmemb, size_t size, int (*compar)( const void *, const void * ) );\x0a"
"\x0a"
"/* Do a quicksort on an array with a given base pointer, which consists of\x0a"
"   nmemb elements that are of the given size each. To compare two elements from\x0a"
"   the array, the given function compar is called, which should return a value\x0a"
"   less than, equal to, or greater than 0 if the first argument is considered\x0a"
"   to be less than, equal to, or greater than the second argument, respectively.\x0a"
"   If two elements are compared equal, their order in the sorted array is not\x0a"
"   specified.\x0a"
"\x0a"
"   ** May throw **\x0a"
"*/\x0a"
"void qsort( void * base, size_t nmemb, size_t size, int (*compar)( const void *, const void * ) );\x0a"
"\x0a"
"/* Integer arithmetic functions */\x0a"
"\x0a"
"/* Return the absolute value of the argument. Note that on machines using two-\x0a"
"   complement's notation (most modern CPUs), the largest negative value cannot\x0a"
"   be represented as positive value. In this case, behaviour is unspecified.\x0a"
"*/\x0a"
"int abs( int j ) _PDCLIB_nothrow;\x0a"
"long int labs( long int j ) _PDCLIB_nothrow;\x0a"
"long long int llabs( long long int j ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* These structures each have a member quot and a member rem, of type int (for\x0a"
"   div_t), long int (for ldiv_t) and long long it (for lldiv_t) respectively.\x0a"
"   The order of the members is platform-defined to allow the div() functions\x0a"
"   below to be implemented efficiently.\x0a"
"*/\x0a"
"typedef struct _PDCLIB_div_t     div_t;\x0a"
"typedef struct _PDCLIB_ldiv_t   ldiv_t;\x0a"
"typedef struct _PDCLIB_lldiv_t lldiv_t;\x0a"
"\x0a"
"/* Return quotient (quot) and remainder (rem) of an integer division in one of\x0a"
"   the structs above.\x0a"
"*/\x0a"
"div_t div( int numer, int denom ) _PDCLIB_nothrow;\x0a"
"ldiv_t ldiv( long int numer, long int denom ) _PDCLIB_nothrow;\x0a"
"lldiv_t lldiv( long long int numer, long long int denom ) _PDCLIB_nothrow;\x0a"
"\x0a"
"/* TODO\x3a Multibyte / wide character conversion functions */\x0a"
"\x0a"
"/* TODO\x3a Macro MB_CUR_MAX */\x0a"
"\x0a"
"/*\x0a"
"=============\x0a"
"/* Multibyte / wide character conversion functions */\x0a"
"\x0a"
"/* Affected by LC_CTYPE of the current locale. For state-dependent encoding,\x0a"
"   each function is placed into its initial conversion state at program\x0a"
"   startup, and can be returned to that state by a call with its character\x0a"
"   pointer argument s being a null pointer.\x0a"
"   Changing LC_CTYPE causes the conversion state to become indeterminate.\x0a"
"*/\x0a"
"\x0a"
"/* If s is not a null pointer, returns the number of bytes contained in the\x0a"
"   multibyte character pointed to by s (if the next n or fewer bytes form a\x0a"
"   valid multibyte character); -1, if they don't; or 0, if s points to the\x0a"
"   null character.\x0a"
"   If s is a null pointer, returns nonzero if multibyte encodings in the\x0a"
"   current locale are stateful, and zero otherwise.\x0a"
"*/\x0a"
"int mblen( const char * s, size_t n );\x0a"
"\x0a"
"/* If s is not a null pointer, and the next n bytes (maximum) form a valid\x0a"
"   multibyte character sequence (possibly including shift sequences), the\x0a"
"   corresponding wide character is stored in pwc (unless that is a null\x0a"
"   pointer). If the wide character is the null character, the function is\x0a"
"   left in the initial conversion state.\x0a"
"   Returns the number of bytes in the consumed multibyte character sequence;\x0a"
"   or 0, if the resulting wide character is the null character. If the next\x0a"
"   n bytes do not form a valid sequence, returns -1.\x0a"
"   In no case will the returned value be greater than n or MB_CUR_MAX.\x0a"
"   If s is a null pointer, returns nonzero if multibyte encodings in the\x0a"
"   current locale are stateful, and zero otherwise.\x0a"
"*/\x0a"
"int mbtowc( wchar_t * _PDCLIB_restrict pwc, const char * _PDCLIB_restrict s, size_t n );\x0a"
"\x0a"
"/* Converts the wide character wc into the corresponding multibyte character\x0a"
"   sequence (including shift sequences). If s is not a null pointer, the\x0a"
"   multibyte sequence (at most MB_CUR_MAX characters) is stored at that\x0a"
"   location. If wc is a null character, a null byte is stored, preceded by\x0a"
"   any shift sequence needed to restore the initial shift state, and the\x0a"
"   function is left in the initial conversion state.\x0a"
"   Returns the number of bytes in the generated multibyte character sequence.\x0a"
"   If wc does not correspond to a valid multibyte character, returns -1.\x0a"
"   In no case will the returned value be greater than MB_CUR_MAX.\x0a"
"   If s is a null pointer, returns nonzero if multibyte encodings in the\x0a"
"   current locale are stateful, and zero otherwise.\x0a"
"*/\x0a"
"int wctomb( char * s, wchar_t wc );\x0a"
"\x0a"
"/* Convert a sequence of multibyte characters beginning in the initial shift\x0a"
"   state from the array pointed to by s into the corresponding wide character\x0a"
"   sequence, storing no more than n wide characters into pwcs. A null\x0a"
"   character is converted into a null wide character, and marks the end of\x0a"
"   the multibyte character sequence.\x0a"
"   If copying takes place between objects that overlap, behaviour is\x0a"
"   undefined.\x0a"
"   Returns (size_t)-1 if an invalid multibyte sequence is encountered.\x0a"
"   Otherwise, returns the number of array elements modified, not including\x0a"
"   a terminating null wide character, if any. (Target string will not be\x0a"
"   null terminated if the return value equals n.)\x0a"
"*/\x0a"
"size_t mbstowcs( wchar_t * _PDCLIB_restrict pwcs, const char * _PDCLIB_restrict s, size_t n );\x0a"
"\x0a"
"/* Convert a sequence of wide characters from the array pointed to by pwcs\x0a"
"   into a sequence of corresponding multibyte characters, beginning in the\x0a"
"   initial shift state, storing them in the array pointed to by s, stopping\x0a"
"   if the next multibyte character would exceed the limit of n total bytes\x0a"
"   or a null character is stored.\x0a"
"   If copying takes place between objects that overlap, behaviour is\x0a"
"   undefined.\x0a"
"   Returns (size_t)-1 if a wide character is encountered that does not\x0a"
"   correspond to a valid multibyte character. Otherwise, returns the number\x0a"
"   of array elements modified, not including a terminating null character,\x0a"
"   if any. (Target string will not be null terminated if the return value\x0a"
"   equals n.)\x0a"
"*/\x0a"
"size_t wcstombs( char * _PDCLIB_restrict s, const wchar_t * _PDCLIB_restrict pwcs, size_t n );\x0a"
"\x0a"
"int mkstemp( char *templ );\x0a"
"int mkostemp( char *templ, int flags );\x0a"
"char *mkdtemp( char *templ );\x0a"
"\x0a"
"#ifdef __divine__\x0a"
"\x0a"
"extern int __cxa_atexit(void (*f)(void*), void* p, void* d);\x0a"
"extern int __cxa_finalize(void*);\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 17467 ); }