#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_bitcode_h( 
"#ifndef __DIVINE_BITCODE_H__\x0a"
"#define __DIVINE_BITCODE_H__\x0a"
"\x0a"
"#include <sys/divm.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"// Instruction.def are created by cmake as a copy of llvm/include/llvm/IR/Instruction.def\x0a"
"namespace OpCode {\x0a"
"enum OpCode {\x0a"
"#define HANDLE_INST(op,n,i)   n = op,\x0a"
"#include <divine/Instruction.def>\x0a"
"    OpLLVMEnd,\x0a"
"    OpHypercall, OpBB, OpArgs\x0a"
"};\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"typedef struct _DiOS_FunAttrs {\x0a"
"    _VM_CodePointer personality;\x0a"
"    int is_nounwind;\x0a"
"    void *lsda;\x0a"
"} _DiOS_FunAttrs;\x0a"
"\x0a"
"_VM_CodePointer __dios_get_function_entry( _VM_CodePointer pc );\x0a"
"\x0a"
"_VM_CodePointer __dios_get_landing_block( _VM_CodePointer pc );\x0a"
"\x0a"
"// find and instruction with the given opcode which is closest to given\x0a"
"// instruction in its block\x0a"
"// if no instruction is found, nullptr is returned\x0a"
"// this can be also used to search for block header\x0a"
"// direction can be either 1 to search forward, or -1 to search backward\x0a"
"_VM_CodePointer __dios_find_instruction_in_block( _VM_CodePointer pc_, int direction, unsigned opcode );\x0a"
"\x0a"
"_DiOS_FunAttrs __dios_get_func_exception_attrs( _VM_CodePointer pc );\x0a"
"\x0a"
"unsigned __dios_get_opcode( _VM_CodePointer pc );\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"} // extern \x22""C\x22\x0a"
"#endif\x0a"
"#endif // __DIVINE_OPCODES_H__\x0a"
"\x0a"
"", 1224 ); }