#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_cdefs_h( 
"/*\x09\x24OpenBSD\x3a cdefs.h,v 1.39 2014/04/18 11\x3a""51\x3a""17 guenther Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a cdefs.h,v 1.16 1996/04/03 20\x3a""46\x3a""39 christos Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 1991, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * This code is derived from software contributed to Berkeley by\x0a"
" * Berkeley Software Design, Inc.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)cdefs.h\x09""8.7 (Berkeley) 1/21/94\x0a"
" */\x0a"
"\x0a"
"#ifndef\x09_SYS_CDEFS_H_\x0a"
"#define\x09_SYS_CDEFS_H_\x0a"
"\x0a"
"#include <machine/cdefs.h>\x0a"
"\x0a"
"/*\x0a"
" * Macro to test if we're using a specific version of gcc or later.\x0a"
" */\x0a"
"#ifdef __GNUC__\x0a"
"#define __GNUC_PREREQ__(ma, mi) \x5c\x0a"
"\x09((__GNUC__ > (ma)) \x7c\x7c (__GNUC__ == (ma) \x26\x26 __GNUC_MINOR__ >= (mi)))\x0a"
"#else\x0a"
"#define __GNUC_PREREQ__(ma, mi) 0\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * The __CONCAT macro is used to concatenate parts of symbol names, e.g.\x0a"
" * with \x22#define OLD(foo) __CONCAT(old,foo)\x22, OLD(foo) produces oldfoo.\x0a"
" * The __CONCAT macro is a bit tricky -- make sure you don't put spaces\x0a"
" * in between its arguments.  Do not use __CONCAT on double-quoted strings,\x0a"
" * such as those from the __STRING macro\x3a to concatenate strings just put\x0a"
" * them next to each other.\x0a"
" */\x0a"
"#if defined(__STDC__) \x7c\x7c defined(__cplusplus)\x0a"
"#define\x09__P(protos)\x09protos\x09\x09/* full-blown ANSI C */\x0a"
"#define\x09__CONCAT(x,y)\x09x ## y\x0a"
"#define\x09__STRING(x)\x09#x\x0a"
"\x0a"
"#define\x09__const\x09\x09""const\x09\x09/* define reserved names to standard */\x0a"
"#define\x09__signed\x09signed\x0a"
"#define\x09__volatile\x09volatile\x0a"
"\x0a"
"#else\x09/* \x21(__STDC__ \x7c\x7c __cplusplus) */\x0a"
"#define\x09__P(protos)\x09()\x09\x09/* traditional C preprocessor */\x0a"
"#define\x09__CONCAT(x,y)\x09x/**/y\x0a"
"#define\x09__STRING(x)\x09\x22x\x22\x0a"
"\x0a"
"#if \x21""defined(__GNUC__)\x0a"
"#define\x09__const\x09\x09\x09\x09/* delete pseudo-ANSI C keywords */\x0a"
"#define\x09__signed\x0a"
"#define\x09__volatile\x0a"
"#endif\x09/* \x21__GNUC__ */\x0a"
"#endif\x09/* \x21(__STDC__ \x7c\x7c __cplusplus) */\x0a"
"\x0a"
"\x0a"
"#if __cplusplus >= 201103L\x0a"
"#define __nothrow noexcept\x0a"
"#elif defined(__cplusplus)\x0a"
"#define __nothrow throw()\x0a"
"#else\x0a"
"#define __nothrow __attribute__((__nothrow__))\x0a"
"#endif\x0a"
"\x0a"
"#define __annotate( x )   __attribute__(( __annotate__( #x ) ))\x0a"
"#define __inline          __attribute__(( __always_inline__ ))\x0a"
"#define __noinline        __attribute__(( __noinline__ ))\x0a"
"#define __debugfn         __noinline __annotate( divine.debugfn )\x0a"
"#define __link_always     __annotate( divine.link.always )\x0a"
"#define __trapfn          __noinline __annotate( divine.trapfn )\x0a"
"#define __skipcfl         __noinline __annotate( lart.interrupt.skipcfl )\x0a"
"#define __local_skipcfl   __noinline __annotate( lart.interrupt.local.skipcfl )\x0a"
"#define __invisible       __skipcfl __annotate( lart.interrupt.skipmem )\x0a"
"#define __local_invisible __local_skipcfl __annotate( lart.interrupt.local.skipmem )\x0a"
"#define __boring          __annotate( lart.boring )\x0a"
"#define __weakmem_direct  __noinline __annotate( lart.weakmem.direct )\x0a"
"#define __flatten         __attribute__(( __flatten__ ))\x0a"
"\x0a"
"/*\x0a"
" * GCC1 and some versions of GCC2 declare dead (non-returning) and\x0a"
" * pure (no side effects) functions using \x22volatile\x22 and \x22""const\x22;\x0a"
" * unfortunately, these then cause warnings under \x22-ansi -pedantic\x22.\x0a"
" * GCC >= 2.5 uses the __attribute__((attrs)) style.  All of these\x0a"
" * work for GNU C++ (modulo a slight glitch in the C++ grammar in\x0a"
" * the distribution version of 2.5.5).\x0a"
" */\x0a"
"\x0a"
"#if \x21__GNUC_PREREQ__(2, 5) \x26\x26 \x21""defined(__PCC__)\x0a"
"#define\x09__attribute__(x)\x09/* delete __attribute__ if non-gcc or gcc1 */\x0a"
"#if defined(__GNUC__) \x26\x26 \x21""defined(__STRICT_ANSI__)\x0a"
"#define\x09__dead\x09\x09__volatile\x0a"
"#define\x09__pure\x09\x09__const\x0a"
"#endif\x0a"
"#elif \x21""defined(__STRICT_ANSI__)\x0a"
"#define __dead\x09\x09__attribute__((__noreturn__))\x0a"
"#define __pure\x09\x09__attribute__((__const__))\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(2, 7)\x0a"
"#define\x09__unused\x09__attribute__((__unused__))\x0a"
"#else\x0a"
"#define\x09__unused\x09/* delete */\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(3, 1)\x0a"
"#define\x09__used\x09\x09__attribute__((__used__))\x0a"
"#else\x0a"
"#define\x09__used\x09\x09__unused\x09/* suppress -Wunused warnings */\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(3,4)\x0a"
"# define __warn_unused_result\x09__attribute__((__warn_unused_result__))\x0a"
"#else\x0a"
"# define __warn_unused_result\x09/* delete */\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(3,3) \x26\x26 \x21""defined(__clang__)\x0a"
"# define __bounded(args)\x09__attribute__ ((__bounded__ args ))\x0a"
"#else\x0a"
"# define __bounded(args)\x09/* delete */\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * __returns_twice makes the compiler not assume the function\x0a"
" * only returns once.  This affects registerisation of variables\x3a\x0a"
" * even local variables need to be in memory across such a call.\x0a"
" * Example\x3a setjmp()\x0a"
" */\x0a"
"#if __GNUC_PREREQ__(4, 1)\x0a"
"#define __returns_twice\x09__attribute__((returns_twice))\x0a"
"#else\x0a"
"#define __returns_twice\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * __only_inline makes the compiler only use this function definition\x0a"
" * for inlining; references that can't be inlined will be left as\x0a"
" * external references instead of generating a local copy.  The\x0a"
" * matching library should include a simple extern definition for\x0a"
" * the function to handle those references.  c.f. ctype.h\x0a"
" */\x0a"
"#ifdef __GNUC__\x0a"
"#  if __GNUC_PREREQ__(4, 2)\x0a"
"#define __only_inline\x09""extern __inline __attribute__((__gnu_inline__))\x0a"
"#  else\x0a"
"#define __only_inline\x09""extern __inline\x0a"
"#  endif\x0a"
"#else\x0a"
"#define __only_inline\x09static __inline\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * GNU C version 2.96 adds explicit branch prediction so that\x0a"
" * the CPU back-end can hint the processor and also so that\x0a"
" * code blocks can be reordered such that the predicted path\x0a"
" * sees a more linear flow, thus improving cache behavior, etc.\x0a"
" *\x0a"
" * The following two macros provide us with a way to utilize this\x0a"
" * compiler feature.  Use __predict_true() if you expect the expression\x0a"
" * to evaluate to true, and __predict_false() if you expect the\x0a"
" * expression to evaluate to false.\x0a"
" *\x0a"
" * A few notes about usage\x3a\x0a"
" *\x0a"
" *\x09* Generally, __predict_false() error condition checks (unless\x0a"
" *\x09  you have some _strong_ reason to do otherwise, in which case\x0a"
" *\x09  document it), and/or __predict_true() \x60no-error' condition\x0a"
" *\x09  checks, assuming you want to optimize for the no-error case.\x0a"
" *\x0a"
" *\x09* Other than that, if you don't know the likelihood of a test\x0a"
" *\x09  succeeding from empirical or other \x60hard' evidence, don't\x0a"
" *\x09  make predictions.\x0a"
" *\x0a"
" *\x09* These are meant to be used in places that are run \x60""a lot'.\x0a"
" *\x09  It is wasteful to make predictions in code that is run\x0a"
" *\x09  seldomly (e.g. at subsystem initialization time) as the\x0a"
" *\x09  basic block reordering that this affects can often generate\x0a"
" *\x09  larger code.\x0a"
" */\x0a"
"#if __GNUC_PREREQ__(2, 96)\x0a"
"#define __predict_true(exp)\x09__builtin_expect(((exp) \x21= 0), 1)\x0a"
"#define __predict_false(exp)\x09__builtin_expect(((exp) \x21= 0), 0)\x0a"
"#else\x0a"
"#define __predict_true(exp)\x09((exp) \x21= 0)\x0a"
"#define __predict_false(exp)\x09((exp) \x21= 0)\x0a"
"#endif\x0a"
"\x0a"
"/* Delete pseudo-keywords wherever they are not available or needed. */\x0a"
"#ifndef __dead\x0a"
"#define\x09__dead\x0a"
"#define\x09__pure\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * The __packed macro indicates that a variable or structure members\x0a"
" * should have the smallest possible alignment, despite any host CPU\x0a"
" * alignment requirements.\x0a"
" *\x0a"
" * The __aligned(x) macro specifies the minimum alignment of a\x0a"
" * variable or structure.\x0a"
" *\x0a"
" * These macros together are useful for describing the layout and\x0a"
" * alignment of messages exchanged with hardware or other systems.\x0a"
" */\x0a"
"\x0a"
"#if __GNUC_PREREQ__(2, 7) \x7c\x7c defined(__PCC__)\x0a"
"#define\x09__packed\x09__attribute__((__packed__))\x0a"
"#define\x09__aligned(x)\x09__attribute__((__aligned__(x)))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__GNUC_PREREQ__(2, 8)\x0a"
"#define\x09__extension__\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(2, 8) \x7c\x7c defined(__PCC__)\x0a"
"#define __statement(x)\x09__extension__(x)\x0a"
"#else\x0a"
"#define __statement(x)\x09(x)\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(3, 0)\x0a"
"#define\x09__malloc\x09__attribute__((__malloc__))\x0a"
"#else\x0a"
"#define\x09__malloc\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__cplusplus)\x0a"
"#define\x09__BEGIN_EXTERN_C\x09""extern \x22""C\x22 {\x0a"
"#define\x09__END_EXTERN_C\x09\x09}\x0a"
"#define __CAST( T, X ) reinterpret_cast< T >( X )\x0a"
"#else\x0a"
"#define\x09__BEGIN_EXTERN_C\x0a"
"#define\x09__END_EXTERN_C\x0a"
"#define __CAST( T, X ) ((T)(X))\x0a"
"#endif\x0a"
"\x0a"
"#if __GNUC_PREREQ__(4, 0)\x0a"
"#define\x09__dso_public\x09__attribute__((__visibility__(\x22""default\x22)))\x0a"
"#define\x09__dso_hidden\x09__attribute__((__visibility__(\x22hidden\x22)))\x0a"
"#define\x09__BEGIN_PUBLIC_DECLS \x5c\x0a"
"\x09_Pragma(\x22GCC visibility push(default)\x22) __BEGIN_EXTERN_C\x0a"
"#define\x09__END_PUBLIC_DECLS\x09__END_EXTERN_C _Pragma(\x22GCC visibility pop\x22)\x0a"
"#define\x09__BEGIN_HIDDEN_DECLS \x5c\x0a"
"\x09_Pragma(\x22GCC visibility push(hidden)\x22) __BEGIN_EXTERN_C\x0a"
"#define\x09__END_HIDDEN_DECLS\x09__END_EXTERN_C _Pragma(\x22GCC visibility pop\x22)\x0a"
"#else\x0a"
"#define\x09__dso_public\x0a"
"#define\x09__dso_hidden\x0a"
"#define\x09__BEGIN_PUBLIC_DECLS\x09__BEGIN_EXTERN_C\x0a"
"#define\x09__END_PUBLIC_DECLS\x09__END_EXTERN_C\x0a"
"#define\x09__BEGIN_HIDDEN_DECLS\x09__BEGIN_EXTERN_C\x0a"
"#define\x09__END_HIDDEN_DECLS\x09__END_EXTERN_C\x0a"
"#endif\x0a"
"\x0a"
"#define\x09__BEGIN_DECLS\x09__BEGIN_EXTERN_C\x0a"
"#define\x09__END_DECLS\x09__END_EXTERN_C\x0a"
"\x0a"
"/*\x0a"
" * \x22The nice thing about standards is that there are so many to choose from.\x22\x0a"
" * There are a number of \x22""feature test macros\x22 specified by (different)\x0a"
" * standards that determine which interfaces and types the header files\x0a"
" * should expose.\x0a"
" *\x0a"
" * Because of inconsistencies in these macros, we define our own\x0a"
" * set in the private name space that end in _VISIBLE.  These are\x0a"
" * always defined and so headers can test their values easily.\x0a"
" * Things can get tricky when multiple feature macros are defined.\x0a"
" * We try to take the union of all the features requested.\x0a"
" *\x0a"
" * The following macros are guaranteed to have a value after cdefs.h\x0a"
" * has been included\x3a\x0a"
" *\x09__POSIX_VISIBLE\x0a"
" *\x09__XPG_VISIBLE\x0a"
" *\x09__ISO_C_VISIBLE\x0a"
" *\x09__BSD_VISIBLE\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * X/Open Portability Guides and Single Unix Specifications.\x0a"
" * _XOPEN_SOURCE\x09\x09\x09\x09XPG3\x0a"
" * _XOPEN_SOURCE \x26\x26 _XOPEN_VERSION = 4\x09\x09XPG4\x0a"
" * _XOPEN_SOURCE \x26\x26 _XOPEN_SOURCE_EXTENDED = 1\x09XPG4v2\x0a"
" * _XOPEN_SOURCE == 500\x09\x09\x09\x09XPG5\x0a"
" * _XOPEN_SOURCE == 520\x09\x09\x09\x09XPG5v2\x0a"
" * _XOPEN_SOURCE == 600\x09\x09\x09\x09POSIX 1003.1-2001 with XSI\x0a"
" * _XOPEN_SOURCE == 700\x09\x09\x09\x09POSIX 1003.1-2008 with XSI\x0a"
" *\x0a"
" * The XPG spec implies a specific value for _POSIX_C_SOURCE.\x0a"
" */\x0a"
"#ifdef _XOPEN_SOURCE\x0a"
"# if (_XOPEN_SOURCE - 0 >= 700)\x0a"
"#  define __XPG_VISIBLE\x09\x09""700\x0a"
"#  undef _POSIX_C_SOURCE\x0a"
"#  define _POSIX_C_SOURCE\x09""200809L\x0a"
"# elif (_XOPEN_SOURCE - 0 >= 600)\x0a"
"#  define __XPG_VISIBLE\x09\x09""600\x0a"
"#  undef _POSIX_C_SOURCE\x0a"
"#  define _POSIX_C_SOURCE\x09""200112L\x0a"
"# elif (_XOPEN_SOURCE - 0 >= 520)\x0a"
"#  define __XPG_VISIBLE\x09\x09""520\x0a"
"#  undef _POSIX_C_SOURCE\x0a"
"#  define _POSIX_C_SOURCE\x09""199506L\x0a"
"# elif (_XOPEN_SOURCE - 0 >= 500)\x0a"
"#  define __XPG_VISIBLE\x09\x09""500\x0a"
"#  undef _POSIX_C_SOURCE\x0a"
"#  define _POSIX_C_SOURCE\x09""199506L\x0a"
"# elif (_XOPEN_SOURCE_EXTENDED - 0 == 1)\x0a"
"#  define __XPG_VISIBLE\x09\x09""420\x0a"
"# elif (_XOPEN_VERSION - 0 >= 4)\x0a"
"#  define __XPG_VISIBLE\x09\x09""400\x0a"
"# else\x0a"
"#  define __XPG_VISIBLE\x09\x09""300\x0a"
"# endif\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * POSIX macros, these checks must follow the XOPEN ones above.\x0a"
" *\x0a"
" * _POSIX_SOURCE == 1\x09\x09""1003.1-1988 (superseded by _POSIX_C_SOURCE)\x0a"
" * _POSIX_C_SOURCE == 1\x09\x09""1003.1-1990\x0a"
" * _POSIX_C_SOURCE == 2\x09\x09""1003.2-1992\x0a"
" * _POSIX_C_SOURCE == 199309L\x09""1003.1b-1993\x0a"
" * _POSIX_C_SOURCE == 199506L   1003.1c-1995, 1003.1i-1995,\x0a"
" *\x09\x09\x09\x09""and the omnibus ISO/IEC 9945-1\x3a""1996\x0a"
" * _POSIX_C_SOURCE == 200112L   1003.1-2001\x0a"
" * _POSIX_C_SOURCE == 200809L   1003.1-2008\x0a"
" *\x0a"
" * The POSIX spec implies a specific value for __ISO_C_VISIBLE, though\x0a"
" * this may be overridden by the _ISOC99_SOURCE macro later.\x0a"
" */\x0a"
"#ifdef _POSIX_C_SOURCE\x0a"
"# if (_POSIX_C_SOURCE - 0 >= 200809)\x0a"
"#  define __POSIX_VISIBLE\x09""200809\x0a"
"#  define __ISO_C_VISIBLE\x09""1999\x0a"
"# elif (_POSIX_C_SOURCE - 0 >= 200112)\x0a"
"#  define __POSIX_VISIBLE\x09""200112\x0a"
"#  define __ISO_C_VISIBLE\x09""1999\x0a"
"# elif (_POSIX_C_SOURCE - 0 >= 199506)\x0a"
"#  define __POSIX_VISIBLE\x09""199506\x0a"
"#  define __ISO_C_VISIBLE\x09""1990\x0a"
"# elif (_POSIX_C_SOURCE - 0 >= 199309)\x0a"
"#  define __POSIX_VISIBLE\x09""199309\x0a"
"#  define __ISO_C_VISIBLE\x09""1990\x0a"
"# elif (_POSIX_C_SOURCE - 0 >= 2)\x0a"
"#  define __POSIX_VISIBLE\x09""199209\x0a"
"#  define __ISO_C_VISIBLE\x09""1990\x0a"
"# else\x0a"
"#  define __POSIX_VISIBLE\x09""199009\x0a"
"#  define __ISO_C_VISIBLE\x09""1990\x0a"
"# endif\x0a"
"#elif defined(_POSIX_SOURCE)\x0a"
"# define __POSIX_VISIBLE\x09""198808\x0a"
"#  define __ISO_C_VISIBLE\x09""0\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * _ANSI_SOURCE means to expose ANSI C89 interfaces only.\x0a"
" * If the user defines it in addition to one of the POSIX or XOPEN\x0a"
" * macros, assume the POSIX/XOPEN macro(s) should take precedence.\x0a"
" */\x0a"
"#if defined(_ANSI_SOURCE) \x26\x26 \x21""defined(__POSIX_VISIBLE) \x26\x26 \x5c\x0a"
"    \x21""defined(__XPG_VISIBLE)\x0a"
"# define __POSIX_VISIBLE\x09""0\x0a"
"# define __XPG_VISIBLE\x09\x09""0\x0a"
"# define __ISO_C_VISIBLE\x09""1990\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * _ISOC99_SOURCE and __STDC_VERSION__ override any of the other macros since\x0a"
" * they are non-exclusive.\x0a"
" */\x0a"
"#if defined(_ISOC99_SOURCE) \x7c\x7c \x5c\x0a"
"    (defined(__STDC_VERSION__) \x26\x26 __STDC_VERSION__ >= 199901) \x7c\x7c \x5c\x0a"
"    (defined(__cplusplus) \x26\x26 __cplusplus >= 201103)\x0a"
"# undef __ISO_C_VISIBLE\x0a"
"# define __ISO_C_VISIBLE\x09""1999\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Finally deal with BSD-specific interfaces that are not covered\x0a"
" * by any standards.  We expose these when none of the POSIX or XPG\x0a"
" * macros is defined or if the user explicitly asks for them.\x0a"
" */\x0a"
"#if \x21""defined(_BSD_SOURCE) \x26\x26 \x5c\x0a"
"   (defined(_ANSI_SOURCE) \x7c\x7c defined(__XPG_VISIBLE) \x7c\x7c defined(__POSIX_VISIBLE))\x0a"
"# define __BSD_VISIBLE\x09\x09""0\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Default values.\x0a"
" */\x0a"
"#ifndef __XPG_VISIBLE\x0a"
"# define __XPG_VISIBLE\x09\x09""700\x0a"
"#endif\x0a"
"#ifndef __POSIX_VISIBLE\x0a"
"# define __POSIX_VISIBLE\x09""200809\x0a"
"#endif\x0a"
"#ifndef __ISO_C_VISIBLE\x0a"
"# define __ISO_C_VISIBLE\x09""1999\x0a"
"#endif\x0a"
"#ifndef __BSD_VISIBLE\x0a"
"# define __BSD_VISIBLE\x09\x09""1\x0a"
"#endif\x0a"
"\x0a"
"#endif /* \x21_SYS_CDEFS_H_ */\x0a"
"", 14354 ); }