#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_select_h( 
"/*\x09\x24OpenBSD\x3a select.h,v 1.17 2016/09/12 19\x3a""41\x3a""20 guenther Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 1992, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)select.h\x09""8.2 (Berkeley) 1/4/94\x0a"
" */\x0a"
"\x0a"
"#ifndef _SYS_SELECT_H_\x0a"
"#define\x09_SYS_SELECT_H_\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <time.h>\x0a"
"\x0a"
"#ifndef _TIMEVAL_DECLARED\x0a"
"#define _TIMEVAL_DECLARED\x0a"
"struct timeval {\x0a"
"\x09time_t\x09\x09tv_sec;\x09\x09/* seconds */\x0a"
"\x09suseconds_t\x09tv_usec;\x09/* and microseconds */\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _TIMESPEC_DECLARED\x0a"
"#define _TIMESPEC_DECLARED\x0a"
"struct timespec {\x0a"
"\x09time_t\x09tv_sec;\x09\x09/* seconds */\x0a"
"\x09long\x09tv_nsec;\x09/* and nanoseconds */\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * Select uses bit masks of file descriptors in longs.  These macros\x0a"
" * manipulate such bit fields (the filesystem macros use chars).\x0a"
" * FD_SETSIZE may be defined by the user, but the default here should\x0a"
" * be enough for most uses.\x0a"
" */\x0a"
"#ifndef\x09""FD_SETSIZE\x0a"
"#define\x09""FD_SETSIZE\x09""1024\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * We don't want to pollute the namespace with select(2) internals.\x0a"
" * Non-underscore versions are exposed later #if __BSD_VISIBLE\x0a"
" */\x0a"
"#define\x09__NBBY\x09""8\x09\x09\x09\x09/* number of bits in a byte */\x0a"
"typedef u_int32_t __fd_mask;\x0a"
"#define __NFDBITS ((unsigned)(sizeof(__fd_mask) * __NBBY)) /* bits per mask */\x0a"
"#define\x09__howmany(x, y)\x09(((x) + ((y) - 1)) / (y))\x0a"
"\x0a"
"typedef\x09struct fd_set {\x0a"
"\x09__fd_mask fds_bits\x5b__howmany(FD_SETSIZE, __NFDBITS)\x5d;\x0a"
"} fd_set;\x0a"
"\x0a"
"static __inline void\x0a"
"__fd_set(int fd, fd_set *p)\x0a"
"{\x0a"
"\x09p->fds_bits\x5b""fd / __NFDBITS\x5d \x7c= (1U << (fd \x25 __NFDBITS));\x0a"
"}\x0a"
"#define FD_SET(n, p)\x09__fd_set((n), (p))\x0a"
"\x0a"
"static __inline void\x0a"
"__fd_clr(int fd, fd_set *p)\x0a"
"{\x0a"
"\x09p->fds_bits\x5b""fd / __NFDBITS\x5d \x26= \x7e(1U << (fd \x25 __NFDBITS));\x0a"
"}\x0a"
"#define FD_CLR(n, p)\x09__fd_clr((n), (p))\x0a"
"\x0a"
"static __inline int\x0a"
"__fd_isset(int fd, const fd_set *p)\x0a"
"{\x0a"
"\x09return (p->fds_bits\x5b""fd / __NFDBITS\x5d \x26 (1U << (fd \x25 __NFDBITS)));\x0a"
"}\x0a"
"#define FD_ISSET(n, p)\x09__fd_isset((n), (p))\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09""FD_COPY(f, t)\x09(void)(*(t) = *(f))\x0a"
"#endif\x0a"
"#define\x09""FD_ZERO(p) do {\x09\x09\x09\x09\x09\x5c\x0a"
"\x09""fd_set *_p = (p);\x09\x09\x09\x09\x5c\x0a"
"\x09__size_t _n = __howmany(FD_SETSIZE, __NFDBITS);\x09\x5c\x0a"
"\x09\x09\x09\x09\x09\x09\x09\x5c\x0a"
"\x09while (_n > 0)\x09\x09\x09\x09\x09\x5c\x0a"
"\x09\x09_p->fds_bits\x5b--_n\x5d = 0;\x09\x09\x09\x5c\x0a"
"} while (0)\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09NBBY\x09__NBBY\x0a"
"#define fd_mask\x09__fd_mask\x0a"
"#define NFDBITS\x09__NFDBITS\x0a"
"#ifndef howmany\x0a"
"#define howmany(x, y)\x09__howmany(x, y)\x0a"
"#endif\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"#ifndef _KERNEL\x0a"
"#ifndef _SIGSET_T_DEFINED_\x0a"
"#define _SIGSET_T_DEFINED_\x0a"
"typedef __uint64_t sigset_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _SELECT_DEFINED_\x0a"
"#define _SELECT_DEFINED_\x0a"
"__BEGIN_DECLS\x0a"
"int\x09select(int, fd_set * __restrict, fd_set * __restrict,\x0a"
"\x09    fd_set * __restrict, struct timeval * __restrict);\x0a"
"int\x09pselect(int, fd_set * __restrict, fd_set * __restrict,\x0a"
"\x09    fd_set * __restrict, const struct timespec * __restrict,\x0a"
"\x09    const sigset_t * __restrict);\x0a"
"__END_DECLS\x0a"
"#endif\x0a"
"#endif /* \x21_KERNEL */\x0a"
"\x0a"
"#endif /* \x21_SYS_SELECT_H_ */\x0a"
"", 4243 ); }