#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_start_h( 
"#include <_PDCLIB/cdefs.h>\x0a"
"\x0a"
"#ifndef _SYS_START_H\x0a"
"#define _SYS_START_H\x0a"
"\x0a"
"_PDCLIB_EXTERN_C\x0a"
"\x0a"
"/*\x0a"
" * DiOS main function, global constructors and destructor are called, return\x0a"
" * value is checked. Variant defines number of arguments passed to main.\x0a"
" *\x0a"
" * note\x3a _start must not be noexcept, otherwise clang generater invokes for\x0a"
" * every function called from it and calls terminate in case of exception. This\x0a"
" * then messes with standard behaviour of uncaught exceptions which should not\x0a"
" * unwind stack.\x0a"
" */\x0a"
"void __dios_start( int variant, int argc, char **argv, char **envp );\x0a"
"void __dios_start_synchronous( int variant, int argc, char **argv, char **envp );\x0a"
"\x0a"
"void __dios_run_ctors();\x0a"
"void __dios_run_dtors();\x0a"
"\x0a"
"void __pthread_start( void * );\x0a"
"void __pthread_entry( void * );\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"int main(...);\x0a"
"#else\x0a"
"int main();\x0a"
"#endif\x0a"
"\x0a"
"_PDCLIB_EXTERN_END\x0a"
"\x0a"
"#endif\x0a"
"", 857 ); }