#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_stat_h( 
"/*-\x0a"
" * Copyright (c) 1982, 1986, 1989, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" * (c) UNIX System Laboratories, Inc.\x0a"
" * All or some portions of this file are derived from material licensed\x0a"
" * to the University of California by American Telephone and Telegraph\x0a"
" * Co. or Unix System Laboratories, Inc. and are reproduced herein with\x0a"
" * the permission of UNIX System Laboratories, Inc.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" *\x0a"
" *\x09\x40(#)stat.h\x09""8.9 (Berkeley) 8/17/94\x0a"
" */\x0a"
"\x0a"
"#ifndef _SYS_STAT_H_\x0a"
"#define\x09_SYS_STAT_H_\x0a"
"\x0a"
"#include <time.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/types.h>\x0a"
"\x0a"
"#define _HOST_stat stat\x0a"
"#include <sys/hostabi.h>\x0a"
"#undef _HOST_stat\x0a"
"\x0a"
"#if __POSIX_VISIBLE >= 200809 \x7c\x7c __BSD_VISIBLE\x0a"
"#define\x09st_atime\x09\x09st_atim.tv_sec\x0a"
"#define\x09st_mtime\x09\x09st_mtim.tv_sec\x0a"
"#define\x09st_ctime\x09\x09st_ctim.tv_sec\x0a"
"#define\x09__st_birthtime\x09\x09__st_birthtim.tv_sec\x0a"
"#endif\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09st_atimespec\x09\x09st_atim\x0a"
"#define\x09st_atimensec\x09\x09st_atim.tv_nsec\x0a"
"#define\x09st_mtimespec\x09\x09st_mtim\x0a"
"#define\x09st_mtimensec\x09\x09st_mtim.tv_nsec\x0a"
"#define\x09st_ctimespec\x09\x09st_ctim\x0a"
"#define\x09st_ctimensec\x09\x09st_ctim.tv_nsec\x0a"
"#define\x09__st_birthtimespec\x09__st_birthtim\x0a"
"#define\x09__st_birthtimensec\x09__st_birthtim.tv_nsec\x0a"
"#endif\x0a"
"\x0a"
"#define\x09S_ISUID _HOST_S_ISUID\x09\x09\x09/* set user id on execution */\x0a"
"#define\x09S_ISGID _HOST_S_ISGID\x09\x09\x09/* set group id on execution */\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09S_ISTXT\x09S_ISVTX\x09\x09        /* sticky bit */\x0a"
"#endif\x0a"
"\x0a"
"#define\x09S_IRWXU _HOST_S_IRWXU\x09\x09\x09/* RWX mask for owner */\x0a"
"#define\x09S_IRUSR _HOST_S_IRUSR\x09\x09\x09/* R for owner */\x0a"
"#define\x09S_IWUSR _HOST_S_IWUSR\x09\x09\x09/* W for owner */\x0a"
"#define\x09S_IXUSR _HOST_S_IXUSR\x09\x09\x09/* X for owner */\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09S_IREAD\x09\x09S_IRUSR\x0a"
"#define\x09S_IWRITE\x09S_IWUSR\x0a"
"#define\x09S_IEXEC\x09\x09S_IXUSR\x0a"
"#endif\x0a"
"\x0a"
"#define\x09S_IRWXG _HOST_S_IRWXG\x09\x09\x09/* RWX mask for group */\x0a"
"#define\x09S_IRGRP _HOST_S_IRGRP\x09\x09\x09/* R for group */\x0a"
"#define\x09S_IWGRP _HOST_S_IWGRP\x09\x09\x09/* W for group */\x0a"
"#define\x09S_IXGRP _HOST_S_IXGRP\x09\x09\x09/* X for group */\x0a"
"\x0a"
"#define\x09S_IRWXO _HOST_S_IRWXO\x09\x09\x09/* RWX mask for other */\x0a"
"#define\x09S_IROTH _HOST_S_IROTH\x09\x09\x09/* R for other */\x0a"
"#define\x09S_IWOTH _HOST_S_IWOTH\x09\x09\x09/* W for other */\x0a"
"#define\x09S_IXOTH _HOST_S_IXOTH\x09\x09\x09/* X for other */\x0a"
"\x0a"
"#if __XPG_VISIBLE \x7c\x7c __BSD_VISIBLE\x0a"
"#define\x09S_IFMT   _HOST_S_IFMT\x09\x09/* type of file mask */\x0a"
"#define\x09S_IFIFO  _HOST_S_IFIFO\x09\x09/* named pipe (fifo) */\x0a"
"#define\x09S_IFCHR  _HOST_S_IFCHR\x09\x09/* character special */\x0a"
"#define\x09S_IFDIR  _HOST_S_IFDIR\x09\x09/* directory */\x0a"
"#define\x09S_IFBLK  _HOST_S_IFBLK\x09\x09/* block special */\x0a"
"#define\x09S_IFREG  _HOST_S_IFREG\x09\x09/* regular */\x0a"
"#define\x09S_IFLNK  _HOST_S_IFLNK\x09\x09/* symbolic link */\x0a"
"#define\x09S_IFSOCK _HOST_S_IFSOCK\x09\x09/* socket */\x0a"
"#define\x09S_ISVTX  _HOST_S_ISVTX\x09\x09/* save swapped text even after use */\x0a"
"#endif\x0a"
"\x0a"
"#define\x09S_ISDIR(m)\x09((m \x26 0170000) == 0040000)\x09/* directory */\x0a"
"#define\x09S_ISCHR(m)\x09((m \x26 0170000) == 0020000)\x09/* char special */\x0a"
"#define\x09S_ISBLK(m)\x09((m \x26 0170000) == 0060000)\x09/* block special */\x0a"
"#define\x09S_ISREG(m)\x09((m \x26 0170000) == 0100000)\x09/* regular file */\x0a"
"#define\x09S_ISFIFO(m)\x09((m \x26 0170000) == 0010000)\x09/* fifo */\x0a"
"#if __POSIX_VISIBLE >= 200112 \x7c\x7c __BSD_VISIBLE\x0a"
"#define\x09S_ISLNK(m)\x09((m \x26 0170000) == 0120000)\x09/* symbolic link */\x0a"
"#define\x09S_ISSOCK(m)\x09((m \x26 0170000) == 0140000)\x09/* socket */\x0a"
"#endif\x0a"
"\x0a"
"#if __POSIX_VISIBLE >= 200809\x0a"
"/* manadated to be present, but permitted to always return zero */\x0a"
"#define\x09S_TYPEISMQ(m)\x09""0\x0a"
"#define\x09S_TYPEISSEM(m)\x09""0\x0a"
"#define\x09S_TYPEISSHM(m)\x09""0\x0a"
"#endif\x0a"
"\x0a"
"#if __BSD_VISIBLE\x0a"
"#define\x09""ACCESSPERMS\x09(S_IRWXU\x7cS_IRWXG\x7cS_IRWXO)\x09/* 00777 */\x0a"
"\x09\x09\x09\x09\x09\x09\x09/* 07777 */\x0a"
"#define\x09""ALLPERMS\x09(S_ISUID\x7cS_ISGID\x7cS_ISTXT\x7cS_IRWXU\x7cS_IRWXG\x7cS_IRWXO)\x0a"
"\x09\x09\x09\x09\x09\x09\x09/* 00666 */\x0a"
"#define\x09""DEFFILEMODE\x09(S_IRUSR\x7cS_IWUSR\x7cS_IRGRP\x7cS_IWGRP\x7cS_IROTH\x7cS_IWOTH)\x0a"
"\x0a"
"#define\x09S_BLKSIZE\x09""512\x09\x09/* block size used in the stat struct */\x0a"
"\x0a"
"/*\x0a"
" * Definitions of flags stored in file flags word.\x0a"
" *\x0a"
" * Super-user and owner changeable flags.\x0a"
" */\x0a"
"#define\x09UF_SETTABLE\x09""0x0000ffff\x09/* mask of owner changeable flags */\x0a"
"#define\x09UF_NODUMP\x09""0x00000001\x09/* do not dump file */\x0a"
"#define\x09UF_IMMUTABLE\x09""0x00000002\x09/* file may not be changed */\x0a"
"#define\x09UF_APPEND\x09""0x00000004\x09/* writes to file may only append */\x0a"
"#define\x09UF_OPAQUE\x09""0x00000008\x09/* directory is opaque wrt. union */\x0a"
"/*\x0a"
" * Super-user changeable flags.\x0a"
" */\x0a"
"#define\x09SF_SETTABLE\x09""0xffff0000\x09/* mask of superuser changeable flags */\x0a"
"#define\x09SF_ARCHIVED\x09""0x00010000\x09/* file is archived */\x0a"
"#define\x09SF_IMMUTABLE\x09""0x00020000\x09/* file may not be changed */\x0a"
"#define\x09SF_APPEND\x09""0x00040000\x09/* writes to file may only append */\x0a"
"\x0a"
"#ifdef _KERNEL\x0a"
"/*\x0a"
" * Shorthand abbreviations of above.\x0a"
" */\x0a"
"#define\x09OPAQUE\x09\x09(UF_OPAQUE)\x0a"
"#define\x09""APPEND\x09\x09(UF_APPEND \x7c SF_APPEND)\x0a"
"#define\x09IMMUTABLE\x09(UF_IMMUTABLE \x7c SF_IMMUTABLE)\x0a"
"#endif /* _KERNEL */\x0a"
"#endif /* __BSD_VISIBLE */\x0a"
"\x0a"
"#if __POSIX_VISIBLE >= 200809\x0a"
"#define\x09UTIME_NOW\x09-2L\x0a"
"#define\x09UTIME_OMIT\x09-1L\x0a"
"#endif /* __POSIX_VISIBLE */\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"int\x09""chmod(const char *, mode_t) __nothrow;\x0a"
"int\x09""fstat(int, struct stat *) __nothrow;\x0a"
"int\x09mknod(const char *, mode_t, dev_t) __nothrow;\x0a"
"int\x09mkdir(const char *, mode_t) __nothrow;\x0a"
"int\x09mkfifo(const char *, mode_t) __nothrow;\x0a"
"int\x09stat(const char *, struct stat *) __nothrow;\x0a"
"mode_t\x09umask(mode_t) __nothrow;\x0a"
"#if __POSIX_VISIBLE >= 200112L \x7c\x7c __XPG_VISIBLE >= 420 \x7c\x7c __BSD_VISIBLE\x0a"
"int\x09""fchmod(int, mode_t) __nothrow;\x0a"
"int\x09lstat(const char *, struct stat *) __nothrow;\x0a"
"#endif\x0a"
"#if __POSIX_VISIBLE >= 200809\x0a"
"int\x09""fchmodat(int, const char *, mode_t, int) __nothrow;\x0a"
"int\x09""fstatat(int, const char *, struct stat *, int) __nothrow;\x0a"
"int\x09mkdirat(int, const char *, mode_t) __nothrow;\x0a"
"int\x09mkfifoat(int, const char *, mode_t) __nothrow;\x0a"
"int\x09mknodat(int, const char *, mode_t, dev_t) __nothrow;\x0a"
"int\x09utimensat(int, const char *, const struct timespec \x5b""2\x5d, int) __nothrow;\x0a"
"int\x09""futimens(int, const struct timespec \x5b""2\x5d) __nothrow;\x0a"
"#endif\x0a"
"#if __BSD_VISIBLE\x0a"
"int\x09""chflags(const char *, unsigned int) __nothrow;\x0a"
"int\x09""chflagsat(int, const char *, unsigned int, int) __nothrow;\x0a"
"int\x09""fchflags(int, unsigned int) __nothrow;\x0a"
"int\x09isfdtype(int, int) __nothrow;\x0a"
"#endif\x0a"
"__END_DECLS\x0a"
"#endif /* \x21_SYS_STAT_H_ */\x0a"
"", 7313 ); }