#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_syscall_h( 
"#ifndef _SYS_SYSCALL_H\x0a"
"#define _SYS_SYSCALL_H\x0a"
"\x0a"
"#include <_PDCLIB/cdefs.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"/* argument types for dios syscalls */\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/task.h>\x0a"
"#include <sys/monitor.h>\x0a"
"#include <sys/socket.h>\x0a"
"#include <sys/stat.h>\x0a"
"#include <sys/resource.h>\x0a"
"#include <sys/utsname.h>\x0a"
"#include <sys/mount.h>\x0a"
"\x0a"
"typedef enum\x0a"
"{\x0a"
"    SYS_NONE = 0,\x0a"
"\x0a"
"    #define SYSCALL(n,...) SYS_ ## n,\x0a"
"        #include <sys/syscall.def>\x0a"
"    #undef SYSCALL\x0a"
"\x0a"
"    SYS_MAXSYSCALL\x0a"
"} _DiOS_SC;\x0a"
"\x0a"
"typedef struct\x0a"
"{\x0a"
"    _DiOS_SC _syscode;\x0a"
"    int *_err;\x0a"
"    void *_ret;\x0a"
"    va_list _args;\x0a"
"} _DiOS_Syscall;\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"#include <signal.h>\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"    struct SysProxy\x0a"
"    {\x0a"
"        #define SYSCALL( name, schedule, ret, arg ) static ret name arg noexcept;\x0a"
"        #include <sys/no_memory_tags.def>\x0a"
"        #include <sys/syscall.def>\x0a"
"        #include <sys/no_memory_tags.undef>\x0a"
"        #undef SYSCALL\x0a"
"    };\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __dios_kernel__\x0a"
"_PDCLIB_EXTERN_C\x0a"
"\x0a"
"long syscall( int number, ... ) __nothrow;\x0a"
"\x0a"
"#define SYSCALL(...)\x0a"
"#define SYSCALL_DIOS( name, sched, ret, args ) ret __dios_ ## name args __nothrow;\x0a"
"#include <sys/no_memory_tags.def>\x0a"
"#include <sys/syscall.def>\x0a"
"#include <sys/no_memory_tags.undef>\x0a"
"#undef SYSCALL\x0a"
"#undef SYSCALL_DIOS\x0a"
"\x0a"
"_PDCLIB_EXTERN_END\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 1278 ); }