#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_sys_task_h( 
"// -*- mode\x3a C++; indent-tabs-mode\x3a nil; c-basic-offset\x3a 4 -*-\x0a"
"\x0a"
"/*\x0a"
" * (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
" * (c) 2018 Petr Ro\xc4\x8dkai <code\x40""fixp.eu>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#ifndef __SYS_TASK_H__\x0a"
"#define __SYS_TASK_H__\x0a"
"\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <sys/divm.h>\x0a"
"\x0a"
"struct __dios_tls\x0a"
"{\x0a"
"    int __errno;\x0a"
"    void *__rst_stash;\x0a"
"    char __data\x5b 0 \x5d;\x0a"
"};\x0a"
"\x0a"
"typedef struct __dios_tls* __dios_task;\x0a"
"typedef void ( *__dios_task_routine )( void * );\x0a"
"\x0a"
"__BEGIN_DECLS\x0a"
"\x0a"
"/*\x0a"
" * The resulting _DiOS_TaskHandle points to the beginning of TLS. Userspace\x0a"
" * code is allowed to use __data, but not other fields.\x0a"
" */\x0a"
"__boring static inline __dios_task __dios_this_task() __nothrow\x0a"
"{\x0a"
"    return __CAST( __dios_task, __vm_ctl_get( _VM_CR_User2 ) );\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * get a pointer to errno, which is in dios-managed task-local data (accessible\x0a"
" * to userspace, but independent of pthreads)\x0a"
" */\x0a"
"__boring static inline int *__dios_errno() __nothrow\x0a"
"{\x0a"
"    return \x26__dios_this_task()->__errno;\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * Start a new task and obtain its identifier. Task starts executing routine\x0a"
" * with arg, tls_size is the size of __data in __dios_tls.\x0a"
" */\x0a"
"__dios_task __dios_start_task( __dios_task_routine r, void *arg, int tls_size ) __nothrow;\x0a"
"\x0a"
"void __dios_kill_task( __dios_task t ) __nothrow;\x0a"
"\x0a"
"static inline void __dios_kill( __dios_task t ) __nothrow\x0a"
"{\x0a"
"    __dios_kill_task( t );\x0a"
"}\x0a"
"\x0a"
"static inline void __dios_suicide() __nothrow\x0a"
"{\x0a"
"    __dios_kill( __dios_this_task() );\x0a"
"}\x0a"
"\x0a"
"__dios_task *__dios_get_process_tasks( __dios_task id ) __nothrow;\x0a"
"void __dios_exit_process( int code ) __nothrow;\x0a"
"void __dios_yield() __nothrow;\x0a"
"void __dios_sync_task( void (*entry)( void ) ) __nothrow;\x0a"
"\x0a"
"static inline __dios_task *__dios_this_process_tasks() __nothrow\x0a"
"{\x0a"
"    return __dios_get_process_tasks( __dios_this_task() );\x0a"
"}\x0a"
"\x0a"
"__END_DECLS\x0a"
"\x0a"
"#endif\x0a"
"", 2496 ); }