#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_tre_h( 
"/*\x0a"
"  tre.h - TRE public API definitions\x0a"
"\x0a"
"  This software is released under a BSD-style license.\x0a"
"  See the file LICENSE for details and copyright.\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#ifndef TRE_H\x0a"
"#define TRE_H 1\x0a"
"\x0a"
"#include \x22tre-config.h\x22\x0a"
"\x0a"
"#ifdef HAVE_SYS_TYPES_H\x0a"
"#include <sys/types.h>\x0a"
"#endif /* HAVE_SYS_TYPES_H */\x0a"
"\x0a"
"#ifdef HAVE_LIBUTF8_H\x0a"
"#include <libutf8.h>\x0a"
"#endif /* HAVE_LIBUTF8_H */\x0a"
"\x0a"
"#ifdef TRE_USE_SYSTEM_REGEX_H\x0a"
"/* Include the system regex.h to make TRE ABI compatible with the\x0a"
"   system regex. */\x0a"
"#include TRE_SYSTEM_REGEX_H_PATH\x0a"
"#define tre_regcomp  regcomp\x0a"
"#define tre_regexec  regexec\x0a"
"#define tre_regerror regerror\x0a"
"#define tre_regfree  regfree\x0a"
"#endif /* TRE_USE_SYSTEM_REGEX_H */\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TRE_USE_SYSTEM_REGEX_H\x0a"
"\x0a"
"#ifndef REG_OK\x0a"
"#define REG_OK 0\x0a"
"#endif /* \x21REG_OK */\x0a"
"\x0a"
"#ifndef HAVE_REG_ERRCODE_T\x0a"
"typedef int reg_errcode_t;\x0a"
"#endif /* \x21HAVE_REG_ERRCODE_T */\x0a"
"\x0a"
"#if \x21""defined(REG_NOSPEC) \x26\x26 \x21""defined(REG_LITERAL)\x0a"
"#define REG_LITERAL 0x1000\x0a"
"#endif\x0a"
"\x0a"
"/* Extra tre_regcomp() flags. */\x0a"
"#ifndef REG_BASIC\x0a"
"#define REG_BASIC\x09""0\x0a"
"#endif /* \x21REG_BASIC */\x0a"
"#define REG_RIGHT_ASSOC (REG_LITERAL << 1)\x0a"
"#define REG_UNGREEDY    (REG_RIGHT_ASSOC << 1)\x0a"
"\x0a"
"/* Extra tre_regexec() flags. */\x0a"
"#define REG_APPROX_MATCHER\x09 0x1000\x0a"
"#define REG_BACKTRACKING_MATCHER (REG_APPROX_MATCHER << 1)\x0a"
"\x0a"
"#else /* \x21TRE_USE_SYSTEM_REGEX_H */\x0a"
"\x0a"
"/* If the we're not using system regex.h, we need to define the\x0a"
"   structs and enums ourselves. */\x0a"
"\x0a"
"typedef int regoff_t;\x0a"
"typedef struct {\x0a"
"  size_t re_nsub;  /* Number of parenthesized subexpressions. */\x0a"
"  void *value;\x09   /* For internal use only. */\x0a"
"} regex_t;\x0a"
"\x0a"
"typedef struct {\x0a"
"  regoff_t rm_so;\x0a"
"  regoff_t rm_eo;\x0a"
"} regmatch_t;\x0a"
"\x0a"
"\x0a"
"typedef enum {\x0a"
"  REG_OK = 0,\x09\x09/* No error. */\x0a"
"  /* POSIX tre_regcomp() return error codes.  (In the order listed in the\x0a"
"     standard.)\x09 */\x0a"
"  REG_NOMATCH,\x09\x09/* No match. */\x0a"
"  REG_BADPAT,\x09\x09/* Invalid regexp. */\x0a"
"  REG_ECOLLATE,\x09\x09/* Unknown collating element. */\x0a"
"  REG_ECTYPE,\x09\x09/* Unknown character class name. */\x0a"
"  REG_EESCAPE,\x09\x09/* Trailing backslash. */\x0a"
"  REG_ESUBREG,\x09\x09/* Invalid back reference. */\x0a"
"  REG_EBRACK,\x09\x09/* \x22\x5b\x5d\x22 imbalance */\x0a"
"  REG_EPAREN,\x09\x09/* \x22\x5c(\x5c)\x22 or \x22()\x22 imbalance */\x0a"
"  REG_EBRACE,\x09\x09/* \x22\x5c{\x5c}\x22 or \x22{}\x22 imbalance */\x0a"
"  REG_BADBR,\x09\x09/* Invalid content of {} */\x0a"
"  REG_ERANGE,\x09\x09/* Invalid use of range operator */\x0a"
"  REG_ESPACE,\x09\x09/* Out of memory.  */\x0a"
"  REG_BADRPT            /* Invalid use of repetition operators. */\x0a"
"} reg_errcode_t;\x0a"
"\x0a"
"/* POSIX tre_regcomp() flags. */\x0a"
"#define REG_EXTENDED\x09""1\x0a"
"#define REG_ICASE\x09(REG_EXTENDED << 1)\x0a"
"#define REG_NEWLINE\x09(REG_ICASE << 1)\x0a"
"#define REG_NOSUB\x09(REG_NEWLINE << 1)\x0a"
"\x0a"
"/* Extra tre_regcomp() flags. */\x0a"
"#define REG_BASIC\x09""0\x0a"
"#define REG_LITERAL\x09(REG_NOSUB << 1)\x0a"
"#define REG_RIGHT_ASSOC (REG_LITERAL << 1)\x0a"
"#define REG_UNGREEDY    (REG_RIGHT_ASSOC << 1)\x0a"
"\x0a"
"#define REG_USEBYTES    (REG_UNGREEDY << 1)\x0a"
"\x0a"
"/* POSIX tre_regexec() flags. */\x0a"
"#define REG_NOTBOL 1\x0a"
"#define REG_NOTEOL (REG_NOTBOL << 1)\x0a"
"\x0a"
"/* Extra tre_regexec() flags. */\x0a"
"#define REG_APPROX_MATCHER\x09 (REG_NOTEOL << 1)\x0a"
"#define REG_BACKTRACKING_MATCHER (REG_APPROX_MATCHER << 1)\x0a"
"\x0a"
"#endif /* \x21TRE_USE_SYSTEM_REGEX_H */\x0a"
"\x0a"
"/* REG_NOSPEC and REG_LITERAL mean the same thing. */\x0a"
"#if defined(REG_LITERAL) \x26\x26 \x21""defined(REG_NOSPEC)\x0a"
"#define REG_NOSPEC\x09REG_LITERAL\x0a"
"#elif defined(REG_NOSPEC) \x26\x26 \x21""defined(REG_LITERAL)\x0a"
"#define REG_LITERAL\x09REG_NOSPEC\x0a"
"#endif /* defined(REG_NOSPEC) */\x0a"
"\x0a"
"/* The maximum number of iterations in a bound expression. */\x0a"
"#undef RE_DUP_MAX\x0a"
"#define RE_DUP_MAX 255\x0a"
"\x0a"
"/* The POSIX.2 regexp functions */\x0a"
"extern int\x0a"
"tre_regcomp(regex_t *preg, const char *regex, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regexec(const regex_t *preg, const char *string, size_t nmatch,\x0a"
"\x09regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regcompb(regex_t *preg, const char *regex, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regexecb(const regex_t *preg, const char *string, size_t nmatch,\x0a"
"\x09regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"\x0a"
"extern size_t\x0a"
"tre_regerror(int errcode, const regex_t *preg, char *errbuf,\x0a"
"\x09 size_t errbuf_size);\x0a"
"\x0a"
"extern void\x0a"
"tre_regfree(regex_t *preg);\x0a"
"\x0a"
"#ifdef TRE_WCHAR\x0a"
"#ifdef HAVE_WCHAR_H\x0a"
"#include <wchar.h>\x0a"
"#endif /* HAVE_WCHAR_H */\x0a"
"\x0a"
"/* Wide character versions (not in POSIX.2). */\x0a"
"extern int\x0a"
"tre_regwcomp(regex_t *preg, const wchar_t *regex, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regwexec(const regex_t *preg, const wchar_t *string,\x0a"
"\x09 size_t nmatch, regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"#endif /* TRE_WCHAR */\x0a"
"\x0a"
"/* Versions with a maximum length argument and therefore the capability to\x0a"
"   handle null characters in the middle of the strings (not in POSIX.2). */\x0a"
"extern int\x0a"
"tre_regncomp(regex_t *preg, const char *regex, size_t len, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regnexec(const regex_t *preg, const char *string, size_t len,\x0a"
"\x09 size_t nmatch, regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"\x0a"
"/* regn*b versions take byte literally as 8-bit values */\x0a"
"extern int\x0a"
"tre_regncompb(regex_t *preg, const char *regex, size_t n, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regnexecb(const regex_t *preg, const char *str, size_t len,\x0a"
"\x09  size_t nmatch, regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"\x0a"
"#ifdef TRE_WCHAR\x0a"
"extern int\x0a"
"tre_regwncomp(regex_t *preg, const wchar_t *regex, size_t len, int cflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regwnexec(const regex_t *preg, const wchar_t *string, size_t len,\x0a"
"\x09  size_t nmatch, regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"#endif /* TRE_WCHAR */\x0a"
"\x0a"
"#ifdef TRE_APPROX\x0a"
"\x0a"
"/* Approximate matching parameter struct. */\x0a"
"typedef struct {\x0a"
"  int cost_ins;\x09       /* Default cost of an inserted character. */\x0a"
"  int cost_del;\x09       /* Default cost of a deleted character. */\x0a"
"  int cost_subst;      /* Default cost of a substituted character. */\x0a"
"  int max_cost;\x09       /* Maximum allowed cost of a match. */\x0a"
"\x0a"
"  int max_ins;\x09       /* Maximum allowed number of inserts. */\x0a"
"  int max_del;\x09       /* Maximum allowed number of deletes. */\x0a"
"  int max_subst;       /* Maximum allowed number of substitutes. */\x0a"
"  int max_err;\x09       /* Maximum allowed number of errors total. */\x0a"
"} regaparams_t;\x0a"
"\x0a"
"/* Approximate matching result struct. */\x0a"
"typedef struct {\x0a"
"  size_t nmatch;       /* Length of pmatch\x5b\x5d array. */\x0a"
"  regmatch_t *pmatch;  /* Submatch data. */\x0a"
"  int cost;\x09       /* Cost of the match. */\x0a"
"  int num_ins;\x09       /* Number of inserts in the match. */\x0a"
"  int num_del;\x09       /* Number of deletes in the match. */\x0a"
"  int num_subst;       /* Number of substitutes in the match. */\x0a"
"} regamatch_t;\x0a"
"\x0a"
"\x0a"
"/* Approximate matching functions. */\x0a"
"extern int\x0a"
"tre_regaexec(const regex_t *preg, const char *string,\x0a"
"\x09 regamatch_t *match, regaparams_t params, int eflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_reganexec(const regex_t *preg, const char *string, size_t len,\x0a"
"\x09  regamatch_t *match, regaparams_t params, int eflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regaexecb(const regex_t *preg, const char *string,\x0a"
"\x09  regamatch_t *match, regaparams_t params, int eflags);\x0a"
"\x0a"
"#ifdef TRE_WCHAR\x0a"
"/* Wide character approximate matching. */\x0a"
"extern int\x0a"
"tre_regawexec(const regex_t *preg, const wchar_t *string,\x0a"
"\x09  regamatch_t *match, regaparams_t params, int eflags);\x0a"
"\x0a"
"extern int\x0a"
"tre_regawnexec(const regex_t *preg, const wchar_t *string, size_t len,\x0a"
"\x09   regamatch_t *match, regaparams_t params, int eflags);\x0a"
"#endif /* TRE_WCHAR */\x0a"
"\x0a"
"/* Sets the parameters to default values. */\x0a"
"extern void\x0a"
"tre_regaparams_default(regaparams_t *params);\x0a"
"#endif /* TRE_APPROX */\x0a"
"\x0a"
"#ifdef TRE_WCHAR\x0a"
"typedef wchar_t tre_char_t;\x0a"
"#else /* \x21TRE_WCHAR */\x0a"
"typedef unsigned char tre_char_t;\x0a"
"#endif /* \x21TRE_WCHAR */\x0a"
"\x0a"
"typedef struct {\x0a"
"  int (*get_next_char)(tre_char_t *c, unsigned int *pos_add, void *context);\x0a"
"  void (*rewind)(size_t pos, void *context);\x0a"
"  int (*compare)(size_t pos1, size_t pos2, size_t len, void *context);\x0a"
"  void *context;\x0a"
"} tre_str_source;\x0a"
"\x0a"
"extern int\x0a"
"tre_reguexec(const regex_t *preg, const tre_str_source *string,\x0a"
"\x09 size_t nmatch, regmatch_t pmatch\x5b\x5d, int eflags);\x0a"
"\x0a"
"/* Returns the version string.\x09The returned string is static. */\x0a"
"extern char *\x0a"
"tre_version(void);\x0a"
"\x0a"
"/* Returns the value for a config parameter.  The type to which \x60result'\x0a"
"   must point to depends of the value of \x60query', see documentation for\x0a"
"   more details. */\x0a"
"extern int\x0a"
"tre_config(int query, void *result);\x0a"
"\x0a"
"enum {\x0a"
"  TRE_CONFIG_APPROX,\x0a"
"  TRE_CONFIG_WCHAR,\x0a"
"  TRE_CONFIG_MULTIBYTE,\x0a"
"  TRE_CONFIG_SYSTEM_ABI,\x0a"
"  TRE_CONFIG_VERSION\x0a"
"};\x0a"
"\x0a"
"/* Returns 1 if the compiled pattern has back references, 0 if not. */\x0a"
"extern int\x0a"
"tre_have_backrefs(const regex_t *preg);\x0a"
"\x0a"
"/* Returns 1 if the compiled pattern uses approximate matching features,\x0a"
"   0 if not. */\x0a"
"extern int\x0a"
"tre_have_approx(const regex_t *preg);\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"#endif\x09\x09\x09\x09/* TRE_H */\x0a"
"\x0a"
"/* EOF */\x0a"
"", 8381 ); }