#include <string_view>
namespace divine::str::dios {
extern const std::string_view include_wchar_h( 
"/* Extended multibyte and wide character utilities <wchar.h>\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef _PDCLIB_WCHAR_H\x0a"
"#define _PDCLIB_WCHAR_H _PDCLIB_WCHAR_H\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_SIZE_T_DEFINED\x0a"
"#define _PDCLIB_SIZE_T_DEFINED _PDCLIB_SIZE_T_DEFINED\x0a"
"typedef _PDCLIB_size_t size_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __cplusplus\x0a"
"\x0a"
"#ifndef _PDCLIB_WCHAR_T_DEFINED\x0a"
"#define _PDCLIB_WCHAR_T_DEFINED _PDCLIB_WCHAR_T_DEFINED\x0a"
"typedef _PDCLIB_wchar_t wchar_t;\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_WINT_T_DEFINED\x0a"
"#define _PDCLIB_WINT_T_DEFINED _PDCLIB_WINT_T_DEFINED\x0a"
"typedef _PDCLIB_wint_t wint_t;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_MBSTATE_T_DEFINED\x0a"
"#define _PDCLIB_MBSTATE_T_DEFINED _PDCLIB_MBSTATE_T_DEFINED\x0a"
"typedef _PDCLIB_mbstate_t mbstate_t;\x0a"
"#endif\x0a"
"\x0a"
"struct tm;\x0a"
"\x0a"
"#ifndef _PDCLIB_NULL_DEFINED\x0a"
"#define _PDCLIB_NULL_DEFINED _PDCLIB_NULL_DEFINED\x0a"
"#define NULL _PDCLIB_NULL\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_WCHAR_MIN_MAX_DEFINED\x0a"
"#define _PDCLIB_WCHAR_MIN_MAX_DEFINED _PDCLIB_WCHAR_MIN_MAX_DEFINED\x0a"
"#define WCHAR_MIN _PDCLIB_WCHAR_MIN\x0a"
"#define WCHAR_MAX _PDCLIB_WCHAR_MAX\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _PDCLIB_WEOF_DEFINED\x0a"
"#define _PDCLIB_WEOF_DEFINED _PDCLIB_WEOF_DEFINED\x0a"
"#define WEOF _PDCLIB_WEOF\x0a"
"#endif\x0a"
"\x0a"
"/* Wide character string handling */\x0a"
"wchar_t * wcscpy( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2 );\x0a"
"wchar_t * wcsncpy( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2, size_t n );\x0a"
"wchar_t * wmemcpy( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2, size_t n );\x0a"
"wchar_t * wmemmove( wchar_t * s1, const wchar_t * s2, size_t n );\x0a"
"wchar_t * wcscat( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2 );\x0a"
"wchar_t * wcsncat( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2, size_t n );\x0a"
"int wcscmp( const wchar_t * s1, const wchar_t * s2 );\x0a"
"int wcscoll( const wchar_t * s1, const wchar_t * s2 );\x0a"
"int wcsncmp( const wchar_t * s1, const wchar_t * s2, size_t n );\x0a"
"size_t wcsxfrm( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2, size_t n );\x0a"
"int wmemcmp( const wchar_t * s1, const wchar_t * s2, size_t n );\x0a"
"wchar_t * wcschr( const wchar_t * s, wchar_t c );\x0a"
"size_t wcscspn( const wchar_t * s1, const wchar_t * s2 );\x0a"
"wchar_t * wcspbrk( const wchar_t * s1, const wchar_t * s2 );\x0a"
"wchar_t * wcsrchr( const wchar_t * s, wchar_t c );\x0a"
"size_t wcsspn( const wchar_t * s1, const wchar_t * s2 );\x0a"
"wchar_t * wcsstr( const wchar_t * s1, const wchar_t * s2 );\x0a"
"wchar_t * wcstok( wchar_t * _PDCLIB_restrict s1, const wchar_t * _PDCLIB_restrict s2, wchar_t * * _PDCLIB_restrict ptr );\x0a"
"wchar_t * wmemchr( const wchar_t * s, wchar_t c, size_t n );\x0a"
"size_t wcslen( const wchar_t * s );\x0a"
"wchar_t * wmemset( wchar_t * s, wchar_t c, size_t n );\x0a"
"\x0a"
"size_t wcsftime(wchar_t *_PDCLIB_restrict s, size_t maxsize, const wchar_t *_PDCLIB_restrict format, const struct tm *_PDCLIB_restrict timeptr);\x0a"
"\x0a"
"/* Wide character I/O */\x0a"
"int fwprintf( _PDCLIB_file_t * _PDCLIB_restrict stream, const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"int fwscanf( _PDCLIB_file_t * _PDCLIB_restrict stream, const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"int swprintf( wchar_t * _PDCLIB_restrict s, size_t n, const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"int swscanf( const wchar_t * _PDCLIB_restrict s, const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"int vfwprintf( _PDCLIB_file_t * _PDCLIB_restrict stream, const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int vfwscanf( _PDCLIB_file_t * _PDCLIB_restrict stream, const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int vswprintf( wchar_t * _PDCLIB_restrict s, size_t n, const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int vswscanf( const wchar_t * _PDCLIB_restrict s, const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int vwprintf( const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int vwscanf( const wchar_t * _PDCLIB_restrict format, _PDCLIB_va_list arg );\x0a"
"int wprintf( const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"int wscanf( const wchar_t * _PDCLIB_restrict format, ... );\x0a"
"wint_t fgetwc( _PDCLIB_file_t * stream );\x0a"
"wchar_t * fgetws( wchar_t * _PDCLIB_restrict s, int n, _PDCLIB_file_t * _PDCLIB_restrict stream );\x0a"
"wint_t fputwc( wchar_t c, _PDCLIB_file_t * stream );\x0a"
"int fputws( const wchar_t * _PDCLIB_restrict s, _PDCLIB_file_t * _PDCLIB_restrict stream );\x0a"
"int fwide( _PDCLIB_file_t * stream, int mode );\x0a"
"wint_t getwc( _PDCLIB_file_t * stream );\x0a"
"wint_t getwchar( void );\x0a"
"wint_t putwc( wchar_t c, _PDCLIB_file_t * stream );\x0a"
"wint_t putwchar( wchar_t c );\x0a"
"wint_t ungetwc( wint_t c, _PDCLIB_file_t * stream );\x0a"
"\x0a"
"#if _PDCLIB_GNU_SOURCE\x0a"
"wint_t getwc_unlocked( _PDCLIB_file_t * stream );\x0a"
"wint_t getwchar_unlocked( void );\x0a"
"wint_t fgetwc_unlocked( _PDCLIB_file_t * stream );\x0a"
"wint_t fputwc_unlocked( wchar_t wc, _PDCLIB_file_t * stream );\x0a"
"wint_t putwc_unlocked( wchar_t wc, _PDCLIB_file_t * stream );\x0a"
"wint_t putwchar_unlocked( wchar_t wc );\x0a"
"wchar_t * fgetws_unlocked( wchar_t * ws, int n, _PDCLIB_file_t * stream );\x0a"
"int fputws_unlocked( const wchar_t * ws, _PDCLIB_file_t * stream );\x0a"
"#endif\x0a"
"\x0a"
"/* Wide character <-> Numeric conversions */\x0a"
"double wcstod(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr);\x0a"
"float wcstof(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr);\x0a"
"long double wcstold(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr);\x0a"
"long int wcstol(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr, int base);\x0a"
"long long int wcstoll(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr, int base);\x0a"
"unsigned long int wcstoul(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr, int base);\x0a"
"unsigned long long int wcstoull(const wchar_t *_PDCLIB_restrict nptr, wchar_t **_PDCLIB_restrict endptr, int base);\x0a"
"\x0a"
"/* Character set conversion */\x0a"
"wint_t btowc( int c );\x0a"
"int wctob( wint_t c );\x0a"
"int mbsinit( const mbstate_t * ps );\x0a"
"size_t mbrlen( const char * _PDCLIB_restrict s, size_t n, mbstate_t * _PDCLIB_restrict ps );\x0a"
"size_t mbrtowc( wchar_t * _PDCLIB_restrict pwc, const char * _PDCLIB_restrict s, size_t n, mbstate_t * _PDCLIB_restrict ps );\x0a"
"size_t wcrtomb( char * _PDCLIB_restrict s, wchar_t wc, mbstate_t * _PDCLIB_restrict ps );\x0a"
"size_t mbsrtowcs( wchar_t * _PDCLIB_restrict dst, const char * * _PDCLIB_restrict src, size_t len, mbstate_t * _PDCLIB_restrict ps );\x0a"
"size_t wcsrtombs( char * _PDCLIB_restrict dst, const wchar_t * * _PDCLIB_restrict src, size_t len, mbstate_t * _PDCLIB_restrict ps );\x0a"
"\x0a"
"/* FIXME\x3a remove this (DIVINE) */\x0a"
"size_t mbsnrtowcs(wchar_t *dest, const char **src,\x0a"
"                  size_t nms, size_t len, mbstate_t *ps);\x0a"
"size_t wcsnrtombs(char *dest, const wchar_t **src, size_t nwc,\x0a"
"                  size_t len, mbstate_t *ps);\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"", 6887 ); }