#include <string_view>
namespace divine::str::dios {
extern const std::string_view lava_tristate_hpp( 
"#pragma once\x0a"
"\x0a"
"#ifdef __divine__\x0a"
"#include <sys/divm.h>\x0a"
"#else\x0a"
"#include <cstdlib>\x0a"
"#endif\x0a"
"\x0a"
"namespace __lava\x0a"
"{\x0a"
"    /* The tristate abstract domain has three values\x3a true, false and maybe\x0a"
"     * (unknown).  It is used for branching, to decide whether to take the then\x0a"
"     * or else path, or whether to choose non-deterministically (in DIVINE this\x0a"
"     * means split and take both paths).\x0a"
"     *\x0a"
"     * Every other abstract domain needs to define a \x60to_tristate()\x60 method,\x0a"
"     * which specifies what happens if a value of that abstract type is\x0a"
"     * encountered in an if condition. */\x0a"
"\x0a"
"    struct tristate\x0a"
"    {\x0a"
"        enum value_t { no = 0, yes = 1, maybe = 2 } value;\x0a"
"        constexpr tristate( value_t val = maybe ) noexcept \x3a value( val ) { }\x0a"
"        explicit constexpr tristate( uint8_t x ) \x3a tristate( value_t( x ) ) {}\x0a"
"\x0a"
"        bool lower() const noexcept;\x0a"
"        static tristate lift( bool v ) noexcept { return v \x3f yes \x3a no; }\x0a"
"        static tristate any() noexcept { return maybe; }\x0a"
"\x0a"
"        explicit inline operator bool() const noexcept\x0a"
"        {\x0a"
"            if ( value == maybe )\x0a"
"            {\x0a"
"                #ifdef __divine__\x0a"
"                    return __vm_choose( 2 );\x0a"
"                #else\x0a"
"                    return std\x3a\x3arand() \x25 2;\x0a"
"                #endif\x0a"
"            }\x0a"
"            return value;\x0a"
"        }\x0a"
"    };\x0a"
"\x0a"
"} // namespace abstract\x0a"
"", 1356 ); }