#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_atomax_c( 
"/* _PDCLIB_atomax( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/int.h\x22\x0a"
"#include <string.h>\x0a"
"#include <ctype.h>\x0a"
"\x0a"
"_PDCLIB_intmax_t _PDCLIB_atomax( const char * s )\x0a"
"{\x0a"
"    _PDCLIB_intmax_t rc = 0;\x0a"
"    char sign = '+';\x0a"
"    const char * x;\x0a"
"    /* TODO\x3a In other than \x22""C\x22 locale, additional patterns may be defined     */\x0a"
"    while ( isspace( *s ) ) ++s;\x0a"
"    if ( *s == '+' ) ++s;\x0a"
"    else if ( *s == '-' ) sign = *(s++);\x0a"
"    /* TODO\x3a Earlier version was missing tolower() but was not caught by tests */\x0a"
"    while ( ( x = memchr( _PDCLIB_digits, tolower(*(s++)), 10 ) ) \x21= NULL )\x0a"
"    {\x0a"
"        rc = rc * 10 + ( x - _PDCLIB_digits );\x0a"
"    }\x0a"
"    return ( sign == '+' ) \x3f rc \x3a -rc;\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    /* basic functionality */\x0a"
"    TESTCASE( _PDCLIB_atomax( \x22""123\x22 ) == 123 );\x0a"
"    /* testing skipping of leading whitespace and trailing garbage */\x0a"
"    TESTCASE( _PDCLIB_atomax( \x22 \x5cn\x5cv\x5ct\x5c""f123xyz\x22 ) == 123 );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1147 ); }