#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_closeall_c( 
"/* _PDCLIB_closeall( void )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <threads.h>\x0a"
"extern _PDCLIB_file_t * _PDCLIB_filelist;\x0a"
"extern mtx_t _PDCLIB_filelist_lock;\x0a"
"\x0a"
"void _PDCLIB_closeall( void )\x0a"
"{\x0a"
"    mtx_lock( \x26_PDCLIB_filelist_lock );\x0a"
"    _PDCLIB_file_t * stream = _PDCLIB_filelist;\x0a"
"    _PDCLIB_file_t * next;\x0a"
"    while ( stream \x21= NULL )\x0a"
"    {\x0a"
"        next = stream->next;\x0a"
"        fclose( stream );\x0a"
"        stream = next;\x0a"
"    }\x0a"
"    mtx_unlock( \x26_PDCLIB_filelist_lock );\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* No testdriver */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 763 ); }