#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB__PDCLIB_utf8_c( 
"/* UTF-8 codec\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <stdbool.h>\x0a"
"#include <stdint.h>\x0a"
"#include <uchar.h>\x0a"
"#include <assert.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"\x0a"
"/* Use of the mbstate\x3a\x0a"
" *\x0a"
" * _StUC\x5b""0\x5d is the current decoding state\x0a"
" * _St32\x5b""1\x5d is the character accumulated so far\x0a"
" */\x0a"
"\x0a"
"static bool utf8_mbsinit( const mbstate_t *p_s )\x0a"
"{ return p_s->_StUC\x5b""0\x5d == 0; }\x0a"
"\x0a"
"enum {\x0a"
"    DecStart = 0,\x0a"
"\x0a"
"    Dec2B2,\x0a"
"\x0a"
"    Dec3B2,\x0a"
"    Dec3B3,\x0a"
"\x0a"
"    Dec4B2,\x0a"
"    Dec4B3,\x0a"
"    Dec4B4\x0a"
"};\x0a"
"\x0a"
"#define state (p_s->_StUC\x5b""0\x5d)\x0a"
"#define accum (p_s->_St32\x5b""1\x5d)\x0a"
"\x0a"
"#define START_CONVERSION \x5c\x0a"
"    bool          result = true;           \x5c\x0a"
"\x0a"
"#define END_CONVERSION      \x5c\x0a"
"end_conversion\x3a             \x5c\x0a"
"    return result\x0a"
"\x0a"
"#define FINISH(_r) do {     \x5c\x0a"
"    result = (_r);          \x5c\x0a"
"    goto end_conversion;    \x5c\x0a"
"} while(0)\x0a"
"\x0a"
"#define OUT32(_c)  do {             \x5c\x0a"
"    if(p_outbuf)                    \x5c\x0a"
"        (*((*p_outbuf)++)) = (_c);  \x5c\x0a"
"    (*p_outsz)--;                   \x5c\x0a"
"    _PDCLIB_UNDEFINED(accum);       \x5c\x0a"
"    state = DecStart;               \x5c\x0a"
"} while(0)\x0a"
"\x0a"
"#define CHECK_CONTINUATION \x5c\x0a"
"    do { if((c \x26 0xC0) \x21= 0x80) return false; } while(0)\x0a"
"\x0a"
"static bool utf8toc32(\x0a"
"    char32_t       *restrict *restrict   p_outbuf,\x0a"
"    size_t                   *restrict   p_outsz,\x0a"
"    const char     *restrict *restrict   p_inbuf,\x0a"
"    size_t                   *restrict   p_insz,\x0a"
"    mbstate_t                *restrict   p_s\x0a"
")\x0a"
"{\x0a"
"    START_CONVERSION\x0a"
"    while(*p_outsz \x26\x26 *p_insz) {\x0a"
"        unsigned char c = **p_inbuf;\x0a"
"        char32_t      c32;\x0a"
"        switch(state) {\x0a"
"        case DecStart\x3a\x0a"
"            // 1 byte\x0a"
"            if(c <= 0x7F) {\x0a"
"                OUT32(c);\x0a"
"            } else if(c <= 0xDF) {\x0a"
"                accum = (c \x26 0x1F) << 6;\x0a"
"                state = Dec2B2;\x0a"
"            } else if(c <= 0xEF) {\x0a"
"                accum = (c \x26 0x0F) << 12;\x0a"
"                state = Dec3B2;\x0a"
"            } else if(c <= 0xF4) {\x0a"
"                accum = (c \x26 0x07) << 18;\x0a"
"                state = Dec4B2;\x0a"
"            } else {\x0a"
"                // 5+byte sequence illegal\x0a"
"                FINISH(false);\x0a"
"            }\x0a"
"            break;\x0a"
"\x0a"
"        case Dec2B2\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"\x0a"
"            c32 = accum \x7c (c \x26 0x3F);\x0a"
"\x0a"
"            // Overlong sequence (e.g. NUL injection)\x0a"
"            if(c32 <= 0x7F)\x0a"
"                FINISH(false);\x0a"
"\x0a"
"            OUT32(c32);\x0a"
"            break;\x0a"
"\x0a"
"        case Dec3B2\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"            accum \x7c= (c \x26 0x3F) << 6;\x0a"
"            state = Dec3B3;\x0a"
"            break;\x0a"
"\x0a"
"        case Dec3B3\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"\x0a"
"            c32 = accum \x7c (c \x26 0x3F);\x0a"
"\x0a"
"            // Overlong\x0a"
"            if(c32 <= 0x07FF)\x0a"
"                FINISH(false);\x0a"
"\x0a"
"            // Surrogate\x0a"
"            if(c32 >= 0xD800 \x26\x26 c32 <= 0xDFFF)\x0a"
"                FINISH(false);\x0a"
"\x0a"
"            OUT32(c32);\x0a"
"            break;\x0a"
"\x0a"
"        case Dec4B2\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"            accum \x7c= (c \x26 0x3F) << 12;\x0a"
"            state = Dec4B3;\x0a"
"            break;\x0a"
"\x0a"
"        case Dec4B3\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"            accum \x7c= (c \x26 0x3F) << 6;\x0a"
"            state = Dec4B4;\x0a"
"            break;\x0a"
"\x0a"
"        case Dec4B4\x3a\x0a"
"            CHECK_CONTINUATION;\x0a"
"\x0a"
"            c32 = accum \x7c (c \x26 0x3F);\x0a"
"\x0a"
"            // Overlong\x0a"
"            if(c32 <= 0xFFFF) FINISH(false);\x0a"
"\x0a"
"            // Not in Unicode\x0a"
"            if(c32 > 0x10FFFF) FINISH(false);\x0a"
"\x0a"
"            OUT32(c32);\x0a"
"            break;\x0a"
"\x0a"
"        default\x3a\x0a"
"            assert(\x21\x22Invalid state\x22);\x0a"
"        }\x0a"
"\x0a"
"        (*p_inbuf)++;\x0a"
"        (*p_insz)--;\x0a"
"    }\x0a"
"    END_CONVERSION;\x0a"
"}\x0a"
"\x0a"
"enum {\x0a"
"    EncStart = 0,\x0a"
"    Enc1R,\x0a"
"    Enc2R,\x0a"
"    Enc3R,\x0a"
"};\x0a"
"\x0a"
"static bool c32toutf8(\x0a"
"    char           *restrict *restrict  p_outbuf,\x0a"
"    size_t                   *restrict  p_outsz,\x0a"
"    const char32_t *restrict *restrict  p_inbuf,\x0a"
"    size_t                   *restrict  p_insz,\x0a"
"    mbstate_t                *restrict  p_s\x0a"
")\x0a"
"{\x0a"
"    START_CONVERSION\x0a"
"    while(*p_outsz) {\x0a"
"        unsigned char outc = 0;\x0a"
"        switch(state) {\x0a"
"        case Enc3R\x3a\x0a"
"            outc = 0x80 \x7c ((accum >> 12) \x26 0x3F);\x0a"
"            state = Enc2R;\x0a"
"            break;\x0a"
"\x0a"
"        case Enc2R\x3a\x0a"
"            outc = 0x80 \x7c ((accum >> 6) \x26 0x3F);\x0a"
"            state = Enc1R;\x0a"
"            break;\x0a"
"\x0a"
"        case Enc1R\x3a\x0a"
"            outc = 0x80 \x7c (accum \x26 0x3F);\x0a"
"            state = EncStart;\x0a"
"            _PDCLIB_UNDEFINED(accum);\x0a"
"            break;\x0a"
"\x0a"
"        case EncStart\x3a\x0a"
"            if(*p_insz == 0)\x0a"
"                FINISH(true);\x0a"
"\x0a"
"            accum  = **p_inbuf;\x0a"
"            (*p_inbuf)++;\x0a"
"            (*p_insz)--;\x0a"
"\x0a"
"            if(accum <= 0x7F) {\x0a"
"                outc = accum;\x0a"
"                state = EncStart;\x0a"
"                _PDCLIB_UNDEFINED(accum);\x0a"
"            } else if(accum <= 0x7FF) {\x0a"
"                outc = 0xC0 \x7c (accum >> 6);\x0a"
"                state = Enc1R;\x0a"
"            } else if(accum <= 0xFFFF) {\x0a"
"                outc = 0xE0 \x7c (accum >> 12);\x0a"
"                state = Enc2R;\x0a"
"            } else if(accum <= 0x10FFFF) {\x0a"
"                outc = 0xF0 \x7c (accum >> 18);\x0a"
"                state = Enc3R;\x0a"
"            } else {\x0a"
"                FINISH(false);\x0a"
"            }\x0a"
"            break;\x0a"
"        }\x0a"
"\x0a"
"        if(p_outbuf) {\x0a"
"            **p_outbuf = outc;\x0a"
"            (*p_outbuf)++;\x0a"
"        }\x0a"
"        (*p_outsz)--;\x0a"
"    }\x0a"
"    END_CONVERSION;\x0a"
"}\x0a"
"\x0a"
"const struct _PDCLIB_charcodec_t _PDCLIB_utf8_codec = {\x0a"
"    .__mbsinit   = utf8_mbsinit,\x0a"
"    .__mbstoc32s = utf8toc32,\x0a"
"    .__c32stombs = c32toutf8,\x0a"
"    .__mb_max    = 4,\x0a"
"};\x0a"
"\x0a"
"#undef state\x0a"
"#undef accum\x0a"
"#undef OUT32\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    // Valid conversion \x26 back\x0a"
"\x0a"
"    static const char* input = \x22""abcde\x22 \x22\x5cxDF\x5cxBF\x22 \x22\x5cxEF\x5cxBF\x5cxBF\x22\x0a"
"                               \x22\x5cxF4\x5cx8F\x5cxBF\x5cxBF\x22;\x0a"
"\x0a"
"    char32_t c32out\x5b""8\x5d;\x0a"
"\x0a"
"    char32_t   *c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    size_t      c32rem = 8;\x0a"
"    const char *chrptr = (char*) \x26input\x5b""0\x5d;\x0a"
"    size_t      chrrem = strlen(input);\x0a"
"    mbstate_t   mbs = { 0 };\x0a"
"\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs));\x0a"
"    TESTCASE(c32rem == 0);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""8\x5d);\x0a"
"    TESTCASE(chrptr == \x26input\x5bstrlen(input)\x5d);\x0a"
"    TESTCASE(c32out\x5b""0\x5d == 'a' \x26\x26 c32out\x5b""1\x5d == 'b' \x26\x26 c32out\x5b""2\x5d == 'c' \x26\x26\x0a"
"             c32out\x5b""3\x5d == 'd' \x26\x26 c32out\x5b""4\x5d == 'e' \x26\x26 c32out\x5b""5\x5d == 0x7FF \x26\x26\x0a"
"             c32out\x5b""6\x5d == 0xFFFF \x26\x26 c32out\x5b""7\x5d == 0x10FFFF);\x0a"
"\x0a"
"    char chrout\x5bstrlen(input)\x5d;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26""chrout\x5b""0\x5d;\x0a"
"    chrrem = strlen(input);\x0a"
"    TESTCASE(c32toutf8(\x26""chrptr, \x26""chrrem, \x26""c32ptr, \x26""c32rem, \x26mbs));\x0a"
"    TESTCASE(c32rem == 0);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""8\x5d);\x0a"
"    TESTCASE(chrptr == \x26""chrout\x5bstrlen(input)\x5d);\x0a"
"    TESTCASE(memcmp(chrout, input, strlen(input)) == 0);\x0a"
"\x0a"
"    // Multi-part conversion\x0a"
"    static const char* mpinput = \x22\x5cxDF\x5cxBF\x22;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26mpinput\x5b""0\x5d;\x0a"
"    chrrem = 1;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs));\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""0\x5d);\x0a"
"    TESTCASE(c32rem == 8);\x0a"
"    TESTCASE(chrptr == \x26mpinput\x5b""1\x5d);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"    chrrem = 1;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs));\x0a"
"    TESTCASE(c32ptr == \x26""c32out\x5b""1\x5d);\x0a"
"    TESTCASE(c32rem == 7);\x0a"
"    TESTCASE(chrptr == \x26mpinput\x5b""2\x5d);\x0a"
"    TESTCASE(chrrem == 0);\x0a"
"\x0a"
"    // Invalid conversions\x0a"
"\x0a"
"    // Overlong nuls\x0a"
"    const char* nul2 = \x22\x5cxC0\x5cx80\x22;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26nul2\x5b""0\x5d;\x0a"
"    chrrem = 2;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs) == false);\x0a"
"    memset(\x26mbs, 0, sizeof mbs);\x0a"
"    const char* nul3 = \x22\x5cxE0\x5cx80\x5cx80\x22;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26nul3\x5b""0\x5d;\x0a"
"    chrrem = 3;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs) == false);\x0a"
"    memset(\x26mbs, 0, sizeof mbs);\x0a"
"    const char* nul4 = \x22\x5cxF0\x5cx80\x5cx80\x5cx80\x22;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26nul4\x5b""0\x5d;\x0a"
"    chrrem = 4;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs) == false);\x0a"
"\x0a"
"    // Starting on a continuation\x0a"
"    const char* cont = \x22\x5cx80\x22;\x0a"
"    c32ptr = \x26""c32out\x5b""0\x5d;\x0a"
"    c32rem = 8;\x0a"
"    chrptr = \x26""cont\x5b""0\x5d;\x0a"
"    chrrem = 1;\x0a"
"    TESTCASE(utf8toc32(\x26""c32ptr, \x26""c32rem, \x26""chrptr, \x26""chrrem, \x26mbs) == false);\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 8298 ); }