#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc__PDCLIB_stubs_cpp( 
"#include <stdlib.h>\x0a"
"#include <stdio.h>\x0a"
"#include <limits.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <string.h>\x0a"
"#include <wchar.h>\x0a"
"#include <netdb.h>\x0a"
"#include <pwd.h>\x0a"
"#include <unistd.h>\x0a"
"#include <grp.h>\x0a"
"#include <signal.h>\x0a"
"#include <sys/ioctl.h>\x0a"
"#include <sys/select.h>\x0a"
"#include <sys/socket.h>\x0a"
"#include <sys/resource.h>\x0a"
"#include <sys/uio.h>\x0a"
"#include <netinet/in.h>\x0a"
"\x0a"
"#include <sys/divm.h>\x0a"
"#include <sys/fault.h>\x0a"
"#include <dios.h>\x0a"
"#include <_PDCLIB/locale.h>\x0a"
"#include <_PDCLIB/cdefs.h>\x0a"
"\x0a"
"#include <sys/time.h>\x0a"
"#include <time.h>\x0a"
"\x0a"
"extern \x22""C\x22 {\x0a"
"\x0a"
"#define NOT_IMPLEMENTED { __dios_fault( _VM_F_NotImplemented, \x22libc stubs\x22 ); return 0; }\x0a"
"\x0a"
"double atof( const char * ) noexcept NOT_IMPLEMENTED;\x0a"
"double strtod( const char *, char ** ) noexcept NOT_IMPLEMENTED;\x0a"
"float strtof( const char *, char ** ) noexcept NOT_IMPLEMENTED;\x0a"
"long double strtold( const char *, char ** ) noexcept NOT_IMPLEMENTED;\x0a"
"size_t mbsrtowcs( wchar_t *, const char **, size_t, mbstate_t * ) NOT_IMPLEMENTED;\x0a"
"size_t mbstowcs( wchar_t *, const char *, size_t ) NOT_IMPLEMENTED;\x0a"
"size_t wcstombs( char *, const wchar_t *, size_t ) NOT_IMPLEMENTED;\x0a"
"wint_t btowc( int ) NOT_IMPLEMENTED;\x0a"
"int wctob( wint_t ) NOT_IMPLEMENTED;\x0a"
"size_t wcsnrtombs( char *, const wchar_t **, size_t, size_t, mbstate_t * ) NOT_IMPLEMENTED;\x0a"
"size_t mbsnrtowcs( wchar_t *, const char **, size_t, size_t, mbstate_t * ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int wctomb( char *, wchar_t ) NOT_IMPLEMENTED;\x0a"
"size_t mbrlen( const char *, size_t, mbstate_t * ) NOT_IMPLEMENTED;\x0a"
"wchar_t *wmemset( wchar_t *, wchar_t, size_t ) NOT_IMPLEMENTED;\x0a"
"long wcstol( const wchar_t *, wchar_t **, int ) NOT_IMPLEMENTED;\x0a"
"long long wcstoll( const wchar_t *, wchar_t **, int ) NOT_IMPLEMENTED;\x0a"
"unsigned long wcstoul( const wchar_t *, wchar_t **, int ) NOT_IMPLEMENTED;\x0a"
"unsigned long long wcstoull( const wchar_t *, wchar_t **, int ) NOT_IMPLEMENTED;\x0a"
"double wcstod( const wchar_t *, wchar_t ** ) NOT_IMPLEMENTED;\x0a"
"float wcstof( const wchar_t *, wchar_t ** ) NOT_IMPLEMENTED;\x0a"
"long double wcstold( const wchar_t *, wchar_t ** ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int wprintf( const wchar_t *, ... ) NOT_IMPLEMENTED;\x0a"
"int fwprintf( FILE *, const wchar_t *, ... ) NOT_IMPLEMENTED;\x0a"
"int swprintf( wchar_t *, size_t, const wchar_t *, ... ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int vwprintf( const wchar_t *, va_list ) NOT_IMPLEMENTED;\x0a"
"int vfwprintf( FILE *, const wchar_t *, va_list ) NOT_IMPLEMENTED;\x0a"
"int vswprintf( wchar_t *, size_t, const wchar_t *, va_list ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int getgroups(int gidsetsize, gid_t grouplist\x5b\x5d) NOT_IMPLEMENTED;\x0a"
"struct hostent* gethostbyname(const char *) NOT_IMPLEMENTED;\x0a"
"const char *inet_ntop(int, const void *, char *, socklen_t) NOT_IMPLEMENTED;\x0a"
"int inet_pton(int, const char *src, void *dst) NOT_IMPLEMENTED;\x0a"
"\x0a"
"struct passwd* getpwnam(const char *) NOT_IMPLEMENTED;\x0a"
"uid_t geteuid( void ) NOT_IMPLEMENTED;\x0a"
"gid_t getegid( void ) NOT_IMPLEMENTED;\x0a"
"gid_t getgid( void ) NOT_IMPLEMENTED;\x0a"
"uid_t getuid( void ) NOT_IMPLEMENTED;\x0a"
"int\x09ioctl(int, unsigned long, ...) NOT_IMPLEMENTED;\x0a"
"\x0a"
"struct group *getgrnam(const char *name) NOT_IMPLEMENTED;\x0a"
"struct group *getgrent( void ) NOT_IMPLEMENTED;\x0a"
"struct group *getgrgid(gid_t gid) NOT_IMPLEMENTED;\x0a"
"struct passwd* getpwuid(uid_t) NOT_IMPLEMENTED;\x0a"
"void setgrent( void ) { __dios_fault( _VM_F_NotImplemented, \x22setgrent\x22 ); }\x0a"
"void endgrent( void ) { __dios_fault( _VM_F_NotImplemented, \x22""endgrent\x22 ); }\x0a"
"\x0a"
"int fchown( int fildes, uid_t owner, gid_t group ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"clock_t times( struct tms * ) NOT_IMPLEMENTED;\x0a"
"void utime( const char *path, const struct utimbuf *times ) { __dios_fault( _VM_F_NotImplemented, \x22utime\x22 ); };\x0a"
"int utimes( const char *filename, const struct timeval times\x5b""2\x5d ) { __dios_fault( _VM_F_NotImplemented, \x22utimes\x22 ); };\x0a"
"\x0a"
"void *dlsym( void *, void * ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int sigprocmask(int how, const sigset_t *set, sigset_t *oldset) NOT_IMPLEMENTED;\x0a"
"int pthread_sigmask(int how, const sigset_t *set, sigset_t *oldset) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int mbtowc( wchar_t *, const char *s, size_t )\x0a"
"{\x0a"
"    if ( s )/* not stateless */\x0a"
"        __dios_fault( _VM_F_NotImplemented, \x22mbtowc\x22 );\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int chown(const char* /*path*/, uid_t /*owner*/, gid_t /*group*/) NOT_IMPLEMENTED;\x0a"
"\x0a"
"FILE *setmntent (const char *__file, const char *__mode) NOT_IMPLEMENTED;\x0a"
"struct mntent *getmntent (FILE *__stream) NOT_IMPLEMENTED;\x0a"
"int addmntent (FILE *__restrict __stream, const struct mntent *__restrict __mnt) NOT_IMPLEMENTED;\x0a"
"int endmntent (FILE *__stream) NOT_IMPLEMENTED;\x0a"
"char *hasmntopt (const struct mntent *__mnt, const char *__opt) NOT_IMPLEMENTED;\x0a"
"\x0a"
"size_t __fbufsize (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"int __freading (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"int __fwriting (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"int __freadable (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"int __fwritable (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"int __flbf (FILE *__fp) NOT_IMPLEMENTED;\x0a"
"void __fpurge (FILE *__fp) { __dios_fault( _VM_F_NotImplemented, \x22__fpurge\x22 ); }\x0a"
"int __fsetlocking (FILE *__fp, int __type) NOT_IMPLEMENTED;\x0a"
"\x0a"
"size_t __freadahead(FILE *) NOT_IMPLEMENTED;\x0a"
"const char *__freadptr(FILE *, size_t *) NOT_IMPLEMENTED;\x0a"
"void __freadptrinc(FILE *, size_t) { __dios_fault( _VM_F_NotImplemented, \x22__freadptrinc\x22 ); }\x0a"
"void __fseterr(FILE *) { __dios_fault( _VM_F_NotImplemented, \x22__fseterr\x22 ); }\x0a"
"\x0a"
"int execvp( const char *file, char *const argv\x5b\x5d ) NOT_IMPLEMENTED;\x0a"
"int execlp( const char *file, const char *arg, ... ) NOT_IMPLEMENTED;\x0a"
"int execl( const char *file, const char *arg, ... ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"int select(int, fd_set *, fd_set *, fd_set *, struct timeval *timeout) NOT_IMPLEMENTED;\x0a"
"\x0a"
"long sysconf( int ) NOT_IMPLEMENTED;\x0a"
"int nice( int ) NOT_IMPLEMENTED;\x0a"
"int gethostname( char *, size_t ) NOT_IMPLEMENTED;\x0a"
"int getaddrinfo(const char *, const char *, const struct addrinfo *, struct addrinfo **) NOT_IMPLEMENTED;\x0a"
"void freeaddrinfo(struct addrinfo *) { __dios_fault( _VM_F_NotImplemented, \x22""freeaddrinfo\x22 ); }\x0a"
"void *mmap(void *addr, size_t len, int prot, int flags, int fd, off_t offset) NOT_IMPLEMENTED;\x0a"
"int munmap(void *addr, size_t len) NOT_IMPLEMENTED;\x0a"
"int munlockall() NOT_IMPLEMENTED;\x0a"
"int mlockall( int ) NOT_IMPLEMENTED;\x0a"
"unsigned alarm( unsigned ) NOT_IMPLEMENTED;\x0a"
"char *getlogin() NOT_IMPLEMENTED;\x0a"
"\x0a"
"int mkstemp( char * ) NOT_IMPLEMENTED;\x0a"
"int mkostemp( char *, int ) NOT_IMPLEMENTED;\x0a"
"char *mkdtemp( char * ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"long fpathconf( int, int ) NOT_IMPLEMENTED;\x0a"
"long pathconf( const char *, int ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"FILE *popen( const char *command, const char *type ) { __dios_fault( _VM_F_NotImplemented, \x22popen\x22 ); }\x0a"
"int pclose( FILE* stream ) { __dios_fault( _VM_F_NotImplemented, \x22pclose\x22 ); }\x0a"
"\x0a"
"const char *gai_strerror(int) NOT_IMPLEMENTED;\x0a"
"int getrusage( int who, struct rusage *r_usage ) { __dios_fault( _VM_F_NotImplemented, \x22getrusage\x22 ); }\x0a"
"extern int getsockopt( int fd, int level, int optname, void *optval, socklen_t *optlen ) NOT_IMPLEMENTED;\x0a"
"extern int setsockopt( int fd, int level, int optname, const void *optval, socklen_t optlen ) NOT_IMPLEMENTED;\x0a"
"\x0a"
"ssize_t writev(int fildes, const struct iovec *iov, int iovcnt) NOT_IMPLEMENTED;\x0a"
"ssize_t readv(int fildes, const struct iovec *iov, int iovcnt) NOT_IMPLEMENTED;\x0a"
"\x0a"
"}\x0a"
"", 7003 ); }