#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_net_getservent_c( 
"/*\x09\x24OpenBSD\x3a getservent.c,v 1.15 2015/09/14 07\x3a""38\x3a""38 guenther Exp \x24 */\x0a"
"/*\x0a"
" * Copyright (c) 1983, 1993\x0a"
" *\x09The Regents of the University of California.  All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" * 3. Neither the name of the University nor the names of its contributors\x0a"
" *    may be used to endorse or promote products derived from this software\x0a"
" *    without specific prior written permission.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/socket.h>\x0a"
"\x0a"
"#include <errno.h>\x0a"
"#include <limits.h>\x0a"
"#include <netdb.h>\x0a"
"#include <stdio.h>\x0a"
"#include <string.h>\x0a"
"#include <stdlib.h>\x0a"
"#include <endian.h>\x0a"
"\x0a"
"void\x0a"
"setservent_r(int f, struct servent_data *sd)\x0a"
"{\x0a"
"\x09if (sd->fp == NULL)\x0a"
"\x09\x09sd->fp = fopen(_PATH_SERVICES, \x22re\x22 );\x0a"
"\x09""else\x0a"
"\x09\x09rewind(sd->fp);\x0a"
"\x09sd->stayopen \x7c= f;\x0a"
"}\x0a"
"//DEF_WEAK(setservent_r);\x0a"
"\x0a"
"void\x0a"
"endservent_r(struct servent_data *sd)\x0a"
"{\x0a"
"\x09if (sd->fp) {\x0a"
"\x09\x09""fclose(sd->fp);\x0a"
"\x09\x09sd->fp = NULL;\x0a"
"\x09}\x0a"
"\x09""free(sd->aliases);\x0a"
"\x09sd->aliases = NULL;\x0a"
"\x09sd->maxaliases = 0;\x0a"
"\x09""free(sd->line);\x0a"
"\x09sd->line = NULL;\x0a"
"\x09sd->stayopen = 0;\x0a"
"}\x0a"
"//DEF_WEAK(endservent_r);\x0a"
"\x0a"
"int\x0a"
"getservent_r(struct servent *se, struct servent_data *sd)\x0a"
"{\x0a"
"\x09""char *p, *cp, **q, *endp;\x0a"
"\x09size_t len;\x0a"
"\x09long l;\x0a"
"\x09int serrno;\x0a"
"\x0a"
"\x09if (sd->fp == NULL \x26\x26 (sd->fp = fopen(_PATH_SERVICES, \x22re\x22 )) == NULL)\x0a"
"\x09\x09return (-1);\x0a"
"again\x3a\x0a"
"\x09if ((p = fgetln(sd->fp, \x26len)) == NULL)\x0a"
"\x09\x09return (-1);\x0a"
"\x09if (len == 0 \x7c\x7c *p == '#' \x7c\x7c *p == '\x5cn')\x0a"
"\x09\x09goto again;\x0a"
"\x09if (p\x5blen-1\x5d == '\x5cn')\x0a"
"\x09\x09len--;\x0a"
"\x09if ((cp = memchr(p, '#', len)) \x21= NULL)\x0a"
"\x09\x09len = cp - p;\x0a"
"\x09""cp = realloc(sd->line, len + 1);\x0a"
"\x09if (cp == NULL)\x0a"
"\x09\x09return (-1);\x0a"
"\x09sd->line = se->s_name = memcpy(cp, p, len);\x0a"
"\x09""cp\x5blen\x5d = '\x5c""0';\x0a"
"\x09p = strpbrk(cp, \x22 \x5ct\x22);\x0a"
"\x09if (p == NULL)\x0a"
"\x09\x09goto again;\x0a"
"\x09*p++ = '\x5c""0';\x0a"
"\x09while (*p == ' ' \x7c\x7c *p == '\x5ct')\x0a"
"\x09\x09p++;\x0a"
"\x09""cp = strpbrk(p, \x22,/\x22);\x0a"
"\x09if (cp == NULL)\x0a"
"\x09\x09goto again;\x0a"
"\x09*cp++ = '\x5c""0';\x0a"
"\x09l = strtol(p, \x26""endp, 10);\x0a"
"\x09if (endp == p \x7c\x7c *endp \x21= '\x5c""0' \x7c\x7c l < 0 \x7c\x7c l > USHRT_MAX)\x0a"
"\x09\x09goto again;\x0a"
"\x09se->s_port = htons((in_port_t)l);\x0a"
"\x09se->s_proto = cp;\x0a"
"\x09if (sd->aliases == NULL) {\x0a"
"\x09\x09sd->maxaliases = 10;\x0a"
"\x09\x09sd->aliases = calloc(sd->maxaliases, sizeof(char *));\x0a"
"\x09\x09if (sd->aliases == NULL) {\x0a"
"\x09\x09\x09serrno = errno;\x0a"
"\x09\x09\x09""endservent_r(sd);\x0a"
"\x09\x09\x09""errno = serrno;\x0a"
"\x09\x09\x09return (-1);\x0a"
"\x09\x09}\x0a"
"\x09}\x0a"
"\x09q = se->s_aliases = sd->aliases;\x0a"
"\x09""cp = strpbrk(cp, \x22 \x5ct\x22);\x0a"
"\x09if (cp \x21= NULL)\x0a"
"\x09\x09*cp++ = '\x5c""0';\x0a"
"\x09while (cp \x26\x26 *cp) {\x0a"
"\x09\x09if (*cp == ' ' \x7c\x7c *cp == '\x5ct') {\x0a"
"\x09\x09\x09""cp++;\x0a"
"\x09\x09\x09""continue;\x0a"
"\x09\x09}\x0a"
"\x09\x09if (q == \x26se->s_aliases\x5bsd->maxaliases - 1\x5d) {\x0a"
"\x09\x09\x09p = reallocarray(se->s_aliases, sd->maxaliases,\x0a"
"\x09\x09\x09    2 * sizeof(char *));\x0a"
"\x09\x09\x09if (p == NULL) {\x0a"
"\x09\x09\x09\x09serrno = errno;\x0a"
"\x09\x09\x09\x09""endservent_r(sd);\x0a"
"\x09\x09\x09\x09""errno = serrno;\x0a"
"\x09\x09\x09\x09return (-1);\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09sd->maxaliases *= 2;\x0a"
"\x09\x09\x09q = (char **)p + (q - se->s_aliases);\x0a"
"\x09\x09\x09se->s_aliases = sd->aliases = (char **)p;\x0a"
"\x09\x09}\x0a"
"\x09\x09*q++ = cp;\x0a"
"\x09\x09""cp = strpbrk(cp, \x22 \x5ct\x22);\x0a"
"\x09\x09if (cp \x21= NULL)\x0a"
"\x09\x09\x09*cp++ = '\x5c""0';\x0a"
"\x09}\x0a"
"\x09*q = NULL;\x0a"
"\x09return (0);\x0a"
"}\x0a"
"//DEF_WEAK(getservent_r);\x0a"
"\x0a"
"struct servent_data _servent_data;\x09/* shared with getservby{name,port}.c */\x0a"
"\x0a"
"void\x0a"
"setservent(int f)\x0a"
"{\x0a"
"\x09setservent_r(f, \x26_servent_data);\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"endservent(void)\x0a"
"{\x0a"
"\x09""endservent_r(\x26_servent_data);\x0a"
"}\x0a"
"\x0a"
"struct servent *\x0a"
"getservent(void)\x0a"
"{\x0a"
"\x09static struct servent serv;\x0a"
"\x0a"
"\x09if (getservent_r(\x26serv, \x26_servent_data) \x21= 0)\x0a"
"\x09\x09return (NULL);\x0a"
"\x09return (\x26serv);\x0a"
"}\x0a"
"", 4382 ); }