#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_nl_types_catclose_c( 
"/*\x09\x24OpenBSD\x3a catclose.c,v 1.8 2015/09/05 11\x3a""25\x3a""30 guenther Exp \x24 */\x0a"
"/*-\x0a"
" * Copyright (c) 1996 The NetBSD Foundation, Inc.\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * This code is derived from software contributed to The NetBSD Foundation\x0a"
" * by J.T. Conklin.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\x0a"
" * \x60\x60""AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\x0a"
" * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\x0a"
" * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE\x0a"
" * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\x0a"
" * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\x0a"
" * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\x0a"
" * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\x0a"
" * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\x0a"
" * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\x0a"
" * POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#define _NLS_PRIVATE\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <sys/mman.h>\x0a"
"#include <errno.h>\x0a"
"#include <nl_types.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"int\x0a"
"catclose(nl_catd catd)\x0a"
"{\x0a"
"\x09if (catd == (nl_catd) -1) {\x0a"
"\x09\x09""errno = EBADF;\x0a"
"\x09\x09return -1;\x0a"
"\x09}\x0a"
"\x09\x0a"
"\x09if (catd) {\x0a"
"\x09\x09munmap(catd->__data, catd->__size);\x0a"
"\x09\x09""free (catd);\x0a"
"\x09}\x0a"
"\x0a"
"\x09return 0;\x0a"
"}\x0a"
"", 1859 ); }