#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_pthread_pthread_once_cpp( 
"// -*- C++ -*- (c) 2013 Milan Lenco <lencomilan\x40gmail.com>\x0a"
"//             (c) 2014-2018 Vladim\xc3\xadr \xc5\xa0till <xstill\x40""fi.muni.cz>\x0a"
"//             (c) 2016 Henrich Lauko <xlauko\x40""fi.muni.cz>\x0a"
"//             (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"\x0a"
"/* Includes */\x0a"
"#include <sys/thread.h>\x0a"
"\x0a"
"/* Once-only execution */\x0a"
"/*\x0a"
"  pthread_once_t representation (extends pthread_mutex_t)\x3a\x0a"
"  --------------------------------------------------------------------------------\x0a"
" \x7c *free* \x7c should be init_routine called\x3f\x3a 1bit \x7c < pthread_mutex_t (27 bits) > \x7c\x0a"
"  --------------------------------------------------------------------------------\x0a"
"  */\x0a"
"\x0a"
"int pthread_once( pthread_once_t *once_control, void ( *init_routine )( void ) )\x0a"
"{\x0a"
"    if ( once_control->__mtx.__once == 0 )\x0a"
"        return 0;\x0a"
"\x0a"
"    pthread_mutex_lock( \x26once_control->__mtx );\x0a"
"\x0a"
"    if ( once_control->__mtx.__once ) {\x0a"
"        init_routine();\x0a"
"        once_control->__mtx.__once = 0;\x0a"
"    }\x0a"
"\x0a"
"    pthread_mutex_unlock( \x26once_control->__mtx );\x0a"
"\x0a"
"    return 0;\x0a"
"}\x0a"
"", 998 ); }