#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_signal_signal_c( 
"/* signal( int sig, void (*func)( int ) )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <signal.h>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"void (*_PDCLIB_sigabrt)( int ) = SIG_DFL;\x0a"
"void (*_PDCLIB_sigfpe)( int )  = SIG_DFL;\x0a"
"void (*_PDCLIB_sigill)( int )  = SIG_DFL;\x0a"
"void (*_PDCLIB_sigint)( int )  = SIG_DFL;\x0a"
"void (*_PDCLIB_sigsegv)( int ) = SIG_DFL;\x0a"
"void (*_PDCLIB_sigterm)( int ) = SIG_DFL;\x0a"
"\x0a"
"void (*signal( int sig, void (*func)( int ) ) )( int )\x0a"
"{\x0a"
"    void (*oldhandler)( int );\x0a"
"    if ( sig <= 0 \x7c\x7c func == SIG_ERR )\x0a"
"    {\x0a"
"        return SIG_ERR;\x0a"
"    }\x0a"
"    switch ( sig )\x0a"
"    {\x0a"
"        case SIGABRT\x3a\x0a"
"            oldhandler = _PDCLIB_sigabrt;\x0a"
"            _PDCLIB_sigabrt = func;\x0a"
"            break;\x0a"
"        case SIGFPE\x3a\x0a"
"            oldhandler = _PDCLIB_sigfpe;\x0a"
"            _PDCLIB_sigfpe = func;\x0a"
"            break;\x0a"
"        case SIGILL\x3a\x0a"
"            oldhandler = _PDCLIB_sigill;\x0a"
"            _PDCLIB_sigill = func;\x0a"
"            break;\x0a"
"        case SIGINT\x3a\x0a"
"            oldhandler = _PDCLIB_sigint;\x0a"
"            _PDCLIB_sigint = func;\x0a"
"            break;\x0a"
"        case SIGSEGV\x3a\x0a"
"            oldhandler = _PDCLIB_sigsegv;\x0a"
"            _PDCLIB_sigsegv = func;\x0a"
"            break;\x0a"
"        case SIGTERM\x3a\x0a"
"            oldhandler = _PDCLIB_sigterm;\x0a"
"            _PDCLIB_sigterm = func;\x0a"
"            break;\x0a"
"        default\x3a\x0a"
"            errno = EINVAL;\x0a"
"            return SIG_ERR;\x0a"
"    }\x0a"
"    return oldhandler;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by raise.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1626 ); }