#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__PDCLIB_fillbuffer_c( 
"/* _PDCLIB_fillbuffer( FILE * stream )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/glue.h\x22\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int _PDCLIB_fillbuffer( FILE * stream )\x0a"
"{\x0a"
"    size_t bytesRead;\x0a"
"    bool ok = stream->ops->read( stream->handle, stream->buffer, stream->bufsize,\x0a"
"                        \x26""bytesRead);\x0a"
"\x0a"
"    if( ok ) {\x0a"
"        if( bytesRead == 0 ) {\x0a"
"            stream->status \x7c= _PDCLIB_EOFFLAG;\x0a"
"            return EOF;\x0a"
"        }\x0a"
"        stream->pos.offset += bytesRead;\x0a"
"        stream->bufend = bytesRead;\x0a"
"        stream->bufidx = 0;\x0a"
"        return 0;\x0a"
"    } else {\x0a"
"        stream->status \x7c= _PDCLIB_ERRORFLAG;\x0a"
"        return EOF;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 925 ); }