#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__PDCLIB_ftell64_c( 
"/* _PDCLIB_ftell64( FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdint.h>\x0a"
"#include <limits.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"uint_fast64_t _PDCLIB_ftell64_unlocked( FILE * stream )\x0a"
"{\x0a"
"    /* ftell() must take into account\x3a\x0a"
"       - the actual *physical* offset of the file, i.e. the offset as recognized\x0a"
"         by the operating system (and stored in stream->pos.offset); and\x0a"
"       - any buffers held by PDCLib, which\x0a"
"         - in case of unwritten buffers, count in *addition* to the offset; or\x0a"
"         - in case of unprocessed pre-read buffers, count in *substraction* to\x0a"
"           the offset. (Remember to count ungetidx into this number.)\x0a"
"       Conveniently, the calculation ( ( bufend - bufidx ) + ungetidx ) results\x0a"
"       in just the right number in both cases\x3a\x0a"
"         - in case of unwritten buffers, ( ( 0 - unwritten ) + 0 )\x0a"
"           i.e. unwritten bytes as negative number\x0a"
"         - in case of unprocessed pre-read, ( ( preread - processed ) + unget )\x0a"
"           i.e. unprocessed bytes as positive number.\x0a"
"       That is how the somewhat obscure return-value calculation works.\x0a"
"    */\x0a"
"\x0a"
"    /* ungetc on a stream at offset==0 will cause an overflow to UINT64_MAX.\x0a"
"     * C99/C11 says that the return value of ftell in this case is \x0a"
"     * \x22indeterminate\x22\x0a"
"     */\x0a"
"\x0a"
"    return ( stream->pos.offset - ( ( (int)stream->bufend - (int)stream->bufidx ) + (int)stream->ungetidx ) );\x0a"
"}\x0a"
"\x0a"
"uint_fast64_t _PDCLIB_ftell64( FILE * stream )\x0a"
"{\x0a"
"  _PDCLIB_flockfile( stream );\x0a"
"  uint_fast64_t pos = _PDCLIB_ftell64_unlocked( stream );\x0a"
"  _PDCLIB_funlockfile( stream );\x0a"
"  return pos;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Tested by ftell */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1878 ); }