#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio__PDCLIB_seek_c( 
"/* int64_t _PDCLIB_seek( FILE *, int64_t, int )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdint.h>\x0a"
"#include <errno.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int_fast64_t _PDCLIB_seek( FILE * stream, \x0a"
"                           int_fast64_t offset, \x0a"
"                           int whence )\x0a"
"{\x0a"
"    int_fast64_t newPos;\x0a"
"    if(\x21stream->ops->seek(stream->handle, offset, whence, \x26newPos)) {\x0a"
"        return EOF;\x0a"
"    }\x0a"
"\x0a"
"    stream->ungetidx = 0;\x0a"
"    stream->bufidx = 0;\x0a"
"    stream->bufend = 0;\x0a"
"    stream->pos.offset = newPos;\x0a"
"    return newPos;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 810 ); }