#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fgetpos_c( 
"/* fgetpos( FILE * , fpos_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int _PDCLIB_fgetpos_unlocked( FILE * _PDCLIB_restrict stream, _PDCLIB_fpos_t * _PDCLIB_restrict pos )\x0a"
"{\x0a"
"    pos->offset = stream->pos.offset + stream->bufidx - stream->ungetidx;\x0a"
"    pos->mbs    = stream->pos.mbs;\x0a"
"    /* TODO\x3a Add mbstate. */\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int fgetpos( FILE * _PDCLIB_restrict stream, _PDCLIB_fpos_t * _PDCLIB_restrict pos )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int res = _PDCLIB_fgetpos_unlocked( stream, pos );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return res;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <string.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    fpos_t pos1, pos2;\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    TESTCASE( fgetpos( fh, \x26pos1 ) == 0 );\x0a"
"    TESTCASE( fwrite( teststring, 1, strlen( teststring ), fh ) == strlen( teststring ) );\x0a"
"    TESTCASE( (size_t)ftell( fh ) == strlen( teststring ) );\x0a"
"    TESTCASE( fgetpos( fh, \x26pos2 ) == 0 );\x0a"
"    TESTCASE( fsetpos( fh, \x26pos1 ) == 0 );\x0a"
"    TESTCASE( ftell( fh ) == 0 );\x0a"
"    TESTCASE( fsetpos( fh, \x26pos2 ) == 0 );\x0a"
"    TESTCASE( (size_t)ftell( fh ) == strlen( teststring ) );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1377 ); }