#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fgets_c( 
"/* fgets( char *, int, FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"char * fgets_unlocked( char * _PDCLIB_restrict s, int size, FILE * _PDCLIB_restrict stream )\x0a"
"{\x0a"
"    if ( size == 0 )\x0a"
"    {\x0a"
"        return NULL;\x0a"
"    }\x0a"
"    if ( size == 1 )\x0a"
"    {\x0a"
"        *s = '\x5c""0';\x0a"
"        return s;\x0a"
"    }\x0a"
"    if ( _PDCLIB_prepread( stream ) == EOF )\x0a"
"    {\x0a"
"        return NULL;\x0a"
"    }\x0a"
"    char * dest = s;\x0a"
"\x0a"
"    dest += _PDCLIB_getchars( dest, size - 1, '\x5cn', stream );\x0a"
"\x0a"
"    *dest = '\x5c""0';\x0a"
"    return ( dest == s ) \x3f NULL \x3a s;\x0a"
"}\x0a"
"\x0a"
"char * fgets( char * _PDCLIB_restrict s, int size, \x0a"
"              FILE * _PDCLIB_restrict stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    char* r = fgets_unlocked( s, size, stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <string.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    char buffer\x5b""10\x5d;\x0a"
"    char const * fgets_test = \x22""foo\x5cnbar\x5c""0baz\x5cnweenie\x22;\x0a"
"    TESTCASE( ( fh = fopen( testfile, \x22wb+\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fwrite( fgets_test, 1, 18, fh ) == 18 );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( fgets( buffer, 10, fh ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22""foo\x5cn\x22 ) == 0 );\x0a"
"    TESTCASE( fgets( buffer, 10, fh ) == buffer );\x0a"
"    TESTCASE( memcmp( buffer, \x22""bar\x5c""0baz\x5cn\x22, 8 ) == 0 );\x0a"
"    TESTCASE( fgets( buffer, 10, fh ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22weenie\x22 ) == 0 );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    TESTCASE( fseek( fh, -1, SEEK_END ) == 0 );\x0a"
"    TESTCASE( fgets( buffer, 1, fh ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22\x22 ) == 0 );\x0a"
"    TESTCASE( fgets( buffer, 0, fh ) == NULL );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    TESTCASE( fgets( buffer, 1, fh ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22\x22 ) == 0 );\x0a"
"    TESTCASE( \x21 feof( fh ) );\x0a"
"    TESTCASE( fgets( buffer, 2, fh ) == buffer );\x0a"
"    TESTCASE( strcmp( buffer, \x22""e\x22 ) == 0 );\x0a"
"    TESTCASE( fseek( fh, 0, SEEK_END ) == 0 );\x0a"
"    TESTCASE( fgets( buffer, 2, fh ) == NULL );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2221 ); }