#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_fscanf_c( 
"/* fscanf( FILE *, const char *, ... )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"int _PDCLIB_fscanf_unlocked( FILE * _PDCLIB_restrict stream, \x0a"
"                     const char * _PDCLIB_restrict format, ... )\x0a"
"{\x0a"
"    int rc;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    rc = _PDCLIB_vfscanf_unlocked( stream, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"int fscanf( FILE * _PDCLIB_restrict stream, \x0a"
"            const char * _PDCLIB_restrict format, ... )\x0a"
"{\x0a"
"    int rc;\x0a"
"    va_list ap;\x0a"
"    va_start( ap, format );\x0a"
"    rc = vfscanf( stream, format, ap );\x0a"
"    va_end( ap );\x0a"
"    return rc;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/fscanf.c\x22\x0a"
"#define _PDCLIB_FILEIO\x0a"
"\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#define testscanf( stream, format, ... ) fscanf( stream, format, __VA_ARGS__ )\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * source;\x0a"
"    TESTCASE( ( source = tmpfile() ) \x21= NULL );\x0a"
"#include \x22scanf_testcases.h\x22\x0a"
"    TESTCASE( fclose( source ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1152 ); }