#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_ftell_c( 
"/* ftell( FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdint.h>\x0a"
"#include <limits.h>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"long int _PDCLIB_ftell_unlocked( FILE * stream )\x0a"
"{\x0a"
"    uint_fast64_t off64 = _PDCLIB_ftell64_unlocked( stream );\x0a"
"\x0a"
"    if ( off64 > LONG_MAX )\x0a"
"    {\x0a"
"        /* integer overflow */\x0a"
"        errno = ERANGE;\x0a"
"        return -1;\x0a"
"    }\x0a"
"    return off64;\x0a"
"}\x0a"
"\x0a"
"long int ftell( FILE * stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    long int off = _PDCLIB_ftell_unlocked( stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return off;\x0a"
"}\x0a"
"\x0a"
"off_t ftello( FILE * stream )\x0a"
"{\x0a"
"    return ftell( stream );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"#include <stdlib.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#endif\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing all the basic I/O functions individually would result in lots\x0a"
"       of duplicated code, so I took the liberty of lumping it all together\x0a"
"       here.\x0a"
"    */\x0a"
"    /* The following functions delegate their tests to here\x3a\x0a"
"       fgetc fflush rewind fputc ungetc fseek\x0a"
"       flushbuffer seek fillbuffer prepread prepwrite\x0a"
"    */\x0a"
"    char * buffer = (char*)malloc( 4 );\x0a"
"    FILE * fh;\x0a"
"    TESTCASE( ( fh = tmpfile() ) \x21= NULL );\x0a"
"    TESTCASE( setvbuf( fh, buffer, _IOLBF, 4 ) == 0 );\x0a"
"    /* Testing ungetc() at offset 0 */\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( ungetc( 'x', fh ) == 'x' );\x0a"
"    TESTCASE( ftell( fh ) == -1l );\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( ftell( fh ) == 0l );\x0a"
"    /* Commence \x22normal\x22 tests */\x0a"
"    TESTCASE( fputc( '1', fh ) == '1' );\x0a"
"    TESTCASE( fputc( '2', fh ) == '2' );\x0a"
"    TESTCASE( fputc( '3', fh ) == '3' );\x0a"
"    /* Positions incrementing as expected\x3f */\x0a"
"    TESTCASE( ftell( fh ) == 3l );\x0a"
"    TESTCASE_NOREG( fh->pos.offset == 0l );\x0a"
"    TESTCASE_NOREG( fh->bufidx == 3l );\x0a"
"    /* Buffer properly flushed when full\x3f */\x0a"
"    TESTCASE( fputc( '4', fh ) == '4' );\x0a"
"    TESTCASE_NOREG( fh->pos.offset == 4l );\x0a"
"    TESTCASE_NOREG( fh->bufidx == 0 );\x0a"
"    /* fflush() resetting positions as expected\x3f */\x0a"
"    TESTCASE( fputc( '5', fh ) == '5' );\x0a"
"    TESTCASE( fflush( fh ) == 0 );\x0a"
"    TESTCASE( ftell( fh ) == 5l );\x0a"
"    TESTCASE_NOREG( fh->pos.offset == 5l );\x0a"
"    TESTCASE_NOREG( fh->bufidx == 0l );\x0a"
"    /* rewind() resetting positions as expected\x3f */\x0a"
"    rewind( fh );\x0a"
"    TESTCASE( ftell( fh ) == 0l );\x0a"
"    TESTCASE_NOREG( fh->pos.offset == 0 );\x0a"
"    TESTCASE_NOREG( fh->bufidx == 0 );\x0a"
"    /* Reading back first character after rewind for basic read check */\x0a"
"    TESTCASE( fgetc( fh ) == '1' );\x0a"
"    /* TODO\x3a t.b.c. */\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 2708 ); }