#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_ftrylockfile_c( 
"/* ftrylockfile( FILE * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <threads.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"int _PDCLIB_ftrylockfile( FILE * file )\x0a"
"{\x0a"
"    int res = mtx_trylock( \x26""file->lock );\x0a"
"    switch(res) {\x0a"
"        case thrd_success\x3a\x0a"
"            return 0;\x0a"
"        case thrd_busy\x3a\x0a"
"            return 1;\x0a"
"\x0a"
"        default\x3a\x0a"
"            abort();\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    // Not tested here - tested by other stdio test drivers\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 693 ); }