#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_getline_c( 
"/* \x24Id\x24 */\x0a"
"\x0a"
"/* getline( char **lineptr, size_t *n, FILE *stream )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <_PDCLIB/io.h>\x0a"
"#include <stdint.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#define INIT_SIZE       10\x0a"
"\x0a"
"ssize_t _PDCLIB_getline_unlocked( char **lineptr, size_t *n, FILE *stream )\x0a"
"{\x0a"
"    if ( \x21lineptr )\x0a"
"        return -1;\x0a"
"\x0a"
"    if ( \x21(*lineptr) \x7c\x7c *n <= 1 )\x0a"
"    {\x0a"
"        *lineptr = realloc( *lineptr, INIT_SIZE );\x0a"
"        if ( \x21(*lineptr) )\x0a"
"            return -1;\x0a"
"        *n = INIT_SIZE;\x0a"
"    }\x0a"
"\x0a"
"    if ( _PDCLIB_prepread( stream ) == EOF )\x0a"
"    {\x0a"
"        return -1;\x0a"
"    }\x0a"
"\x0a"
"    char *dest = *lineptr;\x0a"
"    int read, tread = 0, nfree = *n;\x0a"
"\x0a"
"    do {\x0a"
"        read = _PDCLIB_getchars( dest, nfree - 1, '\x5cn', stream );\x0a"
"        tread += read;\x0a"
"        if ( ( read == nfree - 1 ) \x26\x26 ( dest\x5bread-1\x5d \x21= '\x5cn' ) ) {\x0a"
"            *lineptr = realloc( *lineptr, (*n) * 2 );\x0a"
"            if ( \x21(*lineptr) )\x0a"
"                return -1;\x0a"
"            nfree = *n + 1;\x0a"
"            *n = (*n) * 2;\x0a"
"            dest = *lineptr + tread;\x0a"
"        } else {\x0a"
"            dest\x5bread\x5d = '\x5c""0';\x0a"
"            break;\x0a"
"        }\x0a"
"    } while ( 1 );\x0a"
"\x0a"
"    return tread > 0 \x3f tread \x3a -1 ;\x0a"
"}\x0a"
"\x0a"
"ssize_t getline( char **lineptr, size_t *n, FILE *stream )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int read = _PDCLIB_getline_unlocked( lineptr, n, stream );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return read;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include <_PDCLIB_test.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * fh;\x0a"
"    char *buffer = malloc( 3 );\x0a"
"    size_t n = 3;\x0a"
"    char const * getline_test = \x22""foo\x5cnbar\x5c""0baz\x5cnweenie\x22;\x0a"
"    TESTCASE( ( fh = fopen( testfile, \x22wb\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( fwrite( getline_test, 1, 18, fh ) == 18 );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( ( fh = fopen( testfile, \x22r\x22 ) ) \x21= NULL );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh  ) == 4 );\x0a"
"    TESTCASE( strcmp( buffer, \x22""foo\x5cn\x22 ) == 0 );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh ) == 8 );\x0a"
"    TESTCASE( memcmp( buffer, \x22""bar\x5c""0baz\x5cn\x22, 8 ) == 0 );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh ) == 6 );\x0a"
"    TESTCASE( strcmp( buffer, \x22weenie\x22 ) == 0 );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh ) == -1 );\x0a"
"    TESTCASE( feof( fh ) );\x0a"
"    TESTCASE( fseek( fh, -7, SEEK_END ) == 0 );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh ) == 1 );\x0a"
"    TESTCASE( strcmp( buffer, \x22\x5cn\x22 ) == 0 );\x0a"
"    TESTCASE( fseek( fh, 0, SEEK_END ) == 0 );\x0a"
"    TESTCASE( getline( \x26""buffer, \x26n, fh ) == -1 );\x0a"
"    TESTCASE( fclose( fh ) == 0 );\x0a"
"    TESTCASE( remove( testfile ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 2627 ); }