#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_remove_c( 
"/* remove( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"/* This is an example implementation of remove() fit for use with POSIX kernels.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"#include <string.h>\x0a"
"#include <threads.h>\x0a"
"#include <_PDCLIB/glue.h>\x0a"
"#include <sys/syswrap.h>\x0a"
"\x0a"
"#include <unistd.h>\x0a"
"#include <sys/stat.h>\x0a"
"\x0a"
"extern FILE * _PDCLIB_filelist;\x0a"
"extern mtx_t _PDCLIB_filelist_lock;\x0a"
"\x0a"
"int remove( const char * pathname )\x0a"
"{\x0a"
"    FILE * current = _PDCLIB_filelist;\x0a"
"    mtx_lock( \x26_PDCLIB_filelist_lock );\x0a"
"    while ( current \x21= NULL )\x0a"
"    {\x0a"
"        if ( ( current->filename \x21= NULL ) \x26\x26 ( strcmp( current->filename, pathname ) == 0 ) )\x0a"
"        {\x0a"
"            mtx_unlock( \x26_PDCLIB_filelist_lock );\x0a"
"            return EOF;\x0a"
"        }\x0a"
"        current = current->next;\x0a"
"    }\x0a"
"    mtx_unlock( \x26_PDCLIB_filelist_lock );\x0a"
"\x0a"
"    struct stat st;\x0a"
"    int r = __libc_stat( pathname, \x26st );\x0a"
"    if ( r == 0 ) {\x0a"
"        if ( S_ISDIR( st.st_mode ) )\x0a"
"            return __libc_rmdir( pathname );\x0a"
"        return __libc_unlink( pathname );\x0a"
"    }\x0a"
"    return -1;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    /* Testing covered by ftell.c (and several others) */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"", 1329 ); }