#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdio_vfprintf_c( 
"/* vfprintf( FILE *, const char *, va_list )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <stdint.h>\x0a"
"#include <limits.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/io.h\x22\x0a"
"\x0a"
"static size_t filecb(void *p, const char *buf, size_t size)\x0a"
"{\x0a"
"    return fwrite_unlocked( buf, 1, size, (FILE*) p );\x0a"
"}\x0a"
"\x0a"
"int _PDCLIB_vfprintf_unlocked( FILE * _PDCLIB_restrict stream,\x0a"
"                       const char * _PDCLIB_restrict format,\x0a"
"                       va_list arg )\x0a"
"{\x0a"
"    return _vcbprintf(stream, filecb, format, arg);\x0a"
"}\x0a"
"\x0a"
"int vfprintf( FILE * _PDCLIB_restrict stream,\x0a"
"              const char * _PDCLIB_restrict format,\x0a"
"              va_list arg )\x0a"
"{\x0a"
"    _PDCLIB_flockfile( stream );\x0a"
"    int r = _PDCLIB_vfprintf_unlocked( stream, format, arg );\x0a"
"    _PDCLIB_funlockfile( stream );\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#define _PDCLIB_FILEID \x22stdio/vfprintf.c\x22\x0a"
"#define _PDCLIB_FILEIO\x0a"
"#include <stddef.h>\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"static int testprintf( FILE * stream, const char * format, ... )\x0a"
"{\x0a"
"    int i;\x0a"
"    va_list arg;\x0a"
"    va_start( arg, format );\x0a"
"    i = vfprintf( stream, format, arg );\x0a"
"    va_end( arg );\x0a"
"    return i;\x0a"
"}\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    FILE * target;\x0a"
"    TESTCASE( ( target = tmpfile() ) \x21= NULL );\x0a"
"#include \x22printf_testcases.h\x22\x0a"
"    TESTCASE( fclose( target ) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1441 ); }