#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_getenv_c( 
"/* getenv( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"/* This is an example implementation of getenv() fit for use with POSIX kernels.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"extern char ** environ;\x0a"
"\x0a"
"char * getenv( const char * name )\x0a"
"{\x0a"
"    if ( \x21name \x7c\x7c \x21""environ )\x0a"
"        return NULL;\x0a"
"\x0a"
"    size_t len = strlen( name );\x0a"
"    size_t index = 0;\x0a"
"    while ( environ\x5b index \x5d \x21= NULL )\x0a"
"    {\x0a"
"        if ( strncmp( environ\x5b index \x5d, name, len ) == 0 \x26\x26 environ\x5b index \x5d\x5b len \x5d == '=' )\x0a"
"        {\x0a"
"            return environ\x5b index \x5d + len + 1;\x0a"
"        }\x0a"
"        index++;\x0a"
"    }\x0a"
"    return NULL;\x0a"
"}\x0a"
"\x0a"
"char * __findenv( const char *name, int len, int *offset )\x0a"
"{\x0a"
"\x09int i;\x0a"
"\x09""const char *np;\x0a"
"\x09""char **p, *cp;\x0a"
"\x0a"
"\x09if (name == NULL \x7c\x7c environ == NULL)\x0a"
"\x09\x09return (NULL);\x0a"
"\x09""for (p = environ + *offset; (cp = *p) \x21= NULL; ++p) {\x0a"
"\x09\x09""for (np = name, i = len; i \x26\x26 *cp; i--)\x0a"
"\x09\x09\x09if (*cp++ \x21= *np++)\x0a"
"\x09\x09\x09\x09""break;\x0a"
"\x09\x09if (i == 0 \x26\x26 *cp++ == '=') {\x0a"
"\x09\x09\x09*offset = p - environ;\x0a"
"\x09\x09\x09return (cp);\x0a"
"\x09\x09}\x0a"
"\x09}\x0a"
"\x09return (NULL);\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( strcmp( getenv( \x22SHELL\x22 ), \x22/bin/bash\x22 ) == 0 );\x0a"
"    /* TESTCASE( strcmp( getenv( \x22SHELL\x22 ), \x22/bin/sh\x22 ) == 0 ); */\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1344 ); }