#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_stdlib_reallocarray_c( 
"/*\x09\x24OpenBSD\x3a reallocarray.c,v 1.3 2015/09/13 08\x3a""31\x3a""47 guenther Exp \x24\x09*/\x0a"
"/*\x0a"
" * Copyright (c) 2008 Otto Moerbeek <otto\x40""drijf.net>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <errno.h>\x0a"
"#include <stdint.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"/*\x0a"
" * This is sqrt(SIZE_MAX+1), as s1*s2 <= SIZE_MAX\x0a"
" * if both s1 < MUL_NO_OVERFLOW and s2 < MUL_NO_OVERFLOW\x0a"
" */\x0a"
"#define MUL_NO_OVERFLOW\x09((size_t)1 << (sizeof(size_t) * 4))\x0a"
"\x0a"
"void *\x0a"
"reallocarray(void *optr, size_t nmemb, size_t size)\x0a"
"{\x0a"
"\x09if ((nmemb >= MUL_NO_OVERFLOW \x7c\x7c size >= MUL_NO_OVERFLOW) \x26\x26\x0a"
"\x09    nmemb > 0 \x26\x26 SIZE_MAX / nmemb < size) {\x0a"
"\x09\x09""errno = ENOMEM;\x0a"
"\x09\x09return NULL;\x0a"
"\x09}\x0a"
"\x09return realloc(optr, size * nmemb);\x0a"
"}\x0a"
"//DEF_WEAK(reallocarray);\x0a"
"", 1389 ); }