#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_memmove_c( 
"/* memmove( void *, const void *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <stdint.h>\x0a"
"#include <sys/divm.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"__link_always __local_skipcfl\x0a"
"void * memmove( void * s1, const void * s2, size_t n )\x0a"
"{\x0a"
"    char *dest = ( char * ) s1;\x0a"
"    const char *src = ( const char * ) s2;\x0a"
"    if ( dest <= src ) {\x0a"
"        while ( ( uint64_t ) dest \x25 8 \x26\x26 ( uint64_t ) src \x25 8 \x26\x26 n ) {\x0a"
"            *dest++ = *src++;\x0a"
"            n--;\x0a"
"        }\x0a"
"\x0a"
"        uint64_t *src_l = ( uint64_t * ) src;\x0a"
"        uint64_t *dest_l = ( uint64_t * ) dest;\x0a"
"        while ( n >= sizeof( uint64_t ) ) {\x0a"
"            *dest_l++ = *src_l++;\x0a"
"            n -= sizeof( uint64_t );\x0a"
"        }\x0a"
"\x0a"
"        src = ( const char * ) src_l;\x0a"
"        dest = ( char *) dest_l;\x0a"
"        while ( n-- ) {\x0a"
"            *dest++ = *src++;\x0a"
"        }\x0a"
"\x0a"
"    } else {\x0a"
"        src += n;\x0a"
"        dest += n;\x0a"
"\x0a"
"        while ( ( uint64_t ) dest \x25 8 \x26\x26 ( uint64_t ) src \x25 8 \x26\x26 n ) {\x0a"
"            *--dest = *--src;\x0a"
"            n--;\x0a"
"        }\x0a"
"\x0a"
"        uint64_t *src_l = ( uint64_t * ) src;\x0a"
"        uint64_t *dest_l = ( uint64_t * ) dest;\x0a"
"        while ( n >= sizeof( uint64_t ) ) {\x0a"
"            *--dest_l = *--src_l;\x0a"
"            n -= sizeof( uint64_t );\x0a"
"        }\x0a"
"\x0a"
"        src = ( const char * ) src_l;\x0a"
"        dest = ( char *) dest_l;\x0a"
"        while ( n-- ) {\x0a"
"            *--dest = *--src;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"#if 0\x0a"
"    /* TODO optimize */\x0a"
"    char * dest = (char *) s1;\x0a"
"    const char * src = (const char *) s2;\x0a"
"    if ( dest <= src )\x0a"
"    {\x0a"
"        while ( n-- )\x0a"
"        {\x0a"
"            *dest++ = *src++;\x0a"
"        }\x0a"
"    }\x0a"
"    else\x0a"
"   {\x0a"
"        src += n;\x0a"
"        dest += n;\x0a"
"        while ( n-- )\x0a"
"        {\x0a"
"           *--dest = *--src;\x0a"
"        }\x0a"
"    }\x0a"
"#endif\x0a"
"    return s1;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xxxxabcde\x22;\x0a"
"    TESTCASE( memmove( s, s + 4, 5 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'e' );\x0a"
"    TESTCASE( s\x5b""5\x5d == 'b' );\x0a"
"    TESTCASE( memmove( s + 4, s, 5 ) == s + 4 );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'a' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2177 ); }