#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_memset_c( 
"/* memset( void *, int, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <sys/divm.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"__attribute__((__annotate__(\x22lart.interrupt.skipcfl\x22)))\x0a"
"__attribute__((__annotate__(\x22""divine.link.always\x22)))\x0a"
"void * memset( void * s, int c, size_t n )\x0a"
"{\x0a"
"    unsigned char * p = (unsigned char *) s;\x0a"
"    while ( n-- )\x0a"
"    {\x0a"
"        *p++ = (unsigned char) c;\x0a"
"    }\x0a"
"    return s;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22xxxxxxxxx\x22;\x0a"
"    TESTCASE( memset( s, 'o', 10 ) == s );\x0a"
"    TESTCASE( s\x5b""9\x5d == 'o' );\x0a"
"    TESTCASE( memset( s, '_', 0 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == 'o' );\x0a"
"    TESTCASE( memset( s, '_', 1 ) == s );\x0a"
"    TESTCASE( s\x5b""0\x5d == '_' );\x0a"
"    TESTCASE( s\x5b""1\x5d == 'o' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 882 ); }