#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strcoll_c( 
"/* strcoll( const char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"int strcoll( const char * s1, const char * s2 )\x0a"
"{\x0a"
"    const _PDCLIB_ctype_t * ctype = _PDCLIB_threadlocale()->_CType;\x0a"
"\x0a"
"    while ( ( *s1 ) \x26\x26 ( ctype\x5b(unsigned char)*s1\x5d.collation == ctype\x5b(unsigned char)*s2\x5d.collation ) )\x0a"
"    {\x0a"
"        ++s1;\x0a"
"        ++s2;\x0a"
"    }\x0a"
"    return ( ctype\x5b(unsigned char)*s1\x5d.collation - ctype\x5b(unsigned char)*s2\x5d.collation );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char cmpabcde\x5b\x5d = \x22""abcde\x22;\x0a"
"    char empty\x5b\x5d = \x22\x22;\x0a"
"    TESTCASE( strcoll( abcde, cmpabcde ) == 0 );\x0a"
"    TESTCASE( strcoll( abcde, abcdx ) < 0 );\x0a"
"    TESTCASE( strcoll( abcdx, abcde ) > 0 );\x0a"
"    TESTCASE( strcoll( empty, abcde ) < 0 );\x0a"
"    TESTCASE( strcoll( abcde, empty ) > 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 986 ); }