#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strdup_c( 
"/* \x5bXSI\x5d char * strdup( const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifdef REGTEST\x0a"
"#define _POSIX_C_SOURCE 200809L\x0a"
"#endif\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char *strdup(const char *s)\x0a"
"{\x0a"
"    char* ns = NULL;\x0a"
"    if(s) {\x0a"
"        size_t len = strlen(s) + 1;\x0a"
"        ns = malloc(len);\x0a"
"        if(ns)\x0a"
"            strncpy(ns, s, len);\x0a"
"    }\x0a"
"    return ns;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    const char *teststr  = \x22Hello, world\x22;\x0a"
"    const char *teststr2 = \x22""An alternative test string with non-7-bit characters \x5cxFE\x5cx8C\x5cn\x22;\x0a"
"    char *testres, *testres2;\x0a"
"\x0a"
"    TESTCASE((testres  = strdup(teststr)) \x21= NULL);\x0a"
"    TESTCASE((testres2 = strdup(teststr2)) \x21= NULL);\x0a"
"    TESTCASE(strcmp(testres, teststr) == 0);\x0a"
"    TESTCASE(strcmp(testres2, teststr2) == 0);\x0a"
"    free(testres);\x0a"
"    free(testres2);\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 994 ); }