#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strerror_c( 
"/* strerror( int )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"/* TODO\x3a Doing this via a static array is not the way to do it. */\x0a"
"char * strerror( int errnum )\x0a"
"{\x0a"
"    if ( errnum >= _PDCLIB_ERRNO_MAX )\x0a"
"    {\x0a"
"        return (char *)\x22Unknown error\x22;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        return (char *)_PDCLIB_threadlocale()->_ErrnoStr\x5b""errnum\x5d;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"#include <stdio.h>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( strerror( ERANGE ) \x21= strerror( EDOM ) );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 700 ); }