#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strlcpy_c( 
"/* strlcpy( char *, const char *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"#pragma weak strlcpy = _PDCLIB_strlcpy\x0a"
"size_t _PDCLIB_strlcpy(\x0a"
"    char *restrict dst,\x0a"
"    const char *restrict src,\x0a"
"    size_t dstsize);\x0a"
"\x0a"
"size_t _PDCLIB_strlcpy(\x0a"
"    char *restrict dst,\x0a"
"    const char *restrict src,\x0a"
"    size_t dstsize)\x0a"
"{\x0a"
"    size_t needed = 0;\x0a"
"    while(needed < dstsize \x26\x26 (dst\x5bneeded\x5d = src\x5bneeded\x5d))\x0a"
"        needed++;\x0a"
"\x0a"
"    while(src\x5bneeded++\x5d);\x0a"
"\x0a"
"    if (needed > dstsize \x26\x26 dstsize)\x0a"
"      dst\x5b""dstsize - 1\x5d = 0;\x0a"
"\x0a"
"    return needed;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"#ifndef REGTEST\x0a"
"    char destbuf\x5b""10\x5d;\x0a"
"#endif\x0a"
"    TESTCASE_NOREG( strlcpy(NULL, \x22""a\x22, 0) == 2 );\x0a"
"    TESTCASE_NOREG( strlcpy(destbuf, \x22""a\x22, 10) == 2 );\x0a"
"    TESTCASE_NOREG( strcmp(destbuf, \x22""a\x22) == 0 );\x0a"
"    TESTCASE_NOREG( strlcpy(destbuf, \x22helloworld\x22, 10) == 11 );\x0a"
"    TESTCASE_NOREG( strcmp(destbuf, \x22helloworl\x22) == 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 1095 ); }