#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strncasecmp_c( 
"/* \x24Id\x24 */\x0a"
"\x0a"
"/* strncasecmp( const char *s1, const char *s2, size_t n )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"#include <ctype.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"int strncasecmp( const char *s1, const char *s2, size_t n )\x0a"
"{\x0a"
"    const unsigned char *p1 = ( const unsigned char * ) s1;\x0a"
"    const unsigned char *p2 = ( const unsigned char * ) s2;\x0a"
"    int result = 0;\x0a"
"\x0a"
"    if ( p1 == p2 )\x0a"
"        return 0;\x0a"
"\x0a"
"    if ( \x21p1 )\x0a"
"        return -1;\x0a"
"\x0a"
"    if ( \x21p2 )\x0a"
"        return 1;\x0a"
"\x0a"
"    while ( n \x26\x26 ( result = tolower( *p1 ) - tolower( *p2++ ) ) == 0 ) {\x0a"
"        n--;\x0a"
"        if ( *p1++ == '\x5c""0' )\x0a"
"            break;\x0a"
"    }\x0a"
"\x0a"
"    return result;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include <_PDCLIB_test.h>\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char aBcdE\x5b\x5d = \x22""aBcdE\x22;\x0a"
"    char cmpabcde\x5b\x5d = \x22""abcde\x5c""0f\x22;\x0a"
"    char cmpabcd_\x5b\x5d = \x22""abcde\x5cxfc\x22;\x0a"
"    char empty\x5b\x5d = \x22\x22;\x0a"
"    char x\x5b\x5d = \x22x\x22;\x0a"
"    TESTCASE( strncasecmp( abcde, cmpabcde, 5 ) == 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, cmpabcde, 5 ) == 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, cmpabcde, 10 ) == 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, cmpabcde, 10 ) == 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, abcdx, 5 ) < 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, abcdx, 5 ) < 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcdx, abcde, 5 ) > 0 );\x0a"
"    TESTCASE( strncasecmp( abcdx, aBcdE, 5 ) > 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( empty, abcde, 5 ) < 0 );\x0a"
"    TESTCASE( strncasecmp( empty, aBcdE, 5 ) < 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, empty, 5 ) > 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, empty, 5 ) > 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, abcdx, 4 ) == 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, abcdx, 4 ) == 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, x, 0 ) == 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, x, 0 ) == 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, x, 1 ) < 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, x, 1 ) < 0 );\x0a"
"\x0a"
"    TESTCASE( strncasecmp( abcde, cmpabcd_, 10 ) < 0 );\x0a"
"    TESTCASE( strncasecmp( aBcdE, cmpabcd_, 10 ) < 0 );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2044 ); }