#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_strtok_c( 
"/* strtok( char *, const char * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <string.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"char * strtok( char * _PDCLIB_restrict s1, const char * _PDCLIB_restrict s2 )\x0a"
"{\x0a"
"    static char * tmp = NULL;\x0a"
"    const char * p = s2;\x0a"
"\x0a"
"    if ( s1 \x21= NULL )\x0a"
"    {\x0a"
"        /* new string */\x0a"
"        tmp = s1;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        /* old string continued */\x0a"
"        if ( tmp == NULL )\x0a"
"        {\x0a"
"            /* No old string, no new string, nothing to do */\x0a"
"            return NULL;\x0a"
"        }\x0a"
"        s1 = tmp;\x0a"
"    }\x0a"
"\x0a"
"    /* skipping leading s2 characters */\x0a"
"    while ( *p \x26\x26 *s1 )\x0a"
"    {\x0a"
"        if ( *s1 == *p )\x0a"
"        {\x0a"
"            /* found seperator; skip and start over */\x0a"
"            ++s1;\x0a"
"            p = s2;\x0a"
"            continue;\x0a"
"        }\x0a"
"        ++p;\x0a"
"    }\x0a"
"\x0a"
"    if ( \x21 *s1 )\x0a"
"    {\x0a"
"        /* no more to parse */\x0a"
"        return ( tmp = NULL );\x0a"
"    }\x0a"
"\x0a"
"    /* skipping non-s2 characters */\x0a"
"    tmp = s1;\x0a"
"    while ( *tmp )\x0a"
"    {\x0a"
"        p = s2;\x0a"
"        while ( *p )\x0a"
"        {\x0a"
"            if ( *tmp == *p++ )\x0a"
"            {\x0a"
"                /* found seperator; overwrite with '\x5c""0', position tmp, return */\x0a"
"                *tmp++ = '\x5c""0';\x0a"
"                return s1;\x0a"
"            }\x0a"
"        }\x0a"
"        ++tmp;\x0a"
"    }\x0a"
"\x0a"
"    /* parsed to end of string */\x0a"
"    tmp = NULL;\x0a"
"    return s1;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    char s\x5b\x5d = \x22_a_bc__d_\x22;\x0a"
"    TESTCASE( strtok( s, \x22_\x22 ) == \x26s\x5b""1\x5d );\x0a"
"    TESTCASE( s\x5b""1\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""2\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strtok( NULL, \x22_\x22 ) == \x26s\x5b""3\x5d );\x0a"
"    TESTCASE( s\x5b""3\x5d == 'b' );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'c' );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strtok( NULL, \x22_\x22 ) == \x26s\x5b""7\x5d );\x0a"
"    TESTCASE( s\x5b""6\x5d == '_' );\x0a"
"    TESTCASE( s\x5b""7\x5d == 'd' );\x0a"
"    TESTCASE( s\x5b""8\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strtok( NULL, \x22_\x22 ) == NULL );\x0a"
"    strcpy( s, \x22""ab_cd\x22 );\x0a"
"    TESTCASE( strtok( s, \x22_\x22 ) == \x26s\x5b""0\x5d );\x0a"
"    TESTCASE( s\x5b""0\x5d == 'a' );\x0a"
"    TESTCASE( s\x5b""1\x5d == 'b' );\x0a"
"    TESTCASE( s\x5b""2\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strtok( NULL, \x22_\x22 ) == \x26s\x5b""3\x5d );\x0a"
"    TESTCASE( s\x5b""3\x5d == 'c' );\x0a"
"    TESTCASE( s\x5b""4\x5d == 'd' );\x0a"
"    TESTCASE( s\x5b""5\x5d == '\x5c""0' );\x0a"
"    TESTCASE( strtok( NULL, \x22_\x22 ) == NULL );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2277 ); }