#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_string_vasprintf_c( 
"#include <stdio.h>\x0a"
"#include <string.h>\x0a"
"#include <stdarg.h>\x0a"
"#include <stdlib.h>\x0a"
"\x0a"
"int vasprintf (char **result, const char *format, va_list args)\x0a"
"{\x0a"
"  const char *p = format;\x0a"
"  /* Add one to make sure that it is never zero, which might cause malloc\x0a"
"     to return NULL.  */\x0a"
"  int total_width = strlen (format) + 1;\x0a"
"  va_list ap;\x0a"
"\x0a"
"  memcpy ((void *)\x26""ap, (void *)\x26""args, sizeof (va_list));\x0a"
"\x0a"
"  while (*p \x21= '\x5c""0')\x0a"
"    {\x0a"
"      if (*p++ == '\x25')\x0a"
"\x09{\x0a"
"\x09  while (strchr (\x22-+ #0\x22, *p))\x0a"
"\x09    ++p;\x0a"
"\x09  if (*p == '*')\x0a"
"\x09    {\x0a"
"\x09      ++p;\x0a"
"\x09      total_width += abs (va_arg (ap, int));\x0a"
"\x09    }\x0a"
"\x09  else\x0a"
"\x09    total_width += strtoul (p, (char **) \x26p, 10);\x0a"
"\x09  if (*p == '.')\x0a"
"\x09    {\x0a"
"\x09      ++p;\x0a"
"\x09      if (*p == '*')\x0a"
"\x09\x09{\x0a"
"\x09\x09  ++p;\x0a"
"\x09\x09  total_width += abs (va_arg (ap, int));\x0a"
"\x09\x09}\x0a"
"\x09      else\x0a"
"\x09      total_width += strtoul (p, (char **) \x26p, 10);\x0a"
"\x09    }\x0a"
"\x09  while (strchr (\x22hlL\x22, *p))\x0a"
"\x09    ++p;\x0a"
"\x09  /* Should be big enough for any format specifier except \x25s and floats.  */\x0a"
"\x09  total_width += 30;\x0a"
"\x09  switch (*p)\x0a"
"\x09    {\x0a"
"\x09    case 'd'\x3a\x0a"
"\x09    case 'i'\x3a\x0a"
"\x09    case 'o'\x3a\x0a"
"\x09    case 'u'\x3a\x0a"
"\x09    case 'x'\x3a\x0a"
"\x09    case 'X'\x3a\x0a"
"\x09    case 'c'\x3a\x0a"
"\x09      (void) va_arg (ap, int);\x0a"
"\x09      break;\x0a"
"\x09    case 'f'\x3a\x0a"
"\x09    case 'e'\x3a\x0a"
"\x09    case 'E'\x3a\x0a"
"\x09    case 'g'\x3a\x0a"
"\x09    case 'G'\x3a\x0a"
"\x09      (void) va_arg (ap, double);\x0a"
"\x09      /* Since an ieee double can have an exponent of 307, we'll\x0a"
"\x09\x09 make the buffer wide enough to cover the gross case. */\x0a"
"\x09      total_width += 307;\x0a"
"\x09      break;\x0a"
"\x09    case 's'\x3a\x0a"
"\x09      total_width += strlen (va_arg (ap, char *));\x0a"
"\x09      break;\x0a"
"\x09    case 'p'\x3a\x0a"
"\x09    case 'n'\x3a\x0a"
"\x09      (void) va_arg (ap, char *);\x0a"
"\x09      break;\x0a"
"\x09    }\x0a"
"\x09  p++;\x0a"
"\x09}\x0a"
"    }\x0a"
"  *result = (char*)malloc (total_width);\x0a"
"  if (*result \x21= NULL) {\x0a"
"    return vsprintf (*result, format, args);}\x0a"
"  else {\x0a"
"    return 0;\x0a"
"  }\x0a"
"}\x0a"
"", 1734 ); }