#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_metadata_cpp( 
"#include <sys/metadata.h>\x0a"
"#include <string.h>\x0a"
"#include <limits.h>\x0a"
"\x0a"
"/*\x0a"
" * This file contains the implementations of the metadata query functions.\x0a"
" * Additional query functions are implemented in \x60""dios/arch/{divm, klee}/\x0a"
" * metadata.{cpp, c}\x60.\x0a"
" *\x0a"
" * The four extern constants are defined by \x60IndexFunctions\x60 pass over at\x0a"
" * \x60lart/divine/functionmeta.cpp\x60. They store the generated metadata tables.\x0a"
" */\x0a"
"\x0a"
"extern const _MD_Function __md_functions\x5b\x5d;\x0a"
"extern const int __md_functions_count;\x0a"
"extern const _MD_Global __md_globals\x5b\x5d;\x0a"
"extern const int __md_globals_count;\x0a"
"\x0a"
"/*\x0a"
"const _MD_Function *__md_get_function_meta( const char *name ) {\x0a"
"    long from = 0;\x0a"
"    long to = __md_functions_count;\x0a"
"    while ( from < to ) {\x0a"
"        long half = (from + to) / 2;\x0a"
"        int c = std\x3a\x3astrcmp( name, __md_functions\x5b half \x5d.name );\x0a"
"        if ( c < 0 ) // name < half\x0a"
"            to = half;\x0a"
"        else if ( c > 0 ) // name > half\x0a"
"            from = half + 1;\x0a"
"        else\x0a"
"            return __md_functions + half;\x0a"
"    }\x0a"
"    return nullptr;\x0a"
"}\x0a"
"*/\x0a"
"\x0a"
"_MD_RegInfo __md_get_register_info( _VM_Frame *frame, _VM_CodePointer pc, const _MD_Function *funMeta )\x0a"
"{\x0a"
"    if ( \x21""frame \x7c\x7c \x21""funMeta \x7c\x7c \x21pc )\x0a"
"        return { nullptr, 0 };\x0a"
"    intptr_t offset = uintptr_t( pc ) \x26 _VM_PM_Off;\x0a"
"    if ( offset < 0 \x7c\x7c offset > funMeta->inst_table_size )\x0a"
"        return { nullptr, 0 };\x0a"
"\x0a"
"    char *base = reinterpret_cast< char * >( frame );\x0a"
"    auto \x26imeta = funMeta->inst_table\x5b offset \x5d;\x0a"
"    return { base + imeta.val_offset, imeta.val_width };\x0a"
"}\x0a"
"\x0a"
"__local_invisible const _MD_Global *__md_get_global_meta( const char *name ) noexcept\x0a"
"{\x0a"
"    const auto *b = __md_globals, *e = b + __md_globals_count;\x0a"
"    while ( b < e )\x0a"
"        if ( \x3a\x3astrcmp( b->name, name ) == 0 )\x0a"
"            return b;\x0a"
"        else\x0a"
"            ++ b;\x0a"
"    return nullptr;\x0a"
"}\x0a"
"", 1802 ); }