#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_resource_c( 
"#include <sys/resource.h>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"int getrlimit(int resource, struct rlimit *rlp)\x0a"
"{\x0a"
"    rlim_t limit;\x0a"
"    switch( resource )\x0a"
"    {\x0a"
"        case RLIMIT_CORE\x3a limit = 0; break; // no core file\x0a"
"        case RLIMIT_CPU\x3a\x0a"
"        case RLIMIT_FSIZE\x3a\x0a"
"        case RLIMIT_DATA\x3a\x0a"
"        case RLIMIT_STACK\x3a\x0a"
"        case RLIMIT_RSS\x3a limit = RLIM_INFINITY; break;\x0a"
"        default\x3a errno = EINVAL; return -1;\x0a"
"    }\x0a"
"    rlp->rlim_cur = rlp->rlim_max = limit;\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"int setrlimit(int resource, const struct rlimit *rlp)\x0a"
"{\x0a"
"    switch( resource )\x0a"
"    {\x0a"
"        case RLIMIT_CORE\x3a\x0a"
"        case RLIMIT_CPU\x3a\x0a"
"        case RLIMIT_FSIZE\x3a\x0a"
"        case RLIMIT_DATA\x3a\x0a"
"        case RLIMIT_STACK\x3a\x0a"
"        case RLIMIT_RSS\x3a break;\x0a"
"        default\x3a errno = EINVAL; return -1;\x0a"
"    }\x0a"
"    if ( rlp->rlim_cur > rlp->rlim_max )\x0a"
"    {\x0a"
"        errno = EINVAL;\x0a"
"        return -1;\x0a"
"    }\x0a"
"    return 0;\x0a"
"}\x0a"
"", 883 ); }