#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_trace_cpp( 
"// -*- C++ -*- (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"//                 2016 Vladimir Still <xstill\x40""fi.muni.cz>\x0a"
"\x0a"
"#include <cstdio>\x0a"
"#include <dios/sys/kernel.hpp> // get_debug\x0a"
"#include <rst/common.hpp> // for weaken\x0a"
"#include <fcntl.h>\x0a"
"#include <dios.h>\x0a"
"#include <cstring>\x0a"
"#include <cstdarg>\x0a"
"\x0a"
"namespace __dios {\x0a"
"\x0a"
"    static void dbg_persist( void *ptr )\x0a"
"    {\x0a"
"        if ( ptr )\x0a"
"            __vm_trace( _VM_T_DebugPersist, ptr );\x0a"
"    }\x0a"
"\x0a"
"void Debug\x3a\x3apersist()\x0a"
"{\x0a"
"    dbg_persist( this );\x0a"
"    dbg_persist( hids.begin() );\x0a"
"    dbg_persist( trace_indent.begin() );\x0a"
"    dbg_persist( trace_inhibit.begin() );\x0a"
"    dbg_persist( trace_buf.begin() );\x0a"
"}\x0a"
"\x0a"
"void Debug\x3a\x3apersist_buffers()\x0a"
"{\x0a"
"    for ( auto \x26""b \x3a trace_buf )\x0a"
"        dbg_persist( b.second.begin() );\x0a"
"}\x0a"
"\x0a"
"__inline static void traceInternalV( int shift, const char *fmt, va_list ap ) noexcept\x0a"
"{\x0a"
"    bool kernel = __vm_ctl_flag( 0, 0 ) \x26 _VM_CF_KernelMode;\x0a"
"\x0a"
"    int nice_id = -1;\x0a"
"    short *indent = nullptr;\x0a"
"    auto tid = __dios_this_task();\x0a"
"\x0a"
"    if ( have_debug() )\x0a"
"    {\x0a"
"        auto \x26inhibit = get_debug().trace_inhibit;\x0a"
"        if ( inhibit\x5b tid \x5d )\x0a"
"            return;\x0a"
"\x0a"
"        auto \x26hids = get_debug().hids;\x0a"
"        indent = tid \x3f \x26get_debug().trace_indent\x5b tid \x5d \x3a \x26get_debug().kernel_indent;\x0a"
"        auto nice_id_it = tid \x3f hids.find( tid )\x3a hids.end();\x0a"
"        nice_id = nice_id_it == hids.end() \x3f -2 \x3a nice_id_it->second;\x0a"
"\x0a"
"        if ( indent \x26\x26 shift < 0 \x26\x26 *indent > 0 )\x0a"
"        {\x0a"
"            *indent += shift * 2;\x0a"
"            get_debug().persist();\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    if ( *fmt )\x0a"
"    {\x0a"
"        char buffer\x5b""1024\x5d;\x0a"
"        int n = 0;\x0a"
"\x0a"
"        if ( kernel \x26\x26 tid )\x0a"
"            n = snprintf( buffer, 1024, \x22\x5b\x25""d\x5d \x22, nice_id );\x0a"
"        else if ( tid )\x0a"
"            n = snprintf( buffer, 1024, \x22(\x25""d) \x22, nice_id );\x0a"
"        else\x0a"
"            n = snprintf( buffer, 1024, \x22\x5b  \x5d \x22 );\x0a"
"\x0a"
"        if ( indent )\x0a"
"            for ( int i = 0; i < *indent \x26\x26 i < 32 \x26\x26 *indent >= 0; ++i )\x0a"
"                buffer\x5b n++ \x5d = ' ';\x0a"
"\x0a"
"        vsnprintf( buffer + n, 1024 - n, fmt, ap );\x0a"
"        __vm_trace( _VM_T_Text, buffer );\x0a"
"    }\x0a"
"\x0a"
"    if ( have_debug() \x26\x26 indent \x26\x26 shift > 0 \x26\x26 *indent < 32 )\x0a"
"    {\x0a"
"        *indent += shift * 2;\x0a"
"        get_debug().persist();\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"} // namespace __dios\x0a"
"\x0a"
"void __dios_trace_internal( int indent, const char *fmt, ... ) noexcept\x0a"
"{\x0a"
"    __dios_assert_debug();\x0a"
"    va_list ap;\x0a"
"    va_start( ap, fmt );\x0a"
"    __dios\x3a\x3atraceInternalV( indent, fmt, ap );\x0a"
"    va_end( ap );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace_t( const char *txt ) noexcept\x0a"
"{\x0a"
"    __dios_trace_internal( 0, \x22\x25s\x22, txt );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace_f( const char *fmt, ... ) noexcept\x0a"
"{\x0a"
"    va_list ap;\x0a"
"    va_start( ap, fmt );\x0a"
"    __dios\x3a\x3atraceInternalV( 0, fmt, ap );\x0a"
"    va_end( ap );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace_v( const char *fmt, va_list ap ) noexcept\x0a"
"{\x0a"
"    __dios\x3a\x3atraceInternalV( 0, fmt, ap );\x0a"
"}\x0a"
"\x0a"
"void __dios_trace_i( int indent_level, const char* fmt, ... ) noexcept\x0a"
"{\x0a"
"    va_list ap;\x0a"
"    va_start( ap, fmt );\x0a"
"\x0a"
"    char buffer\x5b""1024\x5d;\x0a"
"    int indent = indent_level * 2;\x0a"
"    for ( int i = 0; i < indent; ++i )\x0a"
"        buffer\x5b i \x5d = ' ';\x0a"
"    vsnprintf( buffer + indent, 1024 - indent, fmt, ap );\x0a"
"    __vm_trace( _VM_T_Info, buffer );\x0a"
"    va_end( ap );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace( int indent, const char *fmt, ... ) noexcept\x0a"
"{\x0a"
"    va_list ap;\x0a"
"    va_start( ap, fmt );\x0a"
"    __dios\x3a\x3atraceInternalV( indent, fmt, ap );\x0a"
"    va_end( ap );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace_auto( int indent, const char *fmt, ... ) noexcept\x0a"
"{\x0a"
"    uintptr_t flags = __vm_ctl_flag( 0, 0 );\x0a"
"\x0a"
"    if ( flags \x26 _VM_CF_KernelMode )\x0a"
"        return;\x0a"
"\x0a"
"    va_list ap;\x0a"
"    va_start( ap, fmt );\x0a"
"    __dios\x3a\x3atraceInternalV( indent, fmt, ap );\x0a"
"    va_end( ap );\x0a"
"}\x0a"
"\x0a"
"__debugfn void __dios_trace_adjust( int off ) noexcept\x0a"
"{\x0a"
"    auto \x26inhibit = __dios\x3a\x3aget_debug().trace_inhibit;\x0a"
"    inhibit\x5b __dios_this_task() \x5d += off;\x0a"
"    __dios\x3a\x3aget_debug().persist();\x0a"
"}\x0a"
"", 3855 ); }