#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_sys_trampoline_c( 
"#include <dios.h>\x0a"
"#include <sys/divm.h>\x0a"
"#include <sys/signal.h>\x0a"
"\x0a"
"int __dios_signal_trampoline_ret( void *a, void * b, int ret )\x0a"
"{\x0a"
"    void (*handler)( int ) = a;\x0a"
"    int arg = (int) b;\x0a"
"    handler( arg );\x0a"
"    return ret;\x0a"
"}\x0a"
"\x0a"
"int __dios_signal_trampoline_noret( void *a, void *b, int ret )\x0a"
"{\x0a"
"    ( void ) ret;\x0a"
"    void (*handler)( int ) = a;\x0a"
"    int arg = (int) b;\x0a"
"    handler( arg );\x0a"
"    struct _VM_Frame *self = __vm_ctl_get( _VM_CR_Frame );\x0a"
"    __vm_ctl_set( _VM_CR_Frame, self->parent );\x0a"
"    __builtin_unreachable();\x0a"
"}\x0a"
"\x0a"
"int __dios_simple_trampoline( void *a, void * b, int ret )\x0a"
"{\x0a"
"    ( void ) a;\x0a"
"    ( void ) b;\x0a"
"    return ret;\x0a"
"}\x0a"
"", 633 ); }