#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_threads_mtx_init_c( 
"#ifndef REGTEST\x0a"
"#define _POSIX_C_SOURCE 200809L\x0a"
"#include <threads.h>\x0a"
"#include <pthread.h>\x0a"
"\x0a"
"int mtx_init(mtx_t *mtx, int type)\x0a"
"{\x0a"
"    if(type == mtx_plain \x7c\x7c type == mtx_timed) {\x0a"
"        if(pthread_mutex_init(mtx, NULL) == 0)\x0a"
"            return thrd_success;\x0a"
"        else\x0a"
"            return thrd_error;\x0a"
"\x0a"
"    } else if (type == mtx_recursive \x7c\x7c type == (mtx_recursive \x7c mtx_timed)) {\x0a"
"        int rc = thrd_error;\x0a"
"        pthread_mutexattr_t attr;\x0a"
"\x0a"
"        if(pthread_mutexattr_init(\x26""attr))\x0a"
"            goto cleanup1;\x0a"
"\x0a"
"        if(pthread_mutexattr_settype(\x26""attr, PTHREAD_MUTEX_RECURSIVE))\x0a"
"            goto cleanup2;\x0a"
"\x0a"
"        if(pthread_mutex_init(mtx, \x26""attr) == 0)\x0a"
"            rc = thrd_success;\x0a"
"\x0a"
"    cleanup2\x3a\x0a"
"        pthread_mutexattr_destroy(\x26""attr);\x0a"
"    cleanup1\x3a\x0a"
"        return rc;\x0a"
"    } else {\x0a"
"        return thrd_error;\x0a"
"    }\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 931 ); }