#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_threads_mtx_timedlock_c( 
"#ifndef REGTEST\x0a"
"#define _POSIX_C_SOURCE 200809L\x0a"
"#include <threads.h>\x0a"
"// On Mac OS X, supress system definition of struct timespec\x0a"
"#ifdef __APPLE__\x0a"
"    #define _STRUCT_TIMESPEC struct timespec\x0a"
"#endif\x0a"
"#include <unistd.h>\x0a"
"#include <errno.h>\x0a"
"#include <pthread.h>\x0a"
"\x0a"
"/* Can only implement if timeouts are supported.\x0a"
" *\x0a"
" * Namely, Mac OS X does not implement timeouts\x0a"
" */\x0a"
"#if defined(_POSIX_TIMEOUTS) \x26\x26 (_POSIX_TIMEOUTS - 200112L) >= 0L\x0a"
"int mtx_timedlock(mtx_t *restrict mtx, const struct timespec *restrict ts)\x0a"
"{\x0a"
"    switch(pthread_mutex_timedlock(mtx, ts)) {\x0a"
"        case 0\x3a\x0a"
"            return thrd_success;\x0a"
"        case ETIMEDOUT\x3a\x0a"
"            return thrd_timeout;\x0a"
"        default\x3a\x0a"
"            return thrd_error;\x0a"
"    }\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"", 825 ); }