#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_time_strftime_c( 
"/*\x09\x24OpenBSD\x3a strftime.c,v 1.30 2016/09/21 04\x3a""38\x3a""57 guenther Exp \x24 */\x0a"
"/*\x0a"
"** Copyright (c) 1989, 1993\x0a"
"**\x09The Regents of the University of California.  All rights reserved.\x0a"
"**\x0a"
"** Redistribution and use in source and binary forms, with or without\x0a"
"** modification, are permitted provided that the following conditions\x0a"
"** are met\x3a\x0a"
"** 1. Redistributions of source code must retain the above copyright\x0a"
"**    notice, this list of conditions and the following disclaimer.\x0a"
"** 2. Redistributions in binary form must reproduce the above copyright\x0a"
"**    notice, this list of conditions and the following disclaimer in the\x0a"
"**    documentation and/or other materials provided with the distribution.\x0a"
"** 3. Neither the name of the University nor the names of its contributors\x0a"
"**    may be used to endorse or promote products derived from this software\x0a"
"**    without specific prior written permission.\x0a"
"**\x0a"
"** THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
"** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
"** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
"** ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE\x0a"
"** FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
"** DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
"** OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
"** HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
"** LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
"** OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
"** SUCH DAMAGE.\x0a"
"*/\x0a"
"\x0a"
"#include <fcntl.h>\x0a"
"#include <locale.h>\x0a"
"#include <stdio.h>\x0a"
"#include <time.h>\x0a"
"\x0a"
"#include <sys/syswrap.h>\x0a"
"\x0a"
"#include \x22private.h\x22\x0a"
"#include \x22tzfile.h\x22\x0a"
"\x0a"
"struct lc_time_T {\x0a"
"\x09""const char *\x09mon\x5bMONSPERYEAR\x5d;\x0a"
"\x09""const char *\x09month\x5bMONSPERYEAR\x5d;\x0a"
"\x09""const char *\x09wday\x5b""DAYSPERWEEK\x5d;\x0a"
"\x09""const char *\x09weekday\x5b""DAYSPERWEEK\x5d;\x0a"
"\x09""const char *\x09X_fmt;\x0a"
"\x09""const char *\x09x_fmt;\x0a"
"\x09""const char *\x09""c_fmt;\x0a"
"\x09""const char *\x09""am;\x0a"
"\x09""const char *\x09pm;\x0a"
"\x09""const char *\x09""date_fmt;\x0a"
"};\x0a"
"\x0a"
"#ifdef LOCALE_HOME\x0a"
"#include \x22sys/stat.h\x22\x0a"
"static struct lc_time_T\x09\x09localebuf;\x0a"
"static struct lc_time_T *\x09_loc(void);\x0a"
"#define Locale\x09_loc()\x0a"
"#endif /* defined LOCALE_HOME */\x0a"
"#ifndef LOCALE_HOME\x0a"
"#define Locale\x09(\x26""C_time_locale)\x0a"
"#endif /* \x21""defined LOCALE_HOME */\x0a"
"\x0a"
"static const struct lc_time_T\x09""C_time_locale = {\x0a"
"\x09{\x0a"
"\x09\x09\x22Jan\x22, \x22""Feb\x22, \x22Mar\x22, \x22""Apr\x22, \x22May\x22, \x22Jun\x22,\x0a"
"\x09\x09\x22Jul\x22, \x22""Aug\x22, \x22Sep\x22, \x22Oct\x22, \x22Nov\x22, \x22""Dec\x22\x0a"
"\x09}, {\x0a"
"\x09\x09\x22January\x22, \x22""February\x22, \x22March\x22, \x22""April\x22, \x22May\x22, \x22June\x22,\x0a"
"\x09\x09\x22July\x22, \x22""August\x22, \x22September\x22, \x22October\x22, \x22November\x22, \x22""December\x22\x0a"
"\x09}, {\x0a"
"\x09\x09\x22Sun\x22, \x22Mon\x22, \x22Tue\x22, \x22Wed\x22,\x0a"
"\x09\x09\x22Thu\x22, \x22""Fri\x22, \x22Sat\x22\x0a"
"\x09}, {\x0a"
"\x09\x09\x22Sunday\x22, \x22Monday\x22, \x22Tuesday\x22, \x22Wednesday\x22,\x0a"
"\x09\x09\x22Thursday\x22, \x22""Friday\x22, \x22Saturday\x22\x0a"
"\x09},\x0a"
"\x0a"
"\x09/* X_fmt */\x0a"
"\x09\x22\x25H\x3a\x25M\x3a\x25S\x22,\x0a"
"\x0a"
"\x09/*\x0a"
"\x09** x_fmt\x0a"
"\x09** C99 requires this format.\x0a"
"\x09** Using just numbers (as here) makes Quakers happier;\x0a"
"\x09** it's also compatible with SVR4.\x0a"
"\x09*/\x0a"
"\x09\x22\x25m/\x25""d/\x25y\x22,\x0a"
"\x0a"
"\x09/*\x0a"
"\x09** c_fmt\x0a"
"\x09** C99 requires this format.\x0a"
"\x09** Previously this code used \x22\x25""D \x25X\x22, but we now conform to C99.\x0a"
"\x09** Note that\x0a"
"\x09**\x09\x22\x25""a \x25""b \x25""d \x25H\x3a\x25M\x3a\x25S \x25Y\x22\x0a"
"\x09** is used by Solaris 2.3.\x0a"
"\x09*/\x0a"
"\x09\x22\x25""a \x25""b \x25""e \x25T \x25Y\x22,\x0a"
"\x0a"
"\x09/* am */\x0a"
"\x09\x22""AM\x22,\x0a"
"\x0a"
"\x09/* pm */\x0a"
"\x09\x22PM\x22,\x0a"
"\x0a"
"\x09/* date_fmt */\x0a"
"\x09\x22\x25""a \x25""b \x25""e \x25H\x3a\x25M\x3a\x25S \x25Z \x25Y\x22\x0a"
"};\x0a"
"\x0a"
"static char *\x09_add(const char *, char *, const char *);\x0a"
"static char *\x09_conv(int, const char *, char *, const char *);\x0a"
"static char *\x09_fmt(const char *, const struct tm *, char *, const char *,\x0a"
"\x09\x09\x09int *);\x0a"
"static char *\x09_yconv(int, int, int, int, char *, const char *);\x0a"
"\x0a"
"extern char *\x09tzname\x5b\x5d;\x0a"
"\x0a"
"#define IN_NONE\x09""0\x0a"
"#define IN_SOME\x09""1\x0a"
"#define IN_THIS\x09""2\x0a"
"#define IN_ALL\x09""3\x0a"
"\x0a"
"size_t\x0a"
"strftime(char *s, size_t maxsize, const char *format, const struct tm *t)\x0a"
"{\x0a"
"\x09""char *\x09p;\x0a"
"\x09int\x09warn;\x0a"
"\x0a"
"\x09tzset();\x0a"
"#ifdef LOCALE_HOME\x0a"
"\x09localebuf.mon\x5b""0\x5d = 0;\x0a"
"#endif /* defined LOCALE_HOME */\x0a"
"\x09warn = IN_NONE;\x0a"
"\x09p = _fmt(((format == NULL) \x3f \x22\x25""c\x22 \x3a format), t, s, s + maxsize, \x26warn);\x0a"
"\x09if (p == s + maxsize) {\x0a"
"\x09\x09if (maxsize > 0)\x0a"
"\x09\x09\x09s\x5bmaxsize - 1\x5d = '\x5c""0';\x0a"
"\x09\x09return 0;\x0a"
"\x09}\x0a"
"\x09*p = '\x5c""0';\x0a"
"\x09return p - s;\x0a"
"}\x0a"
"//DEF_STRONG(strftime);\x0a"
"\x0a"
"static char *\x0a"
"_fmt(const char *format, const struct tm *t, char *pt, const char *ptlim, int *warnp)\x0a"
"{\x0a"
"\x09""for ( ; *format; ++format) {\x0a"
"\x09\x09if (*format == '\x25') {\x0a"
"label\x3a\x0a"
"\x09\x09\x09switch (*++format) {\x0a"
"\x09\x09\x09""case '\x5c""0'\x3a\x0a"
"\x09\x09\x09\x09--format;\x0a"
"\x09\x09\x09\x09""break;\x0a"
"\x09\x09\x09""case 'A'\x3a\x0a"
"\x09\x09\x09\x09pt = _add((t->tm_wday < 0 \x7c\x7c\x0a"
"\x09\x09\x09\x09\x09t->tm_wday >= DAYSPERWEEK) \x3f\x0a"
"\x09\x09\x09\x09\x09\x22\x3f\x22 \x3a Locale->weekday\x5bt->tm_wday\x5d,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'a'\x3a\x0a"
"\x09\x09\x09\x09pt = _add((t->tm_wday < 0 \x7c\x7c\x0a"
"\x09\x09\x09\x09\x09t->tm_wday >= DAYSPERWEEK) \x3f\x0a"
"\x09\x09\x09\x09\x09\x22\x3f\x22 \x3a Locale->wday\x5bt->tm_wday\x5d,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'B'\x3a\x0a"
"\x09\x09\x09\x09pt = _add((t->tm_mon < 0 \x7c\x7c\x0a"
"\x09\x09\x09\x09\x09t->tm_mon >= MONSPERYEAR) \x3f\x0a"
"\x09\x09\x09\x09\x09\x22\x3f\x22 \x3a Locale->month\x5bt->tm_mon\x5d,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'b'\x3a\x0a"
"\x09\x09\x09""case 'h'\x3a\x0a"
"\x09\x09\x09\x09pt = _add((t->tm_mon < 0 \x7c\x7c\x0a"
"\x09\x09\x09\x09\x09t->tm_mon >= MONSPERYEAR) \x3f\x0a"
"\x09\x09\x09\x09\x09\x22\x3f\x22 \x3a Locale->mon\x5bt->tm_mon\x5d,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'C'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** \x25""C used to do a...\x0a"
"\x09\x09\x09\x09**\x09_fmt(\x22\x25""a \x25""b \x25""e \x25X \x25Y\x22, t);\x0a"
"\x09\x09\x09\x09** ...whereas now POSIX 1003.2 calls for\x0a"
"\x09\x09\x09\x09** something completely different.\x0a"
"\x09\x09\x09\x09** (ado, 1993-05-24)\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _yconv(t->tm_year, TM_YEAR_BASE, 1, 0,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'c'\x3a\x0a"
"\x09\x09\x09\x09{\x0a"
"\x09\x09\x09\x09int warn2 = IN_SOME;\x0a"
"\x0a"
"\x09\x09\x09\x09pt = _fmt(Locale->c_fmt, t, pt, ptlim, \x26warn2);\x0a"
"\x09\x09\x09\x09if (warn2 == IN_ALL)\x0a"
"\x09\x09\x09\x09\x09warn2 = IN_THIS;\x0a"
"\x09\x09\x09\x09if (warn2 > *warnp)\x0a"
"\x09\x09\x09\x09\x09*warnp = warn2;\x0a"
"\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'D'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25m/\x25""d/\x25y\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'd'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_mday, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'E'\x3a\x0a"
"\x09\x09\x09""case 'O'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** C99 locale modifiers.\x0a"
"\x09\x09\x09\x09** The sequences\x0a"
"\x09\x09\x09\x09**\x09\x25""Ec \x25""EC \x25""Ex \x25""EX \x25""Ey \x25""EY\x0a"
"\x09\x09\x09\x09**\x09\x25Od \x25oe \x25OH \x25OI \x25Om \x25OM\x0a"
"\x09\x09\x09\x09**\x09\x25OS \x25Ou \x25OU \x25OV \x25Ow \x25OW \x25Oy\x0a"
"\x09\x09\x09\x09** are supposed to provide alternate\x0a"
"\x09\x09\x09\x09** representations.\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09goto label;\x0a"
"\x09\x09\x09""case 'e'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_mday, \x22\x25""2d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'F'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25Y-\x25m-\x25""d\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'H'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_hour, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'I'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv((t->tm_hour \x25 12) \x3f\x0a"
"\x09\x09\x09\x09\x09(t->tm_hour \x25 12) \x3a 12,\x0a"
"\x09\x09\x09\x09\x09\x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'j'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_yday + 1, \x22\x25""03d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'k'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** This used to be...\x0a"
"\x09\x09\x09\x09**\x09_conv(t->tm_hour \x25 12 \x3f\x0a"
"\x09\x09\x09\x09**\x09\x09t->tm_hour \x25 12 \x3a 12, 2, ' ');\x0a"
"\x09\x09\x09\x09** ...and has been changed to the below to\x0a"
"\x09\x09\x09\x09** match SunOS 4.1.1 and Arnold Robbins'\x0a"
"\x09\x09\x09\x09** strftime version 3.0. That is, \x22\x25k\x22 and\x0a"
"\x09\x09\x09\x09** \x22\x25l\x22 have been swapped.\x0a"
"\x09\x09\x09\x09** (ado, 1993-05-24)\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_hour, \x22\x25""2d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"#ifdef KITCHEN_SINK\x0a"
"\x09\x09\x09""case 'K'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** After all this time, still unclaimed\x21\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _add(\x22kitchen sink\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"#endif /* defined KITCHEN_SINK */\x0a"
"\x09\x09\x09""case 'l'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** This used to be...\x0a"
"\x09\x09\x09\x09**\x09_conv(t->tm_hour, 2, ' ');\x0a"
"\x09\x09\x09\x09** ...and has been changed to the below to\x0a"
"\x09\x09\x09\x09** match SunOS 4.1.1 and Arnold Robbin's\x0a"
"\x09\x09\x09\x09** strftime version 3.0. That is, \x22\x25k\x22 and\x0a"
"\x09\x09\x09\x09** \x22\x25l\x22 have been swapped.\x0a"
"\x09\x09\x09\x09** (ado, 1993-05-24)\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _conv((t->tm_hour \x25 12) \x3f\x0a"
"\x09\x09\x09\x09\x09(t->tm_hour \x25 12) \x3a 12,\x0a"
"\x09\x09\x09\x09\x09\x22\x25""2d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'M'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_min, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'm'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_mon + 1, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'n'\x3a\x0a"
"\x09\x09\x09\x09pt = _add(\x22\x5cn\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'p'\x3a\x0a"
"\x09\x09\x09\x09pt = _add((t->tm_hour >= (HOURSPERDAY / 2)) \x3f\x0a"
"\x09\x09\x09\x09\x09Locale->pm \x3a\x0a"
"\x09\x09\x09\x09\x09Locale->am,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'R'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25H\x3a\x25M\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'r'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25I\x3a\x25M\x3a\x25S \x25p\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'S'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_sec, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 's'\x3a\x0a"
"\x09\x09\x09\x09{\x0a"
"\x09\x09\x09\x09\x09struct tm\x09tm;\x0a"
"\x09\x09\x09\x09\x09""char\x09\x09""buf\x5bINT_STRLEN_MAXIMUM(\x0a"
"\x09\x09\x09\x09\x09\x09\x09\x09time_t) + 1\x5d;\x0a"
"\x09\x09\x09\x09\x09time_t\x09\x09mkt;\x0a"
"\x0a"
"\x09\x09\x09\x09\x09tm = *t;\x0a"
"\x09\x09\x09\x09\x09mkt = mktime(\x26tm);\x0a"
"\x09\x09\x09\x09\x09(void) snprintf(buf, sizeof buf,\x0a"
"\x09\x09\x09\x09\x09    \x22\x25ld\x22, (long) mkt);\x0a"
"\x09\x09\x09\x09\x09pt = _add(buf, pt, ptlim);\x0a"
"\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'T'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25H\x3a\x25M\x3a\x25S\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 't'\x3a\x0a"
"\x09\x09\x09\x09pt = _add(\x22\x5ct\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'U'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv((t->tm_yday + DAYSPERWEEK -\x0a"
"\x09\x09\x09\x09\x09t->tm_wday) / DAYSPERWEEK,\x0a"
"\x09\x09\x09\x09\x09\x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'u'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** From Arnold Robbins' strftime version 3.0\x3a\x0a"
"\x09\x09\x09\x09** \x22ISO 8601\x3a Weekday as a decimal number\x0a"
"\x09\x09\x09\x09** \x5b""1 (Monday) - 7\x5d\x22\x0a"
"\x09\x09\x09\x09** (ado, 1993-05-24)\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _conv((t->tm_wday == 0) \x3f\x0a"
"\x09\x09\x09\x09\x09""DAYSPERWEEK \x3a t->tm_wday,\x0a"
"\x09\x09\x09\x09\x09\x22\x25""d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'V'\x3a\x09/* ISO 8601 week number */\x0a"
"\x09\x09\x09""case 'G'\x3a\x09/* ISO 8601 year (four digits) */\x0a"
"\x09\x09\x09""case 'g'\x3a\x09/* ISO 8601 year (two digits) */\x0a"
"/*\x0a"
"** From Arnold Robbins' strftime version 3.0\x3a \x22the week number of the\x0a"
"** year (the first Monday as the first day of week 1) as a decimal number\x0a"
"** (01-53).\x22\x0a"
"** (ado, 1993-05-24)\x0a"
"**\x0a"
"** From \x22http\x3a//www.ft.uni-erlangen.de/\x7emskuhn/iso-time.html\x22 by Markus Kuhn\x3a\x0a"
"** \x22Week 01 of a year is per definition the first week which has the\x0a"
"** Thursday in this year, which is equivalent to the week which contains\x0a"
"** the fourth day of January. In other words, the first week of a new year\x0a"
"** is the week which has the majority of its days in the new year. Week 01\x0a"
"** might also contain days from the previous year and the week before week\x0a"
"** 01 of a year is the last week (52 or 53) of the previous year even if\x0a"
"** it contains days from the new year. A week starts with Monday (day 1)\x0a"
"** and ends with Sunday (day 7). For example, the first week of the year\x0a"
"** 1997 lasts from 1996-12-30 to 1997-01-05...\x22\x0a"
"** (ado, 1996-01-02)\x0a"
"*/\x0a"
"\x09\x09\x09\x09{\x0a"
"\x09\x09\x09\x09\x09int\x09year;\x0a"
"\x09\x09\x09\x09\x09int\x09""base;\x0a"
"\x09\x09\x09\x09\x09int\x09yday;\x0a"
"\x09\x09\x09\x09\x09int\x09wday;\x0a"
"\x09\x09\x09\x09\x09int\x09w;\x0a"
"\x0a"
"\x09\x09\x09\x09\x09year = t->tm_year;\x0a"
"\x09\x09\x09\x09\x09""base = TM_YEAR_BASE;\x0a"
"\x09\x09\x09\x09\x09yday = t->tm_yday;\x0a"
"\x09\x09\x09\x09\x09wday = t->tm_wday;\x0a"
"\x09\x09\x09\x09\x09""for ( ; ; ) {\x0a"
"\x09\x09\x09\x09\x09\x09int\x09len;\x0a"
"\x09\x09\x09\x09\x09\x09int\x09""bot;\x0a"
"\x09\x09\x09\x09\x09\x09int\x09top;\x0a"
"\x0a"
"\x09\x09\x09\x09\x09\x09len = isleap_sum(year, base) \x3f\x0a"
"\x09\x09\x09\x09\x09\x09\x09""DAYSPERLYEAR \x3a\x0a"
"\x09\x09\x09\x09\x09\x09\x09""DAYSPERNYEAR;\x0a"
"\x09\x09\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09\x09\x09** What yday (-3 ... 3) does\x0a"
"\x09\x09\x09\x09\x09\x09** the ISO year begin on\x3f\x0a"
"\x09\x09\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09\x09\x09""bot = ((yday + 11 - wday) \x25\x0a"
"\x09\x09\x09\x09\x09\x09\x09""DAYSPERWEEK) - 3;\x0a"
"\x09\x09\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09\x09\x09** What yday does the NEXT\x0a"
"\x09\x09\x09\x09\x09\x09** ISO year begin on\x3f\x0a"
"\x09\x09\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09\x09\x09top = bot -\x0a"
"\x09\x09\x09\x09\x09\x09\x09(len \x25 DAYSPERWEEK);\x0a"
"\x09\x09\x09\x09\x09\x09if (top < -3)\x0a"
"\x09\x09\x09\x09\x09\x09\x09top += DAYSPERWEEK;\x0a"
"\x09\x09\x09\x09\x09\x09top += len;\x0a"
"\x09\x09\x09\x09\x09\x09if (yday >= top) {\x0a"
"\x09\x09\x09\x09\x09\x09\x09++base;\x0a"
"\x09\x09\x09\x09\x09\x09\x09w = 1;\x0a"
"\x09\x09\x09\x09\x09\x09\x09""break;\x0a"
"\x09\x09\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09\x09\x09if (yday >= bot) {\x0a"
"\x09\x09\x09\x09\x09\x09\x09w = 1 + ((yday - bot) /\x0a"
"\x09\x09\x09\x09\x09\x09\x09\x09""DAYSPERWEEK);\x0a"
"\x09\x09\x09\x09\x09\x09\x09""break;\x0a"
"\x09\x09\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09\x09\x09--base;\x0a"
"\x09\x09\x09\x09\x09\x09yday += isleap_sum(year, base) \x3f\x0a"
"\x09\x09\x09\x09\x09\x09\x09""DAYSPERLYEAR \x3a\x0a"
"\x09\x09\x09\x09\x09\x09\x09""DAYSPERNYEAR;\x0a"
"\x09\x09\x09\x09\x09}\x0a"
"#ifdef XPG4_1994_04_09\x0a"
"\x09\x09\x09\x09\x09if ((w == 52 \x26\x26\x0a"
"\x09\x09\x09\x09\x09\x09t->tm_mon == TM_JANUARY) \x7c\x7c\x0a"
"\x09\x09\x09\x09\x09\x09(w == 1 \x26\x26\x0a"
"\x09\x09\x09\x09\x09\x09t->tm_mon == TM_DECEMBER))\x0a"
"\x09\x09\x09\x09\x09\x09\x09w = 53;\x0a"
"#endif /* defined XPG4_1994_04_09 */\x0a"
"\x09\x09\x09\x09\x09if (*format == 'V')\x0a"
"\x09\x09\x09\x09\x09\x09pt = _conv(w, \x22\x25""02d\x22,\x0a"
"\x09\x09\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09\x09""else if (*format == 'g') {\x0a"
"\x09\x09\x09\x09\x09\x09*warnp = IN_ALL;\x0a"
"\x09\x09\x09\x09\x09\x09pt = _yconv(year, base, 0, 1,\x0a"
"\x09\x09\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09\x09} else\x09pt = _yconv(year, base, 1, 1,\x0a"
"\x09\x09\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'v'\x3a\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** From Arnold Robbins' strftime version 3.0\x3a\x0a"
"\x09\x09\x09\x09** \x22""date as dd-bbb-YYYY\x22\x0a"
"\x09\x09\x09\x09** (ado, 1993-05-24)\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09pt = _fmt(\x22\x25""e-\x25""b-\x25Y\x22, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'W'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv((t->tm_yday + DAYSPERWEEK -\x0a"
"\x09\x09\x09\x09\x09(t->tm_wday \x3f\x0a"
"\x09\x09\x09\x09\x09(t->tm_wday - 1) \x3a\x0a"
"\x09\x09\x09\x09\x09(DAYSPERWEEK - 1))) / DAYSPERWEEK,\x0a"
"\x09\x09\x09\x09\x09\x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'w'\x3a\x0a"
"\x09\x09\x09\x09pt = _conv(t->tm_wday, \x22\x25""d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'X'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(Locale->X_fmt, t, pt, ptlim, warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'x'\x3a\x0a"
"\x09\x09\x09\x09{\x0a"
"\x09\x09\x09\x09int\x09warn2 = IN_SOME;\x0a"
"\x0a"
"\x09\x09\x09\x09pt = _fmt(Locale->x_fmt, t, pt, ptlim, \x26warn2);\x0a"
"\x09\x09\x09\x09if (warn2 == IN_ALL)\x0a"
"\x09\x09\x09\x09\x09warn2 = IN_THIS;\x0a"
"\x09\x09\x09\x09if (warn2 > *warnp)\x0a"
"\x09\x09\x09\x09\x09*warnp = warn2;\x0a"
"\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'y'\x3a\x0a"
"\x09\x09\x09\x09*warnp = IN_ALL;\x0a"
"\x09\x09\x09\x09pt = _yconv(t->tm_year, TM_YEAR_BASE, 0, 1,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'Y'\x3a\x0a"
"\x09\x09\x09\x09pt = _yconv(t->tm_year, TM_YEAR_BASE, 1, 1,\x0a"
"\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'Z'\x3a\x0a"
"#ifdef TM_ZONE\x0a"
"\x09\x09\x09\x09if (t->TM_ZONE \x21= NULL)\x0a"
"\x09\x09\x09\x09\x09pt = _add(t->TM_ZONE, pt, ptlim);\x0a"
"\x09\x09\x09\x09""else\x0a"
"#endif /* defined TM_ZONE */\x0a"
"\x09\x09\x09\x09if (t->tm_isdst >= 0)\x0a"
"\x09\x09\x09\x09\x09pt = _add(tzname\x5bt->tm_isdst \x21= 0\x5d,\x0a"
"\x09\x09\x09\x09\x09\x09pt, ptlim);\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** C99 says that \x25Z must be replaced by the\x0a"
"\x09\x09\x09\x09** empty string if the time zone is not\x0a"
"\x09\x09\x09\x09** determinable.\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case 'z'\x3a\x0a"
"\x09\x09\x09\x09{\x0a"
"\x09\x09\x09\x09int\x09\x09""diff;\x0a"
"\x09\x09\x09\x09""char const *\x09sign;\x0a"
"\x0a"
"\x09\x09\x09\x09if (t->tm_isdst < 0)\x0a"
"\x09\x09\x09\x09\x09""continue;\x0a"
"#ifdef TM_GMTOFF\x0a"
"\x09\x09\x09\x09""diff = t->TM_GMTOFF;\x0a"
"#else /* \x21""defined TM_GMTOFF */\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09** C99 says that the UTC offset must\x0a"
"\x09\x09\x09\x09** be computed by looking only at\x0a"
"\x09\x09\x09\x09** tm_isdst. This requirement is\x0a"
"\x09\x09\x09\x09** incorrect, since it means the code\x0a"
"\x09\x09\x09\x09** must rely on magic (in this case\x0a"
"\x09\x09\x09\x09** altzone and timezone), and the\x0a"
"\x09\x09\x09\x09** magic might not have the correct\x0a"
"\x09\x09\x09\x09** offset. Doing things correctly is\x0a"
"\x09\x09\x09\x09** tricky and requires disobeying C99;\x0a"
"\x09\x09\x09\x09** see GNU C strftime for details.\x0a"
"\x09\x09\x09\x09** For now, punt and conform to the\x0a"
"\x09\x09\x09\x09** standard, even though it's incorrect.\x0a"
"\x09\x09\x09\x09**\x0a"
"\x09\x09\x09\x09** C99 says that \x25z must be replaced by the\x0a"
"\x09\x09\x09\x09** empty string if the time zone is not\x0a"
"\x09\x09\x09\x09** determinable, so output nothing if the\x0a"
"\x09\x09\x09\x09** appropriate variables are not available.\x0a"
"\x09\x09\x09\x09*/\x0a"
"\x09\x09\x09\x09if (t->tm_isdst == 0)\x0a"
"#ifdef USG_COMPAT\x0a"
"\x09\x09\x09\x09\x09""diff = -timezone;\x0a"
"#else /* \x21""defined USG_COMPAT */\x0a"
"\x09\x09\x09\x09\x09""continue;\x0a"
"#endif /* \x21""defined USG_COMPAT */\x0a"
"\x09\x09\x09\x09""else\x0a"
"#ifdef ALTZONE\x0a"
"\x09\x09\x09\x09\x09""diff = -altzone;\x0a"
"#else /* \x21""defined ALTZONE */\x0a"
"\x09\x09\x09\x09\x09""continue;\x0a"
"#endif /* \x21""defined ALTZONE */\x0a"
"#endif /* \x21""defined TM_GMTOFF */\x0a"
"\x09\x09\x09\x09if (diff < 0) {\x0a"
"\x09\x09\x09\x09\x09sign = \x22-\x22;\x0a"
"\x09\x09\x09\x09\x09""diff = -diff;\x0a"
"\x09\x09\x09\x09} else\x09sign = \x22+\x22;\x0a"
"\x09\x09\x09\x09pt = _add(sign, pt, ptlim);\x0a"
"\x09\x09\x09\x09""diff /= SECSPERMIN;\x0a"
"\x09\x09\x09\x09""diff = (diff / MINSPERHOUR) * 100 +\x0a"
"\x09\x09\x09\x09\x09(diff \x25 MINSPERHOUR);\x0a"
"\x09\x09\x09\x09pt = _conv(diff, \x22\x25""04d\x22, pt, ptlim);\x0a"
"\x09\x09\x09\x09}\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case '+'\x3a\x0a"
"\x09\x09\x09\x09pt = _fmt(Locale->date_fmt, t, pt, ptlim,\x0a"
"\x09\x09\x09\x09\x09warnp);\x0a"
"\x09\x09\x09\x09""continue;\x0a"
"\x09\x09\x09""case '\x25'\x3a\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09** X311J/88-090 (4.12.3.5)\x3a if conversion char is\x0a"
"\x09\x09\x09** undefined, behavior is undefined. Print out the\x0a"
"\x09\x09\x09** character itself as printf(3) also does.\x0a"
"\x09\x09\x09*/\x0a"
"\x09\x09\x09""default\x3a\x0a"
"\x09\x09\x09\x09""break;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09}\x0a"
"\x09\x09if (pt == ptlim)\x0a"
"\x09\x09\x09""break;\x0a"
"\x09\x09*pt++ = *format;\x0a"
"\x09}\x0a"
"\x09return pt;\x0a"
"}\x0a"
"\x0a"
"static char *\x0a"
"_conv(int n, const char *format, char *pt, const char *ptlim)\x0a"
"{\x0a"
"\x09""char\x09""buf\x5bINT_STRLEN_MAXIMUM(int) + 1\x5d;\x0a"
"\x0a"
"\x09(void) snprintf(buf, sizeof buf, format, n);\x0a"
"\x09return _add(buf, pt, ptlim);\x0a"
"}\x0a"
"\x0a"
"static char *\x0a"
"_add(const char *str, char *pt, const char *ptlim)\x0a"
"{\x0a"
"\x09while (pt < ptlim \x26\x26 (*pt = *str++) \x21= '\x5c""0')\x0a"
"\x09\x09++pt;\x0a"
"\x09return pt;\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
"** POSIX and the C Standard are unclear or inconsistent about\x0a"
"** what \x25""C and \x25y do if the year is negative or exceeds 9999.\x0a"
"** Use the convention that \x25""C concatenated with \x25y yields the\x0a"
"** same output as \x25Y, and that \x25Y contains at least 4 bytes,\x0a"
"** with more only if necessary.\x0a"
"*/\x0a"
"\x0a"
"static char *\x0a"
"_yconv(int a, int b, int convert_top, int convert_yy, char *pt, const char *ptlim)\x0a"
"{\x0a"
"\x09int\x09lead;\x0a"
"\x09int\x09trail;\x0a"
"\x0a"
"#define DIVISOR\x09""100\x0a"
"\x09trail = a \x25 DIVISOR + b \x25 DIVISOR;\x0a"
"\x09lead = a / DIVISOR + b / DIVISOR + trail / DIVISOR;\x0a"
"\x09trail \x25= DIVISOR;\x0a"
"\x09if (trail < 0 \x26\x26 lead > 0) {\x0a"
"\x09\x09trail += DIVISOR;\x0a"
"\x09\x09--lead;\x0a"
"\x09} else if (lead < 0 \x26\x26 trail > 0) {\x0a"
"\x09\x09trail -= DIVISOR;\x0a"
"\x09\x09++lead;\x0a"
"\x09}\x0a"
"\x09if (convert_top) {\x0a"
"\x09\x09if (lead == 0 \x26\x26 trail < 0)\x0a"
"\x09\x09\x09pt = _add(\x22-0\x22, pt, ptlim);\x0a"
"\x09\x09""else\x09pt = _conv(lead, \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09}\x0a"
"\x09if (convert_yy)\x0a"
"\x09\x09pt = _conv(((trail < 0) \x3f -trail \x3a trail), \x22\x25""02d\x22, pt, ptlim);\x0a"
"\x09return pt;\x0a"
"}\x0a"
"\x0a"
"#ifdef LOCALE_HOME\x0a"
"static struct lc_time_T *\x0a"
"_loc(void)\x0a"
"{\x0a"
"\x09static const char\x09locale_home\x5b\x5d = LOCALE_HOME;\x0a"
"\x09static const char\x09lc_time\x5b\x5d = \x22LC_TIME\x22;\x0a"
"\x09static char *\x09\x09locale_buf;\x0a"
"\x0a"
"\x09int\x09\x09\x09""fd;\x0a"
"\x09int\x09\x09\x09oldsun;\x09/* \x22...ain't got nothin' to do...\x22 */\x0a"
"\x09int\x09\x09\x09len;\x0a"
"\x09""char *\x09\x09\x09lbuf;\x0a"
"\x09""char *\x09\x09\x09nlbuf;\x0a"
"\x09""char *\x09\x09\x09name;\x0a"
"\x09""char *\x09\x09\x09p;\x0a"
"\x09""const char **\x09\x09""ap;\x0a"
"\x09""const char *\x09\x09plim;\x0a"
"\x09""char\x09\x09\x09""filename\x5bPATH_MAX\x5d;\x0a"
"\x09struct stat\x09\x09st;\x0a"
"\x09size_t\x09\x09\x09namesize;\x0a"
"\x09size_t\x09\x09\x09""bufsize;\x0a"
"\x0a"
"\x09/*\x0a"
"\x09** Use localebuf.mon\x5b""0\x5d to signal whether locale is already set up.\x0a"
"\x09*/\x0a"
"\x09if (localebuf.mon\x5b""0\x5d)\x0a"
"\x09\x09return \x26localebuf;\x0a"
"\x09name = setlocale(LC_TIME, (char *) NULL);\x0a"
"\x09if (name == NULL \x7c\x7c *name == '\x5c""0')\x0a"
"\x09\x09goto no_locale;\x0a"
"\x09/*\x0a"
"\x09** If the locale name is the same as our cache, use the cache.\x0a"
"\x09*/\x0a"
"\x09lbuf = locale_buf;\x0a"
"\x09if (lbuf \x21= NULL \x26\x26 strcmp(name, lbuf) == 0) {\x0a"
"\x09\x09p = lbuf;\x0a"
"\x09\x09""for (ap = (const char **) \x26localebuf;\x0a"
"\x09\x09\x09""ap < (const char **) (\x26localebuf + 1);\x0a"
"\x09\x09\x09\x09++ap)\x0a"
"\x09\x09\x09\x09\x09*ap = p += strlen(p) + 1;\x0a"
"\x09\x09return \x26localebuf;\x0a"
"\x09}\x0a"
"\x09/*\x0a"
"\x09** Slurp the locale file into the cache.\x0a"
"\x09*/\x0a"
"\x09namesize = strlen(name) + 1;\x0a"
"\x09if (sizeof filename <\x0a"
"\x09\x09((sizeof locale_home) + namesize + (sizeof lc_time)))\x0a"
"\x09\x09\x09goto no_locale;\x0a"
"\x09oldsun = 0;\x0a"
"\x09len = snprintf(filename, sizeof filename, \x22\x25s/\x25s/\x25s\x22, locale_home,\x0a"
"\x09    name, lc_time);\x0a"
"\x09if (len < 0 \x7c\x7c len >= sizeof filename)\x0a"
"\x09\x09goto no_locale;\x0a"
"\x09""fd = open(filename, O_RDONLY);\x0a"
"\x09if (fd < 0) {\x0a"
"\x09\x09/*\x0a"
"\x09\x09** Old Sun systems have a different naming and data convention.\x0a"
"\x09\x09*/\x0a"
"\x09\x09oldsun = 1;\x0a"
"\x09\x09len = snprintf(filename, sizeof filename, \x22\x25s/\x25s/\x25s\x22,\x0a"
"\x09\x09\x09locale_home, lc_time, name);\x0a"
"\x09\x09if (len < 0 \x7c\x7c len >= sizeof filename)\x0a"
"\x09\x09\x09goto no_locale;\x0a"
"\x09\x09""fd = open(filename, O_RDONLY);\x0a"
"\x09\x09if (fd < 0)\x0a"
"\x09\x09\x09goto no_locale;\x0a"
"\x09}\x0a"
"\x09if (__libc_fstat(fd, \x26st) \x21= 0)\x0a"
"\x09\x09goto bad_locale;\x0a"
"\x09if (st.st_size <= 0)\x0a"
"\x09\x09goto bad_locale;\x0a"
"\x09""bufsize = namesize + st.st_size;\x0a"
"\x09locale_buf = NULL;\x0a"
"\x09nlbuf = realloc(lbuf, bufsize);\x0a"
"\x09if (nlbuf == NULL) {\x0a"
"\x09\x09""free(lbuf);\x0a"
"\x09\x09lbuf = NULL;\x0a"
"\x09\x09goto bad_locale;\x0a"
"\x09}\x0a"
"\x09lbuf = nlbuf;\x0a"
"\x09(void) strlcpy(lbuf, name, bufsize);\x0a"
"\x09p = lbuf + namesize;\x0a"
"\x09plim = p + st.st_size;\x0a"
"\x09if (__libc_read(fd, p, st.st_size) \x21= st.st_size)\x0a"
"\x09\x09goto bad_lbuf;\x0a"
"\x09if (__libc_close(fd) \x21= 0)\x0a"
"\x09\x09goto bad_lbuf;\x0a"
"\x09/*\x0a"
"\x09** Parse the locale file into localebuf.\x0a"
"\x09*/\x0a"
"\x09if (plim\x5b-1\x5d \x21= '\x5cn')\x0a"
"\x09\x09goto bad_lbuf;\x0a"
"\x09""for (ap = (const char **) \x26localebuf;\x0a"
"\x09\x09""ap < (const char **) (\x26localebuf + 1);\x0a"
"\x09\x09\x09++ap) {\x0a"
"\x09\x09\x09\x09if (p == plim)\x0a"
"\x09\x09\x09\x09\x09goto bad_lbuf;\x0a"
"\x09\x09\x09\x09*ap = p;\x0a"
"\x09\x09\x09\x09while (*p \x21= '\x5cn')\x0a"
"\x09\x09\x09\x09\x09++p;\x0a"
"\x09\x09\x09\x09*p++ = '\x5c""0';\x0a"
"\x09}\x0a"
"\x09if (oldsun) {\x0a"
"\x09\x09/*\x0a"
"\x09\x09** SunOS 4 used an obsolescent format; see localdtconv(3).\x0a"
"\x09\x09** c_fmt had the \x60\x60short format for dates and times together''\x0a"
"\x09\x09** (SunOS 4 date, \x22\x25""a \x25""b \x25""e \x25T \x25Z \x25Y\x22 in the C locale);\x0a"
"\x09\x09** date_fmt had the \x60\x60long format for dates''\x0a"
"\x09\x09** (SunOS 4 strftime \x25""C, \x22\x25""A, \x25""B \x25""e, \x25Y\x22 in the C locale).\x0a"
"\x09\x09** Discard the latter in favor of the former.\x0a"
"\x09\x09*/\x0a"
"\x09\x09localebuf.date_fmt = localebuf.c_fmt;\x0a"
"\x09}\x0a"
"\x09/*\x0a"
"\x09** Record the successful parse in the cache.\x0a"
"\x09*/\x0a"
"\x09locale_buf = lbuf;\x0a"
"\x0a"
"\x09return \x26localebuf;\x0a"
"\x0a"
"bad_lbuf\x3a\x0a"
"\x09""free(lbuf);\x0a"
"bad_locale\x3a\x0a"
"\x09(void) __libc_close(fd);\x0a"
"no_locale\x3a\x0a"
"\x09localebuf = C_time_locale;\x0a"
"\x09locale_buf = NULL;\x0a"
"\x09return \x26localebuf;\x0a"
"}\x0a"
"#endif /* defined LOCALE_HOME */\x0a"
"", 18295 ); }