#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_uchar__PDCLIB_c32srtombs_c( 
"/* _PDCLIB_c32srtombs( char *, const char32_t * *, size_t, mbstate_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <uchar.h>\x0a"
"#include <errno.h>\x0a"
"#include <stdint.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"static size_t _PDCLIB_c32srtombs_l(\x0a"
"    char                *restrict   dst, \x0a"
"    const char32_t     **restrict   src, \x0a"
"    size_t                          len, \x0a"
"    mbstate_t           *restrict   ps,\x0a"
"    _PDCLIB_locale_t     restrict   l)\x0a"
"{\x0a"
"    char *restrict *restrict dstp = dst \x3f \x26""dst \x3a NULL;\x0a"
"    len = dst \x3f len \x3a SIZE_MAX;\x0a"
"\x0a"
"    size_t srclen = _PDCLIB_c32slen(*src);\x0a"
"    size_t dstlen = len;\x0a"
"\x0a"
"    if(l->_Codec->__c32stombs(dstp, \x26""dstlen, src, \x26srclen, ps)) {\x0a"
"        // Successful conversion\x0a"
"        return len - dstlen;\x0a"
"    } else {\x0a"
"        // Failed conversion\x0a"
"        errno = EILSEQ;\x0a"
"        return (size_t) -1;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"size_t _PDCLIB_c32srtombs(\x0a"
"    char                *restrict   dst, \x0a"
"    const char32_t     **restrict   src, \x0a"
"    size_t                          len, \x0a"
"    mbstate_t           *restrict   ps\x0a"
")\x0a"
"{\x0a"
"    return _PDCLIB_c32srtombs_l(dst, src, len, ps, _PDCLIB_threadlocale());\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( NO_TESTDRIVER );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1382 ); }