#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_uchar_c32rtomb_c( 
"/* c32rtomb( char *, char32_t, mbstate_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <uchar.h>\x0a"
"#include <errno.h>\x0a"
"#include <stdint.h>\x0a"
"#include <assert.h>\x0a"
"#include <stdlib.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"size_t c32rtomb_l(\x0a"
"    char        *restrict   s, \x0a"
"    char32_t                c32,\x0a"
"    mbstate_t   *restrict   ps,\x0a"
"    locale_t     restrict   l\x0a"
")\x0a"
"{\x0a"
"    char buf\x5bs \x3f 0 \x3a MB_CUR_MAX\x5d;\x0a"
"    s =      s \x3f s \x3a buf;\x0a"
"\x0a"
"    const char32_t *restrict psrc = \x26""c32;\x0a"
"    size_t srcsz  = 1;\x0a"
"    size_t dstsz  = MB_CUR_MAX;\x0a"
"    size_t dstrem = dstsz;\x0a"
"\x0a"
"    if(l->_Codec->__c32stombs(\x26s, \x26""dstrem, \x26psrc, \x26srcsz, ps)) {\x0a"
"        // Successful conversion\x0a"
"        return dstsz - dstrem;\x0a"
"    } else {\x0a"
"        errno = EILSEQ;\x0a"
"        return (size_t) -1;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"size_t c32rtomb(\x0a"
"    char        *restrict   s, \x0a"
"    char32_t                c32,\x0a"
"    mbstate_t   *restrict   ps\x0a"
")\x0a"
"{\x0a"
"    return c32rtomb_l(s, c32, ps, _PDCLIB_threadlocale());\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( NO_TESTDRIVER );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1206 ); }