#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_uchar_mbrtoc32_c( 
"/* size_t mbrtoc32( char32_t *, const char *, size_t, mbstate_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"#include <uchar.h>\x0a"
"#include <errno.h>\x0a"
"#include <stdint.h>\x0a"
"#include <assert.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"size_t mbrtoc32_l(\x0a"
"    char32_t    *restrict   pc32,\x0a"
"    const char  *restrict   s, \x0a"
"    size_t                  n,\x0a"
"    mbstate_t   *restrict   ps,\x0a"
"    locale_t     restrict   l\x0a"
")\x0a"
"{\x0a"
"    size_t dstlen = 1;\x0a"
"    size_t nr = n;\x0a"
"\x0a"
"    if(l->_Codec->__mbstoc32s(\x26pc32, \x26""dstlen, \x26s, \x26nr, ps)) {\x0a"
"        // Successful conversion\x0a"
"        if(dstlen == 0) {\x0a"
"            // A character was output\x0a"
"            if(nr == n) {\x0a"
"                // The output character resulted entirely from stored state\x0a"
"                // With UTF-32, this shouldn't be possible\x3f\x0a"
"                return (size_t) -3;\x0a"
"            } else if(pc32\x5b-1\x5d == 0) {\x0a"
"                // Was null character\x0a"
"                return 0;\x0a"
"            } else {\x0a"
"                // Count of processed characters\x0a"
"                return n - nr;\x0a"
"            }\x0a"
"        } else {\x0a"
"            assert(nr == 0 \x26\x26 \x22Must have processed whole input\x22);\x0a"
"            return (size_t) -2;\x0a"
"        }\x0a"
"    } else {\x0a"
"        // Failed conversion\x0a"
"        errno = EILSEQ;\x0a"
"        return (size_t) -1;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"size_t mbrtoc32(\x0a"
"    char32_t    *restrict   pc32,\x0a"
"    const char  *restrict   s, \x0a"
"    size_t                  n,\x0a"
"    mbstate_t   *restrict   ps\x0a"
")\x0a"
"{\x0a"
"    return mbrtoc32_l(pc32, s, n, ps, _PDCLIB_threadlocale());\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( NO_TESTDRIVER );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1734 ); }