#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_unistd_getcwd_c( 
"#include <sys/hostabi.h>\x0a"
"\x0a"
"#if _HOST_is_openbsd /* on OpenBSD, the real syscall is __getcwd */\x0a"
"\x0a"
"#include <sys/syscall.h>\x0a"
"#include <fcntl.h>\x0a"
"#include <errno.h>\x0a"
"#include <stdlib.h>\x0a"
"#include <limits.h>\x0a"
"\x0a"
"char *__libc_getcwd( char *buf, size_t size )\x0a"
"{\x0a"
"    char *allocated = NULL;\x0a"
"\x0a"
"    if ( buf \x21= NULL \x26\x26 size == 0 )\x0a"
"    {\x0a"
"        errno = EINVAL;\x0a"
"        return NULL;\x0a"
"    }\x0a"
"\x0a"
"    if ( \x21""buf \x26\x26 \x21( allocated = buf = malloc( size = PATH_MAX ) ) )\x0a"
"        return NULL;\x0a"
"\x0a"
"    if ( __getcwd(buf, size) == -1 )\x0a"
"    {\x0a"
"        free( allocated );\x0a"
"        return NULL;\x0a"
"    }\x0a"
"\x0a"
"    return buf;\x0a"
"}\x0a"
"\x0a"
"char *getcwd( char *, size_t ) __attribute__ ((weak, alias( \x22__libc_getcwd\x22 )));\x0a"
"\x0a"
"#endif\x0a"
"", 666 ); }