#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_unistd_getopt_long_c( 
"/*\x09\x24OpenBSD\x3a getopt_long.c,v 1.29 2015/10/01 02\x3a""32\x3a""07 guenther Exp \x24\x09*/\x0a"
"/*\x09\x24NetBSD\x3a getopt_long.c,v 1.15 2002/01/31 22\x3a""43\x3a""40 tv Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 2002 Todd C. Miller <Todd.Miller\x40""courtesan.com>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" *\x0a"
" * Sponsored in part by the Defense Advanced Research Projects\x0a"
" * Agency (DARPA) and Air Force Research Laboratory, Air Force\x0a"
" * Materiel Command, USAF, under agreement number F39502-99-1-0512.\x0a"
" */\x0a"
"/*-\x0a"
" * Copyright (c) 2000 The NetBSD Foundation, Inc.\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * This code is derived from software contributed to The NetBSD Foundation\x0a"
" * by Dieter Baron and Thomas Klausner.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\x0a"
" * \x60\x60""AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\x0a"
" * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\x0a"
" * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS\x0a"
" * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\x0a"
" * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\x0a"
" * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\x0a"
" * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\x0a"
" * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\x0a"
" * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\x0a"
" * POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <err.h>\x0a"
"#include <errno.h>\x0a"
"#include <getopt.h>\x0a"
"#include <stdlib.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"int\x09opterr = 1;\x09\x09/* if error message should be printed */\x0a"
"int\x09optind = 1;\x09\x09/* index into parent argv vector */\x0a"
"int\x09optopt = '\x3f';\x09\x09/* character checked for validity */\x0a"
"int\x09optreset;\x09\x09/* reset getopt */\x0a"
"char    *optarg;\x09\x09/* argument associated with option */\x0a"
"\x0a"
"#if 0\x0a"
"/* DEF_* only work on initialized (non-COMMON) variables */\x0a"
"DEF_WEAK(opterr);\x0a"
"DEF_WEAK(optind);\x0a"
"DEF_WEAK(optopt);\x0a"
"#endif\x0a"
"\x0a"
"#define PRINT_ERROR\x09((opterr) \x26\x26 (*options \x21= '\x3a'))\x0a"
"\x0a"
"#define FLAG_PERMUTE\x09""0x01\x09/* permute non-options to the end of argv */\x0a"
"#define FLAG_ALLARGS\x09""0x02\x09/* treat non-options as args to option \x22-1\x22 */\x0a"
"#define FLAG_LONGONLY\x09""0x04\x09/* operate as getopt_long_only */\x0a"
"\x0a"
"/* return values */\x0a"
"#define\x09""BADCH\x09\x09(int)'\x3f'\x0a"
"#define\x09""BADARG\x09\x09((*options == '\x3a') \x3f (int)'\x3a' \x3a (int)'\x3f')\x0a"
"#define\x09INORDER \x09(int)1\x0a"
"\x0a"
"#define\x09""EMSG\x09\x09\x22\x22\x0a"
"\x0a"
"static int getopt_internal(int, char * const *, const char *,\x0a"
"\x09\x09\x09   const struct option *, int *, int);\x0a"
"static int parse_long_options(char * const *, const char *,\x0a"
"\x09\x09\x09      const struct option *, int *, int, int);\x0a"
"static int gcd(int, int);\x0a"
"static void permute_args(int, int, int, char * const *);\x0a"
"\x0a"
"static char *place = EMSG; /* option letter processing */\x0a"
"\x0a"
"/* XXX\x3a set optreset to 1 rather than these two */\x0a"
"static int nonopt_start = -1; /* first non option argument (for permute) */\x0a"
"static int nonopt_end = -1;   /* first option after non options (for permute) */\x0a"
"\x0a"
"/* Error messages */\x0a"
"static const char recargchar\x5b\x5d = \x22option requires an argument -- \x25""c\x22;\x0a"
"static const char recargstring\x5b\x5d = \x22option requires an argument -- \x25s\x22;\x0a"
"static const char ambig\x5b\x5d = \x22""ambiguous option -- \x25.*s\x22;\x0a"
"static const char noarg\x5b\x5d = \x22option doesn't take an argument -- \x25.*s\x22;\x0a"
"static const char illoptchar\x5b\x5d = \x22unknown option -- \x25""c\x22;\x0a"
"static const char illoptstring\x5b\x5d = \x22unknown option -- \x25s\x22;\x0a"
"\x0a"
"/*\x0a"
" * Compute the greatest common divisor of a and b.\x0a"
" */\x0a"
"static int\x0a"
"gcd(int a, int b)\x0a"
"{\x0a"
"\x09int c;\x0a"
"\x0a"
"\x09""c = a \x25 b;\x0a"
"\x09while (c \x21= 0) {\x0a"
"\x09\x09""a = b;\x0a"
"\x09\x09""b = c;\x0a"
"\x09\x09""c = a \x25 b;\x0a"
"\x09}\x0a"
"\x0a"
"\x09return (b);\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * Exchange the block from nonopt_start to nonopt_end with the block\x0a"
" * from nonopt_end to opt_end (keeping the same order of arguments\x0a"
" * in each block).\x0a"
" */\x0a"
"static void\x0a"
"permute_args(int panonopt_start, int panonopt_end, int opt_end,\x0a"
"\x09""char * const *nargv)\x0a"
"{\x0a"
"\x09int cstart, cyclelen, i, j, ncycle, nnonopts, nopts, pos;\x0a"
"\x09""char *swap;\x0a"
"\x0a"
"\x09/*\x0a"
"\x09 * compute lengths of blocks and number and size of cycles\x0a"
"\x09 */\x0a"
"\x09nnonopts = panonopt_end - panonopt_start;\x0a"
"\x09nopts = opt_end - panonopt_end;\x0a"
"\x09ncycle = gcd(nnonopts, nopts);\x0a"
"\x09""cyclelen = (opt_end - panonopt_start) / ncycle;\x0a"
"\x0a"
"\x09""for (i = 0; i < ncycle; i++) {\x0a"
"\x09\x09""cstart = panonopt_end+i;\x0a"
"\x09\x09pos = cstart;\x0a"
"\x09\x09""for (j = 0; j < cyclelen; j++) {\x0a"
"\x09\x09\x09if (pos >= panonopt_end)\x0a"
"\x09\x09\x09\x09pos -= nnonopts;\x0a"
"\x09\x09\x09""else\x0a"
"\x09\x09\x09\x09pos += nopts;\x0a"
"\x09\x09\x09swap = nargv\x5bpos\x5d;\x0a"
"\x09\x09\x09((char **)nargv)\x5bpos\x5d = nargv\x5b""cstart\x5d;\x0a"
"\x09\x09\x09((char **)nargv)\x5b""cstart\x5d = swap;\x0a"
"\x09\x09}\x0a"
"\x09}\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * parse_long_options --\x0a"
" *\x09Parse long options in argc/argv argument vector.\x0a"
" * Returns -1 if short_too is set and the option does not match long_options.\x0a"
" */\x0a"
"static int\x0a"
"parse_long_options(char * const *nargv, const char *options,\x0a"
"\x09""const struct option *long_options, int *idx, int short_too, int flags)\x0a"
"{\x0a"
"\x09""char *current_argv, *has_equal;\x0a"
"\x09size_t current_argv_len;\x0a"
"\x09int i, match, exact_match, second_partial_match;\x0a"
"\x0a"
"\x09""current_argv = place;\x0a"
"\x09match = -1;\x0a"
"\x09""exact_match = 0;\x0a"
"\x09second_partial_match = 0;\x0a"
"\x0a"
"\x09optind++;\x0a"
"\x0a"
"\x09if ((has_equal = strchr(current_argv, '=')) \x21= NULL) {\x0a"
"\x09\x09/* argument found (--option=arg) */\x0a"
"\x09\x09""current_argv_len = has_equal - current_argv;\x0a"
"\x09\x09has_equal++;\x0a"
"\x09} else\x0a"
"\x09\x09""current_argv_len = strlen(current_argv);\x0a"
"\x0a"
"\x09""for (i = 0; long_options\x5bi\x5d.name; i++) {\x0a"
"\x09\x09/* find matching long option */\x0a"
"\x09\x09if (strncmp(current_argv, long_options\x5bi\x5d.name,\x0a"
"\x09\x09    current_argv_len))\x0a"
"\x09\x09\x09""continue;\x0a"
"\x0a"
"\x09\x09if (strlen(long_options\x5bi\x5d.name) == current_argv_len) {\x0a"
"\x09\x09\x09/* exact match */\x0a"
"\x09\x09\x09match = i;\x0a"
"\x09\x09\x09""exact_match = 1;\x0a"
"\x09\x09\x09""break;\x0a"
"\x09\x09}\x0a"
"\x09\x09/*\x0a"
"\x09\x09 * If this is a known short option, don't allow\x0a"
"\x09\x09 * a partial match of a single character.\x0a"
"\x09\x09 */\x0a"
"\x09\x09if (short_too \x26\x26 current_argv_len == 1)\x0a"
"\x09\x09\x09""continue;\x0a"
"\x0a"
"\x09\x09if (match == -1)\x09/* first partial match */\x0a"
"\x09\x09\x09match = i;\x0a"
"\x09\x09""else if ((flags \x26 FLAG_LONGONLY) \x7c\x7c\x0a"
"\x09\x09    long_options\x5bi\x5d.has_arg \x21= long_options\x5bmatch\x5d.has_arg \x7c\x7c\x0a"
"\x09\x09    long_options\x5bi\x5d.flag \x21= long_options\x5bmatch\x5d.flag \x7c\x7c\x0a"
"\x09\x09    long_options\x5bi\x5d.val \x21= long_options\x5bmatch\x5d.val)\x0a"
"\x09\x09\x09second_partial_match = 1;\x0a"
"\x09}\x0a"
"\x09if (\x21""exact_match \x26\x26 second_partial_match) {\x0a"
"\x09\x09/* ambiguous abbreviation */\x0a"
"\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09warnx(ambig, (int)current_argv_len, current_argv);\x0a"
"\x09\x09optopt = 0;\x0a"
"\x09\x09return (BADCH);\x0a"
"\x09}\x0a"
"\x09if (match \x21= -1) {\x09\x09/* option found */\x0a"
"\x09\x09if (long_options\x5bmatch\x5d.has_arg == no_argument\x0a"
"\x09\x09    \x26\x26 has_equal) {\x0a"
"\x09\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09\x09warnx(noarg, (int)current_argv_len,\x0a"
"\x09\x09\x09\x09     current_argv);\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09 * XXX\x3a GNU sets optopt to val regardless of flag\x0a"
"\x09\x09\x09 */\x0a"
"\x09\x09\x09if (long_options\x5bmatch\x5d.flag == NULL)\x0a"
"\x09\x09\x09\x09optopt = long_options\x5bmatch\x5d.val;\x0a"
"\x09\x09\x09""else\x0a"
"\x09\x09\x09\x09optopt = 0;\x0a"
"\x09\x09\x09return (BADARG);\x0a"
"\x09\x09}\x0a"
"\x09\x09if (long_options\x5bmatch\x5d.has_arg == required_argument \x7c\x7c\x0a"
"\x09\x09    long_options\x5bmatch\x5d.has_arg == optional_argument) {\x0a"
"\x09\x09\x09if (has_equal)\x0a"
"\x09\x09\x09\x09optarg = has_equal;\x0a"
"\x09\x09\x09""else if (long_options\x5bmatch\x5d.has_arg ==\x0a"
"\x09\x09\x09    required_argument) {\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09 * optional argument doesn't use next nargv\x0a"
"\x09\x09\x09\x09 */\x0a"
"\x09\x09\x09\x09optarg = nargv\x5boptind++\x5d;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09}\x0a"
"\x09\x09if ((long_options\x5bmatch\x5d.has_arg == required_argument)\x0a"
"\x09\x09    \x26\x26 (optarg == NULL)) {\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09 * Missing argument; leading '\x3a' indicates no error\x0a"
"\x09\x09\x09 * should be generated.\x0a"
"\x09\x09\x09 */\x0a"
"\x09\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09\x09warnx(recargstring,\x0a"
"\x09\x09\x09\x09    current_argv);\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09 * XXX\x3a GNU sets optopt to val regardless of flag\x0a"
"\x09\x09\x09 */\x0a"
"\x09\x09\x09if (long_options\x5bmatch\x5d.flag == NULL)\x0a"
"\x09\x09\x09\x09optopt = long_options\x5bmatch\x5d.val;\x0a"
"\x09\x09\x09""else\x0a"
"\x09\x09\x09\x09optopt = 0;\x0a"
"\x09\x09\x09--optind;\x0a"
"\x09\x09\x09return (BADARG);\x0a"
"\x09\x09}\x0a"
"\x09} else {\x09\x09\x09/* unknown option */\x0a"
"\x09\x09if (short_too) {\x0a"
"\x09\x09\x09--optind;\x0a"
"\x09\x09\x09return (-1);\x0a"
"\x09\x09}\x0a"
"\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09warnx(illoptstring, current_argv);\x0a"
"\x09\x09optopt = 0;\x0a"
"\x09\x09return (BADCH);\x0a"
"\x09}\x0a"
"\x09if (idx)\x0a"
"\x09\x09*idx = match;\x0a"
"\x09if (long_options\x5bmatch\x5d.flag) {\x0a"
"\x09\x09*long_options\x5bmatch\x5d.flag = long_options\x5bmatch\x5d.val;\x0a"
"\x09\x09return (0);\x0a"
"\x09} else\x0a"
"\x09\x09return (long_options\x5bmatch\x5d.val);\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * getopt_internal --\x0a"
" *\x09Parse argc/argv argument vector.  Called by user level routines.\x0a"
" */\x0a"
"static int\x0a"
"getopt_internal(int nargc, char * const *nargv, const char *options,\x0a"
"\x09""const struct option *long_options, int *idx, int flags)\x0a"
"{\x0a"
"\x09""char *oli;\x09\x09\x09\x09/* option letter list index */\x0a"
"\x09int optchar, short_too;\x0a"
"\x09static int posixly_correct = -1;\x0a"
"\x0a"
"\x09if (options == NULL)\x0a"
"\x09\x09return (-1);\x0a"
"\x0a"
"\x09/*\x0a"
"\x09 * XXX Some GNU programs (like cvs) set optind to 0 instead of\x0a"
"\x09 * XXX using optreset.  Work around this braindamage.\x0a"
"\x09 */\x0a"
"\x09if (optind == 0)\x0a"
"\x09\x09optind = optreset = 1;\x0a"
"\x0a"
"\x09/*\x0a"
"\x09 * Disable GNU extensions if POSIXLY_CORRECT is set or options\x0a"
"\x09 * string begins with a '+'.\x0a"
"\x09 */\x0a"
"\x09if (posixly_correct == -1 \x7c\x7c optreset)\x0a"
"\x09\x09posixly_correct = (getenv(\x22POSIXLY_CORRECT\x22) \x21= NULL);\x0a"
"\x09if (*options == '-')\x0a"
"\x09\x09""flags \x7c= FLAG_ALLARGS;\x0a"
"\x09""else if (posixly_correct \x7c\x7c *options == '+')\x0a"
"\x09\x09""flags \x26= \x7e""FLAG_PERMUTE;\x0a"
"\x09if (*options == '+' \x7c\x7c *options == '-')\x0a"
"\x09\x09options++;\x0a"
"\x0a"
"\x09optarg = NULL;\x0a"
"\x09if (optreset)\x0a"
"\x09\x09nonopt_start = nonopt_end = -1;\x0a"
"start\x3a\x0a"
"\x09if (optreset \x7c\x7c \x21*place) {\x09\x09/* update scanning pointer */\x0a"
"\x09\x09optreset = 0;\x0a"
"\x09\x09if (optind >= nargc) {          /* end of argument vector */\x0a"
"\x09\x09\x09place = EMSG;\x0a"
"\x09\x09\x09if (nonopt_end \x21= -1) {\x0a"
"\x09\x09\x09\x09/* do permutation, if we have to */\x0a"
"\x09\x09\x09\x09permute_args(nonopt_start, nonopt_end,\x0a"
"\x09\x09\x09\x09    optind, nargv);\x0a"
"\x09\x09\x09\x09optind -= nonopt_end - nonopt_start;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09""else if (nonopt_start \x21= -1) {\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09 * If we skipped non-options, set optind\x0a"
"\x09\x09\x09\x09 * to the first of them.\x0a"
"\x09\x09\x09\x09 */\x0a"
"\x09\x09\x09\x09optind = nonopt_start;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09nonopt_start = nonopt_end = -1;\x0a"
"\x09\x09\x09return (-1);\x0a"
"\x09\x09}\x0a"
"\x09\x09if (*(place = nargv\x5boptind\x5d) \x21= '-' \x7c\x7c\x0a"
"\x09\x09    (place\x5b""1\x5d == '\x5c""0' \x26\x26 strchr(options, '-') == NULL)) {\x0a"
"\x09\x09\x09place = EMSG;\x09\x09/* found non-option */\x0a"
"\x09\x09\x09if (flags \x26 FLAG_ALLARGS) {\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09 * GNU extension\x3a\x0a"
"\x09\x09\x09\x09 * return non-option as argument to option 1\x0a"
"\x09\x09\x09\x09 */\x0a"
"\x09\x09\x09\x09optarg = nargv\x5boptind++\x5d;\x0a"
"\x09\x09\x09\x09return (INORDER);\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09if (\x21(flags \x26 FLAG_PERMUTE)) {\x0a"
"\x09\x09\x09\x09/*\x0a"
"\x09\x09\x09\x09 * If no permutation wanted, stop parsing\x0a"
"\x09\x09\x09\x09 * at first non-option.\x0a"
"\x09\x09\x09\x09 */\x0a"
"\x09\x09\x09\x09return (-1);\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09/* do permutation */\x0a"
"\x09\x09\x09if (nonopt_start == -1)\x0a"
"\x09\x09\x09\x09nonopt_start = optind;\x0a"
"\x09\x09\x09""else if (nonopt_end \x21= -1) {\x0a"
"\x09\x09\x09\x09permute_args(nonopt_start, nonopt_end,\x0a"
"\x09\x09\x09\x09    optind, nargv);\x0a"
"\x09\x09\x09\x09nonopt_start = optind -\x0a"
"\x09\x09\x09\x09    (nonopt_end - nonopt_start);\x0a"
"\x09\x09\x09\x09nonopt_end = -1;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09optind++;\x0a"
"\x09\x09\x09/* process next argument */\x0a"
"\x09\x09\x09goto start;\x0a"
"\x09\x09}\x0a"
"\x09\x09if (nonopt_start \x21= -1 \x26\x26 nonopt_end == -1)\x0a"
"\x09\x09\x09nonopt_end = optind;\x0a"
"\x0a"
"\x09\x09/*\x0a"
"\x09\x09 * If we have \x22-\x22 do nothing, if \x22--\x22 we are done.\x0a"
"\x09\x09 */\x0a"
"\x09\x09if (place\x5b""1\x5d \x21= '\x5c""0' \x26\x26 *++place == '-' \x26\x26 place\x5b""1\x5d == '\x5c""0') {\x0a"
"\x09\x09\x09optind++;\x0a"
"\x09\x09\x09place = EMSG;\x0a"
"\x09\x09\x09/*\x0a"
"\x09\x09\x09 * We found an option (--), so if we skipped\x0a"
"\x09\x09\x09 * non-options, we have to permute.\x0a"
"\x09\x09\x09 */\x0a"
"\x09\x09\x09if (nonopt_end \x21= -1) {\x0a"
"\x09\x09\x09\x09permute_args(nonopt_start, nonopt_end,\x0a"
"\x09\x09\x09\x09    optind, nargv);\x0a"
"\x09\x09\x09\x09optind -= nonopt_end - nonopt_start;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09\x09nonopt_start = nonopt_end = -1;\x0a"
"\x09\x09\x09return (-1);\x0a"
"\x09\x09}\x0a"
"\x09}\x0a"
"\x0a"
"\x09/*\x0a"
"\x09 * Check long options if\x3a\x0a"
"\x09 *  1) we were passed some\x0a"
"\x09 *  2) the arg is not just \x22-\x22\x0a"
"\x09 *  3) either the arg starts with -- we are getopt_long_only()\x0a"
"\x09 */\x0a"
"\x09if (long_options \x21= NULL \x26\x26 place \x21= nargv\x5boptind\x5d \x26\x26\x0a"
"\x09    (*place == '-' \x7c\x7c (flags \x26 FLAG_LONGONLY))) {\x0a"
"\x09\x09short_too = 0;\x0a"
"\x09\x09if (*place == '-')\x0a"
"\x09\x09\x09place++;\x09\x09/* --foo long option */\x0a"
"\x09\x09""else if (*place \x21= '\x3a' \x26\x26 strchr(options, *place) \x21= NULL)\x0a"
"\x09\x09\x09short_too = 1;\x09\x09/* could be short option too */\x0a"
"\x0a"
"\x09\x09optchar = parse_long_options(nargv, options, long_options,\x0a"
"\x09\x09    idx, short_too, flags);\x0a"
"\x09\x09if (optchar \x21= -1) {\x0a"
"\x09\x09\x09place = EMSG;\x0a"
"\x09\x09\x09return (optchar);\x0a"
"\x09\x09}\x0a"
"\x09}\x0a"
"\x0a"
"\x09if ((optchar = (int)*place++) == (int)'\x3a' \x7c\x7c\x0a"
"\x09    (optchar == (int)'-' \x26\x26 *place \x21= '\x5c""0') \x7c\x7c\x0a"
"\x09    (oli = strchr(options, optchar)) == NULL) {\x0a"
"\x09\x09/*\x0a"
"\x09\x09 * If the user specified \x22-\x22 and  '-' isn't listed in\x0a"
"\x09\x09 * options, return -1 (non-option) as per POSIX.\x0a"
"\x09\x09 * Otherwise, it is an unknown option character (or '\x3a').\x0a"
"\x09\x09 */\x0a"
"\x09\x09if (optchar == (int)'-' \x26\x26 *place == '\x5c""0')\x0a"
"\x09\x09\x09return (-1);\x0a"
"\x09\x09if (\x21*place)\x0a"
"\x09\x09\x09++optind;\x0a"
"\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09warnx(illoptchar, optchar);\x0a"
"\x09\x09optopt = optchar;\x0a"
"\x09\x09return (BADCH);\x0a"
"\x09}\x0a"
"\x09if (long_options \x21= NULL \x26\x26 optchar == 'W' \x26\x26 oli\x5b""1\x5d == ';') {\x0a"
"\x09\x09/* -W long-option */\x0a"
"\x09\x09if (*place)\x09\x09\x09/* no space */\x0a"
"\x09\x09\x09/* NOTHING */;\x0a"
"\x09\x09""else if (++optind >= nargc) {\x09/* no arg */\x0a"
"\x09\x09\x09place = EMSG;\x0a"
"\x09\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09\x09warnx(recargchar, optchar);\x0a"
"\x09\x09\x09optopt = optchar;\x0a"
"\x09\x09\x09return (BADARG);\x0a"
"\x09\x09} else\x09\x09\x09\x09/* white space */\x0a"
"\x09\x09\x09place = nargv\x5boptind\x5d;\x0a"
"\x09\x09optchar = parse_long_options(nargv, options, long_options,\x0a"
"\x09\x09    idx, 0, flags);\x0a"
"\x09\x09place = EMSG;\x0a"
"\x09\x09return (optchar);\x0a"
"\x09}\x0a"
"\x09if (*++oli \x21= '\x3a') {\x09\x09\x09/* doesn't take argument */\x0a"
"\x09\x09if (\x21*place)\x0a"
"\x09\x09\x09++optind;\x0a"
"\x09} else {\x09\x09\x09\x09/* takes (optional) argument */\x0a"
"\x09\x09optarg = NULL;\x0a"
"\x09\x09if (*place)\x09\x09\x09/* no white space */\x0a"
"\x09\x09\x09optarg = place;\x0a"
"\x09\x09""else if (oli\x5b""1\x5d \x21= '\x3a') {\x09/* arg not optional */\x0a"
"\x09\x09\x09if (++optind >= nargc) {\x09/* no arg */\x0a"
"\x09\x09\x09\x09place = EMSG;\x0a"
"\x09\x09\x09\x09if (PRINT_ERROR)\x0a"
"\x09\x09\x09\x09\x09warnx(recargchar, optchar);\x0a"
"\x09\x09\x09\x09optopt = optchar;\x0a"
"\x09\x09\x09\x09return (BADARG);\x0a"
"\x09\x09\x09} else\x0a"
"\x09\x09\x09\x09optarg = nargv\x5boptind\x5d;\x0a"
"\x09\x09}\x0a"
"\x09\x09place = EMSG;\x0a"
"\x09\x09++optind;\x0a"
"\x09}\x0a"
"\x09/* dump back option letter */\x0a"
"\x09return (optchar);\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * getopt --\x0a"
" *\x09Parse argc/argv argument vector.\x0a"
" *\x0a"
" * \x5b""eventually this will replace the BSD getopt\x5d\x0a"
" */\x0a"
"int\x0a"
"getopt(int nargc, char * const *nargv, const char *options)\x0a"
"{\x0a"
"\x0a"
"\x09/*\x0a"
"\x09 * We don't pass FLAG_PERMUTE to getopt_internal() since\x0a"
"\x09 * the BSD getopt(3) (unlike GNU) has never done this.\x0a"
"\x09 *\x0a"
"\x09 * Furthermore, since many privileged programs call getopt()\x0a"
"\x09 * before dropping privileges it makes sense to keep things\x0a"
"\x09 * as simple (and bug-free) as possible.\x0a"
"\x09 */\x0a"
"\x09return (getopt_internal(nargc, nargv, options, NULL, NULL, 0));\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * getopt_long --\x0a"
" *\x09Parse argc/argv argument vector.\x0a"
" */\x0a"
"int\x0a"
"getopt_long(int nargc, char * const *nargv, const char *options,\x0a"
"    const struct option *long_options, int *idx)\x0a"
"{\x0a"
"\x0a"
"\x09return (getopt_internal(nargc, nargv, options, long_options, idx,\x0a"
"\x09    FLAG_PERMUTE));\x0a"
"}\x0a"
"\x0a"
"/*\x0a"
" * getopt_long_only --\x0a"
" *\x09Parse argc/argv argument vector.\x0a"
" */\x0a"
"int\x0a"
"getopt_long_only(int nargc, char * const *nargv, const char *options,\x0a"
"    const struct option *long_options, int *idx)\x0a"
"{\x0a"
"\x0a"
"\x09return (getopt_internal(nargc, nargv, options, long_options, idx,\x0a"
"\x09    FLAG_PERMUTE\x7c""FLAG_LONGONLY));\x0a"
"}\x0a"
"", 14811 ); }