#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_mbrtowc_c( 
"/* mbrtowc( wchar_t * pwc, const char * s, size_t n, mbstate_t * ps )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"#ifndef REGTEST\x0a"
"#include <errno.h>\x0a"
"#include <stdint.h>\x0a"
"#include <assert.h>\x0a"
"#include \x22_PDCLIB/encoding.h\x22\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"static size_t mbrtowc_l(\x0a"
"    wchar_t    *restrict    pwc, \x0a"
"    const char *restrict    s, \x0a"
"    size_t                  n, \x0a"
"    mbstate_t  *restrict    ps,\x0a"
"    locale_t    restrict    l\x0a"
")\x0a"
"{\x0a"
"    size_t res;\x0a"
"\x0a"
"    if(s == NULL) {\x0a"
"        s = \x22\x22;\x0a"
"        n = 1;\x0a"
"    }\x0a"
"\x0a"
"    if(ps->_PendState == _PendPrefix) {\x0a"
"        res = _PDCLIB_mbrtocwc_l((char32_t *)pwc, \x26ps->_PendChar, 1, ps, l);\x0a"
"        switch(res) {\x0a"
"            case 0\x3a\x0a"
"                // Converted the NUL character\x0a"
"                ps->_PendState = _PendClear;\x0a"
"                return 0;\x0a"
"\x0a"
"            case 1\x3a\x0a"
"                // Successful conversion\x0a"
"                ps->_PendChar = *s;\x0a"
"                return 1;\x0a"
"\x0a"
"            case (size_t) -1\x3a\x0a"
"                // Illegal sequence. mbrtocwc has already set errno.\x0a"
"                return (size_t) -1;\x0a"
"\x0a"
"            case (size_t) -3\x3a\x0a"
"                assert(\x21\x22""Codec had buffered two characters\x22);\x0a"
"                _PDCLIB_UNREACHABLE;\x0a"
"                return 0;\x0a"
"\x0a"
"            case (size_t) -2\x3a\x0a"
"                // Incomplete character, continue\x0a"
"                break;\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    // _PendClear state\x0a"
"    res = _PDCLIB_mbrtocwc_l((char32_t *)pwc, s, n, ps, l);\x0a"
"    switch(res) {\x0a"
"        case (size_t) -3\x3a\x0a"
"            // Converted entirely from internal state\x0a"
"            ps->_PendChar  = *s;\x0a"
"            ps->_PendState = _PendPrefix;\x0a"
"            return 1;\x0a"
"        default\x3a\x0a"
"            return res;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"size_t mbrtowc(\x0a"
"    wchar_t *restrict pwc, \x0a"
"    const char *restrict s, \x0a"
"    size_t n, \x0a"
"    mbstate_t *restrict ps\x0a"
")\x0a"
"{\x0a"
"    static mbstate_t st;\x0a"
"    return mbrtowc_l(pwc, s, n, ps \x3f ps \x3a \x26st, _PDCLIB_threadlocale());\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( NO_TESTDRIVER );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2119 ); }