#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcscoll_c( 
"/* wcscoll( const wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"/* I did much searching as to how various people implement this.\x0a"
" *\x0a"
" * OpenBSD, NetBSD and Musl libc for Linux implement this as a call to wcscmp\x0a"
" * and have various \x22todo\x22 notices on this function, and on the other hand\x0a"
" * glibc implements it as a 500 line function. FreeBSD has an implementation \x0a"
" * which kind of uses their single byte character strcoll data for the first\x0a"
" * 256 characters, but looks incredibly fragile and likely to break.\x0a"
" *\x0a"
" * TL;DR\x3a Nobody uses this, and this will probably work perfectly fine for you.\x0a"
" */\x0a"
"\x0a"
"int wcscoll( const wchar_t * s1, const wchar_t * s2 )\x0a"
"{\x0a"
"    return wcscmp(s1, s2);\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 942 ); }