#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcspbrk_c( 
"/* wcspbrk( const wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t * wcspbrk( const wchar_t * s1, const wchar_t * s2 )\x0a"
"{\x0a"
"    const wchar_t * p1 = s1;\x0a"
"    const wchar_t * p2;\x0a"
"    while ( *p1 )\x0a"
"    {\x0a"
"        p2 = s2;\x0a"
"        while ( *p2 )\x0a"
"        {\x0a"
"            if ( *p1 == *p2++ )\x0a"
"            {\x0a"
"                return (wchar_t *) p1;\x0a"
"            }\x0a"
"        }\x0a"
"        ++p1;\x0a"
"    }\x0a"
"    return NULL;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE( wcspbrk( wabcde, L\x22x\x22 ) == NULL );\x0a"
"    TESTCASE( wcspbrk( wabcde, L\x22xyz\x22 ) == NULL );\x0a"
"    TESTCASE( wcspbrk( wabcdx, L\x22x\x22 ) == \x26wabcdx\x5b""4\x5d );\x0a"
"    TESTCASE( wcspbrk( wabcdx, L\x22xyz\x22 ) == \x26wabcdx\x5b""4\x5d );\x0a"
"    TESTCASE( wcspbrk( wabcdx, L\x22zyx\x22 ) == \x26wabcdx\x5b""4\x5d );\x0a"
"    TESTCASE( wcspbrk( wabcde, L\x22""a\x22 ) == \x26wabcde\x5b""0\x5d );\x0a"
"    TESTCASE( wcspbrk( wabcde, L\x22""abc\x22 ) == \x26wabcde\x5b""0\x5d );\x0a"
"    TESTCASE( wcspbrk( wabcde, L\x22""cba\x22 ) == \x26wabcde\x5b""0\x5d );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1098 ); }