#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wcstok_c( 
"/* wcstok( wchar_t *, const wchar_t * )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t * wcstok( wchar_t * _PDCLIB_restrict s1, \x0a"
"                  const wchar_t * _PDCLIB_restrict s2,\x0a"
"                  wchar_t ** _PDCLIB_restrict ptr )\x0a"
"{\x0a"
"    const wchar_t * p = s2;\x0a"
"\x0a"
"    if ( s1 \x21= NULL )\x0a"
"    {\x0a"
"        /* new string */\x0a"
"        *ptr = s1;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        /* old string continued */\x0a"
"        if ( *ptr == NULL )\x0a"
"        {\x0a"
"            /* No old string, no new string, nothing to do */\x0a"
"            return NULL;\x0a"
"        }\x0a"
"        s1 = *ptr;\x0a"
"    }\x0a"
"\x0a"
"    /* skipping leading s2 characters */\x0a"
"    while ( *p \x26\x26 *s1 )\x0a"
"    {\x0a"
"        if ( *s1 == *p )\x0a"
"        {\x0a"
"            /* found seperator; skip and start over */\x0a"
"            ++s1;\x0a"
"            p = s2;\x0a"
"            continue;\x0a"
"        }\x0a"
"        ++p;\x0a"
"    }\x0a"
"\x0a"
"    if ( \x21 *s1 )\x0a"
"    {\x0a"
"        /* no more to parse */\x0a"
"        return ( *ptr = NULL );\x0a"
"    }\x0a"
"\x0a"
"    /* skipping non-s2 characters */\x0a"
"    *ptr = s1;\x0a"
"    while ( **ptr )\x0a"
"    {\x0a"
"        p = s2;\x0a"
"        while ( *p )\x0a"
"        {\x0a"
"            if ( **ptr == *p++ )\x0a"
"            {\x0a"
"                /* found seperator; overwrite with '\x5c""0', position *ptr, return */\x0a"
"                *(*ptr)++ = L'\x5c""0';\x0a"
"                return s1;\x0a"
"            }\x0a"
"        }\x0a"
"        ++(*ptr);\x0a"
"    }\x0a"
"\x0a"
"    /* parsed to end of string */\x0a"
"    *ptr = NULL;\x0a"
"    return s1;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    // MinGW at least has a very nonconforming (different signature\x21) variety\x0a"
"    // of wcstok\x0a"
"#ifndef REGTEST\x0a"
"    wchar_t s\x5b\x5d = L\x22_a_bc__d_\x22;\x0a"
"    wchar_t* state  = NULL;\x0a"
"    wchar_t* tokres;\x0a"
"\x0a"
"    TESTCASE( ( tokres = wcstok( s, L\x22_\x22, \x26state ) ) == \x26s\x5b""1\x5d );\x0a"
"    TESTCASE( s\x5b""1\x5d == L'a' );\x0a"
"    TESTCASE( s\x5b""2\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( ( tokres = wcstok( NULL, L\x22_\x22, \x26state ) ) == \x26s\x5b""3\x5d );\x0a"
"    TESTCASE( s\x5b""3\x5d == L'b' );\x0a"
"    TESTCASE( s\x5b""4\x5d == L'c' );\x0a"
"    TESTCASE( s\x5b""5\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( ( tokres = wcstok( NULL, L\x22_\x22, \x26state ) ) == \x26s\x5b""7\x5d );\x0a"
"    TESTCASE( s\x5b""6\x5d == L'_' );\x0a"
"    TESTCASE( s\x5b""7\x5d == L'd' );\x0a"
"    TESTCASE( s\x5b""8\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( ( tokres = wcstok( NULL, L\x22_\x22, \x26state ) ) == NULL );\x0a"
"    wcscpy( s, L\x22""ab_cd\x22 );\x0a"
"    TESTCASE( ( tokres = wcstok( s, L\x22_\x22, \x26state ) ) == \x26s\x5b""0\x5d );\x0a"
"    TESTCASE( s\x5b""0\x5d == L'a' );\x0a"
"    TESTCASE( s\x5b""1\x5d == L'b' );\x0a"
"    TESTCASE( s\x5b""2\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( ( tokres = wcstok( NULL, L\x22_\x22, \x26state ) ) == \x26s\x5b""3\x5d );\x0a"
"    TESTCASE( s\x5b""3\x5d == L'c' );\x0a"
"    TESTCASE( s\x5b""4\x5d == L'd' );\x0a"
"    TESTCASE( s\x5b""5\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( ( tokres = wcstok( NULL, L\x22_\x22, \x26state ) ) == NULL );\x0a"
"#endif\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 2691 ); }