#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wchar_wmemcpy_c( 
"/* wmemcpy( wchar_t *, const wchar_t *, size_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wchar.h>\x0a"
"\x0a"
"#ifndef REGTEST\x0a"
"\x0a"
"wchar_t * wmemcpy( wchar_t * _PDCLIB_restrict dest, \x0a"
"                   const wchar_t * _PDCLIB_restrict src, \x0a"
"                   size_t n )\x0a"
"{\x0a"
"    wchar_t* rv = dest;\x0a"
"    while ( n-- )\x0a"
"    {\x0a"
"        *dest++ = *src++;\x0a"
"    }\x0a"
"    return rv;\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    wchar_t s\x5b\x5d = L\x22xxxxxxxxxxx\x22;\x0a"
"    TESTCASE( wmemcpy( s, wabcde, 6 ) == s );\x0a"
"    TESTCASE( s\x5b""4\x5d == L'e' );\x0a"
"    TESTCASE( s\x5b""5\x5d == L'\x5c""0' );\x0a"
"    TESTCASE( wmemcpy( s + 5, wabcde, 5 ) == s + 5 );\x0a"
"    TESTCASE( s\x5b""9\x5d == L'e' );\x0a"
"    TESTCASE( s\x5b""10\x5d == L'x' );\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 822 ); }