#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wctype_towctrans_c( 
"/* towctrans( wint_t, wctrans_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wctype.h>\x0a"
"#ifndef REGTEST\x0a"
"#include <string.h>\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"wint_t _PDCLIB_towctrans_l( wint_t wc, wctrans_t trans, locale_t l )\x0a"
"{\x0a"
"    switch( trans ) {\x0a"
"        case 0\x3a                         return wc;\x0a"
"        case _PDCLIB_WCTRANS_TOLOWER\x3a   return _PDCLIB_towlower_l( wc, l );\x0a"
"        case _PDCLIB_WCTRANS_TOUPPER\x3a   return _PDCLIB_towupper_l( wc, l );\x0a"
"        default\x3a abort();\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"wint_t towctrans( wint_t wc, wctrans_t trans )\x0a"
"{\x0a"
"    return _PDCLIB_towctrans_l( wc, trans, _PDCLIB_threadlocale() );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE(towctrans(L'a', wctrans(\x22toupper\x22)) == L'A');\x0a"
"    TESTCASE(towctrans(L'B', wctrans(\x22toupper\x22)) == L'B');\x0a"
"    TESTCASE(towctrans(L'a', wctrans(\x22tolower\x22)) == L'a');\x0a"
"    TESTCASE(towctrans(L'B', wctrans(\x22tolower\x22)) == L'b');\x0a"
"    TESTCASE(towctrans(L'B', wctrans(\x22invalid\x22)) == L'B');\x0a"
"    TESTCASE(towctrans(L'B', 0)                  == L'B');\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 1164 ); }