#include <string_view>
namespace divine::str::dios {
extern const std::string_view libc_wctype_towlower_c( 
"/* towlower( wint_t )\x0a"
"\x0a"
"   This file is part of the Public Domain C Library (PDCLib).\x0a"
"   Permission is granted to use, modify, and / or redistribute at will.\x0a"
"*/\x0a"
"\x0a"
"#include <wctype.h>\x0a"
"#ifndef REGTEST\x0a"
"#include \x22_PDCLIB/locale.h\x22\x0a"
"\x0a"
"wint_t _PDCLIB_towlower_l( wint_t wc, locale_t l )\x0a"
"{\x0a"
"    wint_t uwc = _PDCLIB_unpackwint( wc );\x0a"
"    _PDCLIB_wcinfo_t *info = _PDCLIB_wcgetinfo( l, uwc );\x0a"
"    if( info ) \x0a"
"    {\x0a"
"        uwc += info->lower_delta;\x0a"
"    }\x0a"
"    return uwc;\x0a"
"}\x0a"
"\x0a"
"wint_t towlower( wint_t wc )\x0a"
"{\x0a"
"    return _PDCLIB_towlower_l( wc, _PDCLIB_threadlocale() );\x0a"
"}\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#ifdef TEST\x0a"
"#include \x22_PDCLIB_test.h\x22\x0a"
"\x0a"
"int main( void )\x0a"
"{\x0a"
"    TESTCASE(towlower(0) == 0);\x0a"
"    TESTCASE(towlower(L'a') == L'a');\x0a"
"    TESTCASE(towlower(L'B') == L'b');\x0a"
"    TESTCASE(towlower(L'0') == L'0');\x0a"
"\x0a"
"    return TEST_RESULTS;\x0a"
"}\x0a"
"#endif\x0a"
"", 803 ); }