#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___config( 
"// -*- C++ -*-\x0a"
"//===--------------------------- __config ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CONFIG\x0a"
"#define _LIBCPP_CONFIG\x0a"
"\x0a"
"#if defined(_MSC_VER) \x26\x26 \x21""defined(__clang__)\x0a"
"#  if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#    define _LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#ifdef __GNUC__\x0a"
"#  define _GNUC_VER (__GNUC__ * 100 + __GNUC_MINOR__)\x0a"
"// The _GNUC_VER_NEW macro better represents the new GCC versioning scheme\x0a"
"// introduced in GCC 5.0.\x0a"
"#  define _GNUC_VER_NEW (_GNUC_VER * 10 + __GNUC_PATCHLEVEL__)\x0a"
"#else\x0a"
"#  define _GNUC_VER 0\x0a"
"#  define _GNUC_VER_NEW 0\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_VERSION 9000\x0a"
"\x0a"
"#ifndef _LIBCPP_ABI_VERSION\x0a"
"#  define _LIBCPP_ABI_VERSION 2\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __STDC_HOSTED__\x0a"
"#  define _LIBCPP_FREESTANDING\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_STD_VER\x0a"
"#  if  __cplusplus <= 201103L\x0a"
"#    define _LIBCPP_STD_VER 11\x0a"
"#  elif __cplusplus <= 201402L\x0a"
"#    define _LIBCPP_STD_VER 14\x0a"
"#  elif __cplusplus <= 201703L\x0a"
"#    define _LIBCPP_STD_VER 17\x0a"
"#  else\x0a"
"#    define _LIBCPP_STD_VER 18  // current year, or date of c++2a ratification\x0a"
"#  endif\x0a"
"#endif  // _LIBCPP_STD_VER\x0a"
"\x0a"
"#if defined(__ELF__)\x0a"
"#  define _LIBCPP_OBJECT_FORMAT_ELF   1\x0a"
"#elif defined(__MACH__)\x0a"
"#  define _LIBCPP_OBJECT_FORMAT_MACHO 1\x0a"
"#elif defined(_WIN32)\x0a"
"#  define _LIBCPP_OBJECT_FORMAT_COFF  1\x0a"
"#elif defined(__wasm__)\x0a"
"#  define _LIBCPP_OBJECT_FORMAT_WASM  1\x0a"
"#else\x0a"
"#  error Unknown object file format\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_UNSTABLE) \x7c\x7c _LIBCPP_ABI_VERSION >= 2\x0a"
"// Change short string representation so that string data starts at offset 0,\x0a"
"// improving its alignment in some cases.\x0a"
"#  define _LIBCPP_ABI_ALTERNATE_STRING_LAYOUT\x0a"
"// Fix deque iterator type in order to support incomplete types.\x0a"
"#  define _LIBCPP_ABI_INCOMPLETE_TYPES_IN_DEQUE\x0a"
"// Fix undefined behavior in how std\x3a\x3alist stores its linked nodes.\x0a"
"#  define _LIBCPP_ABI_LIST_REMOVE_NODE_POINTER_UB\x0a"
"// Fix undefined behavior in  how __tree stores its end and parent nodes.\x0a"
"#  define _LIBCPP_ABI_TREE_REMOVE_NODE_POINTER_UB\x0a"
"// Fix undefined behavior in how __hash_table stores its pointer types.\x0a"
"#  define _LIBCPP_ABI_FIX_UNORDERED_NODE_POINTER_UB\x0a"
"#  define _LIBCPP_ABI_FORWARD_LIST_REMOVE_NODE_POINTER_UB\x0a"
"#  define _LIBCPP_ABI_FIX_UNORDERED_CONTAINER_SIZE_TYPE\x0a"
"// Don't use a nullptr_t simulation type in C++03 instead using C++11 nullptr\x0a"
"// provided under the alternate keyword __nullptr, which changes the mangling\x0a"
"// of nullptr_t. This option is ABI incompatible with GCC in C++03 mode.\x0a"
"#  define _LIBCPP_ABI_ALWAYS_USE_CXX11_NULLPTR\x0a"
"// Define the \x60pointer_safety\x60 enum as a C++11 strongly typed enumeration\x0a"
"// instead of as a class simulating an enum. If this option is enabled\x0a"
"// \x60pointer_safety\x60 and \x60get_pointer_safety()\x60 will no longer be available\x0a"
"// in C++03.\x0a"
"#  define _LIBCPP_ABI_POINTER_SAFETY_ENUM_TYPE\x0a"
"// Define a key function for \x60""bad_function_call\x60 in the library, to centralize\x0a"
"// its vtable and typeinfo to libc++ rather than having all other libraries\x0a"
"// using that class define their own copies.\x0a"
"#  define _LIBCPP_ABI_BAD_FUNCTION_CALL_KEY_FUNCTION\x0a"
"// Enable optimized version of __do_get_(un)signed which avoids redundant copies.\x0a"
"#  define _LIBCPP_ABI_OPTIMIZED_LOCALE_NUM_GET\x0a"
"// Use the smallest possible integer type to represent the index of the variant.\x0a"
"// Previously libc++ used \x22unsigned int\x22 exclusively.\x0a"
"#  define _LIBCPP_ABI_VARIANT_INDEX_TYPE_OPTIMIZATION\x0a"
"// Unstable attempt to provide a more optimized std\x3a\x3a""function\x0a"
"#  define _LIBCPP_ABI_OPTIMIZED_FUNCTION\x0a"
"// All the regex constants must be distinct and nonzero.\x0a"
"#  define _LIBCPP_ABI_REGEX_CONSTANTS_NONZERO\x0a"
"#elif _LIBCPP_ABI_VERSION == 1\x0a"
"#  if \x21""defined(_LIBCPP_OBJECT_FORMAT_COFF)\x0a"
"// Enable compiling copies of now inline methods into the dylib to support\x0a"
"// applications compiled against older libraries. This is unnecessary with\x0a"
"// COFF dllexport semantics, since dllexport forces a non-inline definition\x0a"
"// of inline functions to be emitted anyway. Our own non-inline copy would\x0a"
"// conflict with the dllexport-emitted copy, so we disable it.\x0a"
"#    define _LIBCPP_DEPRECATED_ABI_LEGACY_LIBRARY_DEFINITIONS_FOR_INLINE_FUNCTIONS\x0a"
"#  endif\x0a"
"// Feature macros for disabling pre ABI v1 features. All of these options\x0a"
"// are deprecated.\x0a"
"#  if defined(__FreeBSD__)\x0a"
"#    define _LIBCPP_DEPRECATED_ABI_DISABLE_PAIR_TRIVIAL_COPY_CTOR\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_TRIVIAL_PAIR_COPY_CTOR\x0a"
"#error \x22_LIBCPP_TRIVIAL_PAIR_COPY_CTOR\x22 is no longer supported. \x5c\x0a"
"       use _LIBCPP_DEPRECATED_ABI_DISABLE_PAIR_TRIVIAL_COPY_CTOR instead\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_CONCAT1(_LIBCPP_X,_LIBCPP_Y) _LIBCPP_X##_LIBCPP_Y\x0a"
"#define _LIBCPP_CONCAT(_LIBCPP_X,_LIBCPP_Y) _LIBCPP_CONCAT1(_LIBCPP_X,_LIBCPP_Y)\x0a"
"\x0a"
"#ifndef _LIBCPP_ABI_NAMESPACE\x0a"
"# define _LIBCPP_ABI_NAMESPACE _LIBCPP_CONCAT(__,_LIBCPP_ABI_VERSION)\x0a"
"#endif\x0a"
"\x0a"
"#if __cplusplus < 201103L\x0a"
"#define _LIBCPP_CXX03_LANG\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_attribute\x0a"
"#define __has_attribute(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_builtin\x0a"
"#define __has_builtin(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_extension\x0a"
"#define __has_extension(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_feature\x0a"
"#define __has_feature(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_cpp_attribute\x0a"
"#define __has_cpp_attribute(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"// '__is_identifier' returns '0' if '__x' is a reserved identifier provided by\x0a"
"// the compiler and '1' otherwise.\x0a"
"#ifndef __is_identifier\x0a"
"#define __is_identifier(__x) 1\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __has_declspec_attribute\x0a"
"#define __has_declspec_attribute(__x) 0\x0a"
"#endif\x0a"
"\x0a"
"#define __has_keyword(__x) \x21(__is_identifier(__x))\x0a"
"\x0a"
"#ifndef __has_include\x0a"
"#define __has_include(...) 0\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__clang__)\x0a"
"#  define _LIBCPP_COMPILER_CLANG\x0a"
"#  ifndef __apple_build_version__\x0a"
"#    define _LIBCPP_CLANG_VER (__clang_major__ * 100 + __clang_minor__)\x0a"
"#  endif\x0a"
"#elif defined(__GNUC__)\x0a"
"#  define _LIBCPP_COMPILER_GCC\x0a"
"#elif defined(_MSC_VER)\x0a"
"#  define _LIBCPP_COMPILER_MSVC\x0a"
"#elif defined(__IBMCPP__)\x0a"
"#  define _LIBCPP_COMPILER_IBM\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CLANG_VER\x0a"
"#define _LIBCPP_CLANG_VER 0\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_COMPILER_GCC) \x26\x26 __cplusplus < 201103L\x0a"
"#error \x22libc++ does not support using GCC with C++03. Please enable C++11\x22\x0a"
"#endif\x0a"
"\x0a"
"// FIXME\x3a ABI detection should be done via compiler builtin macros. This\x0a"
"// is just a placeholder until Clang implements such macros. For now assume\x0a"
"// that Windows compilers pretending to be MSVC++ target the Microsoft ABI,\x0a"
"// and allow the user to explicitly specify the ABI to handle cases where this\x0a"
"// heuristic falls short.\x0a"
"#if defined(_LIBCPP_ABI_FORCE_ITANIUM) \x26\x26 defined(_LIBCPP_ABI_FORCE_MICROSOFT)\x0a"
"#  error \x22Only one of _LIBCPP_ABI_FORCE_ITANIUM and _LIBCPP_ABI_FORCE_MICROSOFT can be defined\x22\x0a"
"#elif defined(_LIBCPP_ABI_FORCE_ITANIUM)\x0a"
"#  define _LIBCPP_ABI_ITANIUM\x0a"
"#elif defined(_LIBCPP_ABI_FORCE_MICROSOFT)\x0a"
"#  define _LIBCPP_ABI_MICROSOFT\x0a"
"#else\x0a"
"#  if defined(_WIN32) \x26\x26 defined(_MSC_VER)\x0a"
"#    define _LIBCPP_ABI_MICROSOFT\x0a"
"#  else\x0a"
"#    define _LIBCPP_ABI_ITANIUM\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_MICROSOFT) \x26\x26 \x21""defined(_LIBCPP_NO_VCRUNTIME)\x0a"
"# define _LIBCPP_ABI_VCRUNTIME\x0a"
"#endif\x0a"
"\x0a"
"// Need to detect which libc we're using if we're on Linux.\x0a"
"#if defined(__linux__)\x0a"
"#  include <features.h>\x0a"
"#  if defined(__GLIBC_PREREQ)\x0a"
"#    define _LIBCPP_GLIBC_PREREQ(a, b) __GLIBC_PREREQ(a, b)\x0a"
"#  else\x0a"
"#    define _LIBCPP_GLIBC_PREREQ(a, b) 0\x0a"
"#  endif // defined(__GLIBC_PREREQ)\x0a"
"#endif // defined(__linux__)\x0a"
"\x0a"
"#ifdef __LITTLE_ENDIAN__\x0a"
"#  if __LITTLE_ENDIAN__\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  endif  // __LITTLE_ENDIAN__\x0a"
"#endif  // __LITTLE_ENDIAN__\x0a"
"\x0a"
"#ifdef __BIG_ENDIAN__\x0a"
"#  if __BIG_ENDIAN__\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  endif  // __BIG_ENDIAN__\x0a"
"#endif  // __BIG_ENDIAN__\x0a"
"\x0a"
"#ifdef __BYTE_ORDER__\x0a"
"#  if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  elif __BYTE_ORDER__ == __ORDER_BIG_ENDIAN__\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  endif // __BYTE_ORDER__ == __ORDER_BIG_ENDIAN__\x0a"
"#endif // __BYTE_ORDER__\x0a"
"\x0a"
"#ifdef __FreeBSD__\x0a"
"#  include <sys/endian.h>\x0a"
"#  if _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  else  // _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  endif  // _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#  ifndef __LONG_LONG_SUPPORTED\x0a"
"#    define _LIBCPP_HAS_NO_LONG_LONG\x0a"
"#  endif  // __LONG_LONG_SUPPORTED\x0a"
"#endif  // __FreeBSD__\x0a"
"\x0a"
"#ifdef __NetBSD__\x0a"
"#  include <sys/endian.h>\x0a"
"#  if _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  else  // _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  endif  // _BYTE_ORDER == _LITTLE_ENDIAN\x0a"
"#  define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#endif  // __NetBSD__\x0a"
"\x0a"
"#if defined(_WIN32)\x0a"
"#  define _LIBCPP_WIN32API\x0a"
"#  define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  define _LIBCPP_SHORT_WCHAR   1\x0a"
"// Both MinGW and native MSVC provide a \x22MSVC\x22-like environment\x0a"
"#  define _LIBCPP_MSVCRT_LIKE\x0a"
"// If mingw not explicitly detected, assume using MS C runtime only if\x0a"
"// a MS compatibility version is specified.\x0a"
"#  if defined(_MSC_VER) \x26\x26 \x21""defined(__MINGW32__)\x0a"
"#    define _LIBCPP_MSVCRT // Using Microsoft's C Runtime library\x0a"
"#  endif\x0a"
"#  if (defined(_M_AMD64) \x7c\x7c defined(__x86_64__)) \x7c\x7c (defined(_M_ARM) \x7c\x7c defined(__arm__))\x0a"
"#    define _LIBCPP_HAS_BITSCAN64\x0a"
"#  endif\x0a"
"#  define _LIBCPP_HAS_OPEN_WITH_WCHAR\x0a"
"#  if defined(_LIBCPP_MSVCRT)\x0a"
"#    define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#  endif\x0a"
"\x0a"
"// Some CRT APIs are unavailable to store apps\x0a"
"#  if defined(WINAPI_FAMILY)\x0a"
"#    include <winapifamily.h>\x0a"
"#    if \x21WINAPI_FAMILY_PARTITION(WINAPI_PARTITION_DESKTOP) \x26\x26                  \x5c\x0a"
"        (\x21""defined(WINAPI_PARTITION_SYSTEM) \x7c\x7c                                  \x5c\x0a"
"         \x21WINAPI_FAMILY_PARTITION(WINAPI_PARTITION_SYSTEM))\x0a"
"#      define _LIBCPP_WINDOWS_STORE_APP\x0a"
"#    endif\x0a"
"#  endif\x0a"
"#endif // defined(_WIN32)\x0a"
"\x0a"
"#ifdef __sun__\x0a"
"#  include <sys/isa_defs.h>\x0a"
"#  ifdef _LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  else\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  endif\x0a"
"#endif // __sun__\x0a"
"\x0a"
"#if defined(__CloudABI__)\x0a"
"   // Certain architectures provide arc4random(). Prefer using\x0a"
"   // arc4random() over /dev/{u,}random to make it possible to obtain\x0a"
"   // random data even when using sandboxing mechanisms such as chroots,\x0a"
"   // Capsicum, etc.\x0a"
"#  define _LIBCPP_USING_ARC4_RANDOM\x0a"
"#elif defined(__Fuchsia__) \x7c\x7c defined(__wasi__)\x0a"
"#  define _LIBCPP_USING_GETENTROPY\x0a"
"#elif defined(__native_client__)\x0a"
"   // NaCl's sandbox (which PNaCl also runs in) doesn't allow filesystem access,\x0a"
"   // including accesses to the special files under /dev. C++11's\x0a"
"   // std\x3a\x3arandom_device is instead exposed through a NaCl syscall.\x0a"
"#  define _LIBCPP_USING_NACL_RANDOM\x0a"
"#elif defined(_LIBCPP_WIN32API)\x0a"
"#  define _LIBCPP_USING_WIN32_RANDOM\x0a"
"#else\x0a"
"#  define _LIBCPP_USING_DEV_RANDOM\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_LITTLE_ENDIAN) \x26\x26 \x21""defined(_LIBCPP_BIG_ENDIAN)\x0a"
"#  include <endian.h>\x0a"
"#  if __BYTE_ORDER == __LITTLE_ENDIAN\x0a"
"#    define _LIBCPP_LITTLE_ENDIAN\x0a"
"#  elif __BYTE_ORDER == __BIG_ENDIAN\x0a"
"#    define _LIBCPP_BIG_ENDIAN\x0a"
"#  else  // __BYTE_ORDER == __BIG_ENDIAN\x0a"
"#    error unable to determine endian\x0a"
"#  endif\x0a"
"#endif  // \x21""defined(_LIBCPP_LITTLE_ENDIAN) \x26\x26 \x21""defined(_LIBCPP_BIG_ENDIAN)\x0a"
"\x0a"
"#if __has_attribute(__no_sanitize__) \x26\x26 \x21""defined(_LIBCPP_COMPILER_GCC)\x0a"
"#  define _LIBCPP_NO_CFI __attribute__((__no_sanitize__(\x22""cfi\x22)))\x0a"
"#else\x0a"
"#  define _LIBCPP_NO_CFI\x0a"
"#endif\x0a"
"\x0a"
"#if __ISO_C_VISIBLE >= 2011 \x7c\x7c __cplusplus >= 201103L\x0a"
"#  if defined(__FreeBSD__)\x0a"
"#    define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#    define _LIBCPP_HAS_C11_FEATURES\x0a"
"#  elif defined(__Fuchsia__) \x7c\x7c defined(__wasi__)\x0a"
"#    define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#    define _LIBCPP_HAS_TIMESPEC_GET\x0a"
"#    define _LIBCPP_HAS_C11_FEATURES\x0a"
"#  elif defined(__linux__)\x0a"
"#    if \x21""defined(_LIBCPP_HAS_MUSL_LIBC)\x0a"
"#      if _LIBCPP_GLIBC_PREREQ(2, 15) \x7c\x7c defined(__BIONIC__)\x0a"
"#        define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#      endif\x0a"
"#      if _LIBCPP_GLIBC_PREREQ(2, 17)\x0a"
"#        define _LIBCPP_HAS_C11_FEATURES\x0a"
"#        define _LIBCPP_HAS_TIMESPEC_GET\x0a"
"#      endif\x0a"
"#    else // defined(_LIBCPP_HAS_MUSL_LIBC)\x0a"
"#      define _LIBCPP_HAS_QUICK_EXIT\x0a"
"#      define _LIBCPP_HAS_TIMESPEC_GET\x0a"
"#      define _LIBCPP_HAS_C11_FEATURES\x0a"
"#    endif\x0a"
"#  endif // __linux__\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"# define _LIBCPP_ALIGNOF(_Tp) alignof(_Tp)\x0a"
"#elif defined(_LIBCPP_COMPILER_CLANG)\x0a"
"# define _LIBCPP_ALIGNOF(_Tp) _Alignof(_Tp)\x0a"
"#else\x0a"
"// This definition is potentially buggy, but it's only taken with GCC in C++03,\x0a"
"// which we barely support anyway. See llvm.org/PR39713\x0a"
"# define _LIBCPP_ALIGNOF(_Tp) __alignof(_Tp)\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_PREFERRED_ALIGNOF(_Tp) __alignof(_Tp)\x0a"
"\x0a"
"#if defined(_LIBCPP_COMPILER_CLANG)\x0a"
"\x0a"
"// _LIBCPP_ALTERNATE_STRING_LAYOUT is an old name for\x0a"
"// _LIBCPP_ABI_ALTERNATE_STRING_LAYOUT left here for backward compatibility.\x0a"
"#if (defined(__APPLE__) \x26\x26 \x21""defined(__i386__) \x26\x26 \x21""defined(__x86_64__) \x26\x26       \x5c\x0a"
"     (\x21""defined(__arm__) \x7c\x7c __ARM_ARCH_7K__ >= 2)) \x7c\x7c                           \x5c\x0a"
"    defined(_LIBCPP_ALTERNATE_STRING_LAYOUT)\x0a"
"#define _LIBCPP_ABI_ALTERNATE_STRING_LAYOUT\x0a"
"#endif\x0a"
"\x0a"
"#if __has_feature(cxx_alignas)\x0a"
"#  define _ALIGNAS_TYPE(x) alignas(x)\x0a"
"#  define _ALIGNAS(x) alignas(x)\x0a"
"#else\x0a"
"#  define _ALIGNAS_TYPE(x) __attribute__((__aligned__(_LIBCPP_ALIGNOF(x))))\x0a"
"#  define _ALIGNAS(x) __attribute__((__aligned__(x)))\x0a"
"#endif\x0a"
"\x0a"
"#if __cplusplus < 201103L\x0a"
"typedef __char16_t char16_t;\x0a"
"typedef __char32_t char32_t;\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_exceptions)) \x26\x26 \x21""defined(_LIBCPP_NO_EXCEPTIONS)\x0a"
"#define _LIBCPP_NO_EXCEPTIONS\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_rtti)) \x26\x26 \x21""defined(_LIBCPP_NO_RTTI)\x0a"
"#define _LIBCPP_NO_RTTI\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_strong_enums))\x0a"
"#define _LIBCPP_HAS_NO_STRONG_ENUMS\x0a"
"#endif\x0a"
"\x0a"
"#if __has_feature(cxx_attributes)\x0a"
"#  define _LIBCPP_NORETURN \x5b\x5bnoreturn\x5d\x5d\x0a"
"#else\x0a"
"#  define _LIBCPP_NORETURN __attribute__ ((noreturn))\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_lambdas))\x0a"
"#define _LIBCPP_HAS_NO_LAMBDAS\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_nullptr))\x0a"
"#  if (__has_extension(cxx_nullptr) \x7c\x7c __has_keyword(__nullptr)) \x26\x26 defined(_LIBCPP_ABI_ALWAYS_USE_CXX11_NULLPTR)\x0a"
"#    define nullptr __nullptr\x0a"
"#  else\x0a"
"#    define _LIBCPP_HAS_NO_NULLPTR\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_rvalue_references))\x0a"
"#define _LIBCPP_HAS_NO_RVALUE_REFERENCES\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_auto_type))\x0a"
"#define _LIBCPP_HAS_NO_AUTO_TYPE\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_variadic_templates))\x0a"
"#define _LIBCPP_HAS_NO_VARIADICS\x0a"
"#endif\x0a"
"\x0a"
"// Objective-C++ features (opt-in)\x0a"
"#if __has_feature(objc_arc)\x0a"
"#define _LIBCPP_HAS_OBJC_ARC\x0a"
"#endif\x0a"
"\x0a"
"#if __has_feature(objc_arc_weak)\x0a"
"#define _LIBCPP_HAS_OBJC_ARC_WEAK\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_relaxed_constexpr))\x0a"
"#define _LIBCPP_HAS_NO_CXX14_CONSTEXPR\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_variable_templates))\x0a"
"#define _LIBCPP_HAS_NO_VARIABLE_TEMPLATES\x0a"
"#endif\x0a"
"\x0a"
"#if \x21(__has_feature(cxx_noexcept))\x0a"
"#define _LIBCPP_HAS_NO_NOEXCEPT\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_ASAN) \x26\x26 \x21__has_feature(address_sanitizer)\x0a"
"#define _LIBCPP_HAS_NO_ASAN\x0a"
"#endif\x0a"
"\x0a"
"// Allow for build-time disabling of unsigned integer sanitization\x0a"
"#if \x21""defined(_LIBCPP_DISABLE_UBSAN_UNSIGNED_INTEGER_CHECK) \x26\x26 __has_attribute(no_sanitize)\x0a"
"#define _LIBCPP_DISABLE_UBSAN_UNSIGNED_INTEGER_CHECK __attribute__((__no_sanitize__(\x22unsigned-integer-overflow\x22)))\x0a"
"#endif\x0a"
"\x0a"
"#if __has_builtin(__builtin_launder)\x0a"
"#define _LIBCPP_COMPILER_HAS_BUILTIN_LAUNDER\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__is_identifier(__has_unique_object_representations)\x0a"
"#define _LIBCPP_HAS_UNIQUE_OBJECT_REPRESENTATIONS\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_ALWAYS_INLINE __attribute__ ((__always_inline__))\x0a"
"\x0a"
"// No apple compilers support \x22\x22""d and \x22\x22y at this time.\x0a"
"#if _LIBCPP_CLANG_VER < 800 \x7c\x7c defined(__apple_build_version__)\x0a"
"#define\x09_LIBCPP_HAS_NO_CXX20_CHRONO_LITERALS\x0a"
"#endif\x0a"
"\x0a"
"#elif defined(_LIBCPP_COMPILER_GCC)\x0a"
"\x0a"
"#define _ALIGNAS(x) __attribute__((__aligned__(x)))\x0a"
"#define _ALIGNAS_TYPE(x) __attribute__((__aligned__(_LIBCPP_ALIGNOF(x))))\x0a"
"\x0a"
"#define _LIBCPP_NORETURN __attribute__((noreturn))\x0a"
"\x0a"
"#if \x21__EXCEPTIONS \x26\x26 \x21""defined(_LIBCPP_NO_EXCEPTIONS)\x0a"
"#define _LIBCPP_NO_EXCEPTIONS\x0a"
"#endif\x0a"
"\x0a"
"// Determine if GCC supports relaxed constexpr\x0a"
"#if \x21""defined(__cpp_constexpr) \x7c\x7c __cpp_constexpr < 201304L\x0a"
"#define _LIBCPP_HAS_NO_CXX14_CONSTEXPR\x0a"
"#endif\x0a"
"\x0a"
"// GCC 5 supports variable templates\x0a"
"#if \x21""defined(__cpp_variable_templates) \x7c\x7c __cpp_variable_templates < 201304L\x0a"
"#define _LIBCPP_HAS_NO_VARIABLE_TEMPLATES\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_ASAN) \x26\x26 \x21""defined(__SANITIZE_ADDRESS__)\x0a"
"#define _LIBCPP_HAS_NO_ASAN\x0a"
"#endif\x0a"
"\x0a"
"#if _GNUC_VER >= 700\x0a"
"#define _LIBCPP_COMPILER_HAS_BUILTIN_LAUNDER\x0a"
"#endif\x0a"
"\x0a"
"#if _GNUC_VER >= 700\x0a"
"#define _LIBCPP_HAS_UNIQUE_OBJECT_REPRESENTATIONS\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_ALWAYS_INLINE __attribute__ ((__always_inline__))\x0a"
"\x0a"
"#elif defined(_LIBCPP_COMPILER_MSVC)\x0a"
"\x0a"
"#define _LIBCPP_TOSTRING2(x) #x\x0a"
"#define _LIBCPP_TOSTRING(x) _LIBCPP_TOSTRING2(x)\x0a"
"#define _LIBCPP_WARNING(x) __pragma(message(__FILE__ \x22(\x22 _LIBCPP_TOSTRING(__LINE__) \x22) \x3a warning note\x3a \x22 x))\x0a"
"\x0a"
"#if _MSC_VER < 1900\x0a"
"#error \x22MSVC versions prior to Visual Studio 2015 are not supported\x22\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_CXX14_CONSTEXPR\x0a"
"#define _LIBCPP_HAS_NO_VARIABLE_TEMPLATES\x0a"
"#define __alignof__ __alignof\x0a"
"#define _LIBCPP_NORETURN __declspec(noreturn)\x0a"
"#define _ALIGNAS(x) __declspec(align(x))\x0a"
"#define _ALIGNAS_TYPE(x) alignas(x)\x0a"
"\x0a"
"#define _LIBCPP_WEAK\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_ASAN\x0a"
"\x0a"
"#define _LIBCPP_ALWAYS_INLINE __forceinline\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_VECTOR_EXTENSION\x0a"
"\x0a"
"#elif defined(_LIBCPP_COMPILER_IBM)\x0a"
"\x0a"
"#define _ALIGNAS(x) __attribute__((__aligned__(x)))\x0a"
"#define _ALIGNAS_TYPE(x) __attribute__((__aligned__(_LIBCPP_ALIGNOF(x))))\x0a"
"#define _ATTRIBUTE(x) __attribute__((x))\x0a"
"#define _LIBCPP_NORETURN __attribute__((noreturn))\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_UNICODE_CHARS\x0a"
"#define _LIBCPP_HAS_NO_VARIABLE_TEMPLATES\x0a"
"\x0a"
"#if defined(_AIX)\x0a"
"#define __MULTILOCALE_API\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_ASAN\x0a"
"\x0a"
"#define _LIBCPP_ALWAYS_INLINE __attribute__ ((__always_inline__))\x0a"
"\x0a"
"#define _LIBCPP_HAS_NO_VECTOR_EXTENSION\x0a"
"\x0a"
"#endif // _LIBCPP_COMPILER_\x5b""CLANG\x7cGCC\x7cMSVC\x7cIBM\x5d\x0a"
"\x0a"
"#if defined(_LIBCPP_OBJECT_FORMAT_COFF)\x0a"
"\x0a"
"#ifdef _DLL\x0a"
"#  define _LIBCPP_CRT_FUNC __declspec(dllimport)\x0a"
"#else\x0a"
"#  define _LIBCPP_CRT_FUNC\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#  define _LIBCPP_DLL_VIS\x0a"
"#  define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS\x0a"
"#  define _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS\x0a"
"#  define _LIBCPP_OVERRIDABLE_FUNC_VIS\x0a"
"#  define _LIBCPP_EXPORTED_FROM_ABI\x0a"
"#elif defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"#  define _LIBCPP_DLL_VIS __declspec(dllexport)\x0a"
"#  if defined(__MINGW32__)\x0a"
"#    define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS _LIBCPP_DLL_VIS\x0a"
"#    define _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS\x0a"
"#  else\x0a"
"#    define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS\x0a"
"#    define _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS _LIBCPP_DLL_VIS\x0a"
"#  endif\x0a"
"#  define _LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_DLL_VIS\x0a"
"#  define _LIBCPP_EXPORTED_FROM_ABI __declspec(dllexport)\x0a"
"#else\x0a"
"#  define _LIBCPP_DLL_VIS __declspec(dllimport)\x0a"
"#  define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS _LIBCPP_DLL_VIS\x0a"
"#  define _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS\x0a"
"#  define _LIBCPP_OVERRIDABLE_FUNC_VIS\x0a"
"#  define _LIBCPP_EXPORTED_FROM_ABI __declspec(dllimport)\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_TYPE_VIS            _LIBCPP_DLL_VIS\x0a"
"#define _LIBCPP_FUNC_VIS            _LIBCPP_DLL_VIS\x0a"
"#define _LIBCPP_EXCEPTION_ABI       _LIBCPP_DLL_VIS\x0a"
"#define _LIBCPP_HIDDEN\x0a"
"#define _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS\x0a"
"#define _LIBCPP_TEMPLATE_VIS\x0a"
"#define _LIBCPP_ENUM_VIS\x0a"
"\x0a"
"#endif // defined(_LIBCPP_OBJECT_FORMAT_COFF)\x0a"
"\x0a"
"#ifndef _LIBCPP_HIDDEN\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    define _LIBCPP_HIDDEN __attribute__ ((__visibility__(\x22hidden\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_HIDDEN\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"// The inline should be removed once PR32114 is resolved\x0a"
"#    define _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS inline _LIBCPP_HIDDEN\x0a"
"#  else\x0a"
"#    define _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_FUNC_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    define _LIBCPP_FUNC_VIS __attribute__ ((__visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_FUNC_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_TYPE_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    define _LIBCPP_TYPE_VIS __attribute__ ((__visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_TYPE_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_TEMPLATE_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    if __has_attribute(__type_visibility__)\x0a"
"#      define _LIBCPP_TEMPLATE_VIS __attribute__ ((__type_visibility__(\x22""default\x22)))\x0a"
"#    else\x0a"
"#      define _LIBCPP_TEMPLATE_VIS __attribute__ ((__visibility__(\x22""default\x22)))\x0a"
"#    endif\x0a"
"#  else\x0a"
"#    define _LIBCPP_TEMPLATE_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPORTED_FROM_ABI\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    define _LIBCPP_EXPORTED_FROM_ABI __attribute__((__visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_EXPORTED_FROM_ABI\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_OVERRIDABLE_FUNC_VIS\x0a"
"#define _LIBCPP_OVERRIDABLE_FUNC_VIS _LIBCPP_FUNC_VIS\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_EXCEPTION_ABI\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS)\x0a"
"#    define _LIBCPP_EXCEPTION_ABI __attribute__ ((__visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_EXCEPTION_ABI\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_ENUM_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS) \x26\x26 __has_attribute(__type_visibility__)\x0a"
"#    define _LIBCPP_ENUM_VIS __attribute__ ((__type_visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_ENUM_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS\x0a"
"#  if \x21""defined(_LIBCPP_DISABLE_VISIBILITY_ANNOTATIONS) \x26\x26 __has_attribute(__type_visibility__)\x0a"
"#    define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS __attribute__ ((__visibility__(\x22""default\x22)))\x0a"
"#  else\x0a"
"#    define _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS\x0a"
"#define _LIBCPP_CLASS_TEMPLATE_INSTANTIATION_VIS\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(internal_linkage)\x0a"
"#  define _LIBCPP_INTERNAL_LINKAGE __attribute__ ((internal_linkage))\x0a"
"#else\x0a"
"#  define _LIBCPP_INTERNAL_LINKAGE _LIBCPP_ALWAYS_INLINE\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(exclude_from_explicit_instantiation)\x0a"
"#  define _LIBCPP_EXCLUDE_FROM_EXPLICIT_INSTANTIATION __attribute__ ((__exclude_from_explicit_instantiation__))\x0a"
"#else\x0a"
"   // Try to approximate the effect of exclude_from_explicit_instantiation\x0a"
"   // (which is that entities are not assumed to be provided by explicit\x0a"
"   // template instantiations in the dylib) by always inlining those entities.\x0a"
"#  define _LIBCPP_EXCLUDE_FROM_EXPLICIT_INSTANTIATION _LIBCPP_ALWAYS_INLINE\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HIDE_FROM_ABI_PER_TU\x0a"
"#  ifndef _LIBCPP_HIDE_FROM_ABI_PER_TU_BY_DEFAULT\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI_PER_TU 0\x0a"
"#  else\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI_PER_TU 1\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_MERGED_TYPEINFO_NAMES_DEFAULT\x0a"
"# ifdef _LIBCPP_OBJECT_FORMAT_COFF // Windows binaries can't merge typeinfos.\x0a"
"# define _LIBCPP_HAS_MERGED_TYPEINFO_NAMES_DEFAULT 0\x0a"
"#else\x0a"
"// TODO\x3a This isn't strictly correct on ELF platforms due to llvm.org/PR37398\x0a"
"// And we should consider defaulting to OFF.\x0a"
"# define _LIBCPP_HAS_MERGED_TYPEINFO_NAMES_DEFAULT 1\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HIDE_FROM_ABI\x0a"
"#  if _LIBCPP_HIDE_FROM_ABI_PER_TU\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI _LIBCPP_HIDDEN _LIBCPP_INTERNAL_LINKAGE\x0a"
"#  else\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI _LIBCPP_HIDDEN _LIBCPP_EXCLUDE_FROM_EXPLICIT_INSTANTIATION\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_BUILDING_LIBRARY\x0a"
"#  if _LIBCPP_ABI_VERSION > 1\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI_AFTER_V1 _LIBCPP_HIDE_FROM_ABI\x0a"
"#  else\x0a"
"#    define _LIBCPP_HIDE_FROM_ABI_AFTER_V1\x0a"
"#  endif\x0a"
"#else\x0a"
"#  define _LIBCPP_HIDE_FROM_ABI_AFTER_V1 _LIBCPP_HIDE_FROM_ABI\x0a"
"#endif\x0a"
"\x0a"
"// Just so we can migrate to the new macros gradually.\x0a"
"#define _LIBCPP_INLINE_VISIBILITY _LIBCPP_HIDE_FROM_ABI\x0a"
"\x0a"
"// Inline namespaces are available in Clang/GCC/MSVC regardless of C++ dialect.\x0a"
"#define _LIBCPP_BEGIN_NAMESPACE_STD namespace std { inline namespace _LIBCPP_ABI_NAMESPACE {\x0a"
"#define _LIBCPP_END_NAMESPACE_STD  } }\x0a"
"#define _VSTD std\x3a\x3a_LIBCPP_ABI_NAMESPACE\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD _LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#if _LIBCPP_STD_VER >= 17\x0a"
"#define _LIBCPP_BEGIN_NAMESPACE_FILESYSTEM \x5c\x0a"
"  _LIBCPP_BEGIN_NAMESPACE_STD inline namespace __fs { namespace filesystem {\x0a"
"#else\x0a"
"#define _LIBCPP_BEGIN_NAMESPACE_FILESYSTEM \x5c\x0a"
"  _LIBCPP_BEGIN_NAMESPACE_STD namespace __fs { namespace filesystem {\x0a"
"#endif\x0a"
"\x0a"
"#define _LIBCPP_END_NAMESPACE_FILESYSTEM \x5c\x0a"
"  _LIBCPP_END_NAMESPACE_STD } }\x0a"
"\x0a"
"#define _VSTD_FS _VSTD\x3a\x3a__fs\x3a\x3a""filesystem\x0a"
"\x0a"
"#ifndef _LIBCPP_PREFERRED_OVERLOAD\x0a"
"#  if __has_attribute(__enable_if__)\x0a"
"#    define _LIBCPP_PREFERRED_OVERLOAD __attribute__ ((__enable_if__(true, \x22\x22)))\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_NOEXCEPT\x0a"
"#  define _NOEXCEPT noexcept\x0a"
"#  define _NOEXCEPT_(x) noexcept(x)\x0a"
"#else\x0a"
"#  define _NOEXCEPT throw()\x0a"
"#  define _NOEXCEPT_(x)\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_HAS_NO_UNICODE_CHARS\x0a"
"typedef unsigned short char16_t;\x0a"
"typedef unsigned int   char32_t;\x0a"
"#endif  // _LIBCPP_HAS_NO_UNICODE_CHARS\x0a"
"\x0a"
"#ifndef __SIZEOF_INT128__\x0a"
"#define _LIBCPP_HAS_NO_INT128\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_CXX03_LANG\x0a"
"# define static_assert(...) _Static_assert(__VA_ARGS__)\x0a"
"# define decltype(...) __decltype(__VA_ARGS__)\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"#ifdef _LIBCPP_CXX03_LANG\x0a"
"#  define _LIBCPP_CONSTEXPR\x0a"
"#else\x0a"
"#  define _LIBCPP_CONSTEXPR constexpr\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_CXX03_LANG\x0a"
"#  define _LIBCPP_DEFAULT {}\x0a"
"#else\x0a"
"#  define _LIBCPP_DEFAULT = default;\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_CXX03_LANG\x0a"
"#  define _LIBCPP_EQUAL_DELETE\x0a"
"#else\x0a"
"#  define _LIBCPP_EQUAL_DELETE = delete\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __GNUC__\x0a"
"#  define _LIBCPP_NOALIAS __attribute__((__malloc__))\x0a"
"#else\x0a"
"#  define _LIBCPP_NOALIAS\x0a"
"#endif\x0a"
"\x0a"
"#if __has_feature(cxx_explicit_conversions) \x7c\x7c defined(__IBMCPP__) \x7c\x7c \x5c\x0a"
"    (\x21""defined(_LIBCPP_CXX03_LANG) \x26\x26 defined(__GNUC__)) // All supported GCC versions\x0a"
"#  define _LIBCPP_EXPLICIT explicit\x0a"
"#else\x0a"
"#  define _LIBCPP_EXPLICIT\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__has_builtin(__builtin_operator_new) \x7c\x7c \x21__has_builtin(__builtin_operator_delete)\x0a"
"#define _LIBCPP_HAS_NO_BUILTIN_OPERATOR_NEW_DELETE\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_HAS_NO_STRONG_ENUMS\x0a"
"#  define _LIBCPP_DECLARE_STRONG_ENUM(x) struct _LIBCPP_TYPE_VIS x { enum __lx\x0a"
"#  define _LIBCPP_DECLARE_STRONG_ENUM_EPILOG(x) \x5c\x0a"
"     __lx __v_; \x5c\x0a"
"     _LIBCPP_INLINE_VISIBILITY x(__lx __v) \x3a __v_(__v) {} \x5c\x0a"
"     _LIBCPP_INLINE_VISIBILITY explicit x(int __v) \x3a __v_(static_cast<__lx>(__v)) {} \x5c\x0a"
"     _LIBCPP_INLINE_VISIBILITY operator int() const {return __v_;} \x5c\x0a"
"     };\x0a"
"#else  // _LIBCPP_HAS_NO_STRONG_ENUMS\x0a"
"#  define _LIBCPP_DECLARE_STRONG_ENUM(x) enum class _LIBCPP_ENUM_VIS x\x0a"
"#  define _LIBCPP_DECLARE_STRONG_ENUM_EPILOG(x)\x0a"
"#endif  // _LIBCPP_HAS_NO_STRONG_ENUMS\x0a"
"\x0a"
"#ifdef _LIBCPP_DEBUG\x0a"
"#  if _LIBCPP_DEBUG == 0\x0a"
"#    define _LIBCPP_DEBUG_LEVEL 1\x0a"
"#  elif _LIBCPP_DEBUG == 1\x0a"
"#    define _LIBCPP_DEBUG_LEVEL 2\x0a"
"#  else\x0a"
"#    error Supported values for _LIBCPP_DEBUG are 0 and 1\x0a"
"#  endif\x0a"
"#  if \x21""defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"#    define _LIBCPP_EXTERN_TEMPLATE(...)\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_DISABLE_EXTERN_TEMPLATE\x0a"
"#define _LIBCPP_EXTERN_TEMPLATE(...)\x0a"
"#define _LIBCPP_EXTERN_TEMPLATE2(...)\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_EXTERN_TEMPLATE\x0a"
"#define _LIBCPP_EXTERN_TEMPLATE(...) extern template __VA_ARGS__;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_EXTERN_TEMPLATE2\x0a"
"#define _LIBCPP_EXTERN_TEMPLATE2(...) extern template __VA_ARGS__;\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__APPLE__) \x7c\x7c defined(__FreeBSD__) \x7c\x7c defined(_LIBCPP_MSVCRT_LIKE) \x7c\x7c \x5c\x0a"
"    defined(__sun__) \x7c\x7c defined(__NetBSD__) \x7c\x7c defined(__CloudABI__)\x0a"
"#define _LIBCPP_LOCALE__L_EXTENSIONS 1\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__unix__) \x7c\x7c (defined(__APPLE__) \x26\x26 defined(__MACH__))\x0a"
"// Most unix variants have catopen.  These are the specific ones that don't.\x0a"
"#  if \x21""defined(__BIONIC__) \x26\x26 \x21""defined(_NEWLIB_VERSION)\x0a"
"#    define _LIBCPP_HAS_CATOPEN 1\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifdef __FreeBSD__\x0a"
"#define _DECLARE_C99_LDBL_MATH 1\x0a"
"#endif\x0a"
"\x0a"
"// If we are getting operator new from the MSVC CRT, then allocation overloads\x0a"
"// for align_val_t were added in 19.12, aka VS 2017 version 15.3.\x0a"
"#if defined(_LIBCPP_MSVCRT) \x26\x26 defined(_MSC_VER) \x26\x26 _MSC_VER < 1912\x0a"
"#  define _LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION\x0a"
"#elif defined(_LIBCPP_ABI_VCRUNTIME) \x26\x26 \x21""defined(__cpp_aligned_new)\x0a"
"   // We're deferring to Microsoft's STL to provide aligned new et al. We don't\x0a"
"   // have it unless the language feature test macro is defined.\x0a"
"#  define _LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__APPLE__)\x0a"
"#  if \x21""defined(__MAC_OS_X_VERSION_MIN_REQUIRED) \x26\x26 \x5c\x0a"
"      defined(__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__)\x0a"
"#    define __MAC_OS_X_VERSION_MIN_REQUIRED __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__\x0a"
"#  endif\x0a"
"#endif // defined(__APPLE__)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_ALIGNED_ALLOCATION) \x26\x26 \x5c\x0a"
"    (defined(_LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION) \x7c\x7c \x5c\x0a"
"    (\x21""defined(__cpp_aligned_new) \x7c\x7c __cpp_aligned_new < 201606))\x0a"
"#  define _LIBCPP_HAS_NO_ALIGNED_ALLOCATION\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__APPLE__) \x7c\x7c defined(__FreeBSD__)\x0a"
"#define _LIBCPP_HAS_DEFAULTRUNELOCALE\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__APPLE__) \x7c\x7c defined(__FreeBSD__) \x7c\x7c defined(__sun__)\x0a"
"#define _LIBCPP_WCTYPE_IS_MASK\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER <= 17 \x7c\x7c \x21""defined(__cpp_char8_t)\x0a"
"#define _LIBCPP_NO_HAS_CHAR8_T\x0a"
"#endif\x0a"
"\x0a"
"// Deprecation macros.\x0a"
"//\x0a"
"// Deprecations warnings are always enabled, except when users explicitly opt-out\x0a"
"// by defining _LIBCPP_DISABLE_DEPRECATION_WARNINGS.\x0a"
"#if \x21""defined(_LIBCPP_DISABLE_DEPRECATION_WARNINGS)\x0a"
"#  if __has_attribute(deprecated)\x0a"
"#    define _LIBCPP_DEPRECATED __attribute__ ((deprecated))\x0a"
"#  elif _LIBCPP_STD_VER > 11\x0a"
"#    define _LIBCPP_DEPRECATED \x5b\x5b""deprecated\x5d\x5d\x0a"
"#  else\x0a"
"#    define _LIBCPP_DEPRECATED\x0a"
"#  endif\x0a"
"#else\x0a"
"#  define _LIBCPP_DEPRECATED\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX11 _LIBCPP_DEPRECATED\x0a"
"#else\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX11\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER >= 14\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX14 _LIBCPP_DEPRECATED\x0a"
"#else\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX14\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER >= 17\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX17 _LIBCPP_DEPRECATED\x0a"
"#else\x0a"
"#  define _LIBCPP_DEPRECATED_IN_CXX17\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER <= 11\x0a"
"#  define _LIBCPP_EXPLICIT_AFTER_CXX11\x0a"
"#else\x0a"
"#  define _LIBCPP_EXPLICIT_AFTER_CXX11 explicit\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 11 \x26\x26 \x21""defined(_LIBCPP_HAS_NO_CXX14_CONSTEXPR)\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX11 constexpr\x0a"
"#else\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14 \x26\x26 \x21""defined(_LIBCPP_HAS_NO_CXX14_CONSTEXPR)\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX14 constexpr\x0a"
"#else\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX14\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 17 \x26\x26 \x21""defined(_LIBCPP_HAS_NO_CXX14_CONSTEXPR)\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX17 constexpr\x0a"
"#else\x0a"
"#  define _LIBCPP_CONSTEXPR_AFTER_CXX17\x0a"
"#endif\x0a"
"\x0a"
"// The _LIBCPP_NODISCARD_ATTRIBUTE should only be used to define other\x0a"
"// NODISCARD macros to the correct attribute.\x0a"
"#if __has_cpp_attribute(nodiscard) \x7c\x7c defined(_LIBCPP_COMPILER_MSVC)\x0a"
"#  define _LIBCPP_NODISCARD_ATTRIBUTE \x5b\x5bnodiscard\x5d\x5d\x0a"
"#elif defined(_LIBCPP_COMPILER_CLANG) \x26\x26 \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"#  define _LIBCPP_NODISCARD_ATTRIBUTE \x5b\x5b""clang\x3a\x3awarn_unused_result\x5d\x5d\x0a"
"#else\x0a"
"// We can't use GCC's \x5b\x5bgnu\x3a\x3awarn_unused_result\x5d\x5d and\x0a"
"// __attribute__((warn_unused_result)), because GCC does not silence them via\x0a"
"// (void) cast.\x0a"
"#  define _LIBCPP_NODISCARD_ATTRIBUTE\x0a"
"#endif\x0a"
"\x0a"
"// _LIBCPP_NODISCARD_EXT may be used to apply \x5b\x5bnodiscard\x5d\x5d to entities not\x0a"
"// specified as such as an extension.\x0a"
"#if defined(_LIBCPP_ENABLE_NODISCARD) \x26\x26 \x21""defined(_LIBCPP_DISABLE_NODISCARD_EXT)\x0a"
"#  define _LIBCPP_NODISCARD_EXT _LIBCPP_NODISCARD_ATTRIBUTE\x0a"
"#else\x0a"
"#  define _LIBCPP_NODISCARD_EXT\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_DISABLE_NODISCARD_AFTER_CXX17) \x26\x26 \x5c\x0a"
"    (_LIBCPP_STD_VER > 17 \x7c\x7c defined(_LIBCPP_ENABLE_NODISCARD))\x0a"
"#  define _LIBCPP_NODISCARD_AFTER_CXX17 _LIBCPP_NODISCARD_ATTRIBUTE\x0a"
"#else\x0a"
"#  define _LIBCPP_NODISCARD_AFTER_CXX17\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14 \x26\x26 defined(__cpp_inline_variables) \x26\x26 (__cpp_inline_variables >= 201606L)\x0a"
"#  define _LIBCPP_INLINE_VAR inline\x0a"
"#else\x0a"
"#  define _LIBCPP_INLINE_VAR\x0a"
"#endif\x0a"
"\x0a"
"#ifdef _LIBCPP_HAS_NO_RVALUE_REFERENCES\x0a"
"#  define _LIBCPP_EXPLICIT_MOVE(x) _VSTD\x3a\x3amove(x)\x0a"
"#else\x0a"
"#  define _LIBCPP_EXPLICIT_MOVE(x) (x)\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CONSTEXPR_IF_NODEBUG\x0a"
"#if defined(_LIBCPP_DEBUG) \x7c\x7c defined(_LIBCPP_HAS_NO_CXX14_CONSTEXPR)\x0a"
"#define _LIBCPP_CONSTEXPR_IF_NODEBUG\x0a"
"#else\x0a"
"#define _LIBCPP_CONSTEXPR_IF_NODEBUG constexpr\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(no_destroy)\x0a"
"#  define _LIBCPP_NO_DESTROY __attribute__((__no_destroy__))\x0a"
"#else\x0a"
"#  define _LIBCPP_NO_DESTROY\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_ASAN\x0a"
"_LIBCPP_FUNC_VIS extern \x22""C\x22 void __sanitizer_annotate_contiguous_container(\x0a"
"  const void *, const void *, const void *, const void *);\x0a"
"#endif\x0a"
"\x0a"
"// Try to find out if RTTI is disabled.\x0a"
"// g++ and cl.exe have RTTI on by default and define a macro when it is.\x0a"
"// g++ only defines the macro in 4.3.2 and onwards.\x0a"
"#if \x21""defined(_LIBCPP_NO_RTTI)\x0a"
"#  if defined(__GNUC__) \x26\x26 \x5c\x0a"
"      ((__GNUC__ >= 5) \x7c\x7c \x5c\x0a"
"       (__GNUC__ == 4 \x26\x26 (__GNUC_MINOR__ >= 3 \x7c\x7c __GNUC_PATCHLEVEL__ >= 2))) \x26\x26 \x5c\x0a"
"      \x21""defined(__GXX_RTTI)\x0a"
"#    define _LIBCPP_NO_RTTI\x0a"
"#  elif defined(_LIBCPP_COMPILER_MSVC) \x26\x26 \x21""defined(_CPPRTTI)\x0a"
"#    define _LIBCPP_NO_RTTI\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_WEAK\x0a"
"#define _LIBCPP_WEAK __attribute__((__weak__))\x0a"
"#endif\x0a"
"\x0a"
"// Thread API\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_THREADS) \x26\x26 \x5c\x0a"
"    \x21""defined(_LIBCPP_HAS_THREAD_API_PTHREAD) \x26\x26 \x5c\x0a"
"    \x21""defined(_LIBCPP_HAS_THREAD_API_WIN32) \x26\x26 \x5c\x0a"
"    \x21""defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"#  if defined(__FreeBSD__) \x7c\x7c \x5c\x0a"
"      defined(__Fuchsia__) \x7c\x7c \x5c\x0a"
"      defined(__wasi__) \x7c\x7c \x5c\x0a"
"      defined(__NetBSD__) \x7c\x7c \x5c\x0a"
"      defined(__OpenBSD__) \x7c\x7c \x5c\x0a"
"      defined(__linux__) \x7c\x7c \x5c\x0a"
"      defined(__GNU__) \x7c\x7c \x5c\x0a"
"      defined(__APPLE__) \x7c\x7c \x5c\x0a"
"      defined(__CloudABI__) \x7c\x7c \x5c\x0a"
"      defined(__sun__) \x7c\x7c \x5c\x0a"
"      defined(__divine__) \x7c\x7c \x5c\x0a"
"      (defined(__MINGW32__) \x26\x26 __has_include(<pthread.h>))\x0a"
"#    define _LIBCPP_HAS_THREAD_API_PTHREAD\x0a"
"#  elif defined(_LIBCPP_WIN32API)\x0a"
"#    define _LIBCPP_HAS_THREAD_API_WIN32\x0a"
"#  else\x0a"
"#    error \x22No thread API\x22\x0a"
"#  endif // _LIBCPP_HAS_THREAD_API\x0a"
"#endif // _LIBCPP_HAS_NO_THREADS\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_THREADS) \x26\x26 defined(_LIBCPP_HAS_THREAD_API_PTHREAD)\x0a"
"#error _LIBCPP_HAS_THREAD_API_PTHREAD may only be defined when \x5c\x0a"
"       _LIBCPP_HAS_NO_THREADS is not defined.\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_THREADS) \x26\x26 defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"#error _LIBCPP_HAS_THREAD_API_EXTERNAL may not be defined when \x5c\x0a"
"       _LIBCPP_HAS_NO_THREADS is defined.\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_MONOTONIC_CLOCK) \x26\x26 \x21""defined(_LIBCPP_HAS_NO_THREADS)\x0a"
"#error _LIBCPP_HAS_NO_MONOTONIC_CLOCK may only be defined when \x5c\x0a"
"       _LIBCPP_HAS_NO_THREADS is defined.\x0a"
"#endif\x0a"
"\x0a"
"// The Apple, glibc, and Bionic implementation of pthreads implements\x0a"
"// pthread_mutex_destroy as nop for regular mutexes. Additionally, Win32\x0a"
"// mutexes have no destroy mechanism.\x0a"
"// TODO(EricWF)\x3a Enable this optimization on Apple and Bionic platforms after\x0a"
"// speaking to their respective stakeholders.\x0a"
"#if (defined(_LIBCPP_HAS_THREAD_API_PTHREAD) \x26\x26 defined(__GLIBC__)) \x5c\x0a"
"  \x7c\x7c defined(_LIBCPP_HAS_THREAD_API_WIN32)\x0a"
"# define _LIBCPP_HAS_TRIVIAL_MUTEX_DESTRUCTION\x0a"
"#endif\x0a"
"\x0a"
"// Destroying a condvar is a nop on Windows.\x0a"
"// TODO(EricWF)\x3a This is potentially true for some pthread implementations\x0a"
"// as well.\x0a"
"#if defined(_LIBCPP_HAS_THREAD_API_WIN32)\x0a"
"# define _LIBCPP_HAS_TRIVIAL_CONDVAR_DESTRUCTION\x0a"
"#endif\x0a"
"\x0a"
"// Systems that use capability-based security (FreeBSD with Capsicum,\x0a"
"// Nuxi CloudABI) may only provide local filesystem access (using *at()).\x0a"
"// Functions like open(), rename(), unlink() and stat() should not be\x0a"
"// used, as they attempt to access the global filesystem namespace.\x0a"
"#ifdef __CloudABI__\x0a"
"#define _LIBCPP_HAS_NO_GLOBAL_FILESYSTEM_NAMESPACE\x0a"
"#endif\x0a"
"\x0a"
"// CloudABI is intended for running networked services. Processes do not\x0a"
"// have standard input and output channels.\x0a"
"#ifdef __CloudABI__\x0a"
"#define _LIBCPP_HAS_NO_STDIN\x0a"
"#define _LIBCPP_HAS_NO_STDOUT\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__BIONIC__) \x7c\x7c defined(__CloudABI__) \x7c\x7c                            \x5c\x0a"
"    defined(__Fuchsia__) \x7c\x7c defined(__wasi__) \x7c\x7c defined(_LIBCPP_HAS_MUSL_LIBC) \x7c\x7c \x5c\x0a"
"    defined(__divine__)\x0a"
"#define _LIBCPP_PROVIDES_DEFAULT_RUNE_TABLE\x0a"
"#endif\x0a"
"\x0a"
"// Thread-unsafe functions such as strtok() and localtime()\x0a"
"// are not available.\x0a"
"#ifdef __CloudABI__\x0a"
"#define _LIBCPP_HAS_NO_THREAD_UNSAFE_C_FUNCTIONS\x0a"
"#endif\x0a"
"\x0a"
"#if __has_feature(cxx_atomic) \x7c\x7c __has_extension(c_atomic) \x7c\x7c __has_keyword(_Atomic)\x0a"
"#  define _LIBCPP_HAS_C_ATOMIC_IMP\x0a"
"#elif defined(_LIBCPP_COMPILER_GCC)\x0a"
"#  define _LIBCPP_HAS_GCC_ATOMIC_IMP\x0a"
"#endif\x0a"
"\x0a"
"#if (\x21""defined(_LIBCPP_HAS_C_ATOMIC_IMP) \x26\x26 \x5c\x0a"
"     \x21""defined(_LIBCPP_HAS_GCC_ATOMIC_IMP) \x26\x26 \x5c\x0a"
"     \x21""defined(_LIBCPP_HAS_EXTERNAL_ATOMIC_IMP)) \x5c\x0a"
"     \x7c\x7c defined(_LIBCPP_HAS_NO_THREADS)\x0a"
"#  define _LIBCPP_HAS_NO_ATOMIC_HEADER\x0a"
"#else\x0a"
"#  ifndef _LIBCPP_ATOMIC_FLAG_TYPE\x0a"
"#    define _LIBCPP_ATOMIC_FLAG_TYPE bool\x0a"
"#  endif\x0a"
"#  ifdef _LIBCPP_FREESTANDING\x0a"
"#    define _LIBCPP_ATOMIC_ONLY_USE_BUILTINS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_DISABLE_UBSAN_UNSIGNED_INTEGER_CHECK\x0a"
"#define _LIBCPP_DISABLE_UBSAN_UNSIGNED_INTEGER_CHECK\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ENABLE_THREAD_SAFETY_ANNOTATIONS)\x0a"
"#  if defined(__clang__) \x26\x26 __has_attribute(acquire_capability)\x0a"
"// Work around the attribute handling in clang.  When both __declspec and\x0a"
"// __attribute__ are present, the processing goes awry preventing the definition\x0a"
"// of the types.\x0a"
"#    if \x21""defined(_LIBCPP_OBJECT_FORMAT_COFF)\x0a"
"#      define _LIBCPP_HAS_THREAD_SAFETY_ANNOTATIONS\x0a"
"#    endif\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(require_constant_initialization)\x0a"
"#  define _LIBCPP_SAFE_STATIC __attribute__((__require_constant_initialization__))\x0a"
"#else\x0a"
"#  define _LIBCPP_SAFE_STATIC\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__has_builtin(__builtin_addressof) \x26\x26 _GNUC_VER < 700\x0a"
"#define _LIBCPP_HAS_NO_BUILTIN_ADDRESSOF\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__has_builtin(__builtin_is_constant_evaluated) \x26\x26 _GNUC_VER < 900\x0a"
"#define _LIBCPP_HAS_NO_BUILTIN_IS_CONSTANT_EVALUATED\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_OFF_T_FUNCTIONS)\x0a"
"#  if defined(_LIBCPP_MSVCRT) \x7c\x7c defined(_NEWLIB_VERSION)\x0a"
"#    define _LIBCPP_HAS_NO_OFF_T_FUNCTIONS\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(diagnose_if) \x26\x26 \x21""defined(_LIBCPP_DISABLE_ADDITIONAL_DIAGNOSTICS)\x0a"
"#  define _LIBCPP_DIAGNOSE_WARNING(...) \x5c\x0a"
"     __attribute__((diagnose_if(__VA_ARGS__, \x22warning\x22)))\x0a"
"#  define _LIBCPP_DIAGNOSE_ERROR(...) \x5c\x0a"
"     __attribute__((diagnose_if(__VA_ARGS__, \x22""error\x22)))\x0a"
"#else\x0a"
"#  define _LIBCPP_DIAGNOSE_WARNING(...)\x0a"
"#  define _LIBCPP_DIAGNOSE_ERROR(...)\x0a"
"#endif\x0a"
"\x0a"
"// Use a function like macro to imply that it must be followed by a semicolon\x0a"
"#if __cplusplus > 201402L \x26\x26 __has_cpp_attribute(fallthrough)\x0a"
"#  define _LIBCPP_FALLTHROUGH() \x5b\x5b""fallthrough\x5d\x5d\x0a"
"#elif __has_cpp_attribute(clang\x3a\x3a""fallthrough)\x0a"
"#  define _LIBCPP_FALLTHROUGH() \x5b\x5b""clang\x3a\x3a""fallthrough\x5d\x5d\x0a"
"#elif __has_attribute(fallthough) \x7c\x7c _GNUC_VER >= 700\x0a"
"#  define _LIBCPP_FALLTHROUGH() __attribute__((__fallthrough__))\x0a"
"#else\x0a"
"#  define _LIBCPP_FALLTHROUGH() ((void)0)\x0a"
"#endif\x0a"
"\x0a"
"#if __has_attribute(__nodebug__)\x0a"
"#define _LIBCPP_NODEBUG __attribute__((__nodebug__))\x0a"
"#else\x0a"
"#define _LIBCPP_NODEBUG\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_NODEBUG_TYPE\x0a"
"#if __has_attribute(__nodebug__) \x26\x26 \x5c\x0a"
"    (defined(_LIBCPP_COMPILER_CLANG) \x26\x26 _LIBCPP_CLANG_VER >= 900)\x0a"
"#define _LIBCPP_NODEBUG_TYPE __attribute__((nodebug))\x0a"
"#else\x0a"
"#define _LIBCPP_NODEBUG_TYPE\x0a"
"#endif\x0a"
"#endif // \x21""defined(_LIBCPP_NODEBUG_TYPE)\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_MICROSOFT) \x26\x26 \x5c\x0a"
"    (defined(_LIBCPP_COMPILER_MSVC) \x7c\x7c __has_declspec_attribute(empty_bases))\x0a"
"#  define _LIBCPP_DECLSPEC_EMPTY_BASES __declspec(empty_bases)\x0a"
"#else\x0a"
"#  define _LIBCPP_DECLSPEC_EMPTY_BASES\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_ENABLE_CXX17_REMOVED_FEATURES)\x0a"
"#define _LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR\x0a"
"#define _LIBCPP_ENABLE_CXX17_REMOVED_UNEXPECTED_FUNCTIONS\x0a"
"#define _LIBCPP_ENABLE_CXX17_REMOVED_RANDOM_SHUFFLE\x0a"
"#define _LIBCPP_ENABLE_CXX17_REMOVED_BINDERS\x0a"
"#endif // _LIBCPP_ENABLE_CXX17_REMOVED_FEATURES\x0a"
"\x0a"
"#if \x21""defined(__cpp_deduction_guides) \x7c\x7c __cpp_deduction_guides < 201611\x0a"
"#define _LIBCPP_HAS_NO_DEDUCTION_GUIDES\x0a"
"#endif\x0a"
"\x0a"
"#if \x21__has_keyword(__is_aggregate) \x26\x26 (_GNUC_VER_NEW < 7001)\x0a"
"#define _LIBCPP_HAS_NO_IS_AGGREGATE\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(__cpp_coroutines) \x7c\x7c __cpp_coroutines < 201703L\x0a"
"#define _LIBCPP_HAS_NO_COROUTINES\x0a"
"#endif\x0a"
"\x0a"
"// FIXME\x3a Correct this macro when either (A) a feature test macro for the\x0a"
"// spaceship operator is provided, or (B) a compiler provides a complete\x0a"
"// implementation.\x0a"
"#define _LIBCPP_HAS_NO_SPACESHIP_OPERATOR\x0a"
"\x0a"
"// Decide whether to use availability macros.\x0a"
"#if \x21""defined(_LIBCPP_BUILDING_LIBRARY) \x26\x26                                      \x5c\x0a"
"    \x21""defined(_LIBCPP_DISABLE_AVAILABILITY) \x26\x26                                  \x5c\x0a"
"    __has_feature(attribute_availability_with_strict) \x26\x26                       \x5c\x0a"
"    __has_feature(attribute_availability_in_templates) \x26\x26                      \x5c\x0a"
"    __has_extension(pragma_clang_attribute_external_declaration)\x0a"
"#  ifdef __APPLE__\x0a"
"#    define _LIBCPP_USE_AVAILABILITY_APPLE\x0a"
"#  endif\x0a"
"#endif\x0a"
"\x0a"
"// Define availability macros.\x0a"
"#if defined(_LIBCPP_USE_AVAILABILITY_APPLE)\x0a"
"#  define _LIBCPP_AVAILABILITY_SHARED_MUTEX                                    \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.12)))             \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=10.0)))                 \x5c\x0a"
"     __attribute__((availability(tvos,strict,introduced=10.0)))                \x5c\x0a"
"     __attribute__((availability(watchos,strict,introduced=3.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_OPTIONAL_ACCESS                             \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.14)))             \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=12.0)))                 \x5c\x0a"
"     __attribute__((availability(tvos,strict,introduced=12.0)))                \x5c\x0a"
"     __attribute__((availability(watchos,strict,introduced=5.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_VARIANT_ACCESS                              \x5c\x0a"
"     _LIBCPP_AVAILABILITY_BAD_OPTIONAL_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_ANY_CAST                                    \x5c\x0a"
"     _LIBCPP_AVAILABILITY_BAD_OPTIONAL_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_UNCAUGHT_EXCEPTIONS                             \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.12)))             \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=10.0)))                 \x5c\x0a"
"     __attribute__((availability(tvos,strict,introduced=10.0)))                \x5c\x0a"
"     __attribute__((availability(watchos,strict,introduced=3.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE                                \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.12)))             \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=10.0)))                 \x5c\x0a"
"     __attribute__((availability(tvos,strict,introduced=10.0)))                \x5c\x0a"
"     __attribute__((availability(watchos,strict,introduced=3.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_FUTURE_ERROR                                    \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=6.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_TYPEINFO_VTABLE                                 \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.9)))              \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=7.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_LOCALE_CATEGORY                                 \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.9)))              \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=7.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_ATOMIC_SHARED_PTR                               \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.9)))              \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=7.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM                                      \x5c\x0a"
"     __attribute__((availability(macosx,strict,introduced=10.15)))             \x5c\x0a"
"     __attribute__((availability(ios,strict,introduced=13.0)))                 \x5c\x0a"
"     __attribute__((availability(tvos,strict,introduced=13.0)))                \x5c\x0a"
"     __attribute__((availability(watchos,strict,introduced=6.0)))\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM_PUSH                                 \x5c\x0a"
"     _Pragma(\x22""clang attribute push(__attribute__((availability(macosx,strict,introduced=10.15))), apply_to=any(function,record))\x22) \x5c\x0a"
"     _Pragma(\x22""clang attribute push(__attribute__((availability(ios,strict,introduced=13.0))), apply_to=any(function,record))\x22)     \x5c\x0a"
"     _Pragma(\x22""clang attribute push(__attribute__((availability(tvos,strict,introduced=13.0))), apply_to=any(function,record))\x22)    \x5c\x0a"
"     _Pragma(\x22""clang attribute push(__attribute__((availability(watchos,strict,introduced=6.0))), apply_to=any(function,record))\x22)\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM_POP                                  \x5c\x0a"
"     _Pragma(\x22""clang attribute pop\x22)                                            \x5c\x0a"
"     _Pragma(\x22""clang attribute pop\x22)                                            \x5c\x0a"
"     _Pragma(\x22""clang attribute pop\x22)                                            \x5c\x0a"
"     _Pragma(\x22""clang attribute pop\x22)\x0a"
"#else\x0a"
"#  define _LIBCPP_AVAILABILITY_SHARED_MUTEX\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_VARIANT_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_OPTIONAL_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_BAD_ANY_CAST\x0a"
"#  define _LIBCPP_AVAILABILITY_UNCAUGHT_EXCEPTIONS\x0a"
"#  define _LIBCPP_AVAILABILITY_SIZED_NEW_DELETE\x0a"
"#  define _LIBCPP_AVAILABILITY_FUTURE_ERROR\x0a"
"#  define _LIBCPP_AVAILABILITY_TYPEINFO_VTABLE\x0a"
"#  define _LIBCPP_AVAILABILITY_LOCALE_CATEGORY\x0a"
"#  define _LIBCPP_AVAILABILITY_ATOMIC_SHARED_PTR\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM_PUSH\x0a"
"#  define _LIBCPP_AVAILABILITY_FILESYSTEM_POP\x0a"
"#endif\x0a"
"\x0a"
"// Define availability that depends on _LIBCPP_NO_EXCEPTIONS.\x0a"
"#ifdef _LIBCPP_NO_EXCEPTIONS\x0a"
"#  define _LIBCPP_AVAILABILITY_FUTURE\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_ANY_CAST\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_OPTIONAL_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_VARIANT_ACCESS\x0a"
"#else\x0a"
"#  define _LIBCPP_AVAILABILITY_FUTURE                    _LIBCPP_AVAILABILITY_FUTURE_ERROR\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_ANY_CAST        _LIBCPP_AVAILABILITY_BAD_ANY_CAST\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_OPTIONAL_ACCESS _LIBCPP_AVAILABILITY_BAD_OPTIONAL_ACCESS\x0a"
"#  define _LIBCPP_AVAILABILITY_THROW_BAD_VARIANT_ACCESS  _LIBCPP_AVAILABILITY_BAD_VARIANT_ACCESS\x0a"
"#endif\x0a"
"\x0a"
"// The stream API was dropped and re-added in the dylib shipped on macOS\x0a"
"// and iOS. We can only assume the dylib to provide these definitions for\x0a"
"// macosx >= 10.9 and ios >= 7.0. Otherwise, the definitions are available\x0a"
"// from the headers, but not from the dylib. Explicit instantiation\x0a"
"// declarations for streams exist conditionally to this; if we provide\x0a"
"// an explicit instantiation declaration and we try to deploy to a dylib\x0a"
"// that does not provide those symbols, we'll get a load-time error.\x0a"
"#if \x21""defined(_LIBCPP_BUILDING_LIBRARY) \x26\x26                                      \x5c\x0a"
"    ((defined(__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__) \x26\x26                \x5c\x0a"
"      __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1090) \x7c\x7c                 \x5c\x0a"
"     (defined(__ENVIRONMENT_IPHONE_OS_VERSION_MIN_REQUIRED__) \x26\x26               \x5c\x0a"
"      __ENVIRONMENT_IPHONE_OS_VERSION_MIN_REQUIRED__ < 70000))\x0a"
"#  define _LIBCPP_DO_NOT_ASSUME_STREAMS_EXPLICIT_INSTANTIATION_IN_DYLIB\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_COMPILER_IBM)\x0a"
"#define _LIBCPP_HAS_NO_PRAGMA_PUSH_POP_MACRO\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_PRAGMA_PUSH_POP_MACRO)\x0a"
"#  define _LIBCPP_PUSH_MACROS\x0a"
"#  define _LIBCPP_POP_MACROS\x0a"
"#else\x0a"
"  // Don't warn about macro conflicts when we can restore them at the\x0a"
"  // end of the header.\x0a"
"#  ifndef _LIBCPP_DISABLE_MACRO_CONFLICT_WARNINGS\x0a"
"#    define _LIBCPP_DISABLE_MACRO_CONFLICT_WARNINGS\x0a"
"#  endif\x0a"
"#  if defined(_LIBCPP_COMPILER_MSVC)\x0a"
"#    define _LIBCPP_PUSH_MACROS    \x5c\x0a"
"       __pragma(push_macro(\x22min\x22)) \x5c\x0a"
"       __pragma(push_macro(\x22max\x22))\x0a"
"#    define _LIBCPP_POP_MACROS     \x5c\x0a"
"       __pragma(pop_macro(\x22min\x22))  \x5c\x0a"
"       __pragma(pop_macro(\x22max\x22))\x0a"
"#  else\x0a"
"#    define _LIBCPP_PUSH_MACROS        \x5c\x0a"
"       _Pragma(\x22push_macro(\x5c\x22min\x5c\x22)\x22)  \x5c\x0a"
"       _Pragma(\x22push_macro(\x5c\x22max\x5c\x22)\x22)\x0a"
"#    define _LIBCPP_POP_MACROS         \x5c\x0a"
"       _Pragma(\x22pop_macro(\x5c\x22min\x5c\x22)\x22)   \x5c\x0a"
"       _Pragma(\x22pop_macro(\x5c\x22max\x5c\x22)\x22)\x0a"
"#  endif\x0a"
"#endif // defined(_LIBCPP_HAS_NO_PRAGMA_PUSH_POP_MACRO)\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_AUTO_LINK\x0a"
"#  if defined(_LIBCPP_ABI_MICROSOFT) \x26\x26 \x21""defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"#    if defined(_DLL)\x0a"
"#      pragma comment(lib, \x22""c++.lib\x22)\x0a"
"#    else\x0a"
"#      pragma comment(lib, \x22libc++.lib\x22)\x0a"
"#    endif\x0a"
"#  endif // defined(_LIBCPP_ABI_MICROSOFT) \x26\x26 \x21""defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"#endif // _LIBCPP_NO_AUTO_LINK\x0a"
"\x0a"
"#define _LIBCPP_UNUSED_VAR(x) ((void)(x))\x0a"
"\x0a"
"#endif // __cplusplus\x0a"
"\x0a"
"#endif // _LIBCPP_CONFIG\x0a"
"", 48497 ); }