#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___debug( 
"// -*- C++ -*-\x0a"
"//===--------------------------- __debug ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_DEBUG_H\x0a"
"#define _LIBCPP_DEBUG_H\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <iosfwd>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_NO_NULLPTR)\x0a"
"# include <cstddef>\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 1 \x7c\x7c defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"#   include <cstdlib>\x0a"
"#   include <cstdio>\x0a"
"#   include <cstddef>\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 1 \x26\x26 \x21""defined(_LIBCPP_ASSERT)\x0a"
"# define _LIBCPP_ASSERT(x, m) ((x) \x3f (void)0 \x3a \x5c\x0a"
"  _VSTD\x3a\x3a__libcpp_debug_function(_VSTD\x3a\x3a__libcpp_debug_info(__FILE__, __LINE__, #x, m)))\x0a"
"#endif\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"#ifndef _LIBCPP_DEBUG_ASSERT\x0a"
"#define _LIBCPP_DEBUG_ASSERT(x, m) _LIBCPP_ASSERT(x, m)\x0a"
"#endif\x0a"
"#define _LIBCPP_DEBUG_MODE(...) __VA_ARGS__\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_ASSERT\x0a"
"#   define _LIBCPP_ASSERT(x, m) ((void)0)\x0a"
"#endif\x0a"
"#ifndef _LIBCPP_DEBUG_ASSERT\x0a"
"#   define _LIBCPP_DEBUG_ASSERT(x, m) ((void)0)\x0a"
"#endif\x0a"
"#ifndef _LIBCPP_DEBUG_MODE\x0a"
"#define _LIBCPP_DEBUG_MODE(...) ((void)0)\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"struct _LIBCPP_TEMPLATE_VIS __libcpp_debug_info {\x0a"
"  _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR\x0a"
"  __libcpp_debug_info()\x0a"
"      \x3a __file_(nullptr), __line_(-1), __pred_(nullptr), __msg_(nullptr) {}\x0a"
"  _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR\x0a"
"  __libcpp_debug_info(const char* __f, int __l, const char* __p, const char* __m)\x0a"
"    \x3a __file_(__f), __line_(__l), __pred_(__p), __msg_(__m) {}\x0a"
"\x0a"
"  _LIBCPP_FUNC_VIS std\x3a\x3astring what() const;\x0a"
"\x0a"
"  const char* __file_;\x0a"
"  int __line_;\x0a"
"  const char* __pred_;\x0a"
"  const char* __msg_;\x0a"
"};\x0a"
"\x0a"
"/// __libcpp_debug_function_type - The type of the assertion failure handler.\x0a"
"typedef void(*__libcpp_debug_function_type)(__libcpp_debug_info const\x26);\x0a"
"\x0a"
"/// __libcpp_debug_function - The handler function called when a _LIBCPP_ASSERT\x0a"
"///    fails.\x0a"
"extern _LIBCPP_EXPORTED_FROM_ABI __libcpp_debug_function_type __libcpp_debug_function;\x0a"
"\x0a"
"/// __libcpp_abort_debug_function - A debug handler that aborts when called.\x0a"
"_LIBCPP_NORETURN _LIBCPP_FUNC_VIS\x0a"
"void __libcpp_abort_debug_function(__libcpp_debug_info const\x26);\x0a"
"\x0a"
"/// __libcpp_set_debug_function - Set the debug handler to the specified\x0a"
"///    function.\x0a"
"_LIBCPP_FUNC_VIS\x0a"
"bool __libcpp_set_debug_function(__libcpp_debug_function_type __func);\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2 \x7c\x7c defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"\x0a"
"struct _LIBCPP_TYPE_VIS __c_node;\x0a"
"\x0a"
"struct _LIBCPP_TYPE_VIS __i_node\x0a"
"{\x0a"
"    void* __i_;\x0a"
"    __i_node* __next_;\x0a"
"    __c_node* __c_;\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    __i_node(const __i_node\x26) = delete;\x0a"
"    __i_node\x26 operator=(const __i_node\x26) = delete;\x0a"
"#else\x0a"
"private\x3a\x0a"
"    __i_node(const __i_node\x26);\x0a"
"    __i_node\x26 operator=(const __i_node\x26);\x0a"
"public\x3a\x0a"
"#endif\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __i_node(void* __i, __i_node* __next, __c_node* __c)\x0a"
"        \x3a __i_(__i), __next_(__next), __c_(__c) {}\x0a"
"    \x7e__i_node();\x0a"
"};\x0a"
"\x0a"
"struct _LIBCPP_TYPE_VIS __c_node\x0a"
"{\x0a"
"    void* __c_;\x0a"
"    __c_node* __next_;\x0a"
"    __i_node** beg_;\x0a"
"    __i_node** end_;\x0a"
"    __i_node** cap_;\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    __c_node(const __c_node\x26) = delete;\x0a"
"    __c_node\x26 operator=(const __c_node\x26) = delete;\x0a"
"#else\x0a"
"private\x3a\x0a"
"    __c_node(const __c_node\x26);\x0a"
"    __c_node\x26 operator=(const __c_node\x26);\x0a"
"public\x3a\x0a"
"#endif\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __c_node(void* __c, __c_node* __next)\x0a"
"        \x3a __c_(__c), __next_(__next), beg_(nullptr), end_(nullptr), cap_(nullptr) {}\x0a"
"    virtual \x7e__c_node();\x0a"
"\x0a"
"    virtual bool __dereferenceable(const void*) const = 0;\x0a"
"    virtual bool __decrementable(const void*) const = 0;\x0a"
"    virtual bool __addable(const void*, ptrdiff_t) const = 0;\x0a"
"    virtual bool __subscriptable(const void*, ptrdiff_t) const = 0;\x0a"
"\x0a"
"    void __add(__i_node* __i);\x0a"
"    _LIBCPP_HIDDEN void __remove(__i_node* __i);\x0a"
"};\x0a"
"\x0a"
"template <class _Cont>\x0a"
"struct _C_node\x0a"
"    \x3a public __c_node\x0a"
"{\x0a"
"    _C_node(void* __c, __c_node* __n)\x0a"
"        \x3a __c_node(__c, __n) {}\x0a"
"\x0a"
"    virtual bool __dereferenceable(const void*) const;\x0a"
"    virtual bool __decrementable(const void*) const;\x0a"
"    virtual bool __addable(const void*, ptrdiff_t) const;\x0a"
"    virtual bool __subscriptable(const void*, ptrdiff_t) const;\x0a"
"};\x0a"
"\x0a"
"template <class _Cont>\x0a"
"inline bool\x0a"
"_C_node<_Cont>\x3a\x3a__dereferenceable(const void* __i) const\x0a"
"{\x0a"
"    typedef typename _Cont\x3a\x3a""const_iterator iterator;\x0a"
"    const iterator* __j = static_cast<const iterator*>(__i);\x0a"
"    _Cont* _Cp = static_cast<_Cont*>(__c_);\x0a"
"    return _Cp->__dereferenceable(__j);\x0a"
"}\x0a"
"\x0a"
"template <class _Cont>\x0a"
"inline bool\x0a"
"_C_node<_Cont>\x3a\x3a__decrementable(const void* __i) const\x0a"
"{\x0a"
"    typedef typename _Cont\x3a\x3a""const_iterator iterator;\x0a"
"    const iterator* __j = static_cast<const iterator*>(__i);\x0a"
"    _Cont* _Cp = static_cast<_Cont*>(__c_);\x0a"
"    return _Cp->__decrementable(__j);\x0a"
"}\x0a"
"\x0a"
"template <class _Cont>\x0a"
"inline bool\x0a"
"_C_node<_Cont>\x3a\x3a__addable(const void* __i, ptrdiff_t __n) const\x0a"
"{\x0a"
"    typedef typename _Cont\x3a\x3a""const_iterator iterator;\x0a"
"    const iterator* __j = static_cast<const iterator*>(__i);\x0a"
"    _Cont* _Cp = static_cast<_Cont*>(__c_);\x0a"
"    return _Cp->__addable(__j, __n);\x0a"
"}\x0a"
"\x0a"
"template <class _Cont>\x0a"
"inline bool\x0a"
"_C_node<_Cont>\x3a\x3a__subscriptable(const void* __i, ptrdiff_t __n) const\x0a"
"{\x0a"
"    typedef typename _Cont\x3a\x3a""const_iterator iterator;\x0a"
"    const iterator* __j = static_cast<const iterator*>(__i);\x0a"
"    _Cont* _Cp = static_cast<_Cont*>(__c_);\x0a"
"    return _Cp->__subscriptable(__j, __n);\x0a"
"}\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS __libcpp_db\x0a"
"{\x0a"
"    __c_node** __cbeg_;\x0a"
"    __c_node** __cend_;\x0a"
"    size_t   __csz_;\x0a"
"    __i_node** __ibeg_;\x0a"
"    __i_node** __iend_;\x0a"
"    size_t   __isz_;\x0a"
"\x0a"
"    __libcpp_db();\x0a"
"public\x3a\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    __libcpp_db(const __libcpp_db\x26) = delete;\x0a"
"    __libcpp_db\x26 operator=(const __libcpp_db\x26) = delete;\x0a"
"#else\x0a"
"private\x3a\x0a"
"    __libcpp_db(const __libcpp_db\x26);\x0a"
"    __libcpp_db\x26 operator=(const __libcpp_db\x26);\x0a"
"public\x3a\x0a"
"#endif\x0a"
"    \x7e__libcpp_db();\x0a"
"\x0a"
"    class __db_c_iterator;\x0a"
"    class __db_c_const_iterator;\x0a"
"    class __db_i_iterator;\x0a"
"    class __db_i_const_iterator;\x0a"
"\x0a"
"    __db_c_const_iterator __c_end() const;\x0a"
"    __db_i_const_iterator __i_end() const;\x0a"
"\x0a"
"    typedef __c_node*(_InsertConstruct)(void*, void*, __c_node*);\x0a"
"\x0a"
"    template <class _Cont>\x0a"
"    _LIBCPP_INLINE_VISIBILITY static __c_node* __create_C_node(void *__mem, void *__c, __c_node *__next) {\x0a"
"        return \x3a\x3anew(__mem) _C_node<_Cont>(__c, __next);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Cont>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __insert_c(_Cont* __c)\x0a"
"    {\x0a"
"        __insert_c(static_cast<void*>(__c), \x26__create_C_node<_Cont>);\x0a"
"    }\x0a"
"\x0a"
"    void __insert_i(void* __i);\x0a"
"    void __insert_c(void* __c, _InsertConstruct* __fn);\x0a"
"    void __erase_c(void* __c);\x0a"
"\x0a"
"    void __insert_ic(void* __i, const void* __c);\x0a"
"    void __iterator_copy(void* __i, const void* __i0);\x0a"
"    void __erase_i(void* __i);\x0a"
"\x0a"
"    void* __find_c_from_i(void* __i) const;\x0a"
"    void __invalidate_all(void* __c);\x0a"
"    __c_node* __find_c_and_lock(void* __c) const;\x0a"
"    __c_node* __find_c(void* __c) const;\x0a"
"    void unlock() const;\x0a"
"\x0a"
"    void swap(void* __c1, void* __c2);\x0a"
"\x0a"
"\x0a"
"    bool __dereferenceable(const void* __i) const;\x0a"
"    bool __decrementable(const void* __i) const;\x0a"
"    bool __addable(const void* __i, ptrdiff_t __n) const;\x0a"
"    bool __subscriptable(const void* __i, ptrdiff_t __n) const;\x0a"
"    bool __less_than_comparable(const void* __i, const void* __j) const;\x0a"
"private\x3a\x0a"
"    _LIBCPP_HIDDEN\x0a"
"    __i_node* __insert_iterator(void* __i);\x0a"
"    _LIBCPP_HIDDEN\x0a"
"    __i_node* __find_iterator(const void* __i) const;\x0a"
"\x0a"
"    friend _LIBCPP_FUNC_VIS __libcpp_db* __get_db();\x0a"
"};\x0a"
"\x0a"
"_LIBCPP_FUNC_VIS __libcpp_db* __get_db();\x0a"
"_LIBCPP_FUNC_VIS const __libcpp_db* __get_const_db();\x0a"
"\x0a"
"\x0a"
"#endif // _LIBCPP_DEBUG_LEVEL >= 2 \x7c\x7c defined(_LIBCPP_BUILDING_LIBRARY)\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_DEBUG_H\x0a"
"\x0a"
"", 7956 ); }