#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___functional_03( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_FUNCTIONAL_03\x0a"
"#define _LIBCPP_FUNCTIONAL_03\x0a"
"\x0a"
"// manual variadic expansion for <functional>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"namespace __function {\x0a"
"\x0a"
"template<class _Fp> class __base;\x0a"
"\x0a"
"template<class _Rp>\x0a"
"class __base<_Rp()>\x0a"
"{\x0a"
"    __base(const __base\x26);\x0a"
"    __base\x26 operator=(const __base\x26);\x0a"
"public\x3a\x0a"
"    __base() {}\x0a"
"    virtual \x7e__base() {}\x0a"
"    virtual __base* __clone() const = 0;\x0a"
"    virtual void __clone(__base*) const = 0;\x0a"
"    virtual void destroy() = 0;\x0a"
"    virtual void destroy_deallocate() = 0;\x0a"
"    virtual _Rp operator()() = 0;\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const = 0;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const = 0;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"class __base<_Rp(_A0)>\x0a"
"{\x0a"
"    __base(const __base\x26);\x0a"
"    __base\x26 operator=(const __base\x26);\x0a"
"public\x3a\x0a"
"    __base() {}\x0a"
"    virtual \x7e__base() {}\x0a"
"    virtual __base* __clone() const = 0;\x0a"
"    virtual void __clone(__base*) const = 0;\x0a"
"    virtual void destroy() = 0;\x0a"
"    virtual void destroy_deallocate() = 0;\x0a"
"    virtual _Rp operator()(_A0) = 0;\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const = 0;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const = 0;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"class __base<_Rp(_A0, _A1)>\x0a"
"{\x0a"
"    __base(const __base\x26);\x0a"
"    __base\x26 operator=(const __base\x26);\x0a"
"public\x3a\x0a"
"    __base() {}\x0a"
"    virtual \x7e__base() {}\x0a"
"    virtual __base* __clone() const = 0;\x0a"
"    virtual void __clone(__base*) const = 0;\x0a"
"    virtual void destroy() = 0;\x0a"
"    virtual void destroy_deallocate() = 0;\x0a"
"    virtual _Rp operator()(_A0, _A1) = 0;\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const = 0;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const = 0;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"class __base<_Rp(_A0, _A1, _A2)>\x0a"
"{\x0a"
"    __base(const __base\x26);\x0a"
"    __base\x26 operator=(const __base\x26);\x0a"
"public\x3a\x0a"
"    __base() {}\x0a"
"    virtual \x7e__base() {}\x0a"
"    virtual __base* __clone() const = 0;\x0a"
"    virtual void __clone(__base*) const = 0;\x0a"
"    virtual void destroy() = 0;\x0a"
"    virtual void destroy_deallocate() = 0;\x0a"
"    virtual _Rp operator()(_A0, _A1, _A2) = 0;\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const = 0;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const = 0;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _FD, class _Alloc, class _FB> class __func;\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"class __func<_Fp, _Alloc, _Rp()>\x0a"
"    \x3a public  __base<_Rp()>\x0a"
"{\x0a"
"    __compressed_pair<_Fp, _Alloc> __f_;\x0a"
"public\x3a\x0a"
"    explicit __func(_Fp __f) \x3a __f_(_VSTD\x3a\x3amove(__f)) {}\x0a"
"    explicit __func(_Fp __f, _Alloc __a) \x3a __f_(_VSTD\x3a\x3amove(__f), _VSTD\x3a\x3amove(__a)) {}\x0a"
"    virtual __base<_Rp()>* __clone() const;\x0a"
"    virtual void __clone(__base<_Rp()>*) const;\x0a"
"    virtual void destroy();\x0a"
"    virtual void destroy_deallocate();\x0a"
"    virtual _Rp operator()();\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"__base<_Rp()>*\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3a__clone() const\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    typedef __allocator_destructor<_Ap> _Dp;\x0a"
"    unique_ptr<__func, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"    \x3a\x3anew (__hold.get()) __func(__f_.first(), _Alloc(__a));\x0a"
"    return __hold.release();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3a__clone(__base<_Rp()>* __p) const\x0a"
"{\x0a"
"    \x3a\x3anew (__p) __func(__f_.first(), __f_.second());\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3a""destroy()\x0a"
"{\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3a""destroy_deallocate()\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"    __a.deallocate(this, 1);\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"_Rp\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3aoperator()()\x0a"
"{\x0a"
"    typedef __invoke_void_return_wrapper<_Rp> _Invoker;\x0a"
"    return _Invoker\x3a\x3a__call(__f_.first());\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"const void*\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3atarget(const type_info\x26 __ti) const\x0a"
"{\x0a"
"    if (__ti == typeid(_Fp))\x0a"
"        return \x26__f_.first();\x0a"
"    return (const void*)0;\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"__func<_Fp, _Alloc, _Rp()>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    return typeid(_Fp);\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"class __func<_Fp, _Alloc, _Rp(_A0)>\x0a"
"    \x3a public  __base<_Rp(_A0)>\x0a"
"{\x0a"
"    __compressed_pair<_Fp, _Alloc> __f_;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f) \x3a __f_(_VSTD\x3a\x3amove(__f)) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f, _Alloc __a)\x0a"
"        \x3a __f_(_VSTD\x3a\x3amove(__f), _VSTD\x3a\x3amove(__a)) {}\x0a"
"    virtual __base<_Rp(_A0)>* __clone() const;\x0a"
"    virtual void __clone(__base<_Rp(_A0)>*) const;\x0a"
"    virtual void destroy();\x0a"
"    virtual void destroy_deallocate();\x0a"
"    virtual _Rp operator()(_A0);\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"__base<_Rp(_A0)>*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3a__clone() const\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    typedef __allocator_destructor<_Ap> _Dp;\x0a"
"    unique_ptr<__func, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"    \x3a\x3anew (__hold.get()) __func(__f_.first(), _Alloc(__a));\x0a"
"    return __hold.release();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3a__clone(__base<_Rp(_A0)>* __p) const\x0a"
"{\x0a"
"    \x3a\x3anew (__p) __func(__f_.first(), __f_.second());\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3a""destroy()\x0a"
"{\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3a""destroy_deallocate()\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"    __a.deallocate(this, 1);\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"_Rp\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3aoperator()(_A0 __a0)\x0a"
"{\x0a"
"    typedef __invoke_void_return_wrapper<_Rp> _Invoker;\x0a"
"    return _Invoker\x3a\x3a__call(__f_.first(), __a0);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"const void*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3atarget(const type_info\x26 __ti) const\x0a"
"{\x0a"
"    if (__ti == typeid(_Fp))\x0a"
"        return \x26__f_.first();\x0a"
"    return (const void*)0;\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"__func<_Fp, _Alloc, _Rp(_A0)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    return typeid(_Fp);\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"class __func<_Fp, _Alloc, _Rp(_A0, _A1)>\x0a"
"    \x3a public  __base<_Rp(_A0, _A1)>\x0a"
"{\x0a"
"    __compressed_pair<_Fp, _Alloc> __f_;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f) \x3a __f_(_VSTD\x3a\x3amove(__f)) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f, _Alloc __a)\x0a"
"        \x3a __f_(_VSTD\x3a\x3amove(__f), _VSTD\x3a\x3amove(__a)) {}\x0a"
"    virtual __base<_Rp(_A0, _A1)>* __clone() const;\x0a"
"    virtual void __clone(__base<_Rp(_A0, _A1)>*) const;\x0a"
"    virtual void destroy();\x0a"
"    virtual void destroy_deallocate();\x0a"
"    virtual _Rp operator()(_A0, _A1);\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"__base<_Rp(_A0, _A1)>*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3a__clone() const\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    typedef __allocator_destructor<_Ap> _Dp;\x0a"
"    unique_ptr<__func, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"    \x3a\x3anew (__hold.get()) __func(__f_.first(), _Alloc(__a));\x0a"
"    return __hold.release();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3a__clone(__base<_Rp(_A0, _A1)>* __p) const\x0a"
"{\x0a"
"    \x3a\x3anew (__p) __func(__f_.first(), __f_.second());\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3a""destroy()\x0a"
"{\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3a""destroy_deallocate()\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"    __a.deallocate(this, 1);\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"_Rp\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3aoperator()(_A0 __a0, _A1 __a1)\x0a"
"{\x0a"
"    typedef __invoke_void_return_wrapper<_Rp> _Invoker;\x0a"
"    return _Invoker\x3a\x3a__call(__f_.first(), __a0, __a1);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"const void*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3atarget(const type_info\x26 __ti) const\x0a"
"{\x0a"
"    if (__ti == typeid(_Fp))\x0a"
"        return \x26__f_.first();\x0a"
"    return (const void*)0;\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    return typeid(_Fp);\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"class __func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x0a"
"    \x3a public  __base<_Rp(_A0, _A1, _A2)>\x0a"
"{\x0a"
"    __compressed_pair<_Fp, _Alloc> __f_;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f) \x3a __f_(_VSTD\x3a\x3amove(__f)) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit __func(_Fp __f, _Alloc __a)\x0a"
"        \x3a __f_(_VSTD\x3a\x3amove(__f), _VSTD\x3a\x3amove(__a)) {}\x0a"
"    virtual __base<_Rp(_A0, _A1, _A2)>* __clone() const;\x0a"
"    virtual void __clone(__base<_Rp(_A0, _A1, _A2)>*) const;\x0a"
"    virtual void destroy();\x0a"
"    virtual void destroy_deallocate();\x0a"
"    virtual _Rp operator()(_A0, _A1, _A2);\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    virtual const void* target(const type_info\x26) const;\x0a"
"    virtual const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"__base<_Rp(_A0, _A1, _A2)>*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3a__clone() const\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    typedef __allocator_destructor<_Ap> _Dp;\x0a"
"    unique_ptr<__func, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"    \x3a\x3anew (__hold.get()) __func(__f_.first(), _Alloc(__a));\x0a"
"    return __hold.release();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3a__clone(__base<_Rp(_A0, _A1, _A2)>* __p) const\x0a"
"{\x0a"
"    \x3a\x3anew (__p) __func(__f_.first(), __f_.second());\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3a""destroy()\x0a"
"{\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"void\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3a""destroy_deallocate()\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __func>\x3a\x3atype _Ap;\x0a"
"    _Ap __a(__f_.second());\x0a"
"    __f_.\x7e__compressed_pair<_Fp, _Alloc>();\x0a"
"    __a.deallocate(this, 1);\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"_Rp\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3aoperator()(_A0 __a0, _A1 __a1, _A2 __a2)\x0a"
"{\x0a"
"    typedef __invoke_void_return_wrapper<_Rp> _Invoker;\x0a"
"    return _Invoker\x3a\x3a__call(__f_.first(), __a0, __a1, __a2);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"const void*\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3atarget(const type_info\x26 __ti) const\x0a"
"{\x0a"
"    if (__ti == typeid(_Fp))\x0a"
"        return \x26__f_.first();\x0a"
"    return (const void*)0;\x0a"
"}\x0a"
"\x0a"
"template<class _Fp, class _Alloc, class _Rp, class _A0, class _A1, class _A2>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    return typeid(_Fp);\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"}  // __function\x0a"
"\x0a"
"template<class _Rp>\x0a"
"class _LIBCPP_TEMPLATE_VIS function<_Rp()>\x0a"
"{\x0a"
"    typedef __function\x3a\x3a__base<_Rp()> __base;\x0a"
"    aligned_storage<3*sizeof(void*)>\x3a\x3atype __buf_;\x0a"
"    __base* __f_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef _Rp result_type;\x0a"
"\x0a"
"    // 20.7.16.2.1, construct/copy/destroy\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit function() \x3a __f_(0) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY function(nullptr_t) \x3a __f_(0) {}\x0a"
"    function(const function\x26);\x0a"
"    template<class _Fp>\x0a"
"      function(_Fp,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26, nullptr_t) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26, const function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26 __a, _Fp __f,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    function\x26 operator=(const function\x26);\x0a"
"    function\x26 operator=(nullptr_t);\x0a"
"    template<class _Fp>\x0a"
"      typename enable_if\x0a"
"      <\x0a"
"        \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"        function\x26\x0a"
"      >\x3a\x3atype\x0a"
"      operator=(_Fp);\x0a"
"\x0a"
"    \x7e""function();\x0a"
"\x0a"
"    // 20.7.16.2.2, function modifiers\x3a\x0a"
"    void swap(function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      void assign(_Fp __f, const _Alloc\x26 __a)\x0a"
"        {function(allocator_arg, __a, __f).swap(*this);}\x0a"
"\x0a"
"    // 20.7.16.2.3, function capacity\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY operator bool() const {return __f_;}\x0a"
"\x0a"
"private\x3a\x0a"
"    // deleted overloads close possible hole in the type system\x0a"
"    template<class _R2>\x0a"
"      bool operator==(const function<_R2()>\x26) const;// = delete;\x0a"
"    template<class _R2>\x0a"
"      bool operator\x21=(const function<_R2()>\x26) const;// = delete;\x0a"
"public\x3a\x0a"
"    // 20.7.16.2.4, function invocation\x3a\x0a"
"    _Rp operator()() const;\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    // 20.7.16.2.5, function target access\x3a\x0a"
"    const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"    template <typename _Tp> _Tp* target();\x0a"
"    template <typename _Tp> const _Tp* target() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp>\x0a"
"function<_Rp()>\x3a\x3a""function(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template<class _Alloc>\x0a"
"function<_Rp()>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26, const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template <class _Fp>\x0a"
"function<_Rp()>\x3a\x3a""function(_Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, allocator<_Fp>, _Rp()> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef allocator<_FF> _Ap;\x0a"
"            _Ap __a;\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, allocator<_Fp>(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template <class _Fp, class _Alloc>\x0a"
"function<_Rp()>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26 __a0, _Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, _Alloc, _Rp()> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f, __a0);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef typename __rebind_alloc_helper<__alloc_traits, _FF>\x3a\x3atype _Ap;\x0a"
"            _Ap __a(__a0);\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, _Alloc(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"function<_Rp()>\x26\x0a"
"function<_Rp()>\x3a\x3aoperator=(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f)\x0a"
"        function(__f).swap(*this);\x0a"
"    else\x0a"
"        *this = nullptr;\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"function<_Rp()>\x26\x0a"
"function<_Rp()>\x3a\x3aoperator=(nullptr_t)\x0a"
"{\x0a"
"    __base* __t = __f_;\x0a"
"    __f_ = 0;\x0a"
"    if (__t == (__base*)\x26__buf_)\x0a"
"        __t->destroy();\x0a"
"    else if (__t)\x0a"
"        __t->destroy_deallocate();\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template <class _Fp>\x0a"
"typename enable_if\x0a"
"<\x0a"
"    \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"    function<_Rp()>\x26\x0a"
">\x3a\x3atype\x0a"
"function<_Rp()>\x3a\x3aoperator=(_Fp __f)\x0a"
"{\x0a"
"    function(_VSTD\x3a\x3amove(__f)).swap(*this);\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"function<_Rp()>\x3a\x3a\x7e""function()\x0a"
"{\x0a"
"    if (__f_ == (__base*)\x26__buf_)\x0a"
"        __f_->destroy();\x0a"
"    else if (__f_)\x0a"
"        __f_->destroy_deallocate();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"void\x0a"
"function<_Rp()>\x3a\x3aswap(function\x26 __f)\x0a"
"{\x0a"
"    if (_VSTD\x3a\x3a""addressof(__f) == this)\x0a"
"      return;\x0a"
"    if (__f_ == (__base*)\x26__buf_ \x26\x26 __f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        typename aligned_storage<sizeof(__buf_)>\x3a\x3atype __tempbuf;\x0a"
"        __base* __t = (__base*)\x26__tempbuf;\x0a"
"        __f_->__clone(__t);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = 0;\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = 0;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __t->__clone((__base*)\x26__f.__buf_);\x0a"
"        __t->destroy();\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f_ == (__base*)\x26__buf_)\x0a"
"    {\x0a"
"        __f_->__clone((__base*)\x26__f.__buf_);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = __f.__f_;\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = __f_;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"    }\x0a"
"    else\x0a"
"        _VSTD\x3a\x3aswap(__f_, __f.__f_);\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"_Rp\x0a"
"function<_Rp()>\x3a\x3aoperator()() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        __throw_bad_function_call();\x0a"
"    return (*__f_)();\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"function<_Rp()>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return typeid(void);\x0a"
"    return __f_->target_type();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template <typename _Tp>\x0a"
"_Tp*\x0a"
"function<_Rp()>\x3a\x3atarget()\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (_Tp*)0;\x0a"
"    return (_Tp*) const_cast<void *>(__f_->target(typeid(_Tp)));\x0a"
"}\x0a"
"\x0a"
"template<class _Rp>\x0a"
"template <typename _Tp>\x0a"
"const _Tp*\x0a"
"function<_Rp()>\x3a\x3atarget() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (const _Tp*)0;\x0a"
"    return (const _Tp*)__f_->target(typeid(_Tp));\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"class _LIBCPP_TEMPLATE_VIS function<_Rp(_A0)>\x0a"
"    \x3a public unary_function<_A0, _Rp>\x0a"
"{\x0a"
"    typedef __function\x3a\x3a__base<_Rp(_A0)> __base;\x0a"
"    aligned_storage<3*sizeof(void*)>\x3a\x3atype __buf_;\x0a"
"    __base* __f_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef _Rp result_type;\x0a"
"\x0a"
"    // 20.7.16.2.1, construct/copy/destroy\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit function() \x3a __f_(0) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY function(nullptr_t) \x3a __f_(0) {}\x0a"
"    function(const function\x26);\x0a"
"    template<class _Fp>\x0a"
"      function(_Fp,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26, nullptr_t) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26, const function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26 __a, _Fp __f,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    function\x26 operator=(const function\x26);\x0a"
"    function\x26 operator=(nullptr_t);\x0a"
"    template<class _Fp>\x0a"
"      typename enable_if\x0a"
"      <\x0a"
"        \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"        function\x26\x0a"
"      >\x3a\x3atype\x0a"
"      operator=(_Fp);\x0a"
"\x0a"
"    \x7e""function();\x0a"
"\x0a"
"    // 20.7.16.2.2, function modifiers\x3a\x0a"
"    void swap(function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      void assign(_Fp __f, const _Alloc\x26 __a)\x0a"
"        {function(allocator_arg, __a, __f).swap(*this);}\x0a"
"\x0a"
"    // 20.7.16.2.3, function capacity\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY operator bool() const {return __f_;}\x0a"
"\x0a"
"private\x3a\x0a"
"    // deleted overloads close possible hole in the type system\x0a"
"    template<class _R2, class _B0>\x0a"
"      bool operator==(const function<_R2(_B0)>\x26) const;// = delete;\x0a"
"    template<class _R2, class _B0>\x0a"
"      bool operator\x21=(const function<_R2(_B0)>\x26) const;// = delete;\x0a"
"public\x3a\x0a"
"    // 20.7.16.2.4, function invocation\x3a\x0a"
"    _Rp operator()(_A0) const;\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    // 20.7.16.2.5, function target access\x3a\x0a"
"    const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"    template <typename _Tp> _Tp* target();\x0a"
"    template <typename _Tp> const _Tp* target() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"function<_Rp(_A0)>\x3a\x3a""function(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template<class _Alloc>\x0a"
"function<_Rp(_A0)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26, const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template <class _Fp>\x0a"
"function<_Rp(_A0)>\x3a\x3a""function(_Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, allocator<_Fp>, _Rp(_A0)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef allocator<_FF> _Ap;\x0a"
"            _Ap __a;\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, allocator<_Fp>(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template <class _Fp, class _Alloc>\x0a"
"function<_Rp(_A0)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26 __a0, _Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, _Alloc, _Rp(_A0)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f, __a0);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef typename __rebind_alloc_helper<__alloc_traits, _FF>\x3a\x3atype _Ap;\x0a"
"            _Ap __a(__a0);\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, _Alloc(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"function<_Rp(_A0)>\x26\x0a"
"function<_Rp(_A0)>\x3a\x3aoperator=(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f)\x0a"
"        function(__f).swap(*this);\x0a"
"    else\x0a"
"        *this = nullptr;\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"function<_Rp(_A0)>\x26\x0a"
"function<_Rp(_A0)>\x3a\x3aoperator=(nullptr_t)\x0a"
"{\x0a"
"    __base* __t = __f_;\x0a"
"    __f_ = 0;\x0a"
"    if (__t == (__base*)\x26__buf_)\x0a"
"        __t->destroy();\x0a"
"    else if (__t)\x0a"
"        __t->destroy_deallocate();\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template <class _Fp>\x0a"
"typename enable_if\x0a"
"<\x0a"
"    \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"    function<_Rp(_A0)>\x26\x0a"
">\x3a\x3atype\x0a"
"function<_Rp(_A0)>\x3a\x3aoperator=(_Fp __f)\x0a"
"{\x0a"
"    function(_VSTD\x3a\x3amove(__f)).swap(*this);\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"function<_Rp(_A0)>\x3a\x3a\x7e""function()\x0a"
"{\x0a"
"    if (__f_ == (__base*)\x26__buf_)\x0a"
"        __f_->destroy();\x0a"
"    else if (__f_)\x0a"
"        __f_->destroy_deallocate();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"void\x0a"
"function<_Rp(_A0)>\x3a\x3aswap(function\x26 __f)\x0a"
"{\x0a"
"    if (_VSTD\x3a\x3a""addressof(__f) == this)\x0a"
"      return;\x0a"
"    if (__f_ == (__base*)\x26__buf_ \x26\x26 __f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        typename aligned_storage<sizeof(__buf_)>\x3a\x3atype __tempbuf;\x0a"
"        __base* __t = (__base*)\x26__tempbuf;\x0a"
"        __f_->__clone(__t);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = 0;\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = 0;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __t->__clone((__base*)\x26__f.__buf_);\x0a"
"        __t->destroy();\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f_ == (__base*)\x26__buf_)\x0a"
"    {\x0a"
"        __f_->__clone((__base*)\x26__f.__buf_);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = __f.__f_;\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = __f_;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"    }\x0a"
"    else\x0a"
"        _VSTD\x3a\x3aswap(__f_, __f.__f_);\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"_Rp\x0a"
"function<_Rp(_A0)>\x3a\x3aoperator()(_A0 __a0) const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        __throw_bad_function_call();\x0a"
"    return (*__f_)(__a0);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"function<_Rp(_A0)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return typeid(void);\x0a"
"    return __f_->target_type();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template <typename _Tp>\x0a"
"_Tp*\x0a"
"function<_Rp(_A0)>\x3a\x3atarget()\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (_Tp*)0;\x0a"
"    return (_Tp*) const_cast<void *>(__f_->target(typeid(_Tp)));\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0>\x0a"
"template <typename _Tp>\x0a"
"const _Tp*\x0a"
"function<_Rp(_A0)>\x3a\x3atarget() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (const _Tp*)0;\x0a"
"    return (const _Tp*)__f_->target(typeid(_Tp));\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"class _LIBCPP_TEMPLATE_VIS function<_Rp(_A0, _A1)>\x0a"
"    \x3a public binary_function<_A0, _A1, _Rp>\x0a"
"{\x0a"
"    typedef __function\x3a\x3a__base<_Rp(_A0, _A1)> __base;\x0a"
"    aligned_storage<3*sizeof(void*)>\x3a\x3atype __buf_;\x0a"
"    __base* __f_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef _Rp result_type;\x0a"
"\x0a"
"    // 20.7.16.2.1, construct/copy/destroy\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit function() \x3a __f_(0) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY function(nullptr_t) \x3a __f_(0) {}\x0a"
"    function(const function\x26);\x0a"
"    template<class _Fp>\x0a"
"      function(_Fp,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26, nullptr_t) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26, const function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26 __a, _Fp __f,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    function\x26 operator=(const function\x26);\x0a"
"    function\x26 operator=(nullptr_t);\x0a"
"    template<class _Fp>\x0a"
"      typename enable_if\x0a"
"      <\x0a"
"        \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"        function\x26\x0a"
"      >\x3a\x3atype\x0a"
"      operator=(_Fp);\x0a"
"\x0a"
"    \x7e""function();\x0a"
"\x0a"
"    // 20.7.16.2.2, function modifiers\x3a\x0a"
"    void swap(function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      void assign(_Fp __f, const _Alloc\x26 __a)\x0a"
"        {function(allocator_arg, __a, __f).swap(*this);}\x0a"
"\x0a"
"    // 20.7.16.2.3, function capacity\x3a\x0a"
"    operator bool() const {return __f_;}\x0a"
"\x0a"
"private\x3a\x0a"
"    // deleted overloads close possible hole in the type system\x0a"
"    template<class _R2, class _B0, class _B1>\x0a"
"      bool operator==(const function<_R2(_B0, _B1)>\x26) const;// = delete;\x0a"
"    template<class _R2, class _B0, class _B1>\x0a"
"      bool operator\x21=(const function<_R2(_B0, _B1)>\x26) const;// = delete;\x0a"
"public\x3a\x0a"
"    // 20.7.16.2.4, function invocation\x3a\x0a"
"    _Rp operator()(_A0, _A1) const;\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    // 20.7.16.2.5, function target access\x3a\x0a"
"    const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"    template <typename _Tp> _Tp* target();\x0a"
"    template <typename _Tp> const _Tp* target() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3a""function(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template<class _Alloc>\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26, const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template <class _Fp>\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3a""function(_Fp __f,\x0a"
"                                 typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, allocator<_Fp>, _Rp(_A0, _A1)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef allocator<_FF> _Ap;\x0a"
"            _Ap __a;\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, allocator<_Fp>(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template <class _Fp, class _Alloc>\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26 __a0, _Fp __f,\x0a"
"                                 typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, _Alloc, _Rp(_A0, _A1)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f, __a0);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef typename __rebind_alloc_helper<__alloc_traits, _FF>\x3a\x3atype _Ap;\x0a"
"            _Ap __a(__a0);\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, _Alloc(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"function<_Rp(_A0, _A1)>\x26\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3aoperator=(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f)\x0a"
"        function(__f).swap(*this);\x0a"
"    else\x0a"
"        *this = nullptr;\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"function<_Rp(_A0, _A1)>\x26\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3aoperator=(nullptr_t)\x0a"
"{\x0a"
"    __base* __t = __f_;\x0a"
"    __f_ = 0;\x0a"
"    if (__t == (__base*)\x26__buf_)\x0a"
"        __t->destroy();\x0a"
"    else if (__t)\x0a"
"        __t->destroy_deallocate();\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template <class _Fp>\x0a"
"typename enable_if\x0a"
"<\x0a"
"    \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"    function<_Rp(_A0, _A1)>\x26\x0a"
">\x3a\x3atype\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3aoperator=(_Fp __f)\x0a"
"{\x0a"
"    function(_VSTD\x3a\x3amove(__f)).swap(*this);\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3a\x7e""function()\x0a"
"{\x0a"
"    if (__f_ == (__base*)\x26__buf_)\x0a"
"        __f_->destroy();\x0a"
"    else if (__f_)\x0a"
"        __f_->destroy_deallocate();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"void\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3aswap(function\x26 __f)\x0a"
"{\x0a"
"    if (_VSTD\x3a\x3a""addressof(__f) == this)\x0a"
"      return;\x0a"
"    if (__f_ == (__base*)\x26__buf_ \x26\x26 __f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        typename aligned_storage<sizeof(__buf_)>\x3a\x3atype __tempbuf;\x0a"
"        __base* __t = (__base*)\x26__tempbuf;\x0a"
"        __f_->__clone(__t);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = 0;\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = 0;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __t->__clone((__base*)\x26__f.__buf_);\x0a"
"        __t->destroy();\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f_ == (__base*)\x26__buf_)\x0a"
"    {\x0a"
"        __f_->__clone((__base*)\x26__f.__buf_);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = __f.__f_;\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = __f_;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"    }\x0a"
"    else\x0a"
"        _VSTD\x3a\x3aswap(__f_, __f.__f_);\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"_Rp\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3aoperator()(_A0 __a0, _A1 __a1) const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        __throw_bad_function_call();\x0a"
"    return (*__f_)(__a0, __a1);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return typeid(void);\x0a"
"    return __f_->target_type();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template <typename _Tp>\x0a"
"_Tp*\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3atarget()\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (_Tp*)0;\x0a"
"    return (_Tp*) const_cast<void *>(__f_->target(typeid(_Tp)));\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1>\x0a"
"template <typename _Tp>\x0a"
"const _Tp*\x0a"
"function<_Rp(_A0, _A1)>\x3a\x3atarget() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (const _Tp*)0;\x0a"
"    return (const _Tp*)__f_->target(typeid(_Tp));\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"class _LIBCPP_TEMPLATE_VIS function<_Rp(_A0, _A1, _A2)>\x0a"
"{\x0a"
"    typedef __function\x3a\x3a__base<_Rp(_A0, _A1, _A2)> __base;\x0a"
"    aligned_storage<3*sizeof(void*)>\x3a\x3atype __buf_;\x0a"
"    __base* __f_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef _Rp result_type;\x0a"
"\x0a"
"    // 20.7.16.2.1, construct/copy/destroy\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY explicit function() \x3a __f_(0) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY function(nullptr_t) \x3a __f_(0) {}\x0a"
"    function(const function\x26);\x0a"
"    template<class _Fp>\x0a"
"      function(_Fp,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      function(allocator_arg_t, const _Alloc\x26, nullptr_t) \x3a __f_(0) {}\x0a"
"    template<class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26, const function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      function(allocator_arg_t, const _Alloc\x26 __a, _Fp __f,\x0a"
"               typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype* = 0);\x0a"
"\x0a"
"    function\x26 operator=(const function\x26);\x0a"
"    function\x26 operator=(nullptr_t);\x0a"
"    template<class _Fp>\x0a"
"      typename enable_if\x0a"
"      <\x0a"
"        \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"        function\x26\x0a"
"      >\x3a\x3atype\x0a"
"      operator=(_Fp);\x0a"
"\x0a"
"    \x7e""function();\x0a"
"\x0a"
"    // 20.7.16.2.2, function modifiers\x3a\x0a"
"    void swap(function\x26);\x0a"
"    template<class _Fp, class _Alloc>\x0a"
"      _LIBCPP_INLINE_VISIBILITY\x0a"
"      void assign(_Fp __f, const _Alloc\x26 __a)\x0a"
"        {function(allocator_arg, __a, __f).swap(*this);}\x0a"
"\x0a"
"    // 20.7.16.2.3, function capacity\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY operator bool() const {return __f_;}\x0a"
"\x0a"
"private\x3a\x0a"
"    // deleted overloads close possible hole in the type system\x0a"
"    template<class _R2, class _B0, class _B1, class _B2>\x0a"
"      bool operator==(const function<_R2(_B0, _B1, _B2)>\x26) const;// = delete;\x0a"
"    template<class _R2, class _B0, class _B1, class _B2>\x0a"
"      bool operator\x21=(const function<_R2(_B0, _B1, _B2)>\x26) const;// = delete;\x0a"
"public\x3a\x0a"
"    // 20.7.16.2.4, function invocation\x3a\x0a"
"    _Rp operator()(_A0, _A1, _A2) const;\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"    // 20.7.16.2.5, function target access\x3a\x0a"
"    const std\x3a\x3atype_info\x26 target_type() const;\x0a"
"    template <typename _Tp> _Tp* target();\x0a"
"    template <typename _Tp> const _Tp* target() const;\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"};\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3a""function(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template<class _Alloc>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26,\x0a"
"                                      const function\x26 __f)\x0a"
"{\x0a"
"    if (__f.__f_ == 0)\x0a"
"        __f_ = 0;\x0a"
"    else if (__f.__f_ == (const __base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __f.__f_->__clone(__f_);\x0a"
"    }\x0a"
"    else\x0a"
"        __f_ = __f.__f_->__clone();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template <class _Fp>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3a""function(_Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, allocator<_Fp>, _Rp(_A0, _A1, _A2)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef allocator<_FF> _Ap;\x0a"
"            _Ap __a;\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, allocator<_Fp>(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template <class _Fp, class _Alloc>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3a""function(allocator_arg_t, const _Alloc\x26 __a0, _Fp __f,\x0a"
"                                     typename enable_if<\x21is_integral<_Fp>\x3a\x3avalue>\x3a\x3atype*)\x0a"
"    \x3a __f_(0)\x0a"
"{\x0a"
"    typedef allocator_traits<_Alloc> __alloc_traits;\x0a"
"    if (__function\x3a\x3a__not_null(__f))\x0a"
"    {\x0a"
"        typedef __function\x3a\x3a__func<_Fp, _Alloc, _Rp(_A0, _A1, _A2)> _FF;\x0a"
"        if (sizeof(_FF) <= sizeof(__buf_))\x0a"
"        {\x0a"
"            __f_ = (__base*)\x26__buf_;\x0a"
"            \x3a\x3anew (__f_) _FF(__f, __a0);\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            typedef typename __rebind_alloc_helper<__alloc_traits, _FF>\x3a\x3atype _Ap;\x0a"
"            _Ap __a(__a0);\x0a"
"            typedef __allocator_destructor<_Ap> _Dp;\x0a"
"            unique_ptr<__base, _Dp> __hold(__a.allocate(1), _Dp(__a, 1));\x0a"
"            \x3a\x3anew (__hold.get()) _FF(__f, _Alloc(__a));\x0a"
"            __f_ = __hold.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x26\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3aoperator=(const function\x26 __f)\x0a"
"{\x0a"
"    if (__f)\x0a"
"        function(__f).swap(*this);\x0a"
"    else\x0a"
"        *this = nullptr;\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x26\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3aoperator=(nullptr_t)\x0a"
"{\x0a"
"    __base* __t = __f_;\x0a"
"    __f_ = 0;\x0a"
"    if (__t == (__base*)\x26__buf_)\x0a"
"        __t->destroy();\x0a"
"    else if (__t)\x0a"
"        __t->destroy_deallocate();\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template <class _Fp>\x0a"
"typename enable_if\x0a"
"<\x0a"
"    \x21is_integral<_Fp>\x3a\x3avalue,\x0a"
"    function<_Rp(_A0, _A1, _A2)>\x26\x0a"
">\x3a\x3atype\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3aoperator=(_Fp __f)\x0a"
"{\x0a"
"    function(_VSTD\x3a\x3amove(__f)).swap(*this);\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3a\x7e""function()\x0a"
"{\x0a"
"    if (__f_ == (__base*)\x26__buf_)\x0a"
"        __f_->destroy();\x0a"
"    else if (__f_)\x0a"
"        __f_->destroy_deallocate();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"void\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3aswap(function\x26 __f)\x0a"
"{\x0a"
"    if (_VSTD\x3a\x3a""addressof(__f) == this)\x0a"
"      return;\x0a"
"    if (__f_ == (__base*)\x26__buf_ \x26\x26 __f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        typename aligned_storage<sizeof(__buf_)>\x3a\x3atype __tempbuf;\x0a"
"        __base* __t = (__base*)\x26__tempbuf;\x0a"
"        __f_->__clone(__t);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = 0;\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = 0;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"        __t->__clone((__base*)\x26__f.__buf_);\x0a"
"        __t->destroy();\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f_ == (__base*)\x26__buf_)\x0a"
"    {\x0a"
"        __f_->__clone((__base*)\x26__f.__buf_);\x0a"
"        __f_->destroy();\x0a"
"        __f_ = __f.__f_;\x0a"
"        __f.__f_ = (__base*)\x26__f.__buf_;\x0a"
"    }\x0a"
"    else if (__f.__f_ == (__base*)\x26__f.__buf_)\x0a"
"    {\x0a"
"        __f.__f_->__clone((__base*)\x26__buf_);\x0a"
"        __f.__f_->destroy();\x0a"
"        __f.__f_ = __f_;\x0a"
"        __f_ = (__base*)\x26__buf_;\x0a"
"    }\x0a"
"    else\x0a"
"        _VSTD\x3a\x3aswap(__f_, __f.__f_);\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"_Rp\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3aoperator()(_A0 __a0, _A1 __a1, _A2 __a2) const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        __throw_bad_function_call();\x0a"
"    return (*__f_)(__a0, __a1, __a2);\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"const std\x3a\x3atype_info\x26\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3atarget_type() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return typeid(void);\x0a"
"    return __f_->target_type();\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template <typename _Tp>\x0a"
"_Tp*\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3atarget()\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (_Tp*)0;\x0a"
"    return (_Tp*) const_cast<void *>(__f_->target(typeid(_Tp)));\x0a"
"}\x0a"
"\x0a"
"template<class _Rp, class _A0, class _A1, class _A2>\x0a"
"template <typename _Tp>\x0a"
"const _Tp*\x0a"
"function<_Rp(_A0, _A1, _A2)>\x3a\x3atarget() const\x0a"
"{\x0a"
"    if (__f_ == 0)\x0a"
"        return (const _Tp*)0;\x0a"
"    return (const _Tp*)__f_->target(typeid(_Tp));\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_NO_RTTI\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"operator==(const function<_Fp>\x26 __f, nullptr_t) {return \x21__f;}\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"operator==(nullptr_t, const function<_Fp>\x26 __f) {return \x21__f;}\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"operator\x21=(const function<_Fp>\x26 __f, nullptr_t) {return (bool)__f;}\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"operator\x21=(nullptr_t, const function<_Fp>\x26 __f) {return (bool)__f;}\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(function<_Fp>\x26 __x, function<_Fp>\x26 __y)\x0a"
"{return __x.swap(__y);}\x0a"
"\x0a"
"#endif  // _LIBCPP_FUNCTIONAL_03\x0a"
"", 44456 ); }