#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___functional_base_03( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_FUNCTIONAL_BASE_03\x0a"
"#define _LIBCPP_FUNCTIONAL_BASE_03\x0a"
"\x0a"
"// manual variadic expansion for <functional>\x0a"
"\x0a"
"// __invoke\x0a"
"\x0a"
"template <class _Ret, class _T1, bool _IsFunc, bool _IsBase>\x0a"
"struct __enable_invoke_imp;\x0a"
"\x0a"
"template <class _Ret, class _T1>\x0a"
"struct __enable_invoke_imp<_Ret, _T1, true, true> {\x0a"
"    typedef _Ret _Bullet1;\x0a"
"    typedef _Bullet1 type;\x0a"
"};\x0a"
"\x0a"
"template <class _Ret, class _T1>\x0a"
"struct __enable_invoke_imp<_Ret, _T1, true, false>  {\x0a"
"    typedef _Ret _Bullet2;\x0a"
"    typedef _Bullet2 type;\x0a"
"};\x0a"
"\x0a"
"template <class _Ret, class _T1>\x0a"
"struct __enable_invoke_imp<_Ret, _T1, false, true>  {\x0a"
"    typedef typename add_lvalue_reference<\x0a"
"                typename __apply_cv<_T1, _Ret>\x3a\x3atype\x0a"
"            >\x3a\x3atype _Bullet3;\x0a"
"    typedef _Bullet3 type;\x0a"
"};\x0a"
"\x0a"
"template <class _Ret, class _T1>\x0a"
"struct __enable_invoke_imp<_Ret, _T1, false, false>  {\x0a"
"    typedef typename add_lvalue_reference<\x0a"
"                typename __apply_cv<decltype(*_VSTD\x3a\x3a""declval<_T1>()), _Ret>\x3a\x3atype\x0a"
"            >\x3a\x3atype _Bullet4;\x0a"
"    typedef _Bullet4 type;\x0a"
"};\x0a"
"\x0a"
"template <class _Ret, class _T1>\x0a"
"struct __enable_invoke_imp<_Ret, _T1*, false, false>  {\x0a"
"    typedef typename add_lvalue_reference<\x0a"
"                typename __apply_cv<_T1, _Ret>\x3a\x3atype\x0a"
"            >\x3a\x3atype _Bullet4;\x0a"
"    typedef _Bullet4  type;\x0a"
"};\x0a"
"\x0a"
"template <class _Fn, class _T1,\x0a"
"          class _Traits = __member_pointer_traits<_Fn>,\x0a"
"          class _Ret = typename _Traits\x3a\x3a_ReturnType,\x0a"
"          class _Class = typename _Traits\x3a\x3a_ClassType>\x0a"
"struct __enable_invoke \x3a __enable_invoke_imp<\x0a"
"    _Ret, _T1,\x0a"
"    is_member_function_pointer<_Fn>\x3a\x3avalue,\x0a"
"    is_base_of<_Class, typename remove_reference<_T1>\x3a\x3atype>\x3a\x3avalue>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"__nat __invoke(__any, ...);\x0a"
"\x0a"
"// first bullet\x0a"
"\x0a"
"template <class _Fn, class _T1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet1\x0a"
"__invoke(_Fn __f, _T1\x26 __t1) {\x0a"
"    return (__t1.*__f)();\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet1\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0) {\x0a"
"    return (__t1.*__f)(__a0);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0, class _A1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet1\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0, _A1\x26 __a1) {\x0a"
"    return (__t1.*__f)(__a0, __a1);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0, class _A1, class _A2>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet1\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2) {\x0a"
"    return (__t1.*__f)(__a0, __a1, __a2);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet2\x0a"
"__invoke(_Fn __f, _T1\x26 __t1) {\x0a"
"    return ((*__t1).*__f)();\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet2\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0) {\x0a"
"    return ((*__t1).*__f)(__a0);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0, class _A1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet2\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0, _A1\x26 __a1) {\x0a"
"    return ((*__t1).*__f)(__a0, __a1);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1, class _A0, class _A1, class _A2>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet2\x0a"
"__invoke(_Fn __f, _T1\x26 __t1, _A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2) {\x0a"
"    return ((*__t1).*__f)(__a0, __a1, __a2);\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet3\x0a"
"__invoke(_Fn __f, _T1\x26 __t1) {\x0a"
"    return __t1.*__f;\x0a"
"}\x0a"
"\x0a"
"template <class _Fn, class _T1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"typename __enable_invoke<_Fn, _T1>\x3a\x3a_Bullet4\x0a"
"__invoke(_Fn __f, _T1\x26 __t1) {\x0a"
"    return (*__t1).*__f;\x0a"
"}\x0a"
"\x0a"
"// fifth bullet\x0a"
"\x0a"
"template <class _Fp>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"decltype(_VSTD\x3a\x3a""declval<_Fp\x26>()())\x0a"
"__invoke(_Fp\x26 __f)\x0a"
"{\x0a"
"    return __f();\x0a"
"}\x0a"
"\x0a"
"template <class _Fp, class _A0>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"decltype(_VSTD\x3a\x3a""declval<_Fp\x26>()(_VSTD\x3a\x3a""declval<_A0\x26>()))\x0a"
"__invoke(_Fp\x26 __f, _A0\x26 __a0)\x0a"
"{\x0a"
"    return __f(__a0);\x0a"
"}\x0a"
"\x0a"
"template <class _Fp, class _A0, class _A1>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"decltype(_VSTD\x3a\x3a""declval<_Fp\x26>()(_VSTD\x3a\x3a""declval<_A0\x26>(), _VSTD\x3a\x3a""declval<_A1\x26>()))\x0a"
"__invoke(_Fp\x26 __f, _A0\x26 __a0, _A1\x26 __a1)\x0a"
"{\x0a"
"    return __f(__a0, __a1);\x0a"
"}\x0a"
"\x0a"
"template <class _Fp, class _A0, class _A1, class _A2>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"decltype(_VSTD\x3a\x3a""declval<_Fp\x26>()(_VSTD\x3a\x3a""declval<_A0\x26>(), _VSTD\x3a\x3a""declval<_A1\x26>(), _VSTD\x3a\x3a""declval<_A2\x26>()))\x0a"
"__invoke(_Fp\x26 __f, _A0\x26 __a0, _A1\x26 __a1, _A2\x26 __a2)\x0a"
"{\x0a"
"    return __f(__a0, __a1, __a2);\x0a"
"}\x0a"
"\x0a"
"template <class _Fp, bool = __has_result_type<__weak_result_type<_Fp> >\x3a\x3avalue>\x0a"
"struct __invoke_return\x0a"
"{\x0a"
"    typedef typename __weak_result_type<_Fp>\x3a\x3aresult_type type;\x0a"
"};\x0a"
"\x0a"
"template <class _Fp>\x0a"
"struct __invoke_return<_Fp, false>\x0a"
"{\x0a"
"    typedef decltype(__invoke(_VSTD\x3a\x3a""declval<_Fp\x26>())) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _A0>\x0a"
"struct __invoke_return0\x0a"
"{\x0a"
"    typedef decltype(__invoke(_VSTD\x3a\x3a""declval<_Tp\x26>(), _VSTD\x3a\x3a""declval<_A0\x26>())) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Tp, class _A0>\x0a"
"struct __invoke_return0<_Rp _Tp\x3a\x3a*, _A0>\x0a"
"{\x0a"
"    typedef typename __enable_invoke<_Rp _Tp\x3a\x3a*, _A0>\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _A0, class _A1>\x0a"
"struct __invoke_return1\x0a"
"{\x0a"
"    typedef decltype(__invoke(_VSTD\x3a\x3a""declval<_Tp\x26>(), _VSTD\x3a\x3a""declval<_A0\x26>(),\x0a"
"                                                      _VSTD\x3a\x3a""declval<_A1\x26>())) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Rp, class _Class, class _A0, class _A1>\x0a"
"struct __invoke_return1<_Rp _Class\x3a\x3a*, _A0, _A1> {\x0a"
"    typedef typename __enable_invoke<_Rp _Class\x3a\x3a*, _A0>\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _A0, class _A1, class _A2>\x0a"
"struct __invoke_return2\x0a"
"{\x0a"
"    typedef decltype(__invoke(_VSTD\x3a\x3a""declval<_Tp\x26>(), _VSTD\x3a\x3a""declval<_A0\x26>(),\x0a"
"                                                      _VSTD\x3a\x3a""declval<_A1\x26>(),\x0a"
"                                                      _VSTD\x3a\x3a""declval<_A2\x26>())) type;\x0a"
"};\x0a"
"\x0a"
"template <class _Ret, class _Class, class _A0, class _A1, class _A2>\x0a"
"struct __invoke_return2<_Ret _Class\x3a\x3a*, _A0, _A1, _A2> {\x0a"
"    typedef typename __enable_invoke<_Ret _Class\x3a\x3a*, _A0>\x3a\x3atype type;\x0a"
"};\x0a"
"#endif  // _LIBCPP_FUNCTIONAL_BASE_03\x0a"
"", 6532 ); }