#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___hash_table( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP__HASH_TABLE\x0a"
"#define _LIBCPP__HASH_TABLE\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <initializer_list>\x0a"
"#include <memory>\x0a"
"#include <iterator>\x0a"
"#include <algorithm>\x0a"
"#include <cmath>\x0a"
"#include <utility>\x0a"
"#include <type_traits>\x0a"
"\x0a"
"#include <__debug>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <class _Key, class _Tp>\x0a"
"struct __hash_value_type;\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"template <class _Tp>\x0a"
"struct __is_hash_value_type_imp \x3a false_type {};\x0a"
"\x0a"
"template <class _Key, class _Value>\x0a"
"struct __is_hash_value_type_imp<__hash_value_type<_Key, _Value>> \x3a true_type {};\x0a"
"\x0a"
"template <class ..._Args>\x0a"
"struct __is_hash_value_type \x3a false_type {};\x0a"
"\x0a"
"template <class _One>\x0a"
"struct __is_hash_value_type<_One> \x3a __is_hash_value_type_imp<typename __uncvref<_One>\x3a\x3atype> {};\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_FUNC_VIS\x0a"
"size_t __next_prime(size_t __n);\x0a"
"\x0a"
"template <class _NodePtr>\x0a"
"struct __hash_node_base\x0a"
"{\x0a"
"    typedef typename pointer_traits<_NodePtr>\x3a\x3a""element_type __node_type;\x0a"
"    typedef __hash_node_base __first_node;\x0a"
"    typedef typename __rebind_pointer<_NodePtr, __first_node>\x3a\x3atype __node_base_pointer;\x0a"
"    typedef _NodePtr __node_pointer;\x0a"
"\x0a"
"#if defined(_LIBCPP_ABI_FIX_UNORDERED_NODE_POINTER_UB)\x0a"
"  typedef __node_base_pointer __next_pointer;\x0a"
"#else\x0a"
"  typedef typename conditional<\x0a"
"      is_pointer<__node_pointer>\x3a\x3avalue,\x0a"
"      __node_base_pointer,\x0a"
"      __node_pointer>\x3a\x3atype   __next_pointer;\x0a"
"#endif\x0a"
"\x0a"
"    __next_pointer    __next_;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __next_pointer __ptr() _NOEXCEPT {\x0a"
"        return static_cast<__next_pointer>(\x0a"
"            pointer_traits<__node_base_pointer>\x3a\x3apointer_to(*this));\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __node_pointer __upcast() _NOEXCEPT {\x0a"
"        return static_cast<__node_pointer>(\x0a"
"            pointer_traits<__node_base_pointer>\x3a\x3apointer_to(*this));\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_t __hash() const _NOEXCEPT {\x0a"
"        return static_cast<__node_type const\x26>(*this).__hash_;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __hash_node_base() _NOEXCEPT \x3a __next_(nullptr) {}\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _VoidPtr>\x0a"
"struct __hash_node\x0a"
"    \x3a public __hash_node_base\x0a"
"             <\x0a"
"                 typename __rebind_pointer<_VoidPtr, __hash_node<_Tp, _VoidPtr> >\x3a\x3atype\x0a"
"             >\x0a"
"{\x0a"
"    typedef _Tp __node_value_type;\x0a"
"\x0a"
"    size_t            __hash_;\x0a"
"    __node_value_type __value_;\x0a"
"};\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"__is_hash_power2(size_t __bc)\x0a"
"{\x0a"
"    return __bc > 2 \x26\x26 \x21(__bc \x26 (__bc - 1));\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"size_t\x0a"
"__constrain_hash(size_t __h, size_t __bc)\x0a"
"{\x0a"
"    return \x21(__bc \x26 (__bc - 1)) \x3f __h \x26 (__bc - 1) \x3a\x0a"
"        (__h < __bc \x3f __h \x3a __h \x25 __bc);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"size_t\x0a"
"__next_hash_pow2(size_t __n)\x0a"
"{\x0a"
"    return __n < 2 \x3f __n \x3a (size_t(1) << (std\x3a\x3anumeric_limits<size_t>\x3a\x3a""digits - __libcpp_clz(__n-1)));\x0a"
"}\x0a"
"\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc> class __hash_table;\x0a"
"\x0a"
"template <class _NodePtr>      class _LIBCPP_TEMPLATE_VIS __hash_iterator;\x0a"
"template <class _ConstNodePtr> class _LIBCPP_TEMPLATE_VIS __hash_const_iterator;\x0a"
"template <class _NodePtr>      class _LIBCPP_TEMPLATE_VIS __hash_local_iterator;\x0a"
"template <class _ConstNodePtr> class _LIBCPP_TEMPLATE_VIS __hash_const_local_iterator;\x0a"
"template <class _HashIterator> class _LIBCPP_TEMPLATE_VIS __hash_map_iterator;\x0a"
"template <class _HashIterator> class _LIBCPP_TEMPLATE_VIS __hash_map_const_iterator;\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct __hash_key_value_types {\x0a"
"  static_assert(\x21is_reference<_Tp>\x3a\x3avalue \x26\x26 \x21is_const<_Tp>\x3a\x3avalue, \x22\x22);\x0a"
"  typedef _Tp key_type;\x0a"
"  typedef _Tp __node_value_type;\x0a"
"  typedef _Tp __container_value_type;\x0a"
"  static const bool __is_map = false;\x0a"
"\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static key_type const\x26 __get_key(_Tp const\x26 __v) {\x0a"
"    return __v;\x0a"
"  }\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static __container_value_type const\x26 __get_value(__node_value_type const\x26 __v) {\x0a"
"    return __v;\x0a"
"  }\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static __container_value_type* __get_ptr(__node_value_type\x26 __n) {\x0a"
"    return _VSTD\x3a\x3a""addressof(__n);\x0a"
"  }\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static __container_value_type\x26\x26 __move(__node_value_type\x26 __v) {\x0a"
"    return _VSTD\x3a\x3amove(__v);\x0a"
"  }\x0a"
"#endif\x0a"
"};\x0a"
"\x0a"
"template <class _Key, class _Tp>\x0a"
"struct __hash_key_value_types<__hash_value_type<_Key, _Tp> > {\x0a"
"  typedef _Key                                         key_type;\x0a"
"  typedef _Tp                                          mapped_type;\x0a"
"  typedef __hash_value_type<_Key, _Tp>                 __node_value_type;\x0a"
"  typedef pair<const _Key, _Tp>                        __container_value_type;\x0a"
"  typedef __container_value_type                       __map_value_type;\x0a"
"  static const bool __is_map = true;\x0a"
"\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static key_type const\x26 __get_key(__container_value_type const\x26 __v) {\x0a"
"    return __v.first;\x0a"
"  }\x0a"
"\x0a"
"  template <class _Up>\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static typename enable_if<__is_same_uncvref<_Up, __node_value_type>\x3a\x3avalue,\x0a"
"      __container_value_type const\x26>\x3a\x3atype\x0a"
"  __get_value(_Up\x26 __t) {\x0a"
"    return __t.__get_value();\x0a"
"  }\x0a"
"\x0a"
"  template <class _Up>\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static typename enable_if<__is_same_uncvref<_Up, __container_value_type>\x3a\x3avalue,\x0a"
"      __container_value_type const\x26>\x3a\x3atype\x0a"
"  __get_value(_Up\x26 __t) {\x0a"
"    return __t;\x0a"
"  }\x0a"
"\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static __container_value_type* __get_ptr(__node_value_type\x26 __n) {\x0a"
"    return _VSTD\x3a\x3a""addressof(__n.__get_value());\x0a"
"  }\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  static pair<key_type\x26\x26, mapped_type\x26\x26> __move(__node_value_type\x26 __v) {\x0a"
"    return __v.__move();\x0a"
"  }\x0a"
"#endif\x0a"
"\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _AllocPtr, class _KVTypes = __hash_key_value_types<_Tp>,\x0a"
"          bool = _KVTypes\x3a\x3a__is_map>\x0a"
"struct __hash_map_pointer_types {};\x0a"
"\x0a"
"template <class _Tp, class _AllocPtr, class _KVTypes>\x0a"
"struct __hash_map_pointer_types<_Tp, _AllocPtr, _KVTypes, true> {\x0a"
"  typedef typename _KVTypes\x3a\x3a__map_value_type   _Mv;\x0a"
"  typedef typename __rebind_pointer<_AllocPtr, _Mv>\x3a\x3atype\x0a"
"                                                       __map_value_type_pointer;\x0a"
"  typedef typename __rebind_pointer<_AllocPtr, const _Mv>\x3a\x3atype\x0a"
"                                                 __const_map_value_type_pointer;\x0a"
"};\x0a"
"\x0a"
"template <class _NodePtr, class _NodeT = typename pointer_traits<_NodePtr>\x3a\x3a""element_type>\x0a"
"struct __hash_node_types;\x0a"
"\x0a"
"template <class _NodePtr, class _Tp, class _VoidPtr>\x0a"
"struct __hash_node_types<_NodePtr, __hash_node<_Tp, _VoidPtr> >\x0a"
"    \x3a public __hash_key_value_types<_Tp>, __hash_map_pointer_types<_Tp, _VoidPtr>\x0a"
"\x0a"
"{\x0a"
"  typedef __hash_key_value_types<_Tp>           __base;\x0a"
"\x0a"
"public\x3a\x0a"
"  typedef ptrdiff_t difference_type;\x0a"
"  typedef size_t size_type;\x0a"
"\x0a"
"  typedef typename __rebind_pointer<_NodePtr, void>\x3a\x3atype       __void_pointer;\x0a"
"\x0a"
"  typedef typename pointer_traits<_NodePtr>\x3a\x3a""element_type       __node_type;\x0a"
"  typedef _NodePtr                                              __node_pointer;\x0a"
"\x0a"
"  typedef __hash_node_base<__node_pointer>                      __node_base_type;\x0a"
"  typedef typename __rebind_pointer<_NodePtr, __node_base_type>\x3a\x3atype\x0a"
"                                                             __node_base_pointer;\x0a"
"\x0a"
"  typedef typename __node_base_type\x3a\x3a__next_pointer          __next_pointer;\x0a"
"\x0a"
"  typedef _Tp                                                 __node_value_type;\x0a"
"  typedef typename __rebind_pointer<_VoidPtr, __node_value_type>\x3a\x3atype\x0a"
"                                                      __node_value_type_pointer;\x0a"
"  typedef typename __rebind_pointer<_VoidPtr, const __node_value_type>\x3a\x3atype\x0a"
"                                                __const_node_value_type_pointer;\x0a"
"\x0a"
"private\x3a\x0a"
"    static_assert(\x21is_const<__node_type>\x3a\x3avalue,\x0a"
"                \x22_NodePtr should never be a pointer to const\x22);\x0a"
"    static_assert((is_same<typename pointer_traits<_VoidPtr>\x3a\x3a""element_type, void>\x3a\x3avalue),\x0a"
"                  \x22_VoidPtr does not point to unqualified void type\x22);\x0a"
"    static_assert((is_same<typename __rebind_pointer<_VoidPtr, __node_type>\x3a\x3atype,\x0a"
"                          _NodePtr>\x3a\x3avalue), \x22_VoidPtr does not rebind to _NodePtr.\x22);\x0a"
"};\x0a"
"\x0a"
"template <class _HashIterator>\x0a"
"struct __hash_node_types_from_iterator;\x0a"
"template <class _NodePtr>\x0a"
"struct __hash_node_types_from_iterator<__hash_iterator<_NodePtr> > \x3a __hash_node_types<_NodePtr> {};\x0a"
"template <class _NodePtr>\x0a"
"struct __hash_node_types_from_iterator<__hash_const_iterator<_NodePtr> > \x3a __hash_node_types<_NodePtr> {};\x0a"
"template <class _NodePtr>\x0a"
"struct __hash_node_types_from_iterator<__hash_local_iterator<_NodePtr> > \x3a __hash_node_types<_NodePtr> {};\x0a"
"template <class _NodePtr>\x0a"
"struct __hash_node_types_from_iterator<__hash_const_local_iterator<_NodePtr> > \x3a __hash_node_types<_NodePtr> {};\x0a"
"\x0a"
"\x0a"
"template <class _NodeValueTp, class _VoidPtr>\x0a"
"struct __make_hash_node_types {\x0a"
"  typedef __hash_node<_NodeValueTp, _VoidPtr> _NodeTp;\x0a"
"  typedef typename __rebind_pointer<_VoidPtr, _NodeTp>\x3a\x3atype _NodePtr;\x0a"
"  typedef __hash_node_types<_NodePtr> type;\x0a"
"};\x0a"
"\x0a"
"template <class _NodePtr>\x0a"
"class _LIBCPP_TEMPLATE_VIS __hash_iterator\x0a"
"{\x0a"
"    typedef __hash_node_types<_NodePtr> _NodeTypes;\x0a"
"    typedef _NodePtr                            __node_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__next_pointer __next_pointer;\x0a"
"\x0a"
"    __next_pointer            __node_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef forward_iterator_tag                           iterator_category;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type         value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3a""difference_type           difference_type;\x0a"
"    typedef value_type\x26                                    reference;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type_pointer pointer;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __hash_iterator() _NOEXCEPT \x3a __node_(nullptr) {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__insert_i(this));\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator(const __hash_iterator\x26 __i)\x0a"
"        \x3a __node_(__i.__node_)\x0a"
"    {\x0a"
"        __get_db()->__iterator_copy(this, \x26__i);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    \x7e__hash_iterator()\x0a"
"    {\x0a"
"        __get_db()->__erase_i(this);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator\x26 operator=(const __hash_iterator\x26 __i)\x0a"
"    {\x0a"
"        if (this \x21= \x26__i)\x0a"
"        {\x0a"
"            __get_db()->__iterator_copy(this, \x26__i);\x0a"
"            __node_ = __i.__node_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    reference operator*() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                             \x22""Attempted to dereference a non-dereferenceable unordered container iterator\x22);\x0a"
"        return __node_->__upcast()->__value_;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pointer operator->() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container iterator\x22);\x0a"
"        return pointer_traits<pointer>\x3a\x3apointer_to(__node_->__upcast()->__value_);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator\x26 operator++() {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                       \x22""Attempted to increment non-incrementable unordered container iterator\x22);\x0a"
"        __node_ = __node_->__next_;\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator operator++(int)\x0a"
"    {\x0a"
"        __hash_iterator __t(*this);\x0a"
"        ++(*this);\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(const __hash_iterator\x26 __x, const __hash_iterator\x26 __y)\x0a"
"    {\x0a"
"        return __x.__node_ == __y.__node_;\x0a"
"    }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(const __hash_iterator\x26 __x, const __hash_iterator\x26 __y)\x0a"
"        {return \x21(__x == __y);}\x0a"
"\x0a"
"private\x3a\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator(__next_pointer __node, const void* __c) _NOEXCEPT\x0a"
"        \x3a __node_(__node)\x0a"
"        {\x0a"
"            __get_db()->__insert_ic(this, __c);\x0a"
"        }\x0a"
"#else\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_iterator(__next_pointer __node) _NOEXCEPT\x0a"
"        \x3a __node_(__node)\x0a"
"        {}\x0a"
"#endif\x0a"
"    template <class, class, class, class> friend class __hash_table;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_const_iterator;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_map_iterator;\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_map;\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_multimap;\x0a"
"};\x0a"
"\x0a"
"template <class _NodePtr>\x0a"
"class _LIBCPP_TEMPLATE_VIS __hash_const_iterator\x0a"
"{\x0a"
"    static_assert(\x21is_const<typename pointer_traits<_NodePtr>\x3a\x3a""element_type>\x3a\x3avalue, \x22\x22);\x0a"
"    typedef __hash_node_types<_NodePtr> _NodeTypes;\x0a"
"    typedef _NodePtr                            __node_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__next_pointer __next_pointer;\x0a"
"\x0a"
"    __next_pointer __node_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef __hash_iterator<_NodePtr> __non_const_iterator;\x0a"
"\x0a"
"    typedef forward_iterator_tag                                 iterator_category;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type               value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3a""difference_type                 difference_type;\x0a"
"    typedef const value_type\x26                                    reference;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__const_node_value_type_pointer pointer;\x0a"
"\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __hash_const_iterator() _NOEXCEPT \x3a __node_(nullptr) {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__insert_i(this));\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator(const __non_const_iterator\x26 __x) _NOEXCEPT\x0a"
"        \x3a __node_(__x.__node_)\x0a"
"    {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__iterator_copy(this, \x26__x));\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator(const __hash_const_iterator\x26 __i)\x0a"
"        \x3a __node_(__i.__node_)\x0a"
"    {\x0a"
"        __get_db()->__iterator_copy(this, \x26__i);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    \x7e__hash_const_iterator()\x0a"
"    {\x0a"
"        __get_db()->__erase_i(this);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator\x26 operator=(const __hash_const_iterator\x26 __i)\x0a"
"    {\x0a"
"        if (this \x21= \x26__i)\x0a"
"        {\x0a"
"            __get_db()->__iterator_copy(this, \x26__i);\x0a"
"            __node_ = __i.__node_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    reference operator*() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container const_iterator\x22);\x0a"
"        return __node_->__upcast()->__value_;\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pointer operator->() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container const_iterator\x22);\x0a"
"        return pointer_traits<pointer>\x3a\x3apointer_to(__node_->__upcast()->__value_);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator\x26 operator++() {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                             \x22""Attempted to increment non-incrementable unordered container const_iterator\x22);\x0a"
"        __node_ = __node_->__next_;\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator operator++(int)\x0a"
"    {\x0a"
"        __hash_const_iterator __t(*this);\x0a"
"        ++(*this);\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(const __hash_const_iterator\x26 __x, const __hash_const_iterator\x26 __y)\x0a"
"    {\x0a"
"        return __x.__node_ == __y.__node_;\x0a"
"    }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(const __hash_const_iterator\x26 __x, const __hash_const_iterator\x26 __y)\x0a"
"        {return \x21(__x == __y);}\x0a"
"\x0a"
"private\x3a\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator(__next_pointer __node, const void* __c) _NOEXCEPT\x0a"
"        \x3a __node_(__node)\x0a"
"        {\x0a"
"            __get_db()->__insert_ic(this, __c);\x0a"
"        }\x0a"
"#else\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_iterator(__next_pointer __node) _NOEXCEPT\x0a"
"        \x3a __node_(__node)\x0a"
"        {}\x0a"
"#endif\x0a"
"    template <class, class, class, class> friend class __hash_table;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_map_const_iterator;\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_map;\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_multimap;\x0a"
"};\x0a"
"\x0a"
"template <class _NodePtr>\x0a"
"class _LIBCPP_TEMPLATE_VIS __hash_local_iterator\x0a"
"{\x0a"
"    typedef __hash_node_types<_NodePtr> _NodeTypes;\x0a"
"    typedef _NodePtr                            __node_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__next_pointer __next_pointer;\x0a"
"\x0a"
"    __next_pointer         __node_;\x0a"
"    size_t                 __bucket_;\x0a"
"    size_t                 __bucket_count_;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef forward_iterator_tag                                iterator_category;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type              value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3a""difference_type                difference_type;\x0a"
"    typedef value_type\x26                                         reference;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type_pointer      pointer;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __hash_local_iterator() _NOEXCEPT \x3a __node_(nullptr) {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__insert_i(this));\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator(const __hash_local_iterator\x26 __i)\x0a"
"        \x3a __node_(__i.__node_),\x0a"
"          __bucket_(__i.__bucket_),\x0a"
"          __bucket_count_(__i.__bucket_count_)\x0a"
"    {\x0a"
"        __get_db()->__iterator_copy(this, \x26__i);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    \x7e__hash_local_iterator()\x0a"
"    {\x0a"
"        __get_db()->__erase_i(this);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator\x26 operator=(const __hash_local_iterator\x26 __i)\x0a"
"    {\x0a"
"        if (this \x21= \x26__i)\x0a"
"        {\x0a"
"            __get_db()->__iterator_copy(this, \x26__i);\x0a"
"            __node_ = __i.__node_;\x0a"
"            __bucket_ = __i.__bucket_;\x0a"
"            __bucket_count_ = __i.__bucket_count_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    reference operator*() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container local_iterator\x22);\x0a"
"        return __node_->__upcast()->__value_;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pointer operator->() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                             \x22""Attempted to dereference a non-dereferenceable unordered container local_iterator\x22);\x0a"
"        return pointer_traits<pointer>\x3a\x3apointer_to(__node_->__upcast()->__value_);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator\x26 operator++() {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                       \x22""Attempted to increment non-incrementable unordered container local_iterator\x22);\x0a"
"        __node_ = __node_->__next_;\x0a"
"        if (__node_ \x21= nullptr \x26\x26 __constrain_hash(__node_->__hash(), __bucket_count_) \x21= __bucket_)\x0a"
"            __node_ = nullptr;\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator operator++(int)\x0a"
"    {\x0a"
"        __hash_local_iterator __t(*this);\x0a"
"        ++(*this);\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(const __hash_local_iterator\x26 __x, const __hash_local_iterator\x26 __y)\x0a"
"    {\x0a"
"        return __x.__node_ == __y.__node_;\x0a"
"    }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(const __hash_local_iterator\x26 __x, const __hash_local_iterator\x26 __y)\x0a"
"        {return \x21(__x == __y);}\x0a"
"\x0a"
"private\x3a\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator(__next_pointer __node, size_t __bucket,\x0a"
"                          size_t __bucket_count, const void* __c) _NOEXCEPT\x0a"
"        \x3a __node_(__node),\x0a"
"          __bucket_(__bucket),\x0a"
"          __bucket_count_(__bucket_count)\x0a"
"        {\x0a"
"            __get_db()->__insert_ic(this, __c);\x0a"
"            if (__node_ \x21= nullptr)\x0a"
"                __node_ = __node_->__next_;\x0a"
"        }\x0a"
"#else\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_local_iterator(__next_pointer __node, size_t __bucket,\x0a"
"                          size_t __bucket_count) _NOEXCEPT\x0a"
"        \x3a __node_(__node),\x0a"
"          __bucket_(__bucket),\x0a"
"          __bucket_count_(__bucket_count)\x0a"
"        {\x0a"
"            if (__node_ \x21= nullptr)\x0a"
"                __node_ = __node_->__next_;\x0a"
"        }\x0a"
"#endif\x0a"
"    template <class, class, class, class> friend class __hash_table;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_const_local_iterator;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_map_iterator;\x0a"
"};\x0a"
"\x0a"
"template <class _ConstNodePtr>\x0a"
"class _LIBCPP_TEMPLATE_VIS __hash_const_local_iterator\x0a"
"{\x0a"
"    typedef __hash_node_types<_ConstNodePtr> _NodeTypes;\x0a"
"    typedef _ConstNodePtr                       __node_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__next_pointer __next_pointer;\x0a"
"\x0a"
"    __next_pointer         __node_;\x0a"
"    size_t                 __bucket_;\x0a"
"    size_t                 __bucket_count_;\x0a"
"\x0a"
"    typedef pointer_traits<__node_pointer>          __pointer_traits;\x0a"
"    typedef typename __pointer_traits\x3a\x3a""element_type __node;\x0a"
"    typedef typename remove_const<__node>\x3a\x3atype     __non_const_node;\x0a"
"    typedef typename __rebind_pointer<__node_pointer, __non_const_node>\x3a\x3atype\x0a"
"        __non_const_node_pointer;\x0a"
"public\x3a\x0a"
"    typedef __hash_local_iterator<__non_const_node_pointer>\x0a"
"                                                    __non_const_iterator;\x0a"
"\x0a"
"    typedef forward_iterator_tag                                 iterator_category;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type               value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3a""difference_type                 difference_type;\x0a"
"    typedef const value_type\x26                                    reference;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__const_node_value_type_pointer pointer;\x0a"
"\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __hash_const_local_iterator() _NOEXCEPT \x3a __node_(nullptr) {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__insert_i(this));\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator(const __non_const_iterator\x26 __x) _NOEXCEPT\x0a"
"        \x3a __node_(__x.__node_),\x0a"
"          __bucket_(__x.__bucket_),\x0a"
"          __bucket_count_(__x.__bucket_count_)\x0a"
"    {\x0a"
"        _LIBCPP_DEBUG_MODE(__get_db()->__iterator_copy(this, \x26__x));\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator(const __hash_const_local_iterator\x26 __i)\x0a"
"        \x3a __node_(__i.__node_),\x0a"
"          __bucket_(__i.__bucket_),\x0a"
"          __bucket_count_(__i.__bucket_count_)\x0a"
"    {\x0a"
"        __get_db()->__iterator_copy(this, \x26__i);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    \x7e__hash_const_local_iterator()\x0a"
"    {\x0a"
"        __get_db()->__erase_i(this);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator\x26 operator=(const __hash_const_local_iterator\x26 __i)\x0a"
"    {\x0a"
"        if (this \x21= \x26__i)\x0a"
"        {\x0a"
"            __get_db()->__iterator_copy(this, \x26__i);\x0a"
"            __node_ = __i.__node_;\x0a"
"            __bucket_ = __i.__bucket_;\x0a"
"            __bucket_count_ = __i.__bucket_count_;\x0a"
"        }\x0a"
"        return *this;\x0a"
"    }\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    reference operator*() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container const_local_iterator\x22);\x0a"
"        return __node_->__upcast()->__value_;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pointer operator->() const {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                           \x22""Attempted to dereference a non-dereferenceable unordered container const_local_iterator\x22);\x0a"
"        return pointer_traits<pointer>\x3a\x3apointer_to(__node_->__upcast()->__value_);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator\x26 operator++() {\x0a"
"        _LIBCPP_DEBUG_ASSERT(__get_const_db()->__dereferenceable(this),\x0a"
"                       \x22""Attempted to increment non-incrementable unordered container const_local_iterator\x22);\x0a"
"        __node_ = __node_->__next_;\x0a"
"        if (__node_ \x21= nullptr \x26\x26 __constrain_hash(__node_->__hash(), __bucket_count_) \x21= __bucket_)\x0a"
"            __node_ = nullptr;\x0a"
"        return *this;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator operator++(int)\x0a"
"    {\x0a"
"        __hash_const_local_iterator __t(*this);\x0a"
"        ++(*this);\x0a"
"        return __t;\x0a"
"    }\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator==(const __hash_const_local_iterator\x26 __x, const __hash_const_local_iterator\x26 __y)\x0a"
"    {\x0a"
"        return __x.__node_ == __y.__node_;\x0a"
"    }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool operator\x21=(const __hash_const_local_iterator\x26 __x, const __hash_const_local_iterator\x26 __y)\x0a"
"        {return \x21(__x == __y);}\x0a"
"\x0a"
"private\x3a\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator(__next_pointer __node, size_t __bucket,\x0a"
"                                size_t __bucket_count, const void* __c) _NOEXCEPT\x0a"
"        \x3a __node_(__node),\x0a"
"          __bucket_(__bucket),\x0a"
"          __bucket_count_(__bucket_count)\x0a"
"        {\x0a"
"            __get_db()->__insert_ic(this, __c);\x0a"
"            if (__node_ \x21= nullptr)\x0a"
"                __node_ = __node_->__next_;\x0a"
"        }\x0a"
"#else\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_const_local_iterator(__next_pointer __node, size_t __bucket,\x0a"
"                                size_t __bucket_count) _NOEXCEPT\x0a"
"        \x3a __node_(__node),\x0a"
"          __bucket_(__bucket),\x0a"
"          __bucket_count_(__bucket_count)\x0a"
"        {\x0a"
"            if (__node_ \x21= nullptr)\x0a"
"                __node_ = __node_->__next_;\x0a"
"        }\x0a"
"#endif\x0a"
"    template <class, class, class, class> friend class __hash_table;\x0a"
"    template <class> friend class _LIBCPP_TEMPLATE_VIS __hash_map_const_iterator;\x0a"
"};\x0a"
"\x0a"
"template <class _Alloc>\x0a"
"class __bucket_list_deallocator\x0a"
"{\x0a"
"    typedef _Alloc                                          allocator_type;\x0a"
"    typedef allocator_traits<allocator_type>                __alloc_traits;\x0a"
"    typedef typename __alloc_traits\x3a\x3asize_type              size_type;\x0a"
"\x0a"
"    __compressed_pair<size_type, allocator_type> __data_;\x0a"
"public\x3a\x0a"
"    typedef typename __alloc_traits\x3a\x3apointer pointer;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bucket_list_deallocator()\x0a"
"        _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>\x3a\x3avalue)\x0a"
"        \x3a __data_(0) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bucket_list_deallocator(const allocator_type\x26 __a, size_type __size)\x0a"
"        _NOEXCEPT_(is_nothrow_copy_constructible<allocator_type>\x3a\x3avalue)\x0a"
"        \x3a __data_(__size, __a) {}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __bucket_list_deallocator(__bucket_list_deallocator\x26\x26 __x)\x0a"
"        _NOEXCEPT_(is_nothrow_move_constructible<allocator_type>\x3a\x3avalue)\x0a"
"        \x3a __data_(_VSTD\x3a\x3amove(__x.__data_))\x0a"
"    {\x0a"
"        __x.size() = 0;\x0a"
"    }\x0a"
"#endif\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type\x26 size() _NOEXCEPT {return __data_.first();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type  size() const _NOEXCEPT {return __data_.first();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    allocator_type\x26 __alloc() _NOEXCEPT {return __data_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const allocator_type\x26 __alloc() const _NOEXCEPT {return __data_.second();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void operator()(pointer __p) _NOEXCEPT\x0a"
"    {\x0a"
"        __alloc_traits\x3a\x3a""deallocate(__alloc(), __p, size());\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <class _Alloc> class __hash_map_node_destructor;\x0a"
"\x0a"
"template <class _Alloc>\x0a"
"class __hash_node_destructor\x0a"
"{\x0a"
"    typedef _Alloc                                          allocator_type;\x0a"
"    typedef allocator_traits<allocator_type>                __alloc_traits;\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef typename __alloc_traits\x3a\x3apointer                pointer;\x0a"
"private\x3a\x0a"
"    typedef __hash_node_types<pointer> _NodeTypes;\x0a"
"\x0a"
"    allocator_type\x26 __na_;\x0a"
"\x0a"
"    __hash_node_destructor\x26 operator=(const __hash_node_destructor\x26);\x0a"
"\x0a"
"public\x3a\x0a"
"    bool __value_constructed;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit __hash_node_destructor(allocator_type\x26 __na,\x0a"
"                                    bool __constructed = false) _NOEXCEPT\x0a"
"        \x3a __na_(__na),\x0a"
"          __value_constructed(__constructed)\x0a"
"        {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void operator()(pointer __p) _NOEXCEPT\x0a"
"    {\x0a"
"        if (__value_constructed)\x0a"
"            __alloc_traits\x3a\x3a""destroy(__na_, _NodeTypes\x3a\x3a__get_ptr(__p->__value_));\x0a"
"        if (__p)\x0a"
"            __alloc_traits\x3a\x3a""deallocate(__na_, __p, 1);\x0a"
"    }\x0a"
"\x0a"
"    template <class> friend class __hash_map_node_destructor;\x0a"
"};\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"template <class _NodeType, class _Alloc>\x0a"
"struct __generic_container_node_destructor;\x0a"
"\x0a"
"template <class _Tp, class _VoidPtr, class _Alloc>\x0a"
"struct __generic_container_node_destructor<__hash_node<_Tp, _VoidPtr>, _Alloc>\x0a"
"    \x3a __hash_node_destructor<_Alloc>\x0a"
"{\x0a"
"    using __hash_node_destructor<_Alloc>\x3a\x3a__hash_node_destructor;\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"template <class _Key, class _Hash, class _Equal>\x0a"
"struct __enforce_unordered_container_requirements {\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    static_assert(__check_hash_requirements<_Key, _Hash>\x3a\x3avalue,\x0a"
"    \x22the specified hash does not meet the Hash requirements\x22);\x0a"
"    static_assert(is_copy_constructible<_Equal>\x3a\x3avalue,\x0a"
"    \x22the specified comparator is required to be copy constructible\x22);\x0a"
"#endif\x0a"
"    typedef int type;\x0a"
"};\x0a"
"\x0a"
"template <class _Key, class _Hash, class _Equal>\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    _LIBCPP_DIAGNOSE_WARNING(\x21__invokable<_Equal const\x26, _Key const\x26, _Key const\x26>\x3a\x3avalue,\x0a"
"    \x22the specified comparator type does not provide a viable const call operator\x22)\x0a"
"    _LIBCPP_DIAGNOSE_WARNING(\x21__invokable<_Hash const\x26, _Key const\x26>\x3a\x3avalue,\x0a"
"    \x22the specified hash functor does not provide a viable const call operator\x22)\x0a"
"#endif\x0a"
"typename __enforce_unordered_container_requirements<_Key, _Hash, _Equal>\x3a\x3atype\x0a"
"__diagnose_unordered_container_requirements(int);\x0a"
"\x0a"
"// This dummy overload is used so that the compiler won't emit a spurious\x0a"
"// \x22no matching function for call to __diagnose_unordered_xxx\x22 diagnostic\x0a"
"// when the overload above causes a hard error.\x0a"
"template <class _Key, class _Hash, class _Equal>\x0a"
"int __diagnose_unordered_container_requirements(void*);\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"class __hash_table\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef _Tp    value_type;\x0a"
"    typedef _Hash  hasher;\x0a"
"    typedef _Equal key_equal;\x0a"
"    typedef _Alloc allocator_type;\x0a"
"\x0a"
"private\x3a\x0a"
"    typedef allocator_traits<allocator_type> __alloc_traits;\x0a"
"    typedef typename\x0a"
"      __make_hash_node_types<value_type, typename __alloc_traits\x3a\x3avoid_pointer>\x3a\x3atype\x0a"
"                                                                     _NodeTypes;\x0a"
"public\x3a\x0a"
"\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_value_type           __node_value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__container_value_type      __container_value_type;\x0a"
"    typedef typename _NodeTypes\x3a\x3akey_type                    key_type;\x0a"
"    typedef value_type\x26                              reference;\x0a"
"    typedef const value_type\x26                        const_reference;\x0a"
"    typedef typename __alloc_traits\x3a\x3apointer         pointer;\x0a"
"    typedef typename __alloc_traits\x3a\x3a""const_pointer   const_pointer;\x0a"
"#ifndef _LIBCPP_ABI_FIX_UNORDERED_CONTAINER_SIZE_TYPE\x0a"
"    typedef typename __alloc_traits\x3a\x3asize_type       size_type;\x0a"
"#else\x0a"
"    typedef typename _NodeTypes\x3a\x3asize_type           size_type;\x0a"
"#endif\x0a"
"    typedef typename _NodeTypes\x3a\x3a""difference_type     difference_type;\x0a"
"public\x3a\x0a"
"    // Create __node\x0a"
"\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_type __node;\x0a"
"    typedef typename __rebind_alloc_helper<__alloc_traits, __node>\x3a\x3atype __node_allocator;\x0a"
"    typedef allocator_traits<__node_allocator>       __node_traits;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__void_pointer      __void_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_pointer      __node_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_pointer      __node_const_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_base_type    __first_node;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__node_base_pointer __node_base_pointer;\x0a"
"    typedef typename _NodeTypes\x3a\x3a__next_pointer      __next_pointer;\x0a"
"\x0a"
"private\x3a\x0a"
"    // check for sane allocator pointer rebinding semantics. Rebinding the\x0a"
"    // allocator for a new pointer type should be exactly the same as rebinding\x0a"
"    // the pointer using 'pointer_traits'.\x0a"
"    static_assert((is_same<__node_pointer, typename __node_traits\x3a\x3apointer>\x3a\x3avalue),\x0a"
"                  \x22""Allocator does not rebind pointers in a sane manner.\x22);\x0a"
"    typedef typename __rebind_alloc_helper<__node_traits, __first_node>\x3a\x3atype\x0a"
"        __node_base_allocator;\x0a"
"    typedef allocator_traits<__node_base_allocator> __node_base_traits;\x0a"
"    static_assert((is_same<__node_base_pointer, typename __node_base_traits\x3a\x3apointer>\x3a\x3avalue),\x0a"
"                 \x22""Allocator does not rebind pointers in a sane manner.\x22);\x0a"
"\x0a"
"private\x3a\x0a"
"\x0a"
"    typedef typename __rebind_alloc_helper<__node_traits, __next_pointer>\x3a\x3atype __pointer_allocator;\x0a"
"    typedef __bucket_list_deallocator<__pointer_allocator> __bucket_list_deleter;\x0a"
"    typedef unique_ptr<__next_pointer\x5b\x5d, __bucket_list_deleter> __bucket_list;\x0a"
"    typedef allocator_traits<__pointer_allocator>          __pointer_alloc_traits;\x0a"
"    typedef typename __bucket_list_deleter\x3a\x3apointer       __node_pointer_pointer;\x0a"
"\x0a"
"    // --- Member data begin ---\x0a"
"    __bucket_list                                         __bucket_list_;\x0a"
"    __compressed_pair<__first_node, __node_allocator>     __p1_;\x0a"
"    __compressed_pair<size_type, hasher>                  __p2_;\x0a"
"    __compressed_pair<float, key_equal>                   __p3_;\x0a"
"    // --- Member data end ---\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type\x26 size() _NOEXCEPT {return __p2_.first();}\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type  size() const _NOEXCEPT {return __p2_.first();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    hasher\x26 hash_function() _NOEXCEPT {return __p2_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const hasher\x26 hash_function() const _NOEXCEPT {return __p2_.second();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    float\x26 max_load_factor() _NOEXCEPT {return __p3_.first();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    float  max_load_factor() const _NOEXCEPT {return __p3_.first();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    key_equal\x26 key_eq() _NOEXCEPT {return __p3_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const key_equal\x26 key_eq() const _NOEXCEPT {return __p3_.second();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __node_allocator\x26 __node_alloc() _NOEXCEPT {return __p1_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const __node_allocator\x26 __node_alloc() const _NOEXCEPT\x0a"
"        {return __p1_.second();}\x0a"
"\x0a"
"public\x3a\x0a"
"    typedef __hash_iterator<__node_pointer>                   iterator;\x0a"
"    typedef __hash_const_iterator<__node_pointer>             const_iterator;\x0a"
"    typedef __hash_local_iterator<__node_pointer>             local_iterator;\x0a"
"    typedef __hash_const_local_iterator<__node_pointer>       const_local_iterator;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_table()\x0a"
"        _NOEXCEPT_(\x0a"
"            is_nothrow_default_constructible<__bucket_list>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_default_constructible<__first_node>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_default_constructible<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_default_constructible<hasher>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_default_constructible<key_equal>\x3a\x3avalue);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_table(const hasher\x26 __hf, const key_equal\x26 __eql);\x0a"
"    __hash_table(const hasher\x26 __hf, const key_equal\x26 __eql,\x0a"
"                 const allocator_type\x26 __a);\x0a"
"    explicit __hash_table(const allocator_type\x26 __a);\x0a"
"    __hash_table(const __hash_table\x26 __u);\x0a"
"    __hash_table(const __hash_table\x26 __u, const allocator_type\x26 __a);\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    __hash_table(__hash_table\x26\x26 __u)\x0a"
"        _NOEXCEPT_(\x0a"
"            is_nothrow_move_constructible<__bucket_list>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<__first_node>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<hasher>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<key_equal>\x3a\x3avalue);\x0a"
"    __hash_table(__hash_table\x26\x26 __u, const allocator_type\x26 __a);\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"    \x7e__hash_table();\x0a"
"\x0a"
"    __hash_table\x26 operator=(const __hash_table\x26 __u);\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __hash_table\x26 operator=(__hash_table\x26\x26 __u)\x0a"
"        _NOEXCEPT_(\x0a"
"            __node_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<hasher>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<key_equal>\x3a\x3avalue);\x0a"
"#endif\x0a"
"    template <class _InputIterator>\x0a"
"        void __assign_unique(_InputIterator __first, _InputIterator __last);\x0a"
"    template <class _InputIterator>\x0a"
"        void __assign_multi(_InputIterator __first, _InputIterator __last);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type max_size() const _NOEXCEPT\x0a"
"    {\x0a"
"        return std\x3a\x3amin<size_type>(\x0a"
"            __node_traits\x3a\x3amax_size(__node_alloc()),\x0a"
"            numeric_limits<difference_type >\x3a\x3amax()\x0a"
"        );\x0a"
"    }\x0a"
"\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __next_pointer __node_insert_multi_prepare(size_t __cp_hash,\x0a"
"                                               value_type\x26 __cp_val);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __node_insert_multi_perform(__node_pointer __cp,\x0a"
"                                     __next_pointer __pn) _NOEXCEPT;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __next_pointer __node_insert_unique_prepare(size_t __nd_hash,\x0a"
"                                                value_type\x26 __nd_val);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __node_insert_unique_perform(__node_pointer __ptr) _NOEXCEPT;\x0a"
"\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __node_insert_unique(__node_pointer __nd);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator             __node_insert_multi(__node_pointer __nd);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator             __node_insert_multi(const_iterator __p,\x0a"
"                                             __node_pointer __nd);\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    template <class _Key, class ..._Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __emplace_unique_key_args(_Key const\x26 __k, _Args\x26\x26... __args);\x0a"
"\x0a"
"    template <class... _Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __emplace_unique_impl(_Args\x26\x26... __args);\x0a"
"\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __emplace_unique(_Pp\x26\x26 __x) {\x0a"
"      return __emplace_unique_extract_key(_VSTD\x3a\x3a""forward<_Pp>(__x),\x0a"
"                                          __can_extract_key<_Pp, key_type>());\x0a"
"    }\x0a"
"\x0a"
"    template <class _First, class _Second>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    typename enable_if<\x0a"
"        __can_extract_map_key<_First, key_type, __container_value_type>\x3a\x3avalue,\x0a"
"        pair<iterator, bool>\x0a"
"    >\x3a\x3atype __emplace_unique(_First\x26\x26 __f, _Second\x26\x26 __s) {\x0a"
"        return __emplace_unique_key_args(__f, _VSTD\x3a\x3a""forward<_First>(__f),\x0a"
"                                              _VSTD\x3a\x3a""forward<_Second>(__s));\x0a"
"    }\x0a"
"\x0a"
"    template <class... _Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __emplace_unique(_Args\x26\x26... __args) {\x0a"
"      return __emplace_unique_impl(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    }\x0a"
"\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool>\x0a"
"    __emplace_unique_extract_key(_Pp\x26\x26 __x, __extract_key_fail_tag) {\x0a"
"      return __emplace_unique_impl(_VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool>\x0a"
"    __emplace_unique_extract_key(_Pp\x26\x26 __x, __extract_key_self_tag) {\x0a"
"      return __emplace_unique_key_args(__x, _VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool>\x0a"
"    __emplace_unique_extract_key(_Pp\x26\x26 __x, __extract_key_first_tag) {\x0a"
"      return __emplace_unique_key_args(__x.first, _VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"\x0a"
"    template <class... _Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __emplace_multi(_Args\x26\x26... __args);\x0a"
"    template <class... _Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __emplace_hint_multi(const_iterator __p, _Args\x26\x26... __args);\x0a"
"\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool>\x0a"
"    __insert_unique(__container_value_type\x26\x26 __x) {\x0a"
"      return __emplace_unique_key_args(_NodeTypes\x3a\x3a__get_key(__x), _VSTD\x3a\x3amove(__x));\x0a"
"    }\x0a"
"\x0a"
"    template <class _Pp, class = typename enable_if<\x0a"
"            \x21__is_same_uncvref<_Pp, __container_value_type>\x3a\x3avalue\x0a"
"        >\x3a\x3atype>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __insert_unique(_Pp\x26\x26 __x) {\x0a"
"      return __emplace_unique(_VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __insert_multi(_Pp\x26\x26 __x) {\x0a"
"      return __emplace_multi(_VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"\x0a"
"    template <class _Pp>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __insert_multi(const_iterator __p, _Pp\x26\x26 __x) {\x0a"
"        return __emplace_hint_multi(__p, _VSTD\x3a\x3a""forward<_Pp>(__x));\x0a"
"    }\x0a"
"\x0a"
"#else  // \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"    template <class _Key, class _Args>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __emplace_unique_key_args(_Key const\x26, _Args\x26 __args);\x0a"
"\x0a"
"    iterator __insert_multi(const __container_value_type\x26 __x);\x0a"
"    iterator __insert_multi(const_iterator __p, const __container_value_type\x26 __x);\x0a"
"#endif\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    pair<iterator, bool> __insert_unique(const __container_value_type\x26 __x) {\x0a"
"        return __emplace_unique_key_args(_NodeTypes\x3a\x3a__get_key(__x), __x);\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"    template <class _NodeHandle, class _InsertReturnType>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _InsertReturnType __node_handle_insert_unique(_NodeHandle\x26\x26 __nh);\x0a"
"    template <class _NodeHandle>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __node_handle_insert_unique(const_iterator __hint,\x0a"
"                                         _NodeHandle\x26\x26 __nh);\x0a"
"    template <class _Table>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __node_handle_merge_unique(_Table\x26 __source);\x0a"
"\x0a"
"    template <class _NodeHandle>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __node_handle_insert_multi(_NodeHandle\x26\x26 __nh);\x0a"
"    template <class _NodeHandle>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator __node_handle_insert_multi(const_iterator __hint, _NodeHandle\x26\x26 __nh);\x0a"
"    template <class _Table>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __node_handle_merge_multi(_Table\x26 __source);\x0a"
"\x0a"
"    template <class _NodeHandle>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _NodeHandle __node_handle_extract(key_type const\x26 __key);\x0a"
"    template <class _NodeHandle>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _NodeHandle __node_handle_extract(const_iterator __it);\x0a"
"#endif\x0a"
"\x0a"
"    void clear() _NOEXCEPT;\x0a"
"    void rehash(size_type __n);\x0a"
"    _LIBCPP_INLINE_VISIBILITY void reserve(size_type __n)\x0a"
"        {rehash(static_cast<size_type>(ceil(__n / max_load_factor())));}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type bucket_count() const _NOEXCEPT\x0a"
"    {\x0a"
"        return __bucket_list_.get_deleter().size();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator       begin() _NOEXCEPT;\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    iterator       end() _NOEXCEPT;\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const_iterator begin() const _NOEXCEPT;\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const_iterator end() const _NOEXCEPT;\x0a"
"\x0a"
"    template <class _Key>\x0a"
"        _LIBCPP_INLINE_VISIBILITY\x0a"
"        size_type bucket(const _Key\x26 __k) const\x0a"
"        {\x0a"
"            _LIBCPP_ASSERT(bucket_count() > 0,\x0a"
"                \x22unordered container\x3a\x3a""bucket(key) called when bucket_count() == 0\x22);\x0a"
"            return __constrain_hash(hash_function()(__k), bucket_count());\x0a"
"        }\x0a"
"\x0a"
"    template <class _Key>\x0a"
"        iterator       find(const _Key\x26 __x);\x0a"
"    template <class _Key>\x0a"
"        const_iterator find(const _Key\x26 __x) const;\x0a"
"\x0a"
"    typedef __hash_node_destructor<__node_allocator> _Dp;\x0a"
"    typedef unique_ptr<__node, _Dp> __node_holder;\x0a"
"\x0a"
"    iterator erase(const_iterator __p);\x0a"
"    iterator erase(const_iterator __first, const_iterator __last);\x0a"
"    template <class _Key>\x0a"
"        size_type __erase_unique(const _Key\x26 __k);\x0a"
"    template <class _Key>\x0a"
"        size_type __erase_multi(const _Key\x26 __k);\x0a"
"    __node_holder remove(const_iterator __p) _NOEXCEPT;\x0a"
"\x0a"
"    template <class _Key>\x0a"
"        _LIBCPP_INLINE_VISIBILITY\x0a"
"        size_type __count_unique(const _Key\x26 __k) const;\x0a"
"    template <class _Key>\x0a"
"        size_type __count_multi(const _Key\x26 __k) const;\x0a"
"\x0a"
"    template <class _Key>\x0a"
"        pair<iterator, iterator>\x0a"
"        __equal_range_unique(const _Key\x26 __k);\x0a"
"    template <class _Key>\x0a"
"        pair<const_iterator, const_iterator>\x0a"
"        __equal_range_unique(const _Key\x26 __k) const;\x0a"
"\x0a"
"    template <class _Key>\x0a"
"        pair<iterator, iterator>\x0a"
"        __equal_range_multi(const _Key\x26 __k);\x0a"
"    template <class _Key>\x0a"
"        pair<const_iterator, const_iterator>\x0a"
"        __equal_range_multi(const _Key\x26 __k) const;\x0a"
"\x0a"
"    void swap(__hash_table\x26 __u)\x0a"
"#if _LIBCPP_STD_VER <= 11\x0a"
"        _NOEXCEPT_(\x0a"
"            __is_nothrow_swappable<hasher>\x3a\x3avalue \x26\x26 __is_nothrow_swappable<key_equal>\x3a\x3avalue\x0a"
"            \x26\x26 (\x21""allocator_traits<__pointer_allocator>\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x0a"
"                  \x7c\x7c __is_nothrow_swappable<__pointer_allocator>\x3a\x3avalue)\x0a"
"            \x26\x26 (\x21__node_traits\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x0a"
"                  \x7c\x7c __is_nothrow_swappable<__node_allocator>\x3a\x3avalue)\x0a"
"            );\x0a"
"#else\x0a"
"     _NOEXCEPT_(__is_nothrow_swappable<hasher>\x3a\x3avalue \x26\x26 __is_nothrow_swappable<key_equal>\x3a\x3avalue);\x0a"
"#endif\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    size_type max_bucket_count() const _NOEXCEPT\x0a"
"        {return max_size(); }\x0a"
"    size_type bucket_size(size_type __n) const;\x0a"
"    _LIBCPP_INLINE_VISIBILITY float load_factor() const _NOEXCEPT\x0a"
"    {\x0a"
"        size_type __bc = bucket_count();\x0a"
"        return __bc \x21= 0 \x3f (float)size() / __bc \x3a 0.f;\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY void max_load_factor(float __mlf) _NOEXCEPT\x0a"
"    {\x0a"
"        _LIBCPP_ASSERT(__mlf > 0,\x0a"
"            \x22unordered container\x3a\x3amax_load_factor(lf) called with lf <= 0\x22);\x0a"
"        max_load_factor() = _VSTD\x3a\x3amax(__mlf, load_factor());\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    local_iterator\x0a"
"    begin(size_type __n)\x0a"
"    {\x0a"
"        _LIBCPP_ASSERT(__n < bucket_count(),\x0a"
"            \x22unordered container\x3a\x3a""begin(n) called with n >= bucket_count()\x22);\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        return local_iterator(__bucket_list_\x5b__n\x5d, __n, bucket_count(), this);\x0a"
"#else\x0a"
"        return local_iterator(__bucket_list_\x5b__n\x5d, __n, bucket_count());\x0a"
"#endif\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    local_iterator\x0a"
"    end(size_type __n)\x0a"
"    {\x0a"
"        _LIBCPP_ASSERT(__n < bucket_count(),\x0a"
"            \x22unordered container\x3a\x3a""end(n) called with n >= bucket_count()\x22);\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        return local_iterator(nullptr, __n, bucket_count(), this);\x0a"
"#else\x0a"
"        return local_iterator(nullptr, __n, bucket_count());\x0a"
"#endif\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const_local_iterator\x0a"
"    cbegin(size_type __n) const\x0a"
"    {\x0a"
"        _LIBCPP_ASSERT(__n < bucket_count(),\x0a"
"            \x22unordered container\x3a\x3a""cbegin(n) called with n >= bucket_count()\x22);\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        return const_local_iterator(__bucket_list_\x5b__n\x5d, __n, bucket_count(), this);\x0a"
"#else\x0a"
"        return const_local_iterator(__bucket_list_\x5b__n\x5d, __n, bucket_count());\x0a"
"#endif\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const_local_iterator\x0a"
"    cend(size_type __n) const\x0a"
"    {\x0a"
"        _LIBCPP_ASSERT(__n < bucket_count(),\x0a"
"            \x22unordered container\x3a\x3a""cend(n) called with n >= bucket_count()\x22);\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        return const_local_iterator(nullptr, __n, bucket_count(), this);\x0a"
"#else\x0a"
"        return const_local_iterator(nullptr, __n, bucket_count());\x0a"
"#endif\x0a"
"    }\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"    bool __dereferenceable(const const_iterator* __i) const;\x0a"
"    bool __decrementable(const const_iterator* __i) const;\x0a"
"    bool __addable(const const_iterator* __i, ptrdiff_t __n) const;\x0a"
"    bool __subscriptable(const const_iterator* __i, ptrdiff_t __n) const;\x0a"
"\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"private\x3a\x0a"
"    void __rehash(size_type __n);\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    template <class ..._Args>\x0a"
"    __node_holder __construct_node(_Args\x26\x26 ...__args);\x0a"
"\x0a"
"    template <class _First, class ..._Rest>\x0a"
"    __node_holder __construct_node_hash(size_t __hash, _First\x26\x26 __f, _Rest\x26\x26... __rest);\x0a"
"#else // _LIBCPP_CXX03_LANG\x0a"
"    __node_holder __construct_node(const __container_value_type\x26 __v);\x0a"
"    __node_holder __construct_node_hash(size_t __hash, const __container_value_type\x26 __v);\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __copy_assign_alloc(const __hash_table\x26 __u)\x0a"
"        {__copy_assign_alloc(__u, integral_constant<bool,\x0a"
"             __node_traits\x3a\x3apropagate_on_container_copy_assignment\x3a\x3avalue>());}\x0a"
"    void __copy_assign_alloc(const __hash_table\x26 __u, true_type);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __copy_assign_alloc(const __hash_table\x26, false_type) {}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    void __move_assign(__hash_table\x26 __u, false_type);\x0a"
"    void __move_assign(__hash_table\x26 __u, true_type)\x0a"
"        _NOEXCEPT_(\x0a"
"            is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<hasher>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<key_equal>\x3a\x3avalue);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __move_assign_alloc(__hash_table\x26 __u)\x0a"
"        _NOEXCEPT_(\x0a"
"            \x21__node_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue \x7c\x7c\x0a"
"            (is_nothrow_move_assignable<__pointer_allocator>\x3a\x3avalue \x26\x26\x0a"
"             is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue))\x0a"
"        {__move_assign_alloc(__u, integral_constant<bool,\x0a"
"             __node_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue>());}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __move_assign_alloc(__hash_table\x26 __u, true_type)\x0a"
"        _NOEXCEPT_(\x0a"
"            is_nothrow_move_assignable<__pointer_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue)\x0a"
"    {\x0a"
"        __bucket_list_.get_deleter().__alloc() =\x0a"
"                _VSTD\x3a\x3amove(__u.__bucket_list_.get_deleter().__alloc());\x0a"
"        __node_alloc() = _VSTD\x3a\x3amove(__u.__node_alloc());\x0a"
"    }\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __move_assign_alloc(__hash_table\x26, false_type) _NOEXCEPT {}\x0a"
"#endif // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"    void __deallocate_node(__next_pointer __np) _NOEXCEPT;\x0a"
"    __next_pointer __detach() _NOEXCEPT;\x0a"
"\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_map;\x0a"
"    template <class, class, class, class, class> friend class _LIBCPP_TEMPLATE_VIS unordered_multimap;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table()\x0a"
"    _NOEXCEPT_(\x0a"
"        is_nothrow_default_constructible<__bucket_list>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_default_constructible<__first_node>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_default_constructible<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_default_constructible<hasher>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_default_constructible<key_equal>\x3a\x3avalue)\x0a"
"    \x3a __p2_(0),\x0a"
"      __p3_(1.0f)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(const hasher\x26 __hf,\x0a"
"                                                       const key_equal\x26 __eql)\x0a"
"    \x3a __bucket_list_(nullptr, __bucket_list_deleter()),\x0a"
"      __p1_(),\x0a"
"      __p2_(0, __hf),\x0a"
"      __p3_(1.0f, __eql)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(const hasher\x26 __hf,\x0a"
"                                                       const key_equal\x26 __eql,\x0a"
"                                                       const allocator_type\x26 __a)\x0a"
"    \x3a __bucket_list_(nullptr, __bucket_list_deleter(__pointer_allocator(__a), 0)),\x0a"
"      __p1_(__second_tag(), __node_allocator(__a)),\x0a"
"      __p2_(0, __hf),\x0a"
"      __p3_(1.0f, __eql)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(const allocator_type\x26 __a)\x0a"
"    \x3a __bucket_list_(nullptr, __bucket_list_deleter(__pointer_allocator(__a), 0)),\x0a"
"      __p1_(__second_tag(), __node_allocator(__a)),\x0a"
"      __p2_(0),\x0a"
"      __p3_(1.0f)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(const __hash_table\x26 __u)\x0a"
"    \x3a __bucket_list_(nullptr,\x0a"
"          __bucket_list_deleter(allocator_traits<__pointer_allocator>\x3a\x3a\x0a"
"              select_on_container_copy_construction(\x0a"
"                  __u.__bucket_list_.get_deleter().__alloc()), 0)),\x0a"
"      __p1_(__second_tag(), allocator_traits<__node_allocator>\x3a\x3a\x0a"
"          select_on_container_copy_construction(__u.__node_alloc())),\x0a"
"      __p2_(0, __u.hash_function()),\x0a"
"      __p3_(__u.__p3_)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(const __hash_table\x26 __u,\x0a"
"                                                       const allocator_type\x26 __a)\x0a"
"    \x3a __bucket_list_(nullptr, __bucket_list_deleter(__pointer_allocator(__a), 0)),\x0a"
"      __p1_(__second_tag(), __node_allocator(__a)),\x0a"
"      __p2_(0, __u.hash_function()),\x0a"
"      __p3_(__u.__p3_)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(__hash_table\x26\x26 __u)\x0a"
"        _NOEXCEPT_(\x0a"
"            is_nothrow_move_constructible<__bucket_list>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<__first_node>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<hasher>\x3a\x3avalue \x26\x26\x0a"
"            is_nothrow_move_constructible<key_equal>\x3a\x3avalue)\x0a"
"    \x3a __bucket_list_(_VSTD\x3a\x3amove(__u.__bucket_list_)),\x0a"
"      __p1_(_VSTD\x3a\x3amove(__u.__p1_)),\x0a"
"      __p2_(_VSTD\x3a\x3amove(__u.__p2_)),\x0a"
"      __p3_(_VSTD\x3a\x3amove(__u.__p3_))\x0a"
"{\x0a"
"    if (size() > 0)\x0a"
"    {\x0a"
"        __bucket_list_\x5b__constrain_hash(__p1_.first().__next_->__hash(), bucket_count())\x5d =\x0a"
"            __p1_.first().__ptr();\x0a"
"        __u.__p1_.first().__next_ = nullptr;\x0a"
"        __u.size() = 0;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__hash_table(__hash_table\x26\x26 __u,\x0a"
"                                                       const allocator_type\x26 __a)\x0a"
"    \x3a __bucket_list_(nullptr, __bucket_list_deleter(__pointer_allocator(__a), 0)),\x0a"
"      __p1_(__second_tag(), __node_allocator(__a)),\x0a"
"      __p2_(0, _VSTD\x3a\x3amove(__u.hash_function())),\x0a"
"      __p3_(_VSTD\x3a\x3amove(__u.__p3_))\x0a"
"{\x0a"
"    if (__a == allocator_type(__u.__node_alloc()))\x0a"
"    {\x0a"
"        __bucket_list_.reset(__u.__bucket_list_.release());\x0a"
"        __bucket_list_.get_deleter().size() = __u.__bucket_list_.get_deleter().size();\x0a"
"        __u.__bucket_list_.get_deleter().size() = 0;\x0a"
"        if (__u.size() > 0)\x0a"
"        {\x0a"
"            __p1_.first().__next_ = __u.__p1_.first().__next_;\x0a"
"            __u.__p1_.first().__next_ = nullptr;\x0a"
"            __bucket_list_\x5b__constrain_hash(__p1_.first().__next_->__hash(), bucket_count())\x5d =\x0a"
"                __p1_.first().__ptr();\x0a"
"            size() = __u.size();\x0a"
"            __u.size() = 0;\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a\x7e__hash_table()\x0a"
"{\x0a"
"#if defined(_LIBCPP_CXX03_LANG)\x0a"
"    static_assert((is_copy_constructible<key_equal>\x3a\x3avalue),\x0a"
"                 \x22Predicate must be copy-constructible.\x22);\x0a"
"    static_assert((is_copy_constructible<hasher>\x3a\x3avalue),\x0a"
"                 \x22Hasher must be copy-constructible.\x22);\x0a"
"#endif\x0a"
"\x0a"
"    __deallocate_node(__p1_.first().__next_);\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __get_db()->__erase_c(this);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__copy_assign_alloc(\x0a"
"        const __hash_table\x26 __u, true_type)\x0a"
"{\x0a"
"    if (__node_alloc() \x21= __u.__node_alloc())\x0a"
"    {\x0a"
"        clear();\x0a"
"        __bucket_list_.reset();\x0a"
"        __bucket_list_.get_deleter().size() = 0;\x0a"
"    }\x0a"
"    __bucket_list_.get_deleter().__alloc() = __u.__bucket_list_.get_deleter().__alloc();\x0a"
"    __node_alloc() = __u.__node_alloc();\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x26\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aoperator=(const __hash_table\x26 __u)\x0a"
"{\x0a"
"    if (this \x21= \x26__u)\x0a"
"    {\x0a"
"        __copy_assign_alloc(__u);\x0a"
"        hash_function() = __u.hash_function();\x0a"
"        key_eq() = __u.key_eq();\x0a"
"        max_load_factor() = __u.max_load_factor();\x0a"
"        __assign_multi(__u.begin(), __u.end());\x0a"
"    }\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__deallocate_node(__next_pointer __np)\x0a"
"    _NOEXCEPT\x0a"
"{\x0a"
"    __node_allocator\x26 __na = __node_alloc();\x0a"
"    while (__np \x21= nullptr)\x0a"
"    {\x0a"
"        __next_pointer __next = __np->__next_;\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        __c_node* __c = __get_db()->__find_c_and_lock(this);\x0a"
"        for (__i_node** __p = __c->end_; __p \x21= __c->beg_; )\x0a"
"        {\x0a"
"            --__p;\x0a"
"            iterator* __i = static_cast<iterator*>((*__p)->__i_);\x0a"
"            if (__i->__node_ == __np)\x0a"
"            {\x0a"
"                (*__p)->__c_ = nullptr;\x0a"
"                if (--__c->end_ \x21= __p)\x0a"
"                    memmove(__p, __p+1, (__c->end_ - __p)*sizeof(__i_node*));\x0a"
"            }\x0a"
"        }\x0a"
"        __get_db()->unlock();\x0a"
"#endif\x0a"
"        __node_pointer __real_np = __np->__upcast();\x0a"
"        __node_traits\x3a\x3a""destroy(__na, _NodeTypes\x3a\x3a__get_ptr(__real_np->__value_));\x0a"
"        __node_traits\x3a\x3a""deallocate(__na, __real_np, 1);\x0a"
"        __np = __next;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__next_pointer\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__detach() _NOEXCEPT\x0a"
"{\x0a"
"    size_type __bc = bucket_count();\x0a"
"    for (size_type __i = 0; __i < __bc; ++__i)\x0a"
"        __bucket_list_\x5b__i\x5d = nullptr;\x0a"
"    size() = 0;\x0a"
"    __next_pointer __cache = __p1_.first().__next_;\x0a"
"    __p1_.first().__next_ = nullptr;\x0a"
"    return __cache;\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__move_assign(\x0a"
"        __hash_table\x26 __u, true_type)\x0a"
"    _NOEXCEPT_(\x0a"
"        is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_move_assignable<hasher>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_move_assignable<key_equal>\x3a\x3avalue)\x0a"
"{\x0a"
"    clear();\x0a"
"    __bucket_list_.reset(__u.__bucket_list_.release());\x0a"
"    __bucket_list_.get_deleter().size() = __u.__bucket_list_.get_deleter().size();\x0a"
"    __u.__bucket_list_.get_deleter().size() = 0;\x0a"
"    __move_assign_alloc(__u);\x0a"
"    size() = __u.size();\x0a"
"    hash_function() = _VSTD\x3a\x3amove(__u.hash_function());\x0a"
"    max_load_factor() = __u.max_load_factor();\x0a"
"    key_eq() = _VSTD\x3a\x3amove(__u.key_eq());\x0a"
"    __p1_.first().__next_ = __u.__p1_.first().__next_;\x0a"
"    if (size() > 0)\x0a"
"    {\x0a"
"        __bucket_list_\x5b__constrain_hash(__p1_.first().__next_->__hash(), bucket_count())\x5d =\x0a"
"            __p1_.first().__ptr();\x0a"
"        __u.__p1_.first().__next_ = nullptr;\x0a"
"        __u.size() = 0;\x0a"
"    }\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __get_db()->swap(this, \x26__u);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__move_assign(\x0a"
"        __hash_table\x26 __u, false_type)\x0a"
"{\x0a"
"    if (__node_alloc() == __u.__node_alloc())\x0a"
"        __move_assign(__u, true_type());\x0a"
"    else\x0a"
"    {\x0a"
"        hash_function() = _VSTD\x3a\x3amove(__u.hash_function());\x0a"
"        key_eq() = _VSTD\x3a\x3amove(__u.key_eq());\x0a"
"        max_load_factor() = __u.max_load_factor();\x0a"
"        if (bucket_count() \x21= 0)\x0a"
"        {\x0a"
"            __next_pointer __cache = __detach();\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"            try\x0a"
"            {\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"                const_iterator __i = __u.begin();\x0a"
"                while (__cache \x21= nullptr \x26\x26 __u.size() \x21= 0)\x0a"
"                {\x0a"
"                    __cache->__upcast()->__value_ =\x0a"
"                        _VSTD\x3a\x3amove(__u.remove(__i++)->__value_);\x0a"
"                    __next_pointer __next = __cache->__next_;\x0a"
"                    __node_insert_multi(__cache->__upcast());\x0a"
"                    __cache = __next;\x0a"
"                }\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"            }\x0a"
"            catch (...)\x0a"
"            {\x0a"
"                __deallocate_node(__cache);\x0a"
"                throw;\x0a"
"            }\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"            __deallocate_node(__cache);\x0a"
"        }\x0a"
"        const_iterator __i = __u.begin();\x0a"
"        while (__u.size() \x21= 0)\x0a"
"        {\x0a"
"            __node_holder __h = __construct_node(_NodeTypes\x3a\x3a__move(__u.remove(__i++)->__value_));\x0a"
"            __node_insert_multi(__h.get());\x0a"
"            __h.release();\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x26\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aoperator=(__hash_table\x26\x26 __u)\x0a"
"    _NOEXCEPT_(\x0a"
"        __node_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_move_assignable<__node_allocator>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_move_assignable<hasher>\x3a\x3avalue \x26\x26\x0a"
"        is_nothrow_move_assignable<key_equal>\x3a\x3avalue)\x0a"
"{\x0a"
"    __move_assign(__u, integral_constant<bool,\x0a"
"                  __node_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue>());\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _InputIterator>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__assign_unique(_InputIterator __first,\x0a"
"                                                          _InputIterator __last)\x0a"
"{\x0a"
"    typedef iterator_traits<_InputIterator> _ITraits;\x0a"
"    typedef typename _ITraits\x3a\x3avalue_type _ItValueType;\x0a"
"    static_assert((is_same<_ItValueType, __container_value_type>\x3a\x3avalue),\x0a"
"                  \x22__assign_unique may only be called with the containers value type\x22);\x0a"
"\x0a"
"    if (bucket_count() \x21= 0)\x0a"
"    {\x0a"
"        __next_pointer __cache = __detach();\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        try\x0a"
"        {\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"            for (; __cache \x21= nullptr \x26\x26 __first \x21= __last; ++__first)\x0a"
"            {\x0a"
"                __cache->__upcast()->__value_ = *__first;\x0a"
"                __next_pointer __next = __cache->__next_;\x0a"
"                __node_insert_unique(__cache->__upcast());\x0a"
"                __cache = __next;\x0a"
"            }\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        }\x0a"
"        catch (...)\x0a"
"        {\x0a"
"            __deallocate_node(__cache);\x0a"
"            throw;\x0a"
"        }\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"        __deallocate_node(__cache);\x0a"
"    }\x0a"
"    for (; __first \x21= __last; ++__first)\x0a"
"        __insert_unique(*__first);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _InputIterator>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__assign_multi(_InputIterator __first,\x0a"
"                                                         _InputIterator __last)\x0a"
"{\x0a"
"    typedef iterator_traits<_InputIterator> _ITraits;\x0a"
"    typedef typename _ITraits\x3a\x3avalue_type _ItValueType;\x0a"
"    static_assert((is_same<_ItValueType, __container_value_type>\x3a\x3avalue \x7c\x7c\x0a"
"                  is_same<_ItValueType, __node_value_type>\x3a\x3avalue),\x0a"
"                  \x22__assign_multi may only be called with the containers value type\x22\x0a"
"                  \x22 or the nodes value type\x22);\x0a"
"    if (bucket_count() \x21= 0)\x0a"
"    {\x0a"
"        __next_pointer __cache = __detach();\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        try\x0a"
"        {\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"            for (; __cache \x21= nullptr \x26\x26 __first \x21= __last; ++__first)\x0a"
"            {\x0a"
"                __cache->__upcast()->__value_ = *__first;\x0a"
"                __next_pointer __next = __cache->__next_;\x0a"
"                __node_insert_multi(__cache->__upcast());\x0a"
"                __cache = __next;\x0a"
"            }\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        }\x0a"
"        catch (...)\x0a"
"        {\x0a"
"            __deallocate_node(__cache);\x0a"
"            throw;\x0a"
"        }\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"        __deallocate_node(__cache);\x0a"
"    }\x0a"
"    for (; __first \x21= __last; ++__first)\x0a"
"        __insert_multi(_NodeTypes\x3a\x3a__get_value(*__first));\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""begin() _NOEXCEPT\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return iterator(__p1_.first().__next_, this);\x0a"
"#else\x0a"
"    return iterator(__p1_.first().__next_);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""end() _NOEXCEPT\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return iterator(nullptr, this);\x0a"
"#else\x0a"
"    return iterator(nullptr);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""begin() const _NOEXCEPT\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return const_iterator(__p1_.first().__next_, this);\x0a"
"#else\x0a"
"    return const_iterator(__p1_.first().__next_);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""end() const _NOEXCEPT\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return const_iterator(nullptr, this);\x0a"
"#else\x0a"
"    return const_iterator(nullptr);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""clear() _NOEXCEPT\x0a"
"{\x0a"
"    if (size() > 0)\x0a"
"    {\x0a"
"        __deallocate_node(__p1_.first().__next_);\x0a"
"        __p1_.first().__next_ = nullptr;\x0a"
"        size_type __bc = bucket_count();\x0a"
"        for (size_type __i = 0; __i < __bc; ++__i)\x0a"
"            __bucket_list_\x5b__i\x5d = nullptr;\x0a"
"        size() = 0;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"\x0a"
"// Prepare the container for an insertion of the value __value with the hash\x0a"
"// __hash. This does a lookup into the container to see if __value is already\x0a"
"// present, and performs a rehash if necessary. Returns a pointer to the\x0a"
"// existing element if it exists, otherwise nullptr.\x0a"
"//\x0a"
"// Note that this function does forward exceptions if key_eq() throws, and never\x0a"
"// mutates __value or actually inserts into the map.\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__next_pointer\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_unique_prepare(\x0a"
"    size_t __hash, value_type\x26 __value)\x0a"
"{\x0a"
"    size_type __bc = bucket_count();\x0a"
"\x0a"
"    if (__bc \x21= 0)\x0a"
"    {\x0a"
"        size_t __chash = __constrain_hash(__hash, __bc);\x0a"
"        __next_pointer __ndptr = __bucket_list_\x5b__chash\x5d;\x0a"
"        if (__ndptr \x21= nullptr)\x0a"
"        {\x0a"
"            for (__ndptr = __ndptr->__next_; __ndptr \x21= nullptr \x26\x26\x0a"
"                                             __constrain_hash(__ndptr->__hash(), __bc) == __chash;\x0a"
"                                                     __ndptr = __ndptr->__next_)\x0a"
"            {\x0a"
"                if (key_eq()(__ndptr->__upcast()->__value_, __value))\x0a"
"                    return __ndptr;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    if (size()+1 > __bc * max_load_factor() \x7c\x7c __bc == 0)\x0a"
"    {\x0a"
"        rehash(_VSTD\x3a\x3amax<size_type>(2 * __bc + \x21__is_hash_power2(__bc),\x0a"
"                                     size_type(ceil(float(size() + 1) / max_load_factor()))));\x0a"
"    }\x0a"
"    return nullptr;\x0a"
"}\x0a"
"\x0a"
"// Insert the node __nd into the container by pushing it into the right bucket,\x0a"
"// and updating size(). Assumes that __nd->__hash is up-to-date, and that\x0a"
"// rehashing has already occurred and that no element with the same key exists\x0a"
"// in the map.\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_unique_perform(\x0a"
"    __node_pointer __nd) _NOEXCEPT\x0a"
"{\x0a"
"    size_type __bc = bucket_count();\x0a"
"    size_t __chash = __constrain_hash(__nd->__hash(), __bc);\x0a"
"    // insert_after __bucket_list_\x5b__chash\x5d, or __first_node if bucket is null\x0a"
"    __next_pointer __pn = __bucket_list_\x5b__chash\x5d;\x0a"
"    if (__pn == nullptr)\x0a"
"    {\x0a"
"        __pn =__p1_.first().__ptr();\x0a"
"        __nd->__next_ = __pn->__next_;\x0a"
"        __pn->__next_ = __nd->__ptr();\x0a"
"        // fix up __bucket_list_\x0a"
"        __bucket_list_\x5b__chash\x5d = __pn;\x0a"
"        if (__nd->__next_ \x21= nullptr)\x0a"
"            __bucket_list_\x5b__constrain_hash(__nd->__next_->__hash(), __bc)\x5d = __nd->__ptr();\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        __nd->__next_ = __pn->__next_;\x0a"
"        __pn->__next_ = __nd->__ptr();\x0a"
"    }\x0a"
"    ++size();\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator, bool>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_unique(__node_pointer __nd)\x0a"
"{\x0a"
"    __nd->__hash_ = hash_function()(__nd->__value_);\x0a"
"    __next_pointer __existing_node =\x0a"
"        __node_insert_unique_prepare(__nd->__hash(), __nd->__value_);\x0a"
"\x0a"
"    // Insert the node, unless it already exists in the container.\x0a"
"    bool __inserted = false;\x0a"
"    if (__existing_node == nullptr)\x0a"
"    {\x0a"
"        __node_insert_unique_perform(__nd);\x0a"
"        __existing_node = __nd->__ptr();\x0a"
"        __inserted = true;\x0a"
"    }\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return pair<iterator, bool>(iterator(__existing_node, this), __inserted);\x0a"
"#else\x0a"
"    return pair<iterator, bool>(iterator(__existing_node), __inserted);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"// Prepare the container for an insertion of the value __cp_val with the hash\x0a"
"// __cp_hash. This does a lookup into the container to see if __cp_value is\x0a"
"// already present, and performs a rehash if necessary. Returns a pointer to the\x0a"
"// last occurance of __cp_val in the map.\x0a"
"//\x0a"
"// Note that this function does forward exceptions if key_eq() throws, and never\x0a"
"// mutates __value or actually inserts into the map.\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__next_pointer\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_multi_prepare(\x0a"
"    size_t __cp_hash, value_type\x26 __cp_val)\x0a"
"{\x0a"
"    size_type __bc = bucket_count();\x0a"
"    if (size()+1 > __bc * max_load_factor() \x7c\x7c __bc == 0)\x0a"
"    {\x0a"
"        rehash(_VSTD\x3a\x3amax<size_type>(2 * __bc + \x21__is_hash_power2(__bc),\x0a"
"                       size_type(ceil(float(size() + 1) / max_load_factor()))));\x0a"
"        __bc = bucket_count();\x0a"
"    }\x0a"
"    size_t __chash = __constrain_hash(__cp_hash, __bc);\x0a"
"    __next_pointer __pn = __bucket_list_\x5b__chash\x5d;\x0a"
"    if (__pn \x21= nullptr)\x0a"
"    {\x0a"
"        for (bool __found = false; __pn->__next_ \x21= nullptr \x26\x26\x0a"
"                                   __constrain_hash(__pn->__next_->__hash(), __bc) == __chash;\x0a"
"                                                           __pn = __pn->__next_)\x0a"
"        {\x0a"
"            //      __found    key_eq()     action\x0a"
"            //      false       false       loop\x0a"
"            //      true        true        loop\x0a"
"            //      false       true        set __found to true\x0a"
"            //      true        false       break\x0a"
"            if (__found \x21= (__pn->__next_->__hash() == __cp_hash \x26\x26\x0a"
"                            key_eq()(__pn->__next_->__upcast()->__value_, __cp_val)))\x0a"
"            {\x0a"
"                if (\x21__found)\x0a"
"                    __found = true;\x0a"
"                else\x0a"
"                    break;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return __pn;\x0a"
"}\x0a"
"\x0a"
"// Insert the node __cp into the container after __pn (which is the last node in\x0a"
"// the bucket that compares equal to __cp). Rehashing, and checking for\x0a"
"// uniqueness has already been performed (in __node_insert_multi_prepare), so\x0a"
"// all we need to do is update the bucket and size(). Assumes that __cp->__hash\x0a"
"// is up-to-date.\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_multi_perform(\x0a"
"    __node_pointer __cp, __next_pointer __pn) _NOEXCEPT\x0a"
"{\x0a"
"    size_type __bc = bucket_count();\x0a"
"    size_t __chash = __constrain_hash(__cp->__hash_, __bc);\x0a"
"    if (__pn == nullptr)\x0a"
"    {\x0a"
"        __pn =__p1_.first().__ptr();\x0a"
"        __cp->__next_ = __pn->__next_;\x0a"
"        __pn->__next_ = __cp->__ptr();\x0a"
"        // fix up __bucket_list_\x0a"
"        __bucket_list_\x5b__chash\x5d = __pn;\x0a"
"        if (__cp->__next_ \x21= nullptr)\x0a"
"            __bucket_list_\x5b__constrain_hash(__cp->__next_->__hash(), __bc)\x5d\x0a"
"                = __cp->__ptr();\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        __cp->__next_ = __pn->__next_;\x0a"
"        __pn->__next_ = __cp->__ptr();\x0a"
"        if (__cp->__next_ \x21= nullptr)\x0a"
"        {\x0a"
"            size_t __nhash = __constrain_hash(__cp->__next_->__hash(), __bc);\x0a"
"            if (__nhash \x21= __chash)\x0a"
"                __bucket_list_\x5b__nhash\x5d = __cp->__ptr();\x0a"
"        }\x0a"
"    }\x0a"
"    ++size();\x0a"
"}\x0a"
"\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_multi(__node_pointer __cp)\x0a"
"{\x0a"
"    __cp->__hash_ = hash_function()(__cp->__value_);\x0a"
"    __next_pointer __pn = __node_insert_multi_prepare(__cp->__hash(), __cp->__value_);\x0a"
"    __node_insert_multi_perform(__cp, __pn);\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return iterator(__cp->__ptr(), this);\x0a"
"#else\x0a"
"    return iterator(__cp->__ptr());\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_insert_multi(\x0a"
"        const_iterator __p, __node_pointer __cp)\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__p) == this,\x0a"
"        \x22unordered container\x3a\x3a""emplace_hint(const_iterator, args...) called with an iterator not\x22\x0a"
"        \x22 referring to this unordered container\x22);\x0a"
"#endif\x0a"
"    if (__p \x21= end() \x26\x26 key_eq()(*__p, __cp->__value_))\x0a"
"    {\x0a"
"        __next_pointer __np = __p.__node_;\x0a"
"        __cp->__hash_ = __np->__hash();\x0a"
"        size_type __bc = bucket_count();\x0a"
"        if (size()+1 > __bc * max_load_factor() \x7c\x7c __bc == 0)\x0a"
"        {\x0a"
"            rehash(_VSTD\x3a\x3amax<size_type>(2 * __bc + \x21__is_hash_power2(__bc),\x0a"
"                           size_type(ceil(float(size() + 1) / max_load_factor()))));\x0a"
"            __bc = bucket_count();\x0a"
"        }\x0a"
"        size_t __chash = __constrain_hash(__cp->__hash_, __bc);\x0a"
"        __next_pointer __pp = __bucket_list_\x5b__chash\x5d;\x0a"
"        while (__pp->__next_ \x21= __np)\x0a"
"            __pp = __pp->__next_;\x0a"
"        __cp->__next_ = __np;\x0a"
"        __pp->__next_ = static_cast<__next_pointer>(__cp);\x0a"
"        ++size();\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"        return iterator(static_cast<__next_pointer>(__cp), this);\x0a"
"#else\x0a"
"        return iterator(static_cast<__next_pointer>(__cp));\x0a"
"#endif\x0a"
"    }\x0a"
"    return __node_insert_multi(__cp);\x0a"
"}\x0a"
"\x0a"
"\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key, class ..._Args>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator, bool>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__emplace_unique_key_args(_Key const\x26 __k, _Args\x26\x26... __args)\x0a"
"#else\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key, class _Args>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator, bool>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__emplace_unique_key_args(_Key const\x26 __k, _Args\x26 __args)\x0a"
"#endif\x0a"
"{\x0a"
"\x0a"
"    size_t __hash = hash_function()(__k);\x0a"
"    size_type __bc = bucket_count();\x0a"
"    bool __inserted = false;\x0a"
"    __next_pointer __nd;\x0a"
"    size_t __chash;\x0a"
"    if (__bc \x21= 0)\x0a"
"    {\x0a"
"        __chash = __constrain_hash(__hash, __bc);\x0a"
"        __nd = __bucket_list_\x5b__chash\x5d;\x0a"
"        if (__nd \x21= nullptr)\x0a"
"        {\x0a"
"            for (__nd = __nd->__next_; __nd \x21= nullptr \x26\x26\x0a"
"                (__nd->__hash() == __hash \x7c\x7c __constrain_hash(__nd->__hash(), __bc) == __chash);\x0a"
"                                                           __nd = __nd->__next_)\x0a"
"            {\x0a"
"                if (key_eq()(__nd->__upcast()->__value_, __k))\x0a"
"                    goto __done;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    {\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"        __node_holder __h = __construct_node_hash(__hash, _VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"#else\x0a"
"        __node_holder __h = __construct_node_hash(__hash, __args);\x0a"
"#endif\x0a"
"        if (size()+1 > __bc * max_load_factor() \x7c\x7c __bc == 0)\x0a"
"        {\x0a"
"            rehash(_VSTD\x3a\x3amax<size_type>(2 * __bc + \x21__is_hash_power2(__bc),\x0a"
"                           size_type(ceil(float(size() + 1) / max_load_factor()))));\x0a"
"            __bc = bucket_count();\x0a"
"            __chash = __constrain_hash(__hash, __bc);\x0a"
"        }\x0a"
"        // insert_after __bucket_list_\x5b__chash\x5d, or __first_node if bucket is null\x0a"
"        __next_pointer __pn = __bucket_list_\x5b__chash\x5d;\x0a"
"        if (__pn == nullptr)\x0a"
"        {\x0a"
"            __pn = __p1_.first().__ptr();\x0a"
"            __h->__next_ = __pn->__next_;\x0a"
"            __pn->__next_ = __h.get()->__ptr();\x0a"
"            // fix up __bucket_list_\x0a"
"            __bucket_list_\x5b__chash\x5d = __pn;\x0a"
"            if (__h->__next_ \x21= nullptr)\x0a"
"                __bucket_list_\x5b__constrain_hash(__h->__next_->__hash(), __bc)\x5d\x0a"
"                    = __h.get()->__ptr();\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            __h->__next_ = __pn->__next_;\x0a"
"            __pn->__next_ = static_cast<__next_pointer>(__h.get());\x0a"
"        }\x0a"
"        __nd = static_cast<__next_pointer>(__h.release());\x0a"
"        // increment size\x0a"
"        ++size();\x0a"
"        __inserted = true;\x0a"
"    }\x0a"
"__done\x3a\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return pair<iterator, bool>(iterator(__nd, this), __inserted);\x0a"
"#else\x0a"
"    return pair<iterator, bool>(iterator(__nd), __inserted);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class... _Args>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator, bool>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__emplace_unique_impl(_Args\x26\x26... __args)\x0a"
"{\x0a"
"    __node_holder __h = __construct_node(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    pair<iterator, bool> __r = __node_insert_unique(__h.get());\x0a"
"    if (__r.second)\x0a"
"        __h.release();\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class... _Args>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__emplace_multi(_Args\x26\x26... __args)\x0a"
"{\x0a"
"    __node_holder __h = __construct_node(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    iterator __r = __node_insert_multi(__h.get());\x0a"
"    __h.release();\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class... _Args>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__emplace_hint_multi(\x0a"
"        const_iterator __p, _Args\x26\x26... __args)\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__p) == this,\x0a"
"        \x22unordered container\x3a\x3a""emplace_hint(const_iterator, args...) called with an iterator not\x22\x0a"
"        \x22 referring to this unordered container\x22);\x0a"
"#endif\x0a"
"    __node_holder __h = __construct_node(_VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    iterator __r = __node_insert_multi(__p, __h.get());\x0a"
"    __h.release();\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"#else // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__insert_multi(const __container_value_type\x26 __x)\x0a"
"{\x0a"
"    __node_holder __h = __construct_node(__x);\x0a"
"    iterator __r = __node_insert_multi(__h.get());\x0a"
"    __h.release();\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__insert_multi(const_iterator __p,\x0a"
"                                                         const __container_value_type\x26 __x)\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__p) == this,\x0a"
"        \x22unordered container\x3a\x3ainsert(const_iterator, lvalue) called with an iterator not\x22\x0a"
"        \x22 referring to this unordered container\x22);\x0a"
"#endif\x0a"
"    __node_holder __h = __construct_node(__x);\x0a"
"    iterator __r = __node_insert_multi(__p, __h.get());\x0a"
"    __h.release();\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle, class _InsertReturnType>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"_InsertReturnType\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_insert_unique(\x0a"
"    _NodeHandle\x26\x26 __nh)\x0a"
"{\x0a"
"    if (__nh.empty())\x0a"
"        return _InsertReturnType{end(), false, _NodeHandle()};\x0a"
"    pair<iterator, bool> __result = __node_insert_unique(__nh.__ptr_);\x0a"
"    if (__result.second)\x0a"
"        __nh.__release_ptr();\x0a"
"    return _InsertReturnType{__result.first, __result.second, _VSTD\x3a\x3amove(__nh)};\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_insert_unique(\x0a"
"    const_iterator, _NodeHandle\x26\x26 __nh)\x0a"
"{\x0a"
"    if (__nh.empty())\x0a"
"        return end();\x0a"
"    pair<iterator, bool> __result = __node_insert_unique(__nh.__ptr_);\x0a"
"    if (__result.second)\x0a"
"        __nh.__release_ptr();\x0a"
"    return __result.first;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"_NodeHandle\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_extract(\x0a"
"    key_type const\x26 __key)\x0a"
"{\x0a"
"    iterator __i = find(__key);\x0a"
"    if (__i == end())\x0a"
"        return _NodeHandle();\x0a"
"    return __node_handle_extract<_NodeHandle>(__i);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"_NodeHandle\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_extract(\x0a"
"    const_iterator __p)\x0a"
"{\x0a"
"    allocator_type __alloc(__node_alloc());\x0a"
"    return _NodeHandle(remove(__p).release(), __alloc);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Table>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_merge_unique(\x0a"
"    _Table\x26 __source)\x0a"
"{\x0a"
"    static_assert(is_same<__node, typename _Table\x3a\x3a__node>\x3a\x3avalue, \x22\x22);\x0a"
"\x0a"
"    for (typename _Table\x3a\x3aiterator __it = __source.begin();\x0a"
"         __it \x21= __source.end();)\x0a"
"    {\x0a"
"        __node_pointer __src_ptr = __it.__node_->__upcast();\x0a"
"        size_t __hash = hash_function()(__src_ptr->__value_);\x0a"
"        __next_pointer __existing_node =\x0a"
"            __node_insert_unique_prepare(__hash, __src_ptr->__value_);\x0a"
"        auto __prev_iter = __it++;\x0a"
"        if (__existing_node == nullptr)\x0a"
"        {\x0a"
"            (void)__source.remove(__prev_iter).release();\x0a"
"            __src_ptr->__hash_ = __hash;\x0a"
"            __node_insert_unique_perform(__src_ptr);\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_insert_multi(\x0a"
"    _NodeHandle\x26\x26 __nh)\x0a"
"{\x0a"
"    if (__nh.empty())\x0a"
"        return end();\x0a"
"    iterator __result = __node_insert_multi(__nh.__ptr_);\x0a"
"    __nh.__release_ptr();\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _NodeHandle>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_insert_multi(\x0a"
"    const_iterator __hint, _NodeHandle\x26\x26 __nh)\x0a"
"{\x0a"
"    if (__nh.empty())\x0a"
"        return end();\x0a"
"    iterator __result = __node_insert_multi(__hint, __nh.__ptr_);\x0a"
"    __nh.__release_ptr();\x0a"
"    return __result;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Table>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_handle_merge_multi(\x0a"
"    _Table\x26 __source)\x0a"
"{\x0a"
"    static_assert(is_same<typename _Table\x3a\x3a__node, __node>\x3a\x3avalue, \x22\x22);\x0a"
"\x0a"
"    for (typename _Table\x3a\x3aiterator __it = __source.begin();\x0a"
"         __it \x21= __source.end();)\x0a"
"    {\x0a"
"        __node_pointer __src_ptr = __it.__node_->__upcast();\x0a"
"        size_t __src_hash = hash_function()(__src_ptr->__value_);\x0a"
"        __next_pointer __pn =\x0a"
"            __node_insert_multi_prepare(__src_hash, __src_ptr->__value_);\x0a"
"        (void)__source.remove(__it++).release();\x0a"
"        __src_ptr->__hash_ = __src_hash;\x0a"
"        __node_insert_multi_perform(__src_ptr, __pn);\x0a"
"    }\x0a"
"}\x0a"
"#endif  // _LIBCPP_STD_VER > 14\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3arehash(size_type __n)\x0a"
"_LIBCPP_DISABLE_UBSAN_UNSIGNED_INTEGER_CHECK\x0a"
"{\x0a"
"    if (__n == 1)\x0a"
"        __n = 2;\x0a"
"    else if (__n \x26 (__n - 1))\x0a"
"        __n = __next_prime(__n);\x0a"
"    size_type __bc = bucket_count();\x0a"
"    if (__n > __bc)\x0a"
"        __rehash(__n);\x0a"
"    else if (__n < __bc)\x0a"
"    {\x0a"
"        __n = _VSTD\x3a\x3amax<size_type>\x0a"
"              (\x0a"
"                  __n,\x0a"
"                  __is_hash_power2(__bc) \x3f __next_hash_pow2(size_t(ceil(float(size()) / max_load_factor()))) \x3a\x0a"
"                                           __next_prime(size_t(ceil(float(size()) / max_load_factor())))\x0a"
"              );\x0a"
"        if (__n < __bc)\x0a"
"            __rehash(__n);\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__rehash(size_type __nbc)\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __get_db()->__invalidate_all(this);\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __pointer_allocator\x26 __npa = __bucket_list_.get_deleter().__alloc();\x0a"
"    __bucket_list_.reset(__nbc > 0 \x3f\x0a"
"                      __pointer_alloc_traits\x3a\x3a""allocate(__npa, __nbc) \x3a nullptr);\x0a"
"    __bucket_list_.get_deleter().size() = __nbc;\x0a"
"    if (__nbc > 0)\x0a"
"    {\x0a"
"        for (size_type __i = 0; __i < __nbc; ++__i)\x0a"
"            __bucket_list_\x5b__i\x5d = nullptr;\x0a"
"        __next_pointer __pp = __p1_.first().__ptr();\x0a"
"        __next_pointer __cp = __pp->__next_;\x0a"
"        if (__cp \x21= nullptr)\x0a"
"        {\x0a"
"            size_type __chash = __constrain_hash(__cp->__hash(), __nbc);\x0a"
"            __bucket_list_\x5b__chash\x5d = __pp;\x0a"
"            size_type __phash = __chash;\x0a"
"            for (__pp = __cp, __cp = __cp->__next_; __cp \x21= nullptr;\x0a"
"                                                           __cp = __pp->__next_)\x0a"
"            {\x0a"
"                __chash = __constrain_hash(__cp->__hash(), __nbc);\x0a"
"                if (__chash == __phash)\x0a"
"                    __pp = __cp;\x0a"
"                else\x0a"
"                {\x0a"
"                    if (__bucket_list_\x5b__chash\x5d == nullptr)\x0a"
"                    {\x0a"
"                        __bucket_list_\x5b__chash\x5d = __pp;\x0a"
"                        __pp = __cp;\x0a"
"                        __phash = __chash;\x0a"
"                    }\x0a"
"                    else\x0a"
"                    {\x0a"
"                        __next_pointer __np = __cp;\x0a"
"                        for (; __np->__next_ \x21= nullptr \x26\x26\x0a"
"                               key_eq()(__cp->__upcast()->__value_,\x0a"
"                                        __np->__next_->__upcast()->__value_);\x0a"
"                                                           __np = __np->__next_)\x0a"
"                            ;\x0a"
"                        __pp->__next_ = __np->__next_;\x0a"
"                        __np->__next_ = __bucket_list_\x5b__chash\x5d->__next_;\x0a"
"                        __bucket_list_\x5b__chash\x5d->__next_ = __cp;\x0a"
"\x0a"
"                    }\x0a"
"                }\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""find(const _Key\x26 __k)\x0a"
"{\x0a"
"    size_t __hash = hash_function()(__k);\x0a"
"    size_type __bc = bucket_count();\x0a"
"    if (__bc \x21= 0)\x0a"
"    {\x0a"
"        size_t __chash = __constrain_hash(__hash, __bc);\x0a"
"        __next_pointer __nd = __bucket_list_\x5b__chash\x5d;\x0a"
"        if (__nd \x21= nullptr)\x0a"
"        {\x0a"
"            for (__nd = __nd->__next_; __nd \x21= nullptr \x26\x26\x0a"
"                (__nd->__hash() == __hash\x0a"
"                  \x7c\x7c __constrain_hash(__nd->__hash(), __bc) == __chash);\x0a"
"                                                           __nd = __nd->__next_)\x0a"
"            {\x0a"
"                if ((__nd->__hash() == __hash)\x0a"
"                    \x26\x26 key_eq()(__nd->__upcast()->__value_, __k))\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"                    return iterator(__nd, this);\x0a"
"#else\x0a"
"                    return iterator(__nd);\x0a"
"#endif\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return end();\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""find(const _Key\x26 __k) const\x0a"
"{\x0a"
"    size_t __hash = hash_function()(__k);\x0a"
"    size_type __bc = bucket_count();\x0a"
"    if (__bc \x21= 0)\x0a"
"    {\x0a"
"        size_t __chash = __constrain_hash(__hash, __bc);\x0a"
"        __next_pointer __nd = __bucket_list_\x5b__chash\x5d;\x0a"
"        if (__nd \x21= nullptr)\x0a"
"        {\x0a"
"            for (__nd = __nd->__next_; __nd \x21= nullptr \x26\x26\x0a"
"                (__hash == __nd->__hash()\x0a"
"                    \x7c\x7c __constrain_hash(__nd->__hash(), __bc) == __chash);\x0a"
"                                                           __nd = __nd->__next_)\x0a"
"            {\x0a"
"                if ((__nd->__hash() == __hash)\x0a"
"                    \x26\x26 key_eq()(__nd->__upcast()->__value_, __k))\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"                    return const_iterator(__nd, this);\x0a"
"#else\x0a"
"                    return const_iterator(__nd);\x0a"
"#endif\x0a"
"            }\x0a"
"        }\x0a"
"\x0a"
"    }\x0a"
"    return end();\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class ..._Args>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_holder\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__construct_node(_Args\x26\x26 ...__args)\x0a"
"{\x0a"
"    static_assert(\x21__is_hash_value_type<_Args...>\x3a\x3avalue,\x0a"
"                  \x22""Construct cannot be called with a hash value type\x22);\x0a"
"    __node_allocator\x26 __na = __node_alloc();\x0a"
"    __node_holder __h(__node_traits\x3a\x3a""allocate(__na, 1), _Dp(__na));\x0a"
"    __node_traits\x3a\x3a""construct(__na, _NodeTypes\x3a\x3a__get_ptr(__h->__value_), _VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    __h.get_deleter().__value_constructed = true;\x0a"
"    __h->__hash_ = hash_function()(__h->__value_);\x0a"
"    __h->__next_ = nullptr;\x0a"
"    return __h;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _First, class ..._Rest>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_holder\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__construct_node_hash(\x0a"
"    size_t __hash, _First\x26\x26 __f, _Rest\x26\x26 ...__rest)\x0a"
"{\x0a"
"    static_assert(\x21__is_hash_value_type<_First, _Rest...>\x3a\x3avalue,\x0a"
"                  \x22""Construct cannot be called with a hash value type\x22);\x0a"
"    __node_allocator\x26 __na = __node_alloc();\x0a"
"    __node_holder __h(__node_traits\x3a\x3a""allocate(__na, 1), _Dp(__na));\x0a"
"    __node_traits\x3a\x3a""construct(__na, _NodeTypes\x3a\x3a__get_ptr(__h->__value_),\x0a"
"                             _VSTD\x3a\x3a""forward<_First>(__f),\x0a"
"                             _VSTD\x3a\x3a""forward<_Rest>(__rest)...);\x0a"
"    __h.get_deleter().__value_constructed = true;\x0a"
"    __h->__hash_ = __hash;\x0a"
"    __h->__next_ = nullptr;\x0a"
"    return __h;\x0a"
"}\x0a"
"\x0a"
"#else  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_holder\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__construct_node(const __container_value_type\x26 __v)\x0a"
"{\x0a"
"    __node_allocator\x26 __na = __node_alloc();\x0a"
"    __node_holder __h(__node_traits\x3a\x3a""allocate(__na, 1), _Dp(__na));\x0a"
"    __node_traits\x3a\x3a""construct(__na, _NodeTypes\x3a\x3a__get_ptr(__h->__value_), __v);\x0a"
"    __h.get_deleter().__value_constructed = true;\x0a"
"    __h->__hash_ = hash_function()(__h->__value_);\x0a"
"    __h->__next_ = nullptr;\x0a"
"    return _LIBCPP_EXPLICIT_MOVE(__h);  // explicitly moved for C++03\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_holder\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__construct_node_hash(size_t __hash,\x0a"
"                                                                const __container_value_type\x26 __v)\x0a"
"{\x0a"
"    __node_allocator\x26 __na = __node_alloc();\x0a"
"    __node_holder __h(__node_traits\x3a\x3a""allocate(__na, 1), _Dp(__na));\x0a"
"    __node_traits\x3a\x3a""construct(__na, _NodeTypes\x3a\x3a__get_ptr(__h->__value_), __v);\x0a"
"    __h.get_deleter().__value_constructed = true;\x0a"
"    __h->__hash_ = __hash;\x0a"
"    __h->__next_ = nullptr;\x0a"
"    return _LIBCPP_EXPLICIT_MOVE(__h);  // explicitly moved for C++03\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""erase(const_iterator __p)\x0a"
"{\x0a"
"    __next_pointer __np = __p.__node_;\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__p) == this,\x0a"
"        \x22unordered container erase(iterator) called with an iterator not\x22\x0a"
"        \x22 referring to this container\x22);\x0a"
"    _LIBCPP_ASSERT(__p \x21= end(),\x0a"
"        \x22unordered container erase(iterator) called with a non-dereferenceable iterator\x22);\x0a"
"    iterator __r(__np, this);\x0a"
"#else\x0a"
"    iterator __r(__np);\x0a"
"#endif\x0a"
"    ++__r;\x0a"
"    remove(__p);\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""erase(const_iterator __first,\x0a"
"                                                const_iterator __last)\x0a"
"{\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__first) == this,\x0a"
"        \x22unodered container\x3a\x3a""erase(iterator, iterator) called with an iterator not\x22\x0a"
"        \x22 referring to this unodered container\x22);\x0a"
"    _LIBCPP_ASSERT(__get_const_db()->__find_c_from_i(\x26__last) == this,\x0a"
"        \x22unodered container\x3a\x3a""erase(iterator, iterator) called with an iterator not\x22\x0a"
"        \x22 referring to this unodered container\x22);\x0a"
"#endif\x0a"
"    for (const_iterator __p = __first; __first \x21= __last; __p = __first)\x0a"
"    {\x0a"
"        ++__first;\x0a"
"        erase(__p);\x0a"
"    }\x0a"
"    __next_pointer __np = __last.__node_;\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    return iterator (__np, this);\x0a"
"#else\x0a"
"    return iterator (__np);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3asize_type\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__erase_unique(const _Key\x26 __k)\x0a"
"{\x0a"
"    iterator __i = find(__k);\x0a"
"    if (__i == end())\x0a"
"        return 0;\x0a"
"    erase(__i);\x0a"
"    return 1;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3asize_type\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__erase_multi(const _Key\x26 __k)\x0a"
"{\x0a"
"    size_type __r = 0;\x0a"
"    iterator __i = find(__k);\x0a"
"    if (__i \x21= end())\x0a"
"    {\x0a"
"        iterator __e = end();\x0a"
"        do\x0a"
"        {\x0a"
"            erase(__i++);\x0a"
"            ++__r;\x0a"
"        } while (__i \x21= __e \x26\x26 key_eq()(*__i, __k));\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__node_holder\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aremove(const_iterator __p) _NOEXCEPT\x0a"
"{\x0a"
"    // current node\x0a"
"    __next_pointer __cn = __p.__node_;\x0a"
"    size_type __bc = bucket_count();\x0a"
"    size_t __chash = __constrain_hash(__cn->__hash(), __bc);\x0a"
"    // find previous node\x0a"
"    __next_pointer __pn = __bucket_list_\x5b__chash\x5d;\x0a"
"    for (; __pn->__next_ \x21= __cn; __pn = __pn->__next_)\x0a"
"        ;\x0a"
"    // Fix up __bucket_list_\x0a"
"        // if __pn is not in same bucket (before begin is not in same bucket) \x26\x26\x0a"
"        //    if __cn->__next_ is not in same bucket (nullptr is not in same bucket)\x0a"
"    if (__pn == __p1_.first().__ptr()\x0a"
"            \x7c\x7c __constrain_hash(__pn->__hash(), __bc) \x21= __chash)\x0a"
"    {\x0a"
"        if (__cn->__next_ == nullptr\x0a"
"            \x7c\x7c __constrain_hash(__cn->__next_->__hash(), __bc) \x21= __chash)\x0a"
"            __bucket_list_\x5b__chash\x5d = nullptr;\x0a"
"    }\x0a"
"        // if __cn->__next_ is not in same bucket (nullptr is in same bucket)\x0a"
"    if (__cn->__next_ \x21= nullptr)\x0a"
"    {\x0a"
"        size_t __nhash = __constrain_hash(__cn->__next_->__hash(), __bc);\x0a"
"        if (__nhash \x21= __chash)\x0a"
"            __bucket_list_\x5b__nhash\x5d = __pn;\x0a"
"    }\x0a"
"    // remove __cn\x0a"
"    __pn->__next_ = __cn->__next_;\x0a"
"    __cn->__next_ = nullptr;\x0a"
"    --size();\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __c_node* __c = __get_db()->__find_c_and_lock(this);\x0a"
"    for (__i_node** __dp = __c->end_; __dp \x21= __c->beg_; )\x0a"
"    {\x0a"
"        --__dp;\x0a"
"        iterator* __i = static_cast<iterator*>((*__dp)->__i_);\x0a"
"        if (__i->__node_ == __cn)\x0a"
"        {\x0a"
"            (*__dp)->__c_ = nullptr;\x0a"
"            if (--__c->end_ \x21= __dp)\x0a"
"                memmove(__dp, __dp+1, (__c->end_ - __dp)*sizeof(__i_node*));\x0a"
"        }\x0a"
"    }\x0a"
"    __get_db()->unlock();\x0a"
"#endif\x0a"
"    return __node_holder(__cn->__upcast(), _Dp(__node_alloc(), true));\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"inline\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3asize_type\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__count_unique(const _Key\x26 __k) const\x0a"
"{\x0a"
"    return static_cast<size_type>(find(__k) \x21= end());\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3asize_type\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__count_multi(const _Key\x26 __k) const\x0a"
"{\x0a"
"    size_type __r = 0;\x0a"
"    const_iterator __i = find(__k);\x0a"
"    if (__i \x21= end())\x0a"
"    {\x0a"
"        const_iterator __e = end();\x0a"
"        do\x0a"
"        {\x0a"
"            ++__i;\x0a"
"            ++__r;\x0a"
"        } while (__i \x21= __e \x26\x26 key_eq()(*__i, __k));\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator,\x0a"
"     typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__equal_range_unique(\x0a"
"        const _Key\x26 __k)\x0a"
"{\x0a"
"    iterator __i = find(__k);\x0a"
"    iterator __j = __i;\x0a"
"    if (__i \x21= end())\x0a"
"        ++__j;\x0a"
"    return pair<iterator, iterator>(__i, __j);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator,\x0a"
"     typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__equal_range_unique(\x0a"
"        const _Key\x26 __k) const\x0a"
"{\x0a"
"    const_iterator __i = find(__k);\x0a"
"    const_iterator __j = __i;\x0a"
"    if (__i \x21= end())\x0a"
"        ++__j;\x0a"
"    return pair<const_iterator, const_iterator>(__i, __j);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator,\x0a"
"     typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aiterator>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__equal_range_multi(\x0a"
"        const _Key\x26 __k)\x0a"
"{\x0a"
"    iterator __i = find(__k);\x0a"
"    iterator __j = __i;\x0a"
"    if (__i \x21= end())\x0a"
"    {\x0a"
"        iterator __e = end();\x0a"
"        do\x0a"
"        {\x0a"
"            ++__j;\x0a"
"        } while (__j \x21= __e \x26\x26 key_eq()(*__j, __k));\x0a"
"    }\x0a"
"    return pair<iterator, iterator>(__i, __j);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"template <class _Key>\x0a"
"pair<typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator,\x0a"
"     typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""const_iterator>\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__equal_range_multi(\x0a"
"        const _Key\x26 __k) const\x0a"
"{\x0a"
"    const_iterator __i = find(__k);\x0a"
"    const_iterator __j = __i;\x0a"
"    if (__i \x21= end())\x0a"
"    {\x0a"
"        const_iterator __e = end();\x0a"
"        do\x0a"
"        {\x0a"
"            ++__j;\x0a"
"        } while (__j \x21= __e \x26\x26 key_eq()(*__j, __k));\x0a"
"    }\x0a"
"    return pair<const_iterator, const_iterator>(__i, __j);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"void\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3aswap(__hash_table\x26 __u)\x0a"
"#if _LIBCPP_STD_VER <= 11\x0a"
"    _NOEXCEPT_(\x0a"
"        __is_nothrow_swappable<hasher>\x3a\x3avalue \x26\x26 __is_nothrow_swappable<key_equal>\x3a\x3avalue\x0a"
"        \x26\x26 (\x21""allocator_traits<__pointer_allocator>\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x0a"
"              \x7c\x7c __is_nothrow_swappable<__pointer_allocator>\x3a\x3avalue)\x0a"
"        \x26\x26 (\x21__node_traits\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x0a"
"              \x7c\x7c __is_nothrow_swappable<__node_allocator>\x3a\x3avalue)\x0a"
"            )\x0a"
"#else\x0a"
"  _NOEXCEPT_(__is_nothrow_swappable<hasher>\x3a\x3avalue \x26\x26 __is_nothrow_swappable<key_equal>\x3a\x3avalue)\x0a"
"#endif\x0a"
"{\x0a"
"    _LIBCPP_ASSERT(__node_traits\x3a\x3apropagate_on_container_swap\x3a\x3avalue \x7c\x7c\x0a"
"                   this->__node_alloc() == __u.__node_alloc(),\x0a"
"                   \x22list\x3a\x3aswap\x3a Either propagate_on_container_swap must be true\x22\x0a"
"                   \x22 or the allocators must compare equal\x22);\x0a"
"    {\x0a"
"    __node_pointer_pointer __npp = __bucket_list_.release();\x0a"
"    __bucket_list_.reset(__u.__bucket_list_.release());\x0a"
"    __u.__bucket_list_.reset(__npp);\x0a"
"    }\x0a"
"    _VSTD\x3a\x3aswap(__bucket_list_.get_deleter().size(), __u.__bucket_list_.get_deleter().size());\x0a"
"    __swap_allocator(__bucket_list_.get_deleter().__alloc(),\x0a"
"             __u.__bucket_list_.get_deleter().__alloc());\x0a"
"    __swap_allocator(__node_alloc(), __u.__node_alloc());\x0a"
"    _VSTD\x3a\x3aswap(__p1_.first().__next_, __u.__p1_.first().__next_);\x0a"
"    __p2_.swap(__u.__p2_);\x0a"
"    __p3_.swap(__u.__p3_);\x0a"
"    if (size() > 0)\x0a"
"        __bucket_list_\x5b__constrain_hash(__p1_.first().__next_->__hash(), bucket_count())\x5d =\x0a"
"            __p1_.first().__ptr();\x0a"
"    if (__u.size() > 0)\x0a"
"        __u.__bucket_list_\x5b__constrain_hash(__u.__p1_.first().__next_->__hash(), __u.bucket_count())\x5d =\x0a"
"            __u.__p1_.first().__ptr();\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"    __get_db()->swap(this, \x26__u);\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"typename __hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3asize_type\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a""bucket_size(size_type __n) const\x0a"
"{\x0a"
"    _LIBCPP_ASSERT(__n < bucket_count(),\x0a"
"        \x22unordered container\x3a\x3a""bucket_size(n) called with n >= bucket_count()\x22);\x0a"
"    __next_pointer __np = __bucket_list_\x5b__n\x5d;\x0a"
"    size_type __bc = bucket_count();\x0a"
"    size_type __r = 0;\x0a"
"    if (__np \x21= nullptr)\x0a"
"    {\x0a"
"        for (__np = __np->__next_; __np \x21= nullptr \x26\x26\x0a"
"                                   __constrain_hash(__np->__hash(), __bc) == __n;\x0a"
"                                                    __np = __np->__next_, ++__r)\x0a"
"            ;\x0a"
"    }\x0a"
"    return __r;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(__hash_table<_Tp, _Hash, _Equal, _Alloc>\x26 __x,\x0a"
"     __hash_table<_Tp, _Hash, _Equal, _Alloc>\x26 __y)\x0a"
"    _NOEXCEPT_(_NOEXCEPT_(__x.swap(__y)))\x0a"
"{\x0a"
"    __x.swap(__y);\x0a"
"}\x0a"
"\x0a"
"#if _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"bool\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__dereferenceable(const const_iterator* __i) const\x0a"
"{\x0a"
"    return __i->__node_ \x21= nullptr;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"bool\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__decrementable(const const_iterator*) const\x0a"
"{\x0a"
"    return false;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"bool\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__addable(const const_iterator*, ptrdiff_t) const\x0a"
"{\x0a"
"    return false;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Hash, class _Equal, class _Alloc>\x0a"
"bool\x0a"
"__hash_table<_Tp, _Hash, _Equal, _Alloc>\x3a\x3a__subscriptable(const const_iterator*, ptrdiff_t) const\x0a"
"{\x0a"
"    return false;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_DEBUG_LEVEL >= 2\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif  // _LIBCPP__HASH_TABLE\x0a"
"", 104205 ); }