#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___locale( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP___LOCALE\x0a"
"#define _LIBCPP___LOCALE\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <string>\x0a"
"#include <memory>\x0a"
"#include <utility>\x0a"
"#include <mutex>\x0a"
"#include <cstdint>\x0a"
"#include <cctype>\x0a"
"#include <locale.h>\x0a"
"#if defined(_LIBCPP_MSVCRT_LIKE)\x0a"
"# include <cstring>\x0a"
"# include <support/win32/locale_win32.h>\x0a"
"#elif defined(_AIX)\x0a"
"# include <support/ibm/xlocale.h>\x0a"
"#elif defined(__ANDROID__)\x0a"
"# include <support/android/locale_bionic.h>\x0a"
"#elif defined(__sun__)\x0a"
"# include <xlocale.h>\x0a"
"# include <support/solaris/xlocale.h>\x0a"
"#elif defined(_NEWLIB_VERSION)\x0a"
"# include <support/newlib/xlocale.h>\x0a"
"#elif defined(__OpenBSD__)\x0a"
"# include <support/openbsd/xlocale.h>\x0a"
"#elif defined(__divine__)\x0a"
"# include <support/divine/xlocale.h>\x0a"
"#elif (defined(__APPLE__)      \x7c\x7c defined(__FreeBSD__) \x5c\x0a"
"    \x7c\x7c defined(__EMSCRIPTEN__) \x7c\x7c defined(__IBMCPP__))\x0a"
"# include <xlocale.h>\x0a"
"#elif defined(__Fuchsia__)\x0a"
"# include <support/fuchsia/xlocale.h>\x0a"
"#elif defined(__wasi__)\x0a"
"// WASI libc uses musl's locales support.\x0a"
"# include <support/musl/xlocale.h>\x0a"
"#elif defined(_LIBCPP_HAS_MUSL_LIBC)\x0a"
"# include <support/musl/xlocale.h>\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_LOCALE__L_EXTENSIONS)\x0a"
"struct __libcpp_locale_guard {\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  __libcpp_locale_guard(locale_t\x26 __loc) \x3a __old_loc_(uselocale(__loc)) {}\x0a"
"\x0a"
"  _LIBCPP_INLINE_VISIBILITY\x0a"
"  \x7e__libcpp_locale_guard() {\x0a"
"    if (__old_loc_)\x0a"
"      uselocale(__old_loc_);\x0a"
"  }\x0a"
"\x0a"
"  locale_t __old_loc_;\x0a"
"private\x3a\x0a"
"  __libcpp_locale_guard(__libcpp_locale_guard const\x26);\x0a"
"  __libcpp_locale_guard\x26 operator=(__libcpp_locale_guard const\x26);\x0a"
"};\x0a"
"#elif defined(_LIBCPP_MSVCRT_LIKE)\x0a"
"struct __libcpp_locale_guard {\x0a"
"    __libcpp_locale_guard(locale_t __l) \x3a\x0a"
"        __status(_configthreadlocale(_ENABLE_PER_THREAD_LOCALE)) {\x0a"
"      // Setting the locale can be expensive even when the locale given is\x0a"
"      // already the current locale, so do an explicit check to see if the\x0a"
"      // current locale is already the one we want.\x0a"
"      const char* __lc = __setlocale(nullptr);\x0a"
"      // If every category is the same, the locale string will simply be the\x0a"
"      // locale name, otherwise it will be a semicolon-separated string listing\x0a"
"      // each category.  In the second case, we know at least one category won't\x0a"
"      // be what we want, so we only have to check the first case.\x0a"
"      if (strcmp(__l.__get_locale(), __lc) \x21= 0) {\x0a"
"        __locale_all = _strdup(__lc);\x0a"
"        if (__locale_all == nullptr)\x0a"
"          __throw_bad_alloc();\x0a"
"        __setlocale(__l.__get_locale());\x0a"
"      }\x0a"
"    }\x0a"
"    \x7e__libcpp_locale_guard() {\x0a"
"      // The CRT documentation doesn't explicitly say, but setlocale() does the\x0a"
"      // right thing when given a semicolon-separated list of locale settings\x0a"
"      // for the different categories in the same format as returned by\x0a"
"      // setlocale(LC_ALL, nullptr).\x0a"
"      if (__locale_all \x21= nullptr) {\x0a"
"        __setlocale(__locale_all);\x0a"
"        free(__locale_all);\x0a"
"      }\x0a"
"      _configthreadlocale(__status);\x0a"
"    }\x0a"
"    static const char* __setlocale(const char* __locale) {\x0a"
"      const char* __new_locale = setlocale(LC_ALL, __locale);\x0a"
"      if (__new_locale == nullptr)\x0a"
"        __throw_bad_alloc();\x0a"
"      return __new_locale;\x0a"
"    }\x0a"
"    int __status;\x0a"
"    char* __locale_all = nullptr;\x0a"
"};\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS locale;\x0a"
"\x0a"
"template <class _Facet>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"has_facet(const locale\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <class _Facet>\x0a"
"_LIBCPP_INLINE_VISIBILITY\x0a"
"const _Facet\x26\x0a"
"use_facet(const locale\x26);\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS locale\x0a"
"{\x0a"
"public\x3a\x0a"
"    // types\x3a\x0a"
"    class _LIBCPP_TYPE_VIS facet;\x0a"
"    class _LIBCPP_TYPE_VIS id;\x0a"
"\x0a"
"    typedef int category;\x0a"
"    _LIBCPP_AVAILABILITY_LOCALE_CATEGORY\x0a"
"    static const category // values assigned here are for exposition only\x0a"
"        none     = 0,\x0a"
"        collate  = LC_COLLATE_MASK,\x0a"
"        ctype    = LC_CTYPE_MASK,\x0a"
"        monetary = LC_MONETARY_MASK,\x0a"
"        numeric  = LC_NUMERIC_MASK,\x0a"
"        time     = LC_TIME_MASK,\x0a"
"        messages = LC_MESSAGES_MASK,\x0a"
"        all = collate \x7c ctype \x7c monetary \x7c numeric \x7c time \x7c messages;\x0a"
"\x0a"
"    // construct/copy/destroy\x3a\x0a"
"    locale()  _NOEXCEPT;\x0a"
"    locale(const locale\x26)  _NOEXCEPT;\x0a"
"    explicit locale(const char*);\x0a"
"    explicit locale(const string\x26);\x0a"
"    locale(const locale\x26, const char*, category);\x0a"
"    locale(const locale\x26, const string\x26, category);\x0a"
"    template <class _Facet>\x0a"
"        _LIBCPP_INLINE_VISIBILITY locale(const locale\x26, _Facet*);\x0a"
"    locale(const locale\x26, const locale\x26, category);\x0a"
"\x0a"
"    \x7elocale();\x0a"
"\x0a"
"    const locale\x26 operator=(const locale\x26)  _NOEXCEPT;\x0a"
"\x0a"
"    template <class _Facet>\x0a"
"      _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS\x0a"
"      locale combine(const locale\x26) const;\x0a"
"\x0a"
"    // locale operations\x3a\x0a"
"    string name() const;\x0a"
"    bool operator==(const locale\x26) const;\x0a"
"    bool operator\x21=(const locale\x26 __y) const {return \x21(*this == __y);}\x0a"
"    template <class _CharT, class _Traits, class _Allocator>\x0a"
"      _LIBCPP_METHOD_TEMPLATE_IMPLICIT_INSTANTIATION_VIS\x0a"
"      bool operator()(const basic_string<_CharT, _Traits, _Allocator>\x26,\x0a"
"                      const basic_string<_CharT, _Traits, _Allocator>\x26) const;\x0a"
"\x0a"
"    // global locale objects\x3a\x0a"
"    static locale global(const locale\x26);\x0a"
"    static const locale\x26 classic();\x0a"
"\x0a"
"private\x3a\x0a"
"    class __imp;\x0a"
"    __imp* __locale_;\x0a"
"\x0a"
"    void __install_ctor(const locale\x26, facet*, long);\x0a"
"    static locale\x26 __global();\x0a"
"    bool has_facet(id\x26) const;\x0a"
"    const facet* use_facet(id\x26) const;\x0a"
"\x0a"
"    template <class _Facet> friend bool has_facet(const locale\x26)  _NOEXCEPT;\x0a"
"    template <class _Facet> friend const _Facet\x26 use_facet(const locale\x26);\x0a"
"};\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS locale\x3a\x3a""facet\x0a"
"    \x3a public __shared_count\x0a"
"{\x0a"
"protected\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit facet(size_t __refs = 0)\x0a"
"        \x3a __shared_count(static_cast<long>(__refs)-1) {}\x0a"
"\x0a"
"    virtual \x7e""facet();\x0a"
"\x0a"
"//    facet(const facet\x26) = delete;     // effectively done in __shared_count\x0a"
"//    void operator=(const facet\x26) = delete;\x0a"
"private\x3a\x0a"
"    virtual void __on_zero_shared() _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS locale\x3a\x3aid\x0a"
"{\x0a"
"    once_flag      __flag_;\x0a"
"    int32_t        __id_;\x0a"
"\x0a"
"    static int32_t __next_id;\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR id() \x3a__id_(0) {}\x0a"
"private\x3a\x0a"
"    void __init();\x0a"
"    void operator=(const id\x26); // = delete;\x0a"
"    id(const id\x26); // = delete;\x0a"
"public\x3a  // only needed for tests\x0a"
"    long __get();\x0a"
"\x0a"
"    friend class locale;\x0a"
"    friend class locale\x3a\x3a__imp;\x0a"
"};\x0a"
"\x0a"
"template <class _Facet>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"locale\x3a\x3alocale(const locale\x26 __other, _Facet* __f)\x0a"
"{\x0a"
"    __install_ctor(__other, __f, __f \x3f __f->id.__get() \x3a 0);\x0a"
"}\x0a"
"\x0a"
"template <class _Facet>\x0a"
"locale\x0a"
"locale\x3a\x3a""combine(const locale\x26 __other) const\x0a"
"{\x0a"
"    if (\x21_VSTD\x3a\x3ahas_facet<_Facet>(__other))\x0a"
"        __throw_runtime_error(\x22locale\x3a\x3a""combine\x3a locale missing facet\x22);\x0a"
"\x0a"
"    return locale(*this, \x26""const_cast<_Facet\x26>(_VSTD\x3a\x3ause_facet<_Facet>(__other)));\x0a"
"}\x0a"
"\x0a"
"template <class _Facet>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"has_facet(const locale\x26 __l)  _NOEXCEPT\x0a"
"{\x0a"
"    return __l.has_facet(_Facet\x3a\x3aid);\x0a"
"}\x0a"
"\x0a"
"template <class _Facet>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"const _Facet\x26\x0a"
"use_facet(const locale\x26 __l)\x0a"
"{\x0a"
"    return static_cast<const _Facet\x26>(*__l.use_facet(_Facet\x3a\x3aid));\x0a"
"}\x0a"
"\x0a"
"// template <class _CharT> class collate;\x0a"
"\x0a"
"template <class _CharT>\x0a"
"class _LIBCPP_TEMPLATE_VIS collate\x0a"
"    \x3a public locale\x3a\x3a""facet\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef _CharT char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit collate(size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int compare(const char_type* __lo1, const char_type* __hi1,\x0a"
"                const char_type* __lo2, const char_type* __hi2) const\x0a"
"    {\x0a"
"        return do_compare(__lo1, __hi1, __lo2, __hi2);\x0a"
"    }\x0a"
"\x0a"
"    // FIXME(EricWF)\x3a The _LIBCPP_ALWAYS_INLINE is needed on Windows to work\x0a"
"    // around a dllimport bug that expects an external instantiation.\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _LIBCPP_ALWAYS_INLINE\x0a"
"    string_type transform(const char_type* __lo, const char_type* __hi) const\x0a"
"    {\x0a"
"        return do_transform(__lo, __hi);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    long hash(const char_type* __lo, const char_type* __hi) const\x0a"
"    {\x0a"
"        return do_hash(__lo, __hi);\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""collate();\x0a"
"    virtual int do_compare(const char_type* __lo1, const char_type* __hi1,\x0a"
"                           const char_type* __lo2, const char_type* __hi2) const;\x0a"
"    virtual string_type do_transform(const char_type* __lo, const char_type* __hi) const\x0a"
"        {return string_type(__lo, __hi);}\x0a"
"    virtual long do_hash(const char_type* __lo, const char_type* __hi) const;\x0a"
"};\x0a"
"\x0a"
"template <class _CharT> locale\x3a\x3aid collate<_CharT>\x3a\x3aid;\x0a"
"\x0a"
"template <class _CharT>\x0a"
"collate<_CharT>\x3a\x3a\x7e""collate()\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"int\x0a"
"collate<_CharT>\x3a\x3a""do_compare(const char_type* __lo1, const char_type* __hi1,\x0a"
"                            const char_type* __lo2, const char_type* __hi2) const\x0a"
"{\x0a"
"    for (; __lo2 \x21= __hi2; ++__lo1, ++__lo2)\x0a"
"    {\x0a"
"        if (__lo1 == __hi1 \x7c\x7c *__lo1 < *__lo2)\x0a"
"            return -1;\x0a"
"        if (*__lo2 < *__lo1)\x0a"
"            return 1;\x0a"
"    }\x0a"
"    return __lo1 \x21= __hi1;\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"long\x0a"
"collate<_CharT>\x3a\x3a""do_hash(const char_type* __lo, const char_type* __hi) const\x0a"
"{\x0a"
"    size_t __h = 0;\x0a"
"    const size_t __sr = __CHAR_BIT__ * sizeof(size_t) - 8;\x0a"
"    const size_t __mask = size_t(0xF) << (__sr + 4);\x0a"
"    for(const char_type* __p = __lo; __p \x21= __hi; ++__p)\x0a"
"    {\x0a"
"        __h = (__h << 4) + static_cast<size_t>(*__p);\x0a"
"        size_t __g = __h \x26 __mask;\x0a"
"        __h ^= __g \x7c (__g >> __sr);\x0a"
"    }\x0a"
"    return static_cast<long>(__h);\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS collate<char>)\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS collate<wchar_t>)\x0a"
"\x0a"
"// template <class CharT> class collate_byname;\x0a"
"\x0a"
"template <class _CharT> class _LIBCPP_TEMPLATE_VIS collate_byname;\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS collate_byname<char>\x0a"
"    \x3a public collate<char>\x0a"
"{\x0a"
"    locale_t __l;\x0a"
"public\x3a\x0a"
"    typedef char char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit collate_byname(const char* __n, size_t __refs = 0);\x0a"
"    explicit collate_byname(const string\x26 __n, size_t __refs = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""collate_byname();\x0a"
"    virtual int do_compare(const char_type* __lo1, const char_type* __hi1,\x0a"
"                           const char_type* __lo2, const char_type* __hi2) const;\x0a"
"    virtual string_type do_transform(const char_type* __lo, const char_type* __hi) const;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS collate_byname<wchar_t>\x0a"
"    \x3a public collate<wchar_t>\x0a"
"{\x0a"
"    locale_t __l;\x0a"
"public\x3a\x0a"
"    typedef wchar_t char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit collate_byname(const char* __n, size_t __refs = 0);\x0a"
"    explicit collate_byname(const string\x26 __n, size_t __refs = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""collate_byname();\x0a"
"\x0a"
"    virtual int do_compare(const char_type* __lo1, const char_type* __hi1,\x0a"
"                           const char_type* __lo2, const char_type* __hi2) const;\x0a"
"    virtual string_type do_transform(const char_type* __lo, const char_type* __hi) const;\x0a"
"};\x0a"
"\x0a"
"template <class _CharT, class _Traits, class _Allocator>\x0a"
"bool\x0a"
"locale\x3a\x3aoperator()(const basic_string<_CharT, _Traits, _Allocator>\x26 __x,\x0a"
"                   const basic_string<_CharT, _Traits, _Allocator>\x26 __y) const\x0a"
"{\x0a"
"    return _VSTD\x3a\x3ause_facet<_VSTD\x3a\x3a""collate<_CharT> >(*this).compare(\x0a"
"                                       __x.data(), __x.data() + __x.size(),\x0a"
"                                       __y.data(), __y.data() + __y.size()) < 0;\x0a"
"}\x0a"
"\x0a"
"// template <class charT> class ctype\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS ctype_base\x0a"
"{\x0a"
"public\x3a\x0a"
"#if defined(__GLIBC__)\x0a"
"    typedef unsigned short mask;\x0a"
"    static const mask space  = _ISspace;\x0a"
"    static const mask print  = _ISprint;\x0a"
"    static const mask cntrl  = _IScntrl;\x0a"
"    static const mask upper  = _ISupper;\x0a"
"    static const mask lower  = _ISlower;\x0a"
"    static const mask alpha  = _ISalpha;\x0a"
"    static const mask digit  = _ISdigit;\x0a"
"    static const mask punct  = _ISpunct;\x0a"
"    static const mask xdigit = _ISxdigit;\x0a"
"    static const mask blank  = _ISblank;\x0a"
"#if defined(__mips__)\x0a"
"    static const mask __regex_word = static_cast<mask>(_ISbit(15));\x0a"
"#else\x0a"
"    static const mask __regex_word = 0x80;\x0a"
"#endif\x0a"
"#elif defined(_LIBCPP_MSVCRT_LIKE)\x0a"
"    typedef unsigned short mask;\x0a"
"    static const mask space  = _SPACE;\x0a"
"    static const mask print  = _BLANK\x7c_PUNCT\x7c_ALPHA\x7c_DIGIT;\x0a"
"    static const mask cntrl  = _CONTROL;\x0a"
"    static const mask upper  = _UPPER;\x0a"
"    static const mask lower  = _LOWER;\x0a"
"    static const mask alpha  = _ALPHA;\x0a"
"    static const mask digit  = _DIGIT;\x0a"
"    static const mask punct  = _PUNCT;\x0a"
"    static const mask xdigit = _HEX;\x0a"
"    static const mask blank  = _BLANK;\x0a"
"    static const mask __regex_word = 0x80;\x0a"
"# define _LIBCPP_CTYPE_MASK_IS_COMPOSITE_PRINT\x0a"
"#elif defined(__APPLE__) \x7c\x7c defined(__FreeBSD__) \x7c\x7c defined(__EMSCRIPTEN__) \x7c\x7c defined(__NetBSD__)\x0a"
"# ifdef __APPLE__\x0a"
"    typedef __uint32_t mask;\x0a"
"# elif defined(__FreeBSD__)\x0a"
"    typedef unsigned long mask;\x0a"
"# elif defined(__EMSCRIPTEN__) \x7c\x7c defined(__NetBSD__)\x0a"
"    typedef unsigned short mask;\x0a"
"# endif\x0a"
"    static const mask space  = _CTYPE_S;\x0a"
"    static const mask print  = _CTYPE_R;\x0a"
"    static const mask cntrl  = _CTYPE_C;\x0a"
"    static const mask upper  = _CTYPE_U;\x0a"
"    static const mask lower  = _CTYPE_L;\x0a"
"    static const mask alpha  = _CTYPE_A;\x0a"
"    static const mask digit  = _CTYPE_D;\x0a"
"    static const mask punct  = _CTYPE_P;\x0a"
"    static const mask xdigit = _CTYPE_X;\x0a"
"\x0a"
"# if defined(__NetBSD__)\x0a"
"    static const mask blank  = _CTYPE_BL;\x0a"
"    // NetBSD defines classes up to 0x2000\x0a"
"    // see sys/ctype_bits.h, _CTYPE_Q\x0a"
"    static const mask __regex_word = 0x8000;\x0a"
"# else\x0a"
"    static const mask blank  = _CTYPE_B;\x0a"
"    static const mask __regex_word = 0x80;\x0a"
"# endif\x0a"
"#elif defined(__sun__) \x7c\x7c defined(_AIX)\x0a"
"    typedef unsigned int mask;\x0a"
"    static const mask space  = _ISSPACE;\x0a"
"    static const mask print  = _ISPRINT;\x0a"
"    static const mask cntrl  = _ISCNTRL;\x0a"
"    static const mask upper  = _ISUPPER;\x0a"
"    static const mask lower  = _ISLOWER;\x0a"
"    static const mask alpha  = _ISALPHA;\x0a"
"    static const mask digit  = _ISDIGIT;\x0a"
"    static const mask punct  = _ISPUNCT;\x0a"
"    static const mask xdigit = _ISXDIGIT;\x0a"
"    static const mask blank  = _ISBLANK;\x0a"
"    static const mask __regex_word = 0x80;\x0a"
"#elif defined(_NEWLIB_VERSION) \x7c\x7c defined(__OpenBSD__)\x0a"
"    // Same type as Newlib's _ctype_ array in newlib/libc/include/ctype.h.\x0a"
"    typedef char mask;\x0a"
"    static const mask space  = _S;\x0a"
"    static const mask print  = _P \x7c _U \x7c _L \x7c _N \x7c _B;\x0a"
"    static const mask cntrl  = _C;\x0a"
"    static const mask upper  = _U;\x0a"
"    static const mask lower  = _L;\x0a"
"    static const mask alpha  = _U \x7c _L;\x0a"
"    static const mask digit  = _N;\x0a"
"    static const mask punct  = _P;\x0a"
"    static const mask xdigit = _X \x7c _N;\x0a"
"    static const mask blank  = _B;\x0a"
"    static const mask __regex_word = 0x80;\x0a"
"# define _LIBCPP_CTYPE_MASK_IS_COMPOSITE_PRINT\x0a"
"# define _LIBCPP_CTYPE_MASK_IS_COMPOSITE_ALPHA\x0a"
"# define _LIBCPP_CTYPE_MASK_IS_COMPOSITE_XDIGIT\x0a"
"#else\x0a"
"    typedef unsigned long mask;\x0a"
"    static const mask space  = 1<<0;\x0a"
"    static const mask print  = 1<<1;\x0a"
"    static const mask cntrl  = 1<<2;\x0a"
"    static const mask upper  = 1<<3;\x0a"
"    static const mask lower  = 1<<4;\x0a"
"    static const mask alpha  = 1<<5;\x0a"
"    static const mask digit  = 1<<6;\x0a"
"    static const mask punct  = 1<<7;\x0a"
"    static const mask xdigit = 1<<8;\x0a"
"    static const mask blank  = 1<<9;\x0a"
"    static const mask __regex_word = 1<<10;\x0a"
"#endif\x0a"
"    static const mask alnum  = alpha \x7c digit;\x0a"
"    static const mask graph  = alnum \x7c punct;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY ctype_base() {}\x0a"
"};\x0a"
"\x0a"
"template <class _CharT> class _LIBCPP_TEMPLATE_VIS ctype;\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS ctype<wchar_t>\x0a"
"    \x3a public locale\x3a\x3a""facet,\x0a"
"      public ctype_base\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef wchar_t char_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit ctype(size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool is(mask __m, char_type __c) const\x0a"
"    {\x0a"
"        return do_is(__m, __c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* is(const char_type* __low, const char_type* __high, mask* __vec) const\x0a"
"    {\x0a"
"        return do_is(__low, __high, __vec);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* scan_is(mask __m, const char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_scan_is(__m, __low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* scan_not(mask __m, const char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_scan_not(__m, __low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type toupper(char_type __c) const\x0a"
"    {\x0a"
"        return do_toupper(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* toupper(char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_toupper(__low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type tolower(char_type __c) const\x0a"
"    {\x0a"
"        return do_tolower(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* tolower(char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_tolower(__low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type widen(char __c) const\x0a"
"    {\x0a"
"        return do_widen(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char* widen(const char* __low, const char* __high, char_type* __to) const\x0a"
"    {\x0a"
"        return do_widen(__low, __high, __to);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char narrow(char_type __c, char __dfault) const\x0a"
"    {\x0a"
"        return do_narrow(__c, __dfault);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* narrow(const char_type* __low, const char_type* __high, char __dfault, char* __to) const\x0a"
"    {\x0a"
"        return do_narrow(__low, __high, __dfault, __to);\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""ctype();\x0a"
"    virtual bool do_is(mask __m, char_type __c) const;\x0a"
"    virtual const char_type* do_is(const char_type* __low, const char_type* __high, mask* __vec) const;\x0a"
"    virtual const char_type* do_scan_is(mask __m, const char_type* __low, const char_type* __high) const;\x0a"
"    virtual const char_type* do_scan_not(mask __m, const char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_toupper(char_type) const;\x0a"
"    virtual const char_type* do_toupper(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_tolower(char_type) const;\x0a"
"    virtual const char_type* do_tolower(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_widen(char) const;\x0a"
"    virtual const char* do_widen(const char* __low, const char* __high, char_type* __dest) const;\x0a"
"    virtual char do_narrow(char_type, char __dfault) const;\x0a"
"    virtual const char_type* do_narrow(const char_type* __low, const char_type* __high, char __dfault, char* __dest) const;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS ctype<char>\x0a"
"    \x3a public locale\x3a\x3a""facet, public ctype_base\x0a"
"{\x0a"
"    const mask* __tab_;\x0a"
"    bool        __del_;\x0a"
"public\x3a\x0a"
"    typedef char char_type;\x0a"
"\x0a"
"    explicit ctype(const mask* __tab = 0, bool __del = false, size_t __refs = 0);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool is(mask __m, char_type __c) const\x0a"
"    {\x0a"
"        return isascii(__c) \x3f (__tab_\x5bstatic_cast<int>(__c)\x5d \x26 __m) \x21=0 \x3a false;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* is(const char_type* __low, const char_type* __high, mask* __vec) const\x0a"
"    {\x0a"
"        for (; __low \x21= __high; ++__low, ++__vec)\x0a"
"            *__vec = isascii(*__low) \x3f __tab_\x5bstatic_cast<int>(*__low)\x5d \x3a 0;\x0a"
"        return __low;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* scan_is (mask __m, const char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        for (; __low \x21= __high; ++__low)\x0a"
"            if (isascii(*__low) \x26\x26 (__tab_\x5bstatic_cast<int>(*__low)\x5d \x26 __m))\x0a"
"                break;\x0a"
"        return __low;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* scan_not(mask __m, const char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        for (; __low \x21= __high; ++__low)\x0a"
"            if (\x21(isascii(*__low) \x26\x26 (__tab_\x5bstatic_cast<int>(*__low)\x5d \x26 __m)))\x0a"
"                break;\x0a"
"        return __low;\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type toupper(char_type __c) const\x0a"
"    {\x0a"
"        return do_toupper(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* toupper(char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_toupper(__low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type tolower(char_type __c) const\x0a"
"    {\x0a"
"        return do_tolower(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char_type* tolower(char_type* __low, const char_type* __high) const\x0a"
"    {\x0a"
"        return do_tolower(__low, __high);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char_type widen(char __c) const\x0a"
"    {\x0a"
"        return do_widen(__c);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char* widen(const char* __low, const char* __high, char_type* __to) const\x0a"
"    {\x0a"
"        return do_widen(__low, __high, __to);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    char narrow(char_type __c, char __dfault) const\x0a"
"    {\x0a"
"        return do_narrow(__c, __dfault);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    const char* narrow(const char_type* __low, const char_type* __high, char __dfault, char* __to) const\x0a"
"    {\x0a"
"        return do_narrow(__low, __high, __dfault, __to);\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"#ifdef _CACHED_RUNES\x0a"
"    static const size_t table_size = _CACHED_RUNES;\x0a"
"#else\x0a"
"    static const size_t table_size = 256;  // FIXME\x3a Don't hardcode this.\x0a"
"#endif\x0a"
"    _LIBCPP_INLINE_VISIBILITY const mask* table() const  _NOEXCEPT {return __tab_;}\x0a"
"    static const mask* classic_table()  _NOEXCEPT;\x0a"
"#if defined(__GLIBC__) \x7c\x7c defined(__EMSCRIPTEN__)\x0a"
"    static const int* __classic_upper_table() _NOEXCEPT;\x0a"
"    static const int* __classic_lower_table() _NOEXCEPT;\x0a"
"#endif\x0a"
"#if defined(__NetBSD__)\x0a"
"    static const short* __classic_upper_table() _NOEXCEPT;\x0a"
"    static const short* __classic_lower_table() _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""ctype();\x0a"
"    virtual char_type do_toupper(char_type __c) const;\x0a"
"    virtual const char_type* do_toupper(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_tolower(char_type __c) const;\x0a"
"    virtual const char_type* do_tolower(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_widen(char __c) const;\x0a"
"    virtual const char* do_widen(const char* __low, const char* __high, char_type* __to) const;\x0a"
"    virtual char do_narrow(char_type __c, char __dfault) const;\x0a"
"    virtual const char* do_narrow(const char_type* __low, const char_type* __high, char __dfault, char* __to) const;\x0a"
"};\x0a"
"\x0a"
"// template <class CharT> class ctype_byname;\x0a"
"\x0a"
"template <class _CharT> class _LIBCPP_TEMPLATE_VIS ctype_byname;\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS ctype_byname<char>\x0a"
"    \x3a public ctype<char>\x0a"
"{\x0a"
"    locale_t __l;\x0a"
"\x0a"
"public\x3a\x0a"
"    explicit ctype_byname(const char*, size_t = 0);\x0a"
"    explicit ctype_byname(const string\x26, size_t = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""ctype_byname();\x0a"
"    virtual char_type do_toupper(char_type) const;\x0a"
"    virtual const char_type* do_toupper(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_tolower(char_type) const;\x0a"
"    virtual const char_type* do_tolower(char_type* __low, const char_type* __high) const;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS ctype_byname<wchar_t>\x0a"
"    \x3a public ctype<wchar_t>\x0a"
"{\x0a"
"    locale_t __l;\x0a"
"\x0a"
"public\x3a\x0a"
"    explicit ctype_byname(const char*, size_t = 0);\x0a"
"    explicit ctype_byname(const string\x26, size_t = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7e""ctype_byname();\x0a"
"    virtual bool do_is(mask __m, char_type __c) const;\x0a"
"    virtual const char_type* do_is(const char_type* __low, const char_type* __high, mask* __vec) const;\x0a"
"    virtual const char_type* do_scan_is(mask __m, const char_type* __low, const char_type* __high) const;\x0a"
"    virtual const char_type* do_scan_not(mask __m, const char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_toupper(char_type) const;\x0a"
"    virtual const char_type* do_toupper(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_tolower(char_type) const;\x0a"
"    virtual const char_type* do_tolower(char_type* __low, const char_type* __high) const;\x0a"
"    virtual char_type do_widen(char) const;\x0a"
"    virtual const char* do_widen(const char* __low, const char* __high, char_type* __dest) const;\x0a"
"    virtual char do_narrow(char_type, char __dfault) const;\x0a"
"    virtual const char_type* do_narrow(const char_type* __low, const char_type* __high, char __dfault, char* __dest) const;\x0a"
"};\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isspace(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3aspace, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isprint(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3aprint, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"iscntrl(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3a""cntrl, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isupper(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3aupper, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"islower(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3alower, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isalpha(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3a""alpha, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isdigit(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3a""digit, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"ispunct(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3apunct, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isxdigit(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3axdigit, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isalnum(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3a""alnum, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"bool\x0a"
"isgraph(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).is(ctype_base\x3a\x3agraph, __c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"_CharT\x0a"
"toupper(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).toupper(__c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"_CharT\x0a"
"tolower(_CharT __c, const locale\x26 __loc)\x0a"
"{\x0a"
"    return use_facet<ctype<_CharT> >(__loc).tolower(__c);\x0a"
"}\x0a"
"\x0a"
"// codecvt_base\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS codecvt_base\x0a"
"{\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY codecvt_base() {}\x0a"
"    enum result {ok, partial, error, noconv};\x0a"
"};\x0a"
"\x0a"
"// template <class internT, class externT, class stateT> class codecvt;\x0a"
"\x0a"
"template <class _InternT, class _ExternT, class _StateT> class _LIBCPP_TEMPLATE_VIS codecvt;\x0a"
"\x0a"
"// template <> class codecvt<char, char, mbstate_t>\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS codecvt<char, char, mbstate_t>\x0a"
"    \x3a public locale\x3a\x3a""facet,\x0a"
"      public codecvt_base\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef char      intern_type;\x0a"
"    typedef char      extern_type;\x0a"
"    typedef mbstate_t state_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result out(state_type\x26 __st,\x0a"
"               const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"               extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_out(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result unshift(state_type\x26 __st,\x0a"
"                   extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_unshift(__st, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result in(state_type\x26 __st,\x0a"
"              const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"              intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_in(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int encoding() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_encoding();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool always_noconv() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_always_noconv();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int length(state_type\x26 __st, const extern_type* __frm, const extern_type* __end, size_t __mx) const\x0a"
"    {\x0a"
"        return do_length(__st, __frm, __end, __mx);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int max_length() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_max_length();\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(const char*, size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    \x7e""codecvt();\x0a"
"\x0a"
"    virtual result do_out(state_type\x26 __st,\x0a"
"                          const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"                          extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_in(state_type\x26 __st,\x0a"
"                         const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"                         intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_unshift(state_type\x26 __st,\x0a"
"                              extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual int do_encoding() const  _NOEXCEPT;\x0a"
"    virtual bool do_always_noconv() const  _NOEXCEPT;\x0a"
"    virtual int do_length(state_type\x26 __st, const extern_type* __frm, const extern_type* __end, size_t __mx) const;\x0a"
"    virtual int do_max_length() const  _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"// template <> class codecvt<wchar_t, char, mbstate_t>\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS codecvt<wchar_t, char, mbstate_t>\x0a"
"    \x3a public locale\x3a\x3a""facet,\x0a"
"      public codecvt_base\x0a"
"{\x0a"
"    locale_t __l;\x0a"
"public\x3a\x0a"
"    typedef wchar_t   intern_type;\x0a"
"    typedef char      extern_type;\x0a"
"    typedef mbstate_t state_type;\x0a"
"\x0a"
"    explicit codecvt(size_t __refs = 0);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result out(state_type\x26 __st,\x0a"
"               const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"               extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_out(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result unshift(state_type\x26 __st,\x0a"
"                   extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_unshift(__st, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result in(state_type\x26 __st,\x0a"
"              const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"              intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_in(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int encoding() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_encoding();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool always_noconv() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_always_noconv();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int length(state_type\x26 __st, const extern_type* __frm, const extern_type* __end, size_t __mx) const\x0a"
"    {\x0a"
"        return do_length(__st, __frm, __end, __mx);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int max_length() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_max_length();\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    explicit codecvt(const char*, size_t __refs = 0);\x0a"
"\x0a"
"    \x7e""codecvt();\x0a"
"\x0a"
"    virtual result do_out(state_type\x26 __st,\x0a"
"                          const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"                          extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_in(state_type\x26 __st,\x0a"
"                         const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"                         intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_unshift(state_type\x26 __st,\x0a"
"                              extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual int do_encoding() const  _NOEXCEPT;\x0a"
"    virtual bool do_always_noconv() const  _NOEXCEPT;\x0a"
"    virtual int do_length(state_type\x26, const extern_type* __frm, const extern_type* __end, size_t __mx) const;\x0a"
"    virtual int do_max_length() const  _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"// template <> class codecvt<char16_t, char, mbstate_t>\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS codecvt<char16_t, char, mbstate_t>\x0a"
"    \x3a public locale\x3a\x3a""facet,\x0a"
"      public codecvt_base\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef char16_t  intern_type;\x0a"
"    typedef char      extern_type;\x0a"
"    typedef mbstate_t state_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result out(state_type\x26 __st,\x0a"
"               const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"               extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_out(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result unshift(state_type\x26 __st,\x0a"
"                   extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_unshift(__st, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result in(state_type\x26 __st,\x0a"
"              const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"              intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_in(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int encoding() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_encoding();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool always_noconv() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_always_noconv();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int length(state_type\x26 __st, const extern_type* __frm, const extern_type* __end, size_t __mx) const\x0a"
"    {\x0a"
"        return do_length(__st, __frm, __end, __mx);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int max_length() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_max_length();\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(const char*, size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    \x7e""codecvt();\x0a"
"\x0a"
"    virtual result do_out(state_type\x26 __st,\x0a"
"                          const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"                          extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_in(state_type\x26 __st,\x0a"
"                         const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"                         intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_unshift(state_type\x26 __st,\x0a"
"                              extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual int do_encoding() const  _NOEXCEPT;\x0a"
"    virtual bool do_always_noconv() const  _NOEXCEPT;\x0a"
"    virtual int do_length(state_type\x26, const extern_type* __frm, const extern_type* __end, size_t __mx) const;\x0a"
"    virtual int do_max_length() const  _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"// template <> class codecvt<char32_t, char, mbstate_t>\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS codecvt<char32_t, char, mbstate_t>\x0a"
"    \x3a public locale\x3a\x3a""facet,\x0a"
"      public codecvt_base\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef char32_t  intern_type;\x0a"
"    typedef char      extern_type;\x0a"
"    typedef mbstate_t state_type;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result out(state_type\x26 __st,\x0a"
"               const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"               extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_out(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result unshift(state_type\x26 __st,\x0a"
"                   extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_unshift(__st, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    result in(state_type\x26 __st,\x0a"
"              const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"              intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const\x0a"
"    {\x0a"
"        return do_in(__st, __frm, __frm_end, __frm_nxt, __to, __to_end, __to_nxt);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int encoding() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_encoding();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    bool always_noconv() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_always_noconv();\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int length(state_type\x26 __st, const extern_type* __frm, const extern_type* __end, size_t __mx) const\x0a"
"    {\x0a"
"        return do_length(__st, __frm, __end, __mx);\x0a"
"    }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    int max_length() const  _NOEXCEPT\x0a"
"    {\x0a"
"        return do_max_length();\x0a"
"    }\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt(const char*, size_t __refs = 0)\x0a"
"        \x3a locale\x3a\x3a""facet(__refs) {}\x0a"
"\x0a"
"    \x7e""codecvt();\x0a"
"\x0a"
"    virtual result do_out(state_type\x26 __st,\x0a"
"                          const intern_type* __frm, const intern_type* __frm_end, const intern_type*\x26 __frm_nxt,\x0a"
"                          extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_in(state_type\x26 __st,\x0a"
"                         const extern_type* __frm, const extern_type* __frm_end, const extern_type*\x26 __frm_nxt,\x0a"
"                         intern_type* __to, intern_type* __to_end, intern_type*\x26 __to_nxt) const;\x0a"
"    virtual result do_unshift(state_type\x26 __st,\x0a"
"                              extern_type* __to, extern_type* __to_end, extern_type*\x26 __to_nxt) const;\x0a"
"    virtual int do_encoding() const  _NOEXCEPT;\x0a"
"    virtual bool do_always_noconv() const  _NOEXCEPT;\x0a"
"    virtual int do_length(state_type\x26, const extern_type* __frm, const extern_type* __end, size_t __mx) const;\x0a"
"    virtual int do_max_length() const  _NOEXCEPT;\x0a"
"};\x0a"
"\x0a"
"// template <class _InternT, class _ExternT, class _StateT> class codecvt_byname\x0a"
"\x0a"
"template <class _InternT, class _ExternT, class _StateT>\x0a"
"class _LIBCPP_TEMPLATE_VIS codecvt_byname\x0a"
"    \x3a public codecvt<_InternT, _ExternT, _StateT>\x0a"
"{\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt_byname(const char* __nm, size_t __refs = 0)\x0a"
"        \x3a codecvt<_InternT, _ExternT, _StateT>(__nm, __refs) {}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit codecvt_byname(const string\x26 __nm, size_t __refs = 0)\x0a"
"        \x3a codecvt<_InternT, _ExternT, _StateT>(__nm.c_str(), __refs) {}\x0a"
"protected\x3a\x0a"
"    \x7e""codecvt_byname();\x0a"
"};\x0a"
"\x0a"
"template <class _InternT, class _ExternT, class _StateT>\x0a"
"codecvt_byname<_InternT, _ExternT, _StateT>\x3a\x3a\x7e""codecvt_byname()\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS codecvt_byname<char, char, mbstate_t>)\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS codecvt_byname<wchar_t, char, mbstate_t>)\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS codecvt_byname<char16_t, char, mbstate_t>)\x0a"
"_LIBCPP_EXTERN_TEMPLATE2(class _LIBCPP_EXTERN_TEMPLATE_TYPE_VIS codecvt_byname<char32_t, char, mbstate_t>)\x0a"
"\x0a"
"template <size_t _Np>\x0a"
"struct __narrow_to_utf8\x0a"
"{\x0a"
"    template <class _OutputIterator, class _CharT>\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const _CharT* __wb, const _CharT* __we) const;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct __narrow_to_utf8<8>\x0a"
"{\x0a"
"    template <class _OutputIterator, class _CharT>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const _CharT* __wb, const _CharT* __we) const\x0a"
"    {\x0a"
"        for (; __wb < __we; ++__wb, ++__s)\x0a"
"            *__s = *__wb;\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS __narrow_to_utf8<16>\x0a"
"    \x3a public codecvt<char16_t, char, mbstate_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __narrow_to_utf8() \x3a codecvt<char16_t, char, mbstate_t>(1) {}\x0a"
"\x0a"
"    _LIBCPP_EXPORTED_FROM_ABI \x7e__narrow_to_utf8();\x0a"
"\x0a"
"    template <class _OutputIterator, class _CharT>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const _CharT* __wb, const _CharT* __we) const\x0a"
"    {\x0a"
"        result __r = ok;\x0a"
"        mbstate_t __mb;\x0a"
"        while (__wb < __we \x26\x26 __r \x21= error)\x0a"
"        {\x0a"
"            const int __sz = 32;\x0a"
"            char __buf\x5b__sz\x5d;\x0a"
"            char* __bn;\x0a"
"            const char16_t* __wn = (const char16_t*)__wb;\x0a"
"            __r = do_out(__mb, (const char16_t*)__wb, (const char16_t*)__we, __wn,\x0a"
"                         __buf, __buf+__sz, __bn);\x0a"
"            if (__r == codecvt_base\x3a\x3a""error \x7c\x7c __wn == (const char16_t*)__wb)\x0a"
"                __throw_runtime_error(\x22locale not supported\x22);\x0a"
"            for (const char* __p = __buf; __p < __bn; ++__p, ++__s)\x0a"
"                *__s = *__p;\x0a"
"            __wb = (const _CharT*)__wn;\x0a"
"        }\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS __narrow_to_utf8<32>\x0a"
"    \x3a public codecvt<char32_t, char, mbstate_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __narrow_to_utf8() \x3a codecvt<char32_t, char, mbstate_t>(1) {}\x0a"
"\x0a"
"    _LIBCPP_EXPORTED_FROM_ABI \x7e__narrow_to_utf8();\x0a"
"\x0a"
"    template <class _OutputIterator, class _CharT>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const _CharT* __wb, const _CharT* __we) const\x0a"
"    {\x0a"
"        result __r = ok;\x0a"
"        mbstate_t __mb;\x0a"
"        while (__wb < __we \x26\x26 __r \x21= error)\x0a"
"        {\x0a"
"            const int __sz = 32;\x0a"
"            char __buf\x5b__sz\x5d;\x0a"
"            char* __bn;\x0a"
"            const char32_t* __wn = (const char32_t*)__wb;\x0a"
"            __r = do_out(__mb, (const char32_t*)__wb, (const char32_t*)__we, __wn,\x0a"
"                         __buf, __buf+__sz, __bn);\x0a"
"            if (__r == codecvt_base\x3a\x3a""error \x7c\x7c __wn == (const char32_t*)__wb)\x0a"
"                __throw_runtime_error(\x22locale not supported\x22);\x0a"
"            for (const char* __p = __buf; __p < __bn; ++__p, ++__s)\x0a"
"                *__s = *__p;\x0a"
"            __wb = (const _CharT*)__wn;\x0a"
"        }\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <size_t _Np>\x0a"
"struct __widen_from_utf8\x0a"
"{\x0a"
"    template <class _OutputIterator>\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const char* __nb, const char* __ne) const;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct __widen_from_utf8<8>\x0a"
"{\x0a"
"    template <class _OutputIterator>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const char* __nb, const char* __ne) const\x0a"
"    {\x0a"
"        for (; __nb < __ne; ++__nb, ++__s)\x0a"
"            *__s = *__nb;\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS __widen_from_utf8<16>\x0a"
"    \x3a public codecvt<char16_t, char, mbstate_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __widen_from_utf8() \x3a codecvt<char16_t, char, mbstate_t>(1) {}\x0a"
"\x0a"
"    _LIBCPP_EXPORTED_FROM_ABI \x7e__widen_from_utf8();\x0a"
"\x0a"
"    template <class _OutputIterator>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const char* __nb, const char* __ne) const\x0a"
"    {\x0a"
"        result __r = ok;\x0a"
"        mbstate_t __mb;\x0a"
"        while (__nb < __ne \x26\x26 __r \x21= error)\x0a"
"        {\x0a"
"            const int __sz = 32;\x0a"
"            char16_t __buf\x5b__sz\x5d;\x0a"
"            char16_t* __bn;\x0a"
"            const char* __nn = __nb;\x0a"
"            __r = do_in(__mb, __nb, __ne - __nb > __sz \x3f __nb+__sz \x3a __ne, __nn,\x0a"
"                        __buf, __buf+__sz, __bn);\x0a"
"            if (__r == codecvt_base\x3a\x3a""error \x7c\x7c __nn == __nb)\x0a"
"                __throw_runtime_error(\x22locale not supported\x22);\x0a"
"            for (const char16_t* __p = __buf; __p < __bn; ++__p, ++__s)\x0a"
"                *__s = (wchar_t)*__p;\x0a"
"            __nb = __nn;\x0a"
"        }\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"struct _LIBCPP_TEMPLATE_VIS __widen_from_utf8<32>\x0a"
"    \x3a public codecvt<char32_t, char, mbstate_t>\x0a"
"{\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __widen_from_utf8() \x3a codecvt<char32_t, char, mbstate_t>(1) {}\x0a"
"\x0a"
"    _LIBCPP_EXPORTED_FROM_ABI \x7e__widen_from_utf8();\x0a"
"\x0a"
"    template <class _OutputIterator>\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    _OutputIterator\x0a"
"    operator()(_OutputIterator __s, const char* __nb, const char* __ne) const\x0a"
"    {\x0a"
"        result __r = ok;\x0a"
"        mbstate_t __mb;\x0a"
"        while (__nb < __ne \x26\x26 __r \x21= error)\x0a"
"        {\x0a"
"            const int __sz = 32;\x0a"
"            char32_t __buf\x5b__sz\x5d;\x0a"
"            char32_t* __bn;\x0a"
"            const char* __nn = __nb;\x0a"
"            __r = do_in(__mb, __nb, __ne - __nb > __sz \x3f __nb+__sz \x3a __ne, __nn,\x0a"
"                        __buf, __buf+__sz, __bn);\x0a"
"            if (__r == codecvt_base\x3a\x3a""error \x7c\x7c __nn == __nb)\x0a"
"                __throw_runtime_error(\x22locale not supported\x22);\x0a"
"            for (const char32_t* __p = __buf; __p < __bn; ++__p, ++__s)\x0a"
"                *__s = (wchar_t)*__p;\x0a"
"            __nb = __nn;\x0a"
"        }\x0a"
"        return __s;\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"// template <class charT> class numpunct\x0a"
"\x0a"
"template <class _CharT> class _LIBCPP_TEMPLATE_VIS numpunct;\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS numpunct<char>\x0a"
"    \x3a public locale\x3a\x3a""facet\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef char char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit numpunct(size_t __refs = 0);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY char_type decimal_point() const {return do_decimal_point();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY char_type thousands_sep() const {return do_thousands_sep();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string grouping() const         {return do_grouping();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string_type truename() const    {return do_truename();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string_type falsename() const   {return do_falsename();}\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7enumpunct();\x0a"
"    virtual char_type do_decimal_point() const;\x0a"
"    virtual char_type do_thousands_sep() const;\x0a"
"    virtual string do_grouping() const;\x0a"
"    virtual string_type do_truename() const;\x0a"
"    virtual string_type do_falsename() const;\x0a"
"\x0a"
"    char_type __decimal_point_;\x0a"
"    char_type __thousands_sep_;\x0a"
"    string __grouping_;\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS numpunct<wchar_t>\x0a"
"    \x3a public locale\x3a\x3a""facet\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef wchar_t char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit numpunct(size_t __refs = 0);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY char_type decimal_point() const {return do_decimal_point();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY char_type thousands_sep() const {return do_thousands_sep();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string grouping() const         {return do_grouping();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string_type truename() const    {return do_truename();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY string_type falsename() const   {return do_falsename();}\x0a"
"\x0a"
"    static locale\x3a\x3aid id;\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7enumpunct();\x0a"
"    virtual char_type do_decimal_point() const;\x0a"
"    virtual char_type do_thousands_sep() const;\x0a"
"    virtual string do_grouping() const;\x0a"
"    virtual string_type do_truename() const;\x0a"
"    virtual string_type do_falsename() const;\x0a"
"\x0a"
"    char_type __decimal_point_;\x0a"
"    char_type __thousands_sep_;\x0a"
"    string __grouping_;\x0a"
"};\x0a"
"\x0a"
"// template <class charT> class numpunct_byname\x0a"
"\x0a"
"template <class _CharT> class _LIBCPP_TEMPLATE_VIS numpunct_byname;\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS numpunct_byname<char>\x0a"
"\x3a public numpunct<char>\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef char char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit numpunct_byname(const char* __nm, size_t __refs = 0);\x0a"
"    explicit numpunct_byname(const string\x26 __nm, size_t __refs = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7enumpunct_byname();\x0a"
"\x0a"
"private\x3a\x0a"
"    void __init(const char*);\x0a"
"};\x0a"
"\x0a"
"template <>\x0a"
"class _LIBCPP_TYPE_VIS numpunct_byname<wchar_t>\x0a"
"\x3a public numpunct<wchar_t>\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef wchar_t char_type;\x0a"
"    typedef basic_string<char_type> string_type;\x0a"
"\x0a"
"    explicit numpunct_byname(const char* __nm, size_t __refs = 0);\x0a"
"    explicit numpunct_byname(const string\x26 __nm, size_t __refs = 0);\x0a"
"\x0a"
"protected\x3a\x0a"
"    \x7enumpunct_byname();\x0a"
"\x0a"
"private\x3a\x0a"
"    void __init(const char*);\x0a"
"};\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP___LOCALE\x0a"
"", 49124 ); }