#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___split_buffer( 
"// -*- C++ -*-\x0a"
"#ifndef _LIBCPP_SPLIT_BUFFER\x0a"
"#define _LIBCPP_SPLIT_BUFFER\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <type_traits>\x0a"
"#include <algorithm>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <bool>\x0a"
"class __split_buffer_common\x0a"
"{\x0a"
"protected\x3a\x0a"
"    void __throw_length_error() const;\x0a"
"    void __throw_out_of_range() const;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Allocator = allocator<_Tp> >\x0a"
"struct __split_buffer\x0a"
"    \x3a private __split_buffer_common<true>\x0a"
"{\x0a"
"private\x3a\x0a"
"    __split_buffer(const __split_buffer\x26);\x0a"
"    __split_buffer\x26 operator=(const __split_buffer\x26);\x0a"
"public\x3a\x0a"
"    typedef _Tp                                             value_type;\x0a"
"    typedef _Allocator                                      allocator_type;\x0a"
"    typedef typename remove_reference<allocator_type>\x3a\x3atype __alloc_rr;\x0a"
"    typedef allocator_traits<__alloc_rr>                    __alloc_traits;\x0a"
"    typedef value_type\x26                                     reference;\x0a"
"    typedef const value_type\x26                               const_reference;\x0a"
"    typedef typename __alloc_traits\x3a\x3asize_type              size_type;\x0a"
"    typedef typename __alloc_traits\x3a\x3a""difference_type        difference_type;\x0a"
"    typedef typename __alloc_traits\x3a\x3apointer                pointer;\x0a"
"    typedef typename __alloc_traits\x3a\x3a""const_pointer          const_pointer;\x0a"
"    typedef pointer                                         iterator;\x0a"
"    typedef const_pointer                                   const_iterator;\x0a"
"\x0a"
"    pointer                                         __first_;\x0a"
"    pointer                                         __begin_;\x0a"
"    pointer                                         __end_;\x0a"
"    __compressed_pair<pointer, allocator_type> __end_cap_;\x0a"
"\x0a"
"    typedef typename add_lvalue_reference<allocator_type>\x3a\x3atype __alloc_ref;\x0a"
"    typedef typename add_lvalue_reference<allocator_type>\x3a\x3atype __alloc_const_ref;\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY __alloc_rr\x26           __alloc() _NOEXCEPT         {return __end_cap_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const __alloc_rr\x26     __alloc() const _NOEXCEPT   {return __end_cap_.second();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY pointer\x26              __end_cap() _NOEXCEPT       {return __end_cap_.first();}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const pointer\x26        __end_cap() const _NOEXCEPT {return __end_cap_.first();}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __split_buffer()\x0a"
"        _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>\x3a\x3avalue);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit __split_buffer(__alloc_rr\x26 __a);\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    explicit __split_buffer(const __alloc_rr\x26 __a);\x0a"
"    __split_buffer(size_type __cap, size_type __start, __alloc_rr\x26 __a);\x0a"
"    \x7e__split_buffer();\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    __split_buffer(__split_buffer\x26\x26 __c)\x0a"
"        _NOEXCEPT_(is_nothrow_move_constructible<allocator_type>\x3a\x3avalue);\x0a"
"    __split_buffer(__split_buffer\x26\x26 __c, const __alloc_rr\x26 __a);\x0a"
"    __split_buffer\x26 operator=(__split_buffer\x26\x26 __c)\x0a"
"        _NOEXCEPT_((__alloc_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue \x26\x26\x0a"
"                is_nothrow_move_assignable<allocator_type>\x3a\x3avalue) \x7c\x7c\x0a"
"               \x21__alloc_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue);\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY       iterator begin() _NOEXCEPT       {return __begin_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const_iterator begin() const _NOEXCEPT {return __begin_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY       iterator end() _NOEXCEPT         {return __end_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const_iterator end() const _NOEXCEPT   {return __end_;}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void clear() _NOEXCEPT\x0a"
"        {__destruct_at_end(__begin_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY size_type size() const {return static_cast<size_type>(__end_ - __begin_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY bool empty()     const {return __end_ == __begin_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY size_type capacity() const {return static_cast<size_type>(__end_cap() - __first_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY size_type __front_spare() const {return static_cast<size_type>(__begin_ - __first_);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY size_type __back_spare() const {return static_cast<size_type>(__end_cap() - __end_);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY       reference front()       {return *__begin_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const_reference front() const {return *__begin_;}\x0a"
"    _LIBCPP_INLINE_VISIBILITY       reference back()        {return *(__end_ - 1);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY const_reference back() const  {return *(__end_ - 1);}\x0a"
"\x0a"
"    void reserve(size_type __n);\x0a"
"    void shrink_to_fit() _NOEXCEPT;\x0a"
"    void push_front(const_reference __x);\x0a"
"    _LIBCPP_INLINE_VISIBILITY void push_back(const_reference __x);\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"    void push_front(value_type\x26\x26 __x);\x0a"
"    void push_back(value_type\x26\x26 __x);\x0a"
"    template <class... _Args>\x0a"
"        void emplace_back(_Args\x26\x26... __args);\x0a"
"#endif  // \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY void pop_front() {__destruct_at_begin(__begin_+1);}\x0a"
"    _LIBCPP_INLINE_VISIBILITY void pop_back() {__destruct_at_end(__end_-1);}\x0a"
"\x0a"
"    void __construct_at_end(size_type __n);\x0a"
"    void __construct_at_end(size_type __n, const_reference __x);\x0a"
"    template <class _InputIter>\x0a"
"        typename enable_if\x0a"
"        <\x0a"
"            __is_input_iterator<_InputIter>\x3a\x3avalue \x26\x26\x0a"
"           \x21__is_forward_iterator<_InputIter>\x3a\x3avalue,\x0a"
"            void\x0a"
"        >\x3a\x3atype\x0a"
"        __construct_at_end(_InputIter __first, _InputIter __last);\x0a"
"    template <class _ForwardIterator>\x0a"
"        typename enable_if\x0a"
"        <\x0a"
"            __is_forward_iterator<_ForwardIterator>\x3a\x3avalue,\x0a"
"            void\x0a"
"        >\x3a\x3atype\x0a"
"        __construct_at_end(_ForwardIterator __first, _ForwardIterator __last);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY void __destruct_at_begin(pointer __new_begin)\x0a"
"        {__destruct_at_begin(__new_begin, is_trivially_destructible<value_type>());}\x0a"
"        _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __destruct_at_begin(pointer __new_begin, false_type);\x0a"
"        _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __destruct_at_begin(pointer __new_begin, true_type);\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __destruct_at_end(pointer __new_last) _NOEXCEPT\x0a"
"        {__destruct_at_end(__new_last, false_type());}\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __destruct_at_end(pointer __new_last, false_type) _NOEXCEPT;\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"        void __destruct_at_end(pointer __new_last, true_type) _NOEXCEPT;\x0a"
"\x0a"
"    void swap(__split_buffer\x26 __x)\x0a"
"        _NOEXCEPT_(\x21__alloc_traits\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x7c\x7c\x0a"
"                   __is_nothrow_swappable<__alloc_rr>\x3a\x3avalue);\x0a"
"\x0a"
"    bool __invariants() const;\x0a"
"\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __move_assign_alloc(__split_buffer\x26 __c, true_type)\x0a"
"        _NOEXCEPT_(is_nothrow_move_assignable<allocator_type>\x3a\x3avalue)\x0a"
"        {\x0a"
"            __alloc() = _VSTD\x3a\x3amove(__c.__alloc());\x0a"
"        }\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __move_assign_alloc(__split_buffer\x26, false_type) _NOEXCEPT\x0a"
"        {}\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"bool\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__invariants() const\x0a"
"{\x0a"
"    if (__first_ == nullptr)\x0a"
"    {\x0a"
"        if (__begin_ \x21= nullptr)\x0a"
"            return false;\x0a"
"        if (__end_ \x21= nullptr)\x0a"
"            return false;\x0a"
"        if (__end_cap() \x21= nullptr)\x0a"
"            return false;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        if (__begin_ < __first_)\x0a"
"            return false;\x0a"
"        if (__end_ < __begin_)\x0a"
"            return false;\x0a"
"        if (__end_cap() < __end_)\x0a"
"            return false;\x0a"
"    }\x0a"
"    return true;\x0a"
"}\x0a"
"\x0a"
"//  Default constructs __n objects starting at __end_\x0a"
"//  throws if construction throws\x0a"
"//  Precondition\x3a  __n > 0\x0a"
"//  Precondition\x3a  size() + __n <= capacity()\x0a"
"//  Postcondition\x3a  size() == size() + __n\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__construct_at_end(size_type __n)\x0a"
"{\x0a"
"    __alloc_rr\x26 __a = this->__alloc();\x0a"
"    do\x0a"
"    {\x0a"
"        __alloc_traits\x3a\x3a""construct(__a, _VSTD\x3a\x3a__to_raw_pointer(this->__end_));\x0a"
"        ++this->__end_;\x0a"
"        --__n;\x0a"
"    } while (__n > 0);\x0a"
"}\x0a"
"\x0a"
"//  Copy constructs __n objects starting at __end_ from __x\x0a"
"//  throws if construction throws\x0a"
"//  Precondition\x3a  __n > 0\x0a"
"//  Precondition\x3a  size() + __n <= capacity()\x0a"
"//  Postcondition\x3a  size() == old size() + __n\x0a"
"//  Postcondition\x3a  \x5bi\x5d == __x for all i in \x5bsize() - __n, __n)\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__construct_at_end(size_type __n, const_reference __x)\x0a"
"{\x0a"
"    __alloc_rr\x26 __a = this->__alloc();\x0a"
"    do\x0a"
"    {\x0a"
"        __alloc_traits\x3a\x3a""construct(__a, _VSTD\x3a\x3a__to_raw_pointer(this->__end_), __x);\x0a"
"        ++this->__end_;\x0a"
"        --__n;\x0a"
"    } while (__n > 0);\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"template <class _InputIter>\x0a"
"typename enable_if\x0a"
"<\x0a"
"     __is_input_iterator<_InputIter>\x3a\x3avalue \x26\x26\x0a"
"    \x21__is_forward_iterator<_InputIter>\x3a\x3avalue,\x0a"
"    void\x0a"
">\x3a\x3atype\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__construct_at_end(_InputIter __first, _InputIter __last)\x0a"
"{\x0a"
"    __alloc_rr\x26 __a = this->__alloc();\x0a"
"    for (; __first \x21= __last; ++__first)\x0a"
"    {\x0a"
"        if (__end_ == __end_cap())\x0a"
"        {\x0a"
"            size_type __old_cap = __end_cap() - __first_;\x0a"
"            size_type __new_cap = _VSTD\x3a\x3amax<size_type>(2 * __old_cap, 8);\x0a"
"            __split_buffer __buf(__new_cap, 0, __a);\x0a"
"            for (pointer __p = __begin_; __p \x21= __end_; ++__p, ++__buf.__end_)\x0a"
"                __alloc_traits\x3a\x3a""construct(__buf.__alloc(),\x0a"
"                        _VSTD\x3a\x3a__to_raw_pointer(__buf.__end_), _VSTD\x3a\x3amove(*__p));\x0a"
"            swap(__buf);\x0a"
"        }\x0a"
"        __alloc_traits\x3a\x3a""construct(__a, _VSTD\x3a\x3a__to_raw_pointer(this->__end_), *__first);\x0a"
"        ++this->__end_;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"template <class _ForwardIterator>\x0a"
"typename enable_if\x0a"
"<\x0a"
"    __is_forward_iterator<_ForwardIterator>\x3a\x3avalue,\x0a"
"    void\x0a"
">\x3a\x3atype\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__construct_at_end(_ForwardIterator __first, _ForwardIterator __last)\x0a"
"{\x0a"
"    __alloc_rr\x26 __a = this->__alloc();\x0a"
"    for (; __first \x21= __last; ++__first)\x0a"
"    {\x0a"
"        __alloc_traits\x3a\x3a""construct(__a, _VSTD\x3a\x3a__to_raw_pointer(this->__end_), *__first);\x0a"
"        ++this->__end_;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__destruct_at_begin(pointer __new_begin, false_type)\x0a"
"{\x0a"
"    while (__begin_ \x21= __new_begin)\x0a"
"        __alloc_traits\x3a\x3a""destroy(__alloc(), __to_raw_pointer(__begin_++));\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__destruct_at_begin(pointer __new_begin, true_type)\x0a"
"{\x0a"
"    __begin_ = __new_begin;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__destruct_at_end(pointer __new_last, false_type) _NOEXCEPT\x0a"
"{\x0a"
"    while (__new_last \x21= __end_)\x0a"
"        __alloc_traits\x3a\x3a""destroy(__alloc(), __to_raw_pointer(--__end_));\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__destruct_at_end(pointer __new_last, true_type) _NOEXCEPT\x0a"
"{\x0a"
"    __end_ = __new_last;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer(size_type __cap, size_type __start, __alloc_rr\x26 __a)\x0a"
"    \x3a __end_cap_(nullptr, __a)\x0a"
"{\x0a"
"    __first_ = __cap \x21= 0 \x3f __alloc_traits\x3a\x3a""allocate(__alloc(), __cap) \x3a nullptr;\x0a"
"    __begin_ = __end_ = __first_ + __start;\x0a"
"    __end_cap() = __first_ + __cap;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer()\x0a"
"    _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>\x3a\x3avalue)\x0a"
"    \x3a __first_(nullptr), __begin_(nullptr), __end_(nullptr), __end_cap_(nullptr)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer(__alloc_rr\x26 __a)\x0a"
"    \x3a __first_(nullptr), __begin_(nullptr), __end_(nullptr), __end_cap_(nullptr, __a)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer(const __alloc_rr\x26 __a)\x0a"
"    \x3a __first_(nullptr), __begin_(nullptr), __end_(nullptr), __end_cap_(nullptr, __a)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a\x7e__split_buffer()\x0a"
"{\x0a"
"    clear();\x0a"
"    if (__first_)\x0a"
"        __alloc_traits\x3a\x3a""deallocate(__alloc(), __first_, capacity());\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer(__split_buffer\x26\x26 __c)\x0a"
"    _NOEXCEPT_(is_nothrow_move_constructible<allocator_type>\x3a\x3avalue)\x0a"
"    \x3a __first_(_VSTD\x3a\x3amove(__c.__first_)),\x0a"
"      __begin_(_VSTD\x3a\x3amove(__c.__begin_)),\x0a"
"      __end_(_VSTD\x3a\x3amove(__c.__end_)),\x0a"
"      __end_cap_(_VSTD\x3a\x3amove(__c.__end_cap_))\x0a"
"{\x0a"
"    __c.__first_ = nullptr;\x0a"
"    __c.__begin_ = nullptr;\x0a"
"    __c.__end_ = nullptr;\x0a"
"    __c.__end_cap() = nullptr;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a__split_buffer(__split_buffer\x26\x26 __c, const __alloc_rr\x26 __a)\x0a"
"    \x3a __end_cap_(__second_tag(), __a)\x0a"
"{\x0a"
"    if (__a == __c.__alloc())\x0a"
"    {\x0a"
"        __first_ = __c.__first_;\x0a"
"        __begin_ = __c.__begin_;\x0a"
"        __end_ = __c.__end_;\x0a"
"        __end_cap() = __c.__end_cap();\x0a"
"        __c.__first_ = nullptr;\x0a"
"        __c.__begin_ = nullptr;\x0a"
"        __c.__end_ = nullptr;\x0a"
"        __c.__end_cap() = nullptr;\x0a"
"    }\x0a"
"    else\x0a"
"    {\x0a"
"        size_type __cap = __c.size();\x0a"
"        __first_ = __alloc_traits\x3a\x3a""allocate(__alloc(), __cap);\x0a"
"        __begin_ = __end_ = __first_;\x0a"
"        __end_cap() = __first_ + __cap;\x0a"
"        typedef move_iterator<iterator> _Ip;\x0a"
"        __construct_at_end(_Ip(__c.begin()), _Ip(__c.end()));\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"__split_buffer<_Tp, _Allocator>\x26\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3aoperator=(__split_buffer\x26\x26 __c)\x0a"
"    _NOEXCEPT_((__alloc_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue \x26\x26\x0a"
"                is_nothrow_move_assignable<allocator_type>\x3a\x3avalue) \x7c\x7c\x0a"
"               \x21__alloc_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue)\x0a"
"{\x0a"
"    clear();\x0a"
"    shrink_to_fit();\x0a"
"    __first_ = __c.__first_;\x0a"
"    __begin_ = __c.__begin_;\x0a"
"    __end_ = __c.__end_;\x0a"
"    __end_cap() = __c.__end_cap();\x0a"
"    __move_assign_alloc(__c,\x0a"
"        integral_constant<bool,\x0a"
"                          __alloc_traits\x3a\x3apropagate_on_container_move_assignment\x3a\x3avalue>());\x0a"
"    __c.__first_ = __c.__begin_ = __c.__end_ = __c.__end_cap() = nullptr;\x0a"
"    return *this;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3aswap(__split_buffer\x26 __x)\x0a"
"        _NOEXCEPT_(\x21__alloc_traits\x3a\x3apropagate_on_container_swap\x3a\x3avalue\x7c\x7c\x0a"
"                   __is_nothrow_swappable<__alloc_rr>\x3a\x3avalue)\x0a"
"{\x0a"
"    _VSTD\x3a\x3aswap(__first_, __x.__first_);\x0a"
"    _VSTD\x3a\x3aswap(__begin_, __x.__begin_);\x0a"
"    _VSTD\x3a\x3aswap(__end_, __x.__end_);\x0a"
"    _VSTD\x3a\x3aswap(__end_cap(), __x.__end_cap());\x0a"
"    __swap_allocator(__alloc(), __x.__alloc());\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3areserve(size_type __n)\x0a"
"{\x0a"
"    if (__n < capacity())\x0a"
"    {\x0a"
"        __split_buffer<value_type, __alloc_rr\x26> __t(__n, 0, __alloc());\x0a"
"        __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                               move_iterator<pointer>(__end_));\x0a"
"        _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"        _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"        _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"        _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3ashrink_to_fit() _NOEXCEPT\x0a"
"{\x0a"
"    if (capacity() > size())\x0a"
"    {\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        try\x0a"
"        {\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(size(), 0, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            __t.__end_ = __t.__begin_ + (__end_ - __begin_);\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"#ifndef _LIBCPP_NO_EXCEPTIONS\x0a"
"        }\x0a"
"        catch (...)\x0a"
"        {\x0a"
"        }\x0a"
"#endif  // _LIBCPP_NO_EXCEPTIONS\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3apush_front(const_reference __x)\x0a"
"{\x0a"
"    if (__begin_ == __first_)\x0a"
"    {\x0a"
"        if (__end_ < __end_cap())\x0a"
"        {\x0a"
"            difference_type __d = __end_cap() - __end_;\x0a"
"            __d = (__d + 1) / 2;\x0a"
"            __begin_ = _VSTD\x3a\x3amove_backward(__begin_, __end_, __end_ + __d);\x0a"
"            __end_ += __d;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            size_type __c = max<size_type>(2 * static_cast<size_t>(__end_cap() - __first_), 1);\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(__c, (__c + 3) / 4, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"        }\x0a"
"    }\x0a"
"    __alloc_traits\x3a\x3a""construct(__alloc(), _VSTD\x3a\x3a__to_raw_pointer(__begin_-1), __x);\x0a"
"    --__begin_;\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3apush_front(value_type\x26\x26 __x)\x0a"
"{\x0a"
"    if (__begin_ == __first_)\x0a"
"    {\x0a"
"        if (__end_ < __end_cap())\x0a"
"        {\x0a"
"            difference_type __d = __end_cap() - __end_;\x0a"
"            __d = (__d + 1) / 2;\x0a"
"            __begin_ = _VSTD\x3a\x3amove_backward(__begin_, __end_, __end_ + __d);\x0a"
"            __end_ += __d;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            size_type __c = max<size_type>(2 * static_cast<size_t>(__end_cap() - __first_), 1);\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(__c, (__c + 3) / 4, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"        }\x0a"
"    }\x0a"
"    __alloc_traits\x3a\x3a""construct(__alloc(), _VSTD\x3a\x3a__to_raw_pointer(__begin_-1),\x0a"
"            _VSTD\x3a\x3amove(__x));\x0a"
"    --__begin_;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3apush_back(const_reference __x)\x0a"
"{\x0a"
"    if (__end_ == __end_cap())\x0a"
"    {\x0a"
"        if (__begin_ > __first_)\x0a"
"        {\x0a"
"            difference_type __d = __begin_ - __first_;\x0a"
"            __d = (__d + 1) / 2;\x0a"
"            __end_ = _VSTD\x3a\x3amove(__begin_, __end_, __begin_ - __d);\x0a"
"            __begin_ -= __d;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            size_type __c = max<size_type>(2 * static_cast<size_t>(__end_cap() - __first_), 1);\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(__c, __c / 4, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"        }\x0a"
"    }\x0a"
"    __alloc_traits\x3a\x3a""construct(__alloc(), _VSTD\x3a\x3a__to_raw_pointer(__end_), __x);\x0a"
"    ++__end_;\x0a"
"}\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3apush_back(value_type\x26\x26 __x)\x0a"
"{\x0a"
"    if (__end_ == __end_cap())\x0a"
"    {\x0a"
"        if (__begin_ > __first_)\x0a"
"        {\x0a"
"            difference_type __d = __begin_ - __first_;\x0a"
"            __d = (__d + 1) / 2;\x0a"
"            __end_ = _VSTD\x3a\x3amove(__begin_, __end_, __begin_ - __d);\x0a"
"            __begin_ -= __d;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            size_type __c = max<size_type>(2 * static_cast<size_t>(__end_cap() - __first_), 1);\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(__c, __c / 4, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"        }\x0a"
"    }\x0a"
"    __alloc_traits\x3a\x3a""construct(__alloc(), _VSTD\x3a\x3a__to_raw_pointer(__end_),\x0a"
"            _VSTD\x3a\x3amove(__x));\x0a"
"    ++__end_;\x0a"
"}\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"template <class... _Args>\x0a"
"void\x0a"
"__split_buffer<_Tp, _Allocator>\x3a\x3a""emplace_back(_Args\x26\x26... __args)\x0a"
"{\x0a"
"    if (__end_ == __end_cap())\x0a"
"    {\x0a"
"        if (__begin_ > __first_)\x0a"
"        {\x0a"
"            difference_type __d = __begin_ - __first_;\x0a"
"            __d = (__d + 1) / 2;\x0a"
"            __end_ = _VSTD\x3a\x3amove(__begin_, __end_, __begin_ - __d);\x0a"
"            __begin_ -= __d;\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            size_type __c = max<size_type>(2 * static_cast<size_t>(__end_cap() - __first_), 1);\x0a"
"            __split_buffer<value_type, __alloc_rr\x26> __t(__c, __c / 4, __alloc());\x0a"
"            __t.__construct_at_end(move_iterator<pointer>(__begin_),\x0a"
"                                   move_iterator<pointer>(__end_));\x0a"
"            _VSTD\x3a\x3aswap(__first_, __t.__first_);\x0a"
"            _VSTD\x3a\x3aswap(__begin_, __t.__begin_);\x0a"
"            _VSTD\x3a\x3aswap(__end_, __t.__end_);\x0a"
"            _VSTD\x3a\x3aswap(__end_cap(), __t.__end_cap());\x0a"
"        }\x0a"
"    }\x0a"
"    __alloc_traits\x3a\x3a""construct(__alloc(), _VSTD\x3a\x3a__to_raw_pointer(__end_),\x0a"
"                              _VSTD\x3a\x3a""forward<_Args>(__args)...);\x0a"
"    ++__end_;\x0a"
"}\x0a"
"\x0a"
"#endif  // _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <class _Tp, class _Allocator>\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"void\x0a"
"swap(__split_buffer<_Tp, _Allocator>\x26 __x, __split_buffer<_Tp, _Allocator>\x26 __y)\x0a"
"        _NOEXCEPT_(_NOEXCEPT_(__x.swap(__y)))\x0a"
"{\x0a"
"    __x.swap(__y);\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif  // _LIBCPP_SPLIT_BUFFER\x0a"
"", 21995 ); }