#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___std_stream( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP___STD_STREAM\x0a"
"#define _LIBCPP___STD_STREAM\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <ostream>\x0a"
"#include <istream>\x0a"
"#include <__locale>\x0a"
"#include <cstdio>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"static const int __limit = 8;\x0a"
"\x0a"
"// __stdinbuf\x0a"
"\x0a"
"template <class _CharT>\x0a"
"class _LIBCPP_HIDDEN __stdinbuf\x0a"
"    \x3a public basic_streambuf<_CharT, char_traits<_CharT> >\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef _CharT                           char_type;\x0a"
"    typedef char_traits<char_type>           traits_type;\x0a"
"    typedef typename traits_type\x3a\x3aint_type   int_type;\x0a"
"    typedef typename traits_type\x3a\x3apos_type   pos_type;\x0a"
"    typedef typename traits_type\x3a\x3aoff_type   off_type;\x0a"
"    typedef typename traits_type\x3a\x3astate_type state_type;\x0a"
"\x0a"
"    __stdinbuf(FILE* __fp, state_type* __st);\x0a"
"\x0a"
"protected\x3a\x0a"
"    virtual int_type underflow();\x0a"
"    virtual int_type uflow();\x0a"
"    virtual int_type pbackfail(int_type __c = traits_type\x3a\x3a""eof());\x0a"
"    virtual void imbue(const locale\x26 __loc);\x0a"
"\x0a"
"private\x3a\x0a"
"\x0a"
"    FILE* __file_;\x0a"
"    const codecvt<char_type, char, state_type>* __cv_;\x0a"
"    state_type* __st_;\x0a"
"    int __encoding_;\x0a"
"    int_type __last_consumed_;\x0a"
"    bool __last_consumed_is_next_;\x0a"
"    bool __always_noconv_;\x0a"
"\x0a"
"    __stdinbuf(const __stdinbuf\x26);\x0a"
"    __stdinbuf\x26 operator=(const __stdinbuf\x26);\x0a"
"\x0a"
"    int_type __getchar(bool __consume);\x0a"
"};\x0a"
"\x0a"
"template <class _CharT>\x0a"
"__stdinbuf<_CharT>\x3a\x3a__stdinbuf(FILE* __fp, state_type* __st)\x0a"
"    \x3a __file_(__fp),\x0a"
"      __st_(__st),\x0a"
"      __last_consumed_(traits_type\x3a\x3a""eof()),\x0a"
"      __last_consumed_is_next_(false)\x0a"
"{\x0a"
"    imbue(this->getloc());\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"void\x0a"
"__stdinbuf<_CharT>\x3a\x3aimbue(const locale\x26 __loc)\x0a"
"{\x0a"
"    __cv_ = \x26use_facet<codecvt<char_type, char, state_type> >(__loc);\x0a"
"    __encoding_ = __cv_->encoding();\x0a"
"    __always_noconv_ = __cv_->always_noconv();\x0a"
"    if (__encoding_ > __limit)\x0a"
"        __throw_runtime_error(\x22unsupported locale for standard input\x22);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"typename __stdinbuf<_CharT>\x3a\x3aint_type\x0a"
"__stdinbuf<_CharT>\x3a\x3aunderflow()\x0a"
"{\x0a"
"    return __getchar(false);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"typename __stdinbuf<_CharT>\x3a\x3aint_type\x0a"
"__stdinbuf<_CharT>\x3a\x3auflow()\x0a"
"{\x0a"
"    return __getchar(true);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"typename __stdinbuf<_CharT>\x3a\x3aint_type\x0a"
"__stdinbuf<_CharT>\x3a\x3a__getchar(bool __consume)\x0a"
"{\x0a"
"    if (__last_consumed_is_next_)\x0a"
"    {\x0a"
"        int_type __result = __last_consumed_;\x0a"
"        if (__consume)\x0a"
"        {\x0a"
"            __last_consumed_ = traits_type\x3a\x3a""eof();\x0a"
"            __last_consumed_is_next_ = false;\x0a"
"        }\x0a"
"        return __result;\x0a"
"    }\x0a"
"    char __extbuf\x5b__limit\x5d;\x0a"
"    int __nread = _VSTD\x3a\x3amax(1, __encoding_);\x0a"
"    for (int __i = 0; __i < __nread; ++__i)\x0a"
"    {\x0a"
"        int __c = getc(__file_);\x0a"
"        if (__c == EOF)\x0a"
"            return traits_type\x3a\x3a""eof();\x0a"
"        __extbuf\x5b__i\x5d = static_cast<char>(__c);\x0a"
"    }\x0a"
"    char_type __1buf;\x0a"
"    if (__always_noconv_)\x0a"
"        __1buf = static_cast<char_type>(__extbuf\x5b""0\x5d);\x0a"
"    else\x0a"
"    {\x0a"
"        const char* __enxt;\x0a"
"        char_type* __inxt;\x0a"
"        codecvt_base\x3a\x3aresult __r;\x0a"
"        do\x0a"
"        {\x0a"
"            state_type __sv_st = *__st_;\x0a"
"            __r = __cv_->in(*__st_, __extbuf, __extbuf + __nread, __enxt,\x0a"
"                                   \x26__1buf, \x26__1buf + 1, __inxt);\x0a"
"            switch (__r)\x0a"
"            {\x0a"
"            case _VSTD\x3a\x3a""codecvt_base\x3a\x3aok\x3a\x0a"
"                break;\x0a"
"            case codecvt_base\x3a\x3apartial\x3a\x0a"
"                *__st_ = __sv_st;\x0a"
"                if (__nread == sizeof(__extbuf))\x0a"
"                    return traits_type\x3a\x3a""eof();\x0a"
"                {\x0a"
"                    int __c = getc(__file_);\x0a"
"                    if (__c == EOF)\x0a"
"                        return traits_type\x3a\x3a""eof();\x0a"
"                    __extbuf\x5b__nread\x5d = static_cast<char>(__c);\x0a"
"                }\x0a"
"                ++__nread;\x0a"
"                break;\x0a"
"            case codecvt_base\x3a\x3a""error\x3a\x0a"
"                return traits_type\x3a\x3a""eof();\x0a"
"            case _VSTD\x3a\x3a""codecvt_base\x3a\x3anoconv\x3a\x0a"
"                __1buf = static_cast<char_type>(__extbuf\x5b""0\x5d);\x0a"
"                break;\x0a"
"            }\x0a"
"        } while (__r == _VSTD\x3a\x3a""codecvt_base\x3a\x3apartial);\x0a"
"    }\x0a"
"    if (\x21__consume)\x0a"
"    {\x0a"
"        for (int __i = __nread; __i > 0;)\x0a"
"        {\x0a"
"            if (ungetc(traits_type\x3a\x3ato_int_type(__extbuf\x5b--__i\x5d), __file_) == EOF)\x0a"
"                return traits_type\x3a\x3a""eof();\x0a"
"        }\x0a"
"    }\x0a"
"    else\x0a"
"        __last_consumed_ = traits_type\x3a\x3ato_int_type(__1buf);\x0a"
"    return traits_type\x3a\x3ato_int_type(__1buf);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"typename __stdinbuf<_CharT>\x3a\x3aint_type\x0a"
"__stdinbuf<_CharT>\x3a\x3apbackfail(int_type __c)\x0a"
"{\x0a"
"    if (traits_type\x3a\x3a""eq_int_type(__c, traits_type\x3a\x3a""eof()))\x0a"
"    {\x0a"
"        if (\x21__last_consumed_is_next_)\x0a"
"        {\x0a"
"            __c = __last_consumed_;\x0a"
"            __last_consumed_is_next_ = \x21traits_type\x3a\x3a""eq_int_type(__last_consumed_,\x0a"
"                                                                 traits_type\x3a\x3a""eof());\x0a"
"        }\x0a"
"        return __c;\x0a"
"    }\x0a"
"    if (__last_consumed_is_next_)\x0a"
"    {\x0a"
"        char __extbuf\x5b__limit\x5d;\x0a"
"        char* __enxt;\x0a"
"        const char_type __ci = traits_type\x3a\x3ato_char_type(__last_consumed_);\x0a"
"        const char_type* __inxt;\x0a"
"        switch (__cv_->out(*__st_, \x26__ci, \x26__ci + 1, __inxt,\x0a"
"                                  __extbuf, __extbuf + sizeof(__extbuf), __enxt))\x0a"
"        {\x0a"
"        case _VSTD\x3a\x3a""codecvt_base\x3a\x3aok\x3a\x0a"
"            break;\x0a"
"        case _VSTD\x3a\x3a""codecvt_base\x3a\x3anoconv\x3a\x0a"
"            __extbuf\x5b""0\x5d = static_cast<char>(__last_consumed_);\x0a"
"            __enxt = __extbuf + 1;\x0a"
"            break;\x0a"
"        case codecvt_base\x3a\x3apartial\x3a\x0a"
"        case codecvt_base\x3a\x3a""error\x3a\x0a"
"            return traits_type\x3a\x3a""eof();\x0a"
"        }\x0a"
"        while (__enxt > __extbuf)\x0a"
"            if (ungetc(*--__enxt, __file_) == EOF)\x0a"
"                return traits_type\x3a\x3a""eof();\x0a"
"    }\x0a"
"    __last_consumed_ = __c;\x0a"
"    __last_consumed_is_next_ = true;\x0a"
"    return __c;\x0a"
"}\x0a"
"\x0a"
"// __stdoutbuf\x0a"
"\x0a"
"template <class _CharT>\x0a"
"class _LIBCPP_HIDDEN __stdoutbuf\x0a"
"    \x3a public basic_streambuf<_CharT, char_traits<_CharT> >\x0a"
"{\x0a"
"public\x3a\x0a"
"    typedef _CharT                           char_type;\x0a"
"    typedef char_traits<char_type>           traits_type;\x0a"
"    typedef typename traits_type\x3a\x3aint_type   int_type;\x0a"
"    typedef typename traits_type\x3a\x3apos_type   pos_type;\x0a"
"    typedef typename traits_type\x3a\x3aoff_type   off_type;\x0a"
"    typedef typename traits_type\x3a\x3astate_type state_type;\x0a"
"\x0a"
"    __stdoutbuf(FILE* __fp, state_type* __st);\x0a"
"\x0a"
"protected\x3a\x0a"
"    virtual int_type overflow (int_type __c = traits_type\x3a\x3a""eof());\x0a"
"    virtual streamsize xsputn(const char_type* __s, streamsize __n);\x0a"
"    virtual int sync();\x0a"
"    virtual void imbue(const locale\x26 __loc);\x0a"
"\x0a"
"private\x3a\x0a"
"    FILE* __file_;\x0a"
"    const codecvt<char_type, char, state_type>* __cv_;\x0a"
"    state_type* __st_;\x0a"
"    bool __always_noconv_;\x0a"
"\x0a"
"    __stdoutbuf(const __stdoutbuf\x26);\x0a"
"    __stdoutbuf\x26 operator=(const __stdoutbuf\x26);\x0a"
"};\x0a"
"\x0a"
"template <class _CharT>\x0a"
"__stdoutbuf<_CharT>\x3a\x3a__stdoutbuf(FILE* __fp, state_type* __st)\x0a"
"    \x3a __file_(__fp),\x0a"
"      __cv_(\x26use_facet<codecvt<char_type, char, state_type> >(this->getloc())),\x0a"
"      __st_(__st),\x0a"
"      __always_noconv_(__cv_->always_noconv())\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"typename __stdoutbuf<_CharT>\x3a\x3aint_type\x0a"
"__stdoutbuf<_CharT>\x3a\x3aoverflow(int_type __c)\x0a"
"{\x0a"
"    char __extbuf\x5b__limit\x5d;\x0a"
"    char_type __1buf;\x0a"
"    if (\x21traits_type\x3a\x3a""eq_int_type(__c, traits_type\x3a\x3a""eof()))\x0a"
"    {\x0a"
"        __1buf = traits_type\x3a\x3ato_char_type(__c);\x0a"
"        if (__always_noconv_)\x0a"
"        {\x0a"
"            if (fwrite(\x26__1buf, sizeof(char_type), 1, __file_) \x21= 1)\x0a"
"                return traits_type\x3a\x3a""eof();\x0a"
"        }\x0a"
"        else\x0a"
"        {\x0a"
"            char* __extbe = __extbuf;\x0a"
"            codecvt_base\x3a\x3aresult __r;\x0a"
"            char_type* pbase = \x26__1buf;\x0a"
"            char_type* pptr = pbase + 1;\x0a"
"            do\x0a"
"            {\x0a"
"                const char_type* __e;\x0a"
"                __r = __cv_->out(*__st_, pbase, pptr, __e,\x0a"
"                                        __extbuf,\x0a"
"                                        __extbuf + sizeof(__extbuf),\x0a"
"                                        __extbe);\x0a"
"                if (__e == pbase)\x0a"
"                    return traits_type\x3a\x3a""eof();\x0a"
"                if (__r == codecvt_base\x3a\x3anoconv)\x0a"
"                {\x0a"
"                    if (fwrite(pbase, 1, 1, __file_) \x21= 1)\x0a"
"                        return traits_type\x3a\x3a""eof();\x0a"
"                }\x0a"
"                else if (__r == codecvt_base\x3a\x3aok \x7c\x7c __r == codecvt_base\x3a\x3apartial)\x0a"
"                {\x0a"
"                    size_t __nmemb = static_cast<size_t>(__extbe - __extbuf);\x0a"
"                    if (fwrite(__extbuf, 1, __nmemb, __file_) \x21= __nmemb)\x0a"
"                        return traits_type\x3a\x3a""eof();\x0a"
"                    if (__r == codecvt_base\x3a\x3apartial)\x0a"
"                    {\x0a"
"                        pbase = const_cast<char_type*>(__e);\x0a"
"                    }\x0a"
"                }\x0a"
"                else\x0a"
"                    return traits_type\x3a\x3a""eof();\x0a"
"            } while (__r == codecvt_base\x3a\x3apartial);\x0a"
"        }\x0a"
"    }\x0a"
"    return traits_type\x3a\x3anot_eof(__c);\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"streamsize\x0a"
"__stdoutbuf<_CharT>\x3a\x3axsputn(const char_type* __s, streamsize __n)\x0a"
"{\x0a"
"    if (__always_noconv_)\x0a"
"        return fwrite(__s, sizeof(char_type), __n, __file_);\x0a"
"    streamsize __i = 0;\x0a"
"    for (; __i < __n; ++__i, ++__s)\x0a"
"        if (overflow(traits_type\x3a\x3ato_int_type(*__s)) == traits_type\x3a\x3a""eof())\x0a"
"            break;\x0a"
"    return __i;\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"int\x0a"
"__stdoutbuf<_CharT>\x3a\x3async()\x0a"
"{\x0a"
"    char __extbuf\x5b__limit\x5d;\x0a"
"    codecvt_base\x3a\x3aresult __r;\x0a"
"    do\x0a"
"    {\x0a"
"        char* __extbe;\x0a"
"        __r = __cv_->unshift(*__st_, __extbuf,\x0a"
"                                    __extbuf + sizeof(__extbuf),\x0a"
"                                    __extbe);\x0a"
"        size_t __nmemb = static_cast<size_t>(__extbe - __extbuf);\x0a"
"        if (fwrite(__extbuf, 1, __nmemb, __file_) \x21= __nmemb)\x0a"
"            return -1;\x0a"
"    } while (__r == codecvt_base\x3a\x3apartial);\x0a"
"    if (__r == codecvt_base\x3a\x3a""error)\x0a"
"        return -1;\x0a"
"    if (fflush(__file_))\x0a"
"        return -1;\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"template <class _CharT>\x0a"
"void\x0a"
"__stdoutbuf<_CharT>\x3a\x3aimbue(const locale\x26 __loc)\x0a"
"{\x0a"
"    sync();\x0a"
"    __cv_ = \x26use_facet<codecvt<char_type, char, state_type> >(__loc);\x0a"
"    __always_noconv_ = __cv_->always_noconv();\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif  // _LIBCPP___STD_STREAM\x0a"
"", 10568 ); }