#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___threading_support( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_THREADING_SUPPORT\x0a"
"#define _LIBCPP_THREADING_SUPPORT\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <chrono>\x0a"
"#include <iosfwd>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"# include <__external_threading>\x0a"
"#elif \x21""defined(_LIBCPP_HAS_NO_THREADS)\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_THREAD_API_PTHREAD)\x0a"
"# include <pthread.h>\x0a"
"# include <sched.h>\x0a"
"#endif\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_THREAD_LIBRARY_EXTERNAL) \x7c\x7c \x5c\x0a"
"    defined(_LIBCPP_BUILDING_THREAD_LIBRARY_EXTERNAL) \x7c\x7c \x5c\x0a"
"    defined(_LIBCPP_HAS_THREAD_API_WIN32)\x0a"
"#define _LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_FUNC_VIS\x0a"
"#else\x0a"
"#define _LIBCPP_THREAD_ABI_VISIBILITY inline _LIBCPP_INLINE_VISIBILITY\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__FreeBSD__) \x26\x26 defined(__clang__) \x26\x26 __has_attribute(no_thread_safety_analysis)\x0a"
"#define _LIBCPP_NO_THREAD_SAFETY_ANALYSIS __attribute__((no_thread_safety_analysis))\x0a"
"#else\x0a"
"#define _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"#endif\x0a"
"\x0a"
"typedef \x3a\x3atimespec __libcpp_timespec_t;\x0a"
"#endif // \x21""defined(_LIBCPP_HAS_NO_THREADS)\x0a"
"\x0a"
"_LIBCPP_PUSH_MACROS\x0a"
"#include <__undef_macros>\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_THREADS)\x0a"
"\x0a"
"#if defined(_LIBCPP_HAS_THREAD_API_PTHREAD)\x0a"
"// Mutex\x0a"
"typedef pthread_mutex_t __libcpp_mutex_t;\x0a"
"#define _LIBCPP_MUTEX_INITIALIZER PTHREAD_MUTEX_INITIALIZER\x0a"
"\x0a"
"typedef pthread_mutex_t __libcpp_recursive_mutex_t;\x0a"
"\x0a"
"// Condition Variable\x0a"
"typedef pthread_cond_t __libcpp_condvar_t;\x0a"
"#define _LIBCPP_CONDVAR_INITIALIZER PTHREAD_COND_INITIALIZER\x0a"
"\x0a"
"// Execute once\x0a"
"typedef pthread_once_t __libcpp_exec_once_flag;\x0a"
"#define _LIBCPP_EXEC_ONCE_INITIALIZER PTHREAD_ONCE_INIT\x0a"
"\x0a"
"// Thread id\x0a"
"typedef pthread_t __libcpp_thread_id;\x0a"
"\x0a"
"// Thread\x0a"
"#define _LIBCPP_NULL_THREAD 0U\x0a"
"\x0a"
"typedef pthread_t __libcpp_thread_t;\x0a"
"\x0a"
"// Thread Local Storage\x0a"
"typedef pthread_key_t __libcpp_tls_key;\x0a"
"\x0a"
"#define _LIBCPP_TLS_DESTRUCTOR_CC\x0a"
"#elif \x21""defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"// Mutex\x0a"
"typedef void* __libcpp_mutex_t;\x0a"
"#define _LIBCPP_MUTEX_INITIALIZER 0\x0a"
"\x0a"
"#if defined(_M_IX86) \x7c\x7c defined(__i386__) \x7c\x7c defined(_M_ARM) \x7c\x7c defined(__arm__)\x0a"
"typedef void* __libcpp_recursive_mutex_t\x5b""6\x5d;\x0a"
"#elif defined(_M_AMD64) \x7c\x7c defined(__x86_64__) \x7c\x7c defined(_M_ARM64) \x7c\x7c defined(__aarch64__)\x0a"
"typedef void* __libcpp_recursive_mutex_t\x5b""5\x5d;\x0a"
"#else\x0a"
"# error Unsupported architecture\x0a"
"#endif\x0a"
"\x0a"
"// Condition Variable\x0a"
"typedef void* __libcpp_condvar_t;\x0a"
"#define _LIBCPP_CONDVAR_INITIALIZER 0\x0a"
"\x0a"
"// Execute Once\x0a"
"typedef void* __libcpp_exec_once_flag;\x0a"
"#define _LIBCPP_EXEC_ONCE_INITIALIZER 0\x0a"
"\x0a"
"// Thread ID\x0a"
"typedef long __libcpp_thread_id;\x0a"
"\x0a"
"// Thread\x0a"
"#define _LIBCPP_NULL_THREAD 0U\x0a"
"\x0a"
"typedef void* __libcpp_thread_t;\x0a"
"\x0a"
"// Thread Local Storage\x0a"
"typedef long __libcpp_tls_key;\x0a"
"\x0a"
"#define _LIBCPP_TLS_DESTRUCTOR_CC __stdcall\x0a"
"#endif // \x21""defined(_LIBCPP_HAS_THREAD_API_PTHREAD) \x26\x26 \x21""defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"// Mutex\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_recursive_mutex_init(__libcpp_recursive_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_recursive_mutex_lock(__libcpp_recursive_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"bool __libcpp_recursive_mutex_trylock(__libcpp_recursive_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_recursive_mutex_unlock(__libcpp_recursive_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_recursive_mutex_destroy(__libcpp_recursive_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_mutex_lock(__libcpp_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"bool __libcpp_mutex_trylock(__libcpp_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_mutex_unlock(__libcpp_mutex_t *__m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_mutex_destroy(__libcpp_mutex_t *__m);\x0a"
"\x0a"
"// Condition variable\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_condvar_signal(__libcpp_condvar_t* __cv);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_condvar_broadcast(__libcpp_condvar_t* __cv);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_condvar_wait(__libcpp_condvar_t* __cv, __libcpp_mutex_t* __m);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY _LIBCPP_NO_THREAD_SAFETY_ANALYSIS\x0a"
"int __libcpp_condvar_timedwait(__libcpp_condvar_t *__cv, __libcpp_mutex_t *__m,\x0a"
"                               __libcpp_timespec_t *__ts);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_condvar_destroy(__libcpp_condvar_t* __cv);\x0a"
"\x0a"
"// Execute once\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_execute_once(__libcpp_exec_once_flag *flag,\x0a"
"                          void (*init_routine)());\x0a"
"\x0a"
"// Thread id\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"bool __libcpp_thread_id_equal(__libcpp_thread_id t1, __libcpp_thread_id t2);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"bool __libcpp_thread_id_less(__libcpp_thread_id t1, __libcpp_thread_id t2);\x0a"
"\x0a"
"// Thread\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"bool __libcpp_thread_isnull(const __libcpp_thread_t *__t);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_thread_create(__libcpp_thread_t *__t, void *(*__func)(void *),\x0a"
"                           void *__arg);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"__libcpp_thread_id __libcpp_thread_get_current_id();\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"__libcpp_thread_id __libcpp_thread_get_id(const __libcpp_thread_t *__t);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_thread_join(__libcpp_thread_t *__t);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_thread_detach(__libcpp_thread_t *__t);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"void __libcpp_thread_yield();\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"void __libcpp_thread_sleep_for(const chrono\x3a\x3ananoseconds\x26 __ns);\x0a"
"\x0a"
"// Thread local storage\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_tls_create(__libcpp_tls_key* __key,\x0a"
"                        void(_LIBCPP_TLS_DESTRUCTOR_CC* __at_exit)(void*));\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"void *__libcpp_tls_get(__libcpp_tls_key __key);\x0a"
"\x0a"
"_LIBCPP_THREAD_ABI_VISIBILITY\x0a"
"int __libcpp_tls_set(__libcpp_tls_key __key, void *__p);\x0a"
"\x0a"
"#endif // \x21""defined(_LIBCPP_HAS_THREAD_API_EXTERNAL)\x0a"
"\x0a"
"#if (\x21""defined(_LIBCPP_HAS_THREAD_LIBRARY_EXTERNAL) \x7c\x7c \x5c\x0a"
"     defined(_LIBCPP_BUILDING_THREAD_LIBRARY_EXTERNAL)) \x26\x26 \x5c\x0a"
"    defined(_LIBCPP_HAS_THREAD_API_PTHREAD)\x0a"
"\x0a"
"int __libcpp_recursive_mutex_init(__libcpp_recursive_mutex_t *__m)\x0a"
"{\x0a"
"  pthread_mutexattr_t attr;\x0a"
"  int __ec = pthread_mutexattr_init(\x26""attr);\x0a"
"  if (__ec)\x0a"
"    return __ec;\x0a"
"  __ec = pthread_mutexattr_settype(\x26""attr, PTHREAD_MUTEX_RECURSIVE);\x0a"
"  if (__ec) {\x0a"
"    pthread_mutexattr_destroy(\x26""attr);\x0a"
"    return __ec;\x0a"
"  }\x0a"
"  __ec = pthread_mutex_init(__m, \x26""attr);\x0a"
"  if (__ec) {\x0a"
"    pthread_mutexattr_destroy(\x26""attr);\x0a"
"    return __ec;\x0a"
"  }\x0a"
"  __ec = pthread_mutexattr_destroy(\x26""attr);\x0a"
"  if (__ec) {\x0a"
"    pthread_mutex_destroy(__m);\x0a"
"    return __ec;\x0a"
"  }\x0a"
"  return 0;\x0a"
"}\x0a"
"\x0a"
"int __libcpp_recursive_mutex_lock(__libcpp_recursive_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_lock(__m);\x0a"
"}\x0a"
"\x0a"
"bool __libcpp_recursive_mutex_trylock(__libcpp_recursive_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_trylock(__m) == 0;\x0a"
"}\x0a"
"\x0a"
"int __libcpp_recursive_mutex_unlock(__libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_unlock(__m);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_recursive_mutex_destroy(__libcpp_recursive_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_destroy(__m);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_mutex_lock(__libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_lock(__m);\x0a"
"}\x0a"
"\x0a"
"bool __libcpp_mutex_trylock(__libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_trylock(__m) == 0;\x0a"
"}\x0a"
"\x0a"
"int __libcpp_mutex_unlock(__libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_unlock(__m);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_mutex_destroy(__libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_mutex_destroy(__m);\x0a"
"}\x0a"
"\x0a"
"// Condition Variable\x0a"
"int __libcpp_condvar_signal(__libcpp_condvar_t *__cv)\x0a"
"{\x0a"
"  return pthread_cond_signal(__cv);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_condvar_broadcast(__libcpp_condvar_t *__cv)\x0a"
"{\x0a"
"  return pthread_cond_broadcast(__cv);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_condvar_wait(__libcpp_condvar_t *__cv, __libcpp_mutex_t *__m)\x0a"
"{\x0a"
"  return pthread_cond_wait(__cv, __m);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_condvar_timedwait(__libcpp_condvar_t *__cv, __libcpp_mutex_t *__m,\x0a"
"                               __libcpp_timespec_t *__ts)\x0a"
"{\x0a"
"  return pthread_cond_timedwait(__cv, __m, __ts);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_condvar_destroy(__libcpp_condvar_t *__cv)\x0a"
"{\x0a"
"  return pthread_cond_destroy(__cv);\x0a"
"}\x0a"
"\x0a"
"// Execute once\x0a"
"int __libcpp_execute_once(__libcpp_exec_once_flag *flag,\x0a"
"                          void (*init_routine)()) {\x0a"
"  return pthread_once(flag, init_routine);\x0a"
"}\x0a"
"\x0a"
"// Thread id\x0a"
"// Returns non-zero if the thread ids are equal, otherwise 0\x0a"
"bool __libcpp_thread_id_equal(__libcpp_thread_id t1, __libcpp_thread_id t2)\x0a"
"{\x0a"
"  return pthread_equal(t1, t2) \x21= 0;\x0a"
"}\x0a"
"\x0a"
"// Returns non-zero if t1 < t2, otherwise 0\x0a"
"bool __libcpp_thread_id_less(__libcpp_thread_id t1, __libcpp_thread_id t2)\x0a"
"{\x0a"
"  return t1 < t2;\x0a"
"}\x0a"
"\x0a"
"// Thread\x0a"
"bool __libcpp_thread_isnull(const __libcpp_thread_t *__t) {\x0a"
"  return *__t == 0;\x0a"
"}\x0a"
"\x0a"
"int __libcpp_thread_create(__libcpp_thread_t *__t, void *(*__func)(void *),\x0a"
"                           void *__arg)\x0a"
"{\x0a"
"  return pthread_create(__t, 0, __func, __arg);\x0a"
"}\x0a"
"\x0a"
"__libcpp_thread_id __libcpp_thread_get_current_id()\x0a"
"{\x0a"
"  return pthread_self();\x0a"
"}\x0a"
"\x0a"
"__libcpp_thread_id __libcpp_thread_get_id(const __libcpp_thread_t *__t)\x0a"
"{\x0a"
"  return *__t;\x0a"
"}\x0a"
"\x0a"
"int __libcpp_thread_join(__libcpp_thread_t *__t)\x0a"
"{\x0a"
"  return pthread_join(*__t, 0);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_thread_detach(__libcpp_thread_t *__t)\x0a"
"{\x0a"
"  return pthread_detach(*__t);\x0a"
"}\x0a"
"\x0a"
"void __libcpp_thread_yield()\x0a"
"{\x0a"
"  sched_yield();\x0a"
"}\x0a"
"\x0a"
"void __libcpp_thread_sleep_for(const chrono\x3a\x3ananoseconds\x26 __ns)\x0a"
"{\x0a"
"   using namespace chrono;\x0a"
"   seconds __s = duration_cast<seconds>(__ns);\x0a"
"   __libcpp_timespec_t __ts;\x0a"
"   typedef decltype(__ts.tv_sec) ts_sec;\x0a"
"   _LIBCPP_CONSTEXPR ts_sec __ts_sec_max = numeric_limits<ts_sec>\x3a\x3amax();\x0a"
"\x0a"
"   if (__s.count() < __ts_sec_max)\x0a"
"   {\x0a"
"     __ts.tv_sec = static_cast<ts_sec>(__s.count());\x0a"
"     __ts.tv_nsec = static_cast<decltype(__ts.tv_nsec)>((__ns - __s).count());\x0a"
"   }\x0a"
"   else\x0a"
"   {\x0a"
"     __ts.tv_sec = __ts_sec_max;\x0a"
"     __ts.tv_nsec = 999999999; // (10^9 - 1)\x0a"
"   }\x0a"
"\x0a"
"   while (nanosleep(\x26__ts, \x26__ts) == -1 \x26\x26 errno == EINTR);\x0a"
"}\x0a"
"\x0a"
"// Thread local storage\x0a"
"int __libcpp_tls_create(__libcpp_tls_key *__key, void (*__at_exit)(void *))\x0a"
"{\x0a"
"  return pthread_key_create(__key, __at_exit);\x0a"
"}\x0a"
"\x0a"
"void *__libcpp_tls_get(__libcpp_tls_key __key)\x0a"
"{\x0a"
"  return pthread_getspecific(__key);\x0a"
"}\x0a"
"\x0a"
"int __libcpp_tls_set(__libcpp_tls_key __key, void *__p)\x0a"
"{\x0a"
"    return pthread_setspecific(__key, __p);\x0a"
"}\x0a"
"\x0a"
"#endif // \x21_LIBCPP_HAS_THREAD_LIBRARY_EXTERNAL \x7c\x7c _LIBCPP_BUILDING_THREAD_LIBRARY_EXTERNAL\x0a"
"\x0a"
"class _LIBCPP_TYPE_VIS thread;\x0a"
"class _LIBCPP_TYPE_VIS __thread_id;\x0a"
"\x0a"
"namespace this_thread\x0a"
"{\x0a"
"\x0a"
"_LIBCPP_INLINE_VISIBILITY __thread_id get_id() _NOEXCEPT;\x0a"
"\x0a"
"}  // this_thread\x0a"
"\x0a"
"template<> struct hash<__thread_id>;\x0a"
"\x0a"
"class _LIBCPP_TEMPLATE_VIS __thread_id\x0a"
"{\x0a"
"    // FIXME\x3a pthread_t is a pointer on Darwin but a long on Linux.\x0a"
"    // NULL is the no-thread value on Darwin.  Someone needs to check\x0a"
"    // on other platforms.  We assume 0 works everywhere for now.\x0a"
"    __libcpp_thread_id __id_;\x0a"
"\x0a"
"public\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __thread_id() _NOEXCEPT \x3a __id_(0) {}\x0a"
"\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator==(__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        { // don't pass id==0 to underlying routines\x0a"
"        if (__x.__id_ == 0) return __y.__id_ == 0;\x0a"
"        if (__y.__id_ == 0) return false;\x0a"
"        return __libcpp_thread_id_equal(__x.__id_, __y.__id_);\x0a"
"        }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator\x21=(__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        {return \x21(__x == __y);}\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator< (__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        { // id==0 is always less than any other thread_id\x0a"
"        if (__x.__id_ == 0) return __y.__id_ \x21= 0;\x0a"
"        if (__y.__id_ == 0) return false;\x0a"
"        return  __libcpp_thread_id_less(__x.__id_, __y.__id_);\x0a"
"        }\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator<=(__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        {return \x21(__y < __x);}\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator> (__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        {return   __y < __x ;}\x0a"
"    friend _LIBCPP_INLINE_VISIBILITY\x0a"
"        bool operator>=(__thread_id __x, __thread_id __y) _NOEXCEPT\x0a"
"        {return \x21(__x < __y);}\x0a"
"\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    void __reset() { __id_ = 0; }\x0a"
"    \x0a"
"    template<class _CharT, class _Traits>\x0a"
"    friend\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    basic_ostream<_CharT, _Traits>\x26\x0a"
"    operator<<(basic_ostream<_CharT, _Traits>\x26 __os, __thread_id __id);\x0a"
"\x0a"
"private\x3a\x0a"
"    _LIBCPP_INLINE_VISIBILITY\x0a"
"    __thread_id(__libcpp_thread_id __id) \x3a __id_(__id) {}\x0a"
"\x0a"
"    friend __thread_id this_thread\x3a\x3aget_id() _NOEXCEPT;\x0a"
"    friend class _LIBCPP_TYPE_VIS thread;\x0a"
"    friend struct _LIBCPP_TEMPLATE_VIS hash<__thread_id>;\x0a"
"};\x0a"
"\x0a"
"namespace this_thread\x0a"
"{\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY\x0a"
"__thread_id\x0a"
"get_id() _NOEXCEPT\x0a"
"{\x0a"
"    return __libcpp_thread_get_current_id();\x0a"
"}\x0a"
"\x0a"
"}  // this_thread\x0a"
"\x0a"
"#endif // \x21_LIBCPP_HAS_NO_THREADS\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"_LIBCPP_POP_MACROS\x0a"
"\x0a"
"#endif // _LIBCPP_THREADING_SUPPORT\x0a"
"", 13366 ); }