#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include___tuple( 
"// -*- C++ -*-\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP___TUPLE\x0a"
"#define _LIBCPP___TUPLE\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <cstddef>\x0a"
"#include <type_traits>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"template <class _Tp> struct _LIBCPP_TEMPLATE_VIS tuple_size;\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"template <class _Tp, class...>\x0a"
"using __enable_if_tuple_size_imp = _Tp;\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_size<__enable_if_tuple_size_imp<\x0a"
"    const _Tp,\x0a"
"    typename enable_if<\x21is_volatile<_Tp>\x3a\x3avalue>\x3a\x3atype,\x0a"
"    integral_constant<size_t, sizeof(tuple_size<_Tp>)>>>\x0a"
"    \x3a public integral_constant<size_t, tuple_size<_Tp>\x3a\x3avalue> {};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_size<__enable_if_tuple_size_imp<\x0a"
"    volatile _Tp,\x0a"
"    typename enable_if<\x21is_const<_Tp>\x3a\x3avalue>\x3a\x3atype,\x0a"
"    integral_constant<size_t, sizeof(tuple_size<_Tp>)>>>\x0a"
"    \x3a public integral_constant<size_t, tuple_size<_Tp>\x3a\x3avalue> {};\x0a"
"\x0a"
"template <class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_size<__enable_if_tuple_size_imp<\x0a"
"    const volatile _Tp,\x0a"
"    integral_constant<size_t, sizeof(tuple_size<_Tp>)>>>\x0a"
"    \x3a public integral_constant<size_t, tuple_size<_Tp>\x3a\x3avalue> {};\x0a"
"\x0a"
"#else\x0a"
"template <class _Tp> struct _LIBCPP_TEMPLATE_VIS tuple_size<const _Tp> \x3a public tuple_size<_Tp> {};\x0a"
"template <class _Tp> struct _LIBCPP_TEMPLATE_VIS tuple_size<volatile _Tp> \x3a public tuple_size<_Tp> {};\x0a"
"template <class _Tp> struct _LIBCPP_TEMPLATE_VIS tuple_size<const volatile _Tp> \x3a public tuple_size<_Tp> {};\x0a"
"#endif\x0a"
"\x0a"
"template <size_t _Ip, class _Tp> struct _LIBCPP_TEMPLATE_VIS tuple_element;\x0a"
"\x0a"
"template <size_t _Ip, class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_element<_Ip, const _Tp>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename add_const<typename tuple_element<_Ip, _Tp>\x3a\x3atype>\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"template <size_t _Ip, class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_element<_Ip, volatile _Tp>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename add_volatile<typename tuple_element<_Ip, _Tp>\x3a\x3atype>\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"template <size_t _Ip, class _Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_element<_Ip, const volatile _Tp>\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename add_cv<typename tuple_element<_Ip, _Tp>\x3a\x3atype>\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp> struct __tuple_like \x3a false_type {};\x0a"
"\x0a"
"template <class _Tp> struct __tuple_like<const _Tp> \x3a public __tuple_like<_Tp> {};\x0a"
"template <class _Tp> struct __tuple_like<volatile _Tp> \x3a public __tuple_like<_Tp> {};\x0a"
"template <class _Tp> struct __tuple_like<const volatile _Tp> \x3a public __tuple_like<_Tp> {};\x0a"
"\x0a"
"// tuple specializations\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"template <size_t...> struct __tuple_indices {};\x0a"
"\x0a"
"template <class _IdxType, _IdxType... _Values>\x0a"
"struct __integer_sequence {\x0a"
"  template <template <class _OIdxType, _OIdxType...> class _ToIndexSeq, class _ToIndexType>\x0a"
"  using __convert = _ToIndexSeq<_ToIndexType, _Values...>;\x0a"
"\x0a"
"  template <size_t _Sp>\x0a"
"  using __to_tuple_indices = __tuple_indices<(_Values + _Sp)...>;\x0a"
"};\x0a"
"\x0a"
"#if \x21__has_builtin(__make_integer_seq) \x7c\x7c defined(_LIBCPP_TESTING_FALLBACK_MAKE_INTEGER_SEQUENCE)\x0a"
"namespace __detail {\x0a"
"\x0a"
"template<typename _Tp, size_t ..._Extra> struct __repeat;\x0a"
"template<typename _Tp, _Tp ..._Np, size_t ..._Extra> struct __repeat<__integer_sequence<_Tp, _Np...>, _Extra...> {\x0a"
"  typedef _LIBCPP_NODEBUG_TYPE __integer_sequence<_Tp,\x0a"
"                           _Np...,\x0a"
"                           sizeof...(_Np) + _Np...,\x0a"
"                           2 * sizeof...(_Np) + _Np...,\x0a"
"                           3 * sizeof...(_Np) + _Np...,\x0a"
"                           4 * sizeof...(_Np) + _Np...,\x0a"
"                           5 * sizeof...(_Np) + _Np...,\x0a"
"                           6 * sizeof...(_Np) + _Np...,\x0a"
"                           7 * sizeof...(_Np) + _Np...,\x0a"
"                           _Extra...> type;\x0a"
"};\x0a"
"\x0a"
"template<size_t _Np> struct __parity;\x0a"
"template<size_t _Np> struct __make \x3a __parity<_Np \x25 8>\x3a\x3atemplate __pmake<_Np> {};\x0a"
"\x0a"
"template<> struct __make<0> { typedef __integer_sequence<size_t> type; };\x0a"
"template<> struct __make<1> { typedef __integer_sequence<size_t, 0> type; };\x0a"
"template<> struct __make<2> { typedef __integer_sequence<size_t, 0, 1> type; };\x0a"
"template<> struct __make<3> { typedef __integer_sequence<size_t, 0, 1, 2> type; };\x0a"
"template<> struct __make<4> { typedef __integer_sequence<size_t, 0, 1, 2, 3> type; };\x0a"
"template<> struct __make<5> { typedef __integer_sequence<size_t, 0, 1, 2, 3, 4> type; };\x0a"
"template<> struct __make<6> { typedef __integer_sequence<size_t, 0, 1, 2, 3, 4, 5> type; };\x0a"
"template<> struct __make<7> { typedef __integer_sequence<size_t, 0, 1, 2, 3, 4, 5, 6> type; };\x0a"
"\x0a"
"template<> struct __parity<0> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype> {}; };\x0a"
"template<> struct __parity<1> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 1> {}; };\x0a"
"template<> struct __parity<2> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 2, _Np - 1> {}; };\x0a"
"template<> struct __parity<3> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 3, _Np - 2, _Np - 1> {}; };\x0a"
"template<> struct __parity<4> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 4, _Np - 3, _Np - 2, _Np - 1> {}; };\x0a"
"template<> struct __parity<5> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 5, _Np - 4, _Np - 3, _Np - 2, _Np - 1> {}; };\x0a"
"template<> struct __parity<6> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 6, _Np - 5, _Np - 4, _Np - 3, _Np - 2, _Np - 1> {}; };\x0a"
"template<> struct __parity<7> { template<size_t _Np> struct __pmake \x3a __repeat<typename __make<_Np / 8>\x3a\x3atype, _Np - 7, _Np - 6, _Np - 5, _Np - 4, _Np - 3, _Np - 2, _Np - 1> {}; };\x0a"
"\x0a"
"} // namespace detail\x0a"
"\x0a"
"#endif  // \x21__has_builtin(__make_integer_seq) \x7c\x7c defined(_LIBCPP_TESTING_FALLBACK_MAKE_INTEGER_SEQUENCE)\x0a"
"\x0a"
"#if __has_builtin(__make_integer_seq)\x0a"
"template <size_t _Ep, size_t _Sp>\x0a"
"using __make_indices_imp =\x0a"
"    typename __make_integer_seq<__integer_sequence, size_t, _Ep - _Sp>\x3a\x3atemplate\x0a"
"    __to_tuple_indices<_Sp>;\x0a"
"#else\x0a"
"template <size_t _Ep, size_t _Sp>\x0a"
"using __make_indices_imp =\x0a"
"    typename __detail\x3a\x3a__make<_Ep - _Sp>\x3a\x3atype\x3a\x3atemplate __to_tuple_indices<_Sp>;\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"template <size_t _Ep, size_t _Sp = 0>\x0a"
"struct __make_tuple_indices\x0a"
"{\x0a"
"    static_assert(_Sp <= _Ep, \x22__make_tuple_indices input error\x22);\x0a"
"    typedef __make_indices_imp<_Ep, _Sp> type;\x0a"
"};\x0a"
"\x0a"
"\x0a"
"template <class ..._Tp> class _LIBCPP_TEMPLATE_VIS tuple;\x0a"
"\x0a"
"template <class... _Tp> struct __tuple_like<tuple<_Tp...> > \x3a true_type {};\x0a"
"\x0a"
"template <class ..._Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_size<tuple<_Tp...> >\x0a"
"    \x3a public integral_constant<size_t, sizeof...(_Tp)>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"typename tuple_element<_Ip, tuple<_Tp...> >\x3a\x3atype\x26\x0a"
"get(tuple<_Tp...>\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const typename tuple_element<_Ip, tuple<_Tp...> >\x3a\x3atype\x26\x0a"
"get(const tuple<_Tp...>\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"typename tuple_element<_Ip, tuple<_Tp...> >\x3a\x3atype\x26\x26\x0a"
"get(tuple<_Tp...>\x26\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const typename tuple_element<_Ip, tuple<_Tp...> >\x3a\x3atype\x26\x26\x0a"
"get(const tuple<_Tp...>\x26\x26) _NOEXCEPT;\x0a"
"\x0a"
"#endif // \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"\x0a"
"// pair specializations\x0a"
"\x0a"
"template <class _T1, class _T2> struct __tuple_like<pair<_T1, _T2> > \x3a true_type {};\x0a"
"\x0a"
"template <size_t _Ip, class _T1, class _T2>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"typename tuple_element<_Ip, pair<_T1, _T2> >\x3a\x3atype\x26\x0a"
"get(pair<_T1, _T2>\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class _T1, class _T2>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const typename tuple_element<_Ip, pair<_T1, _T2> >\x3a\x3atype\x26\x0a"
"get(const pair<_T1, _T2>\x26) _NOEXCEPT;\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"template <size_t _Ip, class _T1, class _T2>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"typename tuple_element<_Ip, pair<_T1, _T2> >\x3a\x3atype\x26\x26\x0a"
"get(pair<_T1, _T2>\x26\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class _T1, class _T2>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const typename tuple_element<_Ip, pair<_T1, _T2> >\x3a\x3atype\x26\x26\x0a"
"get(const pair<_T1, _T2>\x26\x26) _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"// array specializations\x0a"
"\x0a"
"template <class _Tp, size_t _Size> struct _LIBCPP_TEMPLATE_VIS array;\x0a"
"\x0a"
"template <class _Tp, size_t _Size> struct __tuple_like<array<_Tp, _Size> > \x3a true_type {};\x0a"
"\x0a"
"template <size_t _Ip, class _Tp, size_t _Size>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"_Tp\x26\x0a"
"get(array<_Tp, _Size>\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class _Tp, size_t _Size>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const _Tp\x26\x0a"
"get(const array<_Tp, _Size>\x26) _NOEXCEPT;\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"template <size_t _Ip, class _Tp, size_t _Size>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"_Tp\x26\x26\x0a"
"get(array<_Tp, _Size>\x26\x26) _NOEXCEPT;\x0a"
"\x0a"
"template <size_t _Ip, class _Tp, size_t _Size>\x0a"
"_LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR_AFTER_CXX11\x0a"
"const _Tp\x26\x26\x0a"
"get(const array<_Tp, _Size>\x26\x26) _NOEXCEPT;\x0a"
"#endif\x0a"
"\x0a"
"#ifndef _LIBCPP_CXX03_LANG\x0a"
"\x0a"
"// __tuple_types\x0a"
"\x0a"
"template <class ..._Tp> struct __tuple_types {};\x0a"
"\x0a"
"#if \x21__has_builtin(__type_pack_element)\x0a"
"\x0a"
"namespace __indexer_detail {\x0a"
"\x0a"
"template <size_t _Idx, class _Tp>\x0a"
"struct __indexed { using type _LIBCPP_NODEBUG_TYPE = _Tp; };\x0a"
"\x0a"
"template <class _Types, class _Indexes> struct __indexer;\x0a"
"\x0a"
"template <class ..._Types, size_t ..._Idx>\x0a"
"struct __indexer<__tuple_types<_Types...>, __tuple_indices<_Idx...>>\x0a"
"    \x3a __indexed<_Idx, _Types>...\x0a"
"{};\x0a"
"\x0a"
"template <size_t _Idx, class _Tp>\x0a"
"__indexed<_Idx, _Tp> __at_index(__indexed<_Idx, _Tp> const\x26);\x0a"
"\x0a"
"} // namespace __indexer_detail\x0a"
"\x0a"
"template <size_t _Idx, class ..._Types>\x0a"
"using __type_pack_element _LIBCPP_NODEBUG_TYPE = typename decltype(\x0a"
"    __indexer_detail\x3a\x3a__at_index<_Idx>(\x0a"
"        __indexer_detail\x3a\x3a__indexer<\x0a"
"            __tuple_types<_Types...>,\x0a"
"            typename __make_tuple_indices<sizeof...(_Types)>\x3a\x3atype\x0a"
"        >{})\x0a"
"  )\x3a\x3atype;\x0a"
"#endif\x0a"
"\x0a"
"template <size_t _Ip, class ..._Types>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_element<_Ip, __tuple_types<_Types...>>\x0a"
"{\x0a"
"    static_assert(_Ip < sizeof...(_Types), \x22tuple_element index out of range\x22);\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE __type_pack_element<_Ip, _Types...> type;\x0a"
"};\x0a"
"\x0a"
"\x0a"
"template <class ..._Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_size<__tuple_types<_Tp...> >\x0a"
"    \x3a public integral_constant<size_t, sizeof...(_Tp)>\x0a"
"{\x0a"
"};\x0a"
"\x0a"
"template <class... _Tp> struct __tuple_like<__tuple_types<_Tp...> > \x3a true_type {};\x0a"
"\x0a"
"template <bool _ApplyLV, bool _ApplyConst, bool _ApplyVolatile>\x0a"
"struct __apply_cv_mf;\x0a"
"template <>\x0a"
"struct __apply_cv_mf<false, false, false> {\x0a"
"  template <class _Tp> using __apply = _Tp;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<false, true, false> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = const _Tp;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<false, false, true> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = volatile _Tp;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<false, true, true> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = const volatile _Tp;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<true, false, false> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = _Tp\x26;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<true, true, false> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = const _Tp\x26;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<true, false, true> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE  = volatile _Tp\x26;\x0a"
"};\x0a"
"template <>\x0a"
"struct __apply_cv_mf<true, true, true> {\x0a"
"  template <class _Tp> using __apply _LIBCPP_NODEBUG_TYPE = const volatile _Tp\x26;\x0a"
"};\x0a"
"template <class _Tp, class _RawTp = typename remove_reference<_Tp>\x3a\x3atype>\x0a"
"using __apply_cv_t _LIBCPP_NODEBUG_TYPE  = __apply_cv_mf<\x0a"
"    is_lvalue_reference<_Tp>\x3a\x3avalue,\x0a"
"    is_const<_RawTp>\x3a\x3avalue,\x0a"
"    is_volatile<_RawTp>\x3a\x3avalue>;\x0a"
"\x0a"
"// __make_tuple_types\x0a"
"\x0a"
"// __make_tuple_types<_Tuple<_Types...>, _Ep, _Sp>\x3a\x3atype is a\x0a"
"// __tuple_types<_Types...> using only those _Types in the range \x5b_Sp, _Ep).\x0a"
"// _Sp defaults to 0 and _Ep defaults to tuple_size<_Tuple>.  If _Tuple is a\x0a"
"// lvalue_reference type, then __tuple_types<_Types\x26...> is the result.\x0a"
"\x0a"
"template <class _TupleTypes, class _TupleIndices>\x0a"
"struct __make_tuple_types_flat;\x0a"
"\x0a"
"template <template <class...> class _Tuple, class ..._Types, size_t ..._Idx>\x0a"
"struct __make_tuple_types_flat<_Tuple<_Types...>, __tuple_indices<_Idx...>> {\x0a"
"  // Specialization for pair, tuple, and __tuple_types\x0a"
"  template <class _Tp, class _ApplyFn = __apply_cv_t<_Tp>>\x0a"
"  using __apply_quals _LIBCPP_NODEBUG_TYPE = __tuple_types<\x0a"
"      typename _ApplyFn\x3a\x3atemplate __apply<__type_pack_element<_Idx, _Types...>>...\x0a"
"    >;\x0a"
"};\x0a"
"\x0a"
"template <class _Vt, size_t _Np, size_t ..._Idx>\x0a"
"struct __make_tuple_types_flat<array<_Vt, _Np>, __tuple_indices<_Idx...>> {\x0a"
"  template <size_t>\x0a"
"  using __value_type = _Vt;\x0a"
"  template <class _Tp, class _ApplyFn = __apply_cv_t<_Tp>>\x0a"
"  using __apply_quals = __tuple_types<\x0a"
"      typename _ApplyFn\x3a\x3atemplate __apply<__value_type<_Idx>>...\x0a"
"    >;\x0a"
"};\x0a"
"\x0a"
"template <class _Tp, size_t _Ep = tuple_size<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3avalue,\x0a"
"          size_t _Sp = 0,\x0a"
"          bool _SameSize = (_Ep == tuple_size<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3avalue)>\x0a"
"struct __make_tuple_types\x0a"
"{\x0a"
"    static_assert(_Sp <= _Ep, \x22__make_tuple_types input error\x22);\x0a"
"    using _RawTp = typename remove_cv<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3atype;\x0a"
"    using _Maker = __make_tuple_types_flat<_RawTp, typename __make_tuple_indices<_Ep, _Sp>\x3a\x3atype>;\x0a"
"    using type = typename _Maker\x3a\x3atemplate __apply_quals<_Tp>;\x0a"
"};\x0a"
"\x0a"
"template <class ..._Types, size_t _Ep>\x0a"
"struct __make_tuple_types<tuple<_Types...>, _Ep, 0, true> {\x0a"
"  typedef _LIBCPP_NODEBUG_TYPE __tuple_types<_Types...> type;\x0a"
"};\x0a"
"\x0a"
"template <class ..._Types, size_t _Ep>\x0a"
"struct __make_tuple_types<__tuple_types<_Types...>, _Ep, 0, true> {\x0a"
"  typedef _LIBCPP_NODEBUG_TYPE __tuple_types<_Types...> type;\x0a"
"};\x0a"
"\x0a"
"template <bool ..._Preds>\x0a"
"struct __all_dummy;\x0a"
"\x0a"
"template <bool ..._Pred>\x0a"
"using __all = _IsSame<__all_dummy<_Pred...>, __all_dummy<((void)_Pred, true)...>>;\x0a"
"\x0a"
"struct __tuple_sfinae_base {\x0a"
"  template <template <class, class...> class _Trait,\x0a"
"            class ..._LArgs, class ..._RArgs>\x0a"
"  static auto __do_test(__tuple_types<_LArgs...>, __tuple_types<_RArgs...>)\x0a"
"    -> __all<typename enable_if<_Trait<_LArgs, _RArgs>\x3a\x3avalue, bool>\x3a\x3atype{true}...>;\x0a"
"  template <template <class...> class>\x0a"
"  static auto __do_test(...) -> false_type;\x0a"
"\x0a"
"  template <class _FromArgs, class _ToArgs>\x0a"
"  using __constructible = decltype(__do_test<is_constructible>(_ToArgs{}, _FromArgs{}));\x0a"
"  template <class _FromArgs, class _ToArgs>\x0a"
"  using __convertible = decltype(__do_test<is_convertible>(_FromArgs{}, _ToArgs{}));\x0a"
"  template <class _FromArgs, class _ToArgs>\x0a"
"  using __assignable = decltype(__do_test<is_assignable>(_ToArgs{}, _FromArgs{}));\x0a"
"};\x0a"
"\x0a"
"// __tuple_convertible\x0a"
"\x0a"
"template <class _Tp, class _Up, bool = __tuple_like<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3avalue,\x0a"
"                                bool = __tuple_like<_Up>\x3a\x3avalue>\x0a"
"struct __tuple_convertible\x0a"
"    \x3a public false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Up>\x0a"
"struct __tuple_convertible<_Tp, _Up, true, true>\x0a"
"    \x3a public __tuple_sfinae_base\x3a\x3a__convertible<\x0a"
"      typename __make_tuple_types<_Tp>\x3a\x3atype\x0a"
"    , typename __make_tuple_types<_Up>\x3a\x3atype\x0a"
"    >\x0a"
"{};\x0a"
"\x0a"
"// __tuple_constructible\x0a"
"\x0a"
"template <class _Tp, class _Up, bool = __tuple_like<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3avalue,\x0a"
"                                bool = __tuple_like<_Up>\x3a\x3avalue>\x0a"
"struct __tuple_constructible\x0a"
"    \x3a public false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Up>\x0a"
"struct __tuple_constructible<_Tp, _Up, true, true>\x0a"
"    \x3a public __tuple_sfinae_base\x3a\x3a__constructible<\x0a"
"      typename __make_tuple_types<_Tp>\x3a\x3atype\x0a"
"    , typename __make_tuple_types<_Up>\x3a\x3atype\x0a"
"    >\x0a"
"{};\x0a"
"\x0a"
"// __tuple_assignable\x0a"
"\x0a"
"template <class _Tp, class _Up, bool = __tuple_like<typename remove_reference<_Tp>\x3a\x3atype>\x3a\x3avalue,\x0a"
"                                bool = __tuple_like<_Up>\x3a\x3avalue>\x0a"
"struct __tuple_assignable\x0a"
"    \x3a public false_type {};\x0a"
"\x0a"
"template <class _Tp, class _Up>\x0a"
"struct __tuple_assignable<_Tp, _Up, true, true>\x0a"
"    \x3a public __tuple_sfinae_base\x3a\x3a__assignable<\x0a"
"      typename __make_tuple_types<_Tp>\x3a\x3atype\x0a"
"    , typename __make_tuple_types<_Up\x26>\x3a\x3atype\x0a"
"    >\x0a"
"{};\x0a"
"\x0a"
"\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"struct _LIBCPP_TEMPLATE_VIS tuple_element<_Ip, tuple<_Tp...> >\x0a"
"{\x0a"
"    typedef _LIBCPP_NODEBUG_TYPE typename tuple_element<_Ip, __tuple_types<_Tp...> >\x3a\x3atype type;\x0a"
"};\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 11\x0a"
"template <size_t _Ip, class ..._Tp>\x0a"
"using tuple_element_t _LIBCPP_NODEBUG_TYPE  = typename tuple_element <_Ip, _Tp...>\x3a\x3atype;\x0a"
"#endif\x0a"
"\x0a"
"template <bool _IsTuple, class _SizeTrait, size_t _Expected>\x0a"
"struct __tuple_like_with_size_imp \x3a false_type {};\x0a"
"\x0a"
"template <class _SizeTrait, size_t _Expected>\x0a"
"struct __tuple_like_with_size_imp<true, _SizeTrait, _Expected>\x0a"
"    \x3a integral_constant<bool, _SizeTrait\x3a\x3avalue == _Expected> {};\x0a"
"\x0a"
"template <class _Tuple, size_t _ExpectedSize,\x0a"
"          class _RawTuple = typename __uncvref<_Tuple>\x3a\x3atype>\x0a"
"using __tuple_like_with_size _LIBCPP_NODEBUG_TYPE = __tuple_like_with_size_imp<\x0a"
"                                   __tuple_like<_RawTuple>\x3a\x3avalue,\x0a"
"                                   tuple_size<_RawTuple>, _ExpectedSize\x0a"
"                              >;\x0a"
"\x0a"
"struct _LIBCPP_TYPE_VIS __check_tuple_constructor_fail {\x0a"
"    template <class ...>\x0a"
"    static constexpr bool __enable_default() { return false; }\x0a"
"    template <class ...>\x0a"
"    static constexpr bool __enable_explicit() { return false; }\x0a"
"    template <class ...>\x0a"
"    static constexpr bool __enable_implicit() { return false; }\x0a"
"    template <class ...>\x0a"
"    static constexpr bool __enable_assign() { return false; }\x0a"
"};\x0a"
"#endif // \x21""defined(_LIBCPP_CXX03_LANG)\x0a"
"\x0a"
"#if _LIBCPP_STD_VER > 14\x0a"
"\x0a"
"template <bool _CanCopy, bool _CanMove>\x0a"
"struct __sfinae_ctor_base {};\x0a"
"template <>\x0a"
"struct __sfinae_ctor_base<false, false> {\x0a"
"  __sfinae_ctor_base() = default;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base const\x26) = delete;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base \x26\x26) = delete;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base const\x26) = default;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base\x26\x26) = default;\x0a"
"};\x0a"
"template <>\x0a"
"struct __sfinae_ctor_base<true, false> {\x0a"
"  __sfinae_ctor_base() = default;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base const\x26) = default;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base \x26\x26) = delete;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base const\x26) = default;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base\x26\x26) = default;\x0a"
"};\x0a"
"template <>\x0a"
"struct __sfinae_ctor_base<false, true> {\x0a"
"  __sfinae_ctor_base() = default;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base const\x26) = delete;\x0a"
"  __sfinae_ctor_base(__sfinae_ctor_base \x26\x26) = default;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base const\x26) = default;\x0a"
"  __sfinae_ctor_base\x26 operator=(__sfinae_ctor_base\x26\x26) = default;\x0a"
"};\x0a"
"\x0a"
"template <bool _CanCopy, bool _CanMove>\x0a"
"struct __sfinae_assign_base {};\x0a"
"template <>\x0a"
"struct __sfinae_assign_base<false, false> {\x0a"
"  __sfinae_assign_base() = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base const\x26) = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base \x26\x26) = default;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base const\x26) = delete;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base\x26\x26) = delete;\x0a"
"};\x0a"
"template <>\x0a"
"struct __sfinae_assign_base<true, false> {\x0a"
"  __sfinae_assign_base() = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base const\x26) = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base \x26\x26) = default;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base const\x26) = default;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base\x26\x26) = delete;\x0a"
"};\x0a"
"template <>\x0a"
"struct __sfinae_assign_base<false, true> {\x0a"
"  __sfinae_assign_base() = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base const\x26) = default;\x0a"
"  __sfinae_assign_base(__sfinae_assign_base \x26\x26) = default;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base const\x26) = delete;\x0a"
"  __sfinae_assign_base\x26 operator=(__sfinae_assign_base\x26\x26) = default;\x0a"
"};\x0a"
"#endif // _LIBCPP_STD_VER > 14\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP___TUPLE\x0a"
"", 20618 ); }