#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cerrno( 
"// -*- C++ -*-\x0a"
"//===-------------------------- cerrno ------------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CERRNO\x0a"
"#define _LIBCPP_CERRNO\x0a"
"\x0a"
"/*\x0a"
"    cerrno synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    EDOM\x0a"
"    EILSEQ  // C99\x0a"
"    ERANGE\x0a"
"    errno\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <errno.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#endif  // _LIBCPP_CERRNO\x0a"
"", 669 ); }