#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cfenv( 
"// -*- C++ -*-\x0a"
"//===---------------------------- cfenv -----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CFENV\x0a"
"#define _LIBCPP_CFENV\x0a"
"\x0a"
"/*\x0a"
"    cfenv synopsis\x0a"
"\x0a"
"This entire header is C99 / C++0X\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    FE_DIVBYZERO\x0a"
"    FE_INEXACT\x0a"
"    FE_INVALID\x0a"
"    FE_OVERFLOW\x0a"
"    FE_UNDERFLOW\x0a"
"    FE_ALL_EXCEPT\x0a"
"    FE_DOWNWARD\x0a"
"    FE_TONEAREST\x0a"
"    FE_TOWARDZERO\x0a"
"    FE_UPWARD\x0a"
"    FE_DFL_ENV\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    fenv_t\x0a"
"    fexcept_t\x0a"
"\x0a"
"int feclearexcept(int excepts);\x0a"
"int fegetexceptflag(fexcept_t* flagp, int excepts);\x0a"
"int feraiseexcept(int excepts);\x0a"
"int fesetexceptflag(const fexcept_t* flagp, int excepts);\x0a"
"int fetestexcept(int excepts);\x0a"
"int fegetround();\x0a"
"int fesetround(int round);\x0a"
"int fegetenv(fenv_t* envp);\x0a"
"int feholdexcept(fenv_t* envp);\x0a"
"int fesetenv(const fenv_t* envp);\x0a"
"int feupdateenv(const fenv_t* envp);\x0a"
"\x0a"
"}  // std\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <fenv.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3a""fenv_t;\x0a"
"using \x3a\x3a""fexcept_t;\x0a"
"\x0a"
"using \x3a\x3a""feclearexcept;\x0a"
"using \x3a\x3a""fegetexceptflag;\x0a"
"using \x3a\x3a""feraiseexcept;\x0a"
"using \x3a\x3a""fesetexceptflag;\x0a"
"using \x3a\x3a""fetestexcept;\x0a"
"using \x3a\x3a""fegetround;\x0a"
"using \x3a\x3a""fesetround;\x0a"
"using \x3a\x3a""fegetenv;\x0a"
"using \x3a\x3a""feholdexcept;\x0a"
"using \x3a\x3a""fesetenv;\x0a"
"using \x3a\x3a""feupdateenv;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CFENV\x0a"
"", 1601 ); }