#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_ctime( 
"// -*- C++ -*-\x0a"
"//===---------------------------- ctime -----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CTIME\x0a"
"#define _LIBCPP_CTIME\x0a"
"\x0a"
"/*\x0a"
"    ctime synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    NULL\x0a"
"    CLOCKS_PER_SEC\x0a"
"    TIME_UTC // C++17\x0a"
"    \x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    clock_t\x0a"
"    size_t\x0a"
"    time_t\x0a"
"    tm\x0a"
"    timespec // C++17\x0a"
"    \x0a"
"clock_t clock();\x0a"
"double difftime(time_t time1, time_t time0);\x0a"
"time_t mktime(tm* timeptr);\x0a"
"time_t time(time_t* timer);\x0a"
"char* asctime(const tm* timeptr);\x0a"
"char* ctime(const time_t* timer);\x0a"
"tm*    gmtime(const time_t* timer);\x0a"
"tm* localtime(const time_t* timer);\x0a"
"size_t strftime(char* restrict s, size_t maxsize, const char* restrict format,\x0a"
"                const tm* restrict timeptr);\x0a"
"int timespec_get( struct timespec *ts, int base); // C++17\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <time.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3a""clock_t;\x0a"
"using \x3a\x3asize_t;\x0a"
"using \x3a\x3atime_t;\x0a"
"using \x3a\x3atm;\x0a"
"#if _LIBCPP_STD_VER > 14 \x26\x26 defined(_LIBCPP_HAS_C11_FEATURES)\x0a"
"using \x3a\x3atimespec;\x0a"
"#endif\x0a"
"using \x3a\x3a""clock;\x0a"
"using \x3a\x3a""difftime;\x0a"
"using \x3a\x3amktime;\x0a"
"using \x3a\x3atime;\x0a"
"#ifndef _LIBCPP_HAS_NO_THREAD_UNSAFE_C_FUNCTIONS\x0a"
"using \x3a\x3a""asctime;\x0a"
"using \x3a\x3a""ctime;\x0a"
"using \x3a\x3agmtime;\x0a"
"using \x3a\x3alocaltime;\x0a"
"#endif\x0a"
"using \x3a\x3astrftime;\x0a"
"#if _LIBCPP_STD_VER > 14 \x26\x26 defined(_LIBCPP_HAS_TIMESPEC_GET)\x0a"
"using \x3a\x3atimespec_get;\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CTIME\x0a"
"", 1714 ); }