#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_cwctype( 
"// -*- C++ -*-\x0a"
"//===--------------------------- cwctype ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_CWCTYPE\x0a"
"#define _LIBCPP_CWCTYPE\x0a"
"\x0a"
"/*\x0a"
"    cwctype synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    WEOF\x0a"
"\x0a"
"namespace std\x0a"
"{\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    wint_t\x0a"
"    wctrans_t\x0a"
"    wctype_t\x0a"
"\x0a"
"int iswalnum(wint_t wc);\x0a"
"int iswalpha(wint_t wc);\x0a"
"int iswblank(wint_t wc);  // C99\x0a"
"int iswcntrl(wint_t wc);\x0a"
"int iswdigit(wint_t wc);\x0a"
"int iswgraph(wint_t wc);\x0a"
"int iswlower(wint_t wc);\x0a"
"int iswprint(wint_t wc);\x0a"
"int iswpunct(wint_t wc);\x0a"
"int iswspace(wint_t wc);\x0a"
"int iswupper(wint_t wc);\x0a"
"int iswxdigit(wint_t wc);\x0a"
"int iswctype(wint_t wc, wctype_t desc);\x0a"
"wctype_t wctype(const char* property);\x0a"
"wint_t towlower(wint_t wc);\x0a"
"wint_t towupper(wint_t wc);\x0a"
"wint_t towctrans(wint_t wc, wctrans_t desc);\x0a"
"wctrans_t wctrans(const char* property);\x0a"
"\x0a"
"}  // std\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"#include <cctype>\x0a"
"#include <wctype.h>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"using \x3a\x3awint_t;\x0a"
"using \x3a\x3awctrans_t;\x0a"
"using \x3a\x3awctype_t;\x0a"
"using \x3a\x3aiswalnum;\x0a"
"using \x3a\x3aiswalpha;\x0a"
"using \x3a\x3aiswblank;\x0a"
"using \x3a\x3aiswcntrl;\x0a"
"using \x3a\x3aiswdigit;\x0a"
"using \x3a\x3aiswgraph;\x0a"
"using \x3a\x3aiswlower;\x0a"
"using \x3a\x3aiswprint;\x0a"
"using \x3a\x3aiswpunct;\x0a"
"using \x3a\x3aiswspace;\x0a"
"using \x3a\x3aiswupper;\x0a"
"using \x3a\x3aiswxdigit;\x0a"
"using \x3a\x3aiswctype;\x0a"
"using \x3a\x3awctype;\x0a"
"using \x3a\x3atowlower;\x0a"
"using \x3a\x3atowupper;\x0a"
"using \x3a\x3atowctrans;\x0a"
"using \x3a\x3awctrans;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"\x0a"
"#endif  // _LIBCPP_CWCTYPE\x0a"
"", 1691 ); }