#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_regex( 
"// -*- C++ -*-\x0a"
"//===----------------------------- regex ----------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_REGEX\x0a"
"#define _LIBCPP_EXPERIMENTAL_REGEX\x0a"
"/*\x0a"
"    experimental/regex synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  template <class BidirectionalIterator>\x0a"
"  using match_results =\x0a"
"    std\x3a\x3amatch_results<BidirectionalIterator,\x0a"
"                       polymorphic_allocator<sub_match<BidirectionalIterator>>>;\x0a"
"\x0a"
"  typedef match_results<const char*> cmatch;\x0a"
"  typedef match_results<const wchar_t*> wcmatch;\x0a"
"  typedef match_results<string\x3a\x3a""const_iterator> smatch;\x0a"
"  typedef match_results<wstring\x3a\x3a""const_iterator> wsmatch;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <regex>\x0a"
"#include <experimental/string>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _BiDirIter>\x0a"
"using match_results =\x0a"
"    _VSTD\x3a\x3amatch_results<_BiDirIter,\x0a"
"        polymorphic_allocator<_VSTD\x3a\x3asub_match<_BiDirIter>>>;\x0a"
"\x0a"
"typedef match_results<const char*> cmatch;\x0a"
"typedef match_results<const wchar_t*> wcmatch;\x0a"
"typedef match_results<_VSTD_LFTS_PMR\x3a\x3astring\x3a\x3a""const_iterator> smatch;\x0a"
"typedef match_results<_VSTD_LFTS_PMR\x3a\x3awstring\x3a\x3a""const_iterator> wsmatch;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_REGEX */\x0a"
"", 1793 ); }