#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_experimental_unordered_set( 
"// -*- C++ -*-\x0a"
"//===------------------------- unordered_set ------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_EXPERIMENTAL_UNORDERED_SET\x0a"
"#define _LIBCPP_EXPERIMENTAL_UNORDERED_SET\x0a"
"/*\x0a"
"    experimental/unordered_set synopsis\x0a"
"\x0a"
"// C++1z\x0a"
"namespace std {\x0a"
"namespace experimental {\x0a"
"inline namespace fundamentals_v1 {\x0a"
"namespace pmr {\x0a"
"\x0a"
"  template <class T, class Hash = hash<T>, class Pred = equal_to<T>>\x0a"
"  using unordered_set = std\x3a\x3aunordered_set<T, Hash, Pred,\x0a"
"                       polymorphic_allocator<T>>;\x0a"
"\x0a"
"  template <class T, class Hash = hash<T>, class Pred = equal_to<T>>\x0a"
"  using unordered_multiset = std\x3a\x3aunordered_multiset<T, Hash, Pred,\x0a"
"                       polymorphic_allocator<T>>;\x0a"
"\x0a"
"} // namespace pmr\x0a"
"} // namespace fundamentals_v1\x0a"
"} // namespace experimental\x0a"
"} // namespace std\x0a"
"\x0a"
" */\x0a"
"\x0a"
"#include <experimental/__config>\x0a"
"#include <unordered_set>\x0a"
"#include <experimental/memory_resource>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"template <class _Value,\x0a"
"          class _Hash = hash<_Value>, class _Pred = equal_to<_Value>>\x0a"
"using unordered_set = _VSTD\x3a\x3aunordered_set<_Value, _Hash, _Pred,\x0a"
"                        polymorphic_allocator<_Value>>;\x0a"
"\x0a"
"template <class _Value,\x0a"
"          class _Hash = hash<_Value>, class _Pred = equal_to<_Value>>\x0a"
"using unordered_multiset = _VSTD\x3a\x3aunordered_multiset<_Value, _Hash, _Pred,\x0a"
"                        polymorphic_allocator<_Value>>;\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_LFTS_PMR\x0a"
"\x0a"
"#endif /* _LIBCPP_EXPERIMENTAL_UNORDERED_SET */\x0a"
"", 1825 ); }