#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_inttypes_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- inttypes.h -------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_INTTYPES_H\x0a"
"// AIX system headers need inttypes.h to be re-enterable while _STD_TYPES_T\x0a"
"// is defined until an inclusion of it without _STD_TYPES_T occurs, in which\x0a"
"// case the header guard macro is defined.\x0a"
"#if \x21""defined(_AIX) \x7c\x7c \x21""defined(_STD_TYPES_T)\x0a"
"#define _LIBCPP_INTTYPES_H\x0a"
"#endif // _STD_TYPES_T\x0a"
"\x0a"
"/*\x0a"
"    inttypes.h synopsis\x0a"
"\x0a"
"This entire header is C99 / C++0X\x0a"
"\x0a"
"#include <stdint.h>  // <cinttypes> includes <cstdint>\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    PRId8\x0a"
"    PRId16\x0a"
"    PRId32\x0a"
"    PRId64\x0a"
"\x0a"
"    PRIdLEAST8\x0a"
"    PRIdLEAST16\x0a"
"    PRIdLEAST32\x0a"
"    PRIdLEAST64\x0a"
"\x0a"
"    PRIdFAST8\x0a"
"    PRIdFAST16\x0a"
"    PRIdFAST32\x0a"
"    PRIdFAST64\x0a"
"\x0a"
"    PRIdMAX\x0a"
"    PRIdPTR\x0a"
"\x0a"
"    PRIi8\x0a"
"    PRIi16\x0a"
"    PRIi32\x0a"
"    PRIi64\x0a"
"\x0a"
"    PRIiLEAST8\x0a"
"    PRIiLEAST16\x0a"
"    PRIiLEAST32\x0a"
"    PRIiLEAST64\x0a"
"\x0a"
"    PRIiFAST8\x0a"
"    PRIiFAST16\x0a"
"    PRIiFAST32\x0a"
"    PRIiFAST64\x0a"
"\x0a"
"    PRIiMAX\x0a"
"    PRIiPTR\x0a"
"\x0a"
"    PRIo8\x0a"
"    PRIo16\x0a"
"    PRIo32\x0a"
"    PRIo64\x0a"
"\x0a"
"    PRIoLEAST8\x0a"
"    PRIoLEAST16\x0a"
"    PRIoLEAST32\x0a"
"    PRIoLEAST64\x0a"
"\x0a"
"    PRIoFAST8\x0a"
"    PRIoFAST16\x0a"
"    PRIoFAST32\x0a"
"    PRIoFAST64\x0a"
"\x0a"
"    PRIoMAX\x0a"
"    PRIoPTR\x0a"
"\x0a"
"    PRIu8\x0a"
"    PRIu16\x0a"
"    PRIu32\x0a"
"    PRIu64\x0a"
"\x0a"
"    PRIuLEAST8\x0a"
"    PRIuLEAST16\x0a"
"    PRIuLEAST32\x0a"
"    PRIuLEAST64\x0a"
"\x0a"
"    PRIuFAST8\x0a"
"    PRIuFAST16\x0a"
"    PRIuFAST32\x0a"
"    PRIuFAST64\x0a"
"\x0a"
"    PRIuMAX\x0a"
"    PRIuPTR\x0a"
"\x0a"
"    PRIx8\x0a"
"    PRIx16\x0a"
"    PRIx32\x0a"
"    PRIx64\x0a"
"\x0a"
"    PRIxLEAST8\x0a"
"    PRIxLEAST16\x0a"
"    PRIxLEAST32\x0a"
"    PRIxLEAST64\x0a"
"\x0a"
"    PRIxFAST8\x0a"
"    PRIxFAST16\x0a"
"    PRIxFAST32\x0a"
"    PRIxFAST64\x0a"
"\x0a"
"    PRIxMAX\x0a"
"    PRIxPTR\x0a"
"\x0a"
"    PRIX8\x0a"
"    PRIX16\x0a"
"    PRIX32\x0a"
"    PRIX64\x0a"
"\x0a"
"    PRIXLEAST8\x0a"
"    PRIXLEAST16\x0a"
"    PRIXLEAST32\x0a"
"    PRIXLEAST64\x0a"
"\x0a"
"    PRIXFAST8\x0a"
"    PRIXFAST16\x0a"
"    PRIXFAST32\x0a"
"    PRIXFAST64\x0a"
"\x0a"
"    PRIXMAX\x0a"
"    PRIXPTR\x0a"
"\x0a"
"    SCNd8\x0a"
"    SCNd16\x0a"
"    SCNd32\x0a"
"    SCNd64\x0a"
"\x0a"
"    SCNdLEAST8\x0a"
"    SCNdLEAST16\x0a"
"    SCNdLEAST32\x0a"
"    SCNdLEAST64\x0a"
"\x0a"
"    SCNdFAST8\x0a"
"    SCNdFAST16\x0a"
"    SCNdFAST32\x0a"
"    SCNdFAST64\x0a"
"\x0a"
"    SCNdMAX\x0a"
"    SCNdPTR\x0a"
"\x0a"
"    SCNi8\x0a"
"    SCNi16\x0a"
"    SCNi32\x0a"
"    SCNi64\x0a"
"\x0a"
"    SCNiLEAST8\x0a"
"    SCNiLEAST16\x0a"
"    SCNiLEAST32\x0a"
"    SCNiLEAST64\x0a"
"\x0a"
"    SCNiFAST8\x0a"
"    SCNiFAST16\x0a"
"    SCNiFAST32\x0a"
"    SCNiFAST64\x0a"
"\x0a"
"    SCNiMAX\x0a"
"    SCNiPTR\x0a"
"\x0a"
"    SCNo8\x0a"
"    SCNo16\x0a"
"    SCNo32\x0a"
"    SCNo64\x0a"
"\x0a"
"    SCNoLEAST8\x0a"
"    SCNoLEAST16\x0a"
"    SCNoLEAST32\x0a"
"    SCNoLEAST64\x0a"
"\x0a"
"    SCNoFAST8\x0a"
"    SCNoFAST16\x0a"
"    SCNoFAST32\x0a"
"    SCNoFAST64\x0a"
"\x0a"
"    SCNoMAX\x0a"
"    SCNoPTR\x0a"
"\x0a"
"    SCNu8\x0a"
"    SCNu16\x0a"
"    SCNu32\x0a"
"    SCNu64\x0a"
"\x0a"
"    SCNuLEAST8\x0a"
"    SCNuLEAST16\x0a"
"    SCNuLEAST32\x0a"
"    SCNuLEAST64\x0a"
"\x0a"
"    SCNuFAST8\x0a"
"    SCNuFAST16\x0a"
"    SCNuFAST32\x0a"
"    SCNuFAST64\x0a"
"\x0a"
"    SCNuMAX\x0a"
"    SCNuPTR\x0a"
"\x0a"
"    SCNx8\x0a"
"    SCNx16\x0a"
"    SCNx32\x0a"
"    SCNx64\x0a"
"\x0a"
"    SCNxLEAST8\x0a"
"    SCNxLEAST16\x0a"
"    SCNxLEAST32\x0a"
"    SCNxLEAST64\x0a"
"\x0a"
"    SCNxFAST8\x0a"
"    SCNxFAST16\x0a"
"    SCNxFAST32\x0a"
"    SCNxFAST64\x0a"
"\x0a"
"    SCNxMAX\x0a"
"    SCNxPTR\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    imaxdiv_t\x0a"
"\x0a"
"intmax_t  imaxabs(intmax_t j);\x0a"
"imaxdiv_t imaxdiv(intmax_t numer, intmax_t denom);\x0a"
"intmax_t  strtoimax(const char* restrict nptr, char** restrict endptr, int base);\x0a"
"uintmax_t strtoumax(const char* restrict nptr, char** restrict endptr, int base);\x0a"
"intmax_t  wcstoimax(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"uintmax_t wcstoumax(const wchar_t* restrict nptr, wchar_t** restrict endptr, int base);\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"/* C99 stdlib (e.g. glibc < 2.18) does not provide format macros needed\x0a"
"   for C++11 unless __STDC_FORMAT_MACROS is defined\x0a"
"*/\x0a"
"#if defined(__cplusplus) \x26\x26 \x21""defined(__STDC_FORMAT_MACROS)\x0a"
"#   define __STDC_FORMAT_MACROS\x0a"
"#endif\x0a"
"\x0a"
"#include_next <inttypes.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#undef imaxabs\x0a"
"#undef imaxdiv\x0a"
"\x0a"
"#endif // __cplusplus\x0a"
"\x0a"
"#endif  // _LIBCPP_INTTYPES_H\x0a"
"", 3889 ); }