#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_limits_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- limits.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_LIMITS_H\x0a"
"#define _LIBCPP_LIMITS_H\x0a"
"\x0a"
"/*\x0a"
"    limits.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    CHAR_BIT\x0a"
"    SCHAR_MIN\x0a"
"    SCHAR_MAX\x0a"
"    UCHAR_MAX\x0a"
"    CHAR_MIN\x0a"
"    CHAR_MAX\x0a"
"    MB_LEN_MAX\x0a"
"    SHRT_MIN\x0a"
"    SHRT_MAX\x0a"
"    USHRT_MAX\x0a"
"    INT_MIN\x0a"
"    INT_MAX\x0a"
"    UINT_MAX\x0a"
"    LONG_MIN\x0a"
"    LONG_MAX\x0a"
"    ULONG_MAX\x0a"
"    LLONG_MIN   // C99\x0a"
"    LLONG_MAX   // C99\x0a"
"    ULLONG_MAX  // C99\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#ifndef __GNUC__\x0a"
"#include_next <limits.h>\x0a"
"#else\x0a"
"// GCC header limits.h recursively includes itself through another header called\x0a"
"// syslimits.h for some reason. This setup breaks down if we directly\x0a"
"// #include_next GCC's limits.h (reasons not entirely clear to me). Therefore,\x0a"
"// we manually re-create the necessary include sequence below\x3a\x0a"
"\x0a"
"// Get the system limits.h defines (force recurse into the next level)\x0a"
"#define _GCC_LIMITS_H_\x0a"
"#define _GCC_NEXT_LIMITS_H\x0a"
"#include_next <limits.h>\x0a"
"\x0a"
"// Get the ISO C defines\x0a"
"#undef _GCC_LIMITS_H_\x0a"
"#include_next <limits.h>\x0a"
"#endif // __GNUC__\x0a"
"\x0a"
"#endif  // _LIBCPP_LIMITS_H\x0a"
"", 1472 ); }