#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_setjmp_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- setjmp.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_SETJMP_H\x0a"
"#define _LIBCPP_SETJMP_H\x0a"
"\x0a"
"/*\x0a"
"    setjmp.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    setjmp\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    jmp_buf\x0a"
"\x0a"
"void longjmp(jmp_buf env, int val);\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <setjmp.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#ifndef setjmp\x0a"
"#define setjmp(env) setjmp(env)\x0a"
"#endif\x0a"
"\x0a"
"#endif // __cplusplus\x0a"
"\x0a"
"#endif  // _LIBCPP_SETJMP_H\x0a"
"", 802 ); }