#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_stdbool_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- stdbool.h --------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"#ifndef _LIBCPP_STDBOOL_H\x0a"
"#define _LIBCPP_STDBOOL_H\x0a"
"\x0a"
"\x0a"
"/*\x0a"
"    stdbool.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    __bool_true_false_are_defined\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stdbool.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"#undef bool\x0a"
"#undef true\x0a"
"#undef false\x0a"
"#undef __bool_true_false_are_defined\x0a"
"#define __bool_true_false_are_defined 1\x0a"
"#endif\x0a"
"\x0a"
"#endif  // _LIBCPP_STDBOOL_H\x0a"
"", 815 ); }