#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_stddef_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- stddef.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#if defined(__need_ptrdiff_t) \x7c\x7c defined(__need_size_t) \x7c\x7c \x5c\x0a"
"    defined(__need_wchar_t) \x7c\x7c defined(__need_NULL) \x7c\x7c defined(__need_wint_t)\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stddef.h>\x0a"
"\x0a"
"#elif \x21""defined(_LIBCPP_STDDEF_H)\x0a"
"#define _LIBCPP_STDDEF_H\x0a"
"\x0a"
"/*\x0a"
"    stddef.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    offsetof(type,member-designator)\x0a"
"    NULL\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    ptrdiff_t\x0a"
"    size_t\x0a"
"    max_align_t\x0a"
"    nullptr_t\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <stddef.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"extern \x22""C++\x22 {\x0a"
"#include <__nullptr>\x0a"
"using std\x3a\x3anullptr_t;\x0a"
"}\x0a"
"\x0a"
"// Re-use the compiler's <stddef.h> max_align_t where possible.\x0a"
"#if \x21""defined(__CLANG_MAX_ALIGN_T_DEFINED) \x26\x26 \x21""defined(_GCC_MAX_ALIGN_T) \x26\x26 \x5c\x0a"
"    \x21""defined(__DEFINED_max_align_t) \x26\x26 \x21""defined(__NetBSD__)\x0a"
"typedef long double max_align_t;\x0a"
"#endif\x0a"
"\x0a"
"#endif\x0a"
"\x0a"
"#endif  // _LIBCPP_STDDEF_H\x0a"
"", 1334 ); }