#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_support_xlocale___strtonum_fallback_h( 
"// -*- C++ -*-\x0a"
"//===-------------- support/xlocale/__strtonum_fallback.h -----------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"// These are reimplementations of some extended locale functions ( *_l ) that\x0a"
"// aren't part of POSIX.  They are widely available though (GLIBC, BSD, maybe\x0a"
"// others).  The unifying aspect in this case is that all of these functions\x0a"
"// convert strings to some numeric type.\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_SUPPORT_XLOCALE_STRTONUM_FALLBACK_H\x0a"
"#define _LIBCPP_SUPPORT_XLOCALE_STRTONUM_FALLBACK_H\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"extern \x22""C\x22 {\x0a"
"#endif\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY float strtof_l(const char *nptr,\x0a"
"                                                char **endptr, locale_t) {\x0a"
"  return \x3a\x3astrtof(nptr, endptr);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY double strtod_l(const char *nptr,\x0a"
"                                                 char **endptr, locale_t) {\x0a"
"  return \x3a\x3astrtod(nptr, endptr);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY long double strtold_l(const char *nptr,\x0a"
"                                                       char **endptr, locale_t) {\x0a"
"  return \x3a\x3astrtold(nptr, endptr);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY long long\x0a"
"strtoll_l(const char *nptr, char **endptr, int base, locale_t) {\x0a"
"  return \x3a\x3astrtoll(nptr, endptr, base);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY unsigned long long\x0a"
"strtoull_l(const char *nptr, char **endptr, int base, locale_t) {\x0a"
"  return \x3a\x3astrtoull(nptr, endptr, base);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY long long\x0a"
"wcstoll_l(const wchar_t *nptr, wchar_t **endptr, int base, locale_t) {\x0a"
"  return \x3a\x3awcstoll(nptr, endptr, base);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY unsigned long long\x0a"
"wcstoull_l(const wchar_t *nptr, wchar_t **endptr, int base, locale_t) {\x0a"
"  return \x3a\x3awcstoull(nptr, endptr, base);\x0a"
"}\x0a"
"\x0a"
"inline _LIBCPP_INLINE_VISIBILITY long double wcstold_l(const wchar_t *nptr,\x0a"
"                                                       wchar_t **endptr, locale_t) {\x0a"
"  return \x3a\x3awcstold(nptr, endptr);\x0a"
"}\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"}\x0a"
"#endif\x0a"
"\x0a"
"#endif // _LIBCPP_SUPPORT_XLOCALE_STRTONUM_FALLBACK_H\x0a"
"", 2352 ); }