#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_include_wctype_h( 
"// -*- C++ -*-\x0a"
"//===--------------------------- wctype.h ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _LIBCPP_WCTYPE_H\x0a"
"#define _LIBCPP_WCTYPE_H\x0a"
"\x0a"
"/*\x0a"
"    wctype.h synopsis\x0a"
"\x0a"
"Macros\x3a\x0a"
"\x0a"
"    WEOF\x0a"
"\x0a"
"Types\x3a\x0a"
"\x0a"
"    wint_t\x0a"
"    wctrans_t\x0a"
"    wctype_t\x0a"
"\x0a"
"int iswalnum(wint_t wc);\x0a"
"int iswalpha(wint_t wc);\x0a"
"int iswblank(wint_t wc);  // C99\x0a"
"int iswcntrl(wint_t wc);\x0a"
"int iswdigit(wint_t wc);\x0a"
"int iswgraph(wint_t wc);\x0a"
"int iswlower(wint_t wc);\x0a"
"int iswprint(wint_t wc);\x0a"
"int iswpunct(wint_t wc);\x0a"
"int iswspace(wint_t wc);\x0a"
"int iswupper(wint_t wc);\x0a"
"int iswxdigit(wint_t wc);\x0a"
"int iswctype(wint_t wc, wctype_t desc);\x0a"
"wctype_t wctype(const char* property);\x0a"
"wint_t towlower(wint_t wc);\x0a"
"wint_t towupper(wint_t wc);\x0a"
"wint_t towctrans(wint_t wc, wctrans_t desc);\x0a"
"wctrans_t wctrans(const char* property);\x0a"
"\x0a"
"*/\x0a"
"\x0a"
"#include <__config>\x0a"
"\x0a"
"#if \x21""defined(_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER)\x0a"
"#pragma GCC system_header\x0a"
"#endif\x0a"
"\x0a"
"#include_next <wctype.h>\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"#undef iswalnum\x0a"
"#undef iswalpha\x0a"
"#undef iswblank\x0a"
"#undef iswcntrl\x0a"
"#undef iswdigit\x0a"
"#undef iswgraph\x0a"
"#undef iswlower\x0a"
"#undef iswprint\x0a"
"#undef iswpunct\x0a"
"#undef iswspace\x0a"
"#undef iswupper\x0a"
"#undef iswxdigit\x0a"
"#undef iswctype\x0a"
"#undef wctype\x0a"
"#undef towlower\x0a"
"#undef towupper\x0a"
"#undef towctrans\x0a"
"#undef wctrans\x0a"
"\x0a"
"#endif  // __cplusplus\x0a"
"\x0a"
"#endif  // _LIBCPP_WCTYPE_H\x0a"
"", 1554 ); }