#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_src_debug_cpp( 
"//===-------------------------- debug.cpp ---------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#include \x22__config\x22\x0a"
"#include \x22__debug\x22\x0a"
"#include \x22""functional\x22\x0a"
"#include \x22""algorithm\x22\x0a"
"#include \x22string\x22\x0a"
"#include \x22""cstdio\x22\x0a"
"#include \x22__hash_table\x22\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"#include \x22mutex\x22\x0a"
"#if defined(__unix__) \x26\x26  defined(__ELF__) \x26\x26 defined(_LIBCPP_HAS_COMMENT_LIB_PRAGMA)\x0a"
"#pragma comment(lib, \x22pthread\x22)\x0a"
"#endif\x0a"
"#endif\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"std\x3a\x3astring __libcpp_debug_info\x3a\x3awhat() const {\x0a"
"  string msg = __file_;\x0a"
"  msg += \x22\x3a\x22 + to_string(__line_) + \x22\x3a _LIBCPP_ASSERT '\x22;\x0a"
"  msg += __pred_;\x0a"
"  msg += \x22' failed. \x22;\x0a"
"  msg += __msg_;\x0a"
"  return msg;\x0a"
"}\x0a"
"_LIBCPP_NORETURN void __libcpp_abort_debug_function(__libcpp_debug_info const\x26 info) {\x0a"
"    std\x3a\x3a""fprintf(stderr, \x22\x25s\x5cn\x22, info.what().c_str());\x0a"
"    std\x3a\x3a""abort();\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_SAFE_STATIC __libcpp_debug_function_type\x0a"
"    __libcpp_debug_function = __libcpp_abort_debug_function;\x0a"
"\x0a"
"bool __libcpp_set_debug_function(__libcpp_debug_function_type __func) {\x0a"
"  __libcpp_debug_function = __func;\x0a"
"  return true;\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_FUNC_VIS\x0a"
"__libcpp_db*\x0a"
"__get_db()\x0a"
"{\x0a"
"    static _LIBCPP_NO_DESTROY __libcpp_db db;\x0a"
"    return \x26""db;\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_FUNC_VIS\x0a"
"const __libcpp_db*\x0a"
"__get_const_db()\x0a"
"{\x0a"
"    return __get_db();\x0a"
"}\x0a"
"\x0a"
"namespace\x0a"
"{\x0a"
"\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"typedef mutex mutex_type;\x0a"
"typedef lock_guard<mutex_type> WLock;\x0a"
"typedef lock_guard<mutex_type> RLock;\x0a"
"\x0a"
"mutex_type\x26\x0a"
"mut()\x0a"
"{\x0a"
"    static _LIBCPP_NO_DESTROY mutex_type m;\x0a"
"    return m;\x0a"
"}\x0a"
"#endif // \x21_LIBCPP_HAS_NO_THREADS\x0a"
"\x0a"
"}  // unnamed namespace\x0a"
"\x0a"
"__i_node\x3a\x3a\x7e__i_node()\x0a"
"{\x0a"
"    if (__next_)\x0a"
"    {\x0a"
"        __next_->\x7e__i_node();\x0a"
"        free(__next_);\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"__c_node\x3a\x3a\x7e__c_node()\x0a"
"{\x0a"
"    free(beg_);\x0a"
"    if (__next_)\x0a"
"    {\x0a"
"        __next_->\x7e__c_node();\x0a"
"        free(__next_);\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"__libcpp_db\x3a\x3a__libcpp_db()\x0a"
"    \x3a __cbeg_(nullptr),\x0a"
"      __cend_(nullptr),\x0a"
"      __csz_(0),\x0a"
"      __ibeg_(nullptr),\x0a"
"      __iend_(nullptr),\x0a"
"      __isz_(0)\x0a"
"{\x0a"
"}\x0a"
"\x0a"
"__libcpp_db\x3a\x3a\x7e__libcpp_db()\x0a"
"{\x0a"
"    if (__cbeg_)\x0a"
"    {\x0a"
"        for (__c_node** p = __cbeg_; p \x21= __cend_; ++p)\x0a"
"        {\x0a"
"            if (*p \x21= nullptr)\x0a"
"            {\x0a"
"                (*p)->\x7e__c_node();\x0a"
"                free(*p);\x0a"
"            }\x0a"
"        }\x0a"
"        free(__cbeg_);\x0a"
"    }\x0a"
"    if (__ibeg_)\x0a"
"    {\x0a"
"        for (__i_node** p = __ibeg_; p \x21= __iend_; ++p)\x0a"
"        {\x0a"
"            if (*p \x21= nullptr)\x0a"
"            {\x0a"
"                (*p)->\x7e__i_node();\x0a"
"                free(*p);\x0a"
"            }\x0a"
"        }\x0a"
"        free(__ibeg_);\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"void*\x0a"
"__libcpp_db\x3a\x3a__find_c_from_i(void* __i) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    _LIBCPP_ASSERT(i \x21= nullptr, \x22iterator not found in debug database.\x22);\x0a"
"    return i->__c_ \x21= nullptr \x3f i->__c_->__c_ \x3a nullptr;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__insert_ic(void* __i, const void* __c)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    if (__cbeg_ == __cend_)\x0a"
"        return;\x0a"
"    size_t hc = hash<const void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* c = __cbeg_\x5bhc\x5d;\x0a"
"    if (c == nullptr)\x0a"
"        return;\x0a"
"    while (c->__c_ \x21= __c)\x0a"
"    {\x0a"
"        c = c->__next_;\x0a"
"        if (c == nullptr)\x0a"
"            return;\x0a"
"    }\x0a"
"    __i_node* i = __insert_iterator(__i);\x0a"
"    c->__add(i);\x0a"
"    i->__c_ = c;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__insert_c(void* __c, __libcpp_db\x3a\x3a_InsertConstruct *__fn)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    if (__csz_ + 1 > static_cast<size_t>(__cend_ - __cbeg_))\x0a"
"    {\x0a"
"        size_t nc = __next_prime(2*static_cast<size_t>(__cend_ - __cbeg_) + 1);\x0a"
"        __c_node** cbeg = static_cast<__c_node**>(calloc(nc, sizeof(__c_node*)));\x0a"
"        if (cbeg == nullptr)\x0a"
"            __throw_bad_alloc();\x0a"
"\x0a"
"        for (__c_node** p = __cbeg_; p \x21= __cend_; ++p)\x0a"
"        {\x0a"
"            __c_node* q = *p;\x0a"
"            while (q \x21= nullptr)\x0a"
"            {\x0a"
"                size_t h = hash<void*>()(q->__c_) \x25 nc;\x0a"
"                __c_node* r = q->__next_;\x0a"
"                q->__next_ = cbeg\x5bh\x5d;\x0a"
"                cbeg\x5bh\x5d = q;\x0a"
"                q = r;\x0a"
"            }\x0a"
"        }\x0a"
"        free(__cbeg_);\x0a"
"        __cbeg_ = cbeg;\x0a"
"        __cend_ = __cbeg_ + nc;\x0a"
"    }\x0a"
"    size_t hc = hash<void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* p = __cbeg_\x5bhc\x5d;\x0a"
"    void *buf = malloc(sizeof(__c_node));\x0a"
"    if (buf == nullptr)\x0a"
"      __throw_bad_alloc();\x0a"
"    __cbeg_\x5bhc\x5d = __fn(buf, __c, p);\x0a"
"\x0a"
"    ++__csz_;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__erase_i(void* __i)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    if (__ibeg_ \x21= __iend_)\x0a"
"    {\x0a"
"        size_t hi = hash<void*>()(__i) \x25 static_cast<size_t>(__iend_ - __ibeg_);\x0a"
"        __i_node* p = __ibeg_\x5bhi\x5d;\x0a"
"        if (p \x21= nullptr)\x0a"
"        {\x0a"
"            __i_node* q = nullptr;\x0a"
"            while (p->__i_ \x21= __i)\x0a"
"            {\x0a"
"                q = p;\x0a"
"                p = p->__next_;\x0a"
"                if (p == nullptr)\x0a"
"                    return;\x0a"
"            }\x0a"
"            if (q == nullptr)\x0a"
"                __ibeg_\x5bhi\x5d = p->__next_;\x0a"
"            else\x0a"
"                q->__next_ = p->__next_;\x0a"
"            __c_node* c = p->__c_;\x0a"
"            --__isz_;\x0a"
"            if (c \x21= nullptr)\x0a"
"                c->__remove(p);\x0a"
"            free(p);\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__invalidate_all(void* __c)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    if (__cend_ \x21= __cbeg_)\x0a"
"    {\x0a"
"        size_t hc = hash<void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"        __c_node* p = __cbeg_\x5bhc\x5d;\x0a"
"        if (p == nullptr)\x0a"
"            return;\x0a"
"        while (p->__c_ \x21= __c)\x0a"
"        {\x0a"
"            p = p->__next_;\x0a"
"            if (p == nullptr)\x0a"
"                return;\x0a"
"        }\x0a"
"        while (p->end_ \x21= p->beg_)\x0a"
"        {\x0a"
"            --p->end_;\x0a"
"            (*p->end_)->__c_ = nullptr;\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"__c_node*\x0a"
"__libcpp_db\x3a\x3a__find_c_and_lock(void* __c) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    mut().lock();\x0a"
"#endif\x0a"
"    if (__cend_ == __cbeg_)\x0a"
"    {\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"        mut().unlock();\x0a"
"#endif\x0a"
"        return nullptr;\x0a"
"    }\x0a"
"    size_t hc = hash<void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* p = __cbeg_\x5bhc\x5d;\x0a"
"    if (p == nullptr)\x0a"
"    {\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"        mut().unlock();\x0a"
"#endif\x0a"
"        return nullptr;\x0a"
"    }\x0a"
"    while (p->__c_ \x21= __c)\x0a"
"    {\x0a"
"        p = p->__next_;\x0a"
"        if (p == nullptr)\x0a"
"        {\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"            mut().unlock();\x0a"
"#endif\x0a"
"            return nullptr;\x0a"
"        }\x0a"
"    }\x0a"
"    return p;\x0a"
"}\x0a"
"\x0a"
"__c_node*\x0a"
"__libcpp_db\x3a\x3a__find_c(void* __c) const\x0a"
"{\x0a"
"    size_t hc = hash<void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* p = __cbeg_\x5bhc\x5d;\x0a"
"    _LIBCPP_ASSERT(p \x21= nullptr, \x22""debug mode internal logic error __find_c A\x22);\x0a"
"    while (p->__c_ \x21= __c)\x0a"
"    {\x0a"
"        p = p->__next_;\x0a"
"        _LIBCPP_ASSERT(p \x21= nullptr, \x22""debug mode internal logic error __find_c B\x22);\x0a"
"    }\x0a"
"    return p;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3aunlock() const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    mut().unlock();\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__erase_c(void* __c)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    if (__cend_ \x21= __cbeg_)\x0a"
"    {\x0a"
"        size_t hc = hash<void*>()(__c) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"        __c_node* p = __cbeg_\x5bhc\x5d;\x0a"
"        if (p == nullptr)\x0a"
"            return;\x0a"
"        __c_node* q = nullptr;\x0a"
"        _LIBCPP_ASSERT(p \x21= nullptr, \x22""debug mode internal logic error __erase_c A\x22);\x0a"
"        while (p->__c_ \x21= __c)\x0a"
"        {\x0a"
"            q = p;\x0a"
"            p = p->__next_;\x0a"
"            if (p == nullptr)\x0a"
"                return;\x0a"
"            _LIBCPP_ASSERT(p \x21= nullptr, \x22""debug mode internal logic error __erase_c B\x22);\x0a"
"        }\x0a"
"        if (q == nullptr)\x0a"
"            __cbeg_\x5bhc\x5d = p->__next_;\x0a"
"        else\x0a"
"            q->__next_ = p->__next_;\x0a"
"        while (p->end_ \x21= p->beg_)\x0a"
"        {\x0a"
"            --p->end_;\x0a"
"            (*p->end_)->__c_ = nullptr;\x0a"
"        }\x0a"
"        free(p->beg_);\x0a"
"        free(p);\x0a"
"        --__csz_;\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__iterator_copy(void* __i, const void* __i0)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    __i_node* i0 = __find_iterator(__i0);\x0a"
"    __c_node* c0 = i0 \x21= nullptr \x3f i0->__c_ \x3a nullptr;\x0a"
"    if (i == nullptr \x26\x26 i0 \x21= nullptr)\x0a"
"        i = __insert_iterator(__i);\x0a"
"    __c_node* c = i \x21= nullptr \x3f i->__c_ \x3a nullptr;\x0a"
"    if (c \x21= c0)\x0a"
"    {\x0a"
"        if (c \x21= nullptr)\x0a"
"            c->__remove(i);\x0a"
"        if (i \x21= nullptr)\x0a"
"        {\x0a"
"            i->__c_ = nullptr;\x0a"
"            if (c0 \x21= nullptr)\x0a"
"            {\x0a"
"                i->__c_ = c0;\x0a"
"                i->__c_->__add(i);\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__libcpp_db\x3a\x3a__dereferenceable(const void* __i) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    return i \x21= nullptr \x26\x26 i->__c_ \x21= nullptr \x26\x26 i->__c_->__dereferenceable(__i);\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__libcpp_db\x3a\x3a__decrementable(const void* __i) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    return i \x21= nullptr \x26\x26 i->__c_ \x21= nullptr \x26\x26 i->__c_->__decrementable(__i);\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__libcpp_db\x3a\x3a__addable(const void* __i, ptrdiff_t __n) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    return i \x21= nullptr \x26\x26 i->__c_ \x21= nullptr \x26\x26 i->__c_->__addable(__i, __n);\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__libcpp_db\x3a\x3a__subscriptable(const void* __i, ptrdiff_t __n) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    return i \x21= nullptr \x26\x26 i->__c_ \x21= nullptr \x26\x26 i->__c_->__subscriptable(__i, __n);\x0a"
"}\x0a"
"\x0a"
"bool\x0a"
"__libcpp_db\x3a\x3a__less_than_comparable(const void* __i, const void* __j) const\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    RLock _(mut());\x0a"
"#endif\x0a"
"    __i_node* i = __find_iterator(__i);\x0a"
"    __i_node* j = __find_iterator(__j);\x0a"
"    __c_node* ci = i \x21= nullptr \x3f i->__c_ \x3a nullptr;\x0a"
"    __c_node* cj = j \x21= nullptr \x3f j->__c_ \x3a nullptr;\x0a"
"    return ci \x21= nullptr \x26\x26 ci == cj;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3aswap(void* c1, void* c2)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    size_t hc = hash<void*>()(c1) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* p1 = __cbeg_\x5bhc\x5d;\x0a"
"    _LIBCPP_ASSERT(p1 \x21= nullptr, \x22""debug mode internal logic error swap A\x22);\x0a"
"    while (p1->__c_ \x21= c1)\x0a"
"    {\x0a"
"        p1 = p1->__next_;\x0a"
"        _LIBCPP_ASSERT(p1 \x21= nullptr, \x22""debug mode internal logic error swap B\x22);\x0a"
"    }\x0a"
"    hc = hash<void*>()(c2) \x25 static_cast<size_t>(__cend_ - __cbeg_);\x0a"
"    __c_node* p2 = __cbeg_\x5bhc\x5d;\x0a"
"    _LIBCPP_ASSERT(p2 \x21= nullptr, \x22""debug mode internal logic error swap C\x22);\x0a"
"    while (p2->__c_ \x21= c2)\x0a"
"    {\x0a"
"        p2 = p2->__next_;\x0a"
"        _LIBCPP_ASSERT(p2 \x21= nullptr, \x22""debug mode internal logic error swap D\x22);\x0a"
"    }\x0a"
"    std\x3a\x3aswap(p1->beg_, p2->beg_);\x0a"
"    std\x3a\x3aswap(p1->end_, p2->end_);\x0a"
"    std\x3a\x3aswap(p1->cap_, p2->cap_);\x0a"
"    for (__i_node** p = p1->beg_; p \x21= p1->end_; ++p)\x0a"
"        (*p)->__c_ = p1;\x0a"
"    for (__i_node** p = p2->beg_; p \x21= p2->end_; ++p)\x0a"
"        (*p)->__c_ = p2;\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__libcpp_db\x3a\x3a__insert_i(void* __i)\x0a"
"{\x0a"
"#ifndef _LIBCPP_HAS_NO_THREADS\x0a"
"    WLock _(mut());\x0a"
"#endif\x0a"
"    __insert_iterator(__i);\x0a"
"}\x0a"
"\x0a"
"void\x0a"
"__c_node\x3a\x3a__add(__i_node* i)\x0a"
"{\x0a"
"    if (end_ == cap_)\x0a"
"    {\x0a"
"        size_t nc = 2*static_cast<size_t>(cap_ - beg_);\x0a"
"        if (nc == 0)\x0a"
"            nc = 1;\x0a"
"        __i_node** beg =\x0a"
"           static_cast<__i_node**>(malloc(nc * sizeof(__i_node*)));\x0a"
"        if (beg == nullptr)\x0a"
"            __throw_bad_alloc();\x0a"
"\x0a"
"        if (nc > 1)\x0a"
"            memcpy(beg, beg_, nc/2*sizeof(__i_node*));\x0a"
"        free(beg_);\x0a"
"        beg_ = beg;\x0a"
"        end_ = beg_ + nc/2;\x0a"
"        cap_ = beg_ + nc;\x0a"
"    }\x0a"
"    *end_++ = i;\x0a"
"}\x0a"
"\x0a"
"// private api\x0a"
"\x0a"
"_LIBCPP_HIDDEN\x0a"
"__i_node*\x0a"
"__libcpp_db\x3a\x3a__insert_iterator(void* __i)\x0a"
"{\x0a"
"    if (__isz_ + 1 > static_cast<size_t>(__iend_ - __ibeg_))\x0a"
"    {\x0a"
"        size_t nc = __next_prime(2*static_cast<size_t>(__iend_ - __ibeg_) + 1);\x0a"
"        __i_node** ibeg = static_cast<__i_node**>(calloc(nc, sizeof(__i_node*)));\x0a"
"        if (ibeg == nullptr)\x0a"
"            __throw_bad_alloc();\x0a"
"\x0a"
"        for (__i_node** p = __ibeg_; p \x21= __iend_; ++p)\x0a"
"        {\x0a"
"            __i_node* q = *p;\x0a"
"            while (q \x21= nullptr)\x0a"
"            {\x0a"
"                size_t h = hash<void*>()(q->__i_) \x25 nc;\x0a"
"                __i_node* r = q->__next_;\x0a"
"                q->__next_ = ibeg\x5bh\x5d;\x0a"
"                ibeg\x5bh\x5d = q;\x0a"
"                q = r;\x0a"
"            }\x0a"
"        }\x0a"
"        free(__ibeg_);\x0a"
"        __ibeg_ = ibeg;\x0a"
"        __iend_ = __ibeg_ + nc;\x0a"
"    }\x0a"
"    size_t hi = hash<void*>()(__i) \x25 static_cast<size_t>(__iend_ - __ibeg_);\x0a"
"    __i_node* p = __ibeg_\x5bhi\x5d;\x0a"
"    __i_node* r = __ibeg_\x5bhi\x5d =\x0a"
"      static_cast<__i_node*>(malloc(sizeof(__i_node)));\x0a"
"    if (r == nullptr)\x0a"
"        __throw_bad_alloc();\x0a"
"\x0a"
"    \x3a\x3anew(r) __i_node(__i, p, nullptr);\x0a"
"    ++__isz_;\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_HIDDEN\x0a"
"__i_node*\x0a"
"__libcpp_db\x3a\x3a__find_iterator(const void* __i) const\x0a"
"{\x0a"
"    __i_node* r = nullptr;\x0a"
"    if (__ibeg_ \x21= __iend_)\x0a"
"    {\x0a"
"        size_t h = hash<const void*>()(__i) \x25 static_cast<size_t>(__iend_ - __ibeg_);\x0a"
"        for (__i_node* nd = __ibeg_\x5bh\x5d; nd \x21= nullptr; nd = nd->__next_)\x0a"
"        {\x0a"
"            if (nd->__i_ == __i)\x0a"
"            {\x0a"
"                r = nd;\x0a"
"                break;\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    return r;\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_HIDDEN\x0a"
"void\x0a"
"__c_node\x3a\x3a__remove(__i_node* p)\x0a"
"{\x0a"
"    __i_node** r = find(beg_, end_, p);\x0a"
"    _LIBCPP_ASSERT(r \x21= end_, \x22""debug mode internal logic error __c_node\x3a\x3a__remove\x22);\x0a"
"    if (--end_ \x21= r)\x0a"
"        memmove(r, r+1, static_cast<size_t>(end_ - r)*sizeof(__i_node*));\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"", 13720 ); }