#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxx_src_valarray_cpp( 
"//===------------------------ valarray.cpp --------------------------------===//\x0a"
"//\x0a"
"// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.\x0a"
"// See https\x3a//llvm.org/LICENSE.txt for license information.\x0a"
"// SPDX-License-Identifier\x3a Apache-2.0 WITH LLVM-exception\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#include \x22valarray\x22\x0a"
"\x0a"
"_LIBCPP_BEGIN_NAMESPACE_STD\x0a"
"\x0a"
"// These two symbols are part of the v1 ABI but not part of the >=v2 ABI.\x0a"
"#if _LIBCPP_ABI_VERSION == 1\x0a"
"template valarray<size_t>\x3a\x3avalarray(size_t);\x0a"
"template valarray<size_t>\x3a\x3a\x7evalarray();\x0a"
"#endif\x0a"
"\x0a"
"template void valarray<size_t>\x3a\x3aresize(size_t, size_t);\x0a"
"\x0a"
"void\x0a"
"gslice\x3a\x3a__init(size_t __start)\x0a"
"{\x0a"
"    valarray<size_t> __indices(__size_.size());\x0a"
"    size_t __k = __size_.size() \x21= 0;\x0a"
"    for (size_t __i = 0; __i < __size_.size(); ++__i)\x0a"
"        __k *= __size_\x5b__i\x5d;\x0a"
"    __1d_.resize(__k);\x0a"
"    if (__1d_.size())\x0a"
"    {\x0a"
"        __k = 0;\x0a"
"        __1d_\x5b__k\x5d = __start;\x0a"
"        while (true)\x0a"
"        {\x0a"
"            size_t __i = __indices.size() - 1;\x0a"
"            while (true)\x0a"
"            {\x0a"
"                if (++__indices\x5b__i\x5d < __size_\x5b__i\x5d)\x0a"
"                {\x0a"
"                    ++__k;\x0a"
"                    __1d_\x5b__k\x5d = __1d_\x5b__k-1\x5d + __stride_\x5b__i\x5d;\x0a"
"                    for (size_t __j = __i + 1; __j \x21= __indices.size(); ++__j)\x0a"
"                        __1d_\x5b__k\x5d -= __stride_\x5b__j\x5d * (__size_\x5b__j\x5d - 1);\x0a"
"                    break;\x0a"
"                }\x0a"
"                else\x0a"
"                {\x0a"
"                    if (__i == 0)\x0a"
"                        return;\x0a"
"                    __indices\x5b__i--\x5d = 0;\x0a"
"                }\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"}\x0a"
"\x0a"
"_LIBCPP_END_NAMESPACE_STD\x0a"
"", 1680 ); }