#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_include_cxxabi_h( 
"//===--------------------------- cxxabi.h ---------------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef __CXXABI_H\x0a"
"#define __CXXABI_H\x0a"
"\x0a"
"/*\x0a"
" * This header provides the interface to the C++ ABI as defined at\x3a\x0a"
" *       http\x3a//www.codesourcery.com/cxx-abi/\x0a"
" */\x0a"
"\x0a"
"#include <stddef.h>\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#include <__cxxabi_config.h>\x0a"
"\x0a"
"#define _LIBCPPABI_VERSION 1002\x0a"
"#define _LIBCXXABI_NORETURN  __attribute__((noreturn))\x0a"
"\x0a"
"#ifdef __cplusplus\x0a"
"\x0a"
"namespace std {\x0a"
"#if defined(_WIN32)\x0a"
"class _LIBCXXABI_TYPE_VIS type_info; // forward declaration\x0a"
"#else\x0a"
"class type_info; // forward declaration\x0a"
"#endif\x0a"
"}\x0a"
"\x0a"
"\x0a"
"// runtime routines use C calling conventions, but are in __cxxabiv1 namespace\x0a"
"namespace __cxxabiv1 {\x0a"
"extern \x22""C\x22  {\x0a"
"\x0a"
"// 2.4.2 Allocating the Exception Object\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_allocate_exception(size_t thrown_size) throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_free_exception(void *thrown_exception) throw();\x0a"
"\x0a"
"// 2.4.3 Throwing the Exception Object\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void\x0a"
"__cxa_throw(void *thrown_exception, std\x3a\x3atype_info *tinfo,\x0a"
"            void (*dest)(void *));\x0a"
"\x0a"
"// 2.5.3 Exception Handlers\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_get_exception_ptr(void *exceptionObject) throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_begin_catch(void *exceptionObject) throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_end_catch();\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"extern _LIBCXXABI_FUNC_VIS bool\x0a"
"__cxa_begin_cleanup(void *exceptionObject) throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_end_cleanup();\x0a"
"#endif\x0a"
"extern _LIBCXXABI_FUNC_VIS std\x3a\x3atype_info *__cxa_current_exception_type();\x0a"
"\x0a"
"// 2.5.4 Rethrowing Exceptions\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void __cxa_rethrow();\x0a"
"\x0a"
"// 2.6 Auxiliary Runtime APIs\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void __cxa_bad_cast(void);\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void __cxa_bad_typeid(void);\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void\x0a"
"__cxa_throw_bad_array_new_length(void);\x0a"
"\x0a"
"// 3.2.6 Pure Virtual Function API\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void __cxa_pure_virtual(void);\x0a"
"\x0a"
"// 3.2.7 Deleted Virtual Function API\x0a"
"extern _LIBCXXABI_FUNC_VIS _LIBCXXABI_NORETURN void __cxa_deleted_virtual(void);\x0a"
"\x0a"
"// 3.3.2 One-time Construction API\x0a"
"#ifdef __arm__\x0a"
"extern _LIBCXXABI_FUNC_VIS int __cxa_guard_acquire(uint32_t *);\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_guard_release(uint32_t *);\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_guard_abort(uint32_t *);\x0a"
"#else\x0a"
"extern _LIBCXXABI_FUNC_VIS int __cxa_guard_acquire(uint64_t *);\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_guard_release(uint64_t *);\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_guard_abort(uint64_t *);\x0a"
"#endif\x0a"
"\x0a"
"// 3.3.3 Array Construction and Destruction API\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_vec_new(size_t element_count, size_t element_size, size_t padding_size,\x0a"
"              void (*constructor)(void *), void (*destructor)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_vec_new2(size_t element_count, size_t element_size, size_t padding_size,\x0a"
"               void (*constructor)(void *), void (*destructor)(void *),\x0a"
"               void *(*alloc)(size_t), void (*dealloc)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void *\x0a"
"__cxa_vec_new3(size_t element_count, size_t element_size, size_t padding_size,\x0a"
"               void (*constructor)(void *), void (*destructor)(void *),\x0a"
"               void *(*alloc)(size_t), void (*dealloc)(void *, size_t));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_vec_ctor(void *array_address, size_t element_count, size_t element_size,\x0a"
"               void (*constructor)(void *), void (*destructor)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_vec_dtor(void *array_address,\x0a"
"                                               size_t element_count,\x0a"
"                                               size_t element_size,\x0a"
"                                               void (*destructor)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_vec_cleanup(void *array_address,\x0a"
"                                                  size_t element_count,\x0a"
"                                                  size_t element_size,\x0a"
"                                                  void (*destructor)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void __cxa_vec_delete(void *array_address,\x0a"
"                                                 size_t element_size,\x0a"
"                                                 size_t padding_size,\x0a"
"                                                 void (*destructor)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_vec_delete2(void *array_address, size_t element_size, size_t padding_size,\x0a"
"                  void (*destructor)(void *), void (*dealloc)(void *));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_vec_delete3(void *__array_address, size_t element_size,\x0a"
"                  size_t padding_size, void (*destructor)(void *),\x0a"
"                  void (*dealloc)(void *, size_t));\x0a"
"\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_vec_cctor(void *dest_array, void *src_array, size_t element_count,\x0a"
"                size_t element_size, void (*constructor)(void *, void *),\x0a"
"                void (*destructor)(void *));\x0a"
"\x0a"
"// 3.3.5.3 Runtime API\x0a"
"extern _LIBCXXABI_FUNC_VIS int __cxa_atexit(void (*f)(void *), void *p,\x0a"
"                                            void *d);\x0a"
"extern _LIBCXXABI_FUNC_VIS int __cxa_finalize(void *);\x0a"
"\x0a"
"// 3.4 Demangler API\x0a"
"extern _LIBCXXABI_FUNC_VIS char *__cxa_demangle(const char *mangled_name,\x0a"
"                                                char *output_buffer,\x0a"
"                                                size_t *length, int *status);\x0a"
"\x0a"
"// Apple additions to support C++ 0x exception_ptr class\x0a"
"// These are primitives to wrap a smart pointer around an exception object\x0a"
"extern _LIBCXXABI_FUNC_VIS void *__cxa_current_primary_exception() throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_rethrow_primary_exception(void *primary_exception);\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_increment_exception_refcount(void *primary_exception) throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS void\x0a"
"__cxa_decrement_exception_refcount(void *primary_exception) throw();\x0a"
"\x0a"
"// Apple extension to support std\x3a\x3auncaught_exception()\x0a"
"extern _LIBCXXABI_FUNC_VIS bool __cxa_uncaught_exception() throw();\x0a"
"extern _LIBCXXABI_FUNC_VIS unsigned int __cxa_uncaught_exceptions() throw();\x0a"
"\x0a"
"#if defined(__linux__) \x7c\x7c defined(__Fuchsia__)\x0a"
"// Linux and Fuchsia TLS support. Not yet an official part of the Itanium ABI.\x0a"
"// https\x3a//sourceware.org/glibc/wiki/Destructor\x25""20support\x25""20for\x25""20thread_local\x25""20variables\x0a"
"extern _LIBCXXABI_FUNC_VIS int __cxa_thread_atexit(void (*)(void *), void *,\x0a"
"                                                   void *) throw();\x0a"
"#endif\x0a"
"\x0a"
"} // extern \x22""C\x22\x0a"
"} // namespace __cxxabiv1\x0a"
"\x0a"
"namespace abi = __cxxabiv1;\x0a"
"\x0a"
"#endif // __cplusplus\x0a"
"\x0a"
"#endif // __CXXABI_H\x0a"
"", 6987 ); }