#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_abort_message_cpp( 
"//===------------------------- abort_message.cpp --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#include <stdlib.h>\x0a"
"#include <stdio.h>\x0a"
"#include <stdarg.h>\x0a"
"#include \x22""abort_message.h\x22\x0a"
"\x0a"
"#ifdef __BIONIC__\x0a"
"#include <android/api-level.h>\x0a"
"#if __ANDROID_API__ >= 21\x0a"
"#include <syslog.h>\x0a"
"extern \x22""C\x22 void android_set_abort_message(const char* msg);\x0a"
"#else\x0a"
"#include <assert.h>\x0a"
"#endif // __ANDROID_API__ >= 21\x0a"
"#endif // __BIONIC__\x0a"
"\x0a"
"#ifdef __APPLE__\x0a"
"#   if defined(__has_include) \x26\x26 __has_include(<CrashReporterClient.h>)\x0a"
"#       define HAVE_CRASHREPORTERCLIENT_H\x0a"
"#       include <CrashReporterClient.h>\x0a"
"#   endif\x0a"
"#endif\x0a"
"\x0a"
"void abort_message(const char* format, ...)\x0a"
"{\x0a"
"    // write message to stderr\x0a"
"#if \x21""defined(NDEBUG) \x7c\x7c \x21""defined(LIBCXXABI_BAREMETAL)\x0a"
"#ifdef __APPLE__\x0a"
"    fprintf(stderr, \x22libc++abi.dylib\x3a \x22);\x0a"
"#endif\x0a"
"    va_list list;\x0a"
"    va_start(list, format);\x0a"
"    vfprintf(stderr, format, list);\x0a"
"    va_end(list);\x0a"
"    fprintf(stderr, \x22\x5cn\x22);\x0a"
"#endif\x0a"
"\x0a"
"#if defined(__APPLE__) \x26\x26 defined(HAVE_CRASHREPORTERCLIENT_H)\x0a"
"    // record message in crash report\x0a"
"    char* buffer;\x0a"
"    va_list list2;\x0a"
"    va_start(list2, format);\x0a"
"    vasprintf(\x26""buffer, format, list2);\x0a"
"    va_end(list2);\x0a"
"    CRSetCrashLogMessage(buffer);\x0a"
"#elif defined(__BIONIC__)\x0a"
"    char* buffer;\x0a"
"    va_list list2;\x0a"
"    va_start(list2, format);\x0a"
"    vasprintf(\x26""buffer, format, list2);\x0a"
"    va_end(list2);\x0a"
"\x0a"
"#if __ANDROID_API__ >= 21\x0a"
"    // Show error in tombstone.\x0a"
"    android_set_abort_message(buffer);\x0a"
"\x0a"
"    // Show error in logcat.\x0a"
"    openlog(\x22libc++abi\x22, 0, 0);\x0a"
"    syslog(LOG_CRIT, \x22\x25s\x22, buffer);\x0a"
"    closelog();\x0a"
"#else\x0a"
"    // The good error reporting wasn't available in Android until L. Since we're\x0a"
"    // about to abort anyway, just call __assert2, which will log _somewhere_\x0a"
"    // (tombstone and/or logcat) in older releases.\x0a"
"    __assert2(__FILE__, __LINE__, __func__, buffer);\x0a"
"#endif // __ANDROID_API__ >= 21\x0a"
"#endif // __BIONIC__\x0a"
"\x0a"
"    abort();\x0a"
"}\x0a"
"", 2159 ); }