#include <string_view>
namespace divine::str::dios {
extern const std::string_view libcxxabi_src_cxa_exception_hpp( 
"//===------------------------- cxa_exception.hpp --------------------------===//\x0a"
"//\x0a"
"//                     The LLVM Compiler Infrastructure\x0a"
"//\x0a"
"// This file is dual licensed under the MIT and the University of Illinois Open\x0a"
"// Source Licenses. See LICENSE.TXT for details.\x0a"
"//\x0a"
"//  \x0a"
"//  This file implements the \x22""Exception Handling APIs\x22\x0a"
"//  http\x3a//mentorembedded.github.io/cxx-abi/abi-eh.html\x0a"
"//  \x0a"
"//===----------------------------------------------------------------------===//\x0a"
"\x0a"
"#ifndef _CXA_EXCEPTION_H\x0a"
"#define _CXA_EXCEPTION_H\x0a"
"\x0a"
"#include <exception> // for std\x3a\x3aunexpected_handler and std\x3a\x3aterminate_handler\x0a"
"#include \x22""cxxabi.h\x22\x0a"
"#include \x22unwind.h\x22\x0a"
"\x0a"
"namespace __cxxabiv1 {\x0a"
"\x0a"
"static const uint64_t kOurExceptionClass          = 0x434C4E47432B2B00; // CLNGC++\x5c""0\x0a"
"static const uint64_t kOurDependentExceptionClass = 0x434C4E47432B2B01; // CLNGC++\x5c""1\x0a"
"static const uint64_t get_vendor_and_language     = 0xFFFFFFFFFFFFFF00; // mask for CLNGC++\x0a"
"\x0a"
"uint64_t __getExceptionClass  (const _Unwind_Exception*);\x0a"
"void     __setExceptionClass  (      _Unwind_Exception*, uint64_t);\x0a"
"bool     __isOurExceptionClass(const _Unwind_Exception*);\x0a"
"\x0a"
"struct _LIBCXXABI_HIDDEN __cxa_exception {\x0a"
"#if defined(__LP64__) \x7c\x7c defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    // This is a new field to support C++ 0x exception_ptr.\x0a"
"    // For binary compatibility it is at the start of this\x0a"
"    // struct which is prepended to the object thrown in\x0a"
"    // __cxa_allocate_exception.\x0a"
"    size_t referenceCount;\x0a"
"#endif\x0a"
"\x0a"
"    //  Manage the exception object itself.\x0a"
"    std\x3a\x3atype_info *exceptionType;\x0a"
"    void (*exceptionDestructor)(void *);\x0a"
"    std\x3a\x3aunexpected_handler unexpectedHandler;\x0a"
"    std\x3a\x3aterminate_handler  terminateHandler;\x0a"
"\x0a"
"    __cxa_exception *nextException;\x0a"
"\x0a"
"    int handlerCount;\x0a"
"\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    __cxa_exception* nextPropagatingException;\x0a"
"    int propagationCount;\x0a"
"#else\x0a"
"    int handlerSwitchValue;\x0a"
"    const unsigned char *actionRecord;\x0a"
"    const unsigned char *languageSpecificData;\x0a"
"    void *catchTemp;\x0a"
"    void *adjustedPtr;\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(__LP64__) \x26\x26 \x21""defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    // This is a new field to support C++ 0x exception_ptr.\x0a"
"    // For binary compatibility it is placed where the compiler\x0a"
"    // previously adding padded to 64-bit align unwindHeader.\x0a"
"    size_t referenceCount;\x0a"
"#endif\x0a"
"    _Unwind_Exception unwindHeader;\x0a"
"};\x0a"
"\x0a"
"// http\x3a//sourcery.mentor.com/archives/cxx-abi-dev/msg01924.html\x0a"
"// The layout of this structure MUST match the layout of __cxa_exception, with\x0a"
"// primaryException instead of referenceCount.\x0a"
"struct _LIBCXXABI_HIDDEN __cxa_dependent_exception {\x0a"
"#if defined(__LP64__) \x7c\x7c defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    void* primaryException;\x0a"
"#endif\x0a"
"\x0a"
"    std\x3a\x3atype_info *exceptionType;\x0a"
"    void (*exceptionDestructor)(void *);\x0a"
"    std\x3a\x3aunexpected_handler unexpectedHandler;\x0a"
"    std\x3a\x3aterminate_handler terminateHandler;\x0a"
"\x0a"
"    __cxa_exception *nextException;\x0a"
"\x0a"
"    int handlerCount;\x0a"
"\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    __cxa_exception* nextPropagatingException;\x0a"
"    int propagationCount;\x0a"
"#else\x0a"
"    int handlerSwitchValue;\x0a"
"    const unsigned char *actionRecord;\x0a"
"    const unsigned char *languageSpecificData;\x0a"
"    void * catchTemp;\x0a"
"    void *adjustedPtr;\x0a"
"#endif\x0a"
"\x0a"
"#if \x21""defined(__LP64__) \x26\x26 \x21""defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    void* primaryException;\x0a"
"#endif\x0a"
"    _Unwind_Exception unwindHeader;\x0a"
"};\x0a"
"\x0a"
"struct _LIBCXXABI_HIDDEN __cxa_eh_globals {\x0a"
"    __cxa_exception *   caughtExceptions;\x0a"
"    unsigned int        uncaughtExceptions;\x0a"
"#if defined(_LIBCXXABI_ARM_EHABI)\x0a"
"    __cxa_exception* propagatingExceptions;\x0a"
"#endif\x0a"
"};\x0a"
"\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS __cxa_eh_globals * __cxa_get_globals      ();\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS __cxa_eh_globals * __cxa_get_globals_fast ();\x0a"
"\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS void * __cxa_allocate_dependent_exception ();\x0a"
"extern \x22""C\x22 _LIBCXXABI_FUNC_VIS void __cxa_free_dependent_exception (void * dependent_exception);\x0a"
"\x0a"
"}  // namespace __cxxabiv1\x0a"
"\x0a"
"#endif  // _CXA_EXCEPTION_H\x0a"
"", 3914 ); }