#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_e_log2_c( 
"/* \x40(#)e_log.c 1.3 95/01/18 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunSoft, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const double\x0a"
"ln2 = 0.6931471805599452862268,\x0a"
"two54   =  1.80143985094819840000e+16,  /* 43500000 00000000 */\x0a"
"Lg1 = 6.666666666666735130e-01,  /* 3FE55555 55555593 */\x0a"
"Lg2 = 3.999999999940941908e-01,  /* 3FD99999 9997FA04 */\x0a"
"Lg3 = 2.857142874366239149e-01,  /* 3FD24924 94229359 */\x0a"
"Lg4 = 2.222219843214978396e-01,  /* 3FCC71C5 1D8E78AF */\x0a"
"Lg5 = 1.818357216161805012e-01,  /* 3FC74664 96CB03DE */\x0a"
"Lg6 = 1.531383769920937332e-01,  /* 3FC39A09 D078C69F */\x0a"
"Lg7 = 1.479819860511658591e-01;  /* 3FC2F112 DF3E5244 */\x0a"
"\x0a"
"static const double zero   =  0.0;\x0a"
"\x0a"
"double\x0a"
"log2(double x)\x0a"
"{\x0a"
"\x09""double hfsq,f,s,z,R,w,t1,t2,dk;\x0a"
"\x09int32_t k,hx,i,j;\x0a"
"\x09u_int32_t lx;\x0a"
"\x0a"
"\x09""EXTRACT_WORDS(hx,lx,x);\x0a"
"\x0a"
"\x09k=0;\x0a"
"\x09if (hx < 0x00100000) {\x09\x09\x09/* x < 2**-1022  */\x0a"
"\x09    if (((hx\x26""0x7fffffff)\x7clx)==0) \x0a"
"\x09\x09return -two54/zero;\x09\x09/* log(+-0)=-inf */\x0a"
"\x09    if (hx<0) return (x-x)/zero;\x09/* log(-#) = NaN */\x0a"
"\x09    k -= 54; x *= two54; /* subnormal number, scale up x */\x0a"
"\x09    GET_HIGH_WORD(hx,x);\x0a"
"\x09} \x0a"
"\x09if (hx >= 0x7ff00000) return x+x;\x0a"
"\x09k += (hx>>20)-1023;\x0a"
"\x09hx \x26= 0x000fffff;\x0a"
"\x09i = (hx+0x95f64)\x26""0x100000;\x0a"
"\x09SET_HIGH_WORD(x,hx\x7c(i^0x3ff00000));\x09/* normalize x or x/2 */\x0a"
"\x09k += (i>>20);\x0a"
"\x09""f = x-1.0;\x0a"
"\x09""dk = (double)k;\x0a"
"\x09if((0x000fffff\x26(2+hx))<3) {\x09/* \x7c""f\x7c < 2**-20 */\x0a"
"\x09    if (f==zero) \x0a"
"\x09\x09    return (dk);\x0a"
"\x09    R = f*f*(0.5-0.33333333333333333*f);\x0a"
"\x09    return (dk-(R-f)/ln2);\x0a"
"\x09}\x0a"
" \x09s = f/(2.0+f); \x0a"
"\x09z = s*s;\x0a"
"\x09i = hx-0x6147a;\x0a"
"\x09w = z*z;\x0a"
"\x09j = 0x6b851-hx;\x0a"
"\x09t1= w*(Lg2+w*(Lg4+w*Lg6)); \x0a"
"\x09t2= z*(Lg1+w*(Lg3+w*(Lg5+w*Lg7))); \x0a"
"\x09i \x7c= j;\x0a"
"\x09R = t2+t1;\x0a"
"\x09if(i>0) {\x0a"
"\x09    hfsq=0.5*f*f;\x0a"
"\x09    return (dk-(hfsq-s*(hfsq+R)-f)/ln2);\x0a"
"\x09} else\x0a"
"\x09\x09return (dk-((s*(f-R))-f)/ln2);\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(log2l, log2);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 2173 ); }