#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_k_sinf_c( 
"/* k_sinf.c -- float version of k_sin.c\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float \x0a"
"half =  5.0000000000e-01,/* 0x3f000000 */\x0a"
"S1  = -1.6666667163e-01, /* 0xbe2aaaab */\x0a"
"S2  =  8.3333337680e-03, /* 0x3c088889 */\x0a"
"S3  = -1.9841270114e-04, /* 0xb9500d01 */\x0a"
"S4  =  2.7557314297e-06, /* 0x3638ef1b */\x0a"
"S5  = -2.5050759689e-08, /* 0xb2d72f34 */\x0a"
"S6  =  1.5896910177e-10; /* 0x2f2ec9d3 */\x0a"
"\x0a"
"float\x0a"
"__kernel_sinf(float x, float y, int iy)\x0a"
"{\x0a"
"\x09""float z,r,v;\x0a"
"\x09int32_t ix;\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"\x09ix \x26= 0x7fffffff;\x09\x09\x09/* high word of x */\x0a"
"\x09if(ix<0x32000000)\x09\x09\x09/* \x7cx\x7c < 2**-27 */\x0a"
"\x09   {if((int)x==0) return x;}\x09\x09/* generate inexact */\x0a"
"\x09z\x09=  x*x;\x0a"
"\x09v\x09=  z*x;\x0a"
"\x09r\x09=  S2+z*(S3+z*(S4+z*(S5+z*S6)));\x0a"
"\x09if(iy==0) return x+v*(S1+z*r);\x0a"
"\x09""else      return x-((z*(half*y-v*r)-y)-v*S1);\x0a"
"}\x0a"
"", 1236 ); }