#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_e_acoshl_c( 
"/* \x40(#)e_acosh.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* acoshl(x)\x0a"
" * Method \x3a\x0a"
" *\x09""Based on\x0a"
" *\x09\x09""acoshl(x) = logl \x5b x + sqrtl(x*x-1) \x5d\x0a"
" *\x09we have\x0a"
" *\x09\x09""acoshl(x) \x3a= logl(x)+ln2,\x09if x is large; else\x0a"
" *\x09\x09""acoshl(x) \x3a= logl(2x-1/(sqrtl(x*x-1)+x)) if x>2; else\x0a"
" *\x09\x09""acoshl(x) \x3a= log1pl(t+sqrtl(2.0*t+t*t)); where t=x-1.\x0a"
" *\x0a"
" * Special cases\x3a\x0a"
" *\x09""acoshl(x) is NaN with signal if x<1.\x0a"
" *\x09""acoshl(NaN) is NaN without signal.\x0a"
" */\x0a"
"\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const long double\x0a"
"one\x09= 1.0,\x0a"
"ln2\x09= 6.931471805599453094287e-01L; /* 0x3FFE, 0xB17217F7, 0xD1CF79AC */\x0a"
"\x0a"
"long double\x0a"
"acoshl(long double x)\x0a"
"{\x0a"
"\x09long double t;\x0a"
"\x09u_int32_t se,i0,i1;\x0a"
"\x09GET_LDOUBLE_WORDS(se,i0,i1,x);\x0a"
"\x09if(se<0x3fff \x7c\x7c se \x26 0x8000) {\x09/* x < 1 */\x0a"
"\x09    return (x-x)/(x-x);\x0a"
"\x09} else if(se >=0x401d) {\x09/* x > 2**30 */\x0a"
"\x09    if(se >=0x7fff) {\x09\x09/* x is inf of NaN */\x0a"
"\x09\x09return x+x;\x0a"
"\x09    } else\x0a"
"\x09\x09return logl(x)+ln2;\x09/* acoshl(huge)=logl(2x) */\x0a"
"\x09} else if(((se-0x3fff)\x7ci0\x7ci1)==0) {\x0a"
"\x09    return 0.0;\x09\x09\x09/* acosh(1) = 0 */\x0a"
"\x09} else if (se > 0x4000) {\x09/* 2**28 > x > 2 */\x0a"
"\x09    t=x*x;\x0a"
"\x09    return logl(2.0*x-one/(x+sqrtl(t-one)));\x0a"
"\x09} else {\x09\x09\x09/* 1<x<2 */\x0a"
"\x09    t = x-one;\x0a"
"\x09    return log1pl(t+sqrtl(2.0*t+t*t));\x0a"
"\x09}\x0a"
"}\x0a"
"", 1533 ); }