#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_k_sinl_c( 
"/*\x09\x24OpenBSD\x3a k_sinl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/* From\x3a \x40(#)k_sin.c 1.3 95/01/18 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" * Copyright (c) 2008 Steven G. Kargl, David Schultz, Bruce D. Evans.\x0a"
" *\x0a"
" * Developed at SunSoft, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ld80 version of k_sin.c.  See ../k_sin.c for most comments.\x0a"
" */\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const double\x0a"
"half =  0.5;\x0a"
"\x0a"
"/*\x0a"
" * Domain \x5b-0.7854, 0.7854\x5d, range \x7e\x5b-1.89e-22, 1.915e-22\x5d\x0a"
" * \x7csin(x)/x - s(x)\x7c < 2**-72.1\x0a"
" *\x0a"
" * See ../ld80/k_cosl.c for more details about the polynomial.\x0a"
" */\x0a"
"#if defined(__amd64__) \x7c\x7c defined(__i386__)\x0a"
"/* Long double constants are slow on these arches, and broken on i386. */\x0a"
"static const volatile double\x0a"
"S1hi = -0.16666666666666666,\x09\x09/* -0x15555555555555.0p-55 */\x0a"
"S1lo = -9.2563760475949941e-18;\x09\x09/* -0x15580000000000.0p-109 */\x0a"
"#define\x09S1\x09((long double)S1hi + S1lo)\x0a"
"#else\x0a"
"static const long double\x0a"
"S1 = -0.166666666666666666671L;\x09\x09/* -0xaaaaaaaaaaaaaaab.0p-66 */\x0a"
"#endif\x0a"
"\x0a"
"static const double\x0a"
"S2 =  0.0083333333333333332,\x09\x09/*  0x11111111111111.0p-59 */\x0a"
"S3 = -0.00019841269841269427,\x09\x09/* -0x1a01a01a019f81.0p-65 */\x0a"
"S4 =  0.0000027557319223597490,\x09\x09/*  0x171de3a55560f7.0p-71 */\x0a"
"S5 = -0.000000025052108218074604,\x09/* -0x1ae64564f16cad.0p-78 */\x0a"
"S6 =  1.6059006598854211e-10,\x09\x09/*  0x161242b90243b5.0p-85 */\x0a"
"S7 = -7.6429779983024564e-13,\x09\x09/* -0x1ae42ebd1b2e00.0p-93 */\x0a"
"S8 =  2.6174587166648325e-15;\x09\x09/*  0x179372ea0b3f64.0p-101 */\x0a"
"\x0a"
"long double\x0a"
"__kernel_sinl(long double x, long double y, int iy)\x0a"
"{\x0a"
"\x09long double z,r,v;\x0a"
"\x0a"
"\x09z\x09=  x*x;\x0a"
"\x09v\x09=  z*x;\x0a"
"\x09r\x09=  S2+z*(S3+z*(S4+z*(S5+z*(S6+z*(S7+z*S8)))));\x0a"
"\x09if(iy==0) return x+v*(S1+z*r);\x0a"
"\x09""else      return x-((z*(half*y-v*r)-y)-v*S1);\x0a"
"}\x0a"
"", 1958 ); }