#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_s_asinhl_c( 
"/* \x40(#)s_asinh.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* asinhl(x)\x0a"
" * Method \x3a\x0a"
" *\x09""Based on\x0a"
" *\x09\x09""asinhl(x) = signl(x) * logl \x5b \x7cx\x7c + sqrtl(x*x+1) \x5d\x0a"
" *\x09we have\x0a"
" *\x09""asinhl(x) \x3a= x  if  1+x*x=1,\x0a"
" *\x09\x09  \x3a= signl(x)*(logl(x)+ln2)) for large \x7cx\x7c, else\x0a"
" *\x09\x09  \x3a= signl(x)*logl(2\x7cx\x7c+1/(\x7cx\x7c+sqrtl(x*x+1))) if\x7cx\x7c>2, else\x0a"
" *\x09\x09  \x3a= signl(x)*log1pl(\x7cx\x7c + x^2/(1 + sqrtl(1+x^2)))\x0a"
" */\x0a"
"\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const long double\x0a"
"one =  1.000000000000000000000e+00L, /* 0x3FFF, 0x00000000, 0x00000000 */\x0a"
"ln2 =  6.931471805599453094287e-01L, /* 0x3FFE, 0xB17217F7, 0xD1CF79AC */\x0a"
"huge=  1.000000000000000000e+4900L;\x0a"
"\x0a"
"long double\x0a"
"asinhl(long double x)\x0a"
"{\x0a"
"\x09long double t,w;\x0a"
"\x09int32_t hx,ix;\x0a"
"\x09GET_LDOUBLE_EXP(hx,x);\x0a"
"\x09ix = hx\x26""0x7fff;\x0a"
"\x09if(ix==0x7fff) return x+x;\x09/* x is inf or NaN */\x0a"
"\x09if(ix< 0x3fde) {\x09/* \x7cx\x7c<2**-34 */\x0a"
"\x09    if(huge+x>one) return x;\x09/* return x inexact except 0 */\x0a"
"\x09}\x0a"
"\x09if(ix>0x4020) {\x09\x09/* \x7cx\x7c > 2**34 */\x0a"
"\x09    w = logl(fabsl(x))+ln2;\x0a"
"\x09} else if (ix>0x4000) {\x09/* 2**34 > \x7cx\x7c > 2.0 */\x0a"
"\x09    t = fabsl(x);\x0a"
"\x09    w = logl(2.0*t+one/(sqrtl(x*x+one)+t));\x0a"
"\x09} else {\x09\x09/* 2.0 > \x7cx\x7c > 2**-28 */\x0a"
"\x09    t = x*x;\x0a"
"\x09    w =log1pl(fabsl(x)+t/(one+sqrtl(one+t)));\x0a"
"\x09}\x0a"
"\x09if(hx\x26""0x8000) return -w; else return w;\x0a"
"}\x0a"
"", 1564 ); }