#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_s_erfl_c( 
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 2008 Stephen L. Moshier <steve\x40moshier.net>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"/* double erf(double x)\x0a"
" * double erfc(double x)\x0a"
" *\x09\x09\x09     x\x0a"
" *\x09\x09      2      \x7c\x5c\x0a"
" *     erf(x)  =  ---------  \x7c exp(-t*t)dt\x0a"
" *\x09\x09   sqrt(pi) \x5c\x7c\x0a"
" *\x09\x09\x09     0\x0a"
" *\x0a"
" *     erfc(x) =  1-erf(x)\x0a"
" *  Note that\x0a"
" *\x09\x09""erf(-x) = -erf(x)\x0a"
" *\x09\x09""erfc(-x) = 2 - erfc(x)\x0a"
" *\x0a"
" * Method\x3a\x0a"
" *\x09""1. For \x7cx\x7c in \x5b""0, 0.84375\x5d\x0a"
" *\x09    erf(x)  = x + x*R(x^2)\x0a"
" *          erfc(x) = 1 - erf(x)           if x in \x5b-.84375,0.25\x5d\x0a"
" *                  = 0.5 + ((0.5-x)-x*R)  if x in \x5b""0.25,0.84375\x5d\x0a"
" *\x09   Remark. The formula is derived by noting\x0a"
" *          erf(x) = (2/sqrt(pi))*(x - x^3/3 + x^5/10 - x^7/42 + ....)\x0a"
" *\x09   and that\x0a"
" *          2/sqrt(pi) = 1.128379167095512573896158903121545171688\x0a"
" *\x09   is close to one. The interval is chosen because the fix\x0a"
" *\x09   point of erf(x) is near 0.6174 (i.e., erf(x)=x when x is\x0a"
" *\x09   near 0.6174), and by some experiment, 0.84375 is chosen to\x0a"
" *\x09   guarantee the error is less than one ulp for erf.\x0a"
" *\x0a"
" *      2. For \x7cx\x7c in \x5b""0.84375,1.25\x5d, let s = \x7cx\x7c - 1, and\x0a"
" *         c = 0.84506291151 rounded to single (24 bits)\x0a"
" *\x09""erf(x)  = sign(x) * (c  + P1(s)/Q1(s))\x0a"
" *\x09""erfc(x) = (1-c)  - P1(s)/Q1(s) if x > 0\x0a"
" *\x09\x09\x09  1+(c+P1(s)/Q1(s))    if x < 0\x0a"
" *\x09   Remark\x3a here we use the taylor series expansion at x=1.\x0a"
" *\x09\x09""erf(1+s) = erf(1) + s*Poly(s)\x0a"
" *\x09\x09\x09 = 0.845.. + P1(s)/Q1(s)\x0a"
" *\x09   Note that \x7cP1/Q1\x7c< 0.078 for x in \x5b""0.84375,1.25\x5d\x0a"
" *\x0a"
" *      3. For x in \x5b""1.25,1/0.35(\x7e""2.857143)\x5d,\x0a"
" *\x09""erfc(x) = (1/x)*exp(-x*x-0.5625+R1(z)/S1(z))\x0a"
" *              z=1/x^2\x0a"
" *\x09""erf(x)  = 1 - erfc(x)\x0a"
" *\x0a"
" *      4. For x in \x5b""1/0.35,107\x5d\x0a"
" *\x09""erfc(x) = (1/x)*exp(-x*x-0.5625+R2/S2) if x > 0\x0a"
" *\x09\x09\x09= 2.0 - (1/x)*exp(-x*x-0.5625+R2(z)/S2(z))\x0a"
" *                             if -6.666<x<0\x0a"
" *\x09\x09\x09= 2.0 - tiny\x09\x09(if x <= -6.666)\x0a"
" *              z=1/x^2\x0a"
" *\x09""erf(x)  = sign(x)*(1.0 - erfc(x)) if x < 6.666, else\x0a"
" *\x09""erf(x)  = sign(x)*(1.0 - tiny)\x0a"
" *      Note1\x3a\x0a"
" *\x09   To compute exp(-x*x-0.5625+R/S), let s be a single\x0a"
" *\x09   precision number and s \x3a= x; then\x0a"
" *\x09\x09-x*x = -s*s + (s-x)*(s+x)\x0a"
" *\x09        exp(-x*x-0.5626+R/S) =\x0a"
" *\x09\x09\x09""exp(-s*s-0.5625)*exp((s-x)*(s+x)+R/S);\x0a"
" *      Note2\x3a\x0a"
" *\x09   Here 4 and 5 make use of the asymptotic series\x0a"
" *\x09\x09\x09  exp(-x*x)\x0a"
" *\x09\x09""erfc(x) \x7e ---------- * ( 1 + Poly(1/x^2) )\x0a"
" *\x09\x09\x09  x*sqrt(pi)\x0a"
" *\x0a"
" *      5. For inf > x >= 107\x0a"
" *\x09""erf(x)  = sign(x) *(1 - tiny)  (raise inexact)\x0a"
" *\x09""erfc(x) = tiny*tiny (raise underflow) if x > 0\x0a"
" *\x09\x09\x09= 2 - tiny if x<0\x0a"
" *\x0a"
" *      7. Special case\x3a\x0a"
" *\x09""erf(0)  = 0, erf(inf)  = 1, erf(-inf) = -1,\x0a"
" *\x09""erfc(0) = 1, erfc(inf) = 0, erfc(-inf) = 2,\x0a"
" *\x09\x09""erfc/erf(NaN) is NaN\x0a"
" */\x0a"
"\x0a"
"\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const long double\x0a"
"tiny = 1e-4931L,\x0a"
"  half = 0.5L,\x0a"
"  one = 1.0L,\x0a"
"  two = 2.0L,\x0a"
"\x09/* c = (float)0.84506291151 */\x0a"
"  erx = 0.845062911510467529296875L,\x0a"
"/*\x0a"
" * Coefficients for approximation to  erf on \x5b""0,0.84375\x5d\x0a"
" */\x0a"
"  /* 2/sqrt(pi) - 1 */\x0a"
"  efx = 1.2837916709551257389615890312154517168810E-1L,\x0a"
"  /* 8 * (2/sqrt(pi) - 1) */\x0a"
"  efx8 = 1.0270333367641005911692712249723613735048E0L,\x0a"
"\x0a"
"  pp\x5b""6\x5d = {\x0a"
"    1.122751350964552113068262337278335028553E6L,\x0a"
"    -2.808533301997696164408397079650699163276E6L,\x0a"
"    -3.314325479115357458197119660818768924100E5L,\x0a"
"    -6.848684465326256109712135497895525446398E4L,\x0a"
"    -2.657817695110739185591505062971929859314E3L,\x0a"
"    -1.655310302737837556654146291646499062882E2L,\x0a"
"  },\x0a"
"\x0a"
"  qq\x5b""6\x5d = {\x0a"
"    8.745588372054466262548908189000448124232E6L,\x0a"
"    3.746038264792471129367533128637019611485E6L,\x0a"
"    7.066358783162407559861156173539693900031E5L,\x0a"
"    7.448928604824620999413120955705448117056E4L,\x0a"
"    4.511583986730994111992253980546131408924E3L,\x0a"
"    1.368902937933296323345610240009071254014E2L,\x0a"
"    /* 1.000000000000000000000000000000000000000E0 */\x0a"
"  },\x0a"
"\x0a"
"/*\x0a"
" * Coefficients for approximation to  erf  in \x5b""0.84375,1.25\x5d\x0a"
" */\x0a"
"/* erf(x+1) = 0.845062911510467529296875 + pa(x)/qa(x)\x0a"
"   -0.15625 <= x <= +.25\x0a"
"   Peak relative error 8.5e-22  */\x0a"
"\x0a"
"  pa\x5b""8\x5d = {\x0a"
"    -1.076952146179812072156734957705102256059E0L,\x0a"
"     1.884814957770385593365179835059971587220E2L,\x0a"
"    -5.339153975012804282890066622962070115606E1L,\x0a"
"     4.435910679869176625928504532109635632618E1L,\x0a"
"     1.683219516032328828278557309642929135179E1L,\x0a"
"    -2.360236618396952560064259585299045804293E0L,\x0a"
"     1.852230047861891953244413872297940938041E0L,\x0a"
"     9.394994446747752308256773044667843200719E-2L,\x0a"
"  },\x0a"
"\x0a"
"  qa\x5b""7\x5d =  {\x0a"
"    4.559263722294508998149925774781887811255E2L,\x0a"
"    3.289248982200800575749795055149780689738E2L,\x0a"
"    2.846070965875643009598627918383314457912E2L,\x0a"
"    1.398715859064535039433275722017479994465E2L,\x0a"
"    6.060190733759793706299079050985358190726E1L,\x0a"
"    2.078695677795422351040502569964299664233E1L,\x0a"
"    4.641271134150895940966798357442234498546E0L,\x0a"
"    /* 1.000000000000000000000000000000000000000E0 */\x0a"
"  },\x0a"
"\x0a"
"/*\x0a"
" * Coefficients for approximation to  erfc in \x5b""1.25,1/0.35\x5d\x0a"
" */\x0a"
"/* erfc(1/x) = x exp (-1/x^2 - 0.5625 + ra(x^2)/sa(x^2))\x0a"
"   1/2.85711669921875 < 1/x < 1/1.25\x0a"
"   Peak relative error 3.1e-21  */\x0a"
"\x0a"
"    ra\x5b\x5d = {\x0a"
"      1.363566591833846324191000679620738857234E-1L,\x0a"
"      1.018203167219873573808450274314658434507E1L,\x0a"
"      1.862359362334248675526472871224778045594E2L,\x0a"
"      1.411622588180721285284945138667933330348E3L,\x0a"
"      5.088538459741511988784440103218342840478E3L,\x0a"
"      8.928251553922176506858267311750789273656E3L,\x0a"
"      7.264436000148052545243018622742770549982E3L,\x0a"
"      2.387492459664548651671894725748959751119E3L,\x0a"
"      2.220916652813908085449221282808458466556E2L,\x0a"
"    },\x0a"
"\x0a"
"    sa\x5b\x5d = {\x0a"
"      -1.382234625202480685182526402169222331847E1L,\x0a"
"      -3.315638835627950255832519203687435946482E2L,\x0a"
"      -2.949124863912936259747237164260785326692E3L,\x0a"
"      -1.246622099070875940506391433635999693661E4L,\x0a"
"      -2.673079795851665428695842853070996219632E4L,\x0a"
"      -2.880269786660559337358397106518918220991E4L,\x0a"
"      -1.450600228493968044773354186390390823713E4L,\x0a"
"      -2.874539731125893533960680525192064277816E3L,\x0a"
"      -1.402241261419067750237395034116942296027E2L,\x0a"
"      /* 1.000000000000000000000000000000000000000E0 */\x0a"
"    },\x0a"
"/*\x0a"
" * Coefficients for approximation to  erfc in \x5b""1/.35,107\x5d\x0a"
" */\x0a"
"/* erfc(1/x) = x exp (-1/x^2 - 0.5625 + rb(x^2)/sb(x^2))\x0a"
"   1/6.6666259765625 < 1/x < 1/2.85711669921875\x0a"
"   Peak relative error 4.2e-22  */\x0a"
"    rb\x5b\x5d = {\x0a"
"      -4.869587348270494309550558460786501252369E-5L,\x0a"
"      -4.030199390527997378549161722412466959403E-3L,\x0a"
"      -9.434425866377037610206443566288917589122E-2L,\x0a"
"      -9.319032754357658601200655161585539404155E-1L,\x0a"
"      -4.273788174307459947350256581445442062291E0L,\x0a"
"      -8.842289940696150508373541814064198259278E0L,\x0a"
"      -7.069215249419887403187988144752613025255E0L,\x0a"
"      -1.401228723639514787920274427443330704764E0L,\x0a"
"    },\x0a"
"\x0a"
"    sb\x5b\x5d = {\x0a"
"      4.936254964107175160157544545879293019085E-3L,\x0a"
"      1.583457624037795744377163924895349412015E-1L,\x0a"
"      1.850647991850328356622940552450636420484E0L,\x0a"
"      9.927611557279019463768050710008450625415E0L,\x0a"
"      2.531667257649436709617165336779212114570E1L,\x0a"
"      2.869752886406743386458304052862814690045E1L,\x0a"
"      1.182059497870819562441683560749192539345E1L,\x0a"
"      /* 1.000000000000000000000000000000000000000E0 */\x0a"
"    },\x0a"
"/* erfc(1/x) = x exp (-1/x^2 - 0.5625 + rc(x^2)/sc(x^2))\x0a"
"   1/107 <= 1/x <= 1/6.6666259765625\x0a"
"   Peak relative error 1.1e-21  */\x0a"
"    rc\x5b\x5d = {\x0a"
"      -8.299617545269701963973537248996670806850E-5L,\x0a"
"      -6.243845685115818513578933902532056244108E-3L,\x0a"
"      -1.141667210620380223113693474478394397230E-1L,\x0a"
"      -7.521343797212024245375240432734425789409E-1L,\x0a"
"      -1.765321928311155824664963633786967602934E0L,\x0a"
"      -1.029403473103215800456761180695263439188E0L,\x0a"
"    },\x0a"
"\x0a"
"    sc\x5b\x5d = {\x0a"
"      8.413244363014929493035952542677768808601E-3L,\x0a"
"      2.065114333816877479753334599639158060979E-1L,\x0a"
"      1.639064941530797583766364412782135680148E0L,\x0a"
"      4.936788463787115555582319302981666347450E0L,\x0a"
"      5.005177727208955487404729933261347679090E0L,\x0a"
"      /* 1.000000000000000000000000000000000000000E0 */\x0a"
"    };\x0a"
"\x0a"
"long double\x0a"
"erfl(long double x)\x0a"
"{\x0a"
"  long double R, S, P, Q, s, y, z, r;\x0a"
"  int32_t ix, i;\x0a"
"  u_int32_t se, i0, i1;\x0a"
"\x0a"
"  GET_LDOUBLE_WORDS (se, i0, i1, x);\x0a"
"  ix = se \x26 0x7fff;\x0a"
"\x0a"
"  if (ix >= 0x7fff)\x0a"
"    {\x09\x09\x09\x09/* erf(nan)=nan */\x0a"
"      i = ((se \x26 0xffff) >> 15) << 1;\x0a"
"      return (long double) (1 - i) + one / x;\x09/* erf(+-inf)=+-1 */\x0a"
"    }\x0a"
"\x0a"
"  ix = (ix << 16) \x7c (i0 >> 16);\x0a"
"  if (ix < 0x3ffed800) /* \x7cx\x7c<0.84375 */\x0a"
"    {\x0a"
"      if (ix < 0x3fde8000) /* \x7cx\x7c<2**-33 */\x0a"
"\x09{\x0a"
"\x09  if (ix < 0x00080000)\x0a"
"\x09    return 0.125 * (8.0 * x + efx8 * x);\x09/*avoid underflow */\x0a"
"\x09  return x + efx * x;\x0a"
"\x09}\x0a"
"      z = x * x;\x0a"
"      r = pp\x5b""0\x5d + z * (pp\x5b""1\x5d\x0a"
"\x09+ z * (pp\x5b""2\x5d + z * (pp\x5b""3\x5d + z * (pp\x5b""4\x5d + z * pp\x5b""5\x5d))));\x0a"
"      s = qq\x5b""0\x5d + z * (qq\x5b""1\x5d\x0a"
"\x09+ z * (qq\x5b""2\x5d + z * (qq\x5b""3\x5d + z * (qq\x5b""4\x5d + z * (qq\x5b""5\x5d + z)))));\x0a"
"      y = r / s;\x0a"
"      return x + x * y;\x0a"
"    }\x0a"
"  if (ix < 0x3fffa000) /* 1.25 */\x0a"
"    {\x09\x09\x09\x09/* 0.84375 <= \x7cx\x7c < 1.25 */\x0a"
"      s = fabsl (x) - one;\x0a"
"      P = pa\x5b""0\x5d + s * (pa\x5b""1\x5d + s * (pa\x5b""2\x5d\x0a"
"\x09+ s * (pa\x5b""3\x5d + s * (pa\x5b""4\x5d + s * (pa\x5b""5\x5d + s * (pa\x5b""6\x5d + s * pa\x5b""7\x5d))))));\x0a"
"      Q = qa\x5b""0\x5d + s * (qa\x5b""1\x5d + s * (qa\x5b""2\x5d\x0a"
"\x09+ s * (qa\x5b""3\x5d + s * (qa\x5b""4\x5d + s * (qa\x5b""5\x5d + s * (qa\x5b""6\x5d + s))))));\x0a"
"      if ((se \x26 0x8000) == 0)\x0a"
"\x09return erx + P / Q;\x0a"
"      else\x0a"
"\x09return -erx - P / Q;\x0a"
"    }\x0a"
"  if (ix >= 0x4001d555) /* 6.6666259765625 */\x0a"
"    {\x09\x09\x09\x09/* inf>\x7cx\x7c>=6.666 */\x0a"
"      if ((se \x26 0x8000) == 0)\x0a"
"\x09return one - tiny;\x0a"
"      else\x0a"
"\x09return tiny - one;\x0a"
"    }\x0a"
"  x = fabsl (x);\x0a"
"  s = one / (x * x);\x0a"
"  if (ix < 0x4000b6db) /* 2.85711669921875 */\x0a"
"    {\x0a"
"      R = ra\x5b""0\x5d + s * (ra\x5b""1\x5d + s * (ra\x5b""2\x5d + s * (ra\x5b""3\x5d + s * (ra\x5b""4\x5d +\x0a"
"\x09s * (ra\x5b""5\x5d + s * (ra\x5b""6\x5d + s * (ra\x5b""7\x5d + s * ra\x5b""8\x5d)))))));\x0a"
"      S = sa\x5b""0\x5d + s * (sa\x5b""1\x5d + s * (sa\x5b""2\x5d + s * (sa\x5b""3\x5d + s * (sa\x5b""4\x5d +\x0a"
"\x09s * (sa\x5b""5\x5d + s * (sa\x5b""6\x5d + s * (sa\x5b""7\x5d + s * (sa\x5b""8\x5d + s))))))));\x0a"
"    }\x0a"
"  else\x0a"
"    {\x09\x09\x09\x09/* \x7cx\x7c >= 1/0.35 */\x0a"
"      R = rb\x5b""0\x5d + s * (rb\x5b""1\x5d + s * (rb\x5b""2\x5d + s * (rb\x5b""3\x5d + s * (rb\x5b""4\x5d +\x0a"
"\x09s * (rb\x5b""5\x5d + s * (rb\x5b""6\x5d + s * rb\x5b""7\x5d))))));\x0a"
"      S = sb\x5b""0\x5d + s * (sb\x5b""1\x5d + s * (sb\x5b""2\x5d + s * (sb\x5b""3\x5d + s * (sb\x5b""4\x5d +\x0a"
"\x09s * (sb\x5b""5\x5d + s * (sb\x5b""6\x5d + s))))));\x0a"
"    }\x0a"
"  z = x;\x0a"
"  GET_LDOUBLE_WORDS (i, i0, i1, z);\x0a"
"  i1 = 0;\x0a"
"  SET_LDOUBLE_WORDS (z, i, i0, i1);\x0a"
"  r =\x0a"
"    expl (-z * z - 0.5625) * expl ((z - x) * (z + x) + R / S);\x0a"
"  if ((se \x26 0x8000) == 0)\x0a"
"    return one - r / x;\x0a"
"  else\x0a"
"    return r / x - one;\x0a"
"}\x0a"
"\x0a"
"long double\x0a"
"erfcl(long double x)\x0a"
"{\x0a"
"  int32_t hx, ix;\x0a"
"  long double R, S, P, Q, s, y, z, r;\x0a"
"  u_int32_t se, i0, i1;\x0a"
"\x0a"
"  GET_LDOUBLE_WORDS (se, i0, i1, x);\x0a"
"  ix = se \x26 0x7fff;\x0a"
"  if (ix >= 0x7fff)\x0a"
"    {\x09\x09\x09\x09/* erfc(nan)=nan */\x0a"
"      /* erfc(+-inf)=0,2 */\x0a"
"      return (long double) (((se \x26 0xffff) >> 15) << 1) + one / x;\x0a"
"    }\x0a"
"\x0a"
"  ix = (ix << 16) \x7c (i0 >> 16);\x0a"
"  if (ix < 0x3ffed800) /* \x7cx\x7c<0.84375 */\x0a"
"    {\x0a"
"      if (ix < 0x3fbe0000) /* \x7cx\x7c<2**-65 */\x0a"
"\x09return one - x;\x0a"
"      z = x * x;\x0a"
"      r = pp\x5b""0\x5d + z * (pp\x5b""1\x5d\x0a"
"\x09+ z * (pp\x5b""2\x5d + z * (pp\x5b""3\x5d + z * (pp\x5b""4\x5d + z * pp\x5b""5\x5d))));\x0a"
"      s = qq\x5b""0\x5d + z * (qq\x5b""1\x5d\x0a"
"\x09+ z * (qq\x5b""2\x5d + z * (qq\x5b""3\x5d + z * (qq\x5b""4\x5d + z * (qq\x5b""5\x5d + z)))));\x0a"
"      y = r / s;\x0a"
"      if (ix < 0x3ffd8000) /* x<1/4 */\x0a"
"\x09{\x0a"
"\x09  return one - (x + x * y);\x0a"
"\x09}\x0a"
"      else\x0a"
"\x09{\x0a"
"\x09  r = x * y;\x0a"
"\x09  r += (x - half);\x0a"
"\x09  return half - r;\x0a"
"\x09}\x0a"
"    }\x0a"
"  if (ix < 0x3fffa000) /* 1.25 */\x0a"
"    {\x09\x09\x09\x09/* 0.84375 <= \x7cx\x7c < 1.25 */\x0a"
"      s = fabsl (x) - one;\x0a"
"      P = pa\x5b""0\x5d + s * (pa\x5b""1\x5d + s * (pa\x5b""2\x5d\x0a"
"\x09+ s * (pa\x5b""3\x5d + s * (pa\x5b""4\x5d + s * (pa\x5b""5\x5d + s * (pa\x5b""6\x5d + s * pa\x5b""7\x5d))))));\x0a"
"      Q = qa\x5b""0\x5d + s * (qa\x5b""1\x5d + s * (qa\x5b""2\x5d\x0a"
"\x09+ s * (qa\x5b""3\x5d + s * (qa\x5b""4\x5d + s * (qa\x5b""5\x5d + s * (qa\x5b""6\x5d + s))))));\x0a"
"      if ((se \x26 0x8000) == 0)\x0a"
"\x09{\x0a"
"\x09  z = one - erx;\x0a"
"\x09  return z - P / Q;\x0a"
"\x09}\x0a"
"      else\x0a"
"\x09{\x0a"
"\x09  z = erx + P / Q;\x0a"
"\x09  return one + z;\x0a"
"\x09}\x0a"
"    }\x0a"
"  if (ix < 0x4005d600) /* 107 */\x0a"
"    {\x09\x09\x09\x09/* \x7cx\x7c<107 */\x0a"
"      x = fabsl (x);\x0a"
"      s = one / (x * x);\x0a"
"      if (ix < 0x4000b6db) /* 2.85711669921875 */\x0a"
"\x09{\x09\x09\x09/* \x7cx\x7c < 1/.35 \x7e 2.857143 */\x0a"
"\x09  R = ra\x5b""0\x5d + s * (ra\x5b""1\x5d + s * (ra\x5b""2\x5d + s * (ra\x5b""3\x5d + s * (ra\x5b""4\x5d +\x0a"
"\x09    s * (ra\x5b""5\x5d + s * (ra\x5b""6\x5d + s * (ra\x5b""7\x5d + s * ra\x5b""8\x5d)))))));\x0a"
"\x09  S = sa\x5b""0\x5d + s * (sa\x5b""1\x5d + s * (sa\x5b""2\x5d + s * (sa\x5b""3\x5d + s * (sa\x5b""4\x5d +\x0a"
"\x09    s * (sa\x5b""5\x5d + s * (sa\x5b""6\x5d + s * (sa\x5b""7\x5d + s * (sa\x5b""8\x5d + s))))))));\x0a"
"\x09}\x0a"
"      else if (ix < 0x4001d555) /* 6.6666259765625 */\x0a"
"\x09{\x09\x09\x09/* 6.666 > \x7cx\x7c >= 1/.35 \x7e 2.857143 */\x0a"
"\x09  R = rb\x5b""0\x5d + s * (rb\x5b""1\x5d + s * (rb\x5b""2\x5d + s * (rb\x5b""3\x5d + s * (rb\x5b""4\x5d +\x0a"
"\x09    s * (rb\x5b""5\x5d + s * (rb\x5b""6\x5d + s * rb\x5b""7\x5d))))));\x0a"
"\x09  S = sb\x5b""0\x5d + s * (sb\x5b""1\x5d + s * (sb\x5b""2\x5d + s * (sb\x5b""3\x5d + s * (sb\x5b""4\x5d +\x0a"
"\x09    s * (sb\x5b""5\x5d + s * (sb\x5b""6\x5d + s))))));\x0a"
"\x09}\x0a"
"      else\x0a"
"\x09{\x09\x09\x09/* \x7cx\x7c >= 6.666 */\x0a"
"\x09  if (se \x26 0x8000)\x0a"
"\x09    return two - tiny;\x09/* x < -6.666 */\x0a"
"\x0a"
"\x09  R = rc\x5b""0\x5d + s * (rc\x5b""1\x5d + s * (rc\x5b""2\x5d + s * (rc\x5b""3\x5d +\x0a"
"\x09\x09\x09\x09\x09\x09    s * (rc\x5b""4\x5d + s * rc\x5b""5\x5d))));\x0a"
"\x09  S = sc\x5b""0\x5d + s * (sc\x5b""1\x5d + s * (sc\x5b""2\x5d + s * (sc\x5b""3\x5d +\x0a"
"\x09\x09\x09\x09\x09\x09    s * (sc\x5b""4\x5d + s))));\x0a"
"\x09}\x0a"
"      z = x;\x0a"
"      GET_LDOUBLE_WORDS (hx, i0, i1, z);\x0a"
"      i1 = 0;\x0a"
"      i0 \x26= 0xffffff00;\x0a"
"      SET_LDOUBLE_WORDS (z, hx, i0, i1);\x0a"
"      r = expl (-z * z - 0.5625) *\x0a"
"\x09""expl ((z - x) * (z + x) + R / S);\x0a"
"      if ((se \x26 0x8000) == 0)\x0a"
"\x09return r / x;\x0a"
"      else\x0a"
"\x09return two - r / x;\x0a"
"    }\x0a"
"  else\x0a"
"    {\x0a"
"      if ((se \x26 0x8000) == 0)\x0a"
"\x09return tiny * tiny;\x0a"
"      else\x0a"
"\x09return two - tiny;\x0a"
"    }\x0a"
"}\x0a"
"", 13931 ); }