#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_s_modfl_c( 
"/* \x40(#)s_modf.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * modfl(long double x, long double *iptr)\x0a"
" * return fraction part of x, and return x's integral part in *iptr.\x0a"
" * Method\x3a\x0a"
" *\x09""Bit twiddling.\x0a"
" *\x0a"
" * Exception\x3a\x0a"
" *\x09No exception.\x0a"
" */\x0a"
"\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const long double one = 1.0;\x0a"
"\x0a"
"long double\x0a"
"modfl(long double x, long double *iptr)\x0a"
"{\x0a"
"\x09int32_t i0,i1,jj0;\x0a"
"\x09u_int32_t i,se;\x0a"
"\x09GET_LDOUBLE_WORDS(se,i0,i1,x);\x0a"
"\x09jj0 = (se\x26""0x7fff)-0x3fff;\x09/* exponent of x */\x0a"
"\x09if(jj0<32) {\x09\x09\x09/* integer part in high x */\x0a"
"\x09    if(jj0<0) {\x09\x09\x09/* \x7cx\x7c<1 */\x0a"
"\x09\x09SET_LDOUBLE_WORDS(*iptr,se\x26""0x8000,0,0);\x09/* *iptr = +-0 */\x0a"
"\x09\x09return x;\x0a"
"\x09    } else {\x0a"
"\x09\x09i = (0x7fffffff)>>jj0;\x0a"
"\x09\x09if(((i0\x26i)\x7ci1)==0) {\x09\x09/* x is integral */\x0a"
"\x09\x09    *iptr = x;\x0a"
"\x09\x09    SET_LDOUBLE_WORDS(x,se\x26""0x8000,0,0);\x09/* return +-0 */\x0a"
"\x09\x09    return x;\x0a"
"\x09\x09} else {\x0a"
"\x09\x09    SET_LDOUBLE_WORDS(*iptr,se,i0\x26(\x7ei),0);\x0a"
"\x09\x09    return x - *iptr;\x0a"
"\x09\x09}\x0a"
"\x09    }\x0a"
"\x09} else if (jj0>63) {\x09\x09/* no fraction part */\x0a"
"\x09    *iptr = x*one;\x0a"
"\x09    /* We must handle NaNs separately.  */\x0a"
"\x09    if (jj0 == 0x4000 \x26\x26 ((i0 \x26 0x7fffffff) \x7c i1))\x0a"
"\x09      return x*one;\x0a"
"\x09    SET_LDOUBLE_WORDS(x,se\x26""0x8000,0,0);\x09/* return +-0 */\x0a"
"\x09    return x;\x0a"
"\x09} else {\x09\x09\x09/* fraction part in low x */\x0a"
"\x09    i = ((u_int32_t)(0x7fffffff))>>(jj0-32);\x0a"
"\x09    if((i1\x26i)==0) {\x09\x09/* x is integral */\x0a"
"\x09\x09*iptr = x;\x0a"
"\x09\x09SET_LDOUBLE_WORDS(x,se\x26""0x8000,0,0);\x09/* return +-0 */\x0a"
"\x09\x09return x;\x0a"
"\x09    } else {\x0a"
"\x09\x09SET_LDOUBLE_WORDS(*iptr,se,i0,i1\x26(\x7ei));\x0a"
"\x09\x09return x - *iptr;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"}\x0a"
"", 1816 ); }