#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_ld80_s_truncl_c( 
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" *\x0a"
" * From\x3a \x40(#)s_floor.c 5.1 93/09/24\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * truncl(x)\x0a"
" * Return x rounded toward 0 to integral value\x0a"
" * Method\x3a\x0a"
" *\x09""Bit twiddling.\x0a"
" * Exception\x3a\x0a"
" *\x09Inexact flag raised if x not equal to truncl(x).\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"#include <stdint.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef LDBL_IMPLICIT_NBIT\x0a"
"#define\x09MANH_SIZE\x09(EXT_FRACHBITS + 1)\x0a"
"#else\x0a"
"#define\x09MANH_SIZE\x09""EXT_FRACHBITS\x0a"
"#endif\x0a"
"\x0a"
"static const long double huge = 1.0e300;\x0a"
"static const float zero\x5b\x5d = { 0.0, -0.0 };\x0a"
"\x0a"
"long double\x0a"
"truncl(long double x)\x0a"
"{\x0a"
"\x09int e, es;\x0a"
"\x09uint32_t ix0, ix1;\x0a"
"\x0a"
"\x09GET_LDOUBLE_WORDS(es,ix0,ix1,x);\x0a"
"\x09""e = (es\x26""0x7fff) - LDBL_MAX_EXP + 1;\x0a"
"\x0a"
"\x09if (e < MANH_SIZE - 1) {\x0a"
"\x09\x09if (e < 0) {\x09\x09\x09/* raise inexact if x \x21= 0 */\x0a"
"\x09\x09\x09if (huge + x > 0.0)\x0a"
"\x09\x09\x09\x09return (zero\x5b(es\x26""0x8000)\x21=0\x5d);\x0a"
"\x09\x09} else {\x0a"
"\x09\x09\x09uint64_t m = ((1llu << MANH_SIZE) - 1) >> (e + 1);\x0a"
"\x09\x09\x09if (((ix0 \x26 m) \x7c ix1) == 0)\x0a"
"\x09\x09\x09\x09return (x);\x09/* x is integral */\x0a"
"\x09\x09\x09if (huge + x > 0.0) {\x09/* raise inexact flag */\x0a"
"\x09\x09\x09\x09ix0 \x26= \x7em;\x0a"
"\x09\x09\x09\x09ix1 = 0;\x0a"
"\x09\x09\x09}\x0a"
"\x09\x09}\x0a"
"\x09} else if (e < LDBL_MANT_DIG - 1) {\x0a"
"\x09\x09uint64_t m = (uint64_t)-1 >> (64 - LDBL_MANT_DIG + e + 1);\x0a"
"\x09\x09if ((ix1 \x26 m) == 0)\x0a"
"\x09\x09\x09return (x);\x09/* x is integral */\x0a"
"\x09\x09if (huge + x > 0.0)\x09\x09/* raise inexact flag */\x0a"
"\x09\x09\x09ix1 \x26= \x7em;\x0a"
"\x09}\x0a"
"\x09SET_LDOUBLE_WORDS(x,es,ix0,ix1);\x0a"
"\x09return (x);\x0a"
"}\x0a"
"", 1673 ); }