#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_atanl_c( 
"/*\x09\x24OpenBSD\x3a s_atanl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/* \x40(#)s_atan.c 5.1 93/09/24 */\x0a"
"/* FreeBSD\x3a head/lib/msun/src/s_atan.c 176451 2008-02-22 02\x3a""30\x3a""36Z das */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * See comments in s_atan.c.\x0a"
" * Converted to long double by David Schultz <das\x40""FreeBSD.ORG>.\x0a"
" * Adapted for OpenBSD by Martynas Venckus <martynas\x40openbsd.org>.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22invtrig.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"#ifdef EXT_IMPLICIT_NBIT\x0a"
"#define\x09LDBL_NBIT\x09""0\x0a"
"#else /* EXT_IMPLICIT_NBIT */\x0a"
"#define\x09LDBL_NBIT\x09""0x80000000\x0a"
"#endif /* EXT_IMPLICIT_NBIT */\x0a"
"\x0a"
"static const long double\x0a"
"one   = 1.0,\x0a"
"huge   = 1.0e300;\x0a"
"\x0a"
"long double\x0a"
"atanl(long double x)\x0a"
"{\x0a"
"\x09union {\x0a"
"\x09\x09long double e;\x0a"
"\x09\x09struct ieee_ext bits;\x0a"
"\x09} u;\x0a"
"\x09long double w,s1,s2,z;\x0a"
"\x09int id;\x0a"
"\x09int16_t expsign, expt;\x0a"
"\x09int32_t expman;\x0a"
"\x0a"
"\x09u.e = x;\x0a"
"\x09""expsign = (u.bits.ext_sign << 15) \x7c u.bits.ext_exp;\x0a"
"\x09""expt = expsign \x26 0x7fff;\x0a"
"\x09if(expt >= ATAN_CONST) {\x09/* if \x7cx\x7c is large, atan(x)\x7e=pi/2 */\x0a"
"\x09    if(expt == BIAS + LDBL_MAX_EXP \x26\x26\x0a"
"\x09       ((u.bits.ext_frach\x26\x7eLDBL_NBIT)\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c u.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c u.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c u.bits.ext_fracl)\x21=0)\x0a"
"\x09\x09return x+x;\x09\x09/* NaN */\x0a"
"\x09    if(expsign>0) return  atanhi\x5b""3\x5d+atanlo\x5b""3\x5d;\x0a"
"\x09    else     return -atanhi\x5b""3\x5d-atanlo\x5b""3\x5d;\x0a"
"\x09}\x0a"
"\x09/* Extract the exponent and the first few bits of the mantissa. */\x0a"
"\x09/* XXX There should be a more convenient way to do this. */\x0a"
"\x09""expman = (expt << 8) \x7c\x0a"
"\x09\x09((u.bits.ext_frach >> (EXT_FRACHBITS - 9)) \x26 0xff);\x0a"
"\x09if (expman < ((BIAS - 2) << 8) + 0xc0) {\x09/* \x7cx\x7c < 0.4375 */\x0a"
"\x09    if (expt < ATAN_LINEAR) {\x09/* if \x7cx\x7c is small, atanl(x)\x7e=x */\x0a"
"\x09\x09if(huge+x>one) return x;\x09/* raise inexact */\x0a"
"\x09    }\x0a"
"\x09    id = -1;\x0a"
"\x09} else {\x0a"
"\x09x = fabsl(x);\x0a"
"\x09if (expman < (BIAS << 8) + 0x30) {\x09\x09/* \x7cx\x7c < 1.1875 */\x0a"
"\x09    if (expman < ((BIAS - 1) << 8) + 0x60) {\x09/* 7/16 <=\x7cx\x7c<11/16 */\x0a"
"\x09\x09id = 0; x = (2.0*x-one)/(2.0+x);\x0a"
"\x09    } else {\x09\x09\x09/* 11/16<=\x7cx\x7c< 19/16 */\x0a"
"\x09\x09id = 1; x  = (x-one)/(x+one);\x0a"
"\x09    }\x0a"
"\x09} else {\x0a"
"\x09    if (expman < ((BIAS + 1) << 8) + 0x38) {\x09/* \x7cx\x7c < 2.4375 */\x0a"
"\x09\x09id = 2; x  = (x-1.5)/(one+1.5*x);\x0a"
"\x09    } else {\x09\x09\x09/* 2.4375 <= \x7cx\x7c < 2^ATAN_CONST */\x0a"
"\x09\x09id = 3; x  = -1.0/x;\x0a"
"\x09    }\x0a"
"\x09}}\x0a"
"    /* end of argument reduction */\x0a"
"\x09z = x*x;\x0a"
"\x09w = z*z;\x0a"
"    /* break sum aT\x5bi\x5dz**(i+1) into odd and even poly */\x0a"
"\x09s1 = z*T_even(w);\x0a"
"\x09s2 = w*T_odd(w);\x0a"
"\x09if (id<0) return x - x*(s1+s2);\x0a"
"\x09""else {\x0a"
"\x09    z = atanhi\x5bid\x5d - ((x*(s1+s2) - atanlo\x5bid\x5d) - x);\x0a"
"\x09    return (expsign<0)\x3f -z\x3az;\x0a"
"\x09}\x0a"
"}\x0a"
"", 2829 ); }