#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_fmax_c( 
"/*\x09\x24OpenBSD\x3a s_fmax.c,v 1.10 2013/11/12 18\x3a""28\x3a""02 martynas Exp \x24\x09*/\x0a"
"/*-\x0a"
" * Copyright (c) 2004 David Schultz <das\x40""FreeBSD.ORG>\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"__link_always double\x0a"
"fmax(double x, double y)\x0a"
"{\x0a"
"\x09/* Check for NaNs to avoid raising spurious exceptions. */\x0a"
"\x09if (isnan(x))\x0a"
"\x09\x09return (y);\x0a"
"\x09if (isnan(y))\x0a"
"\x09\x09return (x);\x0a"
"\x0a"
"\x09/* Handle comparisons of signed zeroes. */\x0a"
"\x09if (signbit(x) \x21= signbit(y)) {\x0a"
"\x09\x09if (signbit(x))\x0a"
"\x09\x09\x09return (y);\x0a"
"\x09\x09""else\x0a"
"\x09\x09\x09return (x);\x0a"
"\x09}\x0a"
"\x0a"
"\x09return (x > y \x3f x \x3a y);\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(fmaxl, fmax);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 1916 ); }