#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_frexpf_c( 
"/* s_frexpf.c -- float version of s_frexp.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float\x0a"
"two25 =  3.3554432000e+07; /* 0x4c000000 */\x0a"
"\x0a"
"float\x0a"
"frexpf(float x, int *eptr)\x0a"
"{\x0a"
"\x09int32_t hx,ix;\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09ix = 0x7fffffff\x26hx;\x0a"
"\x09*eptr = 0;\x0a"
"\x09if(ix>=0x7f800000\x7c\x7c(ix==0)) return x;\x09/* 0,inf,nan */\x0a"
"\x09if (ix<0x00800000) {\x09\x09/* subnormal */\x0a"
"\x09    x *= two25;\x0a"
"\x09    GET_FLOAT_WORD(hx,x);\x0a"
"\x09    ix = hx\x26""0x7fffffff;\x0a"
"\x09    *eptr = -25;\x0a"
"\x09}\x0a"
"\x09*eptr += (ix>>23)-126;\x0a"
"\x09hx = (hx\x26""0x807fffff)\x7c""0x3f000000;\x0a"
"\x09SET_FLOAT_WORD(x,hx);\x0a"
"\x09return x;\x0a"
"}\x0a"
"", 1002 ); }