#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_ilogb_c( 
"/* \x40(#)s_ilogb.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* ilogb(double x)\x0a"
" * return the binary exponent of non-zero x\x0a"
" * ilogb(0) = 0x80000001\x0a"
" * ilogb(inf/NaN) = 0x7fffffff (no signal is raised)\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"int\x0a"
"ilogb(double x)\x0a"
"{\x0a"
"\x09int32_t hx,lx,ix;\x0a"
"\x0a"
"\x09GET_HIGH_WORD(hx,x);\x0a"
"\x09hx \x26= 0x7fffffff;\x0a"
"\x09if(hx<0x00100000) {\x0a"
"\x09    GET_LOW_WORD(lx,x);\x0a"
"\x09    if((hx\x7clx)==0) \x0a"
"\x09\x09return 0x80000001;\x09/* ilogb(0) = 0x80000001 */\x0a"
"\x09    else\x09\x09\x09/* subnormal x */\x0a"
"\x09\x09if(hx==0) {\x0a"
"\x09\x09    for (ix = -1043; lx>0; lx<<=1) ix -=1;\x0a"
"\x09\x09} else {\x0a"
"\x09\x09    for (ix = -1022,hx<<=11; hx>0; hx<<=1) ix -=1;\x0a"
"\x09\x09}\x0a"
"\x09    return ix;\x0a"
"\x09}\x0a"
"\x09""else if (hx<0x7ff00000) return (hx>>20)-1023;\x0a"
"\x09""else return 0x7fffffff;\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(ilogbl, ilogb);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 1184 ); }