#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_ilogbf_c( 
"/* s_ilogbf.c -- float version of s_ilogb.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"int\x0a"
"ilogbf(float x)\x0a"
"{\x0a"
"\x09int32_t hx,ix;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09hx \x26= 0x7fffffff;\x0a"
"\x09if(hx<0x00800000) {\x0a"
"\x09    if(hx==0) \x0a"
"\x09\x09return 0x80000001;\x09/* ilogb(0) = 0x80000001 */\x0a"
"\x09    else\x09\x09\x09/* subnormal x */\x0a"
"\x09        for (ix = -126,hx<<=8; hx>0; hx<<=1) ix -=1;\x0a"
"\x09    return ix;\x0a"
"\x09}\x0a"
"\x09""else if (hx<0x7f800000) return (hx>>23)-127;\x0a"
"\x09""else return 0x7fffffff;\x0a"
"}\x0a"
"", 896 ); }