#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_ilogbl_c( 
"/*\x09\x24OpenBSD\x3a s_ilogbl.c,v 1.1 2008/12/09 20\x3a""00\x3a""35 martynas Exp \x24\x09*/\x0a"
"/*\x0a"
" * From\x3a \x40(#)s_ilogb.c 5.1 93/09/24\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"#include <float.h>\x0a"
"#include <limits.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"int\x0a"
"ilogbl(long double x)\x0a"
"{\x0a"
"\x09struct ieee_ext *p = (struct ieee_ext *)\x26x;\x0a"
"\x09unsigned long m;\x0a"
"\x09int b;\x0a"
"\x0a"
"\x09if (p->ext_exp == 0) {\x0a"
"\x09\x09if ((p->ext_fracl\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x09\x7c p->ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x7c p->ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09\x09\x7c p->ext_frach) == 0)\x0a"
"\x09\x09\x09return (FP_ILOGB0);\x0a"
"\x09\x09/* denormalized */\x0a"
"\x09\x09if (p->ext_frach == 0\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09\x26\x26 p->ext_frachm == 0\x0a"
"#endif\x0a"
"\x09\x09\x09) {\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACLBITS - 1);\x0a"
"\x09\x09\x09""for (b = EXT_FRACHBITS; \x21(p->ext_fracl \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#if defined(EXT_FRACHMBITS) \x26\x26 defined(EXT_FRACLMBITS)\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACLMBITS - 1);\x0a"
"\x09\x09\x09""for (b += EXT_FRACHMBITS; \x21(p->ext_fraclm \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#endif /* defined(EXT_FRACHMBITS) \x26\x26 defined(EXT_FRACLMBITS) */\x0a"
"\x09\x09} else {\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACHBITS - 1);\x0a"
"\x09\x09\x09""for (b = 0; \x21(p->ext_frach \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x09m = 1lu << (EXT_FRACHMBITS - 1);\x0a"
"\x09\x09\x09""for (; \x21(p->ext_frachm \x26 m); m >>= 1)\x0a"
"\x09\x09\x09\x09""b++;\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09}\x0a"
"#ifdef EXT_IMPLICIT_NBIT\x0a"
"\x09\x09""b++;\x0a"
"#endif\x0a"
"\x09\x09return (LDBL_MIN_EXP - b - 1);\x0a"
"\x09} else if (p->ext_exp < (LDBL_MAX_EXP << 1) - 1)\x0a"
"\x09\x09return (p->ext_exp - LDBL_MAX_EXP + 1);\x0a"
"\x09""else if (p->ext_fracl \x21= 0\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c\x7c p->ext_fraclm \x21= 0\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c\x7c p->ext_frachm \x21= 0\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"\x09\x09\x7c\x7c p->ext_frach \x21= 0)\x0a"
"\x09\x09return (FP_ILOGBNAN);\x0a"
"\x09""else\x0a"
"\x09\x09return (INT_MAX);\x0a"
"}\x0a"
"", 2009 ); }