#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_logb_c( 
"/* \x40(#)s_logb.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * double logb(x)\x0a"
" * IEEE 754 logb. Included to pass IEEE test suite. Not recommend.\x0a"
" * Use ilogb instead.\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"double\x0a"
"logb(double x)\x0a"
"{\x0a"
"\x09int32_t lx,ix;\x0a"
"\x09""EXTRACT_WORDS(ix,lx,x);\x0a"
"\x09ix \x26= 0x7fffffff;\x09\x09\x09/* high \x7cx\x7c */\x0a"
"\x09if((ix\x7clx)==0) return -1.0/fabs(x);\x0a"
"\x09if(ix>=0x7ff00000) return x*x;\x0a"
"\x09if((ix>>=20)==0) \x09\x09\x09/* IEEE 754 logb */\x0a"
"\x09\x09return -1022.0; \x0a"
"\x09""else\x0a"
"\x09\x09return (double) (ix-1023); \x0a"
"}\x0a"
"", 842 ); }