#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_lrintl_c( 
"/*\x09\x24OpenBSD\x3a s_lrintl.c,v 1.2 2012/12/05 23\x3a""20\x3a""04 deraadt Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 2005 David Schultz <das\x40""FreeBSD.ORG>\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS \x60\x60""AS IS'' AND\x0a"
" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\x0a"
" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\x0a"
" * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\x0a"
" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\x0a"
" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\x0a"
" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\x0a"
" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\x0a"
" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\x0a"
" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\x0a"
" * SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <fenv.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#ifndef type\x0a"
"#if 0\x0a"
"__FBSDID(\x22\x24""FreeBSD\x3a src/lib/msun/src/s_lrint.c,v 1.1 2005/01/11 23\x3a""12\x3a""55 das Exp \x24\x22);\x0a"
"#endif\x0a"
"#define type\x09\x09long double\x0a"
"#define\x09roundit\x09\x09rintl\x0a"
"#define dtype\x09\x09long\x0a"
"#define\x09""fn\x09\x09lrintl\x0a"
"#endif\x0a"
"\x0a"
"/*\x0a"
" * C99 says we should not raise a spurious inexact exception when an\x0a"
" * invalid exception is raised.  Unfortunately, the set of inputs\x0a"
" * that overflows depends on the rounding mode when 'dtype' has more\x0a"
" * significant bits than 'type'.  Hence, we bend over backwards for the\x0a"
" * sake of correctness; an MD implementation could be more efficient.\x0a"
" */\x0a"
"dtype\x0a"
"fn(type x)\x0a"
"{\x0a"
"\x09""fenv_t env;\x0a"
"\x09""dtype d;\x0a"
"\x0a"
"\x09""feholdexcept(\x26""env);\x0a"
"\x09""d = (dtype)roundit(x);\x0a"
"\x09if (fetestexcept(FE_INVALID))\x0a"
"\x09\x09""feclearexcept(FE_INEXACT);\x0a"
"\x09""feupdateenv(\x26""env);\x0a"
"\x09return (d);\x0a"
"}\x0a"
"", 2223 ); }