#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_nearbyint_c( 
"/*\x09\x24OpenBSD\x3a s_nearbyint.c,v 1.1 2011/04/28 18\x3a""05\x3a""39 martynas Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Copyright (c) 2011 Martynas Venckus <martynas\x40openbsd.org>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#include <fenv.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"__link_always double\x0a"
"nearbyint(double x)\x0a"
"{\x0a"
"\x09""fenv_t fenv;\x0a"
"\x09""double res;\x0a"
"\x0a"
"\x09""feholdexcept(\x26""fenv);\x0a"
"\x09res = rint(x);\x0a"
"\x09""fesetenv(\x26""fenv);\x0a"
"\x0a"
"\x09return (res);\x0a"
"}\x0a"
"\x0a"
"float\x0a"
"nearbyintf(float x)\x0a"
"{\x0a"
"\x09""fenv_t fenv;\x0a"
"\x09""float res;\x0a"
"\x0a"
"\x09""feholdexcept(\x26""fenv);\x0a"
"\x09res = rintf(x);\x0a"
"\x09""fesetenv(\x26""fenv);\x0a"
"\x0a"
"\x09return (res);\x0a"
"}\x0a"
"\x0a"
"long double\x0a"
"nearbyintl(long double x)\x0a"
"{\x0a"
"\x09""fenv_t fenv;\x0a"
"\x09long double res;\x0a"
"\x0a"
"\x09""feholdexcept(\x26""fenv);\x0a"
"\x09res = rintl(x);\x0a"
"\x09""fesetenv(\x26""fenv);\x0a"
"\x0a"
"\x09return (res);\x0a"
"}\x0a"
"", 1333 ); }