#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_nextafter_c( 
"/* \x40(#)s_nextafter.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* IEEE functions\x0a"
" *\x09nextafter(x,y)\x0a"
" *\x09return the next machine floating-point number of x in the\x0a"
" *\x09""direction toward y.\x0a"
" *   Special cases\x3a\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"double\x0a"
"nextafter(double x, double y)\x0a"
"{\x0a"
"\x09int32_t hx,hy,ix,iy;\x0a"
"\x09u_int32_t lx,ly;\x0a"
"\x0a"
"\x09""EXTRACT_WORDS(hx,lx,x);\x0a"
"\x09""EXTRACT_WORDS(hy,ly,y);\x0a"
"\x09ix = hx\x26""0x7fffffff;\x09\x09/* \x7cx\x7c */\x0a"
"\x09iy = hy\x26""0x7fffffff;\x09\x09/* \x7cy\x7c */\x0a"
"\x0a"
"\x09if(((ix>=0x7ff00000)\x26\x26((ix-0x7ff00000)\x7clx)\x21=0) \x7c\x7c   /* x is nan */\x0a"
"\x09   ((iy>=0x7ff00000)\x26\x26((iy-0x7ff00000)\x7cly)\x21=0))     /* y is nan */\x0a"
"\x09   return x+y;\x09\x09\x09\x09\x0a"
"\x09if(x==y) return y;\x09\x09/* x=y, return y */\x0a"
"\x09if((ix\x7clx)==0) {\x09\x09\x09/* x == 0 */\x0a"
"\x09    INSERT_WORDS(x,hy\x26""0x80000000,1);\x09/* return +-minsubnormal */\x0a"
"\x09    y = x*x;\x0a"
"\x09    if(y==x) return y; else return x;\x09/* raise underflow flag */\x0a"
"\x09}\x0a"
"\x09if(hx>=0) {\x09\x09\x09\x09/* x > 0 */\x0a"
"\x09    if(hx>hy\x7c\x7c((hx==hy)\x26\x26(lx>ly))) {\x09/* x > y, x -= ulp */\x0a"
"\x09\x09if(lx==0) hx -= 1;\x0a"
"\x09\x09lx -= 1;\x0a"
"\x09    } else {\x09\x09\x09\x09/* x < y, x += ulp */\x0a"
"\x09\x09lx += 1;\x0a"
"\x09\x09if(lx==0) hx += 1;\x0a"
"\x09    }\x0a"
"\x09} else {\x09\x09\x09\x09/* x < 0 */\x0a"
"\x09    if(hy>=0\x7c\x7chx>hy\x7c\x7c((hx==hy)\x26\x26(lx>ly))){/* x < y, x -= ulp */\x0a"
"\x09\x09if(lx==0) hx -= 1;\x0a"
"\x09\x09lx -= 1;\x0a"
"\x09    } else {\x09\x09\x09\x09/* x > y, x += ulp */\x0a"
"\x09\x09lx += 1;\x0a"
"\x09\x09if(lx==0) hx += 1;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"\x09hy = hx\x26""0x7ff00000;\x0a"
"\x09if(hy>=0x7ff00000) return x+x;\x09/* overflow  */\x0a"
"\x09if(hy<0x00100000) {\x09\x09/* underflow */\x0a"
"\x09    y = x*x;\x0a"
"\x09    if(y\x21=x) {\x09\x09/* raise underflow flag */\x0a"
"\x09        INSERT_WORDS(y,hx,lx);\x0a"
"\x09\x09return y;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"\x09INSERT_WORDS(x,hx,lx);\x0a"
"\x09return x;\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(nextafterl, nextafter);\x0a"
"__strong_alias(nexttoward, nextafter);\x0a"
"__strong_alias(nexttowardl, nextafter);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 2056 ); }