#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_nexttowardf_c( 
"/* \x40(#)s_nextafter.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/* IEEE functions\x0a"
" *\x09nexttowardf(x,y)\x0a"
" *\x09return the next machine floating-point number of x in the\x0a"
" *\x09""direction toward y.\x0a"
" * This is for machines which use the same binary type for double and\x0a"
" * long double.\x0a"
" *   Special cases\x3a\x0a"
" */\x0a"
"\x0a"
"#include <math.h>\x0a"
"#include <float.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"float\x0a"
"nexttowardf(float x, long double y)\x0a"
"{\x0a"
"\x09int32_t hx,hy,ix,iy;\x0a"
"\x09u_int32_t ly;\x0a"
"\x0a"
"\x09GET_FLOAT_WORD(hx,x);\x0a"
"\x09""EXTRACT_WORDS(hy,ly,y);\x0a"
"\x09ix = hx\x26""0x7fffffff;\x09\x09/* \x7cx\x7c */\x0a"
"\x09iy = hy\x26""0x7fffffff;\x09\x09/* \x7cy\x7c */\x0a"
"\x0a"
"\x09if((ix>0x7f800000) \x7c\x7c\x09\x09\x09\x09   /* x is nan */\x0a"
"\x09   ((iy>=0x7ff00000)\x26\x26((iy-0x7ff00000)\x7cly)\x21=0))    /* y is nan */\x0a"
"\x09   return x+y;\x0a"
"\x09if((long double) x==y) return y;\x09/* x=y, return y */\x0a"
"\x09if(ix==0) {\x09\x09\x09\x09/* x == 0 */\x0a"
"\x09    volatile float u;\x0a"
"\x09    SET_FLOAT_WORD(x,(u_int32_t)(hy\x26""0x80000000)\x7c""1);/* return +-minsub*/\x0a"
"\x09    u = x;\x0a"
"\x09    u = u * u;\x09\x09\x09\x09/* raise underflow flag */\x0a"
"\x09    return x;\x0a"
"\x09}\x0a"
"\x09if(hx>=0) {\x09\x09\x09\x09/* x > 0 */\x0a"
"\x09    if(hy<0\x7c\x7c(ix>>23)>(iy>>20)-0x380\x0a"
"\x09       \x7c\x7c ((ix>>23)==(iy>>20)-0x380\x0a"
"\x09\x09   \x26\x26 (ix\x26""0x7fffff)>(((hy<<3)\x7c(ly>>29))\x26""0x7fffff)))\x09/* x > y, x -= ulp */\x0a"
"\x09\x09hx -= 1;\x0a"
"\x09    else\x09\x09\x09\x09/* x < y, x += ulp */\x0a"
"\x09\x09hx += 1;\x0a"
"\x09} else {\x09\x09\x09\x09/* x < 0 */\x0a"
"\x09    if(hy>=0\x7c\x7c(ix>>23)>(iy>>20)-0x380\x0a"
"\x09       \x7c\x7c ((ix>>23)==(iy>>20)-0x380\x0a"
"\x09\x09   \x26\x26 (ix\x26""0x7fffff)>(((hy<<3)\x7c(ly>>29))\x26""0x7fffff)))\x09/* x < y, x -= ulp */\x0a"
"\x09\x09hx -= 1;\x0a"
"\x09    else\x09\x09\x09\x09/* x > y, x += ulp */\x0a"
"\x09\x09hx += 1;\x0a"
"\x09}\x0a"
"\x09hy = hx\x26""0x7f800000;\x0a"
"\x09if(hy>=0x7f800000) {\x0a"
"\x09  x = x+x;\x09/* overflow  */\x0a"
"\x09  return x;\x0a"
"\x09}\x0a"
"\x09if(hy<0x00800000) {\x0a"
"\x09    volatile float u = x*x;\x09\x09/* underflow */\x0a"
"\x09    if(u==x) {\x0a"
"\x09\x09SET_FLOAT_WORD(x,hx);\x0a"
"\x09\x09return x;\x0a"
"\x09    }\x0a"
"\x09}\x0a"
"\x09SET_FLOAT_WORD(x,hx);\x0a"
"\x09return x;\x0a"
"}\x0a"
"", 2018 ); }