#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_roundl_c( 
"/*\x09\x24OpenBSD\x3a s_roundl.c,v 1.2 2012/12/05 23\x3a""20\x3a""04 deraadt Exp \x24\x09*/\x0a"
"\x0a"
"/*-\x0a"
" * Copyright (c) 2003, Steven G. Kargl\x0a"
" * All rights reserved.\x0a"
" *\x0a"
" * Redistribution and use in source and binary forms, with or without\x0a"
" * modification, are permitted provided that the following conditions\x0a"
" * are met\x3a\x0a"
" * 1. Redistributions of source code must retain the above copyright\x0a"
" *    notice unmodified, this list of conditions, and the following\x0a"
" *    disclaimer.\x0a"
" * 2. Redistributions in binary form must reproduce the above copyright\x0a"
" *    notice, this list of conditions and the following disclaimer in the\x0a"
" *    documentation and/or other materials provided with the distribution.\x0a"
" *\x0a"
" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR \x60\x60""AS IS'' AND ANY EXPRESS OR\x0a"
" * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\x0a"
" * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\x0a"
" * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\x0a"
" * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\x0a"
" * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\x0a"
" * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\x0a"
" * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\x0a"
" * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\x0a"
" * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\x0a"
" */\x0a"
"\x0a"
"#include <math.h>\x0a"
"\x0a"
"long double\x0a"
"roundl(long double x)\x0a"
"{\x0a"
"\x09long double t;\x0a"
"\x0a"
"\x09if (\x21isfinite(x))\x0a"
"\x09\x09return (x);\x0a"
"\x0a"
"\x09if (x >= 0.0) {\x0a"
"\x09\x09t = floorl(x);\x0a"
"\x09\x09if (t - x <= -0.5)\x0a"
"\x09\x09\x09t += 1.0;\x0a"
"\x09\x09return (t);\x0a"
"\x09} else {\x0a"
"\x09\x09t = floorl(-x);\x0a"
"\x09\x09if (t + x <= -0.5)\x0a"
"\x09\x09\x09t += 1.0;\x0a"
"\x09\x09return (-t);\x0a"
"\x09}\x0a"
"}\x0a"
"", 1678 ); }