#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_scalbln_c( 
"/*\x09\x24OpenBSD\x3a s_scalbln.c,v 1.1 2009/07/25 11\x3a""38\x3a""10 martynas Exp \x24\x09*/\x0a"
"\x0a"
"/*\x0a"
" * Written by Martynas Venckus.  Public domain\x0a"
" */\x0a"
"\x0a"
"#include <limits.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"double\x0a"
"scalbln(double x, long n)\x0a"
"{\x0a"
"\x09if (n < INT_MIN)\x0a"
"\x09\x09return scalbn(x, INT_MIN);\x0a"
"\x09""else if (n > INT_MAX)\x0a"
"\x09\x09return scalbn(x, INT_MAX);\x0a"
"\x09""else\x0a"
"\x09\x09return scalbn(x, (int)n);\x0a"
"}\x0a"
"\x0a"
"float\x0a"
"scalblnf(float x, long n)\x0a"
"{\x0a"
"\x09if (n < INT_MIN)\x0a"
"\x09\x09return scalbnf(x, INT_MIN);\x0a"
"\x09""else if (n > INT_MAX)\x0a"
"\x09\x09return scalbnf(x, INT_MAX);\x0a"
"\x09""else\x0a"
"\x09\x09return scalbnf(x, (int)n);\x0a"
"}\x0a"
"\x0a"
"long double\x0a"
"scalblnl(long double x, long n)\x0a"
"{\x0a"
"\x09if (n < INT_MIN)\x0a"
"\x09\x09return scalbnl(x, INT_MIN);\x0a"
"\x09""else if (n > INT_MAX)\x0a"
"\x09\x09return scalbnl(x, INT_MAX);\x0a"
"\x09""else\x0a"
"\x09\x09return scalbnl(x, (int)n);\x0a"
"}\x0a"
"\x0a"
"", 693 ); }