#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_scalbnf_c( 
"/* s_scalbnf.c -- float version of s_scalbn.c.\x0a"
" * Conversion to float by Ian Lance Taylor, Cygnus Support, ian\x40""cygnus.com.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice \x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"#include \x22math.h\x22\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const float\x0a"
"two25   =  3.355443200e+07,\x09/* 0x4c000000 */\x0a"
"twom25  =  2.9802322388e-08,\x09/* 0x33000000 */\x0a"
"huge   = 1.0e+30,\x0a"
"tiny   = 1.0e-30;\x0a"
"\x0a"
"float\x0a"
"scalbnf(float x, int n)\x0a"
"{\x0a"
"\x09int32_t k,ix;\x0a"
"\x09GET_FLOAT_WORD(ix,x);\x0a"
"        k = (ix\x26""0x7f800000)>>23;\x09\x09/* extract exponent */\x0a"
"        if (k==0) {\x09\x09\x09\x09/* 0 or subnormal x */\x0a"
"            if ((ix\x26""0x7fffffff)==0) return x; /* +-0 */\x0a"
"\x09    x *= two25;\x0a"
"\x09    GET_FLOAT_WORD(ix,x);\x0a"
"\x09    k = ((ix\x26""0x7f800000)>>23) - 25; \x0a"
"            if (n< -50000) return tiny*x; \x09/*underflow*/\x0a"
"\x09    }\x0a"
"        if (k==0xff) return x+x;\x09\x09/* NaN or Inf */\x0a"
"        k = k+n; \x0a"
"        if (k >  0xfe) return huge*copysignf(huge,x); /* overflow  */\x0a"
"        if (k > 0) \x09\x09\x09\x09/* normal result */\x0a"
"\x09    {SET_FLOAT_WORD(x,(ix\x26""0x807fffff)\x7c(k<<23)); return x;}\x0a"
"        if (k <= -25)\x0a"
"            if (n > 50000) \x09/* in case integer overflow in n+k */\x0a"
"\x09\x09return huge*copysignf(huge,x);\x09/*overflow*/\x0a"
"\x09    else return tiny*copysignf(tiny,x);\x09/*underflow*/\x0a"
"        k += 25;\x09\x09\x09\x09/* subnormal result */\x0a"
"\x09SET_FLOAT_WORD(x,(ix\x26""0x807fffff)\x7c(k<<23));\x0a"
"        return x*twom25;\x0a"
"}\x0a"
"\x0a"
"float\x0a"
"ldexpf(float x, int n)\x0a"
"{\x0a"
"\x09return scalbnf(x, n);\x0a"
"}\x0a"
"", 1679 ); }