#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_scalbnl_c( 
"/*\x09\x24OpenBSD\x3a s_scalbnl.c,v 1.3 2013/11/12 18\x3a""28\x3a""02 martynas Exp \x24\x09*/\x0a"
"/* \x40(#)s_scalbn.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * scalbnl (long double x, int n)\x0a"
" * scalbnl(x,n) returns x* 2**n  computed by  exponent\x0a"
" * manipulation rather than by actually performing an\x0a"
" * exponentiation or a multiplication.\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * We assume that a long double has a 15-bit exponent.  On systems\x0a"
" * where long double is the same as double, scalbnl() is an alias\x0a"
" * for scalbn(), so we don't use this routine.\x0a"
" */\x0a"
"\x0a"
"#include <sys/types.h>\x0a"
"#include <machine/ieee.h>\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#if LDBL_MAX_EXP \x21= 0x4000\x0a"
"#error \x22Unsupported long double format\x22\x0a"
"#endif\x0a"
"\x0a"
"static const long double\x0a"
"huge = 0x1p16000L,\x0a"
"tiny = 0x1p-16000L;\x0a"
"\x0a"
"long double\x0a"
"scalbnl (long double x, int n)\x0a"
"{\x0a"
"\x09union {\x0a"
"\x09\x09long double e;\x0a"
"\x09\x09struct ieee_ext bits;\x0a"
"\x09} u;\x0a"
"\x09int k;\x0a"
"\x09u.e = x;\x0a"
"        k = u.bits.ext_exp;\x09\x09\x09/* extract exponent */\x0a"
"        if (k==0) {\x09\x09\x09\x09/* 0 or subnormal x */\x0a"
"            if ((u.bits.ext_frach\x0a"
"#ifdef EXT_FRACHMBITS\x0a"
"\x09\x09\x7c u.bits.ext_frachm\x0a"
"#endif /* EXT_FRACHMBITS */\x0a"
"#ifdef EXT_FRACLMBITS\x0a"
"\x09\x09\x7c u.bits.ext_fraclm\x0a"
"#endif /* EXT_FRACLMBITS */\x0a"
"\x09\x09\x7c u.bits.ext_fracl)==0) return x;\x09/* +-0 */\x0a"
"\x09    u.e *= 0x1p+128;\x0a"
"\x09    k = u.bits.ext_exp - 128;\x0a"
"            if (n< -50000) return tiny*x; \x09/*underflow*/\x0a"
"\x09    }\x0a"
"        if (k==0x7fff) return x+x;\x09\x09/* NaN or Inf */\x0a"
"        k = k+n;\x0a"
"        if (k >= 0x7fff) return huge*copysignl(huge,x); /* overflow  */\x0a"
"        if (k > 0) \x09\x09\x09\x09/* normal result */\x0a"
"\x09    {u.bits.ext_exp = k; return u.e;}\x0a"
"        if (k <= -128) {\x0a"
"            if (n > 50000) \x09/* in case integer overflow in n+k */\x0a"
"\x09\x09return huge*copysign(huge,x);\x09/*overflow*/\x0a"
"\x09    else return tiny*copysign(tiny,x); \x09/*underflow*/\x0a"
"\x09}\x0a"
"        k += 128;\x09\x09\x09\x09/* subnormal result */\x0a"
"\x09u.bits.ext_exp = k;\x0a"
"        return u.e*0x1p-128;\x0a"
"}\x0a"
"\x0a"
"long double\x0a"
"ldexpl(long double x, int n)\x0a"
"{\x0a"
"\x09return scalbnl(x, n);\x0a"
"}\x0a"
"", 2231 ); }