#include <string_view>
namespace divine::str::dios {
extern const std::string_view libm_s_trunc_c( 
"/* \x40(#)s_floor.c 5.1 93/09/24 */\x0a"
"/*\x0a"
" * ====================================================\x0a"
" * Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\x0a"
" *\x0a"
" * Developed at SunPro, a Sun Microsystems, Inc. business.\x0a"
" * Permission to use, copy, modify, and distribute this\x0a"
" * software is freely granted, provided that this notice\x0a"
" * is preserved.\x0a"
" * ====================================================\x0a"
" */\x0a"
"\x0a"
"/*\x0a"
" * trunc(x)\x0a"
" * Return x rounded toward 0 to integral value\x0a"
" * Method\x3a\x0a"
" *\x09""Bit twiddling.\x0a"
" * Exception\x3a\x0a"
" *\x09Inexact flag raised if x not equal to trunc(x).\x0a"
" */\x0a"
"\x0a"
"#include <float.h>\x0a"
"#include <math.h>\x0a"
"\x0a"
"#include \x22math_private.h\x22\x0a"
"\x0a"
"static const double huge = 1.0e300;\x0a"
"\x0a"
"__link_always double\x0a"
"trunc(double x)\x0a"
"{\x0a"
"\x09int32_t i0,i1,jj0;\x0a"
"\x09u_int32_t i;\x0a"
"\x09""EXTRACT_WORDS(i0,i1,x);\x0a"
"\x09jj0 = ((i0>>20)\x26""0x7ff)-0x3ff;\x0a"
"\x09if(jj0<20) {\x0a"
"\x09    if(jj0<0) { \x09/* raise inexact if x \x21= 0 */\x0a"
"\x09\x09if(huge+x>0.0) {/* \x7cx\x7c<1, so return 0*sign(x) */\x0a"
"\x09\x09    i0 \x26= 0x80000000U;\x0a"
"\x09\x09    i1 = 0;\x0a"
"\x09\x09}\x0a"
"\x09    } else {\x0a"
"\x09\x09i = (0x000fffff)>>jj0;\x0a"
"\x09\x09if(((i0\x26i)\x7ci1)==0) return x; /* x is integral */\x0a"
"\x09\x09if(huge+x>0.0) {\x09/* raise inexact flag */\x0a"
"\x09\x09    i0 \x26= (\x7ei); i1=0;\x0a"
"\x09\x09}\x0a"
"\x09    }\x0a"
"\x09} else if (jj0>51) {\x0a"
"\x09    if(jj0==0x400) return x+x;\x09/* inf or NaN */\x0a"
"\x09    else return x;\x09\x09/* x is integral */\x0a"
"\x09} else {\x0a"
"\x09    i = ((u_int32_t)(0xffffffff))>>(jj0-20);\x0a"
"\x09    if((i1\x26i)==0) return x;\x09/* x is integral */\x0a"
"\x09    if(huge+x>0.0)\x09\x09/* raise inexact flag */\x0a"
"\x09\x09i1 \x26= (\x7ei);\x0a"
"\x09}\x0a"
"\x09INSERT_WORDS(x,i0,i1);\x0a"
"\x09return x;\x0a"
"}\x0a"
"\x0a"
"#if\x09LDBL_MANT_DIG == DBL_MANT_DIG\x0a"
"__strong_alias(truncl, trunc);\x0a"
"#endif\x09/* LDBL_MANT_DIG == DBL_MANT_DIG */\x0a"
"", 1557 ); }