#include <string_view>
namespace divine::str::dios {
extern const std::string_view proxy_trace_cpp( 
"#include <sys/trace.h>\x0a"
"#include <sys/divm.h>\x0a"
"#include <fcntl.h>\x0a"
"#include <string.h>\x0a"
"\x0a"
"static void traceInFile( const char *file, const char *msg, size_t size ) noexcept\x0a"
"{\x0a"
"    int fd;\x0a"
"    auto err = __vm_syscall( _HOST_SYS_open,\x0a"
"            _VM_SC_Out \x7c _VM_SC_Int32, \x26""fd,\x0a"
"            _VM_SC_In \x7c _VM_SC_Mem, strlen( file ) + 1, file,\x0a"
"            _VM_SC_In \x7c _VM_SC_Int32, _HOST_O_WRONLY\x7c_HOST_O_CREAT\x7c_HOST_O_APPEND,\x0a"
"            _VM_SC_In \x7c _VM_SC_Int32, 0666 );\x0a"
"\x0a"
"    if (fd == -1)\x0a"
"        __dios_trace_f(\x22""Error by opening file\x22);\x0a"
"\x0a"
"   ssize_t written;\x0a"
"   // ssize_t toWrite = strlen( msg );\x0a"
"\x0a"
"   err =  __vm_syscall( _HOST_SYS_write,\x0a"
"              _VM_SC_Out \x7c _VM_SC_Int64, \x26written,\x0a"
"              _VM_SC_In \x7c _VM_SC_Int32, fd,\x0a"
"              _VM_SC_In \x7c _VM_SC_Mem, size, msg,\x0a"
"              _VM_SC_In \x7c _VM_SC_Int64, size );\x0a"
"\x0a"
"   if (\x21written)\x0a"
"        __dios_trace_f(\x22""Error by writing into file\x22);\x0a"
"\x0a"
"        err = __vm_syscall( _HOST_SYS_close,\x0a"
"                _VM_SC_Out \x7c _VM_SC_Int32, \x26written, //reuse\x0a"
"                _VM_SC_In \x7c _VM_SC_Int32, fd );\x0a"
"   if (written == -1)\x0a"
"        __dios_trace_f(\x22""Error by closing file\x22);\x0a"
"\x0a"
"}\x0a"
"\x0a"
"void __dios_trace_out( const char *msg, size_t size) noexcept\x0a"
"{\x0a"
"    traceInFile(\x22passthrough.out\x22, msg, size);\x0a"
"}\x0a"
"\x0a"
"int __dios_clear_file( const char *name )\x0a"
"{\x0a"
"    __vm_syscall( _HOST_SYS_unlink,\x0a"
"                  _VM_SC_In \x7c _VM_SC_Mem, strlen( name ) + 1, name );\x0a"
"\x0a"
"    return 1;\x0a"
"}\x0a"
"", 1407 ); }