#include <string_view>
namespace divine::str::dios {
extern const std::string_view rst_weakmem_cpp( 
"// -*- C++ -*- (c) 2015-2019 Vladim\xc3\xadr \xc5\xa0till <xstill\x40""fi.muni.cz>\x0a"
"\x0a"
"#include <algorithm> // reverse iterator\x0a"
"#include <cstdarg>\x0a"
"#include <dios.h>\x0a"
"#include <util/map.hpp>\x0a"
"#include <sys/interrupt.h>\x0a"
"#include <sys/lart.h>\x0a"
"#include <sys/vmutil.h>\x0a"
"#include <sys/cdefs.h>\x0a"
"#include <dios/sys/kernel.hpp> // get_debug\x0a"
"#include <rst/common.hpp>\x0a"
"#include <brick-types>\x0a"
"\x0a"
"#define _WM_INLINE __attribute__((__always_inline__, __flatten__))\x0a"
"#define _WM_NOINLINE __attribute__((__noinline__))\x0a"
"#define _WM_NOINLINE_WEAK __attribute__((__noinline__, __weak__))\x0a"
"#define _WM_INTERFACE __attribute__((__nothrow__, __noinline__, __flatten__)) __local_invisible extern \x22""C\x22\x0a"
"\x0a"
"namespace lart\x3a\x3aweakmem {\x0a"
"\x0a"
"struct CasRes { uint64_t value; bool success; };\x0a"
"\x0a"
"struct Buffers;\x0a"
"\x0a"
"_WM_INTERFACE int __lart_weakmem_buffer_size() noexcept;\x0a"
"_WM_INTERFACE Buffers *__lart_weakmem_state() noexcept;\x0a"
"\x0a"
"_WM_INLINE\x0a"
"static char *baseptr( char *ptr ) noexcept {\x0a"
"    uintptr_t base = uintptr_t( ptr ) \x26 \x7e_VM_PM_Off;\x0a"
"    return reinterpret_cast< char * >( base );\x0a"
"}\x0a"
"\x0a"
"using MaskFlags = uint64_t;\x0a"
"\x0a"
"static const MaskFlags setFlags = _LART_CF_RelaxedMemRuntime\x0a"
"                                \x7c _VM_CF_IgnoreLoop;\x0a"
"static const MaskFlags restoreFlags = setFlags \x7c _LART_CF_RelaxedMemCritSeen;\x0a"
"\x0a"
"_WM_INTERFACE MaskFlags __lart_weakmem_mask_enter() noexcept {\x0a"
"    MaskFlags restore = MaskFlags( __vm_ctl_get( _VM_CR_Flags ) );\x0a"
"    __vm_ctl_flag( 0, setFlags );\x0a"
"    return restore;\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE void __lart_weakmem_mask_leave( MaskFlags restore ) noexcept {\x0a"
"    const MaskFlags flags = MaskFlags( __vm_ctl_get( _VM_CR_Flags ) );\x0a"
"    const bool do_interrupt = (flags \x26 _LART_CF_RelaxedMemCritSeen)\x0a"
"                              \x26\x26 \x21(restore \x26 _LART_CF_RelaxedMemRuntime);\x0a"
"    __vm_ctl_flag( /* clear\x3a */ ((\x7erestore) \x26 restoreFlags),\x0a"
"                   /* set\x3a */ (restore \x26 restoreFlags) );\x0a"
"\x0a"
"    if ( do_interrupt )\x0a"
"        __dios_reschedule();\x0a"
"}\x0a"
"\x0a"
"void crit_seen() noexcept {\x0a"
"    __vm_ctl_flag( 0, _LART_CF_RelaxedMemCritSeen );\x0a"
"}\x0a"
"\x0a"
"_WM_INLINE bool bypass( MaskFlags restore ) noexcept {\x0a"
"    return restore \x26 (_VM_CF_DebugMode \x7c _LART_CF_RelaxedMemRuntime);\x0a"
"}\x0a"
"\x0a"
"_WM_INLINE bool kernel( MaskFlags restore ) noexcept {\x0a"
"    return restore \x26 _VM_CF_KernelMode;\x0a"
"}\x0a"
"\x0a"
"struct FullMask {\x0a"
"    _WM_INLINE FullMask() noexcept \x3a restore( __lart_weakmem_mask_enter() ) { }\x0a"
"    _WM_INLINE \x7e""FullMask() noexcept { __lart_weakmem_mask_leave( restore ); }\x0a"
"    _WM_INLINE bool bypass() const noexcept { return weakmem\x3a\x3a""bypass( restore ); }\x0a"
"    _WM_INLINE bool kernel() const noexcept { return weakmem\x3a\x3akernel( restore ); }\x0a"
"\x0a"
"  private\x3a\x0a"
"    MaskFlags restore;\x0a"
"};\x0a"
"\x0a"
"template< typename T >\x0a"
"using ThreadMap = __dios\x3a\x3a""ArrayMap< __dios_task, T >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using Array = __dios\x3a\x3a""Array< T >;\x0a"
"\x0a"
"using __dios\x3a\x3arst\x3a\x3a""abstract\x3a\x3arange;\x0a"
"\x0a"
"template< typename T >\x0a"
"_WM_INLINE\x0a"
"static auto reversed( T \x26x ) noexcept { return range( x.rbegin(), x.rend() ); }\x0a"
"\x0a"
"_WM_INLINE\x0a"
"static const char *ordstr( MemoryOrder mo ) {\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aSeqCst, mo ) )\x0a"
"        return \x22SC\x22;\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3a""AcqRel, mo ) )\x0a"
"        return \x22""AR\x22;\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3a""Acquire, mo ) )\x0a"
"        return \x22""Acq\x22;\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aRelease, mo ) )\x0a"
"        return \x22Rel\x22;\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aMonotonic, mo ) )\x0a"
"        return \x22Mon\x22;\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aUnordered, mo ) )\x0a"
"        return \x22U\x22;\x0a"
"    return \x22N\x22;\x0a"
"}\x0a"
"\x0a"
"_WM_INLINE\x0a"
"uint64_t _load( char *addr, uint32_t size ) noexcept {\x0a"
"    switch ( size ) {\x0a"
"        case 1\x3a return *reinterpret_cast< uint8_t * >( addr );\x0a"
"        case 2\x3a return *reinterpret_cast< uint16_t * >( addr );\x0a"
"        case 4\x3a return *reinterpret_cast< uint32_t * >( addr );\x0a"
"        case 8\x3a return *reinterpret_cast< uint64_t * >( addr );\x0a"
"        default\x3a __dios_fault( _VM_F_Control, \x22Unhandled case\x22 );\x0a"
"    }\x0a"
"    return 0;\x0a"
"}\x0a"
"\x0a"
"struct BufferLine \x3a brick\x3a\x3atypes\x3a\x3aOrd {\x0a"
"\x0a"
"    BufferLine() noexcept = default;\x0a"
"    BufferLine( char *addr, uint64_t value, uint32_t size, MemoryOrder order ) noexcept \x3a\x0a"
"        addr( addr ), value( value ), size( size ), order( order )\x0a"
"    { }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void store() noexcept {\x0a"
"        switch ( size ) {\x0a"
"            case 1\x3a *reinterpret_cast< uint8_t * >( addr ) = value; break;\x0a"
"            case 2\x3a *reinterpret_cast< uint16_t * >( addr ) = value; break;\x0a"
"            case 4\x3a *reinterpret_cast< uint32_t * >( addr ) = value; break;\x0a"
"            case 8\x3a *reinterpret_cast< uint64_t * >( addr ) = value; break;\x0a"
"            case 0\x3a break; // fence\x0a"
"            default\x3a __dios_fault( _VM_F_Control, \x22Unhandled case\x22 );\x0a"
"        }\x0a"
"        __vm_test_crit( addr, size, _VM_MAT_Store, \x26""crit_seen );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    bool matches( const char *const from, const char *const to ) const noexcept {\x0a"
"        return (from <= addr \x26\x26 addr < to) \x7c\x7c (addr <= from \x26\x26 from < addr + size);\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    bool matches( const char *const mem, const uint32_t size ) const noexcept {\x0a"
"        return matches( mem, mem + size );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    bool matches( BufferLine \x26o ) noexcept {\x0a"
"        return matches( o.addr, o.size );\x0a"
"    }\x0a"
"\x0a"
"    enum class Status \x3a int8_t {\x0a"
"        Delayed, Committed\x0a"
"    };\x0a"
"\x0a"
"    char *addr = nullptr;\x0a"
"    uint64_t value = 0;\x0a"
"\x0a"
"    uint8_t size = 0;\x0a"
"    MemoryOrder order = MemoryOrder\x3a\x3aNotAtomic;\x0a"
"    Status status = Status\x3a\x3a""Delayed;\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    auto as_tuple() const noexcept {\x0a"
"        // note\x3a ignore status in comparison, take into account only part\x0a"
"        // relevant to memory behaviour\x0a"
"        return std\x3a\x3atie( addr, value, size, order );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void dump() const noexcept {\x0a"
"        char buffer\x5b\x5d = \x22\x5b""0xdeadbeafdeadbeaf \x3a= 0xdeadbeafdeadbeaf; 0B; CWA SC\x5d\x22;\x0a"
"        snprintf( buffer, sizeof( buffer ) - 1, \x22\x5b""0x\x25llx \x3a= 0x\x25llx; \x25""dB; \x25""c\x25""c\x25""c\x25s\x5d\x22,\x0a"
"                  uint64_t( addr ), value, size,\x0a"
"                  status == Status\x3a\x3a""Committed \x3f 'C' \x3a ' ',\x0a"
"                  subseteq( MemoryOrder\x3a\x3aWeakCAS, order ) \x3f 'W' \x3a ' ',\x0a"
"                  subseteq( MemoryOrder\x3a\x3a""AtomicOp, order ) \x3f 'A' \x3a ' ',\x0a"
"                  ordstr( order ) );\x0a"
"        __vm_trace( _VM_T_Text, buffer );\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"using Status = BufferLine\x3a\x3aStatus;\x0a"
"\x0a"
"static_assert( sizeof( BufferLine ) == 3 * sizeof( uint64_t ) );\x0a"
"\x0a"
"struct Buffer \x3a Array< BufferLine >\x0a"
"{\x0a"
"    Buffer() = default;\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    BufferLine \x26newest() noexcept { return end()\x5b -1 \x5d; }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    BufferLine \x26oldest() noexcept { return *begin(); }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void erase( const int i ) noexcept {\x0a"
"        erase( begin() + i );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void erase( iterator i ) noexcept {\x0a"
"        std\x3a\x3amove( i + 1, end(), i );\x0a"
"        pop_back();\x0a"
"    }\x0a"
"\x0a"
"    template< typename Drop >\x0a"
"    _WM_INLINE\x0a"
"    void evict( bool flushed_only, Drop drop ) noexcept {\x0a"
"        auto e = std\x3a\x3aremove_if( begin(), end(), \x5b=\x5d( BufferLine \x26l ) {\x0a"
"            return drop( l ) \x26\x26 (\x21""flushed_only \x7c\x7c l.status == Status\x3a\x3a""Committed);\x0a"
"        } );\x0a"
"        _resize( e - begin() );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void shrink( size_t n ) noexcept {\x0a"
"        std\x3a\x3a""destroy( begin() + n, end() );\x0a"
"        _resize( n );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void dump() const noexcept {\x0a"
"        for ( auto \x26""e \x3a *this )\x0a"
"            e.dump();\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"struct Buffers \x3a ThreadMap< Buffer > {\x0a"
"\x0a"
"    using Super = ThreadMap< Buffer >;\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    Buffer *getIfExists( __dios_task h ) noexcept {\x0a"
"        auto it = find( h );\x0a"
"        return it \x21= end() \x3f \x26it->second \x3a nullptr;\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    Buffer \x26get( __dios_task tid ) noexcept {\x0a"
"        Buffer *b = getIfExists( tid );\x0a"
"        if ( \x21""b ) {\x0a"
"            b = \x26""emplace( tid, Buffer{} ).first->second;\x0a"
"        }\x0a"
"        return *b;\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    Buffer *getIfExists() noexcept { return getIfExists( __dios_this_task() ); }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    Buffer \x26get() noexcept { return get( __dios_this_task() ); }\x0a"
"\x0a"
"    template< typename T, T v >\x0a"
"    struct Const {\x0a"
"        template< typename... Args >\x0a"
"        _WM_INLINE\x0a"
"        T operator()( Args \x26\x26... ) const noexcept { return v; }\x0a"
"    };\x0a"
"\x0a"
"    template< typename Self, typename Yield, typename Filter >\x0a"
"    _WM_INLINE\x0a"
"    static void _for_each( Self \x26self, Yield yield, Filter filt ) noexcept\x0a"
"    {\x0a"
"        for ( auto \x26p \x3a self ) {\x0a"
"            if ( filt( p.first ) )\x0a"
"                for ( auto \x26l \x3a p.second )\x0a"
"                    yield( p.first, p.second, l );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    template< typename Yield, typename Filter = Const< bool, true > >\x0a"
"    _WM_INLINE\x0a"
"    void for_each( Yield y, Filter filt = Filter() ) noexcept {\x0a"
"        _for_each( *this, y, filt );\x0a"
"    }\x0a"
"\x0a"
"    template< typename Yield, typename Filter = Const< bool, true > >\x0a"
"    _WM_INLINE\x0a"
"    void for_each( Yield y, Filter filt = Filter() ) const noexcept {\x0a"
"        _for_each( *this, y, filt );\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void push_tso( __dios_task tid, Buffer \x26""b, BufferLine \x26\x26line ) noexcept\x0a"
"    {\x0a"
"        b.push_back( std\x3a\x3amove( line ) );\x0a"
"\x0a"
"        if ( __lart_weakmem_buffer_size() == 0 )\x0a"
"            return; // not bounded\x0a"
"\x0a"
"        if ( b.size() > __lart_weakmem_buffer_size() ) {\x0a"
"            auto \x26oldest = b.oldest();\x0a"
"            tso_load< true >( oldest.addr, oldest.size, tid );\x0a"
"            oldest.store();\x0a"
"            b.erase( 0 );\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void dump() noexcept\x0a"
"    {\x0a"
"        auto *hids = __dios\x3a\x3ahave_debug() \x3f \x26__dios\x3a\x3aget_debug().hids \x3a nullptr;\x0a"
"        for ( auto \x26p \x3a *this ) {\x0a"
"            if ( \x21p.second.empty() ) {\x0a"
"                auto tid = p.first;\x0a"
"                int nice_id = \x5b\x26\x5d() noexcept { if ( \x21hids ) return -1;\x0a"
"                                    auto it = hids->find( tid );\x0a"
"                                    return it == hids->end() \x3f -1 \x3a it->second;\x0a"
"                                  }();\x0a"
"\x0a"
"                char buffer\x5b\x5d = \x22thread 0xdeadbeafdeadbeaf*\x3a \x22;\x0a"
"                snprintf( buffer, sizeof( buffer ) - 1, \x22thread\x3a \x25""d\x25s \x22,\x0a"
"                                  nice_id,\x0a"
"                                  p.first == __dios_this_task() \x3f \x22*\x3a\x22 \x3a \x22\x3a \x22 );\x0a"
"                __vm_trace( _VM_T_Text, buffer );\x0a"
"                p.second.dump();\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void flush( __dios_task tid, Buffer \x26""buf ) noexcept\x0a"
"    {\x0a"
"        for ( auto \x26l \x3a buf ) {\x0a"
"            tso_load< true >( l.addr, l.size, tid );\x0a"
"            l.store();\x0a"
"        }\x0a"
"        buf.clear();\x0a"
"    }\x0a"
"\x0a"
"    _WM_INLINE\x0a"
"    void flush( Buffer \x26""buf, BufferLine *entry, char *addr, int size ) noexcept {\x0a"
"        int kept = 0;\x0a"
"        auto move = \x5bto_move = buf.begin()\x5d( BufferLine \x26""e ) mutable {\x0a"
"            if ( \x26""e \x21= to_move )\x0a"
"                *to_move = e;\x0a"
"            ++to_move;\x0a"
"        };\x0a"
"        for ( auto \x26""e \x3a buf )\x0a"
"        {\x0a"
"            if ( \x26""e > entry ) {\x0a"
"                move( e );\x0a"
"                ++kept;\x0a"
"            }\x0a"
"            else if ( e.matches( addr, size ) ) {\x0a"
"                e.store();\x0a"
"            }\x0a"
"            else {\x0a"
"                e.status = Status\x3a\x3a""Committed;\x0a"
"                ++kept;\x0a"
"                move( e );\x0a"
"            }\x0a"
"        }\x0a"
"        if ( kept == 0 )\x0a"
"            buf.clear();\x0a"
"        else\x0a"
"            buf.shrink( kept );\x0a"
"    }\x0a"
"\x0a"
"    template< bool skip_local = false >\x0a"
"    _WM_INLINE\x0a"
"    void tso_load( char *addr, int size, __dios_task tid ) noexcept\x0a"
"    {\x0a"
"        const int sz = this->size();\x0a"
"        bool dirty = false;\x0a"
"        int todo\x5bsz\x5d;\x0a"
"        bool has_committed\x5bsz\x5d;\x0a"
"        int needs_commit = 0;\x0a"
"        int i = 0, choices = 1;\x0a"
"        for ( auto \x26p \x3a *this ) {\x0a"
"            todo\x5bi\x5d = 1;\x0a"
"            has_committed\x5bi\x5d = false;\x0a"
"            const bool nonloc = p.first \x21= tid;\x0a"
"            if ( skip_local \x26\x26 \x21nonloc )\x0a"
"                goto next;\x0a"
"            for ( auto \x26""e \x3a p.second ) {\x0a"
"                if ( e.matches( addr, size ) ) {\x0a"
"                    dirty = dirty \x7c\x7c nonloc;\x0a"
"                    if ( \x21skip_local \x26\x26 e.status == Status\x3a\x3a""Committed ) {\x0a"
"                        has_committed\x5bi\x5d = true;\x0a"
"                        ++needs_commit;\x0a"
"                    }\x0a"
"                    else\x0a"
"                        todo\x5bi\x5d++;\x0a"
"                }\x0a"
"            }\x0a"
"            choices *= todo\x5bi\x5d;\x0a"
"          next\x3a\x0a"
"            ++i;\x0a"
"        }\x0a"
"        if ( \x21""dirty )\x0a"
"            return;\x0a"
"\x0a"
"        int c = __vm_choose( choices );\x0a"
"        if ( needs_commit == 0 \x26\x26 c == 0 ) // shortcut if we are not flushing anything\x0a"
"            return;\x0a"
"\x0a"
"        int cnt = 0;\x0a"
"        for ( int i = 0; i < sz; ++i ) {\x0a"
"            const int m = todo\x5bi\x5d;\x0a"
"            cnt += (todo\x5bi\x5d = c \x25 m) \x21= 0 \x7c\x7c has_committed\x5bi\x5d;\x0a"
"            c /= m;\x0a"
"        }\x0a"
"\x0a"
"        auto flush_buf = \x5b\x26\x5d( Buffer \x26""buf, int last_flushed_idx ) noexcept {\x0a"
"            int lineid = 0;\x0a"
"            BufferLine *line = nullptr;\x0a"
"            for ( auto it = buf.begin(); it \x21= buf.end(); ++it, ++lineid ) {\x0a"
"                if ( it->matches( addr, size ) )\x0a"
"                    line = it;\x0a"
"                else\x0a"
"                    continue;\x0a"
"                if ( it->status == Status\x3a\x3a""Committed )\x0a"
"                    continue;\x0a"
"                if ( lineid == last_flushed_idx )\x0a"
"                    break;\x0a"
"            }\x0a"
"            assert( line );\x0a"
"            flush( buf, line, addr, size );\x0a"
"        };\x0a"
"\x0a"
"        // TODO\x3a partial stores\x0a"
"        int last_id = __vm_choose( cnt );\x0a"
"        Buffer *last = nullptr;\x0a"
"        int last_flushed_idx_of_last = 0;\x0a"
"\x0a"
"        for ( int i = 0, id = 0; i < sz; ++i ) {\x0a"
"            if ( todo\x5bi\x5d == 0 \x26\x26 \x21has_committed\x5bi\x5d )\x0a"
"                continue;\x0a"
"            auto \x26""buf = begin()\x5bi\x5d.second;\x0a"
"            if ( last_id == id ) {\x0a"
"                last = \x26""buf;\x0a"
"                last_flushed_idx_of_last = todo\x5bi\x5d;\x0a"
"                continue;\x0a"
"            }\x0a"
"            flush_buf( buf, todo\x5bi\x5d );\x0a"
"            ++id;\x0a"
"        }\x0a"
"        assert( last );\x0a"
"        flush_buf( *last, last_flushed_idx_of_last );\x0a"
"    }\x0a"
"\x0a"
"    template< typename... Args >\x0a"
"    void evict( Buffer *local, Args... args ) {\x0a"
"        for ( auto \x26p \x3a *this )\x0a"
"            p.second.evict( \x26p.second \x21= local, args... );\x0a"
"    }\x0a"
"};\x0a"
"\x0a"
"_WM_NOINLINE_WEAK extern \x22""C\x22 Buffers *__lart_weakmem_state() noexcept { return nullptr; }\x0a"
"_WM_INTERFACE void __lart_weakmem_init() noexcept {\x0a"
"    new ( __lart_weakmem_state() ) Buffers();\x0a"
"}\x0a"
"\x0a"
"/* weak here is to prevent optimizer from eliminating calls to these functions\x0a"
" * -- they will be replaced by weakmem transformation */\x0a"
"_WM_NOINLINE_WEAK extern \x22""C\x22 int __lart_weakmem_buffer_size() noexcept { return 32; }\x0a"
"\x0a"
"_WM_NOINLINE_WEAK __attribute__((__annotate__(\x22""divine.debugfn\x22)))\x0a"
"extern \x22""C\x22 void __lart_weakmem_dump() noexcept\x0a"
"{\x0a"
"    __lart_weakmem_state()->dump();\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"void __lart_weakmem_debug_fence() noexcept\x0a"
"{\x0a"
"    // This fence is called only at the beginning of *debugfn* functions,\x0a"
"    // it does not need to keep store buffers consistent, debug functions will\x0a"
"    // not see them, it just needs to make all entries of this thread visible.\x0a"
"    // Also, it is uninterruptible by being part of *debugfn*\x0a"
"    auto *tid = __dios_this_task();\x0a"
"    if ( \x21tid )\x0a"
"        return;\x0a"
"    auto *buf = __lart_weakmem_state()->getIfExists( tid );\x0a"
"    if ( \x21""buf )\x0a"
"        return;\x0a"
"    for ( auto \x26l \x3a *buf )\x0a"
"        l.store();\x0a"
"    buf->clear();\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"void __lart_weakmem_store( char *addr, uint64_t value, uint32_t size,\x0a"
"                           MemoryOrder ord, MaskFlags mask )\x0a"
"                           noexcept\x0a"
"{\x0a"
"    BufferLine line{ addr, value, size, ord };\x0a"
"\x0a"
"    if ( bypass( mask ) \x7c\x7c kernel( mask ) ) {\x0a"
"        line.store();\x0a"
"        return;\x0a"
"    }\x0a"
"\x0a"
"    assert( __dios_pointer_get_type( addr ) \x21= _VM_PT_Weak );\x0a"
"    // we are running without memory interrupt instrumentation and the other\x0a"
"    // threads have to see we have written something to our buffer (for the\x0a"
"    // sake of lazy loads)\x0a"
"    __vm_test_crit( addr, size, _VM_MAT_Store, \x26""crit_seen );\x0a"
"\x0a"
"    auto tid = __dios_this_task();\x0a"
"    auto \x26""buf = __lart_weakmem_state()->get( tid );\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aSeqCst, ord ) \x7c\x7c subseteq( MemoryOrder\x3a\x3a""AtomicOp, ord ) ) {\x0a"
"        __lart_weakmem_state()->flush( tid, buf );\x0a"
"        line.store();\x0a"
"    }\x0a"
"    else\x0a"
"        __lart_weakmem_state()->push_tso( tid, buf, std\x3a\x3amove( line ) );\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"void __lart_weakmem_fence( MemoryOrder ord, MaskFlags mask ) noexcept\x0a"
"{\x0a"
"    if ( bypass( mask ) \x7c\x7c kernel( mask ) )\x0a"
"        return; // should not be called recursivelly\x0a"
"\x0a"
"    auto tid = __dios_this_task();\x0a"
"    auto *buf = __lart_weakmem_state()->getIfExists( tid );\x0a"
"    if ( \x21""buf )\x0a"
"        return;\x0a"
"\x0a"
"    if ( subseteq( MemoryOrder\x3a\x3aSeqCst, ord ) )\x0a"
"        __lart_weakmem_state()->flush( tid, *buf );\x0a"
"}\x0a"
"\x0a"
"union I64b {\x0a"
"    uint64_t i64;\x0a"
"    char b\x5b""8\x5d;\x0a"
"};\x0a"
"\x0a"
"_WM_INLINE\x0a"
"static uint64_t doLoad( Buffer *buf, char *addr, uint32_t size ) noexcept\x0a"
"{\x0a"
"    I64b val = { .i64 = 0 };\x0a"
"    // always attempt load from memory to check for invalidated memory and idicate\x0a"
"    // load to tau reduction\x0a"
"    I64b mval = { .i64 = _load( addr, size ) };\x0a"
"    bool bmask\x5b""8\x5d = { false };\x0a"
"    bool any = false;\x0a"
"    if ( buf ) {\x0a"
"\x0a"
"        for ( const auto \x26it \x3a reversed( *buf ) ) { // go from newest entry\x0a"
"\x0a"
"            if ( \x21""any \x26\x26 it.addr == addr \x26\x26 it.size >= size )\x0a"
"            {\x0a"
"                return it.value \x26 (uint64_t(-1) >> (64 - (size * 8)));\x0a"
"            }\x0a"
"            if ( it.matches( addr, size ) ) {\x0a"
"                I64b bval = { .i64 = it.value };\x0a"
"                const int shift = intptr_t( it.addr ) - intptr_t( addr );\x0a"
"                if ( shift >= 0 ) {\x0a"
"                    for ( unsigned i = shift, j = 0; i < size \x26\x26 j < it.size; ++i, ++j )\x0a"
"                        if ( \x21""bmask\x5b i \x5d ) {\x0a"
"                            val.b\x5b i \x5d = bval.b\x5b j \x5d;\x0a"
"                            bmask\x5b i \x5d = true;\x0a"
"                            any = true;\x0a"
"                        }\x0a"
"                } else {\x0a"
"                    for ( unsigned i = 0, j = -shift; i < size \x26\x26 j < it.size; ++i, ++j )\x0a"
"                        if ( \x21""bmask\x5b i \x5d ) {\x0a"
"                            val.b\x5b i \x5d = bval.b\x5b j \x5d;\x0a"
"                            bmask\x5b i \x5d = true;\x0a"
"                            any = true;\x0a"
"                        }\x0a"
"                }\x0a"
"            }\x0a"
"        }\x0a"
"    }\x0a"
"    if ( any ) {\x0a"
"        for ( unsigned i = 0; i < size; ++i )\x0a"
"            if ( \x21""bmask\x5b i \x5d )\x0a"
"                val.b\x5b i \x5d = mval.b\x5b i \x5d;\x0a"
"        return val.i64;\x0a"
"    }\x0a"
"    return mval.i64;\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"uint64_t __lart_weakmem_load( char *addr, uint32_t size, MemoryOrder,\x0a"
"                              MaskFlags mask )\x0a"
"                              noexcept\x0a"
"{\x0a"
"    if ( bypass( mask ) \x7c\x7c kernel( mask )  )\x0a"
"        return _load( addr, size );\x0a"
"\x0a"
"    // other threads need to see we are loading somethig\x0a"
"    __vm_test_crit( addr, size, _VM_MAT_Load, \x26""crit_seen );\x0a"
"\x0a"
"    auto tid = __dios_this_task();\x0a"
"    Buffer *buf = __lart_weakmem_state()->getIfExists( tid );\x0a"
"\x0a"
"    if ( __lart_weakmem_state()->size() \x21= 1\x0a"
"         \x7c\x7c __lart_weakmem_state()->begin()->first \x21= tid )\x0a"
"        __lart_weakmem_state()->tso_load( addr, size, tid );\x0a"
"\x0a"
"    return doLoad( buf, addr, size );\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"CasRes __lart_weakmem_cas( char *addr, uint64_t expected, uint64_t value, uint32_t size,\x0a"
"                           MemoryOrder ordSucc, MemoryOrder ordFail, MaskFlags mask ) noexcept\x0a"
"{\x0a"
"    auto loaded = __lart_weakmem_load( addr, size, ordFail, mask );\x0a"
"\x0a"
"    if ( loaded \x21= expected\x0a"
"            \x7c\x7c ( \x21""bypass( mask ) \x26\x26 subseteq( MemoryOrder\x3a\x3aWeakCAS, ordFail ) \x26\x26 __vm_choose( 2 ) ) )\x0a"
"        return { loaded, false };\x0a"
"\x0a"
"    // TODO\x3a when implementing NSW, make sure we order properly with _ordSucc\x0a"
"\x0a"
"    __lart_weakmem_store( addr, value, size, ordSucc, mask );\x0a"
"    return { value, true };\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"void __lart_weakmem_cleanup( int32_t cnt, ... ) noexcept\x0a"
"{\x0a"
"    FullMask mask;\x0a"
"    if ( mask.bypass() \x7c\x7c mask.kernel() )\x0a"
"        return; // should not be called recursivelly\x0a"
"\x0a"
"    va_list ptrs;\x0a"
"    va_start( ptrs, cnt );\x0a"
"\x0a"
"    Buffer *buf = __lart_weakmem_state()->getIfExists();\x0a"
"\x0a"
"    for ( int i = 0; i < cnt; ++i ) {\x0a"
"        char *ptr = va_arg( ptrs, char * );\x0a"
"        if ( \x21ptr )\x0a"
"            continue;\x0a"
"\x0a"
"        const auto id = baseptr( ptr );\x0a"
"        __lart_weakmem_state()->evict( buf, \x5bid\x5d( BufferLine \x26l ) noexcept {\x0a"
"                            return baseptr( l.addr ) == id;\x0a"
"                        } );\x0a"
"    }\x0a"
"    va_end( ptrs );\x0a"
"}\x0a"
"\x0a"
"_WM_INTERFACE\x0a"
"void __lart_weakmem_resize( char *ptr, uint32_t newsize ) noexcept {\x0a"
"    FullMask mask;\x0a"
"    if ( mask.bypass() \x7c\x7c mask.kernel() )\x0a"
"        return; // should not be called recursivelly\x0a"
"    uint32_t orig = __vm_obj_size( ptr );\x0a"
"    if ( orig <= newsize )\x0a"
"        return;\x0a"
"\x0a"
"    Buffer *buf = __lart_weakmem_state()->getIfExists();\x0a"
"    auto from = baseptr( ptr ) + newsize;\x0a"
"    __lart_weakmem_state()->evict( buf, \x5b""from\x5d( BufferLine \x26l ) noexcept {\x0a"
"                        return l.addr >= from;\x0a"
"                    } );\x0a"
"}\x0a"
"\x0a"
"} // namespace lart\x3a\x3aweakmem\x0a"
"", 20511 ); }