#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_kernel_hpp( 
"// -*- C++ -*- (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"\x0a"
"#pragma once\x0a"
"\x0a"
"#include <cstdint>\x0a"
"#include <cstdarg>\x0a"
"\x0a"
"#include <util/map.hpp>\x0a"
"#include <dios.h>\x0a"
"#include <dios/sys/kobject.hpp>\x0a"
"#include <dios/sys/debug.hpp>\x0a"
"\x0a"
"#define DIOS_DBG( ... ) __dios_trace_f( __VA_ARGS__ )\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"\x0a"
"template < typename T >\x0a"
"void __attribute__((__noinline__)) traceAlias( const char *name, T *type = nullptr ) {\x0a"
"    __vm_trace( _VM_T_TypeAlias, type, name );\x0a"
"}\x0a"
"\x0a"
"using SysOpts = Array< std\x3a\x3apair< std\x3a\x3astring_view, std\x3a\x3astring_view > >;\x0a"
"using SC_Handler = void (*)( void *ctx, int *err, void* retval, va_list vl );\x0a"
"\x0a"
"struct sighandler_t\x0a"
"{\x0a"
"    void ( *f )( int );\x0a"
"    int sa_flags;\x0a"
"};\x0a"
"\x0a"
"struct HelpOption\x0a"
"{\x0a"
"    std\x3a\x3astring_view description;\x0a"
"    Array< std\x3a\x3astring_view > options;\x0a"
"};\x0a"
"\x0a"
"bool useSyscallPassthrough( const SysOpts\x26 o );\x0a"
"\x0a"
"template< typename Context >\x0a"
"static inline Context \x26get_state()\x0a"
"{\x0a"
"    return *static_cast< Context * >( __vm_ctl_get( _VM_CR_State ) );\x0a"
"}\x0a"
"\x0a"
"} // namespace __dios\x0a"
"", 982 ); }