#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_kobject_hpp( 
"// -*- mode\x3a C++; indent-tabs-mode\x3a nil; c-basic-offset\x3a 4 -*-\x0a"
"\x0a"
"/*\x0a"
" * (c) 2018 Petr Ro\xc4\x8dkai <code\x40""fixp.eu>\x0a"
" *\x0a"
" * Permission to use, copy, modify, and distribute this software for any\x0a"
" * purpose with or without fee is hereby granted, provided that the above\x0a"
" * copyright notice and this permission notice appear in all copies.\x0a"
" *\x0a"
" * THE SOFTWARE IS PROVIDED \x22""AS IS\x22 AND THE AUTHOR DISCLAIMS ALL WARRANTIES\x0a"
" * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF\x0a"
" * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\x0a"
" * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\x0a"
" * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\x0a"
" * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\x0a"
" * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\x0a"
" */\x0a"
"\x0a"
"#pragma once\x0a"
"#include <sys/divm.h>\x0a"
"#include <stdlib.h>   /* size_t */\x0a"
"\x0a"
"namespace __dios\x0a"
"{\x0a"
"\x0a"
"    /* All classes that are dynamically allocated in the kernel should inherit\x0a"
"     * from KObject. Use new/delete to manage the allocations like normal.\x0a"
"     * Bypasses out-of-memory simulation and all the overhead associated with\x0a"
"     * new/malloc and delete/free. */\x0a"
"\x0a"
"    struct KObject\x0a"
"    {\x0a"
"        static void operator delete( void *p ) { __vm_obj_free( p ); }\x0a"
"        static void *operator new( size_t s ) { return __vm_obj_make( s, _VM_PT_Heap ); }\x0a"
"    };\x0a"
"\x0a"
"    /* Like above, but for objects which track debug metadata. See \x60""dios/sys/debug.hpp\x60. */\x0a"
"\x0a"
"    struct DbgObject \x3a KObject\x0a"
"    {\x0a"
"        static void *operator new( size_t s ) { return __vm_obj_make( s, _VM_PT_Weak ); }\x0a"
"    };\x0a"
"\x0a"
"}\x0a"
"", 1627 ); }