#include <string_view>
namespace divine::str::dios {
extern const std::string_view sys_stdlibwrap_hpp( 
"// -*- C++ -*- (c) 2016 Jan Mr\xc3\xa1zek <email\x40honzamrazek.cz>\x0a"
"\x0a"
"#ifndef __DIOS_STDLIBWRAP_HPP__\x0a"
"#define __DIOS_STDLIBWRAP_HPP__\x0a"
"\x0a"
"#include <sys/divm.h>\x0a"
"#include <vector>\x0a"
"#include <string>\x0a"
"#include <queue>\x0a"
"#include <set>\x0a"
"#include <list>\x0a"
"#include <map>\x0a"
"\x0a"
"#include <dios/sys/memory.hpp>\x0a"
"\x0a"
"namespace __dios {\x0a"
"\x0a"
"using String = std\x3a\x3a""basic_string< char, std\x3a\x3a""char_traits< char >, Allocator< char > >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using Vector = std\x3a\x3avector< T, Allocator< T > >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using Deque = std\x3a\x3a""deque< T, Allocator< T > >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using Set = std\x3a\x3aset< T, std\x3a\x3aless< T >, Allocator< T > >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using List = std\x3a\x3alist< T, Allocator< T > >;\x0a"
"\x0a"
"template< typename T >\x0a"
"using Queue = std\x3a\x3aqueue< T, List< T > >;\x0a"
"\x0a"
"template < class K, class V >\x0a"
"using Map = std\x3a\x3amap< K, V, std\x3a\x3aless< K >, Allocator< std\x3a\x3apair< const K, V > > >;\x0a"
"\x0a"
"template < class T, class... Args >\x0a"
"T *new_object( Args... args ) {\x0a"
"    T* obj = static_cast< T * >( __vm_obj_make( sizeof( T ) \x3f\x3a 1, _VM_PT_Heap ) );\x0a"
"    new (obj) T( args... );\x0a"
"    return obj;\x0a"
"}\x0a"
"\x0a"
"template < class T >\x0a"
"void delete_object( T *obj ) {\x0a"
"    obj->\x7eT();\x0a"
"    __vm_obj_free( obj );\x0a"
"}\x0a"
"\x0a"
"} // namespace __dios\x0a"
"\x0a"
"\x0a"
"#endif // __DIOS_STDLIBWRAP_HPP__\x0a"
"", 1216 ); }